﻿/*mysqldump.php version 1.4 */
/* Table structure for table `ps_accessory` */
DROP TABLE IF EXISTS `ps_accessory`;

CREATE TABLE `ps_accessory` (
  `id_product_1` int(10) unsigned NOT NULL,
  `id_product_2` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id_product_1`,`id_product_2`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

/* dumping data for table `ps_accessory` */
INSERT INTO `ps_accessory` VALUES
(1,2),
(1,5),
(1,6),
(1,10);

/* Table structure for table `ps_attachment` */
DROP TABLE IF EXISTS `ps_attachment`;

CREATE TABLE `ps_attachment` (
  `id_attachment` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `file` varchar(40) NOT NULL,
  `file_name` varchar(128) NOT NULL,
  `mime` varchar(128) NOT NULL,
  PRIMARY KEY (`id_attachment`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

/* dumping data for table `ps_attachment` */
INSERT INTO `ps_attachment` VALUES
(1,'47fa1cb8babfb92537afad38d3422abb3ab7cf5e','test_attachment.txt','text/plain');

/* Table structure for table `ps_attachment_lang` */
DROP TABLE IF EXISTS `ps_attachment_lang`;

CREATE TABLE `ps_attachment_lang` (
  `id_attachment` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `id_lang` int(10) unsigned NOT NULL,
  `name` varchar(32) DEFAULT NULL,
  `description` text,
  PRIMARY KEY (`id_attachment`,`id_lang`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

/* dumping data for table `ps_attachment_lang` */
INSERT INTO `ps_attachment_lang` VALUES
(1,1,'Test Attachment','Lorem ipsum'),
(1,2,'Test Attachment',''),
(1,3,'Test Attachment',''),
(1,4,'Test Attachment',''),
(1,5,'Test Attachment','');

/* Table structure for table `ps_attribute` */
DROP TABLE IF EXISTS `ps_attribute`;

CREATE TABLE `ps_attribute` (
  `id_attribute` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `id_attribute_group` int(10) unsigned NOT NULL,
  `color` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id_attribute`),
  KEY `attribute_group` (`id_attribute_group`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;

/* dumping data for table `ps_attribute` */
INSERT INTO `ps_attribute` VALUES
(1,1,''),
(2,2,''),
(3,2,''),
(4,1,''),
(5,1,'');

/* Table structure for table `ps_attribute_group` */
DROP TABLE IF EXISTS `ps_attribute_group`;

CREATE TABLE `ps_attribute_group` (
  `id_attribute_group` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `is_color_group` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id_attribute_group`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

/* dumping data for table `ps_attribute_group` */
INSERT INTO `ps_attribute_group` VALUES
(1,0),
(2,0);

/* Table structure for table `ps_attribute_group_lang` */
DROP TABLE IF EXISTS `ps_attribute_group_lang`;

CREATE TABLE `ps_attribute_group_lang` (
  `id_attribute_group` int(10) unsigned NOT NULL,
  `id_lang` int(10) unsigned NOT NULL,
  `name` varchar(128) NOT NULL,
  `public_name` varchar(64) NOT NULL,
  PRIMARY KEY (`id_attribute_group`,`id_lang`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

/* dumping data for table `ps_attribute_group_lang` */
INSERT INTO `ps_attribute_group_lang` VALUES
(1,1,'Color','Color'),
(1,2,'Color','Color'),
(1,3,'Color','Color'),
(1,4,'Color','Color'),
(1,5,'Color','Color'),
(2,1,'Material','Material'),
(2,2,'Material','Material'),
(2,3,'Material','Material'),
(2,4,'Material','Material'),
(2,5,'Material','Material');

/* Table structure for table `ps_attribute_impact` */
DROP TABLE IF EXISTS `ps_attribute_impact`;

CREATE TABLE `ps_attribute_impact` (
  `id_attribute_impact` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `id_product` int(11) unsigned NOT NULL,
  `id_attribute` int(11) unsigned NOT NULL,
  `weight` float NOT NULL,
  `price` decimal(17,2) NOT NULL,
  PRIMARY KEY (`id_attribute_impact`),
  UNIQUE KEY `id_product` (`id_product`,`id_attribute`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


/* Table structure for table `ps_attribute_lang` */
DROP TABLE IF EXISTS `ps_attribute_lang`;

CREATE TABLE `ps_attribute_lang` (
  `id_attribute` int(10) unsigned NOT NULL,
  `id_lang` int(10) unsigned NOT NULL,
  `name` varchar(128) NOT NULL,
  PRIMARY KEY (`id_attribute`,`id_lang`),
  KEY `id_lang` (`id_lang`,`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

/* dumping data for table `ps_attribute_lang` */
INSERT INTO `ps_attribute_lang` VALUES
(1,1,'black'),
(1,2,'black'),
(1,3,'black'),
(1,4,'black'),
(1,5,'black'),
(2,1,'metal'),
(2,2,'metal'),
(2,3,'metal'),
(2,4,'metal'),
(2,5,'metal'),
(3,1,'plastic'),
(3,2,'plastic'),
(3,3,'plastic'),
(3,4,'plastic'),
(3,5,'plastic'),
(4,1,'red'),
(4,2,'red'),
(4,3,'red'),
(4,4,'red'),
(4,5,'red'),
(5,1,'green'),
(5,2,'green'),
(5,3,'green'),
(5,4,'green'),
(5,5,'green');

/* Table structure for table `ps_blocklink` */
DROP TABLE IF EXISTS `ps_blocklink`;

CREATE TABLE `ps_blocklink` (
  `id_blocklink` int(2) NOT NULL AUTO_INCREMENT,
  `url` varchar(255) NOT NULL,
  `new_window` tinyint(1) NOT NULL,
  PRIMARY KEY (`id_blocklink`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

/* dumping data for table `ps_blocklink` */
INSERT INTO `ps_blocklink` VALUES
(1,'http://facebook.com/',0),
(2,'http://twitter.com/',0),
(3,'http://blog.templatemonster.com/',0),
(4,'http://www.templatemonster.com/all-rss.php',0);

/* Table structure for table `ps_blocklink_lang` */
DROP TABLE IF EXISTS `ps_blocklink_lang`;

CREATE TABLE `ps_blocklink_lang` (
  `id_blocklink` int(2) NOT NULL,
  `id_lang` int(2) NOT NULL,
  `text` varchar(64) NOT NULL,
  PRIMARY KEY (`id_blocklink`,`id_lang`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

/* dumping data for table `ps_blocklink_lang` */
INSERT INTO `ps_blocklink_lang` VALUES
(1,1,'Facebook Link'),
(1,2,'Facebook Link'),
(1,3,'Facebook Link'),
(2,1,'Twitter Link'),
(2,2,'Twitter Link'),
(2,3,'Twitter Link'),
(3,3,'http://blog.templatemonster.com/'),
(3,2,'http://blog.templatemonster.com/'),
(3,1,'Our Blog'),
(4,1,'All RSS'),
(4,2,'All RSS'),
(4,3,'All RSS');

/* Table structure for table `ps_category` */
DROP TABLE IF EXISTS `ps_category`;

CREATE TABLE `ps_category` (
  `id_category` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `id_parent` int(10) unsigned NOT NULL,
  `level_depth` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `nleft` int(10) unsigned NOT NULL DEFAULT '0',
  `nright` int(10) unsigned NOT NULL DEFAULT '0',
  `active` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `date_add` datetime NOT NULL,
  `date_upd` datetime NOT NULL,
  `position` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id_category`),
  KEY `category_parent` (`id_parent`),
  KEY `nleftright` (`nleft`,`nright`)
) ENGINE=MyISAM AUTO_INCREMENT=15 DEFAULT CHARSET=utf8;

/* dumping data for table `ps_category` */
INSERT INTO `ps_category` VALUES
(1,0,0,1,28,1,'2012-05-21 14:38:05','2012-05-21 14:38:05',0),
(2,1,1,2,3,1,'2012-08-01 12:37:31','2012-08-01 12:37:31',0),
(3,1,1,4,5,1,'2012-08-01 12:37:32','2012-08-01 12:37:32',1),
(4,1,1,6,23,1,'2012-08-01 12:37:33','2012-08-01 12:37:33',2),
(5,1,1,24,25,1,'2012-08-01 12:37:35','2012-08-01 12:37:35',3),
(6,1,1,26,27,1,'2012-08-01 12:37:35','2012-08-01 12:37:35',4),
(7,4,2,7,8,1,'2012-08-01 12:37:37','2012-08-01 12:37:37',0),
(8,4,2,9,10,1,'2012-08-01 12:37:39','2012-08-01 12:37:39',1),
(9,4,2,11,12,1,'2012-08-01 12:37:39','2012-08-01 12:37:39',2),
(10,4,2,13,14,1,'2012-08-01 12:37:41','2012-08-01 12:37:41',3),
(11,4,2,15,16,1,'2012-08-01 12:37:43','2012-08-01 12:37:43',4),
(12,4,2,17,18,1,'2012-08-01 12:37:43','2012-08-01 12:37:43',5),
(13,4,2,19,20,1,'2012-08-01 12:37:45','2012-08-01 12:37:45',6),
(14,4,2,21,22,1,'2012-08-01 12:37:47','2012-08-01 12:37:47',7);

/* Table structure for table `ps_category_group` */
DROP TABLE IF EXISTS `ps_category_group`;

CREATE TABLE `ps_category_group` (
  `id_category` int(10) unsigned NOT NULL,
  `id_group` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id_category`,`id_group`),
  KEY `id_category` (`id_category`),
  KEY `id_group` (`id_group`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

/* dumping data for table `ps_category_group` */
INSERT INTO `ps_category_group` VALUES
(1,1),
(2,1),
(3,1),
(4,1),
(5,1),
(6,1),
(7,1),
(8,1),
(9,1),
(10,1),
(11,1),
(12,1),
(13,1),
(14,1);

/* Table structure for table `ps_category_lang` */
DROP TABLE IF EXISTS `ps_category_lang`;

CREATE TABLE `ps_category_lang` (
  `id_category` int(10) unsigned NOT NULL,
  `id_lang` int(10) unsigned NOT NULL,
  `name` varchar(128) NOT NULL,
  `description` text,
  `link_rewrite` varchar(128) NOT NULL,
  `meta_title` varchar(128) DEFAULT NULL,
  `meta_keywords` varchar(255) DEFAULT NULL,
  `meta_description` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id_category`,`id_lang`),
  KEY `category_name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

/* dumping data for table `ps_category_lang` */
INSERT INTO `ps_category_lang` VALUES
(1,1,'Home','','home',null,null,null),
(1,2,'Accueil','','home',null,null,null),
(1,3,'Inicio','','home',null,null,null),
(1,4,'Start','','home',null,null,null),
(1,5,'Home page','','home',null,null,null),
(7,2,'Lorem ipsum dolor ','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','lorem-ipsum-dolor','','',''),
(6,5,'tyres & wheels','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','tyres-wheels','','',''),
(7,1,'Lorem ipsum dolor ','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','lorem-ipsum-dolor','','',''),
(6,4,'tyres & wheels','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','tyres-wheels','','',''),
(6,3,'tyres & wheels','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','tyres-wheels','','',''),
(6,2,'tyres & wheels','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','tyres-wheels','','',''),
(6,1,'tyres & wheels','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','tyres-wheels','','',''),
(5,5,'helmets','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','helmets','','',''),
(5,4,'helmets','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','helmets','','',''),
(5,3,'helmets','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','helmets','','',''),
(5,2,'helmets','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','helmets','','',''),
(5,1,'helmets','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','helmets','','',''),
(4,5,'clothing','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','clothing','','',''),
(4,4,'clothing','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','clothing','','',''),
(4,3,'clothing','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','clothing','','',''),
(4,2,'clothing','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','clothing','','',''),
(4,1,'clothing','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','clothing','','',''),
(3,4,'bikes & frames','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','bikes-frames','','',''),
(3,5,'bikes & frames','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','bikes-frames','','',''),
(3,3,'bikes & frames','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','bikes-frames','','',''),
(3,1,'bikes & frames','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','bikes-frames','','',''),
(3,2,'bikes & frames','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','bikes-frames','','',''),
(2,5,'bike parts','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','bike-parts','','',''),
(2,4,'bike parts','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','bike-parts','','',''),
(2,3,'bike parts','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','bike-parts','','',''),
(2,2,'bike parts','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','bike-parts','','',''),
(2,1,'bike parts','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','bike-parts','','',''),
(7,3,'Lorem ipsum dolor ','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','lorem-ipsum-dolor','','',''),
(7,4,'Lorem ipsum dolor ','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','lorem-ipsum-dolor','','',''),
(7,5,'Lorem ipsum dolor ','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','lorem-ipsum-dolor','','',''),
(8,1,'Sit amet conse ctetur ','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','sit-amet-conse-ctetur','','',''),
(8,2,'Sit amet conse ctetur ','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','sit-amet-conse-ctetur','','',''),
(8,3,'Sit amet conse ctetur ','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','sit-amet-conse-ctetur','','',''),
(8,4,'Sit amet conse ctetur ','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','sit-amet-conse-ctetur','','',''),
(8,5,'Sit amet conse ctetur ','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','sit-amet-conse-ctetur','','',''),
(9,1,'Adipisicing elit','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','adipisicing-elit','','',''),
(9,2,'Adipisicing elit','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','adipisicing-elit','','',''),
(9,3,'Adipisicing elit','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','adipisicing-elit','','',''),
(9,4,'Adipisicing elit','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','adipisicing-elit','','',''),
(9,5,'Adipisicing elit','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','adipisicing-elit','','',''),
(10,1,'Sed do eiusmod ','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','sed-do-eiusmod','','',''),
(10,2,'Sed do eiusmod ','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','sed-do-eiusmod','','',''),
(10,3,'Sed do eiusmod ','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','sed-do-eiusmod','','',''),
(10,4,'Sed do eiusmod ','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','sed-do-eiusmod','','',''),
(10,5,'Sed do eiusmod ','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','sed-do-eiusmod','','',''),
(11,1,'Tempor ','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','tempor','','',''),
(11,2,'Tempor ','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','tempor','','',''),
(11,3,'Tempor ','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','tempor','','',''),
(11,4,'Tempor ','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','tempor','','',''),
(11,5,'Tempor ','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','tempor','','',''),
(12,1,'Incididunt ut labore ','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','incididunt-ut-labore','','',''),
(12,2,'Incididunt ut labore ','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','incididunt-ut-labore','','',''),
(12,3,'Incididunt ut labore ','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','incididunt-ut-labore','','',''),
(12,4,'Incididunt ut labore ','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','incididunt-ut-labore','','',''),
(12,5,'Incididunt ut labore ','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','incididunt-ut-labore','','',''),
(13,1,'Et dolore magna','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','et-dolore-magna','','',''),
(13,2,'Et dolore magna','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','et-dolore-magna','','',''),
(13,3,'Et dolore magna','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','et-dolore-magna','','',''),
(13,4,'Et dolore magna','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','et-dolore-magna','','',''),
(13,5,'Et dolore magna','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','et-dolore-magna','','',''),
(14,1,'Ut enim ad mi','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','ut-enim-ad-mi','','',''),
(14,2,'Ut enim ad mi','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','ut-enim-ad-mi','','',''),
(14,3,'Ut enim ad mi','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','ut-enim-ad-mi','','',''),
(14,4,'Ut enim ad mi','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','ut-enim-ad-mi','','',''),
(14,5,'Ut enim ad mi','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ','ut-enim-ad-mi','','','');

/* Table structure for table `ps_category_product` */
DROP TABLE IF EXISTS `ps_category_product`;

CREATE TABLE `ps_category_product` (
  `id_category` int(10) unsigned NOT NULL,
  `id_product` int(10) unsigned NOT NULL,
  `position` int(10) unsigned NOT NULL DEFAULT '0',
  UNIQUE KEY `category_product_index` (`id_category`,`id_product`),
  KEY `id_product` (`id_product`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

/* dumping data for table `ps_category_product` */
INSERT INTO `ps_category_product` VALUES
(1,1,0),
(2,1,0),
(10,1,0),
(1,2,1),
(2,2,1),
(10,2,1),
(1,3,2),
(2,3,2),
(10,3,2),
(1,4,3),
(2,4,3),
(10,4,3),
(1,5,4),
(2,5,4),
(10,5,4),
(1,6,5),
(14,6,0),
(11,6,0),
(1,7,6),
(14,7,1),
(11,7,1),
(1,8,7),
(14,8,2),
(11,8,2),
(1,9,8),
(14,9,3),
(11,9,3),
(1,10,9),
(14,10,4),
(11,10,4),
(1,11,10),
(3,11,0),
(12,11,0),
(1,12,11),
(3,12,1),
(12,12,1),
(1,13,12),
(3,13,2),
(12,13,2),
(1,14,13),
(3,14,3),
(12,14,3),
(1,15,14),
(3,15,4),
(12,15,4),
(1,16,15),
(5,16,0),
(13,16,0),
(1,17,16),
(5,17,1),
(13,17,1),
(1,18,17),
(5,18,2),
(13,18,2),
(1,19,18),
(5,19,3),
(13,19,3),
(1,20,19),
(5,20,4),
(13,20,4),
(1,21,20),
(6,21,0),
(1,22,21),
(6,22,1),
(1,23,22),
(6,23,2),
(1,24,23),
(6,24,3),
(1,25,24),
(6,25,4),
(1,26,25),
(7,26,0),
(1,27,26),
(7,27,1),
(1,28,27),
(7,28,2),
(1,29,28),
(7,29,3),
(1,30,29),
(7,30,4),
(1,31,30),
(8,31,0),
(1,32,31),
(8,32,1),
(1,33,32),
(8,33,2),
(1,34,33),
(8,34,3),
(1,35,34),
(8,35,4),
(1,36,35),
(9,36,0),
(1,37,36),
(9,37,1),
(1,38,37),
(9,38,2),
(1,39,38),
(9,39,3),
(1,40,39),
(9,40,4);

/* Table structure for table `ps_cms` */
DROP TABLE IF EXISTS `ps_cms`;

CREATE TABLE `ps_cms` (
  `id_cms` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `id_cms_category` int(10) unsigned NOT NULL,
  `position` int(10) unsigned NOT NULL DEFAULT '0',
  `active` tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id_cms`)
) ENGINE=MyISAM AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;

/* dumping data for table `ps_cms` */
INSERT INTO `ps_cms` VALUES
(1,1,0,1),
(2,1,1,1),
(3,1,2,1),
(4,1,3,1),
(5,1,4,1),
(6,1,5,1),
(7,1,6,1);

/* Table structure for table `ps_cms_category` */
DROP TABLE IF EXISTS `ps_cms_category`;

CREATE TABLE `ps_cms_category` (
  `id_cms_category` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `id_parent` int(10) unsigned NOT NULL,
  `level_depth` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `active` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `date_add` datetime NOT NULL,
  `date_upd` datetime NOT NULL,
  `position` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id_cms_category`),
  KEY `category_parent` (`id_parent`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

/* dumping data for table `ps_cms_category` */
INSERT INTO `ps_cms_category` VALUES
(1,0,0,1,'2012-05-21 14:38:05','2012-05-21 14:38:05',0);

/* Table structure for table `ps_cms_category_lang` */
DROP TABLE IF EXISTS `ps_cms_category_lang`;

CREATE TABLE `ps_cms_category_lang` (
  `id_cms_category` int(10) unsigned NOT NULL,
  `id_lang` int(10) unsigned NOT NULL,
  `name` varchar(128) NOT NULL,
  `description` text,
  `link_rewrite` varchar(128) NOT NULL,
  `meta_title` varchar(128) DEFAULT NULL,
  `meta_keywords` varchar(255) DEFAULT NULL,
  `meta_description` varchar(255) DEFAULT NULL,
  UNIQUE KEY `category_lang_index` (`id_cms_category`,`id_lang`),
  KEY `category_name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

/* dumping data for table `ps_cms_category_lang` */
INSERT INTO `ps_cms_category_lang` VALUES
(1,1,'Home','','home',null,null,null),
(1,2,'Accueil','','home',null,null,null),
(1,3,'Inicio','','home',null,null,null),
(1,4,'Start','','Start',null,null,null),
(1,5,'Home','','home',null,null,null);

/* Table structure for table `ps_cms_lang` */
DROP TABLE IF EXISTS `ps_cms_lang`;

CREATE TABLE `ps_cms_lang` (
  `id_cms` int(10) unsigned NOT NULL,
  `id_lang` int(10) unsigned NOT NULL,
  `meta_title` varchar(128) NOT NULL,
  `meta_description` varchar(255) DEFAULT NULL,
  `meta_keywords` varchar(255) DEFAULT NULL,
  `content` longtext,
  `link_rewrite` varchar(128) NOT NULL,
  PRIMARY KEY (`id_cms`,`id_lang`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

/* dumping data for table `ps_cms_lang` */
INSERT INTO `ps_cms_lang` VALUES
(1,1,'Delivery','Our terms and conditions of delivery','conditions, delivery, delay, shipment, pack','<h2>Shipments and returns</h2>\r\n<p><span style=\"font-size: 12pt; color: #000000;\">Packages are generally dispatched within 2 days after receipt of payment and are shipped via UPS with tracking and drop-off without signature. If you prefer delivery by UPS.</span></p>\r\n<p>Extra with required signature, an additional cost will be applied, so please contact us before choosing this method. Whichever shipment choice you make, we will provide you with a link to track your package online.</p>\r\n<ul>\r\n<li>Lorem ipsum dolor sit amet</li>\r\n<li>Consectetur adipisicing elit, sed do eiusmod tempor</li>\r\n<li>Incididunt ut labore et dolore magna aliqua</li>\r\n<li>Ut enim ad minim veniam, quis nostrud</li>\r\n<li>Exercitation ullamco laboris nisi ut aliquip</li>\r\n</ul>\r\n<p>Shipping fees include handling and packing fees as well as postage costs. Handling fees are fixed, whereas transport fees vary according to total weight of the shipment. We advise you to group your items in one order. We cannot group two distinct orders placed separately, and shipping fees will apply to each of them. Your package will be dispatched at your own risk, but special care is taken to protect fragile objects.Boxes are amply sized and your items are well-protected.</p>\r\n<h2>Your pack shipment</h2>\r\n<p><span style=\"font-size: 12pt; color: #000000;\">Packages are generally dispatched within 2 days after receipt of payment and are shipped via UPS with tracking and drop-off without signature. If you prefer delivery by UPS.</span></p>\r\n<p>Extra with required signature, an additional cost will be applied, so please contact us before choosing this method. Whichever shipment choice you make, we will provide you with a link to track your package online.</p>\r\n<ul>\r\n<li>Exercitation ullamco laboris nisi ut aliquip</li>\r\n<li>Lorem ipsum dolor sit amet</li>\r\n<li>Consectetur adipisicing elit, sed do eiusmod tempor</li>\r\n<li>Incididunt ut labore et dolore magna aliqua</li>\r\n<li>Ut enim ad minim veniam, quis nostrud</li>\r\n</ul>\r\n<p>Shipping fees include handling and packing fees as well as postage costs. Handling fees are fixed, whereas transport fees vary according to total weight of the shipment. We advise you to group your items in one order. We cannot group two distinct orders placed separately, and shipping fees will apply to each of them. Your package will be dispatched at your own risk, but special care is taken to protect fragile objects.Boxes are amply sized and your items are well-protected.</p>','delivery'),
(1,2,'Livraison','Nos conditions générales de livraison','conditions, livraison, délais, transport, colis','<h2>Shipments and returns</h2>\r\n<p><span style=\"font-size: 12pt; color: #000000;\">Packages are generally dispatched within 2 days after receipt of payment and are shipped via UPS with tracking and drop-off without signature. If you prefer delivery by UPS.</span></p>\r\n<p>Extra with required signature, an additional cost will be applied, so please contact us before choosing this method. Whichever shipment choice you make, we will provide you with a link to track your package online.</p>\r\n<ul>\r\n<li>Lorem ipsum dolor sit amet</li>\r\n<li>Consectetur adipisicing elit, sed do eiusmod tempor</li>\r\n<li>Incididunt ut labore et dolore magna aliqua</li>\r\n<li>Ut enim ad minim veniam, quis nostrud</li>\r\n<li>Exercitation ullamco laboris nisi ut aliquip</li>\r\n</ul>\r\n<p>Shipping fees include handling and packing fees as well as postage costs. Handling fees are fixed, whereas transport fees vary according to total weight of the shipment. We advise you to group your items in one order. We cannot group two distinct orders placed separately, and shipping fees will apply to each of them. Your package will be dispatched at your own risk, but special care is taken to protect fragile objects.Boxes are amply sized and your items are well-protected.</p>\r\n<h2>Your pack shipment</h2>\r\n<p><span style=\"font-size: 12pt; color: #000000;\">Packages are generally dispatched within 2 days after receipt of payment and are shipped via UPS with tracking and drop-off without signature. If you prefer delivery by UPS.</span></p>\r\n<p>Extra with required signature, an additional cost will be applied, so please contact us before choosing this method. Whichever shipment choice you make, we will provide you with a link to track your package online.</p>\r\n<ul>\r\n<li>Exercitation ullamco laboris nisi ut aliquip</li>\r\n<li>Lorem ipsum dolor sit amet</li>\r\n<li>Consectetur adipisicing elit, sed do eiusmod tempor</li>\r\n<li>Incididunt ut labore et dolore magna aliqua</li>\r\n<li>Ut enim ad minim veniam, quis nostrud</li>\r\n</ul>\r\n<p>Shipping fees include handling and packing fees as well as postage costs. Handling fees are fixed, whereas transport fees vary according to total weight of the shipment. We advise you to group your items in one order. We cannot group two distinct orders placed separately, and shipping fees will apply to each of them. Your package will be dispatched at your own risk, but special care is taken to protect fragile objects.Boxes are amply sized and your items are well-protected.</p>','livraison'),
(2,1,'Legal Notice','Legal notice','notice, legal, credits','<h2>Legal</h2>\r\n<p><span style=\"font-size: 12pt; color: #000000;\">Packages are generally dispatched within 2 days after receipt of payment and are shipped via UPS with tracking and drop-off without signature. If you prefer delivery by UPS. Extra with required signature, an additional cost will be applied, so please contact us before choosing this method. Whichever shipment choice you make, we will provide you with a link to track your package online.</span></p>\r\n<p>Shipping fees include handling and packing fees as well as postage costs. Handling fees are fixed, whereas transport fees vary according to total weight of the shipment. We advise you to group your items in one order. We cannot group two distinct orders placed separately, and shipping fees will apply to each of them. Your package will be dispatched at your own risk, but special care is taken to protect fragile objects.Boxes are amply sized and your items are well-protected.</p>\r\n<h2>Credits</h2>\r\n<p><span style=\"font-size: 12pt; color: #000000;\">Packages are generally dispatched within 2 days after receipt of payment and are shipped via UPS with tracking and drop-off without signature. If you prefer delivery by UPS. Extra with required signature, an additional cost will be applied, so please contact us before choosing this method. Whichever shipment choice you make, we will provide you with a link to track your package online.</span></p>\r\n<ul>\r\n<li>Exercitation ullamco laboris nisi ut aliquip</li>\r\n<li>Lorem ipsum dolor sit amet</li>\r\n<li>Consectetur adipisicing elit, sed do eiusmod tempor</li>\r\n<li>Incididunt ut labore et dolore magna aliqua</li>\r\n<li>Ut enim ad minim veniam, quis nostrud</li>\r\n</ul>\r\n<p>Shipping fees include handling and packing fees as well as postage costs. Handling fees are fixed, whereas transport fees vary according to total weight of the shipment. We advise you to group your items in one order. We cannot group two distinct orders placed separately, and shipping fees will apply to each of them. Your package will be dispatched at your own risk, but special care is taken to protect fragile objects.Boxes are amply sized and your items are well-protected.</p>\r\n<hr />\r\n<p>This Web site was created using PrestaShop™ open-source software.</p>','legal-notice'),
(2,2,'Mentions légales','Mentions légales','mentions, légales, crédits','<h2>Legal</h2>\r\n<p><span style=\"font-size: 12pt; color: #000000;\">Packages are generally dispatched within 2 days after receipt of payment and are shipped via UPS with tracking and drop-off without signature. If you prefer delivery by UPS. Extra with required signature, an additional cost will be applied, so please contact us before choosing this method. Whichever shipment choice you make, we will provide you with a link to track your package online.</span></p>\r\n<p>Shipping fees include handling and packing fees as well as postage costs. Handling fees are fixed, whereas transport fees vary according to total weight of the shipment. We advise you to group your items in one order. We cannot group two distinct orders placed separately, and shipping fees will apply to each of them. Your package will be dispatched at your own risk, but special care is taken to protect fragile objects.Boxes are amply sized and your items are well-protected.</p>\r\n<h2>Credits</h2>\r\n<p><span style=\"font-size: 12pt; color: #000000;\">Packages are generally dispatched within 2 days after receipt of payment and are shipped via UPS with tracking and drop-off without signature. If you prefer delivery by UPS. Extra with required signature, an additional cost will be applied, so please contact us before choosing this method. Whichever shipment choice you make, we will provide you with a link to track your package online.</span></p>\r\n<ul>\r\n<li>Exercitation ullamco laboris nisi ut aliquip</li>\r\n<li>Lorem ipsum dolor sit amet</li>\r\n<li>Consectetur adipisicing elit, sed do eiusmod tempor</li>\r\n<li>Incididunt ut labore et dolore magna aliqua</li>\r\n<li>Ut enim ad minim veniam, quis nostrud</li>\r\n</ul>\r\n<p>Shipping fees include handling and packing fees as well as postage costs. Handling fees are fixed, whereas transport fees vary according to total weight of the shipment. We advise you to group your items in one order. We cannot group two distinct orders placed separately, and shipping fees will apply to each of them. Your package will be dispatched at your own risk, but special care is taken to protect fragile objects.Boxes are amply sized and your items are well-protected.</p>\r\n<hr />\r\n<p>This Web site was created using PrestaShop™ open-source software.</p>','mentions-legales'),
(3,1,'Terms and conditions of use','Our terms and conditions of use','conditions, terms, use, sell','<h2>Your terms and conditions of use</h2>\r\n<p><span style=\"font-size: 12pt;\">Welcome to our shop! If you visit our shop it means that you automatically accept all these terms and conditions. Please carefully read all information concerning our guidelines, terms and agreements. Nowadays it is very important to care about the information because we are living in the informational society and you can\'t underestimate the way information will be used and shared. Trust is the cornerstone of friendship and we appreciate your decision to choose our store. We are giving you a full access to different types of information concerning your account.</span></p>\r\n<p>Additionally please note that our website contains numerous trademarks which can belong both to our company and third party companies. Using the logos, icons and service names is prohibited in any manner that is likely to cause confusion among our customers, and will be considered a violation of copyright law. We reserve the right to make changes to these terms and conditions at any time without prior notifications. Our company is located in New York, USA and the laws of the state of New York shall govern any interpretation of these terms and conditions.</p>','terms-and-conditions-of-use'),
(3,2,'Conditions d\'utilisation','Nos conditions générales de ventes','conditions, utilisation, générales, ventes','<h2>Your terms and conditions of use</h2>\r\n<p><span style=\"font-size: 12pt;\">Welcome to our shop! If you visit our shop it means that you automatically accept all these terms and conditions. Please carefully read all information concerning our guidelines, terms and agreements. Nowadays it is very important to care about the information because we are living in the informational society and you can\'t underestimate the way information will be used and shared. Trust is the cornerstone of friendship and we appreciate your decision to choose our store. We are giving you a full access to different types of information concerning your account.</span></p>\r\n<p>Additionally please note that our website contains numerous trademarks which can belong both to our company and third party companies. Using the logos, icons and service names is prohibited in any manner that is likely to cause confusion among our customers, and will be considered a violation of copyright law. We reserve the right to make changes to these terms and conditions at any time without prior notifications. Our company is located in New York, USA and the laws of the state of New York shall govern any interpretation of these terms and conditions.</p>','conditions-generales-de-ventes'),
(4,1,'About us','Learn more about us','about us, informations','<h2>About us</h2>\r\n<p><span style=\"font-size: 12pt; color: #000000;\">Our philosophy is all about professional entrepreneurship and perfectly serving our clients. Since the early days our team extends its passion to sell premium quality goods for your comfortable living. Through the years we\'ve managed to create one of the most famous brands in our country and now we are glad to share our products online with you. Our mission is not about gaining huge profits, we care about the people because by choosing our store you are giving us a chance to change a small part of your world and we are happy to do that professionally and passionately.</span></p>\r\n<p>Our business is growing day by day and we are glad to announce another milestone which is signified by the launch of our web store - another wonderful way to browse and enjoy the best commodities from our brand. Being an international store is a great challenge for our firm but we will take it with honor and dignity. We can promise you that you will feel all advantages of online shopping because this is way better and more comfortable than the traditional one.</p>','about-us'),
(4,2,'A propos','Apprenez-en d\'avantage sur nous','à propos, informations','<h2>About us</h2>\r\n<p><span style=\"font-size: 12pt; color: #000000;\">Our philosophy is all about professional entrepreneurship and perfectly serving our clients. Since the early days our team extends its passion to sell premium quality goods for your comfortable living. Through the years we\'ve managed to create one of the most famous brands in our country and now we are glad to share our products online with you. Our mission is not about gaining huge profits, we care about the people because by choosing our store you are giving us a chance to change a small part of your world and we are happy to do that professionally and passionately.</span></p>\r\n<p>Our business is growing day by day and we are glad to announce another milestone which is signified by the launch of our web store - another wonderful way to browse and enjoy the best commodities from our brand. Being an international store is a great challenge for our firm but we will take it with honor and dignity. We can promise you that you will feel all advantages of online shopping because this is way better and more comfortable than the traditional one.</p>','a-propos'),
(5,1,'Secure payment','Our secure payment mean','secure payment, ssl, visa, mastercard, paypal','<h2>Secure payment</h2>\r\n<h3>Our secure payment</h3><p>With SSL</p>\r\n<h3>Using Visa/Mastercard/Paypal</h3><p>About this services</p>','secure-payment'),
(5,2,'Paiement sécurisé','Notre offre de paiement sécurisé','paiement sécurisé, ssl, visa, mastercard, paypal','<h2>Paiement sécurisé</h2>\r\n<h3>Notre offre de paiement sécurisé</h3><p>Avec SSL</p>\r\n<h3>Utilisation de Visa/Mastercard/Paypal</h3><p>A propos de ces services</p>','paiement-securise'),
(1,3,'Entrega','Nuestras condiciones de entrega','condiciones, plazos de entrega, transporte, paquetería','<h2>Shipments and returns</h2>\r\n<p><span style=\"font-size: 12pt; color: #000000;\">Packages are generally dispatched within 2 days after receipt of payment and are shipped via UPS with tracking and drop-off without signature. If you prefer delivery by UPS.</span></p>\r\n<p>Extra with required signature, an additional cost will be applied, so please contact us before choosing this method. Whichever shipment choice you make, we will provide you with a link to track your package online.</p>\r\n<ul>\r\n<li>Lorem ipsum dolor sit amet</li>\r\n<li>Consectetur adipisicing elit, sed do eiusmod tempor</li>\r\n<li>Incididunt ut labore et dolore magna aliqua</li>\r\n<li>Ut enim ad minim veniam, quis nostrud</li>\r\n<li>Exercitation ullamco laboris nisi ut aliquip</li>\r\n</ul>\r\n<p>Shipping fees include handling and packing fees as well as postage costs. Handling fees are fixed, whereas transport fees vary according to total weight of the shipment. We advise you to group your items in one order. We cannot group two distinct orders placed separately, and shipping fees will apply to each of them. Your package will be dispatched at your own risk, but special care is taken to protect fragile objects.Boxes are amply sized and your items are well-protected.</p>\r\n<h2>Your pack shipment</h2>\r\n<p><span style=\"font-size: 12pt; color: #000000;\">Packages are generally dispatched within 2 days after receipt of payment and are shipped via UPS with tracking and drop-off without signature. If you prefer delivery by UPS.</span></p>\r\n<p>Extra with required signature, an additional cost will be applied, so please contact us before choosing this method. Whichever shipment choice you make, we will provide you with a link to track your package online.</p>\r\n<ul>\r\n<li>Exercitation ullamco laboris nisi ut aliquip</li>\r\n<li>Lorem ipsum dolor sit amet</li>\r\n<li>Consectetur adipisicing elit, sed do eiusmod tempor</li>\r\n<li>Incididunt ut labore et dolore magna aliqua</li>\r\n<li>Ut enim ad minim veniam, quis nostrud</li>\r\n</ul>\r\n<p>Shipping fees include handling and packing fees as well as postage costs. Handling fees are fixed, whereas transport fees vary according to total weight of the shipment. We advise you to group your items in one order. We cannot group two distinct orders placed separately, and shipping fees will apply to each of them. Your package will be dispatched at your own risk, but special care is taken to protect fragile objects.Boxes are amply sized and your items are well-protected.</p>','entrega'),
(2,3,'Aviso legal','Aviso legal','términos, condiciones y créditos fotográficos','<h2>Legal</h2>\r\n<p><span style=\"font-size: 12pt; color: #000000;\">Packages are generally dispatched within 2 days after receipt of payment and are shipped via UPS with tracking and drop-off without signature. If you prefer delivery by UPS. Extra with required signature, an additional cost will be applied, so please contact us before choosing this method. Whichever shipment choice you make, we will provide you with a link to track your package online.</span></p>\r\n<p>Shipping fees include handling and packing fees as well as postage costs. Handling fees are fixed, whereas transport fees vary according to total weight of the shipment. We advise you to group your items in one order. We cannot group two distinct orders placed separately, and shipping fees will apply to each of them. Your package will be dispatched at your own risk, but special care is taken to protect fragile objects.Boxes are amply sized and your items are well-protected.</p>\r\n<h2>Credits</h2>\r\n<p><span style=\"font-size: 12pt; color: #000000;\">Packages are generally dispatched within 2 days after receipt of payment and are shipped via UPS with tracking and drop-off without signature. If you prefer delivery by UPS. Extra with required signature, an additional cost will be applied, so please contact us before choosing this method. Whichever shipment choice you make, we will provide you with a link to track your package online.</span></p>\r\n<ul>\r\n<li>Exercitation ullamco laboris nisi ut aliquip</li>\r\n<li>Lorem ipsum dolor sit amet</li>\r\n<li>Consectetur adipisicing elit, sed do eiusmod tempor</li>\r\n<li>Incididunt ut labore et dolore magna aliqua</li>\r\n<li>Ut enim ad minim veniam, quis nostrud</li>\r\n</ul>\r\n<p>Shipping fees include handling and packing fees as well as postage costs. Handling fees are fixed, whereas transport fees vary according to total weight of the shipment. We advise you to group your items in one order. We cannot group two distinct orders placed separately, and shipping fees will apply to each of them. Your package will be dispatched at your own risk, but special care is taken to protect fragile objects.Boxes are amply sized and your items are well-protected.</p>\r\n<hr />\r\n<p>This Web site was created using PrestaShop™ open-source software.</p>','aviso-legal'),
(3,3,'Condiciones de uso','Condiciones de uso','condiciones, el consumo, las ventas generales','<h2>Your terms and conditions of use</h2>\r\n<p><span style=\"font-size: 12pt;\">Welcome to our shop! If you visit our shop it means that you automatically accept all these terms and conditions. Please carefully read all information concerning our guidelines, terms and agreements. Nowadays it is very important to care about the information because we are living in the informational society and you can\'t underestimate the way information will be used and shared. Trust is the cornerstone of friendship and we appreciate your decision to choose our store. We are giving you a full access to different types of information concerning your account.</span></p>\r\n<p>Additionally please note that our website contains numerous trademarks which can belong both to our company and third party companies. Using the logos, icons and service names is prohibited in any manner that is likely to cause confusion among our customers, and will be considered a violation of copyright law. We reserve the right to make changes to these terms and conditions at any time without prior notifications. Our company is located in New York, USA and the laws of the state of New York shall govern any interpretation of these terms and conditions.</p>','condiciones-de-uso'),
(4,3,'Sobre','Conozca más sobre nosotros','sobre, información','<h2>About us</h2>\r\n<p><span style=\"font-size: 12pt; color: #000000;\">Our philosophy is all about professional entrepreneurship and perfectly serving our clients. Since the early days our team extends its passion to sell premium quality goods for your comfortable living. Through the years we\'ve managed to create one of the most famous brands in our country and now we are glad to share our products online with you. Our mission is not about gaining huge profits, we care about the people because by choosing our store you are giving us a chance to change a small part of your world and we are happy to do that professionally and passionately.</span></p>\r\n<p>Our business is growing day by day and we are glad to announce another milestone which is signified by the launch of our web store - another wonderful way to browse and enjoy the best commodities from our brand. Being an international store is a great challenge for our firm but we will take it with honor and dignity. We can promise you that you will feel all advantages of online shopping because this is way better and more comfortable than the traditional one.</p>','sobre'),
(5,3,'Pago seguro','Ofrecemos pago seguro','pago seguro, ssl, visa, mastercard, paypal','<h2><span id=\"result_box\"><span style=\"background-color: #ffffff;\" title=\"Paiement sécurisé\">Pago seguro</span></span></h2>\r\n<h3><span id=\"result_box\"><span style=\"background-color: #ffffff;\" title=\"Notre offre de paiement sécurisé\">Ofrecemos pago seguro</span></span></h3>\r\n<p><span id=\"result_box\"><span style=\"background-color: #ffffff;\" title=\"Avec SSL\">SSL</span></span></p>\r\n<h3><span id=\"result_box\"><span style=\"background-color: #ffffff;\" title=\"Utilisation de Visa/Mastercard/Paypal\">Utilice Visa / Mastercard / Paypal</span></span></h3>\r\n<p><span id=\"result_box\"><span style=\"background-color: #ffffff;\" title=\"A propos de ces services\">Acerca de estos servicios</span></span></p>','pago-seguro'),
(1,4,'Lieferung','Unsere Lieferbedingungen','Bedingungen, Lieferung, Frist, Versand, Verpackung','<h2>Versand und Rücknahme</h2>\r\n<h3>Ihre Versandverpackung</h3>\r\n<p>Pakete werden normalerweise 2 Tage nach Zahlungseingang mit UPS mit Bestellverfolgemöglichkeit und Ablieferung ohne Unterschrift geliefert. Wenn Sie lieber eine UPS-Sendung per Einschreiben erhalten möchten, entstehen zusätzliche Kosten. Bitte kontaktieren Sie uns, bevor Sie dieses Liefermethode wählen. Wir senden Ihnen einen Link für die Bestellverfolgung unabhängig davon, welche Liefermethode Sie wählen.</p>\r\n<p>Die Versandkosten beinhalten Lade- und Verpackungsgebühren sowie die Portokosten. Die Verladegebühren stehen fest, wobei Transportkosten schwanken, je nach Gesamtgewicht des Pakets. Wir raten Ihnen, mehrere Artikel in einer Bestellung zusammenzufassen. Wir können zwei verschiedene Bestellungen nicht zusammenlegen, und die Versandkosten werden separat für jede Bestellung gerechnet. Ihr Paket wird auf Ihr Risiko versandt, aber zerbrechliche Ware wird besonders sorgsam behandelt.<br /><br />Die Versandschachteln sind weit geschnitten und ihre Ware wird gut geschützt verpackt.</p>','Lieferung'),
(2,4,'Rechtliche Hinweise','Rechtliche Hinweise','Hinweise, rechtlich, Gutscheine','<h2>Legal</h2>\r\n<h3>Credits</h3>\r\n<p>Konzept und Gestaltung:</p>\r\n<p>Diese Webseite wurde hergestellt unter Verwendung von <a href=\"http://www.prestashop.com\">PrestaShop</a>™ open-source software.</p>','rechtliche-hinweise'),
(3,4,'Allgemeine Nutzungsbedingungen','Unsere allgemeinen Nutzungsbedingungen','Voraussetzungen, Bedingungen, nutzen, verkaufen','<h2>Your terms and conditions of use</h2>\r\n<h3>Rule 1</h3>\r\n<p>Here is the rule 1 content</p>\r\n<h3>Rule 2</h3>\r\n<p>Here is the rule 2 content</p>\r\n<h3>Rule 3</h3>\r\n<p>Here is the rule 3 content</p>','allgemeine-nutzungsbedingungen'),
(4,4,'Über uns','Learn more about us','über uns, Informationen','<h2>About us</h2>\r\n<h3>Our company</h3>\r\n<p>Our company</p>\r\n<h3>Our team</h3>\r\n<p>Our team</p>\r\n<h3>Informations</h3>\r\n<p>Informations</p>','uber-uns'),
(5,4,'Sichere Zahlung','Unsere Sicherheits-Zahlungsmethoden','Sichere Zahlung, SSL, Visa, MasterCard, PayPal','<h2>Secure payment</h2>\r\n<h3>Our secure payment</h3><p>With SSL</p>\r\n<h3>Using Visa/Mastercard/Paypal</h3><p>About this services</p>','sichere-zahlung'),
(1,5,'Consegna','I nostri termini e condizioni di consegna','condizioni, consegna, tempo, spedizione, pacco','<h2>Spedizioni e resi</h2>\r\n<h3>Spedizione del tuo pacco</h3>\r\n<p>I pacchi sono solitamente spediti entro 2 giorni dopo il ricevimento del pagamento e inviati tramite UPS con controllo e consegna senza firma. Se preferisci una consegna con UPS Extra con richiesta di firma, sarà applicato un costo aggiuntivo, pertanto contattaci prima di scegliere questo mezzo. Qualunque tipo di spedizione tu scelga, ti garantiremo un link per controllare online il percorso del tuo pacco.</p>\r\n<p>Le spese di spedizione comprendono le spese di imballaggio e affrancatura. Le spese di imballaggio sono fisse, mentre quelle di trasporto variano in base al peso totale della spedizione. Ti consigliamo di raggruppare i tuoi articoli in un unico ordine. Non possiamo raggruppare due ordini distinti eseguiti separatamente, e ad ognuno di esso saranno applicate le spese di spedizione. Il tuo pacco sarà inviato sotto la tua responsabilità, ma un\'attenzione particolare è riservata agli oggetti fragili.<br /><br />Le scatole hanno dimensioni ragionevoli e i tuoi articoli sono ben protetti.</p>','consegna'),
(2,5,'Nota Legale','Nota legale','nota, legale, crediti','<h2>Legale</h2>\r\n<h3>Crediti</h3>\r\n<p>Creazione e produzione:</p>\r\n<p>Questo sito web è stato realizzato usando un software open-source<a href=\"http://www.prestashop.com\">PrestaShop</a>™.</p>','nota-legale'),
(3,5,'Termini e condizioni d\'uso','I nostri termini e condizioni d\'uso','condizioni, termini, uso, vendi','<h2>I tuoi termini e condizioni d\'uso</h2>\r\n<h3>Regola 1</h3>\r\n<p>Ecco il contenuto della regola 1</p>\r\n<h3>Regola 2</h3>\r\n<p>Ecco il contenuto della regola 2</p>\r\n<h3>Regola 3</h3>\r\n<p>Ecco il contenuto della regola 3</p>','termini-e-condizioni-di-uso'),
(4,5,'Chi siamo','Per sapere chi siamo','chi siamo, informazioni','<h2>Chi siamo</h2>\r\n<h3>La nostra azienda</h3>\r\n<p>La nostra azienda</p>\r\n<h3>Il nostro team</h3>\r\n<p>Il nostro team</p>\r\n<h3>Informazioni</h3>\r\n<p>Informazioni</p>','chi-siamo'),
(5,5,'Pagamento sicuro','Il nostro mezzo di pagamento sicuro','pagamento sicuro, ssl, visa, mastercard, paypal','<h2>Pagamento sicuro</h2>\r\n<h3>Il nostro pagamento sicuro</h3><p>Con SSL</p>\r\n<h3>Usando Visa/Mastercard/Paypal</h3><p>Cosa sono questi servizi</p>','pagamento-sicuro'),
(6,1,'Privacy policy','Privacy policy','Privacy policy','<h2>Privacy policy</h2>\r\n<p>Privacy policy</p>','privacy-policy'),
(7,1,'Right of withdrawal','Right of withdrawal','Right of withdrawal','<h2>Right of withdrawal</h2>\r\n<p>Right of withdrawal</p>','right-of-withdrawal'),
(6,2,'Politique de confidentialité','Politique de confidentialité','Politique de confidentialité','<h2>Politique de confidentialité</h2>\r\n<p>Politique de confidentialité</p>','politique-de-confidentialite'),
(7,2,'Droits de rétractation','Droit de rétractation','Droit de rétractation','<h2>Droit de rétractation</h2>\r\n<p>Droit de rétractation</p>','droit-de-retractation'),
(6,3,'Privacy policy','Privacy policy','Privacy policy','<h2>Privacy policy</h2>\r\n<p>Privacy policy</p>','privacy-policy'),
(7,3,'Right of withdrawal','Right of withdrawal','Right of withdrawal','<h2>Right of withdrawal</h2>\r\n<p>Right of withdrawal</p>','right-of-withdrawal'),
(6,4,'Privacy policy','Privacy policy','Privacy policy','<h2>Privacy policy</h2>\r\n<p>Privacy policy</p>','privacy-policy'),
(7,4,'Right of withdrawal','Right of withdrawal','Right of withdrawal','<h2>Right of withdrawal</h2>\r\n<p>Right of withdrawal</p>','right-of-withdrawal'),
(6,5,'Privacy policy','Privacy policy','Privacy policy','<h2>Privacy policy</h2>\r\n<p>Privacy policy</p>','privacy-policy'),
(7,5,'Right of withdrawal','Right of withdrawal','Right of withdrawal','<h2>Right of withdrawal</h2>\r\n<p>Right of withdrawal</p>','right-of-withdrawal');

/* Table structure for table `ps_configuration` */
DROP TABLE IF EXISTS `ps_configuration`;

CREATE TABLE `ps_configuration` (
  `id_configuration` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(32) NOT NULL,
  `value` text,
  `date_add` datetime NOT NULL,
  `date_upd` datetime NOT NULL,
  PRIMARY KEY (`id_configuration`),
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM AUTO_INCREMENT=229 DEFAULT CHARSET=utf8;

/* dumping data for table `ps_configuration` */
INSERT INTO `ps_configuration` VALUES
(1,'PS_LANG_DEFAULT','1','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(2,'PS_CURRENCY_DEFAULT','2','2012-05-21 14:38:05','2012-05-21 13:38:26'),
(3,'PS_COUNTRY_DEFAULT','21','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(4,'PS_REWRITING_SETTINGS','0','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(5,'PS_ORDER_OUT_OF_STOCK','0','2012-05-21 14:38:05','2012-06-18 17:23:15'),
(6,'PS_LAST_QTIES','3','2012-05-21 14:38:05','2012-06-18 17:23:15'),
(7,'PS_CART_REDIRECT','1','2012-05-21 14:38:05','2012-06-18 17:23:15'),
(8,'PS_HELPBOX','1','2012-05-21 14:38:05','2012-06-18 17:50:18'),
(9,'PS_CONDITIONS','1','2012-05-21 14:38:05','2012-06-18 17:50:18'),
(10,'PS_RECYCLABLE_PACK','1','2012-05-21 14:38:05','2012-06-18 17:50:18'),
(11,'PS_GIFT_WRAPPING','1','2012-05-21 14:38:05','2012-06-18 17:50:18'),
(12,'PS_GIFT_WRAPPING_PRICE','0','2012-05-21 14:38:05','2012-06-18 17:50:18'),
(13,'PS_STOCK_MANAGEMENT','1','2012-05-21 14:38:05','2012-06-18 17:23:15'),
(14,'PS_NAVIGATION_PIPE','>','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(15,'PS_PRODUCTS_PER_PAGE','6','2012-05-21 14:38:05','2012-06-18 17:23:15'),
(16,'PS_PURCHASE_MINIMUM','0','2012-05-21 14:38:05','2012-06-18 17:23:15'),
(17,'PS_PRODUCTS_ORDER_WAY','0','2012-05-21 14:38:05','2012-06-18 17:23:15'),
(18,'PS_PRODUCTS_ORDER_BY','4','2012-05-21 14:38:05','2012-06-18 17:23:15'),
(19,'PS_DISPLAY_QTIES','1','2012-05-21 14:38:05','2012-06-18 17:23:15'),
(20,'PS_SHIPPING_HANDLING','2','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(21,'PS_SHIPPING_FREE_PRICE','0','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(22,'PS_SHIPPING_FREE_WEIGHT','0','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(23,'PS_SHIPPING_METHOD','1','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(24,'PS_TAX','1','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(25,'PS_SHOP_ENABLE','1','2012-05-21 14:38:05','2012-06-18 17:50:18'),
(26,'PS_NB_DAYS_NEW_PRODUCT','20','2012-05-21 14:38:05','2012-06-18 17:23:15'),
(27,'PS_SSL_ENABLED','0','2012-05-21 14:38:05','2012-06-18 17:50:18'),
(28,'PS_WEIGHT_UNIT','lb','2012-05-21 14:38:05','2012-05-21 13:38:26'),
(29,'PS_BLOCK_CART_AJAX','1','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(30,'PS_ORDER_RETURN','0','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(31,'PS_ORDER_RETURN_NB_DAYS','7','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(32,'PS_MAIL_TYPE','3','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(33,'PS_PRODUCT_PICTURE_MAX_SIZE','131072','2012-05-21 14:38:05','2012-06-18 17:23:15'),
(34,'PS_PRODUCT_PICTURE_WIDTH','64','2012-05-21 14:38:05','2012-06-18 17:23:15'),
(35,'PS_PRODUCT_PICTURE_HEIGHT','64','2012-05-21 14:38:05','2012-06-18 17:23:15'),
(36,'PS_INVOICE_PREFIX','IN','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(37,'PS_INVOICE_NUMBER','1','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(38,'PS_DELIVERY_PREFIX','DE','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(39,'PS_DELIVERY_NUMBER','1','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(40,'PS_INVOICE','1','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(41,'PS_PASSWD_TIME_BACK','360','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(42,'PS_PASSWD_TIME_FRONT','360','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(43,'PS_DISP_UNAVAILABLE_ATTR','1','2012-05-21 14:38:05','2012-06-18 17:23:15'),
(44,'PS_VOUCHERS','1','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(45,'PS_SEARCH_MINWORDLEN','3','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(46,'PS_SEARCH_BLACKLIST','','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(47,'PS_SEARCH_WEIGHT_PNAME','6','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(48,'PS_SEARCH_WEIGHT_REF','10','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(49,'PS_SEARCH_WEIGHT_SHORTDESC','1','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(50,'PS_SEARCH_WEIGHT_DESC','1','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(51,'PS_SEARCH_WEIGHT_CNAME','3','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(52,'PS_SEARCH_WEIGHT_MNAME','3','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(53,'PS_SEARCH_WEIGHT_TAG','4','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(54,'PS_SEARCH_WEIGHT_ATTRIBUTE','2','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(55,'PS_SEARCH_WEIGHT_FEATURE','2','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(56,'PS_SEARCH_AJAX','1','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(57,'PS_TIMEZONE','Europe/Athens','2012-05-21 14:38:05','2012-06-18 17:50:18'),
(58,'PS_THEME_V11','0','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(59,'PRESTASTORE_LIVE','1','2012-05-21 14:38:05','2012-06-18 17:50:18'),
(60,'PS_TIN_ACTIVE','0','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(61,'PS_SHOW_ALL_MODULES','0','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(62,'PS_BACKUP_ALL','0','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(63,'PS_1_3_UPDATE_DATE','2012-05-21 14:38:05','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(64,'PS_PRICE_ROUND_MODE','2','2012-05-21 14:38:05','2012-06-18 17:50:18'),
(65,'PS_1_3_2_UPDATE_DATE','2012-05-21 14:38:05','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(66,'PS_CONDITIONS_CMS_ID','3','2012-05-21 14:38:05','2012-06-18 17:50:18'),
(67,'TRACKING_DIRECT_TRAFFIC','0','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(68,'PS_META_KEYWORDS','0','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(69,'PS_DISPLAY_JQZOOM','1','2012-05-21 14:38:05','2012-06-18 17:23:15'),
(70,'PS_VOLUME_UNIT','gal','2012-05-21 14:38:05','2012-05-21 13:38:26'),
(71,'PS_CIPHER_ALGORITHM','1','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(72,'PS_ATTRIBUTE_CATEGORY_DISPLAY','1','2012-05-21 14:38:05','2012-06-18 17:23:15'),
(73,'PS_CUSTOMER_SERVICE_FILE_UPLOAD','1','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(74,'PS_CUSTOMER_SERVICE_SIGNATURE','','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(75,'PS_BLOCK_BESTSELLERS_DISPLAY','1','2012-05-21 14:38:05','2012-05-31 14:26:42'),
(76,'PS_BLOCK_NEWPRODUCTS_DISPLAY','0','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(77,'PS_BLOCK_SPECIALS_DISPLAY','1','2012-05-21 14:38:05','2012-05-31 14:33:14'),
(78,'PS_STOCK_MVT_REASON_DEFAULT','3','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(79,'PS_COMPARATOR_MAX_ITEM','2','2012-05-21 14:38:05','2012-06-18 17:23:15'),
(80,'PS_ORDER_PROCESS_TYPE','0','2012-05-21 14:38:05','2012-06-18 17:50:18'),
(81,'PS_SPECIFIC_PRICE_PRIORITIES','id_shop;id_currency;id_country;id_group','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(82,'PS_TAX_DISPLAY','1','2012-05-21 14:38:05','2012-05-21 13:38:26'),
(83,'PS_SMARTY_FORCE_COMPILE','1','2012-05-21 14:38:05','2012-05-21 14:48:54'),
(84,'PS_DISTANCE_UNIT','mi','2012-05-21 14:38:05','2012-05-21 13:38:26'),
(85,'PS_STORES_DISPLAY_CMS','1','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(86,'PS_STORES_DISPLAY_FOOTER','1','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(87,'PS_STORES_SIMPLIFIED','0','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(88,'SHOP_LOGO_WIDTH','248','2012-05-21 14:38:05','2012-06-18 14:18:23'),
(89,'SHOP_LOGO_HEIGHT','27','2012-05-21 14:38:05','2012-06-18 14:18:23'),
(90,'EDITORIAL_IMAGE_WIDTH','530','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(91,'EDITORIAL_IMAGE_HEIGHT','228','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(92,'PS_STATSDATA_CUSTOMER_PAGESVIEWS','0','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(93,'PS_STATSDATA_PAGESVIEWS','0','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(94,'PS_STATSDATA_PLUGINS','0','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(95,'PS_GEOLOCATION_ENABLED','0','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(96,'PS_ALLOWED_COUNTRIES','AF;ZA;AX;AL;DZ;DE;AD;AO;AI;AQ;AG;AN;SA;AR;AM;AW;AU;AT;AZ;BS;BH;BD;BB;BY;BE;BZ;BJ;BM;BT;BO;BA;BW;BV;BR;BN;BG;BF;MM;BI;KY;KH;CM;CA;CV;CF;CL;CN;CX;CY;CC;CO;KM;CG;CD;CK;KR;KP;CR;CI;HR;CU;DK;DJ;DM;EG;IE;SV;AE;EC;ER;ES;EE;ET;FK;FO;FJ;FI;FR;GA;GM;GE;GS;GH;GI;GR;GD;GL;GP;GU;GT;GG;GN;GQ;GW;GY;GF;HT;HM;HN;HK;HU;IM;MU;VG;VI;IN;ID;IR;IQ;IS;IL;IT;JM;JP;JE;JO;KZ;KE;KG;KI;KW;LA;LS;LV;LB;LR;LY;LI;LT;LU;MO;MK;MG;MY;MW;MV;ML;MT;MP;MA;MH;MQ;MR;YT;MX;FM;MD;MC;MN;ME;MS;MZ;NA;NR;NP;NI;NE;NG;NU;NF;NO;NC;NZ;IO;OM;UG;UZ;PK;PW;PS;PA;PG;PY;NL;PE;PH;PN;PL;PF;PR;PT;QA;DO;CZ;RE;RO;GB;RU;RW;EH;BL;KN;SM;MF;PM;VA;VC;LC;SB;WS;AS;ST;SN;RS;SC;SL;SG;SK;SI;SO;SD;LK;SE;CH;SR;SJ;SZ;SY;TJ;TW;TZ;TD;TF;TH;TL;TG;TK;TO;TT;TN;TM;TC;TR;TV;UA;UY;US;VU;VE;VN;WF;YE;ZM;ZW','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(97,'PS_GEOLOCATION_BEHAVIOR','0','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(98,'PS_LOCALE_LANGUAGE','en','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(99,'PS_LOCALE_COUNTRY','US','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(100,'PS_ATTACHMENT_MAXIMUM_SIZE','2','2012-05-21 14:38:05','2012-06-18 17:50:18'),
(101,'PS_SMARTY_CACHE','0','2012-05-21 14:38:05','2012-05-21 14:48:54'),
(102,'PS_DIMENSION_UNIT','in','2012-05-21 14:38:05','2012-05-21 13:38:26'),
(103,'PS_FORCE_SMARTY_2','0','2012-05-21 14:38:05','2012-06-18 17:50:18'),
(104,'PS_GUEST_CHECKOUT_ENABLED','0','2012-05-21 14:38:05','2012-06-18 17:50:18'),
(105,'PS_DISPLAY_SUPPLIERS','1','2012-05-21 14:38:05','2012-06-18 17:50:18'),
(106,'PS_CATALOG_MODE','0','2012-05-21 14:38:05','2012-06-18 17:23:15'),
(107,'PS_GEOLOCATION_WHITELIST','209.185.108;209.185.253;209.85.238;209.85.238.11;209.85.238.4;216.239.33.96;216.239.33.97;216.239.33.98;216.239.33.99;216.239.37.98;216.239.37.99;216.239.39.98;216.239.39.99;216.239.41.96;216.239.41.97;216.239.41.98;216.239.41.99;216.239.45.4;216.239.46;216.239.51.96;216.239.51.97;216.239.51.98;216.239.51.99;216.239.53.98;216.239.53.99;216.239.57.96;216.239.57.97;216.239.57.98;216.239.57.99;216.239.59.98;216.239.59.99;216.33.229.163;64.233.173.193;64.233.173.194;64.233.173.195;64.233.173.196;64.233.173.197;64.233.173.198;64.233.173.199;64.233.173.200;64.233.173.201;64.233.173.202;64.233.173.203;64.233.173.204;64.233.173.205;64.233.173.206;64.233.173.207;64.233.173.208;64.233.173.209;64.233.173.210;64.233.173.211;64.233.173.212;64.233.173.213;64.233.173.214;64.233.173.215;64.233.173.216;64.233.173.217;64.233.173.218;64.233.173.219;64.233.173.220;64.233.173.221;64.233.173.222;64.233.173.223;64.233.173.224;64.233.173.225;64.233.173.226;64.233.173.227;64.233.173.228;64.233.173.229;64.233.173.230;64.233.173.231;64.233.173.232;64.233.173.233;64.233.173.234;64.233.173.235;64.233.173.236;64.233.173.237;64.233.173.238;64.233.173.239;64.233.173.240;64.233.173.241;64.233.173.242;64.233.173.243;64.233.173.244;64.233.173.245;64.233.173.246;64.233.173.247;64.233.173.248;64.233.173.249;64.233.173.250;64.233.173.251;64.233.173.252;64.233.173.253;64.233.173.254;64.233.173.255;64.68.80;64.68.81;64.68.82;64.68.83;64.68.84;64.68.85;64.68.86;64.68.87;64.68.88;64.68.89;64.68.90.1;64.68.90.10;64.68.90.11;64.68.90.12;64.68.90.129;64.68.90.13;64.68.90.130;64.68.90.131;64.68.90.132;64.68.90.133;64.68.90.134;64.68.90.135;64.68.90.136;64.68.90.137;64.68.90.138;64.68.90.139;64.68.90.14;64.68.90.140;64.68.90.141;64.68.90.142;64.68.90.143;64.68.90.144;64.68.90.145;64.68.90.146;64.68.90.147;64.68.90.148;64.68.90.149;64.68.90.15;64.68.90.150;64.68.90.151;64.68.90.152;64.68.90.153;64.68.90.154;64.68.90.155;64.68.90.156;64.68.90.157;64.68.90.158;64.68.90.159;64.68.90.16;64.68.90.160;64.68.90.161;64.68.90.162;64.68.90.163;64.68.90.164;64.68.90.165;64.68.90.166;64.68.90.167;64.68.90.168;64.68.90.169;64.68.90.17;64.68.90.170;64.68.90.171;64.68.90.172;64.68.90.173;64.68.90.174;64.68.90.175;64.68.90.176;64.68.90.177;64.68.90.178;64.68.90.179;64.68.90.18;64.68.90.180;64.68.90.181;64.68.90.182;64.68.90.183;64.68.90.184;64.68.90.185;64.68.90.186;64.68.90.187;64.68.90.188;64.68.90.189;64.68.90.19;64.68.90.190;64.68.90.191;64.68.90.192;64.68.90.193;64.68.90.194;64.68.90.195;64.68.90.196;64.68.90.197;64.68.90.198;64.68.90.199;64.68.90.2;64.68.90.20;64.68.90.200;64.68.90.201;64.68.90.202;64.68.90.203;64.68.90.204;64.68.90.205;64.68.90.206;64.68.90.207;64.68.90.208;64.68.90.21;64.68.90.22;64.68.90.23;64.68.90.24;64.68.90.25;64.68.90.26;64.68.90.27;64.68.90.28;64.68.90.29;64.68.90.3;64.68.90.30;64.68.90.31;64.68.90.32;64.68.90.33;64.68.90.34;64.68.90.35;64.68.90.36;64.68.90.37;64.68.90.38;64.68.90.39;64.68.90.4;64.68.90.40;64.68.90.41;64.68.90.42;64.68.90.43;64.68.90.44;64.68.90.45;64.68.90.46;64.68.90.47;64.68.90.48;64.68.90.49;64.68.90.5;64.68.90.50;64.68.90.51;64.68.90.52;64.68.90.53;64.68.90.54;64.68.90.55;64.68.90.56;64.68.90.57;64.68.90.58;64.68.90.59;64.68.90.6;64.68.90.60;64.68.90.61;64.68.90.62;64.68.90.63;64.68.90.64;64.68.90.65;64.68.90.66;64.68.90.67;64.68.90.68;64.68.90.69;64.68.90.7;64.68.90.70;64.68.90.71;64.68.90.72;64.68.90.73;64.68.90.74;64.68.90.75;64.68.90.76;64.68.90.77;64.68.90.78;64.68.90.79;64.68.90.8;64.68.90.80;64.68.90.9;64.68.91;64.68.92;66.249.64;66.249.65;66.249.66;66.249.67;66.249.68;66.249.69;66.249.70;66.249.71;66.249.72;66.249.73;66.249.78;66.249.79;72.14.199;8.6.48','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(108,'PS_LOGS_BY_EMAIL','5','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(109,'PS_COOKIE_CHECKIP','1','2012-05-21 14:38:05','2012-06-18 17:50:18'),
(110,'PS_STORES_CENTER_LAT','25.948969','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(111,'PS_STORES_CENTER_LONG','-80.226439','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(112,'PS_HOMEPAGE_PHP_SELF','index.php','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(113,'PS_USE_ECOTAX','0','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(114,'PS_CANONICAL_REDIRECT','1','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(115,'PS_IMG_UPDATE_TIME','1340018303','2012-05-21 14:38:05','2012-06-18 14:18:23'),
(116,'PS_BACKUP_DROP_TABLE','1','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(117,'PS_OS_CHEQUE','1','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(118,'PS_OS_PAYMENT','2','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(119,'PS_OS_PREPARATION','3','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(120,'PS_OS_SHIPPING','4','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(121,'PS_OS_DELIVERED','5','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(122,'PS_OS_CANCELED','6','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(123,'PS_OS_REFUND','7','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(124,'PS_OS_ERROR','8','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(125,'PS_OS_OUTOFSTOCK','9','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(126,'PS_OS_BANKWIRE','10','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(127,'PS_OS_PAYPAL','11','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(128,'PS_OS_WS_PAYMENT','12','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(129,'PS_LEGACY_IMAGES','1','2012-05-21 14:38:05','2012-06-18 17:23:15'),
(130,'PS_IMAGE_QUALITY','jpg','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(131,'PS_PNG_QUALITY','7','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(132,'PS_JPEG_QUALITY','90','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(133,'PS_COOKIE_LIFETIME_FO','480','2012-05-21 14:38:05','2012-06-18 17:50:18'),
(134,'PS_COOKIE_LIFETIME_BO','480','2012-05-21 14:38:05','2012-06-18 17:50:18'),
(135,'PS_RESTRICT_DELIVERED_COUNTRIES','0','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(136,'PS_LIMIT_UPLOAD_IMAGE_VALUE','2','2012-05-21 14:38:05','2012-06-18 17:50:18'),
(137,'PS_LIMIT_UPLOAD_FILE_VALUE','2','2012-05-21 14:38:05','2012-06-18 17:50:18'),
(138,'PS_CARRIER_DEFAULT','2','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(139,'PS_TAX_ADDRESS_TYPE','id_address_delivery','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(140,'MB_PAY_TO_EMAIL','','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(141,'MB_SECRET_WORD','','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(142,'MB_HIDE_LOGIN','1','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(143,'MB_ID_LOGO','1','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(144,'MB_ID_LOGO_WALLET','1','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(145,'MB_PARAMETERS','0','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(146,'MB_PARAMETERS_2','0','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(147,'MB_DISPLAY_MODE','0','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(148,'MB_CANCEL_URL','http://www.yoursite.com','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(149,'MB_LOCAL_METHODS','2','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(150,'MB_INTER_METHODS','5','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(151,'BANK_WIRE_CURRENCIES','2,1','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(152,'CHEQUE_CURRENCIES','2,1','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(153,'PRODUCTS_VIEWED_NBR','2','2012-05-21 14:38:05','2012-06-18 14:18:53'),
(154,'BLOCK_CATEG_DHTML','1','2012-05-21 14:38:05','2012-05-31 14:40:14'),
(155,'BLOCK_CATEG_MAX_DEPTH','3','2012-05-21 14:38:05','2012-05-31 14:40:14'),
(156,'MANUFACTURER_DISPLAY_FORM','0','2012-05-21 14:38:05','2012-05-31 14:32:23'),
(157,'MANUFACTURER_DISPLAY_TEXT','1','2012-05-21 14:38:05','2012-05-31 14:32:23'),
(158,'MANUFACTURER_DISPLAY_TEXT_NB','8','2012-05-21 14:38:05','2012-05-31 14:32:23'),
(159,'NEW_PRODUCTS_NBR','5','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(160,'PS_TOKEN_ENABLE','1','2012-05-21 14:38:05','2012-06-18 17:50:18'),
(161,'PS_STATS_RENDER','graphxmlswfcharts','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(162,'PS_STATS_OLD_CONNECT_AUTO_CLEAN','never','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(163,'PS_STATS_GRID_RENDER','gridhtml','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(164,'BLOCKTAGS_NBR','10','2012-05-21 14:38:05','2012-05-31 16:06:33'),
(165,'CHECKUP_DESCRIPTIONS_LT','100','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(166,'CHECKUP_DESCRIPTIONS_GT','400','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(167,'CHECKUP_IMAGES_LT','1','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(168,'CHECKUP_IMAGES_GT','2','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(169,'CHECKUP_SALES_LT','1','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(170,'CHECKUP_SALES_GT','2','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(171,'CHECKUP_STOCK_LT','1','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(172,'CHECKUP_STOCK_GT','3','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(193,'PS_SHOP_STATE','','2012-05-21 14:52:21','2012-05-21 14:52:21'),
(192,'PS_SHOP_COUNTRY','','2012-05-21 14:52:21','2012-05-21 14:52:21'),
(176,'BLOCKADVERT_LINK','0','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(177,'BLOCKSTORE_IMG','store.jpg','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(178,'PS_VERSION_DB','1.4.8.2','2012-05-21 14:38:05','2012-05-21 14:38:05'),
(179,'PS_BASE_DISTANCE_UNIT','ft','2012-05-21 13:38:26','2012-05-21 13:38:26'),
(180,'PS_SHOP_DOMAIN','','2012-05-21 14:38:27','2012-05-21 14:38:27'),
(181,'PS_SHOP_DOMAIN_SSL','','2012-05-21 14:38:27','2012-05-21 14:38:27'),
(182,'PS_INSTALL_VERSION','1.4.8.2','2012-05-21 14:38:27','2012-05-21 14:38:27'),
(183,'PS_SHOP_NAME','Bike store','2012-05-21 14:38:27','2012-05-21 14:52:21'),
(184,'PS_SHOP_EMAIL','admin@admin.com','2012-05-21 14:38:27','2012-05-21 14:52:21'),
(185,'PS_MAIL_METHOD','1','2012-05-21 14:38:27','2012-05-21 14:38:27'),
(186,'PS_SHOP_ACTIVITY','0','2012-05-21 14:38:27','2012-05-21 14:38:27'),
(187,'BLOCKADVERT_IMG_EXT','jpg','2012-05-21 14:47:50','2012-08-01 14:24:02'),
(188,'PS_LAST_VERSION','a:10:{s:4:\"name\";s:13:\"1.4.8.2 final\";s:3:\"num\";s:7:\"1.4.8.2\";s:4:\"link\";s:66:\"http://www.prestashop.com/download/releases/prestashop_1.4.8.2.zip\";s:3:\"md5\";s:32:\"fa95a95970489a27442a5c53ca4ca6f3\";s:11:\"autoupgrade\";i:1;s:18:\"autoupgrade_module\";i:1;s:24:\"autoupgrade_last_version\";s:5:\"0.3.4\";s:23:\"autoupgrade_module_link\";s:50:\"http://www.prestashop.com/download/autoupgrade.zip\";s:9:\"changelog\";s:0:\"\";s:4:\"desc\";s:0:\"\";}','2012-05-21 14:48:31','2012-08-01 14:17:51'),
(189,'PS_LAST_VERSION_CHECK','1343819871','2012-05-21 14:48:31','2012-08-01 14:17:51'),
(190,'PS_PREACTIVATION_PAYPAL_WARNING','','2012-05-21 14:48:32','2012-08-01 14:17:52'),
(191,'TS_TAB1_ENV_API','test','2012-05-21 14:49:10','2012-05-21 14:49:10'),
(194,'PS_SHOP_ADDR1','','2012-05-21 14:52:21','2012-05-21 14:52:21'),
(195,'PS_SHOP_ADDR2','','2012-05-21 14:52:21','2012-05-21 14:52:21'),
(196,'PS_SHOP_CITY','','2012-05-21 14:52:21','2012-05-21 14:52:21'),
(197,'PS_SHOP_STATE_ID','0','2012-05-21 14:52:21','2012-05-21 14:52:21'),
(198,'PS_SHOP_CODE','','2012-05-21 14:52:21','2012-05-21 14:52:21'),
(199,'PS_SHOP_COUNTRY_ID','0','2012-05-21 14:52:21','2012-05-21 14:52:21'),
(200,'PS_SHOP_PHONE','','2012-05-21 14:52:21','2012-05-21 14:52:21'),
(201,'PS_SHOP_DETAILS','','2012-05-21 14:52:21','2012-05-21 14:52:21'),
(202,'PS_SHOP_FAX','','2012-05-21 14:52:21','2012-05-21 14:52:21'),
(203,'HOME_FEATURED_NBR','6','2012-05-21 14:53:24','2012-05-21 14:53:24'),
(204,'PS_MAINTENANCE_IP','','2012-05-21 16:57:53','2012-06-18 17:50:18'),
(205,'PS_GIFT_WRAPPING_TAX','0','2012-05-21 16:57:53','2012-06-18 17:50:18'),
(206,'PS_CART_FOLLOWING','1','2012-05-21 16:57:53','2012-06-18 17:50:18'),
(207,'PS_HIDE_OPTIMIZATION_TIPS','0','2012-05-21 16:57:53','2012-06-18 17:50:18'),
(208,'PS_BLOCKLINK_TITLE','','2012-05-21 17:00:02','2012-05-21 17:00:02'),
(209,'RSS_FEED_TITLE','RSS feed','2012-05-21 17:00:02','2012-05-21 17:33:08'),
(210,'RSS_FEED_NBR','5','2012-05-21 17:00:02','2012-05-21 17:33:08'),
(211,'SUPPLIER_DISPLAY_TEXT','1','2012-05-21 17:00:02','2012-05-21 17:00:02'),
(212,'SUPPLIER_DISPLAY_TEXT_NB','5','2012-05-21 17:00:02','2012-05-21 17:00:02'),
(213,'SUPPLIER_DISPLAY_FORM','1','2012-05-21 17:00:02','2012-05-21 17:00:02'),
(214,'RSS_FEED_URL','http://blog.templatemonster.com/feed/','2012-05-21 17:33:08','2012-05-21 17:33:08'),
(215,'PS_PAYMENT_LOGO_CMS_ID','5','2012-05-21 17:43:22','2012-05-21 17:43:22'),
(216,'PS_PRODUCT_SHORT_DESC_LIMIT','0','2012-05-22 10:33:00','2012-06-18 17:23:15'),
(217,'PS_IMAGE_GENERATION_METHOD','0','2012-05-22 10:33:00','2012-06-18 17:23:15'),
(218,'PS_QTY_DISCOUNT_ON_COMBINATION','0','2012-05-22 10:33:00','2012-06-18 17:23:15'),
(219,'PRODUCT_COMMENTS_MINIMAL_TIME','0','2012-05-22 12:27:43','2012-05-22 12:36:21'),
(220,'PRODUCT_COMMENTS_ALLOW_GUESTS','1','2012-05-22 12:27:43','2012-05-22 12:36:21'),
(221,'PRODUCT_COMMENTS_MODERATE','0','2012-05-22 12:27:43','2012-05-22 12:36:21'),
(222,'TMTEXTBLOCK1','jpg','2012-05-31 14:34:00','2012-08-01 14:24:03'),
(223,'TMTEXTBLOCK2','552 5975','2012-05-31 14:34:00','2012-06-18 14:52:50'),
(224,'TMTEXTBLOCK3','+1 959','2012-05-31 14:34:43','2012-06-18 14:52:50'),
(225,'TMADVBLOCK1_IMG_EXT','jpg','2012-05-31 14:39:07','2012-08-01 12:04:13'),
(226,'TMADVBLOCK2_IMG_EXT','jpg','2012-05-31 14:39:07','2012-08-01 12:04:38'),
(227,'TMADVBLOCK1_LINK','http://www.prestashop.com','2012-05-31 14:39:51','2012-08-01 12:04:13'),
(228,'TMADVBLOCK2_LINK','http://www.prestashop.com','2012-05-31 14:40:04','2012-08-01 12:04:38');

/* Table structure for table `ps_configuration_lang` */
DROP TABLE IF EXISTS `ps_configuration_lang`;

CREATE TABLE `ps_configuration_lang` (
  `id_configuration` int(10) unsigned NOT NULL,
  `id_lang` int(10) unsigned NOT NULL,
  `value` text,
  `date_upd` datetime DEFAULT NULL,
  PRIMARY KEY (`id_configuration`,`id_lang`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

/* dumping data for table `ps_configuration_lang` */
INSERT INTO `ps_configuration_lang` VALUES
(36,1,'IN','2012-05-21 14:38:05'),
(36,2,'FA','2012-05-21 14:38:05'),
(36,3,'CU','2012-05-21 14:38:05'),
(36,4,'FA','2012-05-21 14:38:05'),
(36,5,'FA','2012-05-21 14:38:05'),
(38,1,'DE','2012-05-21 14:38:05'),
(38,2,'LI','2012-05-21 14:38:05'),
(38,3,'EN','2012-05-21 14:38:05'),
(38,4,'LI','2012-05-21 14:38:05'),
(38,5,'BC','2012-05-21 14:38:05'),
(46,1,'a|the|of|on|in|and|to','2012-05-21 14:38:05'),
(46,2,'le|les|de|et|en|des|les|une','2012-05-21 14:38:05'),
(46,3,'de|los|las|lo|la|en|de|y|el|a','2012-05-21 14:38:05'),
(46,4,'','2012-05-21 14:38:05'),
(46,5,'','2012-05-21 14:38:05'),
(68,1,'0','2012-05-21 14:38:05'),
(68,2,'0','2012-05-21 14:38:05'),
(68,3,'0','2012-05-21 14:38:05'),
(68,4,'0','2012-05-21 14:38:05'),
(68,5,'0','2012-05-21 14:38:05'),
(74,1,'Dear Customer,\r\n\r\nRegards,\r\nCustomer service','2012-05-21 14:38:05'),
(74,2,'Cher client,\r\n\r\nCordialement,\r\nLe service client','2012-05-21 14:38:05'),
(74,3,'Estimado cliente,\r\n\r\nUn cordial saludo,\r\nAtención al cliente','2012-05-21 14:38:05'),
(74,4,'Lieber Kunde,\r\n\r\nMit freundlichen Grüßen,\r\nIhr Kundenservice','2012-05-21 14:38:05'),
(74,5,'Gentile Cliente,\r\n\r\nCordiali saluti,\r\nServizio Clienti','2012-05-21 14:38:05'),
(208,1,'Block link','2012-05-21 17:00:02'),
(208,2,'Bloc lien','2012-05-21 17:00:02');

/* Table structure for table `ps_currency` */
DROP TABLE IF EXISTS `ps_currency`;

CREATE TABLE `ps_currency` (
  `id_currency` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(32) NOT NULL,
  `iso_code` varchar(3) NOT NULL DEFAULT '0',
  `iso_code_num` varchar(3) NOT NULL DEFAULT '0',
  `sign` varchar(8) NOT NULL,
  `blank` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `format` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `decimals` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `conversion_rate` decimal(13,6) NOT NULL,
  `deleted` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `active` tinyint(1) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`id_currency`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

/* dumping data for table `ps_currency` */
INSERT INTO `ps_currency` VALUES
(1,'Euro','EUR','978','€',1,2,1,'0.786102',0,1),
(2,'Dollar','USD','840','$',0,1,1,'1.000000',0,1),
(3,'Pound','GBP','826','£',0,1,1,'0.632183',0,1);

/* Table structure for table `ps_date_range` */
DROP TABLE IF EXISTS `ps_date_range`;

CREATE TABLE `ps_date_range` (
  `id_date_range` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `time_start` datetime NOT NULL,
  `time_end` datetime NOT NULL,
  PRIMARY KEY (`id_date_range`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


/* Table structure for table `ps_editorial` */
DROP TABLE IF EXISTS `ps_editorial`;

CREATE TABLE `ps_editorial` (
  `id_editorial` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `body_home_logo_link` varchar(255) NOT NULL,
  PRIMARY KEY (`id_editorial`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

/* dumping data for table `ps_editorial` */
INSERT INTO `ps_editorial` VALUES
(1,'http://www.prestashop.com');

/* Table structure for table `ps_editorial_lang` */
DROP TABLE IF EXISTS `ps_editorial_lang`;

CREATE TABLE `ps_editorial_lang` (
  `id_editorial` int(10) unsigned NOT NULL,
  `id_lang` int(10) unsigned NOT NULL,
  `body_title` varchar(255) NOT NULL,
  `body_subheading` varchar(255) NOT NULL,
  `body_paragraph` text NOT NULL,
  `body_logo_subheading` varchar(255) NOT NULL,
  PRIMARY KEY (`id_editorial`,`id_lang`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

/* dumping data for table `ps_editorial_lang` */
INSERT INTO `ps_editorial_lang` VALUES
(1,1,'Lorem ipsum dolor sit amet','Consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum</p>','Excepteur sint prestashop cupidatat non proident'),
(1,2,'Lorem ipsum dolor sit amet','Excepteur sint occaecat cupidatat non proident','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum</p>','Lorem ipsum presta shop amet'),
(1,3,'Lorem ipsum dolor sit amet','Consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum</p>','Excepteur sint prestashop cupidatat non proident'),
(1,4,'Lorem ipsum dolor sit amet','Consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum</p>','Excepteur sint prestashop cupidatat non proident'),
(1,5,'Lorem ipsum dolor sit amet','Consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua','<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum</p>','Excepteur sint prestashop cupidatat non proident');

/* Table structure for table `ps_feature` */
DROP TABLE IF EXISTS `ps_feature`;

CREATE TABLE `ps_feature` (
  `id_feature` int(10) unsigned NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`id_feature`)
) ENGINE=MyISAM AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;

/* dumping data for table `ps_feature` */
INSERT INTO `ps_feature` VALUES
(1),
(2),
(3),
(4),
(5),
(6),
(7);

/* Table structure for table `ps_feature_lang` */
DROP TABLE IF EXISTS `ps_feature_lang`;

CREATE TABLE `ps_feature_lang` (
  `id_feature` int(10) unsigned NOT NULL,
  `id_lang` int(10) unsigned NOT NULL,
  `name` varchar(128) DEFAULT NULL,
  PRIMARY KEY (`id_feature`,`id_lang`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

/* dumping data for table `ps_feature_lang` */
INSERT INTO `ps_feature_lang` VALUES
(1,1,'Height'),
(1,2,'Hauteur'),
(2,1,'Width'),
(2,2,'Largeur'),
(3,1,'Depth'),
(3,2,'Profondeur'),
(4,1,'Weight'),
(4,2,'Poids'),
(5,1,'Headphone'),
(5,2,'Prise casque'),
(1,3,'Alto'),
(2,3,'Ancho'),
(3,3,'Profundo'),
(4,3,'Peso'),
(5,3,'Toma auriculares'),
(1,4,'Höhe'),
(2,4,'Breite'),
(3,4,'Tiefe'),
(4,4,'Gewicht'),
(5,4,'Kopfhörer'),
(1,5,'Altezza'),
(2,5,'Larghezza'),
(3,5,'Profondità'),
(4,5,'Peso'),
(5,5,'Auricolare'),
(6,1,'Size'),
(6,2,'Size'),
(6,3,'Size'),
(6,4,'Size'),
(6,5,'Size'),
(7,1,'widht'),
(7,2,'widht'),
(7,3,'widht'),
(7,4,'widht'),
(7,5,'widht');

/* Table structure for table `ps_feature_product` */
DROP TABLE IF EXISTS `ps_feature_product`;

CREATE TABLE `ps_feature_product` (
  `id_feature` int(10) unsigned NOT NULL,
  `id_product` int(10) unsigned NOT NULL,
  `id_feature_value` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id_feature`,`id_product`),
  KEY `id_feature_value` (`id_feature_value`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

/* dumping data for table `ps_feature_product` */
INSERT INTO `ps_feature_product` VALUES
(2,1,1915),
(1,1,1916),
(3,1,1917),
(4,1,1918),
(6,1,1919),
(2,2,1920),
(1,2,1921),
(3,2,1922),
(4,2,1923),
(6,2,1924),
(2,3,1925),
(1,3,1926),
(3,3,1927),
(4,3,1928),
(6,3,1929),
(2,4,1930),
(1,4,1931),
(3,4,1932),
(4,4,1933),
(6,4,1934),
(2,5,1935),
(1,5,1936),
(3,5,1937),
(4,5,1938),
(6,5,1939),
(2,6,1940),
(1,6,1941),
(3,6,1942),
(4,6,1943),
(6,6,1944),
(2,7,1945),
(1,7,1946),
(3,7,1947),
(4,7,1948),
(6,7,1949),
(2,8,1950),
(1,8,1951),
(3,8,1952),
(4,8,1953),
(6,8,1954),
(2,9,1955),
(1,9,1956),
(3,9,1957),
(4,9,1958),
(6,9,1959),
(2,10,1960),
(1,10,1961),
(3,10,1962),
(4,10,1963),
(6,10,1964),
(2,11,1965),
(1,11,1966),
(3,11,1967),
(4,11,1968),
(6,11,1969),
(2,12,1970),
(1,12,1971),
(3,12,1972),
(4,12,1973),
(6,12,1974),
(2,13,1975),
(1,13,1976),
(3,13,1977),
(4,13,1978),
(6,13,1979),
(2,14,1980),
(1,14,1981),
(3,14,1982),
(4,14,1983),
(6,14,1984),
(2,15,1985),
(1,15,1986),
(3,15,1987),
(4,15,1988),
(6,15,1989),
(2,16,1990),
(1,16,1991),
(3,16,1992),
(4,16,1993),
(6,16,1994),
(2,17,1995),
(1,17,1996),
(3,17,1997),
(4,17,1998),
(6,17,1999),
(2,18,2000),
(1,18,2001),
(3,18,2002),
(4,18,2003),
(6,18,2004),
(2,19,2005),
(1,19,2006),
(3,19,2007),
(4,19,2008),
(6,19,2009),
(2,20,2010),
(1,20,2011),
(3,20,2012),
(4,20,2013),
(6,20,2014),
(2,21,2015),
(1,21,2016),
(3,21,2017),
(4,21,2018),
(6,21,2019),
(2,22,2020),
(1,22,2021),
(3,22,2022),
(4,22,2023),
(6,22,2024),
(2,23,2025),
(1,23,2026),
(3,23,2027),
(4,23,2028),
(6,23,2029),
(2,24,2030),
(1,24,2031),
(3,24,2032),
(4,24,2033),
(6,24,2034),
(2,25,2035),
(1,25,2036),
(3,25,2037),
(4,25,2038),
(6,25,2039),
(2,26,2040),
(1,26,2041),
(3,26,2042),
(4,26,2043),
(6,26,2044),
(2,27,2045),
(1,27,2046),
(3,27,2047),
(4,27,2048),
(6,27,2049),
(2,28,2050),
(1,28,2051),
(3,28,2052),
(4,28,2053),
(6,28,2054),
(2,29,2055),
(1,29,2056),
(3,29,2057),
(4,29,2058),
(6,29,2059),
(2,30,2060),
(1,30,2061),
(3,30,2062),
(4,30,2063),
(6,30,2064),
(2,31,2065),
(1,31,2066),
(3,31,2067),
(4,31,2068),
(6,31,2069),
(2,32,2070),
(1,32,2071),
(3,32,2072),
(4,32,2073),
(6,32,2074),
(2,33,2075),
(1,33,2076),
(3,33,2077),
(4,33,2078),
(6,33,2079),
(2,34,2080),
(1,34,2081),
(3,34,2082),
(4,34,2083),
(6,34,2084),
(2,35,2085),
(1,35,2086),
(3,35,2087),
(4,35,2088),
(6,35,2089),
(2,36,2090),
(1,36,2091),
(3,36,2092),
(4,36,2093),
(6,36,2094),
(2,37,2095),
(1,37,2096),
(3,37,2097),
(4,37,2098),
(6,37,2099),
(2,38,2100),
(1,38,2101),
(3,38,2102),
(4,38,2103),
(6,38,2104),
(2,39,2105),
(1,39,2106),
(3,39,2107),
(4,39,2108),
(6,39,2109),
(2,40,2110),
(1,40,2111),
(3,40,2112),
(4,40,2113),
(6,40,2114);

/* Table structure for table `ps_feature_value` */
DROP TABLE IF EXISTS `ps_feature_value`;

CREATE TABLE `ps_feature_value` (
  `id_feature_value` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `id_feature` int(10) unsigned NOT NULL,
  `custom` tinyint(3) unsigned DEFAULT NULL,
  PRIMARY KEY (`id_feature_value`),
  KEY `feature` (`id_feature`)
) ENGINE=MyISAM AUTO_INCREMENT=2115 DEFAULT CHARSET=utf8;

/* dumping data for table `ps_feature_value` */
INSERT INTO `ps_feature_value` VALUES
(11,1,1),
(15,1,1),
(12,2,1),
(16,2,1),
(14,3,1),
(18,3,1),
(13,4,1),
(17,4,1),
(26,3,1),
(25,4,1),
(24,2,1),
(23,1,1),
(9,5,0),
(10,5,0),
(27,2,1),
(28,1,1),
(29,3,1),
(30,4,1),
(31,6,1),
(32,2,1),
(33,1,1),
(34,3,1),
(35,4,1),
(36,6,1),
(37,2,1),
(38,1,1),
(39,3,1),
(40,4,1),
(41,6,1),
(42,2,1),
(43,1,1),
(44,3,1),
(45,4,1),
(46,6,1),
(47,2,1),
(48,1,1),
(49,3,1),
(50,4,1),
(51,6,1),
(52,2,1),
(53,1,1),
(54,3,1),
(55,4,1),
(56,6,1),
(57,2,1),
(58,1,1),
(59,3,1),
(60,4,1),
(61,6,1),
(62,2,1),
(63,1,1),
(64,3,1),
(65,4,1),
(66,6,1),
(67,2,1),
(68,1,1),
(69,3,1),
(70,4,1),
(71,6,1),
(72,2,1),
(73,1,1),
(74,3,1),
(75,4,1),
(76,6,1),
(77,2,1),
(78,1,1),
(79,3,1),
(80,4,1),
(81,6,1),
(82,2,1),
(83,1,1),
(84,3,1),
(85,4,1),
(86,6,1),
(87,2,1),
(88,1,1),
(89,3,1),
(90,4,1),
(91,6,1),
(92,2,1),
(93,1,1),
(94,3,1),
(95,4,1),
(96,6,1),
(97,2,1),
(98,1,1),
(99,3,1),
(100,4,1),
(101,6,1),
(102,2,1),
(103,1,1),
(104,3,1),
(105,4,1),
(106,6,1),
(107,2,1),
(108,1,1),
(109,3,1),
(110,4,1),
(111,6,1),
(112,2,1),
(113,1,1),
(114,3,1),
(115,4,1),
(116,6,1),
(117,2,1),
(118,1,1),
(119,3,1),
(120,4,1),
(121,6,1),
(122,2,1),
(123,1,1),
(124,3,1),
(125,4,1),
(126,6,1),
(127,2,1),
(128,1,1),
(129,3,1),
(130,4,1),
(131,6,1),
(132,2,1),
(133,1,1),
(134,3,1),
(135,4,1),
(136,6,1),
(137,2,1),
(138,1,1),
(139,3,1),
(140,4,1),
(141,6,1),
(142,2,1),
(143,1,1),
(144,3,1),
(145,4,1),
(146,6,1),
(147,2,1),
(148,1,1),
(149,3,1),
(150,4,1),
(151,6,1),
(152,2,1),
(153,1,1),
(154,3,1),
(155,4,1),
(156,6,1),
(157,2,1),
(158,1,1),
(159,3,1),
(160,4,1),
(161,6,1),
(162,2,1),
(163,1,1),
(164,3,1),
(165,4,1),
(166,6,1),
(167,2,1),
(168,1,1),
(169,3,1),
(170,4,1),
(171,6,1),
(172,2,1),
(173,1,1),
(174,3,1),
(175,4,1),
(176,6,1),
(177,2,1),
(178,1,1),
(179,3,1),
(180,4,1),
(181,6,1),
(182,2,1),
(183,1,1),
(184,3,1),
(185,4,1),
(186,6,1),
(187,2,1),
(188,1,1),
(189,3,1),
(190,4,1),
(191,6,1),
(192,2,1),
(193,1,1),
(194,3,1),
(195,4,1),
(196,6,1),
(197,2,1),
(198,1,1),
(199,3,1),
(200,4,1),
(201,6,1),
(202,2,1),
(203,1,1),
(204,3,1),
(205,4,1),
(206,6,1),
(207,2,1),
(208,1,1),
(209,3,1),
(210,4,1),
(211,6,1),
(212,2,1),
(213,1,1),
(214,3,1),
(215,4,1),
(216,6,1),
(217,2,1),
(218,1,1),
(219,3,1),
(220,4,1),
(221,6,1),
(222,2,1),
(223,1,1),
(224,3,1),
(225,4,1),
(226,6,1),
(227,2,1),
(228,1,1),
(229,3,1),
(230,4,1),
(231,6,1),
(232,2,1),
(233,1,1),
(234,3,1),
(235,4,1),
(236,6,1),
(237,2,1),
(238,1,1),
(239,3,1),
(240,4,1),
(241,6,1),
(242,2,1),
(243,1,1),
(244,3,1),
(245,4,1),
(246,6,1),
(247,2,1),
(248,1,1),
(249,3,1),
(250,4,1),
(251,6,1),
(252,2,1),
(253,1,1),
(254,3,1),
(255,4,1),
(256,6,1),
(257,2,1),
(258,1,1),
(259,3,1),
(260,4,1),
(261,6,1),
(262,2,1),
(263,1,1),
(264,3,1),
(265,4,1),
(266,6,1),
(267,2,1),
(268,1,1),
(269,3,1),
(270,4,1),
(271,2,1),
(272,1,1),
(273,3,1),
(274,4,1),
(275,2,1),
(276,1,1),
(277,3,1),
(278,4,1),
(279,2,1),
(280,1,1),
(281,3,1),
(282,4,1),
(283,2,1),
(284,1,1),
(285,3,1),
(286,4,1),
(287,2,1),
(288,1,1),
(289,3,1),
(290,4,1),
(291,2,1),
(292,1,1),
(293,3,1),
(294,4,1),
(295,2,1),
(296,1,1),
(297,3,1),
(298,4,1),
(299,2,1),
(300,1,1),
(301,3,1),
(302,4,1),
(303,2,1),
(304,1,1),
(305,3,1),
(306,4,1),
(307,2,1),
(308,1,1),
(309,3,1),
(310,4,1),
(311,2,1),
(312,1,1),
(313,3,1),
(314,4,1),
(315,2,1),
(316,1,1),
(317,3,1),
(318,4,1),
(319,6,1),
(320,2,1),
(321,1,1),
(322,3,1),
(323,4,1),
(324,6,1),
(325,2,1),
(326,1,1),
(327,3,1),
(328,4,1),
(329,6,1),
(330,2,1),
(331,1,1),
(332,3,1),
(333,4,1),
(334,6,1),
(335,2,1),
(336,1,1),
(337,3,1),
(338,4,1),
(339,6,1),
(340,2,1),
(341,1,1),
(342,3,1),
(343,4,1),
(344,6,1),
(345,2,1),
(346,1,1),
(347,3,1),
(348,4,1),
(349,6,1),
(350,2,1),
(351,1,1),
(352,3,1),
(353,4,1),
(354,6,1),
(355,2,1),
(356,1,1),
(357,3,1),
(358,4,1),
(359,6,1),
(360,2,1),
(361,1,1),
(362,3,1),
(363,4,1),
(364,6,1),
(365,2,1),
(366,1,1),
(367,3,1),
(368,4,1),
(369,6,1),
(370,2,1),
(371,1,1),
(372,3,1),
(373,4,1),
(374,6,1),
(375,2,1),
(376,1,1),
(377,3,1),
(378,4,1),
(379,6,1),
(380,2,1),
(381,1,1),
(382,3,1),
(383,4,1),
(384,6,1),
(385,2,1),
(386,1,1),
(387,3,1),
(388,4,1),
(389,6,1),
(390,2,1),
(391,1,1),
(392,3,1),
(393,4,1),
(394,6,1),
(395,2,1),
(396,1,1),
(397,3,1),
(398,4,1),
(399,6,1),
(400,2,1),
(401,1,1),
(402,3,1),
(403,4,1),
(404,6,1),
(405,2,1),
(406,1,1),
(407,3,1),
(408,4,1),
(409,6,1),
(410,2,1),
(411,1,1),
(412,3,1),
(413,4,1),
(414,6,1),
(415,2,1),
(416,1,1),
(417,3,1),
(418,4,1),
(419,6,1),
(420,2,1),
(421,1,1),
(422,3,1),
(423,4,1),
(424,6,1),
(425,2,1),
(426,1,1),
(427,3,1),
(428,4,1),
(429,6,1),
(430,2,1),
(431,1,1),
(432,3,1),
(433,4,1),
(434,6,1),
(435,2,1),
(436,1,1),
(437,3,1),
(438,4,1),
(439,6,1),
(440,2,1),
(441,1,1),
(442,3,1),
(443,4,1),
(444,6,1),
(445,2,1),
(446,1,1),
(447,3,1),
(448,4,1),
(449,6,1),
(450,2,1),
(451,1,1),
(452,3,1),
(453,4,1),
(454,6,1),
(455,2,1),
(456,1,1),
(457,3,1),
(458,4,1),
(459,6,1),
(460,2,1),
(461,1,1),
(462,3,1),
(463,4,1),
(464,6,1),
(465,2,1),
(466,1,1),
(467,3,1),
(468,4,1),
(469,6,1),
(470,2,1),
(471,1,1),
(472,3,1),
(473,4,1),
(474,6,1),
(475,2,1),
(476,1,1),
(477,3,1),
(478,4,1),
(479,6,1),
(480,2,1),
(481,1,1),
(482,3,1),
(483,4,1),
(484,6,1),
(485,2,1),
(486,1,1),
(487,3,1),
(488,4,1),
(489,6,1),
(490,2,1),
(491,1,1),
(492,3,1),
(493,4,1),
(494,6,1),
(495,2,1),
(496,1,1),
(497,3,1),
(498,4,1),
(499,6,1),
(500,2,1),
(501,1,1),
(502,3,1),
(503,4,1),
(504,6,1),
(505,2,1),
(506,1,1),
(507,3,1),
(508,4,1),
(509,6,1),
(510,2,1),
(511,1,1),
(512,3,1),
(513,4,1),
(514,6,1),
(515,2,1),
(516,1,1),
(517,3,1),
(518,4,1),
(519,6,1),
(520,2,1),
(521,1,1),
(522,3,1),
(523,4,1),
(524,6,1),
(525,2,1),
(526,1,1),
(527,3,1),
(528,4,1),
(529,6,1),
(530,2,1),
(531,1,1),
(532,3,1),
(533,4,1),
(534,6,1),
(535,2,1),
(536,1,1),
(537,3,1),
(538,4,1),
(539,6,1),
(540,2,1),
(541,1,1),
(542,3,1),
(543,4,1),
(544,6,1),
(545,2,1),
(546,1,1),
(547,3,1),
(548,4,1),
(549,6,1),
(550,2,1),
(551,1,1),
(552,3,1),
(553,4,1),
(554,6,1),
(555,2,1),
(556,1,1),
(557,3,1),
(558,4,1),
(559,6,1),
(560,2,1),
(561,1,1),
(562,3,1),
(563,4,1),
(564,6,1),
(565,2,1),
(566,1,1),
(567,3,1),
(568,4,1),
(569,6,1),
(570,2,1),
(571,1,1),
(572,3,1),
(573,4,1),
(574,6,1),
(575,2,1),
(576,1,1),
(577,3,1),
(578,4,1),
(579,6,1),
(580,2,1),
(581,1,1),
(582,3,1),
(583,4,1),
(584,6,1),
(585,2,1),
(586,1,1),
(587,3,1),
(588,4,1),
(589,6,1),
(590,2,1),
(591,1,1),
(592,3,1),
(593,4,1),
(594,6,1),
(595,2,1),
(596,1,1),
(597,3,1),
(598,4,1),
(599,6,1),
(600,2,1),
(601,1,1),
(602,3,1),
(603,4,1),
(604,6,1),
(605,2,1),
(606,1,1),
(607,3,1),
(608,4,1),
(609,6,1),
(610,2,1),
(611,1,1),
(612,3,1),
(613,4,1),
(614,6,1),
(615,2,1),
(616,1,1),
(617,3,1),
(618,4,1),
(619,6,1),
(620,2,1),
(621,1,1),
(622,3,1),
(623,4,1),
(624,6,1),
(625,2,1),
(626,1,1),
(627,3,1),
(628,4,1),
(629,6,1),
(630,2,1),
(631,1,1),
(632,3,1),
(633,4,1),
(634,6,1),
(635,2,1),
(636,1,1),
(637,3,1),
(638,4,1),
(639,6,1),
(640,2,1),
(641,1,1),
(642,3,1),
(643,4,1),
(644,6,1),
(645,2,1),
(646,1,1),
(647,3,1),
(648,4,1),
(649,6,1),
(650,2,1),
(651,1,1),
(652,3,1),
(653,4,1),
(654,6,1),
(655,2,1),
(656,1,1),
(657,3,1),
(658,4,1),
(659,6,1),
(660,2,1),
(661,1,1),
(662,3,1),
(663,4,1),
(664,6,1),
(665,2,1),
(666,1,1),
(667,3,1),
(668,4,1),
(669,6,1),
(670,2,1),
(671,1,1),
(672,3,1),
(673,4,1),
(674,6,1),
(675,2,1),
(676,1,1),
(677,3,1),
(678,4,1),
(679,6,1),
(680,2,1),
(681,1,1),
(682,3,1),
(683,4,1),
(684,6,1),
(685,2,1),
(686,1,1),
(687,3,1),
(688,4,1),
(689,6,1),
(690,2,1),
(691,1,1),
(692,3,1),
(693,4,1),
(694,6,1),
(695,2,1),
(696,1,1),
(697,3,1),
(698,4,1),
(699,6,1),
(700,2,1),
(701,1,1),
(702,3,1),
(703,4,1),
(704,6,1),
(705,2,1),
(706,1,1),
(707,3,1),
(708,4,1),
(709,6,1),
(710,2,1),
(711,1,1),
(712,3,1),
(713,4,1),
(714,6,1),
(715,2,1),
(716,1,1),
(717,3,1),
(718,4,1),
(719,6,1),
(720,2,1),
(721,1,1),
(722,3,1),
(723,4,1),
(724,6,1),
(725,2,1),
(726,1,1),
(727,3,1),
(728,4,1),
(729,6,1),
(730,2,1),
(731,1,1),
(732,3,1),
(733,4,1),
(734,6,1),
(735,2,1),
(736,1,1),
(737,3,1),
(738,4,1),
(739,6,1),
(740,2,1),
(741,1,1),
(742,3,1),
(743,4,1),
(744,6,1),
(745,2,1),
(746,1,1),
(747,3,1),
(748,4,1),
(749,6,1),
(750,2,1),
(751,1,1),
(752,3,1),
(753,4,1),
(754,6,1),
(755,2,1),
(756,1,1),
(757,3,1),
(758,4,1),
(759,6,1),
(760,2,1),
(761,1,1),
(762,3,1),
(763,4,1),
(764,6,1),
(765,2,1),
(766,1,1),
(767,3,1),
(768,4,1),
(769,6,1),
(770,2,1),
(771,1,1),
(772,3,1),
(773,4,1),
(774,6,1),
(775,2,1),
(776,1,1),
(777,3,1),
(778,4,1),
(779,6,1),
(780,2,1),
(781,1,1),
(782,3,1),
(783,4,1),
(784,6,1),
(785,2,1),
(786,1,1),
(787,3,1),
(788,4,1),
(789,6,1),
(790,2,1),
(791,1,1),
(792,3,1),
(793,4,1),
(794,6,1),
(795,2,1),
(796,1,1),
(797,3,1),
(798,4,1),
(799,6,1),
(800,2,1),
(801,1,1),
(802,3,1),
(803,4,1),
(804,6,1),
(805,2,1),
(806,1,1),
(807,3,1),
(808,4,1),
(809,6,1),
(810,2,1),
(811,1,1),
(812,3,1),
(813,4,1),
(814,6,1),
(815,2,1),
(816,1,1),
(817,3,1),
(818,4,1),
(819,6,1),
(820,2,1),
(821,1,1),
(822,3,1),
(823,4,1),
(824,6,1),
(825,2,1),
(826,1,1),
(827,3,1),
(828,4,1),
(829,6,1),
(830,2,1),
(831,1,1),
(832,3,1),
(833,4,1),
(834,6,1),
(835,2,1),
(836,1,1),
(837,3,1),
(838,4,1),
(839,6,1),
(840,2,1),
(841,1,1),
(842,3,1),
(843,4,1),
(844,6,1),
(845,2,1),
(846,1,1),
(847,3,1),
(848,4,1),
(849,6,1),
(850,2,1),
(851,1,1),
(852,3,1),
(853,4,1),
(854,6,1),
(855,2,1),
(856,1,1),
(857,3,1),
(858,4,1),
(859,6,1),
(860,2,1),
(861,1,1),
(862,3,1),
(863,4,1),
(864,6,1),
(865,2,1),
(866,1,1),
(867,3,1),
(868,4,1),
(869,6,1),
(870,2,1),
(871,1,1),
(872,3,1),
(873,4,1),
(874,6,1),
(875,2,1),
(876,1,1),
(877,3,1),
(878,4,1),
(879,6,1),
(880,2,1),
(881,1,1),
(882,3,1),
(883,4,1),
(884,6,1),
(885,2,1),
(886,1,1),
(887,3,1),
(888,4,1),
(889,6,1),
(890,2,1),
(891,1,1),
(892,3,1),
(893,4,1),
(894,6,1),
(895,2,1),
(896,1,1),
(897,3,1),
(898,4,1),
(899,6,1),
(900,2,1),
(901,1,1),
(902,3,1),
(903,4,1),
(904,6,1),
(905,2,1),
(906,1,1),
(907,3,1),
(908,4,1),
(909,6,1),
(910,2,1),
(911,1,1),
(912,3,1),
(913,4,1),
(914,6,1),
(915,2,1),
(916,1,1),
(917,3,1),
(918,4,1),
(919,6,1),
(920,2,1),
(921,1,1),
(922,3,1),
(923,4,1),
(924,6,1),
(925,2,1),
(926,1,1),
(927,3,1),
(928,4,1),
(929,6,1),
(930,2,1),
(931,1,1),
(932,3,1),
(933,4,1),
(934,6,1),
(935,2,1),
(936,1,1),
(937,3,1),
(938,4,1),
(939,6,1),
(940,2,1),
(941,1,1),
(942,3,1),
(943,4,1),
(944,6,1),
(945,2,1),
(946,1,1),
(947,3,1),
(948,4,1),
(949,6,1),
(950,2,1),
(951,1,1),
(952,3,1),
(953,4,1),
(954,6,1),
(955,2,1),
(956,1,1),
(957,3,1),
(958,4,1),
(959,6,1),
(960,2,1),
(961,1,1),
(962,3,1),
(963,4,1),
(964,6,1),
(965,2,1),
(966,1,1),
(967,3,1),
(968,4,1),
(969,6,1),
(970,2,1),
(971,1,1),
(972,3,1),
(973,4,1),
(974,6,1),
(975,2,1),
(976,1,1),
(977,3,1),
(978,4,1),
(979,6,1),
(980,2,1),
(981,1,1),
(982,3,1),
(983,4,1),
(984,6,1),
(985,2,1),
(986,1,1),
(987,3,1),
(988,4,1),
(989,6,1),
(990,2,1),
(991,1,1),
(992,3,1),
(993,4,1),
(994,6,1),
(995,2,1),
(996,1,1),
(997,3,1),
(998,4,1),
(999,6,1),
(1000,2,1),
(1001,1,1),
(1002,3,1),
(1003,4,1),
(1004,6,1),
(1005,2,1),
(1006,1,1),
(1007,3,1),
(1008,4,1),
(1009,6,1),
(1010,2,1),
(1011,1,1),
(1012,3,1),
(1013,4,1),
(1014,6,1),
(1015,2,1),
(1016,1,1),
(1017,3,1),
(1018,4,1),
(1019,6,1),
(1020,2,1),
(1021,1,1),
(1022,3,1),
(1023,4,1),
(1024,6,1),
(1025,2,1),
(1026,1,1),
(1027,3,1),
(1028,4,1),
(1029,6,1),
(1030,2,1),
(1031,1,1),
(1032,3,1),
(1033,4,1),
(1034,6,1),
(1035,2,1),
(1036,1,1),
(1037,3,1),
(1038,4,1),
(1039,6,1),
(1040,2,1),
(1041,1,1),
(1042,3,1),
(1043,4,1),
(1044,6,1),
(1045,2,1),
(1046,1,1),
(1047,3,1),
(1048,4,1),
(1049,6,1),
(1050,2,1),
(1051,1,1),
(1052,3,1),
(1053,4,1),
(1054,6,1),
(1055,2,1),
(1056,1,1),
(1057,3,1),
(1058,4,1),
(1059,6,1),
(1060,2,1),
(1061,1,1),
(1062,3,1),
(1063,4,1),
(1064,6,1),
(1065,2,1),
(1066,1,1),
(1067,3,1),
(1068,4,1),
(1069,6,1),
(1070,2,1),
(1071,1,1),
(1072,3,1),
(1073,4,1),
(1074,6,1),
(1075,2,1),
(1076,1,1),
(1077,3,1),
(1078,4,1),
(1079,6,1),
(1080,2,1),
(1081,1,1),
(1082,3,1),
(1083,4,1),
(1084,6,1),
(1085,2,1),
(1086,1,1),
(1087,3,1),
(1088,4,1),
(1089,6,1),
(1090,2,1),
(1091,1,1),
(1092,3,1),
(1093,4,1),
(1094,6,1),
(1095,2,1),
(1096,1,1),
(1097,3,1),
(1098,4,1),
(1099,6,1),
(1100,2,1),
(1101,1,1),
(1102,3,1),
(1103,4,1),
(1104,6,1),
(1105,2,1),
(1106,1,1),
(1107,3,1),
(1108,4,1),
(1109,6,1),
(1110,2,1),
(1111,1,1),
(1112,3,1),
(1113,4,1),
(1114,6,1),
(1115,2,1),
(1116,1,1),
(1117,3,1),
(1118,4,1),
(1119,6,1),
(1120,2,1),
(1121,1,1),
(1122,3,1),
(1123,4,1),
(1124,6,1),
(1125,2,1),
(1126,1,1),
(1127,3,1),
(1128,4,1),
(1129,6,1),
(1130,2,1),
(1131,1,1),
(1132,3,1),
(1133,4,1),
(1134,6,1),
(1135,2,1),
(1136,1,1),
(1137,3,1),
(1138,4,1),
(1139,6,1),
(1140,2,1),
(1141,1,1),
(1142,3,1),
(1143,4,1),
(1144,6,1),
(1145,2,1),
(1146,1,1),
(1147,3,1),
(1148,4,1),
(1149,6,1),
(1150,2,1),
(1151,1,1),
(1152,3,1),
(1153,4,1),
(1154,6,1),
(1155,2,1),
(1156,1,1),
(1157,3,1),
(1158,4,1),
(1159,6,1),
(1160,2,1),
(1161,1,1),
(1162,3,1),
(1163,4,1),
(1164,6,1),
(1165,2,1),
(1166,1,1),
(1167,3,1),
(1168,4,1),
(1169,6,1),
(1170,2,1),
(1171,1,1),
(1172,3,1),
(1173,4,1),
(1174,6,1),
(1175,2,1),
(1176,1,1),
(1177,3,1),
(1178,4,1),
(1179,6,1),
(1180,2,1),
(1181,1,1),
(1182,3,1),
(1183,4,1),
(1184,6,1),
(1185,2,1),
(1186,1,1),
(1187,3,1),
(1188,4,1),
(1189,6,1),
(1190,2,1),
(1191,1,1),
(1192,3,1),
(1193,4,1),
(1194,6,1),
(1195,2,1),
(1196,1,1),
(1197,3,1),
(1198,4,1),
(1199,6,1),
(1200,2,1),
(1201,1,1),
(1202,3,1),
(1203,4,1),
(1204,6,1),
(1205,2,1),
(1206,1,1),
(1207,3,1),
(1208,4,1),
(1209,6,1),
(1210,2,1),
(1211,1,1),
(1212,3,1),
(1213,4,1),
(1214,6,1),
(1215,2,1),
(1216,1,1),
(1217,3,1),
(1218,4,1),
(1219,6,1),
(1220,2,1),
(1221,1,1),
(1222,3,1),
(1223,4,1),
(1224,6,1),
(1225,2,1),
(1226,1,1),
(1227,3,1),
(1228,4,1),
(1229,6,1),
(1230,2,1),
(1231,1,1),
(1232,3,1),
(1233,4,1),
(1234,6,1),
(1235,2,1),
(1236,1,1),
(1237,3,1),
(1238,4,1),
(1239,6,1),
(1240,2,1),
(1241,1,1),
(1242,3,1),
(1243,4,1),
(1244,6,1),
(1245,2,1),
(1246,1,1),
(1247,3,1),
(1248,4,1),
(1249,6,1),
(1250,2,1),
(1251,1,1),
(1252,3,1),
(1253,4,1),
(1254,6,1),
(1255,2,1),
(1256,1,1),
(1257,3,1),
(1258,4,1),
(1259,6,1),
(1260,2,1),
(1261,1,1),
(1262,3,1),
(1263,4,1),
(1264,6,1),
(1265,2,1),
(1266,1,1),
(1267,3,1),
(1268,4,1),
(1269,6,1),
(1270,2,1),
(1271,1,1),
(1272,3,1),
(1273,4,1),
(1274,6,1),
(1275,2,1),
(1276,1,1),
(1277,3,1),
(1278,4,1),
(1279,6,1),
(1280,2,1),
(1281,1,1),
(1282,3,1),
(1283,4,1),
(1284,6,1),
(1285,2,1),
(1286,1,1),
(1287,3,1),
(1288,4,1),
(1289,6,1),
(1290,2,1),
(1291,1,1),
(1292,3,1),
(1293,4,1),
(1294,6,1),
(1295,2,1),
(1296,1,1),
(1297,3,1),
(1298,4,1),
(1299,6,1),
(1300,2,1),
(1301,1,1),
(1302,3,1),
(1303,4,1),
(1304,6,1),
(1305,2,1),
(1306,1,1),
(1307,3,1),
(1308,4,1),
(1309,6,1),
(1310,2,1),
(1311,1,1),
(1312,3,1),
(1313,4,1),
(1314,6,1),
(1315,7,1),
(1316,1,1),
(1317,3,1),
(1318,4,1),
(1319,6,1),
(1320,7,1),
(1321,1,1),
(1322,3,1),
(1323,4,1),
(1324,6,1),
(1325,7,1),
(1326,1,1),
(1327,3,1),
(1328,4,1),
(1329,6,1),
(1330,7,1),
(1331,1,1),
(1332,3,1),
(1333,4,1),
(1334,6,1),
(1335,7,1),
(1336,1,1),
(1337,3,1),
(1338,4,1),
(1339,6,1),
(1340,7,1),
(1341,1,1),
(1342,3,1),
(1343,4,1),
(1344,6,1),
(1345,7,1),
(1346,1,1),
(1347,3,1),
(1348,4,1),
(1349,6,1),
(1350,7,1),
(1351,1,1),
(1352,3,1),
(1353,4,1),
(1354,6,1),
(1355,7,1),
(1356,1,1),
(1357,3,1),
(1358,4,1),
(1359,6,1),
(1360,7,1),
(1361,1,1),
(1362,3,1),
(1363,4,1),
(1364,6,1),
(1365,7,1),
(1366,1,1),
(1367,3,1),
(1368,4,1),
(1369,6,1),
(1370,7,1),
(1371,1,1),
(1372,3,1),
(1373,4,1),
(1374,6,1),
(1375,7,1),
(1376,1,1),
(1377,3,1),
(1378,4,1),
(1379,6,1),
(1380,7,1),
(1381,1,1),
(1382,3,1),
(1383,4,1),
(1384,6,1),
(1385,7,1),
(1386,1,1),
(1387,3,1),
(1388,4,1),
(1389,6,1),
(1390,7,1),
(1391,1,1),
(1392,3,1),
(1393,4,1),
(1394,6,1),
(1395,7,1),
(1396,1,1),
(1397,3,1),
(1398,4,1),
(1399,6,1),
(1400,7,1),
(1401,1,1),
(1402,3,1),
(1403,4,1),
(1404,6,1),
(1405,7,1),
(1406,1,1),
(1407,3,1),
(1408,4,1),
(1409,6,1),
(1410,7,1),
(1411,1,1),
(1412,3,1),
(1413,4,1),
(1414,6,1),
(1415,7,1),
(1416,1,1),
(1417,3,1),
(1418,4,1),
(1419,6,1),
(1420,7,1),
(1421,1,1),
(1422,3,1),
(1423,4,1),
(1424,6,1),
(1425,7,1),
(1426,1,1),
(1427,3,1),
(1428,4,1),
(1429,6,1),
(1430,7,1),
(1431,1,1),
(1432,3,1),
(1433,4,1),
(1434,6,1),
(1435,7,1),
(1436,1,1),
(1437,3,1),
(1438,4,1),
(1439,6,1),
(1440,7,1),
(1441,1,1),
(1442,3,1),
(1443,4,1),
(1444,6,1),
(1445,7,1),
(1446,1,1),
(1447,3,1),
(1448,4,1),
(1449,6,1),
(1450,7,1),
(1451,1,1),
(1452,3,1),
(1453,4,1),
(1454,6,1),
(1455,7,1),
(1456,1,1),
(1457,3,1),
(1458,4,1),
(1459,6,1),
(1460,7,1),
(1461,1,1),
(1462,3,1),
(1463,4,1),
(1464,6,1),
(1465,7,1),
(1466,1,1),
(1467,3,1),
(1468,4,1),
(1469,6,1),
(1470,7,1),
(1471,1,1),
(1472,3,1),
(1473,4,1),
(1474,6,1),
(1475,7,1),
(1476,1,1),
(1477,3,1),
(1478,4,1),
(1479,6,1),
(1480,7,1),
(1481,1,1),
(1482,3,1),
(1483,4,1),
(1484,6,1),
(1485,7,1),
(1486,1,1),
(1487,3,1),
(1488,4,1),
(1489,6,1),
(1490,7,1),
(1491,1,1),
(1492,3,1),
(1493,4,1),
(1494,6,1),
(1495,7,1),
(1496,1,1),
(1497,3,1),
(1498,4,1),
(1499,6,1),
(1500,7,1),
(1501,1,1),
(1502,3,1),
(1503,4,1),
(1504,6,1),
(1505,7,1),
(1506,1,1),
(1507,3,1),
(1508,4,1),
(1509,6,1),
(1510,7,1),
(1511,1,1),
(1512,3,1),
(1513,4,1),
(1514,6,1),
(1515,2,1),
(1516,1,1),
(1517,3,1),
(1518,4,1),
(1519,6,1),
(1520,2,1),
(1521,1,1),
(1522,3,1),
(1523,4,1),
(1524,6,1),
(1525,2,1),
(1526,1,1),
(1527,3,1),
(1528,4,1),
(1529,6,1),
(1530,2,1),
(1531,1,1),
(1532,3,1),
(1533,4,1),
(1534,6,1),
(1535,2,1),
(1536,1,1),
(1537,3,1),
(1538,4,1),
(1539,6,1),
(1540,2,1),
(1541,1,1),
(1542,3,1),
(1543,4,1),
(1544,6,1),
(1545,2,1),
(1546,1,1),
(1547,3,1),
(1548,4,1),
(1549,6,1),
(1550,2,1),
(1551,1,1),
(1552,3,1),
(1553,4,1),
(1554,6,1),
(1555,2,1),
(1556,1,1),
(1557,3,1),
(1558,4,1),
(1559,6,1),
(1560,2,1),
(1561,1,1),
(1562,3,1),
(1563,4,1),
(1564,6,1),
(1565,2,1),
(1566,1,1),
(1567,3,1),
(1568,4,1),
(1569,6,1),
(1570,2,1),
(1571,1,1),
(1572,3,1),
(1573,4,1),
(1574,6,1),
(1575,2,1),
(1576,1,1),
(1577,3,1),
(1578,4,1),
(1579,6,1),
(1580,2,1),
(1581,1,1),
(1582,3,1),
(1583,4,1),
(1584,6,1),
(1585,2,1),
(1586,1,1),
(1587,3,1),
(1588,4,1),
(1589,6,1),
(1590,2,1),
(1591,1,1),
(1592,3,1),
(1593,4,1),
(1594,6,1),
(1595,2,1),
(1596,1,1),
(1597,3,1),
(1598,4,1),
(1599,6,1),
(1600,2,1),
(1601,1,1),
(1602,3,1),
(1603,4,1),
(1604,6,1),
(1605,2,1),
(1606,1,1),
(1607,3,1),
(1608,4,1),
(1609,6,1),
(1610,2,1),
(1611,1,1),
(1612,3,1),
(1613,4,1),
(1614,6,1),
(1615,2,1),
(1616,1,1),
(1617,3,1),
(1618,4,1),
(1619,6,1),
(1620,2,1),
(1621,1,1),
(1622,3,1),
(1623,4,1),
(1624,6,1),
(1625,2,1),
(1626,1,1),
(1627,3,1),
(1628,4,1),
(1629,6,1),
(1630,2,1),
(1631,1,1),
(1632,3,1),
(1633,4,1),
(1634,6,1),
(1635,2,1),
(1636,1,1),
(1637,3,1),
(1638,4,1),
(1639,6,1),
(1640,2,1),
(1641,1,1),
(1642,3,1),
(1643,4,1),
(1644,6,1),
(1645,2,1),
(1646,1,1),
(1647,3,1),
(1648,4,1),
(1649,6,1),
(1650,2,1),
(1651,1,1),
(1652,3,1),
(1653,4,1),
(1654,6,1),
(1655,2,1),
(1656,1,1),
(1657,3,1),
(1658,4,1),
(1659,6,1),
(1660,2,1),
(1661,1,1),
(1662,3,1),
(1663,4,1),
(1664,6,1),
(1665,2,1),
(1666,1,1),
(1667,3,1),
(1668,4,1),
(1669,6,1),
(1670,2,1),
(1671,1,1),
(1672,3,1),
(1673,4,1),
(1674,6,1),
(1675,2,1),
(1676,1,1),
(1677,3,1),
(1678,4,1),
(1679,6,1),
(1680,2,1),
(1681,1,1),
(1682,3,1),
(1683,4,1),
(1684,6,1),
(1685,2,1),
(1686,1,1),
(1687,3,1),
(1688,4,1),
(1689,6,1),
(1690,2,1),
(1691,1,1),
(1692,3,1),
(1693,4,1),
(1694,6,1),
(1695,2,1),
(1696,1,1),
(1697,3,1),
(1698,4,1),
(1699,6,1),
(1700,2,1),
(1701,1,1),
(1702,3,1),
(1703,4,1),
(1704,6,1),
(1705,2,1),
(1706,1,1),
(1707,3,1),
(1708,4,1),
(1709,6,1),
(1710,2,1),
(1711,1,1),
(1712,3,1),
(1713,4,1),
(1714,6,1),
(1715,2,1),
(1716,1,1),
(1717,3,1),
(1718,4,1),
(1719,6,1),
(1720,2,1),
(1721,1,1),
(1722,3,1),
(1723,4,1),
(1724,6,1),
(1725,2,1),
(1726,1,1),
(1727,3,1),
(1728,4,1),
(1729,6,1),
(1730,2,1),
(1731,1,1),
(1732,3,1),
(1733,4,1),
(1734,6,1),
(1735,2,1),
(1736,1,1),
(1737,3,1),
(1738,4,1),
(1739,6,1),
(1740,2,1),
(1741,1,1),
(1742,3,1),
(1743,4,1),
(1744,6,1),
(1745,2,1),
(1746,1,1),
(1747,3,1),
(1748,4,1),
(1749,6,1),
(1750,2,1),
(1751,1,1),
(1752,3,1),
(1753,4,1),
(1754,6,1),
(1755,2,1),
(1756,1,1),
(1757,3,1),
(1758,4,1),
(1759,6,1),
(1760,2,1),
(1761,1,1),
(1762,3,1),
(1763,4,1),
(1764,6,1),
(1765,2,1),
(1766,1,1),
(1767,3,1),
(1768,4,1),
(1769,6,1),
(1770,2,1),
(1771,1,1),
(1772,3,1),
(1773,4,1),
(1774,6,1),
(1775,2,1),
(1776,1,1),
(1777,3,1),
(1778,4,1),
(1779,6,1),
(1780,2,1),
(1781,1,1),
(1782,3,1),
(1783,4,1),
(1784,6,1),
(1785,2,1),
(1786,1,1),
(1787,3,1),
(1788,4,1),
(1789,6,1),
(1790,2,1),
(1791,1,1),
(1792,3,1),
(1793,4,1),
(1794,6,1),
(1795,2,1),
(1796,1,1),
(1797,3,1),
(1798,4,1),
(1799,6,1),
(1800,2,1),
(1801,1,1),
(1802,3,1),
(1803,4,1),
(1804,6,1),
(1805,2,1),
(1806,1,1),
(1807,3,1),
(1808,4,1),
(1809,6,1),
(1810,2,1),
(1811,1,1),
(1812,3,1),
(1813,4,1),
(1814,6,1),
(1815,2,1),
(1816,1,1),
(1817,3,1),
(1818,4,1),
(1819,6,1),
(1820,2,1),
(1821,1,1),
(1822,3,1),
(1823,4,1),
(1824,6,1),
(1825,2,1),
(1826,1,1),
(1827,3,1),
(1828,4,1),
(1829,6,1),
(1830,2,1),
(1831,1,1),
(1832,3,1),
(1833,4,1),
(1834,6,1),
(1835,2,1),
(1836,1,1),
(1837,3,1),
(1838,4,1),
(1839,6,1),
(1840,2,1),
(1841,1,1),
(1842,3,1),
(1843,4,1),
(1844,6,1),
(1845,2,1),
(1846,1,1),
(1847,3,1),
(1848,4,1),
(1849,6,1),
(1850,2,1),
(1851,1,1),
(1852,3,1),
(1853,4,1),
(1854,6,1),
(1855,2,1),
(1856,1,1),
(1857,3,1),
(1858,4,1),
(1859,6,1),
(1860,2,1),
(1861,1,1),
(1862,3,1),
(1863,4,1),
(1864,6,1),
(1865,2,1),
(1866,1,1),
(1867,3,1),
(1868,4,1),
(1869,6,1),
(1870,2,1),
(1871,1,1),
(1872,3,1),
(1873,4,1),
(1874,6,1),
(1875,2,1),
(1876,1,1),
(1877,3,1),
(1878,4,1),
(1879,6,1),
(1880,2,1),
(1881,1,1),
(1882,3,1),
(1883,4,1),
(1884,6,1),
(1885,2,1),
(1886,1,1),
(1887,3,1),
(1888,4,1),
(1889,6,1),
(1890,2,1),
(1891,1,1),
(1892,3,1),
(1893,4,1),
(1894,6,1),
(1895,2,1),
(1896,1,1),
(1897,3,1),
(1898,4,1),
(1899,6,1),
(1900,2,1),
(1901,1,1),
(1902,3,1),
(1903,4,1),
(1904,6,1),
(1905,2,1),
(1906,1,1),
(1907,3,1),
(1908,4,1),
(1909,6,1),
(1910,2,1),
(1911,1,1),
(1912,3,1),
(1913,4,1),
(1914,6,1),
(1915,2,1),
(1916,1,1),
(1917,3,1),
(1918,4,1),
(1919,6,1),
(1920,2,1),
(1921,1,1),
(1922,3,1),
(1923,4,1),
(1924,6,1),
(1925,2,1),
(1926,1,1),
(1927,3,1),
(1928,4,1),
(1929,6,1),
(1930,2,1),
(1931,1,1),
(1932,3,1),
(1933,4,1),
(1934,6,1),
(1935,2,1),
(1936,1,1),
(1937,3,1),
(1938,4,1),
(1939,6,1),
(1940,2,1),
(1941,1,1),
(1942,3,1),
(1943,4,1),
(1944,6,1),
(1945,2,1),
(1946,1,1),
(1947,3,1),
(1948,4,1),
(1949,6,1),
(1950,2,1),
(1951,1,1),
(1952,3,1),
(1953,4,1),
(1954,6,1),
(1955,2,1),
(1956,1,1),
(1957,3,1),
(1958,4,1),
(1959,6,1),
(1960,2,1),
(1961,1,1),
(1962,3,1),
(1963,4,1),
(1964,6,1),
(1965,2,1),
(1966,1,1),
(1967,3,1),
(1968,4,1),
(1969,6,1),
(1970,2,1),
(1971,1,1),
(1972,3,1),
(1973,4,1),
(1974,6,1),
(1975,2,1),
(1976,1,1),
(1977,3,1),
(1978,4,1),
(1979,6,1),
(1980,2,1),
(1981,1,1),
(1982,3,1),
(1983,4,1),
(1984,6,1),
(1985,2,1),
(1986,1,1),
(1987,3,1),
(1988,4,1),
(1989,6,1),
(1990,2,1),
(1991,1,1),
(1992,3,1),
(1993,4,1),
(1994,6,1),
(1995,2,1),
(1996,1,1),
(1997,3,1),
(1998,4,1),
(1999,6,1),
(2000,2,1),
(2001,1,1),
(2002,3,1),
(2003,4,1),
(2004,6,1),
(2005,2,1),
(2006,1,1),
(2007,3,1),
(2008,4,1),
(2009,6,1),
(2010,2,1),
(2011,1,1),
(2012,3,1),
(2013,4,1),
(2014,6,1),
(2015,2,1),
(2016,1,1),
(2017,3,1),
(2018,4,1),
(2019,6,1),
(2020,2,1),
(2021,1,1),
(2022,3,1),
(2023,4,1),
(2024,6,1),
(2025,2,1),
(2026,1,1),
(2027,3,1),
(2028,4,1),
(2029,6,1),
(2030,2,1),
(2031,1,1),
(2032,3,1),
(2033,4,1),
(2034,6,1),
(2035,2,1),
(2036,1,1),
(2037,3,1),
(2038,4,1),
(2039,6,1),
(2040,2,1),
(2041,1,1),
(2042,3,1),
(2043,4,1),
(2044,6,1),
(2045,2,1),
(2046,1,1),
(2047,3,1),
(2048,4,1),
(2049,6,1),
(2050,2,1),
(2051,1,1),
(2052,3,1),
(2053,4,1),
(2054,6,1),
(2055,2,1),
(2056,1,1),
(2057,3,1),
(2058,4,1),
(2059,6,1),
(2060,2,1),
(2061,1,1),
(2062,3,1),
(2063,4,1),
(2064,6,1),
(2065,2,1),
(2066,1,1),
(2067,3,1),
(2068,4,1),
(2069,6,1),
(2070,2,1),
(2071,1,1),
(2072,3,1),
(2073,4,1),
(2074,6,1),
(2075,2,1),
(2076,1,1),
(2077,3,1),
(2078,4,1),
(2079,6,1),
(2080,2,1),
(2081,1,1),
(2082,3,1),
(2083,4,1),
(2084,6,1),
(2085,2,1),
(2086,1,1),
(2087,3,1),
(2088,4,1),
(2089,6,1),
(2090,2,1),
(2091,1,1),
(2092,3,1),
(2093,4,1),
(2094,6,1),
(2095,2,1),
(2096,1,1),
(2097,3,1),
(2098,4,1),
(2099,6,1),
(2100,2,1),
(2101,1,1),
(2102,3,1),
(2103,4,1),
(2104,6,1),
(2105,2,1),
(2106,1,1),
(2107,3,1),
(2108,4,1),
(2109,6,1),
(2110,2,1),
(2111,1,1),
(2112,3,1),
(2113,4,1),
(2114,6,1);

/* Table structure for table `ps_feature_value_lang` */
DROP TABLE IF EXISTS `ps_feature_value_lang`;

CREATE TABLE `ps_feature_value_lang` (
  `id_feature_value` int(10) unsigned NOT NULL,
  `id_lang` int(10) unsigned NOT NULL,
  `value` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id_feature_value`,`id_lang`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

/* dumping data for table `ps_feature_value_lang` */
INSERT INTO `ps_feature_value_lang` VALUES
(13,1,'49.2 g'),
(13,2,'49,2 g'),
(13,3,'49,2 g'),
(13,4,'49.2 g'),
(13,5,'49.2 g'),
(12,2,'52,3 mm'),
(12,1,'2.06 in'),
(12,3,'52.3 mm'),
(12,4,'52.3 mm'),
(12,5,'52.3 mm'),
(11,2,'69,8 mm'),
(11,1,'2.75 in'),
(11,3,'69.8 mm'),
(11,4,'69.8 mm'),
(11,5,'69.8 mm'),
(17,2,'15,5 g'),
(17,1,'15.5 g'),
(17,3,'15.5 g'),
(17,4,'15.5 g'),
(17,5,'15.5 g'),
(16,2,'41,2 mm'),
(16,1,'1.62 in'),
(16,3,'41.2 mm'),
(16,4,'41.2 mm'),
(16,5,'41.2 mm'),
(15,2,'27,3 mm'),
(15,1,'1.07 in'),
(15,3,'27.3 mm'),
(15,4,'27.3 mm'),
(15,5,'27.3 mm'),
(9,1,'Jack stereo'),
(9,4,'Jack stereo'),
(9,5,'Jack stereo'),
(9,2,'Jack stéréo'),
(9,3,'Jack stereo'),
(10,1,'Mini-jack stereo'),
(10,2,'Mini-jack stéréo'),
(10,3,'Mini-jack stéréo'),
(10,4,'Mini-jack stéréo'),
(10,5,'Mini-jack stéréo'),
(14,1,'0.26 in'),
(14,2,'6,5 mm'),
(14,3,'6,5 mm'),
(14,4,'6,5 mm'),
(14,5,'6,5 mm'),
(18,4,'10,5 mm'),
(18,5,'10,5 mm)'),
(18,1,'0.41 in (clip included)'),
(18,2,'10,5 mm (clip compris)'),
(18,3,'10,5 mm (clip incluyendo)'),
(26,2,'8 mm'),
(26,1,'0.31 in'),
(26,3,'8 mm'),
(26,4,'8 mm'),
(26,5,'8 mm'),
(25,2,'120g'),
(25,3,'120g'),
(25,4,'120g'),
(25,5,'120g'),
(25,1,'120g'),
(24,2,'70 mm'),
(24,1,'2.76 in'),
(24,3,'70 mm'),
(24,4,'70 mm'),
(24,5,'70 mm'),
(23,2,'110 mm'),
(23,3,'110 mm'),
(23,1,'4.33 in'),
(23,4,'4.33 in'),
(23,5,'4.33 in'),
(27,1,'10\"'),
(27,2,'10\"'),
(27,3,'10\"'),
(27,4,'10\"'),
(27,5,'10\"'),
(28,1,'15\"'),
(28,2,'15\"'),
(28,3,'15\"'),
(28,4,'15\"'),
(28,5,'15\"'),
(29,1,'10\"'),
(29,2,'10\"'),
(29,3,'10\"'),
(29,4,'10\"'),
(29,5,'10\"'),
(30,1,'0.5 kg'),
(30,2,'0.5 kg'),
(30,3,'0.5 kg'),
(30,4,'0.5 kg'),
(30,5,'0.5 kg'),
(31,1,'L'),
(31,2,'L'),
(31,3,'L'),
(31,4,'L'),
(31,5,'L'),
(32,1,'15\"'),
(32,2,'15\"'),
(32,3,'15\"'),
(32,4,'15\"'),
(32,5,'15\"'),
(33,1,'5\"'),
(33,2,'5\"'),
(33,3,'5\"'),
(33,4,'5\"'),
(33,5,'5\"'),
(34,1,'15\"'),
(34,2,'15\"'),
(34,3,'15\"'),
(34,4,'15\"'),
(34,5,'15\"'),
(35,1,'1 kg'),
(35,2,'1 kg'),
(35,3,'1 kg'),
(35,4,'1 kg'),
(35,5,'1 kg'),
(36,1,'XL'),
(36,2,'XL'),
(36,3,'XL'),
(36,4,'XL'),
(36,5,'XL'),
(37,1,'5\"'),
(37,2,'5\"'),
(37,3,'5\"'),
(37,4,'5\"'),
(37,5,'5\"'),
(38,1,'10\"'),
(38,2,'10\"'),
(38,3,'10\"'),
(38,4,'10\"'),
(38,5,'10\"'),
(39,1,'5\"'),
(39,2,'5\"'),
(39,3,'5\"'),
(39,4,'5\"'),
(39,5,'5\"'),
(40,1,'0.3 kg'),
(40,2,'0.3 kg'),
(40,3,'0.3 kg'),
(40,4,'0.3 kg'),
(40,5,'0.3 kg'),
(41,1,'XXL'),
(41,2,'XXL'),
(41,3,'XXL'),
(41,4,'XXL'),
(41,5,'XXL'),
(42,1,'10\"'),
(42,2,'10\"'),
(42,3,'10\"'),
(42,4,'10\"'),
(42,5,'10\"'),
(43,1,'15\"'),
(43,2,'15\"'),
(43,3,'15\"'),
(43,4,'15\"'),
(43,5,'15\"'),
(44,1,'10\"'),
(44,2,'10\"'),
(44,3,'10\"'),
(44,4,'10\"'),
(44,5,'10\"'),
(45,1,'2 kg'),
(45,2,'2 kg'),
(45,3,'2 kg'),
(45,4,'2 kg'),
(45,5,'2 kg'),
(46,1,'L'),
(46,2,'L'),
(46,3,'L'),
(46,4,'L'),
(46,5,'L'),
(47,1,'15\"'),
(47,2,'15\"'),
(47,3,'15\"'),
(47,4,'15\"'),
(47,5,'15\"'),
(48,1,'10\"'),
(48,2,'10\"'),
(48,3,'10\"'),
(48,4,'10\"'),
(48,5,'10\"'),
(49,1,'15\"'),
(49,2,'15\"'),
(49,3,'15\"'),
(49,4,'15\"'),
(49,5,'15\"'),
(50,1,'0.5 kg'),
(50,2,'0.5 kg'),
(50,3,'0.5 kg'),
(50,4,'0.5 kg'),
(50,5,'0.5 kg'),
(51,1,'XL'),
(51,2,'XL'),
(51,3,'XL'),
(51,4,'XL'),
(51,5,'XL'),
(52,1,'5\"'),
(52,2,'5\"'),
(52,3,'5\"'),
(52,4,'5\"'),
(52,5,'5\"'),
(53,1,'15\"'),
(53,2,'15\"'),
(53,3,'15\"'),
(53,4,'15\"'),
(53,5,'15\"'),
(54,1,'10\"'),
(54,2,'10\"'),
(54,3,'10\"'),
(54,4,'10\"'),
(54,5,'10\"'),
(55,1,'1 kg'),
(55,2,'1 kg'),
(55,3,'1 kg'),
(55,4,'1 kg'),
(55,5,'1 kg'),
(56,1,'M'),
(56,2,'M'),
(56,3,'M'),
(56,4,'M'),
(56,5,'M'),
(57,1,'5\"'),
(57,2,'5\"'),
(57,3,'5\"'),
(57,4,'5\"'),
(57,5,'5\"'),
(58,1,'5\"'),
(58,2,'5\"'),
(58,3,'5\"'),
(58,4,'5\"'),
(58,5,'5\"'),
(59,1,'15\"'),
(59,2,'15\"'),
(59,3,'15\"'),
(59,4,'15\"'),
(59,5,'15\"'),
(60,1,'0.3 kg'),
(60,2,'0.3 kg'),
(60,3,'0.3 kg'),
(60,4,'0.3 kg'),
(60,5,'0.3 kg'),
(61,1,'L'),
(61,2,'L'),
(61,3,'L'),
(61,4,'L'),
(61,5,'L'),
(62,1,'10\"'),
(62,2,'10\"'),
(62,3,'10\"'),
(62,4,'10\"'),
(62,5,'10\"'),
(63,1,'10\"'),
(63,2,'10\"'),
(63,3,'10\"'),
(63,4,'10\"'),
(63,5,'10\"'),
(64,1,'5\"'),
(64,2,'5\"'),
(64,3,'5\"'),
(64,4,'5\"'),
(64,5,'5\"'),
(65,1,'2 kg'),
(65,2,'2 kg'),
(65,3,'2 kg'),
(65,4,'2 kg'),
(65,5,'2 kg'),
(66,1,'XL'),
(66,2,'XL'),
(66,3,'XL'),
(66,4,'XL'),
(66,5,'XL'),
(67,1,'15\"'),
(67,2,'15\"'),
(67,3,'15\"'),
(67,4,'15\"'),
(67,5,'15\"'),
(68,1,'15\"'),
(68,2,'15\"'),
(68,3,'15\"'),
(68,4,'15\"'),
(68,5,'15\"'),
(69,1,'10\"'),
(69,2,'10\"'),
(69,3,'10\"'),
(69,4,'10\"'),
(69,5,'10\"'),
(70,1,'3 kg'),
(70,2,'3 kg'),
(70,3,'3 kg'),
(70,4,'3 kg'),
(70,5,'3 kg'),
(71,1,'M'),
(71,2,'M'),
(71,3,'M'),
(71,4,'M'),
(71,5,'M'),
(72,1,'5\"'),
(72,2,'5\"'),
(72,3,'5\"'),
(72,4,'5\"'),
(72,5,'5\"'),
(73,1,'10\"'),
(73,2,'10\"'),
(73,3,'10\"'),
(73,4,'10\"'),
(73,5,'10\"'),
(74,1,'15\"'),
(74,2,'15\"'),
(74,3,'15\"'),
(74,4,'15\"'),
(74,5,'15\"'),
(75,1,'5 kg'),
(75,2,'5 kg'),
(75,3,'5 kg'),
(75,4,'5 kg'),
(75,5,'5 kg'),
(76,1,'M'),
(76,2,'M'),
(76,3,'M'),
(76,4,'M'),
(76,5,'M'),
(77,1,'10\"'),
(77,2,'10\"'),
(77,3,'10\"'),
(77,4,'10\"'),
(77,5,'10\"'),
(78,1,'15\"'),
(78,2,'15\"'),
(78,3,'15\"'),
(78,4,'15\"'),
(78,5,'15\"'),
(79,1,'10\"'),
(79,2,'10\"'),
(79,3,'10\"'),
(79,4,'10\"'),
(79,5,'10\"'),
(80,1,'0.5 kg'),
(80,2,'0.5 kg'),
(80,3,'0.5 kg'),
(80,4,'0.5 kg'),
(80,5,'0.5 kg'),
(81,1,'L'),
(81,2,'L'),
(81,3,'L'),
(81,4,'L'),
(81,5,'L'),
(82,1,'15\"'),
(82,2,'15\"'),
(82,3,'15\"'),
(82,4,'15\"'),
(82,5,'15\"'),
(83,1,'5\"'),
(83,2,'5\"'),
(83,3,'5\"'),
(83,4,'5\"'),
(83,5,'5\"'),
(84,1,'15\"'),
(84,2,'15\"'),
(84,3,'15\"'),
(84,4,'15\"'),
(84,5,'15\"'),
(85,1,'1 kg'),
(85,2,'1 kg'),
(85,3,'1 kg'),
(85,4,'1 kg'),
(85,5,'1 kg'),
(86,1,'XL'),
(86,2,'XL'),
(86,3,'XL'),
(86,4,'XL'),
(86,5,'XL'),
(87,1,'5\"'),
(87,2,'5\"'),
(87,3,'5\"'),
(87,4,'5\"'),
(87,5,'5\"'),
(88,1,'10\"'),
(88,2,'10\"'),
(88,3,'10\"'),
(88,4,'10\"'),
(88,5,'10\"'),
(89,1,'5\"'),
(89,2,'5\"'),
(89,3,'5\"'),
(89,4,'5\"'),
(89,5,'5\"'),
(90,1,'0.3 kg'),
(90,2,'0.3 kg'),
(90,3,'0.3 kg'),
(90,4,'0.3 kg'),
(90,5,'0.3 kg'),
(91,1,'XXL'),
(91,2,'XXL'),
(91,3,'XXL'),
(91,4,'XXL'),
(91,5,'XXL'),
(92,1,'5\"'),
(92,2,'5\"'),
(92,3,'5\"'),
(92,4,'5\"'),
(92,5,'5\"'),
(93,1,'15\"'),
(93,2,'15\"'),
(93,3,'15\"'),
(93,4,'15\"'),
(93,5,'15\"'),
(94,1,'10\"'),
(94,2,'10\"'),
(94,3,'10\"'),
(94,4,'10\"'),
(94,5,'10\"'),
(95,1,'2 kg'),
(95,2,'2 kg'),
(95,3,'2 kg'),
(95,4,'2 kg'),
(95,5,'2 kg'),
(96,1,'L'),
(96,2,'L'),
(96,3,'L'),
(96,4,'L'),
(96,5,'L'),
(97,1,'10\"'),
(97,2,'10\"'),
(97,3,'10\"'),
(97,4,'10\"'),
(97,5,'10\"'),
(98,1,'10\"'),
(98,2,'10\"'),
(98,3,'10\"'),
(98,4,'10\"'),
(98,5,'10\"'),
(99,1,'10\"'),
(99,2,'10\"'),
(99,3,'10\"'),
(99,4,'10\"'),
(99,5,'10\"'),
(100,1,'0.5 kg'),
(100,2,'0.5 kg'),
(100,3,'0.5 kg'),
(100,4,'0.5 kg'),
(100,5,'0.5 kg'),
(101,1,'XL'),
(101,2,'XL'),
(101,3,'XL'),
(101,4,'XL'),
(101,5,'XL'),
(102,1,'15\"'),
(102,2,'15\"'),
(102,3,'15\"'),
(102,4,'15\"'),
(102,5,'15\"'),
(103,1,'15\"'),
(103,2,'15\"'),
(103,3,'15\"'),
(103,4,'15\"'),
(103,5,'15\"'),
(104,1,'15\"'),
(104,2,'15\"'),
(104,3,'15\"'),
(104,4,'15\"'),
(104,5,'15\"'),
(105,1,'1 kg'),
(105,2,'1 kg'),
(105,3,'1 kg'),
(105,4,'1 kg'),
(105,5,'1 kg'),
(106,1,'M'),
(106,2,'M'),
(106,3,'M'),
(106,4,'M'),
(106,5,'M'),
(107,1,'15\"'),
(107,2,'15\"'),
(107,3,'15\"'),
(107,4,'15\"'),
(107,5,'15\"'),
(108,1,'10\"'),
(108,2,'10\"'),
(108,3,'10\"'),
(108,4,'10\"'),
(108,5,'10\"'),
(109,1,'15\"'),
(109,2,'15\"'),
(109,3,'15\"'),
(109,4,'15\"'),
(109,5,'15\"'),
(110,1,'2 kg'),
(110,2,'2 kg'),
(110,3,'2 kg'),
(110,4,'2 kg'),
(110,5,'2 kg'),
(111,1,'XL'),
(111,2,'XL'),
(111,3,'XL'),
(111,4,'XL'),
(111,5,'XL'),
(112,1,'5\"'),
(112,2,'5\"'),
(112,3,'5\"'),
(112,4,'5\"'),
(112,5,'5\"'),
(113,1,'15\"'),
(113,2,'15\"'),
(113,3,'15\"'),
(113,4,'15\"'),
(113,5,'15\"'),
(114,1,'5\"'),
(114,2,'5\"'),
(114,3,'5\"'),
(114,4,'5\"'),
(114,5,'5\"'),
(115,1,'3 kg'),
(115,2,'3 kg'),
(115,3,'3 kg'),
(115,4,'3 kg'),
(115,5,'3 kg'),
(116,1,'M'),
(116,2,'M'),
(116,3,'M'),
(116,4,'M'),
(116,5,'M'),
(117,1,'5\"'),
(117,2,'5\"'),
(117,3,'5\"'),
(117,4,'5\"'),
(117,5,'5\"'),
(118,1,'10\"'),
(118,2,'10\"'),
(118,3,'10\"'),
(118,4,'10\"'),
(118,5,'10\"'),
(119,1,'15\"'),
(119,2,'15\"'),
(119,3,'15\"'),
(119,4,'15\"'),
(119,5,'15\"'),
(120,1,'5 kg'),
(120,2,'5 kg'),
(120,3,'5 kg'),
(120,4,'5 kg'),
(120,5,'5 kg'),
(121,1,'M'),
(121,2,'M'),
(121,3,'M'),
(121,4,'M'),
(121,5,'M'),
(122,1,'10\"'),
(122,2,'10\"'),
(122,3,'10\"'),
(122,4,'10\"'),
(122,5,'10\"'),
(123,1,'15\"'),
(123,2,'15\"'),
(123,3,'15\"'),
(123,4,'15\"'),
(123,5,'15\"'),
(124,1,'10\"'),
(124,2,'10\"'),
(124,3,'10\"'),
(124,4,'10\"'),
(124,5,'10\"'),
(125,1,'0.5 kg'),
(125,2,'0.5 kg'),
(125,3,'0.5 kg'),
(125,4,'0.5 kg'),
(125,5,'0.5 kg'),
(126,1,'L'),
(126,2,'L'),
(126,3,'L'),
(126,4,'L'),
(126,5,'L'),
(127,1,'15\"'),
(127,2,'15\"'),
(127,3,'15\"'),
(127,4,'15\"'),
(127,5,'15\"'),
(128,1,'5\"'),
(128,2,'5\"'),
(128,3,'5\"'),
(128,4,'5\"'),
(128,5,'5\"'),
(129,1,'15\"'),
(129,2,'15\"'),
(129,3,'15\"'),
(129,4,'15\"'),
(129,5,'15\"'),
(130,1,'1 kg'),
(130,2,'1 kg'),
(130,3,'1 kg'),
(130,4,'1 kg'),
(130,5,'1 kg'),
(131,1,'XL'),
(131,2,'XL'),
(131,3,'XL'),
(131,4,'XL'),
(131,5,'XL'),
(132,1,'5\"'),
(132,2,'5\"'),
(132,3,'5\"'),
(132,4,'5\"'),
(132,5,'5\"'),
(133,1,'10\"'),
(133,2,'10\"'),
(133,3,'10\"'),
(133,4,'10\"'),
(133,5,'10\"'),
(134,1,'5\"'),
(134,2,'5\"'),
(134,3,'5\"'),
(134,4,'5\"'),
(134,5,'5\"'),
(135,1,'0.3 kg'),
(135,2,'0.3 kg'),
(135,3,'0.3 kg'),
(135,4,'0.3 kg'),
(135,5,'0.3 kg'),
(136,1,'XXL'),
(136,2,'XXL'),
(136,3,'XXL'),
(136,4,'XXL'),
(136,5,'XXL'),
(137,1,'10\"'),
(137,2,'10\"'),
(137,3,'10\"'),
(137,4,'10\"'),
(137,5,'10\"'),
(138,1,'15\"'),
(138,2,'15\"'),
(138,3,'15\"'),
(138,4,'15\"'),
(138,5,'15\"'),
(139,1,'10\"'),
(139,2,'10\"'),
(139,3,'10\"'),
(139,4,'10\"'),
(139,5,'10\"'),
(140,1,'2 kg'),
(140,2,'2 kg'),
(140,3,'2 kg'),
(140,4,'2 kg'),
(140,5,'2 kg'),
(141,1,'L'),
(141,2,'L'),
(141,3,'L'),
(141,4,'L'),
(141,5,'L'),
(142,1,'15\"'),
(142,2,'15\"'),
(142,3,'15\"'),
(142,4,'15\"'),
(142,5,'15\"'),
(143,1,'10\"'),
(143,2,'10\"'),
(143,3,'10\"'),
(143,4,'10\"'),
(143,5,'10\"'),
(144,1,'15\"'),
(144,2,'15\"'),
(144,3,'15\"'),
(144,4,'15\"'),
(144,5,'15\"'),
(145,1,'0.5 kg'),
(145,2,'0.5 kg'),
(145,3,'0.5 kg'),
(145,4,'0.5 kg'),
(145,5,'0.5 kg'),
(146,1,'XL'),
(146,2,'XL'),
(146,3,'XL'),
(146,4,'XL'),
(146,5,'XL'),
(147,1,'5\"'),
(147,2,'5\"'),
(147,3,'5\"'),
(147,4,'5\"'),
(147,5,'5\"'),
(148,1,'15\"'),
(148,2,'15\"'),
(148,3,'15\"'),
(148,4,'15\"'),
(148,5,'15\"'),
(149,1,'10\"'),
(149,2,'10\"'),
(149,3,'10\"'),
(149,4,'10\"'),
(149,5,'10\"'),
(150,1,'1 kg'),
(150,2,'1 kg'),
(150,3,'1 kg'),
(150,4,'1 kg'),
(150,5,'1 kg'),
(151,1,'M'),
(151,2,'M'),
(151,3,'M'),
(151,4,'M'),
(151,5,'M'),
(152,1,'5\"'),
(152,2,'5\"'),
(152,3,'5\"'),
(152,4,'5\"'),
(152,5,'5\"'),
(153,1,'5\"'),
(153,2,'5\"'),
(153,3,'5\"'),
(153,4,'5\"'),
(153,5,'5\"'),
(154,1,'15\"'),
(154,2,'15\"'),
(154,3,'15\"'),
(154,4,'15\"'),
(154,5,'15\"'),
(155,1,'0.3 kg'),
(155,2,'0.3 kg'),
(155,3,'0.3 kg'),
(155,4,'0.3 kg'),
(155,5,'0.3 kg'),
(156,1,'L'),
(156,2,'L'),
(156,3,'L'),
(156,4,'L'),
(156,5,'L'),
(157,1,'10\"'),
(157,2,'10\"'),
(157,3,'10\"'),
(157,4,'10\"'),
(157,5,'10\"'),
(158,1,'10\"'),
(158,2,'10\"'),
(158,3,'10\"'),
(158,4,'10\"'),
(158,5,'10\"'),
(159,1,'5\"'),
(159,2,'5\"'),
(159,3,'5\"'),
(159,4,'5\"'),
(159,5,'5\"'),
(160,1,'2 kg'),
(160,2,'2 kg'),
(160,3,'2 kg'),
(160,4,'2 kg'),
(160,5,'2 kg'),
(161,1,'XL'),
(161,2,'XL'),
(161,3,'XL'),
(161,4,'XL'),
(161,5,'XL'),
(162,1,'15\"'),
(162,2,'15\"'),
(162,3,'15\"'),
(162,4,'15\"'),
(162,5,'15\"'),
(163,1,'15\"'),
(163,2,'15\"'),
(163,3,'15\"'),
(163,4,'15\"'),
(163,5,'15\"'),
(164,1,'10\"'),
(164,2,'10\"'),
(164,3,'10\"'),
(164,4,'10\"'),
(164,5,'10\"'),
(165,1,'3 kg'),
(165,2,'3 kg'),
(165,3,'3 kg'),
(165,4,'3 kg'),
(165,5,'3 kg'),
(166,1,'M'),
(166,2,'M'),
(166,3,'M'),
(166,4,'M'),
(166,5,'M'),
(167,1,'5\"'),
(167,2,'5\"'),
(167,3,'5\"'),
(167,4,'5\"'),
(167,5,'5\"'),
(168,1,'10\"'),
(168,2,'10\"'),
(168,3,'10\"'),
(168,4,'10\"'),
(168,5,'10\"'),
(169,1,'15\"'),
(169,2,'15\"'),
(169,3,'15\"'),
(169,4,'15\"'),
(169,5,'15\"'),
(170,1,'5 kg'),
(170,2,'5 kg'),
(170,3,'5 kg'),
(170,4,'5 kg'),
(170,5,'5 kg'),
(171,1,'M'),
(171,2,'M'),
(171,3,'M'),
(171,4,'M'),
(171,5,'M'),
(172,1,'10\"'),
(172,2,'10\"'),
(172,3,'10\"'),
(172,4,'10\"'),
(172,5,'10\"'),
(173,1,'15\"'),
(173,2,'15\"'),
(173,3,'15\"'),
(173,4,'15\"'),
(173,5,'15\"'),
(174,1,'10\"'),
(174,2,'10\"'),
(174,3,'10\"'),
(174,4,'10\"'),
(174,5,'10\"'),
(175,1,'0.5 kg'),
(175,2,'0.5 kg'),
(175,3,'0.5 kg'),
(175,4,'0.5 kg'),
(175,5,'0.5 kg'),
(176,1,'L'),
(176,2,'L'),
(176,3,'L'),
(176,4,'L'),
(176,5,'L'),
(177,1,'10\"'),
(177,2,'10\"'),
(177,3,'10\"'),
(177,4,'10\"'),
(177,5,'10\"'),
(178,1,'10\"'),
(178,2,'10\"'),
(178,3,'10\"'),
(178,4,'10\"'),
(178,5,'10\"'),
(179,1,'5\"'),
(179,2,'5\"'),
(179,3,'5\"'),
(179,4,'5\"'),
(179,5,'5\"'),
(180,1,'2 kg'),
(180,2,'2 kg'),
(180,3,'2 kg'),
(180,4,'2 kg'),
(180,5,'2 kg'),
(181,1,'M'),
(181,2,'M'),
(181,3,'M'),
(181,4,'M'),
(181,5,'M'),
(182,1,'15\"'),
(182,2,'15\"'),
(182,3,'15\"'),
(182,4,'15\"'),
(182,5,'15\"'),
(183,1,'15\"'),
(183,2,'15\"'),
(183,3,'15\"'),
(183,4,'15\"'),
(183,5,'15\"'),
(184,1,'10\"'),
(184,2,'10\"'),
(184,3,'10\"'),
(184,4,'10\"'),
(184,5,'10\"'),
(185,1,'3 kg'),
(185,2,'3 kg'),
(185,3,'3 kg'),
(185,4,'3 kg'),
(185,5,'3 kg'),
(186,1,'L'),
(186,2,'L'),
(186,3,'L'),
(186,4,'L'),
(186,5,'L'),
(187,1,'5\"'),
(187,2,'5\"'),
(187,3,'5\"'),
(187,4,'5\"'),
(187,5,'5\"'),
(188,1,'10\"'),
(188,2,'10\"'),
(188,3,'10\"'),
(188,4,'10\"'),
(188,5,'10\"'),
(189,1,'15\"'),
(189,2,'15\"'),
(189,3,'15\"'),
(189,4,'15\"'),
(189,5,'15\"'),
(190,1,'5 kg'),
(190,2,'5 kg'),
(190,3,'5 kg'),
(190,4,'5 kg'),
(190,5,'5 kg'),
(191,1,'XL'),
(191,2,'XL'),
(191,3,'XL'),
(191,4,'XL'),
(191,5,'XL'),
(192,1,'10\"'),
(192,2,'10\"'),
(192,3,'10\"'),
(192,4,'10\"'),
(192,5,'10\"'),
(193,1,'15\"'),
(193,2,'15\"'),
(193,3,'15\"'),
(193,4,'15\"'),
(193,5,'15\"'),
(194,1,'10\"'),
(194,2,'10\"'),
(194,3,'10\"'),
(194,4,'10\"'),
(194,5,'10\"'),
(195,1,'0.5 kg'),
(195,2,'0.5 kg'),
(195,3,'0.5 kg'),
(195,4,'0.5 kg'),
(195,5,'0.5 kg'),
(196,1,'XXL'),
(196,2,'XXL'),
(196,3,'XXL'),
(196,4,'XXL'),
(196,5,'XXL'),
(197,1,'15\"'),
(197,2,'15\"'),
(197,3,'15\"'),
(197,4,'15\"'),
(197,5,'15\"'),
(198,1,'5\"'),
(198,2,'5\"'),
(198,3,'5\"'),
(198,4,'5\"'),
(198,5,'5\"'),
(199,1,'15\"'),
(199,2,'15\"'),
(199,3,'15\"'),
(199,4,'15\"'),
(199,5,'15\"'),
(200,1,'1 kg'),
(200,2,'1 kg'),
(200,3,'1 kg'),
(200,4,'1 kg'),
(200,5,'1 kg'),
(201,1,'L'),
(201,2,'L'),
(201,3,'L'),
(201,4,'L'),
(201,5,'L'),
(202,1,'5\"'),
(202,2,'5\"'),
(202,3,'5\"'),
(202,4,'5\"'),
(202,5,'5\"'),
(203,1,'10\"'),
(203,2,'10\"'),
(203,3,'10\"'),
(203,4,'10\"'),
(203,5,'10\"'),
(204,1,'5\"'),
(204,2,'5\"'),
(204,3,'5\"'),
(204,4,'5\"'),
(204,5,'5\"'),
(205,1,'0.3 kg'),
(205,2,'0.3 kg'),
(205,3,'0.3 kg'),
(205,4,'0.3 kg'),
(205,5,'0.3 kg'),
(206,1,'XL'),
(206,2,'XL'),
(206,3,'XL'),
(206,4,'XL'),
(206,5,'XL'),
(207,1,'5\"'),
(207,2,'5\"'),
(207,3,'5\"'),
(207,4,'5\"'),
(207,5,'5\"'),
(208,1,'5\"'),
(208,2,'5\"'),
(208,3,'5\"'),
(208,4,'5\"'),
(208,5,'5\"'),
(209,1,'15\"'),
(209,2,'15\"'),
(209,3,'15\"'),
(209,4,'15\"'),
(209,5,'15\"'),
(210,1,'0.3 kg'),
(210,2,'0.3 kg'),
(210,3,'0.3 kg'),
(210,4,'0.3 kg'),
(210,5,'0.3 kg'),
(211,1,'L'),
(211,2,'L'),
(211,3,'L'),
(211,4,'L'),
(211,5,'L'),
(212,1,'10\"'),
(212,2,'10\"'),
(212,3,'10\"'),
(212,4,'10\"'),
(212,5,'10\"'),
(213,1,'10\"'),
(213,2,'10\"'),
(213,3,'10\"'),
(213,4,'10\"'),
(213,5,'10\"'),
(214,1,'5\"'),
(214,2,'5\"'),
(214,3,'5\"'),
(214,4,'5\"'),
(214,5,'5\"'),
(215,1,'2 kg'),
(215,2,'2 kg'),
(215,3,'2 kg'),
(215,4,'2 kg'),
(215,5,'2 kg'),
(216,1,'XL'),
(216,2,'XL'),
(216,3,'XL'),
(216,4,'XL'),
(216,5,'XL'),
(217,1,'15\"'),
(217,2,'15\"'),
(217,3,'15\"'),
(217,4,'15\"'),
(217,5,'15\"'),
(218,1,'15\"'),
(218,2,'15\"'),
(218,3,'15\"'),
(218,4,'15\"'),
(218,5,'15\"'),
(219,1,'10\"'),
(219,2,'10\"'),
(219,3,'10\"'),
(219,4,'10\"'),
(219,5,'10\"'),
(220,1,'3 kg'),
(220,2,'3 kg'),
(220,3,'3 kg'),
(220,4,'3 kg'),
(220,5,'3 kg'),
(221,1,'M'),
(221,2,'M'),
(221,3,'M'),
(221,4,'M'),
(221,5,'M'),
(222,1,'5\"'),
(222,2,'5\"'),
(222,3,'5\"'),
(222,4,'5\"'),
(222,5,'5\"'),
(223,1,'10\"'),
(223,2,'10\"'),
(223,3,'10\"'),
(223,4,'10\"'),
(223,5,'10\"'),
(224,1,'15\"'),
(224,2,'15\"'),
(224,3,'15\"'),
(224,4,'15\"'),
(224,5,'15\"'),
(225,1,'5 kg'),
(225,2,'5 kg'),
(225,3,'5 kg'),
(225,4,'5 kg'),
(225,5,'5 kg'),
(226,1,'M'),
(226,2,'M'),
(226,3,'M'),
(226,4,'M'),
(226,5,'M'),
(227,1,'10\"'),
(227,2,'10\"'),
(227,3,'10\"'),
(227,4,'10\"'),
(227,5,'10\"'),
(228,1,'15\"'),
(228,2,'15\"'),
(228,3,'15\"'),
(228,4,'15\"'),
(228,5,'15\"'),
(229,1,'10\"'),
(229,2,'10\"'),
(229,3,'10\"'),
(229,4,'10\"'),
(229,5,'10\"'),
(230,1,'0.5 kg'),
(230,2,'0.5 kg'),
(230,3,'0.5 kg'),
(230,4,'0.5 kg'),
(230,5,'0.5 kg'),
(231,1,'L'),
(231,2,'L'),
(231,3,'L'),
(231,4,'L'),
(231,5,'L'),
(232,1,'10\"'),
(232,2,'10\"'),
(232,3,'10\"'),
(232,4,'10\"'),
(232,5,'10\"'),
(233,1,'10\"'),
(233,2,'10\"'),
(233,3,'10\"'),
(233,4,'10\"'),
(233,5,'10\"'),
(234,1,'5\"'),
(234,2,'5\"'),
(234,3,'5\"'),
(234,4,'5\"'),
(234,5,'5\"'),
(235,1,'2 kg'),
(235,2,'2 kg'),
(235,3,'2 kg'),
(235,4,'2 kg'),
(235,5,'2 kg'),
(236,1,'M'),
(236,2,'M'),
(236,3,'M'),
(236,4,'M'),
(236,5,'M'),
(237,1,'15\"'),
(237,2,'15\"'),
(237,3,'15\"'),
(237,4,'15\"'),
(237,5,'15\"'),
(238,1,'15\"'),
(238,2,'15\"'),
(238,3,'15\"'),
(238,4,'15\"'),
(238,5,'15\"'),
(239,1,'10\"'),
(239,2,'10\"'),
(239,3,'10\"'),
(239,4,'10\"'),
(239,5,'10\"'),
(240,1,'3 kg'),
(240,2,'3 kg'),
(240,3,'3 kg'),
(240,4,'3 kg'),
(240,5,'3 kg'),
(241,1,'L'),
(241,2,'L'),
(241,3,'L'),
(241,4,'L'),
(241,5,'L'),
(242,1,'5\"'),
(242,2,'5\"'),
(242,3,'5\"'),
(242,4,'5\"'),
(242,5,'5\"'),
(243,1,'10\"'),
(243,2,'10\"'),
(243,3,'10\"'),
(243,4,'10\"'),
(243,5,'10\"'),
(244,1,'15\"'),
(244,2,'15\"'),
(244,3,'15\"'),
(244,4,'15\"'),
(244,5,'15\"'),
(245,1,'5 kg'),
(245,2,'5 kg'),
(245,3,'5 kg'),
(245,4,'5 kg'),
(245,5,'5 kg'),
(246,1,'XL'),
(246,2,'XL'),
(246,3,'XL'),
(246,4,'XL'),
(246,5,'XL'),
(247,1,'10\"'),
(247,2,'10\"'),
(247,3,'10\"'),
(247,4,'10\"'),
(247,5,'10\"'),
(248,1,'15\"'),
(248,2,'15\"'),
(248,3,'15\"'),
(248,4,'15\"'),
(248,5,'15\"'),
(249,1,'10\"'),
(249,2,'10\"'),
(249,3,'10\"'),
(249,4,'10\"'),
(249,5,'10\"'),
(250,1,'0.5 kg'),
(250,2,'0.5 kg'),
(250,3,'0.5 kg'),
(250,4,'0.5 kg'),
(250,5,'0.5 kg'),
(251,1,'XXL'),
(251,2,'XXL'),
(251,3,'XXL'),
(251,4,'XXL'),
(251,5,'XXL'),
(252,1,'5\"'),
(252,2,'5\"'),
(252,3,'5\"'),
(252,4,'5\"'),
(252,5,'5\"'),
(253,1,'5\"'),
(253,2,'5\"'),
(253,3,'5\"'),
(253,4,'5\"'),
(253,5,'5\"'),
(254,1,'15\"'),
(254,2,'15\"'),
(254,3,'15\"'),
(254,4,'15\"'),
(254,5,'15\"'),
(255,1,'0.3 kg'),
(255,2,'0.3 kg'),
(255,3,'0.3 kg'),
(255,4,'0.3 kg'),
(255,5,'0.3 kg'),
(256,1,'L'),
(256,2,'L'),
(256,3,'L'),
(256,4,'L'),
(256,5,'L'),
(257,1,'10\"'),
(257,2,'10\"'),
(257,3,'10\"'),
(257,4,'10\"'),
(257,5,'10\"'),
(258,1,'10\"'),
(258,2,'10\"'),
(258,3,'10\"'),
(258,4,'10\"'),
(258,5,'10\"'),
(259,1,'5\"'),
(259,2,'5\"'),
(259,3,'5\"'),
(259,4,'5\"'),
(259,5,'5\"'),
(260,1,'2 kg'),
(260,2,'2 kg'),
(260,3,'2 kg'),
(260,4,'2 kg'),
(260,5,'2 kg'),
(261,1,'XL'),
(261,2,'XL'),
(261,3,'XL'),
(261,4,'XL'),
(261,5,'XL'),
(262,1,'15\"'),
(262,2,'15\"'),
(262,3,'15\"'),
(262,4,'15\"'),
(262,5,'15\"'),
(263,1,'15\"'),
(263,2,'15\"'),
(263,3,'15\"'),
(263,4,'15\"'),
(263,5,'15\"'),
(264,1,'10\"'),
(264,2,'10\"'),
(264,3,'10\"'),
(264,4,'10\"'),
(264,5,'10\"'),
(265,1,'3 kg'),
(265,2,'3 kg'),
(265,3,'3 kg'),
(265,4,'3 kg'),
(265,5,'3 kg'),
(266,1,'M'),
(266,2,'M'),
(266,3,'M'),
(266,4,'M'),
(266,5,'M'),
(267,1,'5\"'),
(267,2,'5\"'),
(267,3,'5\"'),
(267,4,'5\"'),
(267,5,'5\"'),
(268,1,'15\"'),
(268,2,'15\"'),
(268,3,'15\"'),
(268,4,'15\"'),
(268,5,'15\"'),
(269,1,'10\"'),
(269,2,'10\"'),
(269,3,'10\"'),
(269,4,'10\"'),
(269,5,'10\"'),
(270,1,'2 kg'),
(270,2,'2 kg'),
(270,3,'2 kg'),
(270,4,'2 kg'),
(270,5,'2 kg'),
(271,1,'10\"'),
(271,2,'10\"'),
(271,3,'10\"'),
(271,4,'10\"'),
(271,5,'10\"'),
(272,1,'10\"'),
(272,2,'10\"'),
(272,3,'10\"'),
(272,4,'10\"'),
(272,5,'10\"'),
(273,1,'10\"'),
(273,2,'10\"'),
(273,3,'10\"'),
(273,4,'10\"'),
(273,5,'10\"'),
(274,1,'0.5 kg'),
(274,2,'0.5 kg'),
(274,3,'0.5 kg'),
(274,4,'0.5 kg'),
(274,5,'0.5 kg'),
(275,1,'15\"'),
(275,2,'15\"'),
(275,3,'15\"'),
(275,4,'15\"'),
(275,5,'15\"'),
(276,1,'15\"'),
(276,2,'15\"'),
(276,3,'15\"'),
(276,4,'15\"'),
(276,5,'15\"'),
(277,1,'15\"'),
(277,2,'15\"'),
(277,3,'15\"'),
(277,4,'15\"'),
(277,5,'15\"'),
(278,1,'1 kg'),
(278,2,'1 kg'),
(278,3,'1 kg'),
(278,4,'1 kg'),
(278,5,'1 kg'),
(279,1,'15\"'),
(279,2,'15\"'),
(279,3,'15\"'),
(279,4,'15\"'),
(279,5,'15\"'),
(280,1,'10\"'),
(280,2,'10\"'),
(280,3,'10\"'),
(280,4,'10\"'),
(280,5,'10\"'),
(281,1,'15\"'),
(281,2,'15\"'),
(281,3,'15\"'),
(281,4,'15\"'),
(281,5,'15\"'),
(282,1,'2 kg'),
(282,2,'2 kg'),
(282,3,'2 kg'),
(282,4,'2 kg'),
(282,5,'2 kg'),
(283,1,'5\"'),
(283,2,'5\"'),
(283,3,'5\"'),
(283,4,'5\"'),
(283,5,'5\"'),
(284,1,'15\"'),
(284,2,'15\"'),
(284,3,'15\"'),
(284,4,'15\"'),
(284,5,'15\"'),
(285,1,'5\"'),
(285,2,'5\"'),
(285,3,'5\"'),
(285,4,'5\"'),
(285,5,'5\"'),
(286,1,'3 kg'),
(286,2,'3 kg'),
(286,3,'3 kg'),
(286,4,'3 kg'),
(286,5,'3 kg'),
(287,1,'5\"'),
(287,2,'5\"'),
(287,3,'5\"'),
(287,4,'5\"'),
(287,5,'5\"'),
(288,1,'10\"'),
(288,2,'10\"'),
(288,3,'10\"'),
(288,4,'10\"'),
(288,5,'10\"'),
(289,1,'15\"'),
(289,2,'15\"'),
(289,3,'15\"'),
(289,4,'15\"'),
(289,5,'15\"'),
(290,1,'5 kg'),
(290,2,'5 kg'),
(290,3,'5 kg'),
(290,4,'5 kg'),
(290,5,'5 kg'),
(291,1,'10\"'),
(291,2,'10\"'),
(291,3,'10\"'),
(291,4,'10\"'),
(291,5,'10\"'),
(292,1,'15\"'),
(292,2,'15\"'),
(292,3,'15\"'),
(292,4,'15\"'),
(292,5,'15\"'),
(293,1,'10\"'),
(293,2,'10\"'),
(293,3,'10\"'),
(293,4,'10\"'),
(293,5,'10\"'),
(294,1,'0.5 kg'),
(294,2,'0.5 kg'),
(294,3,'0.5 kg'),
(294,4,'0.5 kg'),
(294,5,'0.5 kg'),
(295,1,'15\"'),
(295,2,'15\"'),
(295,3,'15\"'),
(295,4,'15\"'),
(295,5,'15\"'),
(296,1,'5\"'),
(296,2,'5\"'),
(296,3,'5\"'),
(296,4,'5\"'),
(296,5,'5\"'),
(297,1,'15\"'),
(297,2,'15\"'),
(297,3,'15\"'),
(297,4,'15\"'),
(297,5,'15\"'),
(298,1,'1 kg'),
(298,2,'1 kg'),
(298,3,'1 kg'),
(298,4,'1 kg'),
(298,5,'1 kg'),
(299,1,'5\"'),
(299,2,'5\"'),
(299,3,'5\"'),
(299,4,'5\"'),
(299,5,'5\"'),
(300,1,'10\"'),
(300,2,'10\"'),
(300,3,'10\"'),
(300,4,'10\"'),
(300,5,'10\"'),
(301,1,'5\"'),
(301,2,'5\"'),
(301,3,'5\"'),
(301,4,'5\"'),
(301,5,'5\"'),
(302,1,'0.3 kg'),
(302,2,'0.3 kg'),
(302,3,'0.3 kg'),
(302,4,'0.3 kg'),
(302,5,'0.3 kg'),
(303,1,'10\"'),
(303,2,'10\"'),
(303,3,'10\"'),
(303,4,'10\"'),
(303,5,'10\"'),
(304,1,'15\"'),
(304,2,'15\"'),
(304,3,'15\"'),
(304,4,'15\"'),
(304,5,'15\"'),
(305,1,'10\"'),
(305,2,'10\"'),
(305,3,'10\"'),
(305,4,'10\"'),
(305,5,'10\"'),
(306,1,'2 kg'),
(306,2,'2 kg'),
(306,3,'2 kg'),
(306,4,'2 kg'),
(306,5,'2 kg'),
(307,1,'15\"'),
(307,2,'15\"'),
(307,3,'15\"'),
(307,4,'15\"'),
(307,5,'15\"'),
(308,1,'10\"'),
(308,2,'10\"'),
(308,3,'10\"'),
(308,4,'10\"'),
(308,5,'10\"'),
(309,1,'15\"'),
(309,2,'15\"'),
(309,3,'15\"'),
(309,4,'15\"'),
(309,5,'15\"'),
(310,1,'0.5 kg'),
(310,2,'0.5 kg'),
(310,3,'0.5 kg'),
(310,4,'0.5 kg'),
(310,5,'0.5 kg'),
(311,1,'5\"'),
(311,2,'5\"'),
(311,3,'5\"'),
(311,4,'5\"'),
(311,5,'5\"'),
(312,1,'15\"'),
(312,2,'15\"'),
(312,3,'15\"'),
(312,4,'15\"'),
(312,5,'15\"'),
(313,1,'10\"'),
(313,2,'10\"'),
(313,3,'10\"'),
(313,4,'10\"'),
(313,5,'10\"'),
(314,1,'1 kg'),
(314,2,'1 kg'),
(314,3,'1 kg'),
(314,4,'1 kg'),
(314,5,'1 kg'),
(315,1,'10\"'),
(315,2,'10\"'),
(315,3,'10\"'),
(315,4,'10\"'),
(315,5,'10\"'),
(316,1,'15\"'),
(316,2,'15\"'),
(316,3,'15\"'),
(316,4,'15\"'),
(316,5,'15\"'),
(317,1,'10\"'),
(317,2,'10\"'),
(317,3,'10\"'),
(317,4,'10\"'),
(317,5,'10\"'),
(318,1,'0.5 kg'),
(318,2,'0.5 kg'),
(318,3,'0.5 kg'),
(318,4,'0.5 kg'),
(318,5,'0.5 kg'),
(319,1,'L'),
(319,2,'L'),
(319,3,'L'),
(319,4,'L'),
(319,5,'L'),
(320,1,'15\"'),
(320,2,'15\"'),
(320,3,'15\"'),
(320,4,'15\"'),
(320,5,'15\"'),
(321,1,'5\"'),
(321,2,'5\"'),
(321,3,'5\"'),
(321,4,'5\"'),
(321,5,'5\"'),
(322,1,'15\"'),
(322,2,'15\"'),
(322,3,'15\"'),
(322,4,'15\"'),
(322,5,'15\"'),
(323,1,'1 kg'),
(323,2,'1 kg'),
(323,3,'1 kg'),
(323,4,'1 kg'),
(323,5,'1 kg'),
(324,1,'XL'),
(324,2,'XL'),
(324,3,'XL'),
(324,4,'XL'),
(324,5,'XL'),
(325,1,'5\"'),
(325,2,'5\"'),
(325,3,'5\"'),
(325,4,'5\"'),
(325,5,'5\"'),
(326,1,'10\"'),
(326,2,'10\"'),
(326,3,'10\"'),
(326,4,'10\"'),
(326,5,'10\"'),
(327,1,'5\"'),
(327,2,'5\"'),
(327,3,'5\"'),
(327,4,'5\"'),
(327,5,'5\"'),
(328,1,'0.3 kg'),
(328,2,'0.3 kg'),
(328,3,'0.3 kg'),
(328,4,'0.3 kg'),
(328,5,'0.3 kg'),
(329,1,'XXL'),
(329,2,'XXL'),
(329,3,'XXL'),
(329,4,'XXL'),
(329,5,'XXL'),
(330,1,'10\"'),
(330,2,'10\"'),
(330,3,'10\"'),
(330,4,'10\"'),
(330,5,'10\"'),
(331,1,'15\"'),
(331,2,'15\"'),
(331,3,'15\"'),
(331,4,'15\"'),
(331,5,'15\"'),
(332,1,'10\"'),
(332,2,'10\"'),
(332,3,'10\"'),
(332,4,'10\"'),
(332,5,'10\"'),
(333,1,'2 kg'),
(333,2,'2 kg'),
(333,3,'2 kg'),
(333,4,'2 kg'),
(333,5,'2 kg'),
(334,1,'L'),
(334,2,'L'),
(334,3,'L'),
(334,4,'L'),
(334,5,'L'),
(335,1,'15\"'),
(335,2,'15\"'),
(335,3,'15\"'),
(335,4,'15\"'),
(335,5,'15\"'),
(336,1,'10\"'),
(336,2,'10\"'),
(336,3,'10\"'),
(336,4,'10\"'),
(336,5,'10\"'),
(337,1,'15\"'),
(337,2,'15\"'),
(337,3,'15\"'),
(337,4,'15\"'),
(337,5,'15\"'),
(338,1,'0.5 kg'),
(338,2,'0.5 kg'),
(338,3,'0.5 kg'),
(338,4,'0.5 kg'),
(338,5,'0.5 kg'),
(339,1,'XL'),
(339,2,'XL'),
(339,3,'XL'),
(339,4,'XL'),
(339,5,'XL'),
(340,1,'5\"'),
(340,2,'5\"'),
(340,3,'5\"'),
(340,4,'5\"'),
(340,5,'5\"'),
(341,1,'15\"'),
(341,2,'15\"'),
(341,3,'15\"'),
(341,4,'15\"'),
(341,5,'15\"'),
(342,1,'10\"'),
(342,2,'10\"'),
(342,3,'10\"'),
(342,4,'10\"'),
(342,5,'10\"'),
(343,1,'1 kg'),
(343,2,'1 kg'),
(343,3,'1 kg'),
(343,4,'1 kg'),
(343,5,'1 kg'),
(344,1,'M'),
(344,2,'M'),
(344,3,'M'),
(344,4,'M'),
(344,5,'M'),
(345,1,'5\"'),
(345,2,'5\"'),
(345,3,'5\"'),
(345,4,'5\"'),
(345,5,'5\"'),
(346,1,'5\"'),
(346,2,'5\"'),
(346,3,'5\"'),
(346,4,'5\"'),
(346,5,'5\"'),
(347,1,'15\"'),
(347,2,'15\"'),
(347,3,'15\"'),
(347,4,'15\"'),
(347,5,'15\"'),
(348,1,'0.3 kg'),
(348,2,'0.3 kg'),
(348,3,'0.3 kg'),
(348,4,'0.3 kg'),
(348,5,'0.3 kg'),
(349,1,'L'),
(349,2,'L'),
(349,3,'L'),
(349,4,'L'),
(349,5,'L'),
(350,1,'10\"'),
(350,2,'10\"'),
(350,3,'10\"'),
(350,4,'10\"'),
(350,5,'10\"'),
(351,1,'10\"'),
(351,2,'10\"'),
(351,3,'10\"'),
(351,4,'10\"'),
(351,5,'10\"'),
(352,1,'5\"'),
(352,2,'5\"'),
(352,3,'5\"'),
(352,4,'5\"'),
(352,5,'5\"'),
(353,1,'2 kg'),
(353,2,'2 kg'),
(353,3,'2 kg'),
(353,4,'2 kg'),
(353,5,'2 kg'),
(354,1,'XL'),
(354,2,'XL'),
(354,3,'XL'),
(354,4,'XL'),
(354,5,'XL'),
(355,1,'15\"'),
(355,2,'15\"'),
(355,3,'15\"'),
(355,4,'15\"'),
(355,5,'15\"'),
(356,1,'15\"'),
(356,2,'15\"'),
(356,3,'15\"'),
(356,4,'15\"'),
(356,5,'15\"'),
(357,1,'10\"'),
(357,2,'10\"'),
(357,3,'10\"'),
(357,4,'10\"'),
(357,5,'10\"'),
(358,1,'3 kg'),
(358,2,'3 kg'),
(358,3,'3 kg'),
(358,4,'3 kg'),
(358,5,'3 kg'),
(359,1,'M'),
(359,2,'M'),
(359,3,'M'),
(359,4,'M'),
(359,5,'M'),
(360,1,'5\"'),
(360,2,'5\"'),
(360,3,'5\"'),
(360,4,'5\"'),
(360,5,'5\"'),
(361,1,'10\"'),
(361,2,'10\"'),
(361,3,'10\"'),
(361,4,'10\"'),
(361,5,'10\"'),
(362,1,'15\"'),
(362,2,'15\"'),
(362,3,'15\"'),
(362,4,'15\"'),
(362,5,'15\"'),
(363,1,'5 kg'),
(363,2,'5 kg'),
(363,3,'5 kg'),
(363,4,'5 kg'),
(363,5,'5 kg'),
(364,1,'M'),
(364,2,'M'),
(364,3,'M'),
(364,4,'M'),
(364,5,'M'),
(365,1,'10\"'),
(365,2,'10\"'),
(365,3,'10\"'),
(365,4,'10\"'),
(365,5,'10\"'),
(366,1,'15\"'),
(366,2,'15\"'),
(366,3,'15\"'),
(366,4,'15\"'),
(366,5,'15\"'),
(367,1,'10\"'),
(367,2,'10\"'),
(367,3,'10\"'),
(367,4,'10\"'),
(367,5,'10\"'),
(368,1,'0.5 kg'),
(368,2,'0.5 kg'),
(368,3,'0.5 kg'),
(368,4,'0.5 kg'),
(368,5,'0.5 kg'),
(369,1,'L'),
(369,2,'L'),
(369,3,'L'),
(369,4,'L'),
(369,5,'L'),
(370,1,'15\"'),
(370,2,'15\"'),
(370,3,'15\"'),
(370,4,'15\"'),
(370,5,'15\"'),
(371,1,'5\"'),
(371,2,'5\"'),
(371,3,'5\"'),
(371,4,'5\"'),
(371,5,'5\"'),
(372,1,'15\"'),
(372,2,'15\"'),
(372,3,'15\"'),
(372,4,'15\"'),
(372,5,'15\"'),
(373,1,'1 kg'),
(373,2,'1 kg'),
(373,3,'1 kg'),
(373,4,'1 kg'),
(373,5,'1 kg'),
(374,1,'XL'),
(374,2,'XL'),
(374,3,'XL'),
(374,4,'XL'),
(374,5,'XL'),
(375,1,'5\"'),
(375,2,'5\"'),
(375,3,'5\"'),
(375,4,'5\"'),
(375,5,'5\"'),
(376,1,'10\"'),
(376,2,'10\"'),
(376,3,'10\"'),
(376,4,'10\"'),
(376,5,'10\"'),
(377,1,'5\"'),
(377,2,'5\"'),
(377,3,'5\"'),
(377,4,'5\"'),
(377,5,'5\"'),
(378,1,'0.3 kg'),
(378,2,'0.3 kg'),
(378,3,'0.3 kg'),
(378,4,'0.3 kg'),
(378,5,'0.3 kg'),
(379,1,'XXL'),
(379,2,'XXL'),
(379,3,'XXL'),
(379,4,'XXL'),
(379,5,'XXL'),
(380,1,'5\"'),
(380,2,'5\"'),
(380,3,'5\"'),
(380,4,'5\"'),
(380,5,'5\"'),
(381,1,'15\"'),
(381,2,'15\"'),
(381,3,'15\"'),
(381,4,'15\"'),
(381,5,'15\"'),
(382,1,'10\"'),
(382,2,'10\"'),
(382,3,'10\"'),
(382,4,'10\"'),
(382,5,'10\"'),
(383,1,'2 kg'),
(383,2,'2 kg'),
(383,3,'2 kg'),
(383,4,'2 kg'),
(383,5,'2 kg'),
(384,1,'L'),
(384,2,'L'),
(384,3,'L'),
(384,4,'L'),
(384,5,'L'),
(385,1,'10\"'),
(385,2,'10\"'),
(385,3,'10\"'),
(385,4,'10\"'),
(385,5,'10\"'),
(386,1,'10\"'),
(386,2,'10\"'),
(386,3,'10\"'),
(386,4,'10\"'),
(386,5,'10\"'),
(387,1,'10\"'),
(387,2,'10\"'),
(387,3,'10\"'),
(387,4,'10\"'),
(387,5,'10\"'),
(388,1,'0.5 kg'),
(388,2,'0.5 kg'),
(388,3,'0.5 kg'),
(388,4,'0.5 kg'),
(388,5,'0.5 kg'),
(389,1,'XL'),
(389,2,'XL'),
(389,3,'XL'),
(389,4,'XL'),
(389,5,'XL'),
(390,1,'15\"'),
(390,2,'15\"'),
(390,3,'15\"'),
(390,4,'15\"'),
(390,5,'15\"'),
(391,1,'15\"'),
(391,2,'15\"'),
(391,3,'15\"'),
(391,4,'15\"'),
(391,5,'15\"'),
(392,1,'15\"'),
(392,2,'15\"'),
(392,3,'15\"'),
(392,4,'15\"'),
(392,5,'15\"'),
(393,1,'1 kg'),
(393,2,'1 kg'),
(393,3,'1 kg'),
(393,4,'1 kg'),
(393,5,'1 kg'),
(394,1,'M'),
(394,2,'M'),
(394,3,'M'),
(394,4,'M'),
(394,5,'M'),
(395,1,'15\"'),
(395,2,'15\"'),
(395,3,'15\"'),
(395,4,'15\"'),
(395,5,'15\"'),
(396,1,'10\"'),
(396,2,'10\"'),
(396,3,'10\"'),
(396,4,'10\"'),
(396,5,'10\"'),
(397,1,'15\"'),
(397,2,'15\"'),
(397,3,'15\"'),
(397,4,'15\"'),
(397,5,'15\"'),
(398,1,'2 kg'),
(398,2,'2 kg'),
(398,3,'2 kg'),
(398,4,'2 kg'),
(398,5,'2 kg'),
(399,1,'XL'),
(399,2,'XL'),
(399,3,'XL'),
(399,4,'XL'),
(399,5,'XL'),
(400,1,'5\"'),
(400,2,'5\"'),
(400,3,'5\"'),
(400,4,'5\"'),
(400,5,'5\"'),
(401,1,'15\"'),
(401,2,'15\"'),
(401,3,'15\"'),
(401,4,'15\"'),
(401,5,'15\"'),
(402,1,'5\"'),
(402,2,'5\"'),
(402,3,'5\"'),
(402,4,'5\"'),
(402,5,'5\"'),
(403,1,'3 kg'),
(403,2,'3 kg'),
(403,3,'3 kg'),
(403,4,'3 kg'),
(403,5,'3 kg'),
(404,1,'M'),
(404,2,'M'),
(404,3,'M'),
(404,4,'M'),
(404,5,'M'),
(405,1,'5\"'),
(405,2,'5\"'),
(405,3,'5\"'),
(405,4,'5\"'),
(405,5,'5\"'),
(406,1,'10\"'),
(406,2,'10\"'),
(406,3,'10\"'),
(406,4,'10\"'),
(406,5,'10\"'),
(407,1,'15\"'),
(407,2,'15\"'),
(407,3,'15\"'),
(407,4,'15\"'),
(407,5,'15\"'),
(408,1,'5 kg'),
(408,2,'5 kg'),
(408,3,'5 kg'),
(408,4,'5 kg'),
(408,5,'5 kg'),
(409,1,'M'),
(409,2,'M'),
(409,3,'M'),
(409,4,'M'),
(409,5,'M'),
(410,1,'10\"'),
(410,2,'10\"'),
(410,3,'10\"'),
(410,4,'10\"'),
(410,5,'10\"'),
(411,1,'15\"'),
(411,2,'15\"'),
(411,3,'15\"'),
(411,4,'15\"'),
(411,5,'15\"'),
(412,1,'10\"'),
(412,2,'10\"'),
(412,3,'10\"'),
(412,4,'10\"'),
(412,5,'10\"'),
(413,1,'0.5 kg'),
(413,2,'0.5 kg'),
(413,3,'0.5 kg'),
(413,4,'0.5 kg'),
(413,5,'0.5 kg'),
(414,1,'L'),
(414,2,'L'),
(414,3,'L'),
(414,4,'L'),
(414,5,'L'),
(415,1,'15\"'),
(415,2,'15\"'),
(415,3,'15\"'),
(415,4,'15\"'),
(415,5,'15\"'),
(416,1,'5\"'),
(416,2,'5\"'),
(416,3,'5\"'),
(416,4,'5\"'),
(416,5,'5\"'),
(417,1,'15\"'),
(417,2,'15\"'),
(417,3,'15\"'),
(417,4,'15\"'),
(417,5,'15\"'),
(418,1,'1 kg'),
(418,2,'1 kg'),
(418,3,'1 kg'),
(418,4,'1 kg'),
(418,5,'1 kg'),
(419,1,'XL'),
(419,2,'XL'),
(419,3,'XL'),
(419,4,'XL'),
(419,5,'XL'),
(420,1,'5\"'),
(420,2,'5\"'),
(420,3,'5\"'),
(420,4,'5\"'),
(420,5,'5\"'),
(421,1,'10\"'),
(421,2,'10\"'),
(421,3,'10\"'),
(421,4,'10\"'),
(421,5,'10\"'),
(422,1,'5\"'),
(422,2,'5\"'),
(422,3,'5\"'),
(422,4,'5\"'),
(422,5,'5\"'),
(423,1,'0.3 kg'),
(423,2,'0.3 kg'),
(423,3,'0.3 kg'),
(423,4,'0.3 kg'),
(423,5,'0.3 kg'),
(424,1,'XXL'),
(424,2,'XXL'),
(424,3,'XXL'),
(424,4,'XXL'),
(424,5,'XXL'),
(425,1,'10\"'),
(425,2,'10\"'),
(425,3,'10\"'),
(425,4,'10\"'),
(425,5,'10\"'),
(426,1,'15\"'),
(426,2,'15\"'),
(426,3,'15\"'),
(426,4,'15\"'),
(426,5,'15\"'),
(427,1,'10\"'),
(427,2,'10\"'),
(427,3,'10\"'),
(427,4,'10\"'),
(427,5,'10\"'),
(428,1,'2 kg'),
(428,2,'2 kg'),
(428,3,'2 kg'),
(428,4,'2 kg'),
(428,5,'2 kg'),
(429,1,'L'),
(429,2,'L'),
(429,3,'L'),
(429,4,'L'),
(429,5,'L'),
(430,1,'15\"'),
(430,2,'15\"'),
(430,3,'15\"'),
(430,4,'15\"'),
(430,5,'15\"'),
(431,1,'10\"'),
(431,2,'10\"'),
(431,3,'10\"'),
(431,4,'10\"'),
(431,5,'10\"'),
(432,1,'15\"'),
(432,2,'15\"'),
(432,3,'15\"'),
(432,4,'15\"'),
(432,5,'15\"'),
(433,1,'0.5 kg'),
(433,2,'0.5 kg'),
(433,3,'0.5 kg'),
(433,4,'0.5 kg'),
(433,5,'0.5 kg'),
(434,1,'XL'),
(434,2,'XL'),
(434,3,'XL'),
(434,4,'XL'),
(434,5,'XL'),
(435,1,'5\"'),
(435,2,'5\"'),
(435,3,'5\"'),
(435,4,'5\"'),
(435,5,'5\"'),
(436,1,'15\"'),
(436,2,'15\"'),
(436,3,'15\"'),
(436,4,'15\"'),
(436,5,'15\"'),
(437,1,'10\"'),
(437,2,'10\"'),
(437,3,'10\"'),
(437,4,'10\"'),
(437,5,'10\"'),
(438,1,'1 kg'),
(438,2,'1 kg'),
(438,3,'1 kg'),
(438,4,'1 kg'),
(438,5,'1 kg'),
(439,1,'M'),
(439,2,'M'),
(439,3,'M'),
(439,4,'M'),
(439,5,'M'),
(440,1,'5\"'),
(440,2,'5\"'),
(440,3,'5\"'),
(440,4,'5\"'),
(440,5,'5\"'),
(441,1,'5\"'),
(441,2,'5\"'),
(441,3,'5\"'),
(441,4,'5\"'),
(441,5,'5\"'),
(442,1,'15\"'),
(442,2,'15\"'),
(442,3,'15\"'),
(442,4,'15\"'),
(442,5,'15\"'),
(443,1,'0.3 kg'),
(443,2,'0.3 kg'),
(443,3,'0.3 kg'),
(443,4,'0.3 kg'),
(443,5,'0.3 kg'),
(444,1,'L'),
(444,2,'L'),
(444,3,'L'),
(444,4,'L'),
(444,5,'L'),
(445,1,'10\"'),
(445,2,'10\"'),
(445,3,'10\"'),
(445,4,'10\"'),
(445,5,'10\"'),
(446,1,'10\"'),
(446,2,'10\"'),
(446,3,'10\"'),
(446,4,'10\"'),
(446,5,'10\"'),
(447,1,'5\"'),
(447,2,'5\"'),
(447,3,'5\"'),
(447,4,'5\"'),
(447,5,'5\"'),
(448,1,'2 kg'),
(448,2,'2 kg'),
(448,3,'2 kg'),
(448,4,'2 kg'),
(448,5,'2 kg'),
(449,1,'XL'),
(449,2,'XL'),
(449,3,'XL'),
(449,4,'XL'),
(449,5,'XL'),
(450,1,'15\"'),
(450,2,'15\"'),
(450,3,'15\"'),
(450,4,'15\"'),
(450,5,'15\"'),
(451,1,'15\"'),
(451,2,'15\"'),
(451,3,'15\"'),
(451,4,'15\"'),
(451,5,'15\"'),
(452,1,'10\"'),
(452,2,'10\"'),
(452,3,'10\"'),
(452,4,'10\"'),
(452,5,'10\"'),
(453,1,'3 kg'),
(453,2,'3 kg'),
(453,3,'3 kg'),
(453,4,'3 kg'),
(453,5,'3 kg'),
(454,1,'M'),
(454,2,'M'),
(454,3,'M'),
(454,4,'M'),
(454,5,'M'),
(455,1,'5\"'),
(455,2,'5\"'),
(455,3,'5\"'),
(455,4,'5\"'),
(455,5,'5\"'),
(456,1,'10\"'),
(456,2,'10\"'),
(456,3,'10\"'),
(456,4,'10\"'),
(456,5,'10\"'),
(457,1,'15\"'),
(457,2,'15\"'),
(457,3,'15\"'),
(457,4,'15\"'),
(457,5,'15\"'),
(458,1,'5 kg'),
(458,2,'5 kg'),
(458,3,'5 kg'),
(458,4,'5 kg'),
(458,5,'5 kg'),
(459,1,'M'),
(459,2,'M'),
(459,3,'M'),
(459,4,'M'),
(459,5,'M'),
(460,1,'10\"'),
(460,2,'10\"'),
(460,3,'10\"'),
(460,4,'10\"'),
(460,5,'10\"'),
(461,1,'15\"'),
(461,2,'15\"'),
(461,3,'15\"'),
(461,4,'15\"'),
(461,5,'15\"'),
(462,1,'10\"'),
(462,2,'10\"'),
(462,3,'10\"'),
(462,4,'10\"'),
(462,5,'10\"'),
(463,1,'0.5 kg'),
(463,2,'0.5 kg'),
(463,3,'0.5 kg'),
(463,4,'0.5 kg'),
(463,5,'0.5 kg'),
(464,1,'L'),
(464,2,'L'),
(464,3,'L'),
(464,4,'L'),
(464,5,'L'),
(465,1,'10\"'),
(465,2,'10\"'),
(465,3,'10\"'),
(465,4,'10\"'),
(465,5,'10\"'),
(466,1,'10\"'),
(466,2,'10\"'),
(466,3,'10\"'),
(466,4,'10\"'),
(466,5,'10\"'),
(467,1,'5\"'),
(467,2,'5\"'),
(467,3,'5\"'),
(467,4,'5\"'),
(467,5,'5\"'),
(468,1,'2 kg'),
(468,2,'2 kg'),
(468,3,'2 kg'),
(468,4,'2 kg'),
(468,5,'2 kg'),
(469,1,'M'),
(469,2,'M'),
(469,3,'M'),
(469,4,'M'),
(469,5,'M'),
(470,1,'15\"'),
(470,2,'15\"'),
(470,3,'15\"'),
(470,4,'15\"'),
(470,5,'15\"'),
(471,1,'15\"'),
(471,2,'15\"'),
(471,3,'15\"'),
(471,4,'15\"'),
(471,5,'15\"'),
(472,1,'10\"'),
(472,2,'10\"'),
(472,3,'10\"'),
(472,4,'10\"'),
(472,5,'10\"'),
(473,1,'3 kg'),
(473,2,'3 kg'),
(473,3,'3 kg'),
(473,4,'3 kg'),
(473,5,'3 kg'),
(474,1,'L'),
(474,2,'L'),
(474,3,'L'),
(474,4,'L'),
(474,5,'L'),
(475,1,'5\"'),
(475,2,'5\"'),
(475,3,'5\"'),
(475,4,'5\"'),
(475,5,'5\"'),
(476,1,'10\"'),
(476,2,'10\"'),
(476,3,'10\"'),
(476,4,'10\"'),
(476,5,'10\"'),
(477,1,'15\"'),
(477,2,'15\"'),
(477,3,'15\"'),
(477,4,'15\"'),
(477,5,'15\"'),
(478,1,'5 kg'),
(478,2,'5 kg'),
(478,3,'5 kg'),
(478,4,'5 kg'),
(478,5,'5 kg'),
(479,1,'XL'),
(479,2,'XL'),
(479,3,'XL'),
(479,4,'XL'),
(479,5,'XL'),
(480,1,'10\"'),
(480,2,'10\"'),
(480,3,'10\"'),
(480,4,'10\"'),
(480,5,'10\"'),
(481,1,'15\"'),
(481,2,'15\"'),
(481,3,'15\"'),
(481,4,'15\"'),
(481,5,'15\"'),
(482,1,'10\"'),
(482,2,'10\"'),
(482,3,'10\"'),
(482,4,'10\"'),
(482,5,'10\"'),
(483,1,'0.5 kg'),
(483,2,'0.5 kg'),
(483,3,'0.5 kg'),
(483,4,'0.5 kg'),
(483,5,'0.5 kg'),
(484,1,'XXL'),
(484,2,'XXL'),
(484,3,'XXL'),
(484,4,'XXL'),
(484,5,'XXL'),
(485,1,'15\"'),
(485,2,'15\"'),
(485,3,'15\"'),
(485,4,'15\"'),
(485,5,'15\"'),
(486,1,'5\"'),
(486,2,'5\"'),
(486,3,'5\"'),
(486,4,'5\"'),
(486,5,'5\"'),
(487,1,'15\"'),
(487,2,'15\"'),
(487,3,'15\"'),
(487,4,'15\"'),
(487,5,'15\"'),
(488,1,'1 kg'),
(488,2,'1 kg'),
(488,3,'1 kg'),
(488,4,'1 kg'),
(488,5,'1 kg'),
(489,1,'L'),
(489,2,'L'),
(489,3,'L'),
(489,4,'L'),
(489,5,'L'),
(490,1,'5\"'),
(490,2,'5\"'),
(490,3,'5\"'),
(490,4,'5\"'),
(490,5,'5\"'),
(491,1,'10\"'),
(491,2,'10\"'),
(491,3,'10\"'),
(491,4,'10\"'),
(491,5,'10\"'),
(492,1,'5\"'),
(492,2,'5\"'),
(492,3,'5\"'),
(492,4,'5\"'),
(492,5,'5\"'),
(493,1,'0.3 kg'),
(493,2,'0.3 kg'),
(493,3,'0.3 kg'),
(493,4,'0.3 kg'),
(493,5,'0.3 kg'),
(494,1,'XL'),
(494,2,'XL'),
(494,3,'XL'),
(494,4,'XL'),
(494,5,'XL'),
(495,1,'5\"'),
(495,2,'5\"'),
(495,3,'5\"'),
(495,4,'5\"'),
(495,5,'5\"'),
(496,1,'5\"'),
(496,2,'5\"'),
(496,3,'5\"'),
(496,4,'5\"'),
(496,5,'5\"'),
(497,1,'15\"'),
(497,2,'15\"'),
(497,3,'15\"'),
(497,4,'15\"'),
(497,5,'15\"'),
(498,1,'0.3 kg'),
(498,2,'0.3 kg'),
(498,3,'0.3 kg'),
(498,4,'0.3 kg'),
(498,5,'0.3 kg'),
(499,1,'L'),
(499,2,'L'),
(499,3,'L'),
(499,4,'L'),
(499,5,'L'),
(500,1,'10\"'),
(500,2,'10\"'),
(500,3,'10\"'),
(500,4,'10\"'),
(500,5,'10\"'),
(501,1,'10\"'),
(501,2,'10\"'),
(501,3,'10\"'),
(501,4,'10\"'),
(501,5,'10\"'),
(502,1,'5\"'),
(502,2,'5\"'),
(502,3,'5\"'),
(502,4,'5\"'),
(502,5,'5\"'),
(503,1,'2 kg'),
(503,2,'2 kg'),
(503,3,'2 kg'),
(503,4,'2 kg'),
(503,5,'2 kg'),
(504,1,'XL'),
(504,2,'XL'),
(504,3,'XL'),
(504,4,'XL'),
(504,5,'XL'),
(505,1,'15\"'),
(505,2,'15\"'),
(505,3,'15\"'),
(505,4,'15\"'),
(505,5,'15\"'),
(506,1,'15\"'),
(506,2,'15\"'),
(506,3,'15\"'),
(506,4,'15\"'),
(506,5,'15\"'),
(507,1,'10\"'),
(507,2,'10\"'),
(507,3,'10\"'),
(507,4,'10\"'),
(507,5,'10\"'),
(508,1,'3 kg'),
(508,2,'3 kg'),
(508,3,'3 kg'),
(508,4,'3 kg'),
(508,5,'3 kg'),
(509,1,'M'),
(509,2,'M'),
(509,3,'M'),
(509,4,'M'),
(509,5,'M'),
(510,1,'5\"'),
(510,2,'5\"'),
(510,3,'5\"'),
(510,4,'5\"'),
(510,5,'5\"'),
(511,1,'10\"'),
(511,2,'10\"'),
(511,3,'10\"'),
(511,4,'10\"'),
(511,5,'10\"'),
(512,1,'15\"'),
(512,2,'15\"'),
(512,3,'15\"'),
(512,4,'15\"'),
(512,5,'15\"'),
(513,1,'5 kg'),
(513,2,'5 kg'),
(513,3,'5 kg'),
(513,4,'5 kg'),
(513,5,'5 kg'),
(514,1,'M'),
(514,2,'M'),
(514,3,'M'),
(514,4,'M'),
(514,5,'M'),
(515,1,'10\"'),
(515,2,'10\"'),
(515,3,'10\"'),
(515,4,'10\"'),
(515,5,'10\"'),
(516,1,'15\"'),
(516,2,'15\"'),
(516,3,'15\"'),
(516,4,'15\"'),
(516,5,'15\"'),
(517,1,'10\"'),
(517,2,'10\"'),
(517,3,'10\"'),
(517,4,'10\"'),
(517,5,'10\"'),
(518,1,'0.5 kg'),
(518,2,'0.5 kg'),
(518,3,'0.5 kg'),
(518,4,'0.5 kg'),
(518,5,'0.5 kg'),
(519,1,'L'),
(519,2,'L'),
(519,3,'L'),
(519,4,'L'),
(519,5,'L'),
(520,1,'15\"'),
(520,2,'15\"'),
(520,3,'15\"'),
(520,4,'15\"'),
(520,5,'15\"'),
(521,1,'5\"'),
(521,2,'5\"'),
(521,3,'5\"'),
(521,4,'5\"'),
(521,5,'5\"'),
(522,1,'15\"'),
(522,2,'15\"'),
(522,3,'15\"'),
(522,4,'15\"'),
(522,5,'15\"'),
(523,1,'1 kg'),
(523,2,'1 kg'),
(523,3,'1 kg'),
(523,4,'1 kg'),
(523,5,'1 kg'),
(524,1,'XL'),
(524,2,'XL'),
(524,3,'XL'),
(524,4,'XL'),
(524,5,'XL'),
(525,1,'5\"'),
(525,2,'5\"'),
(525,3,'5\"'),
(525,4,'5\"'),
(525,5,'5\"'),
(526,1,'10\"'),
(526,2,'10\"'),
(526,3,'10\"'),
(526,4,'10\"'),
(526,5,'10\"'),
(527,1,'5\"'),
(527,2,'5\"'),
(527,3,'5\"'),
(527,4,'5\"'),
(527,5,'5\"'),
(528,1,'0.3 kg'),
(528,2,'0.3 kg'),
(528,3,'0.3 kg'),
(528,4,'0.3 kg'),
(528,5,'0.3 kg'),
(529,1,'XXL'),
(529,2,'XXL'),
(529,3,'XXL'),
(529,4,'XXL'),
(529,5,'XXL'),
(530,1,'10\"'),
(530,2,'10\"'),
(530,3,'10\"'),
(530,4,'10\"'),
(530,5,'10\"'),
(531,1,'15\"'),
(531,2,'15\"'),
(531,3,'15\"'),
(531,4,'15\"'),
(531,5,'15\"'),
(532,1,'10\"'),
(532,2,'10\"'),
(532,3,'10\"'),
(532,4,'10\"'),
(532,5,'10\"'),
(533,1,'2 kg'),
(533,2,'2 kg'),
(533,3,'2 kg'),
(533,4,'2 kg'),
(533,5,'2 kg'),
(534,1,'L'),
(534,2,'L'),
(534,3,'L'),
(534,4,'L'),
(534,5,'L'),
(535,1,'15\"'),
(535,2,'15\"'),
(535,3,'15\"'),
(535,4,'15\"'),
(535,5,'15\"'),
(536,1,'10\"'),
(536,2,'10\"'),
(536,3,'10\"'),
(536,4,'10\"'),
(536,5,'10\"'),
(537,1,'15\"'),
(537,2,'15\"'),
(537,3,'15\"'),
(537,4,'15\"'),
(537,5,'15\"'),
(538,1,'0.5 kg'),
(538,2,'0.5 kg'),
(538,3,'0.5 kg'),
(538,4,'0.5 kg'),
(538,5,'0.5 kg'),
(539,1,'XL'),
(539,2,'XL'),
(539,3,'XL'),
(539,4,'XL'),
(539,5,'XL'),
(540,1,'5\"'),
(540,2,'5\"'),
(540,3,'5\"'),
(540,4,'5\"'),
(540,5,'5\"'),
(541,1,'15\"'),
(541,2,'15\"'),
(541,3,'15\"'),
(541,4,'15\"'),
(541,5,'15\"'),
(542,1,'10\"'),
(542,2,'10\"'),
(542,3,'10\"'),
(542,4,'10\"'),
(542,5,'10\"'),
(543,1,'1 kg'),
(543,2,'1 kg'),
(543,3,'1 kg'),
(543,4,'1 kg'),
(543,5,'1 kg'),
(544,1,'M'),
(544,2,'M'),
(544,3,'M'),
(544,4,'M'),
(544,5,'M'),
(545,1,'5\"'),
(545,2,'5\"'),
(545,3,'5\"'),
(545,4,'5\"'),
(545,5,'5\"'),
(546,1,'5\"'),
(546,2,'5\"'),
(546,3,'5\"'),
(546,4,'5\"'),
(546,5,'5\"'),
(547,1,'15\"'),
(547,2,'15\"'),
(547,3,'15\"'),
(547,4,'15\"'),
(547,5,'15\"'),
(548,1,'0.3 kg'),
(548,2,'0.3 kg'),
(548,3,'0.3 kg'),
(548,4,'0.3 kg'),
(548,5,'0.3 kg'),
(549,1,'L'),
(549,2,'L'),
(549,3,'L'),
(549,4,'L'),
(549,5,'L'),
(550,1,'10\"'),
(550,2,'10\"'),
(550,3,'10\"'),
(550,4,'10\"'),
(550,5,'10\"'),
(551,1,'10\"'),
(551,2,'10\"'),
(551,3,'10\"'),
(551,4,'10\"'),
(551,5,'10\"'),
(552,1,'5\"'),
(552,2,'5\"'),
(552,3,'5\"'),
(552,4,'5\"'),
(552,5,'5\"'),
(553,1,'2 kg'),
(553,2,'2 kg'),
(553,3,'2 kg'),
(553,4,'2 kg'),
(553,5,'2 kg'),
(554,1,'XL'),
(554,2,'XL'),
(554,3,'XL'),
(554,4,'XL'),
(554,5,'XL'),
(555,1,'15\"'),
(555,2,'15\"'),
(555,3,'15\"'),
(555,4,'15\"'),
(555,5,'15\"'),
(556,1,'15\"'),
(556,2,'15\"'),
(556,3,'15\"'),
(556,4,'15\"'),
(556,5,'15\"'),
(557,1,'10\"'),
(557,2,'10\"'),
(557,3,'10\"'),
(557,4,'10\"'),
(557,5,'10\"'),
(558,1,'3 kg'),
(558,2,'3 kg'),
(558,3,'3 kg'),
(558,4,'3 kg'),
(558,5,'3 kg'),
(559,1,'M'),
(559,2,'M'),
(559,3,'M'),
(559,4,'M'),
(559,5,'M'),
(560,1,'5\"'),
(560,2,'5\"'),
(560,3,'5\"'),
(560,4,'5\"'),
(560,5,'5\"'),
(561,1,'10\"'),
(561,2,'10\"'),
(561,3,'10\"'),
(561,4,'10\"'),
(561,5,'10\"'),
(562,1,'15\"'),
(562,2,'15\"'),
(562,3,'15\"'),
(562,4,'15\"'),
(562,5,'15\"'),
(563,1,'5 kg'),
(563,2,'5 kg'),
(563,3,'5 kg'),
(563,4,'5 kg'),
(563,5,'5 kg'),
(564,1,'M'),
(564,2,'M'),
(564,3,'M'),
(564,4,'M'),
(564,5,'M'),
(565,1,'10\"'),
(565,2,'10\"'),
(565,3,'10\"'),
(565,4,'10\"'),
(565,5,'10\"'),
(566,1,'15\"'),
(566,2,'15\"'),
(566,3,'15\"'),
(566,4,'15\"'),
(566,5,'15\"'),
(567,1,'10\"'),
(567,2,'10\"'),
(567,3,'10\"'),
(567,4,'10\"'),
(567,5,'10\"'),
(568,1,'0.5 kg'),
(568,2,'0.5 kg'),
(568,3,'0.5 kg'),
(568,4,'0.5 kg'),
(568,5,'0.5 kg'),
(569,1,'L'),
(569,2,'L'),
(569,3,'L'),
(569,4,'L'),
(569,5,'L'),
(570,1,'15\"'),
(570,2,'15\"'),
(570,3,'15\"'),
(570,4,'15\"'),
(570,5,'15\"'),
(571,1,'5\"'),
(571,2,'5\"'),
(571,3,'5\"'),
(571,4,'5\"'),
(571,5,'5\"'),
(572,1,'15\"'),
(572,2,'15\"'),
(572,3,'15\"'),
(572,4,'15\"'),
(572,5,'15\"'),
(573,1,'1 kg'),
(573,2,'1 kg'),
(573,3,'1 kg'),
(573,4,'1 kg'),
(573,5,'1 kg'),
(574,1,'XL'),
(574,2,'XL'),
(574,3,'XL'),
(574,4,'XL'),
(574,5,'XL'),
(575,1,'5\"'),
(575,2,'5\"'),
(575,3,'5\"'),
(575,4,'5\"'),
(575,5,'5\"'),
(576,1,'10\"'),
(576,2,'10\"'),
(576,3,'10\"'),
(576,4,'10\"'),
(576,5,'10\"'),
(577,1,'5\"'),
(577,2,'5\"'),
(577,3,'5\"'),
(577,4,'5\"'),
(577,5,'5\"'),
(578,1,'0.3 kg'),
(578,2,'0.3 kg'),
(578,3,'0.3 kg'),
(578,4,'0.3 kg'),
(578,5,'0.3 kg'),
(579,1,'XXL'),
(579,2,'XXL'),
(579,3,'XXL'),
(579,4,'XXL'),
(579,5,'XXL'),
(580,1,'5\"'),
(580,2,'5\"'),
(580,3,'5\"'),
(580,4,'5\"'),
(580,5,'5\"'),
(581,1,'15\"'),
(581,2,'15\"'),
(581,3,'15\"'),
(581,4,'15\"'),
(581,5,'15\"'),
(582,1,'10\"'),
(582,2,'10\"'),
(582,3,'10\"'),
(582,4,'10\"'),
(582,5,'10\"'),
(583,1,'2 kg'),
(583,2,'2 kg'),
(583,3,'2 kg'),
(583,4,'2 kg'),
(583,5,'2 kg'),
(584,1,'L'),
(584,2,'L'),
(584,3,'L'),
(584,4,'L'),
(584,5,'L'),
(585,1,'10\"'),
(585,2,'10\"'),
(585,3,'10\"'),
(585,4,'10\"'),
(585,5,'10\"'),
(586,1,'10\"'),
(586,2,'10\"'),
(586,3,'10\"'),
(586,4,'10\"'),
(586,5,'10\"'),
(587,1,'10\"'),
(587,2,'10\"'),
(587,3,'10\"'),
(587,4,'10\"'),
(587,5,'10\"'),
(588,1,'0.5 kg'),
(588,2,'0.5 kg'),
(588,3,'0.5 kg'),
(588,4,'0.5 kg'),
(588,5,'0.5 kg'),
(589,1,'XL'),
(589,2,'XL'),
(589,3,'XL'),
(589,4,'XL'),
(589,5,'XL'),
(590,1,'15\"'),
(590,2,'15\"'),
(590,3,'15\"'),
(590,4,'15\"'),
(590,5,'15\"'),
(591,1,'15\"'),
(591,2,'15\"'),
(591,3,'15\"'),
(591,4,'15\"'),
(591,5,'15\"'),
(592,1,'15\"'),
(592,2,'15\"'),
(592,3,'15\"'),
(592,4,'15\"'),
(592,5,'15\"'),
(593,1,'1 kg'),
(593,2,'1 kg'),
(593,3,'1 kg'),
(593,4,'1 kg'),
(593,5,'1 kg'),
(594,1,'M'),
(594,2,'M'),
(594,3,'M'),
(594,4,'M'),
(594,5,'M'),
(595,1,'15\"'),
(595,2,'15\"'),
(595,3,'15\"'),
(595,4,'15\"'),
(595,5,'15\"'),
(596,1,'10\"'),
(596,2,'10\"'),
(596,3,'10\"'),
(596,4,'10\"'),
(596,5,'10\"'),
(597,1,'15\"'),
(597,2,'15\"'),
(597,3,'15\"'),
(597,4,'15\"'),
(597,5,'15\"'),
(598,1,'2 kg'),
(598,2,'2 kg'),
(598,3,'2 kg'),
(598,4,'2 kg'),
(598,5,'2 kg'),
(599,1,'XL'),
(599,2,'XL'),
(599,3,'XL'),
(599,4,'XL'),
(599,5,'XL'),
(600,1,'5\"'),
(600,2,'5\"'),
(600,3,'5\"'),
(600,4,'5\"'),
(600,5,'5\"'),
(601,1,'15\"'),
(601,2,'15\"'),
(601,3,'15\"'),
(601,4,'15\"'),
(601,5,'15\"'),
(602,1,'5\"'),
(602,2,'5\"'),
(602,3,'5\"'),
(602,4,'5\"'),
(602,5,'5\"'),
(603,1,'3 kg'),
(603,2,'3 kg'),
(603,3,'3 kg'),
(603,4,'3 kg'),
(603,5,'3 kg'),
(604,1,'M'),
(604,2,'M'),
(604,3,'M'),
(604,4,'M'),
(604,5,'M'),
(605,1,'5\"'),
(605,2,'5\"'),
(605,3,'5\"'),
(605,4,'5\"'),
(605,5,'5\"'),
(606,1,'10\"'),
(606,2,'10\"'),
(606,3,'10\"'),
(606,4,'10\"'),
(606,5,'10\"'),
(607,1,'15\"'),
(607,2,'15\"'),
(607,3,'15\"'),
(607,4,'15\"'),
(607,5,'15\"'),
(608,1,'5 kg'),
(608,2,'5 kg'),
(608,3,'5 kg'),
(608,4,'5 kg'),
(608,5,'5 kg'),
(609,1,'M'),
(609,2,'M'),
(609,3,'M'),
(609,4,'M'),
(609,5,'M'),
(610,1,'10\"'),
(610,2,'10\"'),
(610,3,'10\"'),
(610,4,'10\"'),
(610,5,'10\"'),
(611,1,'15\"'),
(611,2,'15\"'),
(611,3,'15\"'),
(611,4,'15\"'),
(611,5,'15\"'),
(612,1,'10\"'),
(612,2,'10\"'),
(612,3,'10\"'),
(612,4,'10\"'),
(612,5,'10\"'),
(613,1,'0.5 kg'),
(613,2,'0.5 kg'),
(613,3,'0.5 kg'),
(613,4,'0.5 kg'),
(613,5,'0.5 kg'),
(614,1,'L'),
(614,2,'L'),
(614,3,'L'),
(614,4,'L'),
(614,5,'L'),
(615,1,'15\"'),
(615,2,'15\"'),
(615,3,'15\"'),
(615,4,'15\"'),
(615,5,'15\"'),
(616,1,'5\"'),
(616,2,'5\"'),
(616,3,'5\"'),
(616,4,'5\"'),
(616,5,'5\"'),
(617,1,'15\"'),
(617,2,'15\"'),
(617,3,'15\"'),
(617,4,'15\"'),
(617,5,'15\"'),
(618,1,'1 kg'),
(618,2,'1 kg'),
(618,3,'1 kg'),
(618,4,'1 kg'),
(618,5,'1 kg'),
(619,1,'XL'),
(619,2,'XL'),
(619,3,'XL'),
(619,4,'XL'),
(619,5,'XL'),
(620,1,'5\"'),
(620,2,'5\"'),
(620,3,'5\"'),
(620,4,'5\"'),
(620,5,'5\"'),
(621,1,'10\"'),
(621,2,'10\"'),
(621,3,'10\"'),
(621,4,'10\"'),
(621,5,'10\"'),
(622,1,'5\"'),
(622,2,'5\"'),
(622,3,'5\"'),
(622,4,'5\"'),
(622,5,'5\"'),
(623,1,'0.3 kg'),
(623,2,'0.3 kg'),
(623,3,'0.3 kg'),
(623,4,'0.3 kg'),
(623,5,'0.3 kg'),
(624,1,'XXL'),
(624,2,'XXL'),
(624,3,'XXL'),
(624,4,'XXL'),
(624,5,'XXL'),
(625,1,'10\"'),
(625,2,'10\"'),
(625,3,'10\"'),
(625,4,'10\"'),
(625,5,'10\"'),
(626,1,'15\"'),
(626,2,'15\"'),
(626,3,'15\"'),
(626,4,'15\"'),
(626,5,'15\"'),
(627,1,'10\"'),
(627,2,'10\"'),
(627,3,'10\"'),
(627,4,'10\"'),
(627,5,'10\"'),
(628,1,'2 kg'),
(628,2,'2 kg'),
(628,3,'2 kg'),
(628,4,'2 kg'),
(628,5,'2 kg'),
(629,1,'L'),
(629,2,'L'),
(629,3,'L'),
(629,4,'L'),
(629,5,'L'),
(630,1,'15\"'),
(630,2,'15\"'),
(630,3,'15\"'),
(630,4,'15\"'),
(630,5,'15\"'),
(631,1,'10\"'),
(631,2,'10\"'),
(631,3,'10\"'),
(631,4,'10\"'),
(631,5,'10\"'),
(632,1,'15\"'),
(632,2,'15\"'),
(632,3,'15\"'),
(632,4,'15\"'),
(632,5,'15\"'),
(633,1,'0.5 kg'),
(633,2,'0.5 kg'),
(633,3,'0.5 kg'),
(633,4,'0.5 kg'),
(633,5,'0.5 kg'),
(634,1,'XL'),
(634,2,'XL'),
(634,3,'XL'),
(634,4,'XL'),
(634,5,'XL'),
(635,1,'5\"'),
(635,2,'5\"'),
(635,3,'5\"'),
(635,4,'5\"'),
(635,5,'5\"'),
(636,1,'15\"'),
(636,2,'15\"'),
(636,3,'15\"'),
(636,4,'15\"'),
(636,5,'15\"'),
(637,1,'10\"'),
(637,2,'10\"'),
(637,3,'10\"'),
(637,4,'10\"'),
(637,5,'10\"'),
(638,1,'1 kg'),
(638,2,'1 kg'),
(638,3,'1 kg'),
(638,4,'1 kg'),
(638,5,'1 kg'),
(639,1,'M'),
(639,2,'M'),
(639,3,'M'),
(639,4,'M'),
(639,5,'M'),
(640,1,'5\"'),
(640,2,'5\"'),
(640,3,'5\"'),
(640,4,'5\"'),
(640,5,'5\"'),
(641,1,'5\"'),
(641,2,'5\"'),
(641,3,'5\"'),
(641,4,'5\"'),
(641,5,'5\"'),
(642,1,'15\"'),
(642,2,'15\"'),
(642,3,'15\"'),
(642,4,'15\"'),
(642,5,'15\"'),
(643,1,'0.3 kg'),
(643,2,'0.3 kg'),
(643,3,'0.3 kg'),
(643,4,'0.3 kg'),
(643,5,'0.3 kg'),
(644,1,'L'),
(644,2,'L'),
(644,3,'L'),
(644,4,'L'),
(644,5,'L'),
(645,1,'10\"'),
(645,2,'10\"'),
(645,3,'10\"'),
(645,4,'10\"'),
(645,5,'10\"'),
(646,1,'10\"'),
(646,2,'10\"'),
(646,3,'10\"'),
(646,4,'10\"'),
(646,5,'10\"'),
(647,1,'5\"'),
(647,2,'5\"'),
(647,3,'5\"'),
(647,4,'5\"'),
(647,5,'5\"'),
(648,1,'2 kg'),
(648,2,'2 kg'),
(648,3,'2 kg'),
(648,4,'2 kg'),
(648,5,'2 kg'),
(649,1,'XL'),
(649,2,'XL'),
(649,3,'XL'),
(649,4,'XL'),
(649,5,'XL'),
(650,1,'15\"'),
(650,2,'15\"'),
(650,3,'15\"'),
(650,4,'15\"'),
(650,5,'15\"'),
(651,1,'15\"'),
(651,2,'15\"'),
(651,3,'15\"'),
(651,4,'15\"'),
(651,5,'15\"'),
(652,1,'10\"'),
(652,2,'10\"'),
(652,3,'10\"'),
(652,4,'10\"'),
(652,5,'10\"'),
(653,1,'3 kg'),
(653,2,'3 kg'),
(653,3,'3 kg'),
(653,4,'3 kg'),
(653,5,'3 kg'),
(654,1,'M'),
(654,2,'M'),
(654,3,'M'),
(654,4,'M'),
(654,5,'M'),
(655,1,'5\"'),
(655,2,'5\"'),
(655,3,'5\"'),
(655,4,'5\"'),
(655,5,'5\"'),
(656,1,'10\"'),
(656,2,'10\"'),
(656,3,'10\"'),
(656,4,'10\"'),
(656,5,'10\"'),
(657,1,'15\"'),
(657,2,'15\"'),
(657,3,'15\"'),
(657,4,'15\"'),
(657,5,'15\"'),
(658,1,'5 kg'),
(658,2,'5 kg'),
(658,3,'5 kg'),
(658,4,'5 kg'),
(658,5,'5 kg'),
(659,1,'M'),
(659,2,'M'),
(659,3,'M'),
(659,4,'M'),
(659,5,'M'),
(660,1,'10\"'),
(660,2,'10\"'),
(660,3,'10\"'),
(660,4,'10\"'),
(660,5,'10\"'),
(661,1,'15\"'),
(661,2,'15\"'),
(661,3,'15\"'),
(661,4,'15\"'),
(661,5,'15\"'),
(662,1,'10\"'),
(662,2,'10\"'),
(662,3,'10\"'),
(662,4,'10\"'),
(662,5,'10\"'),
(663,1,'0.5 kg'),
(663,2,'0.5 kg'),
(663,3,'0.5 kg'),
(663,4,'0.5 kg'),
(663,5,'0.5 kg'),
(664,1,'L'),
(664,2,'L'),
(664,3,'L'),
(664,4,'L'),
(664,5,'L'),
(665,1,'10\"'),
(665,2,'10\"'),
(665,3,'10\"'),
(665,4,'10\"'),
(665,5,'10\"'),
(666,1,'10\"'),
(666,2,'10\"'),
(666,3,'10\"'),
(666,4,'10\"'),
(666,5,'10\"'),
(667,1,'5\"'),
(667,2,'5\"'),
(667,3,'5\"'),
(667,4,'5\"'),
(667,5,'5\"'),
(668,1,'2 kg'),
(668,2,'2 kg'),
(668,3,'2 kg'),
(668,4,'2 kg'),
(668,5,'2 kg'),
(669,1,'M'),
(669,2,'M'),
(669,3,'M'),
(669,4,'M'),
(669,5,'M'),
(670,1,'15\"'),
(670,2,'15\"'),
(670,3,'15\"'),
(670,4,'15\"'),
(670,5,'15\"'),
(671,1,'15\"'),
(671,2,'15\"'),
(671,3,'15\"'),
(671,4,'15\"'),
(671,5,'15\"'),
(672,1,'10\"'),
(672,2,'10\"'),
(672,3,'10\"'),
(672,4,'10\"'),
(672,5,'10\"'),
(673,1,'3 kg'),
(673,2,'3 kg'),
(673,3,'3 kg'),
(673,4,'3 kg'),
(673,5,'3 kg'),
(674,1,'L'),
(674,2,'L'),
(674,3,'L'),
(674,4,'L'),
(674,5,'L'),
(675,1,'5\"'),
(675,2,'5\"'),
(675,3,'5\"'),
(675,4,'5\"'),
(675,5,'5\"'),
(676,1,'10\"'),
(676,2,'10\"'),
(676,3,'10\"'),
(676,4,'10\"'),
(676,5,'10\"'),
(677,1,'15\"'),
(677,2,'15\"'),
(677,3,'15\"'),
(677,4,'15\"'),
(677,5,'15\"'),
(678,1,'5 kg'),
(678,2,'5 kg'),
(678,3,'5 kg'),
(678,4,'5 kg'),
(678,5,'5 kg'),
(679,1,'XL'),
(679,2,'XL'),
(679,3,'XL'),
(679,4,'XL'),
(679,5,'XL'),
(680,1,'10\"'),
(680,2,'10\"'),
(680,3,'10\"'),
(680,4,'10\"'),
(680,5,'10\"'),
(681,1,'15\"'),
(681,2,'15\"'),
(681,3,'15\"'),
(681,4,'15\"'),
(681,5,'15\"'),
(682,1,'10\"'),
(682,2,'10\"'),
(682,3,'10\"'),
(682,4,'10\"'),
(682,5,'10\"'),
(683,1,'0.5 kg'),
(683,2,'0.5 kg'),
(683,3,'0.5 kg'),
(683,4,'0.5 kg'),
(683,5,'0.5 kg'),
(684,1,'XXL'),
(684,2,'XXL'),
(684,3,'XXL'),
(684,4,'XXL'),
(684,5,'XXL'),
(685,1,'15\"'),
(685,2,'15\"'),
(685,3,'15\"'),
(685,4,'15\"'),
(685,5,'15\"'),
(686,1,'5\"'),
(686,2,'5\"'),
(686,3,'5\"'),
(686,4,'5\"'),
(686,5,'5\"'),
(687,1,'15\"'),
(687,2,'15\"'),
(687,3,'15\"'),
(687,4,'15\"'),
(687,5,'15\"'),
(688,1,'1 kg'),
(688,2,'1 kg'),
(688,3,'1 kg'),
(688,4,'1 kg'),
(688,5,'1 kg'),
(689,1,'L'),
(689,2,'L'),
(689,3,'L'),
(689,4,'L'),
(689,5,'L'),
(690,1,'5\"'),
(690,2,'5\"'),
(690,3,'5\"'),
(690,4,'5\"'),
(690,5,'5\"'),
(691,1,'10\"'),
(691,2,'10\"'),
(691,3,'10\"'),
(691,4,'10\"'),
(691,5,'10\"'),
(692,1,'5\"'),
(692,2,'5\"'),
(692,3,'5\"'),
(692,4,'5\"'),
(692,5,'5\"'),
(693,1,'0.3 kg'),
(693,2,'0.3 kg'),
(693,3,'0.3 kg'),
(693,4,'0.3 kg'),
(693,5,'0.3 kg'),
(694,1,'XL'),
(694,2,'XL'),
(694,3,'XL'),
(694,4,'XL'),
(694,5,'XL'),
(695,1,'5\"'),
(695,2,'5\"'),
(695,3,'5\"'),
(695,4,'5\"'),
(695,5,'5\"'),
(696,1,'5\"'),
(696,2,'5\"'),
(696,3,'5\"'),
(696,4,'5\"'),
(696,5,'5\"'),
(697,1,'15\"'),
(697,2,'15\"'),
(697,3,'15\"'),
(697,4,'15\"'),
(697,5,'15\"'),
(698,1,'0.3 kg'),
(698,2,'0.3 kg'),
(698,3,'0.3 kg'),
(698,4,'0.3 kg'),
(698,5,'0.3 kg'),
(699,1,'L'),
(699,2,'L'),
(699,3,'L'),
(699,4,'L'),
(699,5,'L'),
(700,1,'10\"'),
(700,2,'10\"'),
(700,3,'10\"'),
(700,4,'10\"'),
(700,5,'10\"'),
(701,1,'10\"'),
(701,2,'10\"'),
(701,3,'10\"'),
(701,4,'10\"'),
(701,5,'10\"'),
(702,1,'5\"'),
(702,2,'5\"'),
(702,3,'5\"'),
(702,4,'5\"'),
(702,5,'5\"'),
(703,1,'2 kg'),
(703,2,'2 kg'),
(703,3,'2 kg'),
(703,4,'2 kg'),
(703,5,'2 kg'),
(704,1,'XL'),
(704,2,'XL'),
(704,3,'XL'),
(704,4,'XL'),
(704,5,'XL'),
(705,1,'15\"'),
(705,2,'15\"'),
(705,3,'15\"'),
(705,4,'15\"'),
(705,5,'15\"'),
(706,1,'15\"'),
(706,2,'15\"'),
(706,3,'15\"'),
(706,4,'15\"'),
(706,5,'15\"'),
(707,1,'10\"'),
(707,2,'10\"'),
(707,3,'10\"'),
(707,4,'10\"'),
(707,5,'10\"'),
(708,1,'3 kg'),
(708,2,'3 kg'),
(708,3,'3 kg'),
(708,4,'3 kg'),
(708,5,'3 kg'),
(709,1,'M'),
(709,2,'M'),
(709,3,'M'),
(709,4,'M'),
(709,5,'M'),
(710,1,'5\"'),
(710,2,'5\"'),
(710,3,'5\"'),
(710,4,'5\"'),
(710,5,'5\"'),
(711,1,'10\"'),
(711,2,'10\"'),
(711,3,'10\"'),
(711,4,'10\"'),
(711,5,'10\"'),
(712,1,'15\"'),
(712,2,'15\"'),
(712,3,'15\"'),
(712,4,'15\"'),
(712,5,'15\"'),
(713,1,'5 kg'),
(713,2,'5 kg'),
(713,3,'5 kg'),
(713,4,'5 kg'),
(713,5,'5 kg'),
(714,1,'M'),
(714,2,'M'),
(714,3,'M'),
(714,4,'M'),
(714,5,'M'),
(715,1,'10\"'),
(715,2,'10\"'),
(715,3,'10\"'),
(715,4,'10\"'),
(715,5,'10\"'),
(716,1,'15\"'),
(716,2,'15\"'),
(716,3,'15\"'),
(716,4,'15\"'),
(716,5,'15\"'),
(717,1,'10\"'),
(717,2,'10\"'),
(717,3,'10\"'),
(717,4,'10\"'),
(717,5,'10\"'),
(718,1,'0.5 kg'),
(718,2,'0.5 kg'),
(718,3,'0.5 kg'),
(718,4,'0.5 kg'),
(718,5,'0.5 kg'),
(719,1,'L'),
(719,2,'L'),
(719,3,'L'),
(719,4,'L'),
(719,5,'L'),
(720,1,'15\"'),
(720,2,'15\"'),
(720,3,'15\"'),
(720,4,'15\"'),
(720,5,'15\"'),
(721,1,'5\"'),
(721,2,'5\"'),
(721,3,'5\"'),
(721,4,'5\"'),
(721,5,'5\"'),
(722,1,'15\"'),
(722,2,'15\"'),
(722,3,'15\"'),
(722,4,'15\"'),
(722,5,'15\"'),
(723,1,'1 kg'),
(723,2,'1 kg'),
(723,3,'1 kg'),
(723,4,'1 kg'),
(723,5,'1 kg'),
(724,1,'XL'),
(724,2,'XL'),
(724,3,'XL'),
(724,4,'XL'),
(724,5,'XL'),
(725,1,'5\"'),
(725,2,'5\"'),
(725,3,'5\"'),
(725,4,'5\"'),
(725,5,'5\"'),
(726,1,'10\"'),
(726,2,'10\"'),
(726,3,'10\"'),
(726,4,'10\"'),
(726,5,'10\"'),
(727,1,'5\"'),
(727,2,'5\"'),
(727,3,'5\"'),
(727,4,'5\"'),
(727,5,'5\"'),
(728,1,'0.3 kg'),
(728,2,'0.3 kg'),
(728,3,'0.3 kg'),
(728,4,'0.3 kg'),
(728,5,'0.3 kg'),
(729,1,'XXL'),
(729,2,'XXL'),
(729,3,'XXL'),
(729,4,'XXL'),
(729,5,'XXL'),
(730,1,'10\"'),
(730,2,'10\"'),
(730,3,'10\"'),
(730,4,'10\"'),
(730,5,'10\"'),
(731,1,'15\"'),
(731,2,'15\"'),
(731,3,'15\"'),
(731,4,'15\"'),
(731,5,'15\"'),
(732,1,'10\"'),
(732,2,'10\"'),
(732,3,'10\"'),
(732,4,'10\"'),
(732,5,'10\"'),
(733,1,'2 kg'),
(733,2,'2 kg'),
(733,3,'2 kg'),
(733,4,'2 kg'),
(733,5,'2 kg'),
(734,1,'L'),
(734,2,'L'),
(734,3,'L'),
(734,4,'L'),
(734,5,'L'),
(735,1,'15\"'),
(735,2,'15\"'),
(735,3,'15\"'),
(735,4,'15\"'),
(735,5,'15\"'),
(736,1,'10\"'),
(736,2,'10\"'),
(736,3,'10\"'),
(736,4,'10\"'),
(736,5,'10\"'),
(737,1,'15\"'),
(737,2,'15\"'),
(737,3,'15\"'),
(737,4,'15\"'),
(737,5,'15\"'),
(738,1,'0.5 kg'),
(738,2,'0.5 kg'),
(738,3,'0.5 kg'),
(738,4,'0.5 kg'),
(738,5,'0.5 kg'),
(739,1,'XL'),
(739,2,'XL'),
(739,3,'XL'),
(739,4,'XL'),
(739,5,'XL'),
(740,1,'5\"'),
(740,2,'5\"'),
(740,3,'5\"'),
(740,4,'5\"'),
(740,5,'5\"'),
(741,1,'15\"'),
(741,2,'15\"'),
(741,3,'15\"'),
(741,4,'15\"'),
(741,5,'15\"'),
(742,1,'10\"'),
(742,2,'10\"'),
(742,3,'10\"'),
(742,4,'10\"'),
(742,5,'10\"'),
(743,1,'1 kg'),
(743,2,'1 kg'),
(743,3,'1 kg'),
(743,4,'1 kg'),
(743,5,'1 kg'),
(744,1,'M'),
(744,2,'M'),
(744,3,'M'),
(744,4,'M'),
(744,5,'M'),
(745,1,'5\"'),
(745,2,'5\"'),
(745,3,'5\"'),
(745,4,'5\"'),
(745,5,'5\"'),
(746,1,'5\"'),
(746,2,'5\"'),
(746,3,'5\"'),
(746,4,'5\"'),
(746,5,'5\"'),
(747,1,'15\"'),
(747,2,'15\"'),
(747,3,'15\"'),
(747,4,'15\"'),
(747,5,'15\"'),
(748,1,'0.3 kg'),
(748,2,'0.3 kg'),
(748,3,'0.3 kg'),
(748,4,'0.3 kg'),
(748,5,'0.3 kg'),
(749,1,'L'),
(749,2,'L'),
(749,3,'L'),
(749,4,'L'),
(749,5,'L'),
(750,1,'10\"'),
(750,2,'10\"'),
(750,3,'10\"'),
(750,4,'10\"'),
(750,5,'10\"'),
(751,1,'10\"'),
(751,2,'10\"'),
(751,3,'10\"'),
(751,4,'10\"'),
(751,5,'10\"'),
(752,1,'5\"'),
(752,2,'5\"'),
(752,3,'5\"'),
(752,4,'5\"'),
(752,5,'5\"'),
(753,1,'2 kg'),
(753,2,'2 kg'),
(753,3,'2 kg'),
(753,4,'2 kg'),
(753,5,'2 kg'),
(754,1,'XL'),
(754,2,'XL'),
(754,3,'XL'),
(754,4,'XL'),
(754,5,'XL'),
(755,1,'15\"'),
(755,2,'15\"'),
(755,3,'15\"'),
(755,4,'15\"'),
(755,5,'15\"'),
(756,1,'15\"'),
(756,2,'15\"'),
(756,3,'15\"'),
(756,4,'15\"'),
(756,5,'15\"'),
(757,1,'10\"'),
(757,2,'10\"'),
(757,3,'10\"'),
(757,4,'10\"'),
(757,5,'10\"'),
(758,1,'3 kg'),
(758,2,'3 kg'),
(758,3,'3 kg'),
(758,4,'3 kg'),
(758,5,'3 kg'),
(759,1,'M'),
(759,2,'M'),
(759,3,'M'),
(759,4,'M'),
(759,5,'M'),
(760,1,'5\"'),
(760,2,'5\"'),
(760,3,'5\"'),
(760,4,'5\"'),
(760,5,'5\"'),
(761,1,'10\"'),
(761,2,'10\"'),
(761,3,'10\"'),
(761,4,'10\"'),
(761,5,'10\"'),
(762,1,'15\"'),
(762,2,'15\"'),
(762,3,'15\"'),
(762,4,'15\"'),
(762,5,'15\"'),
(763,1,'5 kg'),
(763,2,'5 kg'),
(763,3,'5 kg'),
(763,4,'5 kg'),
(763,5,'5 kg'),
(764,1,'M'),
(764,2,'M'),
(764,3,'M'),
(764,4,'M'),
(764,5,'M'),
(765,1,'10\"'),
(765,2,'10\"'),
(765,3,'10\"'),
(765,4,'10\"'),
(765,5,'10\"'),
(766,1,'15\"'),
(766,2,'15\"'),
(766,3,'15\"'),
(766,4,'15\"'),
(766,5,'15\"'),
(767,1,'10\"'),
(767,2,'10\"'),
(767,3,'10\"'),
(767,4,'10\"'),
(767,5,'10\"'),
(768,1,'0.5 kg'),
(768,2,'0.5 kg'),
(768,3,'0.5 kg'),
(768,4,'0.5 kg'),
(768,5,'0.5 kg'),
(769,1,'L'),
(769,2,'L'),
(769,3,'L'),
(769,4,'L'),
(769,5,'L'),
(770,1,'15\"'),
(770,2,'15\"'),
(770,3,'15\"'),
(770,4,'15\"'),
(770,5,'15\"'),
(771,1,'5\"'),
(771,2,'5\"'),
(771,3,'5\"'),
(771,4,'5\"'),
(771,5,'5\"'),
(772,1,'15\"'),
(772,2,'15\"'),
(772,3,'15\"'),
(772,4,'15\"'),
(772,5,'15\"'),
(773,1,'1 kg'),
(773,2,'1 kg'),
(773,3,'1 kg'),
(773,4,'1 kg'),
(773,5,'1 kg'),
(774,1,'XL'),
(774,2,'XL'),
(774,3,'XL'),
(774,4,'XL'),
(774,5,'XL'),
(775,1,'5\"'),
(775,2,'5\"'),
(775,3,'5\"'),
(775,4,'5\"'),
(775,5,'5\"'),
(776,1,'10\"'),
(776,2,'10\"'),
(776,3,'10\"'),
(776,4,'10\"'),
(776,5,'10\"'),
(777,1,'5\"'),
(777,2,'5\"'),
(777,3,'5\"'),
(777,4,'5\"'),
(777,5,'5\"'),
(778,1,'0.3 kg'),
(778,2,'0.3 kg'),
(778,3,'0.3 kg'),
(778,4,'0.3 kg'),
(778,5,'0.3 kg'),
(779,1,'XXL'),
(779,2,'XXL'),
(779,3,'XXL'),
(779,4,'XXL'),
(779,5,'XXL'),
(780,1,'5\"'),
(780,2,'5\"'),
(780,3,'5\"'),
(780,4,'5\"'),
(780,5,'5\"'),
(781,1,'15\"'),
(781,2,'15\"'),
(781,3,'15\"'),
(781,4,'15\"'),
(781,5,'15\"'),
(782,1,'10\"'),
(782,2,'10\"'),
(782,3,'10\"'),
(782,4,'10\"'),
(782,5,'10\"'),
(783,1,'2 kg'),
(783,2,'2 kg'),
(783,3,'2 kg'),
(783,4,'2 kg'),
(783,5,'2 kg'),
(784,1,'L'),
(784,2,'L'),
(784,3,'L'),
(784,4,'L'),
(784,5,'L'),
(785,1,'10\"'),
(785,2,'10\"'),
(785,3,'10\"'),
(785,4,'10\"'),
(785,5,'10\"'),
(786,1,'10\"'),
(786,2,'10\"'),
(786,3,'10\"'),
(786,4,'10\"'),
(786,5,'10\"'),
(787,1,'10\"'),
(787,2,'10\"'),
(787,3,'10\"'),
(787,4,'10\"'),
(787,5,'10\"'),
(788,1,'0.5 kg'),
(788,2,'0.5 kg'),
(788,3,'0.5 kg'),
(788,4,'0.5 kg'),
(788,5,'0.5 kg'),
(789,1,'XL'),
(789,2,'XL'),
(789,3,'XL'),
(789,4,'XL'),
(789,5,'XL'),
(790,1,'15\"'),
(790,2,'15\"'),
(790,3,'15\"'),
(790,4,'15\"'),
(790,5,'15\"'),
(791,1,'15\"'),
(791,2,'15\"'),
(791,3,'15\"'),
(791,4,'15\"'),
(791,5,'15\"'),
(792,1,'15\"'),
(792,2,'15\"'),
(792,3,'15\"'),
(792,4,'15\"'),
(792,5,'15\"'),
(793,1,'1 kg'),
(793,2,'1 kg'),
(793,3,'1 kg'),
(793,4,'1 kg'),
(793,5,'1 kg'),
(794,1,'M'),
(794,2,'M'),
(794,3,'M'),
(794,4,'M'),
(794,5,'M'),
(795,1,'15\"'),
(795,2,'15\"'),
(795,3,'15\"'),
(795,4,'15\"'),
(795,5,'15\"'),
(796,1,'10\"'),
(796,2,'10\"'),
(796,3,'10\"'),
(796,4,'10\"'),
(796,5,'10\"'),
(797,1,'15\"'),
(797,2,'15\"'),
(797,3,'15\"'),
(797,4,'15\"'),
(797,5,'15\"'),
(798,1,'2 kg'),
(798,2,'2 kg'),
(798,3,'2 kg'),
(798,4,'2 kg'),
(798,5,'2 kg'),
(799,1,'XL'),
(799,2,'XL'),
(799,3,'XL'),
(799,4,'XL'),
(799,5,'XL'),
(800,1,'5\"'),
(800,2,'5\"'),
(800,3,'5\"'),
(800,4,'5\"'),
(800,5,'5\"'),
(801,1,'15\"'),
(801,2,'15\"'),
(801,3,'15\"'),
(801,4,'15\"'),
(801,5,'15\"'),
(802,1,'5\"'),
(802,2,'5\"'),
(802,3,'5\"'),
(802,4,'5\"'),
(802,5,'5\"'),
(803,1,'3 kg'),
(803,2,'3 kg'),
(803,3,'3 kg'),
(803,4,'3 kg'),
(803,5,'3 kg'),
(804,1,'M'),
(804,2,'M'),
(804,3,'M'),
(804,4,'M'),
(804,5,'M'),
(805,1,'5\"'),
(805,2,'5\"'),
(805,3,'5\"'),
(805,4,'5\"'),
(805,5,'5\"'),
(806,1,'10\"'),
(806,2,'10\"'),
(806,3,'10\"'),
(806,4,'10\"'),
(806,5,'10\"'),
(807,1,'15\"'),
(807,2,'15\"'),
(807,3,'15\"'),
(807,4,'15\"'),
(807,5,'15\"'),
(808,1,'5 kg'),
(808,2,'5 kg'),
(808,3,'5 kg'),
(808,4,'5 kg'),
(808,5,'5 kg'),
(809,1,'M'),
(809,2,'M'),
(809,3,'M'),
(809,4,'M'),
(809,5,'M'),
(810,1,'10\"'),
(810,2,'10\"'),
(810,3,'10\"'),
(810,4,'10\"'),
(810,5,'10\"'),
(811,1,'15\"'),
(811,2,'15\"'),
(811,3,'15\"'),
(811,4,'15\"'),
(811,5,'15\"'),
(812,1,'10\"'),
(812,2,'10\"'),
(812,3,'10\"'),
(812,4,'10\"'),
(812,5,'10\"'),
(813,1,'0.5 kg'),
(813,2,'0.5 kg'),
(813,3,'0.5 kg'),
(813,4,'0.5 kg'),
(813,5,'0.5 kg'),
(814,1,'L'),
(814,2,'L'),
(814,3,'L'),
(814,4,'L'),
(814,5,'L'),
(815,1,'15\"'),
(815,2,'15\"'),
(815,3,'15\"'),
(815,4,'15\"'),
(815,5,'15\"'),
(816,1,'5\"'),
(816,2,'5\"'),
(816,3,'5\"'),
(816,4,'5\"'),
(816,5,'5\"'),
(817,1,'15\"'),
(817,2,'15\"'),
(817,3,'15\"'),
(817,4,'15\"'),
(817,5,'15\"'),
(818,1,'1 kg'),
(818,2,'1 kg'),
(818,3,'1 kg'),
(818,4,'1 kg'),
(818,5,'1 kg'),
(819,1,'XL'),
(819,2,'XL'),
(819,3,'XL'),
(819,4,'XL'),
(819,5,'XL'),
(820,1,'5\"'),
(820,2,'5\"'),
(820,3,'5\"'),
(820,4,'5\"'),
(820,5,'5\"'),
(821,1,'10\"'),
(821,2,'10\"'),
(821,3,'10\"'),
(821,4,'10\"'),
(821,5,'10\"'),
(822,1,'5\"'),
(822,2,'5\"'),
(822,3,'5\"'),
(822,4,'5\"'),
(822,5,'5\"'),
(823,1,'0.3 kg'),
(823,2,'0.3 kg'),
(823,3,'0.3 kg'),
(823,4,'0.3 kg'),
(823,5,'0.3 kg'),
(824,1,'XXL'),
(824,2,'XXL'),
(824,3,'XXL'),
(824,4,'XXL'),
(824,5,'XXL'),
(825,1,'10\"'),
(825,2,'10\"'),
(825,3,'10\"'),
(825,4,'10\"'),
(825,5,'10\"'),
(826,1,'15\"'),
(826,2,'15\"'),
(826,3,'15\"'),
(826,4,'15\"'),
(826,5,'15\"'),
(827,1,'10\"'),
(827,2,'10\"'),
(827,3,'10\"'),
(827,4,'10\"'),
(827,5,'10\"'),
(828,1,'2 kg'),
(828,2,'2 kg'),
(828,3,'2 kg'),
(828,4,'2 kg'),
(828,5,'2 kg'),
(829,1,'L'),
(829,2,'L'),
(829,3,'L'),
(829,4,'L'),
(829,5,'L'),
(830,1,'15\"'),
(830,2,'15\"'),
(830,3,'15\"'),
(830,4,'15\"'),
(830,5,'15\"'),
(831,1,'10\"'),
(831,2,'10\"'),
(831,3,'10\"'),
(831,4,'10\"'),
(831,5,'10\"'),
(832,1,'15\"'),
(832,2,'15\"'),
(832,3,'15\"'),
(832,4,'15\"'),
(832,5,'15\"'),
(833,1,'0.5 kg'),
(833,2,'0.5 kg'),
(833,3,'0.5 kg'),
(833,4,'0.5 kg'),
(833,5,'0.5 kg'),
(834,1,'XL'),
(834,2,'XL'),
(834,3,'XL'),
(834,4,'XL'),
(834,5,'XL'),
(835,1,'5\"'),
(835,2,'5\"'),
(835,3,'5\"'),
(835,4,'5\"'),
(835,5,'5\"'),
(836,1,'15\"'),
(836,2,'15\"'),
(836,3,'15\"'),
(836,4,'15\"'),
(836,5,'15\"'),
(837,1,'10\"'),
(837,2,'10\"'),
(837,3,'10\"'),
(837,4,'10\"'),
(837,5,'10\"'),
(838,1,'1 kg'),
(838,2,'1 kg'),
(838,3,'1 kg'),
(838,4,'1 kg'),
(838,5,'1 kg'),
(839,1,'M'),
(839,2,'M'),
(839,3,'M'),
(839,4,'M'),
(839,5,'M'),
(840,1,'5\"'),
(840,2,'5\"'),
(840,3,'5\"'),
(840,4,'5\"'),
(840,5,'5\"'),
(841,1,'5\"'),
(841,2,'5\"'),
(841,3,'5\"'),
(841,4,'5\"'),
(841,5,'5\"'),
(842,1,'15\"'),
(842,2,'15\"'),
(842,3,'15\"'),
(842,4,'15\"'),
(842,5,'15\"'),
(843,1,'0.3 kg'),
(843,2,'0.3 kg'),
(843,3,'0.3 kg'),
(843,4,'0.3 kg'),
(843,5,'0.3 kg'),
(844,1,'L'),
(844,2,'L'),
(844,3,'L'),
(844,4,'L'),
(844,5,'L'),
(845,1,'10\"'),
(845,2,'10\"'),
(845,3,'10\"'),
(845,4,'10\"'),
(845,5,'10\"'),
(846,1,'10\"'),
(846,2,'10\"'),
(846,3,'10\"'),
(846,4,'10\"'),
(846,5,'10\"'),
(847,1,'5\"'),
(847,2,'5\"'),
(847,3,'5\"'),
(847,4,'5\"'),
(847,5,'5\"'),
(848,1,'2 kg'),
(848,2,'2 kg'),
(848,3,'2 kg'),
(848,4,'2 kg'),
(848,5,'2 kg'),
(849,1,'XL'),
(849,2,'XL'),
(849,3,'XL'),
(849,4,'XL'),
(849,5,'XL'),
(850,1,'15\"'),
(850,2,'15\"'),
(850,3,'15\"'),
(850,4,'15\"'),
(850,5,'15\"'),
(851,1,'15\"'),
(851,2,'15\"'),
(851,3,'15\"'),
(851,4,'15\"'),
(851,5,'15\"'),
(852,1,'10\"'),
(852,2,'10\"'),
(852,3,'10\"'),
(852,4,'10\"'),
(852,5,'10\"'),
(853,1,'3 kg'),
(853,2,'3 kg'),
(853,3,'3 kg'),
(853,4,'3 kg'),
(853,5,'3 kg'),
(854,1,'M'),
(854,2,'M'),
(854,3,'M'),
(854,4,'M'),
(854,5,'M'),
(855,1,'5\"'),
(855,2,'5\"'),
(855,3,'5\"'),
(855,4,'5\"'),
(855,5,'5\"'),
(856,1,'10\"'),
(856,2,'10\"'),
(856,3,'10\"'),
(856,4,'10\"'),
(856,5,'10\"'),
(857,1,'15\"'),
(857,2,'15\"'),
(857,3,'15\"'),
(857,4,'15\"'),
(857,5,'15\"'),
(858,1,'5 kg'),
(858,2,'5 kg'),
(858,3,'5 kg'),
(858,4,'5 kg'),
(858,5,'5 kg'),
(859,1,'M'),
(859,2,'M'),
(859,3,'M'),
(859,4,'M'),
(859,5,'M'),
(860,1,'10\"'),
(860,2,'10\"'),
(860,3,'10\"'),
(860,4,'10\"'),
(860,5,'10\"'),
(861,1,'15\"'),
(861,2,'15\"'),
(861,3,'15\"'),
(861,4,'15\"'),
(861,5,'15\"'),
(862,1,'10\"'),
(862,2,'10\"'),
(862,3,'10\"'),
(862,4,'10\"'),
(862,5,'10\"'),
(863,1,'0.5 kg'),
(863,2,'0.5 kg'),
(863,3,'0.5 kg'),
(863,4,'0.5 kg'),
(863,5,'0.5 kg'),
(864,1,'L'),
(864,2,'L'),
(864,3,'L'),
(864,4,'L'),
(864,5,'L'),
(865,1,'10\"'),
(865,2,'10\"'),
(865,3,'10\"'),
(865,4,'10\"'),
(865,5,'10\"'),
(866,1,'10\"'),
(866,2,'10\"'),
(866,3,'10\"'),
(866,4,'10\"'),
(866,5,'10\"'),
(867,1,'5\"'),
(867,2,'5\"'),
(867,3,'5\"'),
(867,4,'5\"'),
(867,5,'5\"'),
(868,1,'2 kg'),
(868,2,'2 kg'),
(868,3,'2 kg'),
(868,4,'2 kg'),
(868,5,'2 kg'),
(869,1,'M'),
(869,2,'M'),
(869,3,'M'),
(869,4,'M'),
(869,5,'M'),
(870,1,'15\"'),
(870,2,'15\"'),
(870,3,'15\"'),
(870,4,'15\"'),
(870,5,'15\"'),
(871,1,'15\"'),
(871,2,'15\"'),
(871,3,'15\"'),
(871,4,'15\"'),
(871,5,'15\"'),
(872,1,'10\"'),
(872,2,'10\"'),
(872,3,'10\"'),
(872,4,'10\"'),
(872,5,'10\"'),
(873,1,'3 kg'),
(873,2,'3 kg'),
(873,3,'3 kg'),
(873,4,'3 kg'),
(873,5,'3 kg'),
(874,1,'L'),
(874,2,'L'),
(874,3,'L'),
(874,4,'L'),
(874,5,'L'),
(875,1,'5\"'),
(875,2,'5\"'),
(875,3,'5\"'),
(875,4,'5\"'),
(875,5,'5\"'),
(876,1,'10\"'),
(876,2,'10\"'),
(876,3,'10\"'),
(876,4,'10\"'),
(876,5,'10\"'),
(877,1,'15\"'),
(877,2,'15\"'),
(877,3,'15\"'),
(877,4,'15\"'),
(877,5,'15\"'),
(878,1,'5 kg'),
(878,2,'5 kg'),
(878,3,'5 kg'),
(878,4,'5 kg'),
(878,5,'5 kg'),
(879,1,'XL'),
(879,2,'XL'),
(879,3,'XL'),
(879,4,'XL'),
(879,5,'XL'),
(880,1,'10\"'),
(880,2,'10\"'),
(880,3,'10\"'),
(880,4,'10\"'),
(880,5,'10\"'),
(881,1,'15\"'),
(881,2,'15\"'),
(881,3,'15\"'),
(881,4,'15\"'),
(881,5,'15\"'),
(882,1,'10\"'),
(882,2,'10\"'),
(882,3,'10\"'),
(882,4,'10\"'),
(882,5,'10\"'),
(883,1,'0.5 kg'),
(883,2,'0.5 kg'),
(883,3,'0.5 kg'),
(883,4,'0.5 kg'),
(883,5,'0.5 kg'),
(884,1,'XXL'),
(884,2,'XXL'),
(884,3,'XXL'),
(884,4,'XXL'),
(884,5,'XXL'),
(885,1,'15\"'),
(885,2,'15\"'),
(885,3,'15\"'),
(885,4,'15\"'),
(885,5,'15\"'),
(886,1,'5\"'),
(886,2,'5\"'),
(886,3,'5\"'),
(886,4,'5\"'),
(886,5,'5\"'),
(887,1,'15\"'),
(887,2,'15\"'),
(887,3,'15\"'),
(887,4,'15\"'),
(887,5,'15\"'),
(888,1,'1 kg'),
(888,2,'1 kg'),
(888,3,'1 kg'),
(888,4,'1 kg'),
(888,5,'1 kg'),
(889,1,'L'),
(889,2,'L'),
(889,3,'L'),
(889,4,'L'),
(889,5,'L'),
(890,1,'5\"'),
(890,2,'5\"'),
(890,3,'5\"'),
(890,4,'5\"'),
(890,5,'5\"'),
(891,1,'10\"'),
(891,2,'10\"'),
(891,3,'10\"'),
(891,4,'10\"'),
(891,5,'10\"'),
(892,1,'5\"'),
(892,2,'5\"'),
(892,3,'5\"'),
(892,4,'5\"'),
(892,5,'5\"'),
(893,1,'0.3 kg'),
(893,2,'0.3 kg'),
(893,3,'0.3 kg'),
(893,4,'0.3 kg'),
(893,5,'0.3 kg'),
(894,1,'XL'),
(894,2,'XL'),
(894,3,'XL'),
(894,4,'XL'),
(894,5,'XL'),
(895,1,'5\"'),
(895,2,'5\"'),
(895,3,'5\"'),
(895,4,'5\"'),
(895,5,'5\"'),
(896,1,'5\"'),
(896,2,'5\"'),
(896,3,'5\"'),
(896,4,'5\"'),
(896,5,'5\"'),
(897,1,'15\"'),
(897,2,'15\"'),
(897,3,'15\"'),
(897,4,'15\"'),
(897,5,'15\"'),
(898,1,'0.3 kg'),
(898,2,'0.3 kg'),
(898,3,'0.3 kg'),
(898,4,'0.3 kg'),
(898,5,'0.3 kg'),
(899,1,'L'),
(899,2,'L'),
(899,3,'L'),
(899,4,'L'),
(899,5,'L'),
(900,1,'10\"'),
(900,2,'10\"'),
(900,3,'10\"'),
(900,4,'10\"'),
(900,5,'10\"'),
(901,1,'10\"'),
(901,2,'10\"'),
(901,3,'10\"'),
(901,4,'10\"'),
(901,5,'10\"'),
(902,1,'5\"'),
(902,2,'5\"'),
(902,3,'5\"'),
(902,4,'5\"'),
(902,5,'5\"'),
(903,1,'2 kg'),
(903,2,'2 kg'),
(903,3,'2 kg'),
(903,4,'2 kg'),
(903,5,'2 kg'),
(904,1,'XL'),
(904,2,'XL'),
(904,3,'XL'),
(904,4,'XL'),
(904,5,'XL'),
(905,1,'15\"'),
(905,2,'15\"'),
(905,3,'15\"'),
(905,4,'15\"'),
(905,5,'15\"'),
(906,1,'15\"'),
(906,2,'15\"'),
(906,3,'15\"'),
(906,4,'15\"'),
(906,5,'15\"'),
(907,1,'10\"'),
(907,2,'10\"'),
(907,3,'10\"'),
(907,4,'10\"'),
(907,5,'10\"'),
(908,1,'3 kg'),
(908,2,'3 kg'),
(908,3,'3 kg'),
(908,4,'3 kg'),
(908,5,'3 kg'),
(909,1,'M'),
(909,2,'M'),
(909,3,'M'),
(909,4,'M'),
(909,5,'M'),
(910,1,'5\"'),
(910,2,'5\"'),
(910,3,'5\"'),
(910,4,'5\"'),
(910,5,'5\"'),
(911,1,'10\"'),
(911,2,'10\"'),
(911,3,'10\"'),
(911,4,'10\"'),
(911,5,'10\"'),
(912,1,'15\"'),
(912,2,'15\"'),
(912,3,'15\"'),
(912,4,'15\"'),
(912,5,'15\"'),
(913,1,'5 kg'),
(913,2,'5 kg'),
(913,3,'5 kg'),
(913,4,'5 kg'),
(913,5,'5 kg'),
(914,1,'M'),
(914,2,'M'),
(914,3,'M'),
(914,4,'M'),
(914,5,'M'),
(915,1,'10\"'),
(915,2,'10\"'),
(915,3,'10\"'),
(915,4,'10\"'),
(915,5,'10\"'),
(916,1,'15\"'),
(916,2,'15\"'),
(916,3,'15\"'),
(916,4,'15\"'),
(916,5,'15\"'),
(917,1,'10\"'),
(917,2,'10\"'),
(917,3,'10\"'),
(917,4,'10\"'),
(917,5,'10\"'),
(918,1,'0.5 kg'),
(918,2,'0.5 kg'),
(918,3,'0.5 kg'),
(918,4,'0.5 kg'),
(918,5,'0.5 kg'),
(919,1,'L'),
(919,2,'L'),
(919,3,'L'),
(919,4,'L'),
(919,5,'L'),
(920,1,'15\"'),
(920,2,'15\"'),
(920,3,'15\"'),
(920,4,'15\"'),
(920,5,'15\"'),
(921,1,'5\"'),
(921,2,'5\"'),
(921,3,'5\"'),
(921,4,'5\"'),
(921,5,'5\"'),
(922,1,'15\"'),
(922,2,'15\"'),
(922,3,'15\"'),
(922,4,'15\"'),
(922,5,'15\"'),
(923,1,'1 kg'),
(923,2,'1 kg'),
(923,3,'1 kg'),
(923,4,'1 kg'),
(923,5,'1 kg'),
(924,1,'XL'),
(924,2,'XL'),
(924,3,'XL'),
(924,4,'XL'),
(924,5,'XL'),
(925,1,'5\"'),
(925,2,'5\"'),
(925,3,'5\"'),
(925,4,'5\"'),
(925,5,'5\"'),
(926,1,'10\"'),
(926,2,'10\"'),
(926,3,'10\"'),
(926,4,'10\"'),
(926,5,'10\"'),
(927,1,'5\"'),
(927,2,'5\"'),
(927,3,'5\"'),
(927,4,'5\"'),
(927,5,'5\"'),
(928,1,'0.3 kg'),
(928,2,'0.3 kg'),
(928,3,'0.3 kg'),
(928,4,'0.3 kg'),
(928,5,'0.3 kg'),
(929,1,'XXL'),
(929,2,'XXL'),
(929,3,'XXL'),
(929,4,'XXL'),
(929,5,'XXL'),
(930,1,'10\"'),
(930,2,'10\"'),
(930,3,'10\"'),
(930,4,'10\"'),
(930,5,'10\"'),
(931,1,'15\"'),
(931,2,'15\"'),
(931,3,'15\"'),
(931,4,'15\"'),
(931,5,'15\"'),
(932,1,'10\"'),
(932,2,'10\"'),
(932,3,'10\"'),
(932,4,'10\"'),
(932,5,'10\"'),
(933,1,'2 kg'),
(933,2,'2 kg'),
(933,3,'2 kg'),
(933,4,'2 kg'),
(933,5,'2 kg'),
(934,1,'L'),
(934,2,'L'),
(934,3,'L'),
(934,4,'L'),
(934,5,'L'),
(935,1,'15\"'),
(935,2,'15\"'),
(935,3,'15\"'),
(935,4,'15\"'),
(935,5,'15\"'),
(936,1,'10\"'),
(936,2,'10\"'),
(936,3,'10\"'),
(936,4,'10\"'),
(936,5,'10\"'),
(937,1,'15\"'),
(937,2,'15\"'),
(937,3,'15\"'),
(937,4,'15\"'),
(937,5,'15\"'),
(938,1,'0.5 kg'),
(938,2,'0.5 kg'),
(938,3,'0.5 kg'),
(938,4,'0.5 kg'),
(938,5,'0.5 kg'),
(939,1,'XL'),
(939,2,'XL'),
(939,3,'XL'),
(939,4,'XL'),
(939,5,'XL'),
(940,1,'5\"'),
(940,2,'5\"'),
(940,3,'5\"'),
(940,4,'5\"'),
(940,5,'5\"'),
(941,1,'15\"'),
(941,2,'15\"'),
(941,3,'15\"'),
(941,4,'15\"'),
(941,5,'15\"'),
(942,1,'10\"'),
(942,2,'10\"'),
(942,3,'10\"'),
(942,4,'10\"'),
(942,5,'10\"'),
(943,1,'1 kg'),
(943,2,'1 kg'),
(943,3,'1 kg'),
(943,4,'1 kg'),
(943,5,'1 kg'),
(944,1,'M'),
(944,2,'M'),
(944,3,'M'),
(944,4,'M'),
(944,5,'M'),
(945,1,'5\"'),
(945,2,'5\"'),
(945,3,'5\"'),
(945,4,'5\"'),
(945,5,'5\"'),
(946,1,'5\"'),
(946,2,'5\"'),
(946,3,'5\"'),
(946,4,'5\"'),
(946,5,'5\"'),
(947,1,'15\"'),
(947,2,'15\"'),
(947,3,'15\"'),
(947,4,'15\"'),
(947,5,'15\"'),
(948,1,'0.3 kg'),
(948,2,'0.3 kg'),
(948,3,'0.3 kg'),
(948,4,'0.3 kg'),
(948,5,'0.3 kg'),
(949,1,'L'),
(949,2,'L'),
(949,3,'L'),
(949,4,'L'),
(949,5,'L'),
(950,1,'10\"'),
(950,2,'10\"'),
(950,3,'10\"'),
(950,4,'10\"'),
(950,5,'10\"'),
(951,1,'10\"'),
(951,2,'10\"'),
(951,3,'10\"'),
(951,4,'10\"'),
(951,5,'10\"'),
(952,1,'5\"'),
(952,2,'5\"'),
(952,3,'5\"'),
(952,4,'5\"'),
(952,5,'5\"'),
(953,1,'2 kg'),
(953,2,'2 kg'),
(953,3,'2 kg'),
(953,4,'2 kg'),
(953,5,'2 kg'),
(954,1,'XL'),
(954,2,'XL'),
(954,3,'XL'),
(954,4,'XL'),
(954,5,'XL'),
(955,1,'15\"'),
(955,2,'15\"'),
(955,3,'15\"'),
(955,4,'15\"'),
(955,5,'15\"'),
(956,1,'15\"'),
(956,2,'15\"'),
(956,3,'15\"'),
(956,4,'15\"'),
(956,5,'15\"'),
(957,1,'10\"'),
(957,2,'10\"'),
(957,3,'10\"'),
(957,4,'10\"'),
(957,5,'10\"'),
(958,1,'3 kg'),
(958,2,'3 kg'),
(958,3,'3 kg'),
(958,4,'3 kg'),
(958,5,'3 kg'),
(959,1,'M'),
(959,2,'M'),
(959,3,'M'),
(959,4,'M'),
(959,5,'M'),
(960,1,'5\"'),
(960,2,'5\"'),
(960,3,'5\"'),
(960,4,'5\"'),
(960,5,'5\"'),
(961,1,'10\"'),
(961,2,'10\"'),
(961,3,'10\"'),
(961,4,'10\"'),
(961,5,'10\"'),
(962,1,'15\"'),
(962,2,'15\"'),
(962,3,'15\"'),
(962,4,'15\"'),
(962,5,'15\"'),
(963,1,'5 kg'),
(963,2,'5 kg'),
(963,3,'5 kg'),
(963,4,'5 kg'),
(963,5,'5 kg'),
(964,1,'M'),
(964,2,'M'),
(964,3,'M'),
(964,4,'M'),
(964,5,'M'),
(965,1,'10\"'),
(965,2,'10\"'),
(965,3,'10\"'),
(965,4,'10\"'),
(965,5,'10\"'),
(966,1,'15\"'),
(966,2,'15\"'),
(966,3,'15\"'),
(966,4,'15\"'),
(966,5,'15\"'),
(967,1,'10\"'),
(967,2,'10\"'),
(967,3,'10\"'),
(967,4,'10\"'),
(967,5,'10\"'),
(968,1,'0.5 kg'),
(968,2,'0.5 kg'),
(968,3,'0.5 kg'),
(968,4,'0.5 kg'),
(968,5,'0.5 kg'),
(969,1,'L'),
(969,2,'L'),
(969,3,'L'),
(969,4,'L'),
(969,5,'L'),
(970,1,'15\"'),
(970,2,'15\"'),
(970,3,'15\"'),
(970,4,'15\"'),
(970,5,'15\"'),
(971,1,'5\"'),
(971,2,'5\"'),
(971,3,'5\"'),
(971,4,'5\"'),
(971,5,'5\"'),
(972,1,'15\"'),
(972,2,'15\"'),
(972,3,'15\"'),
(972,4,'15\"'),
(972,5,'15\"'),
(973,1,'1 kg'),
(973,2,'1 kg'),
(973,3,'1 kg'),
(973,4,'1 kg'),
(973,5,'1 kg'),
(974,1,'XL'),
(974,2,'XL'),
(974,3,'XL'),
(974,4,'XL'),
(974,5,'XL'),
(975,1,'5\"'),
(975,2,'5\"'),
(975,3,'5\"'),
(975,4,'5\"'),
(975,5,'5\"'),
(976,1,'10\"'),
(976,2,'10\"'),
(976,3,'10\"'),
(976,4,'10\"'),
(976,5,'10\"'),
(977,1,'5\"'),
(977,2,'5\"'),
(977,3,'5\"'),
(977,4,'5\"'),
(977,5,'5\"'),
(978,1,'0.3 kg'),
(978,2,'0.3 kg'),
(978,3,'0.3 kg'),
(978,4,'0.3 kg'),
(978,5,'0.3 kg'),
(979,1,'XXL'),
(979,2,'XXL'),
(979,3,'XXL'),
(979,4,'XXL'),
(979,5,'XXL'),
(980,1,'5\"'),
(980,2,'5\"'),
(980,3,'5\"'),
(980,4,'5\"'),
(980,5,'5\"'),
(981,1,'15\"'),
(981,2,'15\"'),
(981,3,'15\"'),
(981,4,'15\"'),
(981,5,'15\"'),
(982,1,'10\"'),
(982,2,'10\"'),
(982,3,'10\"'),
(982,4,'10\"'),
(982,5,'10\"'),
(983,1,'2 kg'),
(983,2,'2 kg'),
(983,3,'2 kg'),
(983,4,'2 kg'),
(983,5,'2 kg'),
(984,1,'L'),
(984,2,'L'),
(984,3,'L'),
(984,4,'L'),
(984,5,'L'),
(985,1,'10\"'),
(985,2,'10\"'),
(985,3,'10\"'),
(985,4,'10\"'),
(985,5,'10\"'),
(986,1,'10\"'),
(986,2,'10\"'),
(986,3,'10\"'),
(986,4,'10\"'),
(986,5,'10\"'),
(987,1,'10\"'),
(987,2,'10\"'),
(987,3,'10\"'),
(987,4,'10\"'),
(987,5,'10\"'),
(988,1,'0.5 kg'),
(988,2,'0.5 kg'),
(988,3,'0.5 kg'),
(988,4,'0.5 kg'),
(988,5,'0.5 kg'),
(989,1,'XL'),
(989,2,'XL'),
(989,3,'XL'),
(989,4,'XL'),
(989,5,'XL'),
(990,1,'15\"'),
(990,2,'15\"'),
(990,3,'15\"'),
(990,4,'15\"'),
(990,5,'15\"'),
(991,1,'15\"'),
(991,2,'15\"'),
(991,3,'15\"'),
(991,4,'15\"'),
(991,5,'15\"'),
(992,1,'15\"'),
(992,2,'15\"'),
(992,3,'15\"'),
(992,4,'15\"'),
(992,5,'15\"'),
(993,1,'1 kg'),
(993,2,'1 kg'),
(993,3,'1 kg'),
(993,4,'1 kg'),
(993,5,'1 kg'),
(994,1,'M'),
(994,2,'M'),
(994,3,'M'),
(994,4,'M'),
(994,5,'M'),
(995,1,'15\"'),
(995,2,'15\"'),
(995,3,'15\"'),
(995,4,'15\"'),
(995,5,'15\"'),
(996,1,'10\"'),
(996,2,'10\"'),
(996,3,'10\"'),
(996,4,'10\"'),
(996,5,'10\"'),
(997,1,'15\"'),
(997,2,'15\"'),
(997,3,'15\"'),
(997,4,'15\"'),
(997,5,'15\"'),
(998,1,'2 kg'),
(998,2,'2 kg'),
(998,3,'2 kg'),
(998,4,'2 kg'),
(998,5,'2 kg'),
(999,1,'XL'),
(999,2,'XL'),
(999,3,'XL'),
(999,4,'XL'),
(999,5,'XL'),
(1000,1,'5\"'),
(1000,2,'5\"'),
(1000,3,'5\"'),
(1000,4,'5\"'),
(1000,5,'5\"'),
(1001,1,'15\"'),
(1001,2,'15\"'),
(1001,3,'15\"'),
(1001,4,'15\"'),
(1001,5,'15\"'),
(1002,1,'5\"'),
(1002,2,'5\"'),
(1002,3,'5\"'),
(1002,4,'5\"'),
(1002,5,'5\"'),
(1003,1,'3 kg'),
(1003,2,'3 kg'),
(1003,3,'3 kg'),
(1003,4,'3 kg'),
(1003,5,'3 kg'),
(1004,1,'M'),
(1004,2,'M'),
(1004,3,'M'),
(1004,4,'M'),
(1004,5,'M'),
(1005,1,'5\"'),
(1005,2,'5\"'),
(1005,3,'5\"'),
(1005,4,'5\"'),
(1005,5,'5\"'),
(1006,1,'10\"'),
(1006,2,'10\"'),
(1006,3,'10\"'),
(1006,4,'10\"'),
(1006,5,'10\"'),
(1007,1,'15\"'),
(1007,2,'15\"'),
(1007,3,'15\"'),
(1007,4,'15\"'),
(1007,5,'15\"'),
(1008,1,'5 kg'),
(1008,2,'5 kg'),
(1008,3,'5 kg'),
(1008,4,'5 kg'),
(1008,5,'5 kg'),
(1009,1,'M'),
(1009,2,'M'),
(1009,3,'M'),
(1009,4,'M'),
(1009,5,'M'),
(1010,1,'10\"'),
(1010,2,'10\"'),
(1010,3,'10\"'),
(1010,4,'10\"'),
(1010,5,'10\"'),
(1011,1,'15\"'),
(1011,2,'15\"'),
(1011,3,'15\"'),
(1011,4,'15\"'),
(1011,5,'15\"'),
(1012,1,'10\"'),
(1012,2,'10\"'),
(1012,3,'10\"'),
(1012,4,'10\"'),
(1012,5,'10\"'),
(1013,1,'0.5 kg'),
(1013,2,'0.5 kg'),
(1013,3,'0.5 kg'),
(1013,4,'0.5 kg'),
(1013,5,'0.5 kg'),
(1014,1,'L'),
(1014,2,'L'),
(1014,3,'L'),
(1014,4,'L'),
(1014,5,'L'),
(1015,1,'15\"'),
(1015,2,'15\"'),
(1015,3,'15\"'),
(1015,4,'15\"'),
(1015,5,'15\"'),
(1016,1,'5\"'),
(1016,2,'5\"'),
(1016,3,'5\"'),
(1016,4,'5\"'),
(1016,5,'5\"'),
(1017,1,'15\"'),
(1017,2,'15\"'),
(1017,3,'15\"'),
(1017,4,'15\"'),
(1017,5,'15\"'),
(1018,1,'1 kg'),
(1018,2,'1 kg'),
(1018,3,'1 kg'),
(1018,4,'1 kg'),
(1018,5,'1 kg'),
(1019,1,'XL'),
(1019,2,'XL'),
(1019,3,'XL'),
(1019,4,'XL'),
(1019,5,'XL'),
(1020,1,'5\"'),
(1020,2,'5\"'),
(1020,3,'5\"'),
(1020,4,'5\"'),
(1020,5,'5\"'),
(1021,1,'10\"'),
(1021,2,'10\"'),
(1021,3,'10\"'),
(1021,4,'10\"'),
(1021,5,'10\"'),
(1022,1,'5\"'),
(1022,2,'5\"'),
(1022,3,'5\"'),
(1022,4,'5\"'),
(1022,5,'5\"'),
(1023,1,'0.3 kg'),
(1023,2,'0.3 kg'),
(1023,3,'0.3 kg'),
(1023,4,'0.3 kg'),
(1023,5,'0.3 kg'),
(1024,1,'XXL'),
(1024,2,'XXL'),
(1024,3,'XXL'),
(1024,4,'XXL'),
(1024,5,'XXL'),
(1025,1,'10\"'),
(1025,2,'10\"'),
(1025,3,'10\"'),
(1025,4,'10\"'),
(1025,5,'10\"'),
(1026,1,'15\"'),
(1026,2,'15\"'),
(1026,3,'15\"'),
(1026,4,'15\"'),
(1026,5,'15\"'),
(1027,1,'10\"'),
(1027,2,'10\"'),
(1027,3,'10\"'),
(1027,4,'10\"'),
(1027,5,'10\"'),
(1028,1,'2 kg'),
(1028,2,'2 kg'),
(1028,3,'2 kg'),
(1028,4,'2 kg'),
(1028,5,'2 kg'),
(1029,1,'L'),
(1029,2,'L'),
(1029,3,'L'),
(1029,4,'L'),
(1029,5,'L'),
(1030,1,'15\"'),
(1030,2,'15\"'),
(1030,3,'15\"'),
(1030,4,'15\"'),
(1030,5,'15\"'),
(1031,1,'10\"'),
(1031,2,'10\"'),
(1031,3,'10\"'),
(1031,4,'10\"'),
(1031,5,'10\"'),
(1032,1,'15\"'),
(1032,2,'15\"'),
(1032,3,'15\"'),
(1032,4,'15\"'),
(1032,5,'15\"'),
(1033,1,'0.5 kg'),
(1033,2,'0.5 kg'),
(1033,3,'0.5 kg'),
(1033,4,'0.5 kg'),
(1033,5,'0.5 kg'),
(1034,1,'XL'),
(1034,2,'XL'),
(1034,3,'XL'),
(1034,4,'XL'),
(1034,5,'XL'),
(1035,1,'5\"'),
(1035,2,'5\"'),
(1035,3,'5\"'),
(1035,4,'5\"'),
(1035,5,'5\"'),
(1036,1,'15\"'),
(1036,2,'15\"'),
(1036,3,'15\"'),
(1036,4,'15\"'),
(1036,5,'15\"'),
(1037,1,'10\"'),
(1037,2,'10\"'),
(1037,3,'10\"'),
(1037,4,'10\"'),
(1037,5,'10\"'),
(1038,1,'1 kg'),
(1038,2,'1 kg'),
(1038,3,'1 kg'),
(1038,4,'1 kg'),
(1038,5,'1 kg'),
(1039,1,'M'),
(1039,2,'M'),
(1039,3,'M'),
(1039,4,'M'),
(1039,5,'M'),
(1040,1,'5\"'),
(1040,2,'5\"'),
(1040,3,'5\"'),
(1040,4,'5\"'),
(1040,5,'5\"'),
(1041,1,'5\"'),
(1041,2,'5\"'),
(1041,3,'5\"'),
(1041,4,'5\"'),
(1041,5,'5\"'),
(1042,1,'15\"'),
(1042,2,'15\"'),
(1042,3,'15\"'),
(1042,4,'15\"'),
(1042,5,'15\"'),
(1043,1,'0.3 kg'),
(1043,2,'0.3 kg'),
(1043,3,'0.3 kg'),
(1043,4,'0.3 kg'),
(1043,5,'0.3 kg'),
(1044,1,'L'),
(1044,2,'L'),
(1044,3,'L'),
(1044,4,'L'),
(1044,5,'L'),
(1045,1,'10\"'),
(1045,2,'10\"'),
(1045,3,'10\"'),
(1045,4,'10\"'),
(1045,5,'10\"'),
(1046,1,'10\"'),
(1046,2,'10\"'),
(1046,3,'10\"'),
(1046,4,'10\"'),
(1046,5,'10\"'),
(1047,1,'5\"'),
(1047,2,'5\"'),
(1047,3,'5\"'),
(1047,4,'5\"'),
(1047,5,'5\"'),
(1048,1,'2 kg'),
(1048,2,'2 kg'),
(1048,3,'2 kg'),
(1048,4,'2 kg'),
(1048,5,'2 kg'),
(1049,1,'XL'),
(1049,2,'XL'),
(1049,3,'XL'),
(1049,4,'XL'),
(1049,5,'XL'),
(1050,1,'15\"'),
(1050,2,'15\"'),
(1050,3,'15\"'),
(1050,4,'15\"'),
(1050,5,'15\"'),
(1051,1,'15\"'),
(1051,2,'15\"'),
(1051,3,'15\"'),
(1051,4,'15\"'),
(1051,5,'15\"'),
(1052,1,'10\"'),
(1052,2,'10\"'),
(1052,3,'10\"'),
(1052,4,'10\"'),
(1052,5,'10\"'),
(1053,1,'3 kg'),
(1053,2,'3 kg'),
(1053,3,'3 kg'),
(1053,4,'3 kg'),
(1053,5,'3 kg'),
(1054,1,'M'),
(1054,2,'M'),
(1054,3,'M'),
(1054,4,'M'),
(1054,5,'M'),
(1055,1,'5\"'),
(1055,2,'5\"'),
(1055,3,'5\"'),
(1055,4,'5\"'),
(1055,5,'5\"'),
(1056,1,'10\"'),
(1056,2,'10\"'),
(1056,3,'10\"'),
(1056,4,'10\"'),
(1056,5,'10\"'),
(1057,1,'15\"'),
(1057,2,'15\"'),
(1057,3,'15\"'),
(1057,4,'15\"'),
(1057,5,'15\"'),
(1058,1,'5 kg'),
(1058,2,'5 kg'),
(1058,3,'5 kg'),
(1058,4,'5 kg'),
(1058,5,'5 kg'),
(1059,1,'M'),
(1059,2,'M'),
(1059,3,'M'),
(1059,4,'M'),
(1059,5,'M'),
(1060,1,'10\"'),
(1060,2,'10\"'),
(1060,3,'10\"'),
(1060,4,'10\"'),
(1060,5,'10\"'),
(1061,1,'15\"'),
(1061,2,'15\"'),
(1061,3,'15\"'),
(1061,4,'15\"'),
(1061,5,'15\"'),
(1062,1,'10\"'),
(1062,2,'10\"'),
(1062,3,'10\"'),
(1062,4,'10\"'),
(1062,5,'10\"'),
(1063,1,'0.5 kg'),
(1063,2,'0.5 kg'),
(1063,3,'0.5 kg'),
(1063,4,'0.5 kg'),
(1063,5,'0.5 kg'),
(1064,1,'L'),
(1064,2,'L'),
(1064,3,'L'),
(1064,4,'L'),
(1064,5,'L'),
(1065,1,'10\"'),
(1065,2,'10\"'),
(1065,3,'10\"'),
(1065,4,'10\"'),
(1065,5,'10\"'),
(1066,1,'10\"'),
(1066,2,'10\"'),
(1066,3,'10\"'),
(1066,4,'10\"'),
(1066,5,'10\"'),
(1067,1,'5\"'),
(1067,2,'5\"'),
(1067,3,'5\"'),
(1067,4,'5\"'),
(1067,5,'5\"'),
(1068,1,'2 kg'),
(1068,2,'2 kg'),
(1068,3,'2 kg'),
(1068,4,'2 kg'),
(1068,5,'2 kg'),
(1069,1,'M'),
(1069,2,'M'),
(1069,3,'M'),
(1069,4,'M'),
(1069,5,'M'),
(1070,1,'15\"'),
(1070,2,'15\"'),
(1070,3,'15\"'),
(1070,4,'15\"'),
(1070,5,'15\"'),
(1071,1,'15\"'),
(1071,2,'15\"'),
(1071,3,'15\"'),
(1071,4,'15\"'),
(1071,5,'15\"'),
(1072,1,'10\"'),
(1072,2,'10\"'),
(1072,3,'10\"'),
(1072,4,'10\"'),
(1072,5,'10\"'),
(1073,1,'3 kg'),
(1073,2,'3 kg'),
(1073,3,'3 kg'),
(1073,4,'3 kg'),
(1073,5,'3 kg'),
(1074,1,'L'),
(1074,2,'L'),
(1074,3,'L'),
(1074,4,'L'),
(1074,5,'L'),
(1075,1,'5\"'),
(1075,2,'5\"'),
(1075,3,'5\"'),
(1075,4,'5\"'),
(1075,5,'5\"'),
(1076,1,'10\"'),
(1076,2,'10\"'),
(1076,3,'10\"'),
(1076,4,'10\"'),
(1076,5,'10\"'),
(1077,1,'15\"'),
(1077,2,'15\"'),
(1077,3,'15\"'),
(1077,4,'15\"'),
(1077,5,'15\"'),
(1078,1,'5 kg'),
(1078,2,'5 kg'),
(1078,3,'5 kg'),
(1078,4,'5 kg'),
(1078,5,'5 kg'),
(1079,1,'XL'),
(1079,2,'XL'),
(1079,3,'XL'),
(1079,4,'XL'),
(1079,5,'XL'),
(1080,1,'10\"'),
(1080,2,'10\"'),
(1080,3,'10\"'),
(1080,4,'10\"'),
(1080,5,'10\"'),
(1081,1,'15\"'),
(1081,2,'15\"'),
(1081,3,'15\"'),
(1081,4,'15\"'),
(1081,5,'15\"'),
(1082,1,'10\"'),
(1082,2,'10\"'),
(1082,3,'10\"'),
(1082,4,'10\"'),
(1082,5,'10\"'),
(1083,1,'0.5 kg'),
(1083,2,'0.5 kg'),
(1083,3,'0.5 kg'),
(1083,4,'0.5 kg'),
(1083,5,'0.5 kg'),
(1084,1,'XXL'),
(1084,2,'XXL'),
(1084,3,'XXL'),
(1084,4,'XXL'),
(1084,5,'XXL'),
(1085,1,'15\"'),
(1085,2,'15\"'),
(1085,3,'15\"'),
(1085,4,'15\"'),
(1085,5,'15\"'),
(1086,1,'5\"'),
(1086,2,'5\"'),
(1086,3,'5\"'),
(1086,4,'5\"'),
(1086,5,'5\"'),
(1087,1,'15\"'),
(1087,2,'15\"'),
(1087,3,'15\"'),
(1087,4,'15\"'),
(1087,5,'15\"'),
(1088,1,'1 kg'),
(1088,2,'1 kg'),
(1088,3,'1 kg'),
(1088,4,'1 kg'),
(1088,5,'1 kg'),
(1089,1,'L'),
(1089,2,'L'),
(1089,3,'L'),
(1089,4,'L'),
(1089,5,'L'),
(1090,1,'5\"'),
(1090,2,'5\"'),
(1090,3,'5\"'),
(1090,4,'5\"'),
(1090,5,'5\"'),
(1091,1,'10\"'),
(1091,2,'10\"'),
(1091,3,'10\"'),
(1091,4,'10\"'),
(1091,5,'10\"'),
(1092,1,'5\"'),
(1092,2,'5\"'),
(1092,3,'5\"'),
(1092,4,'5\"'),
(1092,5,'5\"'),
(1093,1,'0.3 kg'),
(1093,2,'0.3 kg'),
(1093,3,'0.3 kg'),
(1093,4,'0.3 kg'),
(1093,5,'0.3 kg'),
(1094,1,'XL'),
(1094,2,'XL'),
(1094,3,'XL'),
(1094,4,'XL'),
(1094,5,'XL'),
(1095,1,'5\"'),
(1095,2,'5\"'),
(1095,3,'5\"'),
(1095,4,'5\"'),
(1095,5,'5\"'),
(1096,1,'5\"'),
(1096,2,'5\"'),
(1096,3,'5\"'),
(1096,4,'5\"'),
(1096,5,'5\"'),
(1097,1,'15\"'),
(1097,2,'15\"'),
(1097,3,'15\"'),
(1097,4,'15\"'),
(1097,5,'15\"'),
(1098,1,'0.3 kg'),
(1098,2,'0.3 kg'),
(1098,3,'0.3 kg'),
(1098,4,'0.3 kg'),
(1098,5,'0.3 kg'),
(1099,1,'L'),
(1099,2,'L'),
(1099,3,'L'),
(1099,4,'L'),
(1099,5,'L'),
(1100,1,'10\"'),
(1100,2,'10\"'),
(1100,3,'10\"'),
(1100,4,'10\"'),
(1100,5,'10\"'),
(1101,1,'10\"'),
(1101,2,'10\"'),
(1101,3,'10\"'),
(1101,4,'10\"'),
(1101,5,'10\"'),
(1102,1,'5\"'),
(1102,2,'5\"'),
(1102,3,'5\"'),
(1102,4,'5\"'),
(1102,5,'5\"'),
(1103,1,'2 kg'),
(1103,2,'2 kg'),
(1103,3,'2 kg'),
(1103,4,'2 kg'),
(1103,5,'2 kg'),
(1104,1,'XL'),
(1104,2,'XL'),
(1104,3,'XL'),
(1104,4,'XL'),
(1104,5,'XL'),
(1105,1,'15\"'),
(1105,2,'15\"'),
(1105,3,'15\"'),
(1105,4,'15\"'),
(1105,5,'15\"'),
(1106,1,'15\"'),
(1106,2,'15\"'),
(1106,3,'15\"'),
(1106,4,'15\"'),
(1106,5,'15\"'),
(1107,1,'10\"'),
(1107,2,'10\"'),
(1107,3,'10\"'),
(1107,4,'10\"'),
(1107,5,'10\"'),
(1108,1,'3 kg'),
(1108,2,'3 kg'),
(1108,3,'3 kg'),
(1108,4,'3 kg'),
(1108,5,'3 kg'),
(1109,1,'M'),
(1109,2,'M'),
(1109,3,'M'),
(1109,4,'M'),
(1109,5,'M'),
(1110,1,'5\"'),
(1110,2,'5\"'),
(1110,3,'5\"'),
(1110,4,'5\"'),
(1110,5,'5\"'),
(1111,1,'10\"'),
(1111,2,'10\"'),
(1111,3,'10\"'),
(1111,4,'10\"'),
(1111,5,'10\"'),
(1112,1,'15\"'),
(1112,2,'15\"'),
(1112,3,'15\"'),
(1112,4,'15\"'),
(1112,5,'15\"'),
(1113,1,'5 kg'),
(1113,2,'5 kg'),
(1113,3,'5 kg'),
(1113,4,'5 kg'),
(1113,5,'5 kg'),
(1114,1,'M'),
(1114,2,'M'),
(1114,3,'M'),
(1114,4,'M'),
(1114,5,'M'),
(1115,1,'10\"'),
(1115,2,'10\"'),
(1115,3,'10\"'),
(1115,4,'10\"'),
(1115,5,'10\"'),
(1116,1,'15\"'),
(1116,2,'15\"'),
(1116,3,'15\"'),
(1116,4,'15\"'),
(1116,5,'15\"'),
(1117,1,'10\"'),
(1117,2,'10\"'),
(1117,3,'10\"'),
(1117,4,'10\"'),
(1117,5,'10\"'),
(1118,1,'0.5 kg'),
(1118,2,'0.5 kg'),
(1118,3,'0.5 kg'),
(1118,4,'0.5 kg'),
(1118,5,'0.5 kg'),
(1119,1,'L'),
(1119,2,'L'),
(1119,3,'L'),
(1119,4,'L'),
(1119,5,'L'),
(1120,1,'15\"'),
(1120,2,'15\"'),
(1120,3,'15\"'),
(1120,4,'15\"'),
(1120,5,'15\"'),
(1121,1,'5\"'),
(1121,2,'5\"'),
(1121,3,'5\"'),
(1121,4,'5\"'),
(1121,5,'5\"'),
(1122,1,'15\"'),
(1122,2,'15\"'),
(1122,3,'15\"'),
(1122,4,'15\"'),
(1122,5,'15\"'),
(1123,1,'1 kg'),
(1123,2,'1 kg'),
(1123,3,'1 kg'),
(1123,4,'1 kg'),
(1123,5,'1 kg'),
(1124,1,'XL'),
(1124,2,'XL'),
(1124,3,'XL'),
(1124,4,'XL'),
(1124,5,'XL'),
(1125,1,'5\"'),
(1125,2,'5\"'),
(1125,3,'5\"'),
(1125,4,'5\"'),
(1125,5,'5\"'),
(1126,1,'10\"'),
(1126,2,'10\"'),
(1126,3,'10\"'),
(1126,4,'10\"'),
(1126,5,'10\"'),
(1127,1,'5\"'),
(1127,2,'5\"'),
(1127,3,'5\"'),
(1127,4,'5\"'),
(1127,5,'5\"'),
(1128,1,'0.3 kg'),
(1128,2,'0.3 kg'),
(1128,3,'0.3 kg'),
(1128,4,'0.3 kg'),
(1128,5,'0.3 kg'),
(1129,1,'XXL'),
(1129,2,'XXL'),
(1129,3,'XXL'),
(1129,4,'XXL'),
(1129,5,'XXL'),
(1130,1,'10\"'),
(1130,2,'10\"'),
(1130,3,'10\"'),
(1130,4,'10\"'),
(1130,5,'10\"'),
(1131,1,'15\"'),
(1131,2,'15\"'),
(1131,3,'15\"'),
(1131,4,'15\"'),
(1131,5,'15\"'),
(1132,1,'10\"'),
(1132,2,'10\"'),
(1132,3,'10\"'),
(1132,4,'10\"'),
(1132,5,'10\"'),
(1133,1,'2 kg'),
(1133,2,'2 kg'),
(1133,3,'2 kg'),
(1133,4,'2 kg'),
(1133,5,'2 kg'),
(1134,1,'L'),
(1134,2,'L'),
(1134,3,'L'),
(1134,4,'L'),
(1134,5,'L'),
(1135,1,'15\"'),
(1135,2,'15\"'),
(1135,3,'15\"'),
(1135,4,'15\"'),
(1135,5,'15\"'),
(1136,1,'10\"'),
(1136,2,'10\"'),
(1136,3,'10\"'),
(1136,4,'10\"'),
(1136,5,'10\"'),
(1137,1,'15\"'),
(1137,2,'15\"'),
(1137,3,'15\"'),
(1137,4,'15\"'),
(1137,5,'15\"'),
(1138,1,'0.5 kg'),
(1138,2,'0.5 kg'),
(1138,3,'0.5 kg'),
(1138,4,'0.5 kg'),
(1138,5,'0.5 kg'),
(1139,1,'XL'),
(1139,2,'XL'),
(1139,3,'XL'),
(1139,4,'XL'),
(1139,5,'XL'),
(1140,1,'5\"'),
(1140,2,'5\"'),
(1140,3,'5\"'),
(1140,4,'5\"'),
(1140,5,'5\"'),
(1141,1,'15\"'),
(1141,2,'15\"'),
(1141,3,'15\"'),
(1141,4,'15\"'),
(1141,5,'15\"'),
(1142,1,'10\"'),
(1142,2,'10\"'),
(1142,3,'10\"'),
(1142,4,'10\"'),
(1142,5,'10\"'),
(1143,1,'1 kg'),
(1143,2,'1 kg'),
(1143,3,'1 kg'),
(1143,4,'1 kg'),
(1143,5,'1 kg'),
(1144,1,'M'),
(1144,2,'M'),
(1144,3,'M'),
(1144,4,'M'),
(1144,5,'M'),
(1145,1,'5\"'),
(1145,2,'5\"'),
(1145,3,'5\"'),
(1145,4,'5\"'),
(1145,5,'5\"'),
(1146,1,'5\"'),
(1146,2,'5\"'),
(1146,3,'5\"'),
(1146,4,'5\"'),
(1146,5,'5\"'),
(1147,1,'15\"'),
(1147,2,'15\"'),
(1147,3,'15\"'),
(1147,4,'15\"'),
(1147,5,'15\"'),
(1148,1,'0.3 kg'),
(1148,2,'0.3 kg'),
(1148,3,'0.3 kg'),
(1148,4,'0.3 kg'),
(1148,5,'0.3 kg'),
(1149,1,'L'),
(1149,2,'L'),
(1149,3,'L'),
(1149,4,'L'),
(1149,5,'L'),
(1150,1,'10\"'),
(1150,2,'10\"'),
(1150,3,'10\"'),
(1150,4,'10\"'),
(1150,5,'10\"'),
(1151,1,'10\"'),
(1151,2,'10\"'),
(1151,3,'10\"'),
(1151,4,'10\"'),
(1151,5,'10\"'),
(1152,1,'5\"'),
(1152,2,'5\"'),
(1152,3,'5\"'),
(1152,4,'5\"'),
(1152,5,'5\"'),
(1153,1,'2 kg'),
(1153,2,'2 kg'),
(1153,3,'2 kg'),
(1153,4,'2 kg'),
(1153,5,'2 kg'),
(1154,1,'XL'),
(1154,2,'XL'),
(1154,3,'XL'),
(1154,4,'XL'),
(1154,5,'XL'),
(1155,1,'15\"'),
(1155,2,'15\"'),
(1155,3,'15\"'),
(1155,4,'15\"'),
(1155,5,'15\"'),
(1156,1,'15\"'),
(1156,2,'15\"'),
(1156,3,'15\"'),
(1156,4,'15\"'),
(1156,5,'15\"'),
(1157,1,'10\"'),
(1157,2,'10\"'),
(1157,3,'10\"'),
(1157,4,'10\"'),
(1157,5,'10\"'),
(1158,1,'3 kg'),
(1158,2,'3 kg'),
(1158,3,'3 kg'),
(1158,4,'3 kg'),
(1158,5,'3 kg'),
(1159,1,'M'),
(1159,2,'M'),
(1159,3,'M'),
(1159,4,'M'),
(1159,5,'M'),
(1160,1,'5\"'),
(1160,2,'5\"'),
(1160,3,'5\"'),
(1160,4,'5\"'),
(1160,5,'5\"'),
(1161,1,'10\"'),
(1161,2,'10\"'),
(1161,3,'10\"'),
(1161,4,'10\"'),
(1161,5,'10\"'),
(1162,1,'15\"'),
(1162,2,'15\"'),
(1162,3,'15\"'),
(1162,4,'15\"'),
(1162,5,'15\"'),
(1163,1,'5 kg'),
(1163,2,'5 kg'),
(1163,3,'5 kg'),
(1163,4,'5 kg'),
(1163,5,'5 kg'),
(1164,1,'M'),
(1164,2,'M'),
(1164,3,'M'),
(1164,4,'M'),
(1164,5,'M'),
(1165,1,'10\"'),
(1165,2,'10\"'),
(1165,3,'10\"'),
(1165,4,'10\"'),
(1165,5,'10\"'),
(1166,1,'15\"'),
(1166,2,'15\"'),
(1166,3,'15\"'),
(1166,4,'15\"'),
(1166,5,'15\"'),
(1167,1,'10\"'),
(1167,2,'10\"'),
(1167,3,'10\"'),
(1167,4,'10\"'),
(1167,5,'10\"'),
(1168,1,'0.5 kg'),
(1168,2,'0.5 kg'),
(1168,3,'0.5 kg'),
(1168,4,'0.5 kg'),
(1168,5,'0.5 kg'),
(1169,1,'L'),
(1169,2,'L'),
(1169,3,'L'),
(1169,4,'L'),
(1169,5,'L'),
(1170,1,'15\"'),
(1170,2,'15\"'),
(1170,3,'15\"'),
(1170,4,'15\"'),
(1170,5,'15\"'),
(1171,1,'5\"'),
(1171,2,'5\"'),
(1171,3,'5\"'),
(1171,4,'5\"'),
(1171,5,'5\"'),
(1172,1,'15\"'),
(1172,2,'15\"'),
(1172,3,'15\"'),
(1172,4,'15\"'),
(1172,5,'15\"'),
(1173,1,'1 kg'),
(1173,2,'1 kg'),
(1173,3,'1 kg'),
(1173,4,'1 kg'),
(1173,5,'1 kg'),
(1174,1,'XL'),
(1174,2,'XL'),
(1174,3,'XL'),
(1174,4,'XL'),
(1174,5,'XL'),
(1175,1,'5\"'),
(1175,2,'5\"'),
(1175,3,'5\"'),
(1175,4,'5\"'),
(1175,5,'5\"'),
(1176,1,'10\"'),
(1176,2,'10\"'),
(1176,3,'10\"'),
(1176,4,'10\"'),
(1176,5,'10\"'),
(1177,1,'5\"'),
(1177,2,'5\"'),
(1177,3,'5\"'),
(1177,4,'5\"'),
(1177,5,'5\"'),
(1178,1,'0.3 kg'),
(1178,2,'0.3 kg'),
(1178,3,'0.3 kg'),
(1178,4,'0.3 kg'),
(1178,5,'0.3 kg'),
(1179,1,'XXL'),
(1179,2,'XXL'),
(1179,3,'XXL'),
(1179,4,'XXL'),
(1179,5,'XXL'),
(1180,1,'5\"'),
(1180,2,'5\"'),
(1180,3,'5\"'),
(1180,4,'5\"'),
(1180,5,'5\"'),
(1181,1,'15\"'),
(1181,2,'15\"'),
(1181,3,'15\"'),
(1181,4,'15\"'),
(1181,5,'15\"'),
(1182,1,'10\"'),
(1182,2,'10\"'),
(1182,3,'10\"'),
(1182,4,'10\"'),
(1182,5,'10\"'),
(1183,1,'2 kg'),
(1183,2,'2 kg'),
(1183,3,'2 kg'),
(1183,4,'2 kg'),
(1183,5,'2 kg'),
(1184,1,'L'),
(1184,2,'L'),
(1184,3,'L'),
(1184,4,'L'),
(1184,5,'L'),
(1185,1,'10\"'),
(1185,2,'10\"'),
(1185,3,'10\"'),
(1185,4,'10\"'),
(1185,5,'10\"'),
(1186,1,'10\"'),
(1186,2,'10\"'),
(1186,3,'10\"'),
(1186,4,'10\"'),
(1186,5,'10\"'),
(1187,1,'10\"'),
(1187,2,'10\"'),
(1187,3,'10\"'),
(1187,4,'10\"'),
(1187,5,'10\"'),
(1188,1,'0.5 kg'),
(1188,2,'0.5 kg'),
(1188,3,'0.5 kg'),
(1188,4,'0.5 kg'),
(1188,5,'0.5 kg'),
(1189,1,'XL'),
(1189,2,'XL'),
(1189,3,'XL'),
(1189,4,'XL'),
(1189,5,'XL'),
(1190,1,'15\"'),
(1190,2,'15\"'),
(1190,3,'15\"'),
(1190,4,'15\"'),
(1190,5,'15\"'),
(1191,1,'15\"'),
(1191,2,'15\"'),
(1191,3,'15\"'),
(1191,4,'15\"'),
(1191,5,'15\"'),
(1192,1,'15\"'),
(1192,2,'15\"'),
(1192,3,'15\"'),
(1192,4,'15\"'),
(1192,5,'15\"'),
(1193,1,'1 kg'),
(1193,2,'1 kg'),
(1193,3,'1 kg'),
(1193,4,'1 kg'),
(1193,5,'1 kg'),
(1194,1,'M'),
(1194,2,'M'),
(1194,3,'M'),
(1194,4,'M'),
(1194,5,'M'),
(1195,1,'15\"'),
(1195,2,'15\"'),
(1195,3,'15\"'),
(1195,4,'15\"'),
(1195,5,'15\"'),
(1196,1,'10\"'),
(1196,2,'10\"'),
(1196,3,'10\"'),
(1196,4,'10\"'),
(1196,5,'10\"'),
(1197,1,'15\"'),
(1197,2,'15\"'),
(1197,3,'15\"'),
(1197,4,'15\"'),
(1197,5,'15\"'),
(1198,1,'2 kg'),
(1198,2,'2 kg'),
(1198,3,'2 kg'),
(1198,4,'2 kg'),
(1198,5,'2 kg'),
(1199,1,'XL'),
(1199,2,'XL'),
(1199,3,'XL'),
(1199,4,'XL'),
(1199,5,'XL'),
(1200,1,'5\"'),
(1200,2,'5\"'),
(1200,3,'5\"'),
(1200,4,'5\"'),
(1200,5,'5\"'),
(1201,1,'15\"'),
(1201,2,'15\"'),
(1201,3,'15\"'),
(1201,4,'15\"'),
(1201,5,'15\"'),
(1202,1,'5\"'),
(1202,2,'5\"'),
(1202,3,'5\"'),
(1202,4,'5\"'),
(1202,5,'5\"'),
(1203,1,'3 kg'),
(1203,2,'3 kg'),
(1203,3,'3 kg'),
(1203,4,'3 kg'),
(1203,5,'3 kg'),
(1204,1,'M'),
(1204,2,'M'),
(1204,3,'M'),
(1204,4,'M'),
(1204,5,'M'),
(1205,1,'5\"'),
(1205,2,'5\"'),
(1205,3,'5\"'),
(1205,4,'5\"'),
(1205,5,'5\"'),
(1206,1,'10\"'),
(1206,2,'10\"'),
(1206,3,'10\"'),
(1206,4,'10\"'),
(1206,5,'10\"'),
(1207,1,'15\"'),
(1207,2,'15\"'),
(1207,3,'15\"'),
(1207,4,'15\"'),
(1207,5,'15\"'),
(1208,1,'5 kg'),
(1208,2,'5 kg'),
(1208,3,'5 kg'),
(1208,4,'5 kg'),
(1208,5,'5 kg'),
(1209,1,'M'),
(1209,2,'M'),
(1209,3,'M'),
(1209,4,'M'),
(1209,5,'M'),
(1210,1,'10\"'),
(1210,2,'10\"'),
(1210,3,'10\"'),
(1210,4,'10\"'),
(1210,5,'10\"'),
(1211,1,'15\"'),
(1211,2,'15\"'),
(1211,3,'15\"'),
(1211,4,'15\"'),
(1211,5,'15\"'),
(1212,1,'10\"'),
(1212,2,'10\"'),
(1212,3,'10\"'),
(1212,4,'10\"'),
(1212,5,'10\"'),
(1213,1,'0.5 kg'),
(1213,2,'0.5 kg'),
(1213,3,'0.5 kg'),
(1213,4,'0.5 kg'),
(1213,5,'0.5 kg'),
(1214,1,'L'),
(1214,2,'L'),
(1214,3,'L'),
(1214,4,'L'),
(1214,5,'L'),
(1215,1,'15\"'),
(1215,2,'15\"'),
(1215,3,'15\"'),
(1215,4,'15\"'),
(1215,5,'15\"'),
(1216,1,'5\"'),
(1216,2,'5\"'),
(1216,3,'5\"'),
(1216,4,'5\"'),
(1216,5,'5\"'),
(1217,1,'15\"'),
(1217,2,'15\"'),
(1217,3,'15\"'),
(1217,4,'15\"'),
(1217,5,'15\"'),
(1218,1,'1 kg'),
(1218,2,'1 kg'),
(1218,3,'1 kg'),
(1218,4,'1 kg'),
(1218,5,'1 kg'),
(1219,1,'XL'),
(1219,2,'XL'),
(1219,3,'XL'),
(1219,4,'XL'),
(1219,5,'XL'),
(1220,1,'5\"'),
(1220,2,'5\"'),
(1220,3,'5\"'),
(1220,4,'5\"'),
(1220,5,'5\"'),
(1221,1,'10\"'),
(1221,2,'10\"'),
(1221,3,'10\"'),
(1221,4,'10\"'),
(1221,5,'10\"'),
(1222,1,'5\"'),
(1222,2,'5\"'),
(1222,3,'5\"'),
(1222,4,'5\"'),
(1222,5,'5\"'),
(1223,1,'0.3 kg'),
(1223,2,'0.3 kg'),
(1223,3,'0.3 kg'),
(1223,4,'0.3 kg'),
(1223,5,'0.3 kg'),
(1224,1,'XXL'),
(1224,2,'XXL'),
(1224,3,'XXL'),
(1224,4,'XXL'),
(1224,5,'XXL'),
(1225,1,'10\"'),
(1225,2,'10\"'),
(1225,3,'10\"'),
(1225,4,'10\"'),
(1225,5,'10\"'),
(1226,1,'15\"'),
(1226,2,'15\"'),
(1226,3,'15\"'),
(1226,4,'15\"'),
(1226,5,'15\"'),
(1227,1,'10\"'),
(1227,2,'10\"'),
(1227,3,'10\"'),
(1227,4,'10\"'),
(1227,5,'10\"'),
(1228,1,'2 kg'),
(1228,2,'2 kg'),
(1228,3,'2 kg'),
(1228,4,'2 kg'),
(1228,5,'2 kg'),
(1229,1,'L'),
(1229,2,'L'),
(1229,3,'L'),
(1229,4,'L'),
(1229,5,'L'),
(1230,1,'15\"'),
(1230,2,'15\"'),
(1230,3,'15\"'),
(1230,4,'15\"'),
(1230,5,'15\"'),
(1231,1,'10\"'),
(1231,2,'10\"'),
(1231,3,'10\"'),
(1231,4,'10\"'),
(1231,5,'10\"'),
(1232,1,'15\"'),
(1232,2,'15\"'),
(1232,3,'15\"'),
(1232,4,'15\"'),
(1232,5,'15\"'),
(1233,1,'0.5 kg'),
(1233,2,'0.5 kg'),
(1233,3,'0.5 kg'),
(1233,4,'0.5 kg'),
(1233,5,'0.5 kg'),
(1234,1,'XL'),
(1234,2,'XL'),
(1234,3,'XL'),
(1234,4,'XL'),
(1234,5,'XL'),
(1235,1,'5\"'),
(1235,2,'5\"'),
(1235,3,'5\"'),
(1235,4,'5\"'),
(1235,5,'5\"'),
(1236,1,'15\"'),
(1236,2,'15\"'),
(1236,3,'15\"'),
(1236,4,'15\"'),
(1236,5,'15\"'),
(1237,1,'10\"'),
(1237,2,'10\"'),
(1237,3,'10\"'),
(1237,4,'10\"'),
(1237,5,'10\"'),
(1238,1,'1 kg'),
(1238,2,'1 kg'),
(1238,3,'1 kg'),
(1238,4,'1 kg'),
(1238,5,'1 kg'),
(1239,1,'M'),
(1239,2,'M'),
(1239,3,'M'),
(1239,4,'M'),
(1239,5,'M'),
(1240,1,'5\"'),
(1240,2,'5\"'),
(1240,3,'5\"'),
(1240,4,'5\"'),
(1240,5,'5\"'),
(1241,1,'5\"'),
(1241,2,'5\"'),
(1241,3,'5\"'),
(1241,4,'5\"'),
(1241,5,'5\"'),
(1242,1,'15\"'),
(1242,2,'15\"'),
(1242,3,'15\"'),
(1242,4,'15\"'),
(1242,5,'15\"'),
(1243,1,'0.3 kg'),
(1243,2,'0.3 kg'),
(1243,3,'0.3 kg'),
(1243,4,'0.3 kg'),
(1243,5,'0.3 kg'),
(1244,1,'L'),
(1244,2,'L'),
(1244,3,'L'),
(1244,4,'L'),
(1244,5,'L'),
(1245,1,'10\"'),
(1245,2,'10\"'),
(1245,3,'10\"'),
(1245,4,'10\"'),
(1245,5,'10\"'),
(1246,1,'10\"'),
(1246,2,'10\"'),
(1246,3,'10\"'),
(1246,4,'10\"'),
(1246,5,'10\"'),
(1247,1,'5\"'),
(1247,2,'5\"'),
(1247,3,'5\"'),
(1247,4,'5\"'),
(1247,5,'5\"'),
(1248,1,'2 kg'),
(1248,2,'2 kg'),
(1248,3,'2 kg'),
(1248,4,'2 kg'),
(1248,5,'2 kg'),
(1249,1,'XL'),
(1249,2,'XL'),
(1249,3,'XL'),
(1249,4,'XL'),
(1249,5,'XL'),
(1250,1,'15\"'),
(1250,2,'15\"'),
(1250,3,'15\"'),
(1250,4,'15\"'),
(1250,5,'15\"'),
(1251,1,'15\"'),
(1251,2,'15\"'),
(1251,3,'15\"'),
(1251,4,'15\"'),
(1251,5,'15\"'),
(1252,1,'10\"'),
(1252,2,'10\"'),
(1252,3,'10\"'),
(1252,4,'10\"'),
(1252,5,'10\"'),
(1253,1,'3 kg'),
(1253,2,'3 kg'),
(1253,3,'3 kg'),
(1253,4,'3 kg'),
(1253,5,'3 kg'),
(1254,1,'M'),
(1254,2,'M'),
(1254,3,'M'),
(1254,4,'M'),
(1254,5,'M'),
(1255,1,'5\"'),
(1255,2,'5\"'),
(1255,3,'5\"'),
(1255,4,'5\"'),
(1255,5,'5\"'),
(1256,1,'10\"'),
(1256,2,'10\"'),
(1256,3,'10\"'),
(1256,4,'10\"'),
(1256,5,'10\"'),
(1257,1,'15\"'),
(1257,2,'15\"'),
(1257,3,'15\"'),
(1257,4,'15\"'),
(1257,5,'15\"'),
(1258,1,'5 kg'),
(1258,2,'5 kg'),
(1258,3,'5 kg'),
(1258,4,'5 kg'),
(1258,5,'5 kg'),
(1259,1,'M'),
(1259,2,'M'),
(1259,3,'M'),
(1259,4,'M'),
(1259,5,'M'),
(1260,1,'10\"'),
(1260,2,'10\"'),
(1260,3,'10\"'),
(1260,4,'10\"'),
(1260,5,'10\"'),
(1261,1,'15\"'),
(1261,2,'15\"'),
(1261,3,'15\"'),
(1261,4,'15\"'),
(1261,5,'15\"'),
(1262,1,'10\"'),
(1262,2,'10\"'),
(1262,3,'10\"'),
(1262,4,'10\"'),
(1262,5,'10\"'),
(1263,1,'0.5 kg'),
(1263,2,'0.5 kg'),
(1263,3,'0.5 kg'),
(1263,4,'0.5 kg'),
(1263,5,'0.5 kg'),
(1264,1,'L'),
(1264,2,'L'),
(1264,3,'L'),
(1264,4,'L'),
(1264,5,'L'),
(1265,1,'10\"'),
(1265,2,'10\"'),
(1265,3,'10\"'),
(1265,4,'10\"'),
(1265,5,'10\"'),
(1266,1,'10\"'),
(1266,2,'10\"'),
(1266,3,'10\"'),
(1266,4,'10\"'),
(1266,5,'10\"'),
(1267,1,'5\"'),
(1267,2,'5\"'),
(1267,3,'5\"'),
(1267,4,'5\"'),
(1267,5,'5\"'),
(1268,1,'2 kg'),
(1268,2,'2 kg'),
(1268,3,'2 kg'),
(1268,4,'2 kg'),
(1268,5,'2 kg'),
(1269,1,'M'),
(1269,2,'M'),
(1269,3,'M'),
(1269,4,'M'),
(1269,5,'M'),
(1270,1,'15\"'),
(1270,2,'15\"'),
(1270,3,'15\"'),
(1270,4,'15\"'),
(1270,5,'15\"'),
(1271,1,'15\"'),
(1271,2,'15\"'),
(1271,3,'15\"'),
(1271,4,'15\"'),
(1271,5,'15\"'),
(1272,1,'10\"'),
(1272,2,'10\"'),
(1272,3,'10\"'),
(1272,4,'10\"'),
(1272,5,'10\"'),
(1273,1,'3 kg'),
(1273,2,'3 kg'),
(1273,3,'3 kg'),
(1273,4,'3 kg'),
(1273,5,'3 kg'),
(1274,1,'L'),
(1274,2,'L'),
(1274,3,'L'),
(1274,4,'L'),
(1274,5,'L'),
(1275,1,'5\"'),
(1275,2,'5\"'),
(1275,3,'5\"'),
(1275,4,'5\"'),
(1275,5,'5\"'),
(1276,1,'10\"'),
(1276,2,'10\"'),
(1276,3,'10\"'),
(1276,4,'10\"'),
(1276,5,'10\"'),
(1277,1,'15\"'),
(1277,2,'15\"'),
(1277,3,'15\"'),
(1277,4,'15\"'),
(1277,5,'15\"'),
(1278,1,'5 kg'),
(1278,2,'5 kg'),
(1278,3,'5 kg'),
(1278,4,'5 kg'),
(1278,5,'5 kg'),
(1279,1,'XL'),
(1279,2,'XL'),
(1279,3,'XL'),
(1279,4,'XL'),
(1279,5,'XL'),
(1280,1,'10\"'),
(1280,2,'10\"'),
(1280,3,'10\"'),
(1280,4,'10\"'),
(1280,5,'10\"'),
(1281,1,'15\"'),
(1281,2,'15\"'),
(1281,3,'15\"'),
(1281,4,'15\"'),
(1281,5,'15\"'),
(1282,1,'10\"'),
(1282,2,'10\"'),
(1282,3,'10\"'),
(1282,4,'10\"'),
(1282,5,'10\"'),
(1283,1,'0.5 kg'),
(1283,2,'0.5 kg'),
(1283,3,'0.5 kg'),
(1283,4,'0.5 kg'),
(1283,5,'0.5 kg'),
(1284,1,'XXL'),
(1284,2,'XXL'),
(1284,3,'XXL'),
(1284,4,'XXL'),
(1284,5,'XXL'),
(1285,1,'15\"'),
(1285,2,'15\"'),
(1285,3,'15\"'),
(1285,4,'15\"'),
(1285,5,'15\"'),
(1286,1,'5\"'),
(1286,2,'5\"'),
(1286,3,'5\"'),
(1286,4,'5\"'),
(1286,5,'5\"'),
(1287,1,'15\"'),
(1287,2,'15\"'),
(1287,3,'15\"'),
(1287,4,'15\"'),
(1287,5,'15\"'),
(1288,1,'1 kg'),
(1288,2,'1 kg'),
(1288,3,'1 kg'),
(1288,4,'1 kg'),
(1288,5,'1 kg'),
(1289,1,'L'),
(1289,2,'L'),
(1289,3,'L'),
(1289,4,'L'),
(1289,5,'L'),
(1290,1,'5\"'),
(1290,2,'5\"'),
(1290,3,'5\"'),
(1290,4,'5\"'),
(1290,5,'5\"'),
(1291,1,'10\"'),
(1291,2,'10\"'),
(1291,3,'10\"'),
(1291,4,'10\"'),
(1291,5,'10\"'),
(1292,1,'5\"'),
(1292,2,'5\"'),
(1292,3,'5\"'),
(1292,4,'5\"'),
(1292,5,'5\"'),
(1293,1,'0.3 kg'),
(1293,2,'0.3 kg'),
(1293,3,'0.3 kg'),
(1293,4,'0.3 kg'),
(1293,5,'0.3 kg'),
(1294,1,'XL'),
(1294,2,'XL'),
(1294,3,'XL'),
(1294,4,'XL'),
(1294,5,'XL'),
(1295,1,'5\"'),
(1295,2,'5\"'),
(1295,3,'5\"'),
(1295,4,'5\"'),
(1295,5,'5\"'),
(1296,1,'5\"'),
(1296,2,'5\"'),
(1296,3,'5\"'),
(1296,4,'5\"'),
(1296,5,'5\"'),
(1297,1,'15\"'),
(1297,2,'15\"'),
(1297,3,'15\"'),
(1297,4,'15\"'),
(1297,5,'15\"'),
(1298,1,'0.3 kg'),
(1298,2,'0.3 kg'),
(1298,3,'0.3 kg'),
(1298,4,'0.3 kg'),
(1298,5,'0.3 kg'),
(1299,1,'L'),
(1299,2,'L'),
(1299,3,'L'),
(1299,4,'L'),
(1299,5,'L'),
(1300,1,'10\"'),
(1300,2,'10\"'),
(1300,3,'10\"'),
(1300,4,'10\"'),
(1300,5,'10\"'),
(1301,1,'10\"'),
(1301,2,'10\"'),
(1301,3,'10\"'),
(1301,4,'10\"'),
(1301,5,'10\"'),
(1302,1,'5\"'),
(1302,2,'5\"'),
(1302,3,'5\"'),
(1302,4,'5\"'),
(1302,5,'5\"'),
(1303,1,'2 kg'),
(1303,2,'2 kg'),
(1303,3,'2 kg'),
(1303,4,'2 kg'),
(1303,5,'2 kg'),
(1304,1,'XL'),
(1304,2,'XL'),
(1304,3,'XL'),
(1304,4,'XL'),
(1304,5,'XL'),
(1305,1,'15\"'),
(1305,2,'15\"'),
(1305,3,'15\"'),
(1305,4,'15\"'),
(1305,5,'15\"'),
(1306,1,'15\"'),
(1306,2,'15\"'),
(1306,3,'15\"'),
(1306,4,'15\"'),
(1306,5,'15\"'),
(1307,1,'10\"'),
(1307,2,'10\"'),
(1307,3,'10\"'),
(1307,4,'10\"'),
(1307,5,'10\"'),
(1308,1,'3 kg'),
(1308,2,'3 kg'),
(1308,3,'3 kg'),
(1308,4,'3 kg'),
(1308,5,'3 kg'),
(1309,1,'M'),
(1309,2,'M'),
(1309,3,'M'),
(1309,4,'M'),
(1309,5,'M'),
(1310,1,'5\"'),
(1310,2,'5\"'),
(1310,3,'5\"'),
(1310,4,'5\"'),
(1310,5,'5\"'),
(1311,1,'10\"'),
(1311,2,'10\"'),
(1311,3,'10\"'),
(1311,4,'10\"'),
(1311,5,'10\"'),
(1312,1,'15\"'),
(1312,2,'15\"'),
(1312,3,'15\"'),
(1312,4,'15\"'),
(1312,5,'15\"'),
(1313,1,'5 kg'),
(1313,2,'5 kg'),
(1313,3,'5 kg'),
(1313,4,'5 kg'),
(1313,5,'5 kg'),
(1314,1,'M'),
(1314,2,'M'),
(1314,3,'M'),
(1314,4,'M'),
(1314,5,'M'),
(1315,1,'10\"'),
(1315,2,'10\"'),
(1315,3,'10\"'),
(1315,4,'10\"'),
(1315,5,'10\"'),
(1316,1,'15\"'),
(1316,2,'15\"'),
(1316,3,'15\"'),
(1316,4,'15\"'),
(1316,5,'15\"'),
(1317,1,'10\"'),
(1317,2,'10\"'),
(1317,3,'10\"'),
(1317,4,'10\"'),
(1317,5,'10\"'),
(1318,1,'0.5 kg'),
(1318,2,'0.5 kg'),
(1318,3,'0.5 kg'),
(1318,4,'0.5 kg'),
(1318,5,'0.5 kg'),
(1319,1,'L'),
(1319,2,'L'),
(1319,3,'L'),
(1319,4,'L'),
(1319,5,'L'),
(1320,1,'15\"'),
(1320,2,'15\"'),
(1320,3,'15\"'),
(1320,4,'15\"'),
(1320,5,'15\"'),
(1321,1,'5\"'),
(1321,2,'5\"'),
(1321,3,'5\"'),
(1321,4,'5\"'),
(1321,5,'5\"'),
(1322,1,'15\"'),
(1322,2,'15\"'),
(1322,3,'15\"'),
(1322,4,'15\"'),
(1322,5,'15\"'),
(1323,1,'1 kg'),
(1323,2,'1 kg'),
(1323,3,'1 kg'),
(1323,4,'1 kg'),
(1323,5,'1 kg'),
(1324,1,'XL'),
(1324,2,'XL'),
(1324,3,'XL'),
(1324,4,'XL'),
(1324,5,'XL'),
(1325,1,'5\"'),
(1325,2,'5\"'),
(1325,3,'5\"'),
(1325,4,'5\"'),
(1325,5,'5\"'),
(1326,1,'10\"'),
(1326,2,'10\"'),
(1326,3,'10\"'),
(1326,4,'10\"'),
(1326,5,'10\"'),
(1327,1,'5\"'),
(1327,2,'5\"'),
(1327,3,'5\"'),
(1327,4,'5\"'),
(1327,5,'5\"'),
(1328,1,'0.3 kg'),
(1328,2,'0.3 kg'),
(1328,3,'0.3 kg'),
(1328,4,'0.3 kg'),
(1328,5,'0.3 kg'),
(1329,1,'XXL'),
(1329,2,'XXL'),
(1329,3,'XXL'),
(1329,4,'XXL'),
(1329,5,'XXL'),
(1330,1,'10\"'),
(1330,2,'10\"'),
(1330,3,'10\"'),
(1330,4,'10\"'),
(1330,5,'10\"'),
(1331,1,'15\"'),
(1331,2,'15\"'),
(1331,3,'15\"'),
(1331,4,'15\"'),
(1331,5,'15\"'),
(1332,1,'10\"'),
(1332,2,'10\"'),
(1332,3,'10\"'),
(1332,4,'10\"'),
(1332,5,'10\"'),
(1333,1,'2 kg'),
(1333,2,'2 kg'),
(1333,3,'2 kg'),
(1333,4,'2 kg'),
(1333,5,'2 kg'),
(1334,1,'L'),
(1334,2,'L'),
(1334,3,'L'),
(1334,4,'L'),
(1334,5,'L'),
(1335,1,'15\"'),
(1335,2,'15\"'),
(1335,3,'15\"'),
(1335,4,'15\"'),
(1335,5,'15\"'),
(1336,1,'10\"'),
(1336,2,'10\"'),
(1336,3,'10\"'),
(1336,4,'10\"'),
(1336,5,'10\"'),
(1337,1,'15\"'),
(1337,2,'15\"'),
(1337,3,'15\"'),
(1337,4,'15\"'),
(1337,5,'15\"'),
(1338,1,'0.5 kg'),
(1338,2,'0.5 kg'),
(1338,3,'0.5 kg'),
(1338,4,'0.5 kg'),
(1338,5,'0.5 kg'),
(1339,1,'XL'),
(1339,2,'XL'),
(1339,3,'XL'),
(1339,4,'XL'),
(1339,5,'XL'),
(1340,1,'5\"'),
(1340,2,'5\"'),
(1340,3,'5\"'),
(1340,4,'5\"'),
(1340,5,'5\"'),
(1341,1,'15\"'),
(1341,2,'15\"'),
(1341,3,'15\"'),
(1341,4,'15\"'),
(1341,5,'15\"'),
(1342,1,'10\"'),
(1342,2,'10\"'),
(1342,3,'10\"'),
(1342,4,'10\"'),
(1342,5,'10\"'),
(1343,1,'1 kg'),
(1343,2,'1 kg'),
(1343,3,'1 kg'),
(1343,4,'1 kg'),
(1343,5,'1 kg'),
(1344,1,'M'),
(1344,2,'M'),
(1344,3,'M'),
(1344,4,'M'),
(1344,5,'M'),
(1345,1,'5\"'),
(1345,2,'5\"'),
(1345,3,'5\"'),
(1345,4,'5\"'),
(1345,5,'5\"'),
(1346,1,'5\"'),
(1346,2,'5\"'),
(1346,3,'5\"'),
(1346,4,'5\"'),
(1346,5,'5\"'),
(1347,1,'15\"'),
(1347,2,'15\"'),
(1347,3,'15\"'),
(1347,4,'15\"'),
(1347,5,'15\"'),
(1348,1,'0.3 kg'),
(1348,2,'0.3 kg'),
(1348,3,'0.3 kg'),
(1348,4,'0.3 kg'),
(1348,5,'0.3 kg'),
(1349,1,'L'),
(1349,2,'L'),
(1349,3,'L'),
(1349,4,'L'),
(1349,5,'L'),
(1350,1,'10\"'),
(1350,2,'10\"'),
(1350,3,'10\"'),
(1350,4,'10\"'),
(1350,5,'10\"'),
(1351,1,'10\"'),
(1351,2,'10\"'),
(1351,3,'10\"'),
(1351,4,'10\"'),
(1351,5,'10\"'),
(1352,1,'5\"'),
(1352,2,'5\"'),
(1352,3,'5\"'),
(1352,4,'5\"'),
(1352,5,'5\"'),
(1353,1,'2 kg'),
(1353,2,'2 kg'),
(1353,3,'2 kg'),
(1353,4,'2 kg'),
(1353,5,'2 kg'),
(1354,1,'XL'),
(1354,2,'XL'),
(1354,3,'XL'),
(1354,4,'XL'),
(1354,5,'XL'),
(1355,1,'15\"'),
(1355,2,'15\"'),
(1355,3,'15\"'),
(1355,4,'15\"'),
(1355,5,'15\"'),
(1356,1,'15\"'),
(1356,2,'15\"'),
(1356,3,'15\"'),
(1356,4,'15\"'),
(1356,5,'15\"'),
(1357,1,'10\"'),
(1357,2,'10\"'),
(1357,3,'10\"'),
(1357,4,'10\"'),
(1357,5,'10\"'),
(1358,1,'3 kg'),
(1358,2,'3 kg'),
(1358,3,'3 kg'),
(1358,4,'3 kg'),
(1358,5,'3 kg'),
(1359,1,'M'),
(1359,2,'M'),
(1359,3,'M'),
(1359,4,'M'),
(1359,5,'M'),
(1360,1,'5\"'),
(1360,2,'5\"'),
(1360,3,'5\"'),
(1360,4,'5\"'),
(1360,5,'5\"'),
(1361,1,'10\"'),
(1361,2,'10\"'),
(1361,3,'10\"'),
(1361,4,'10\"'),
(1361,5,'10\"'),
(1362,1,'15\"'),
(1362,2,'15\"'),
(1362,3,'15\"'),
(1362,4,'15\"'),
(1362,5,'15\"'),
(1363,1,'5 kg'),
(1363,2,'5 kg'),
(1363,3,'5 kg'),
(1363,4,'5 kg'),
(1363,5,'5 kg'),
(1364,1,'M'),
(1364,2,'M'),
(1364,3,'M'),
(1364,4,'M'),
(1364,5,'M'),
(1365,1,'10\"'),
(1365,2,'10\"'),
(1365,3,'10\"'),
(1365,4,'10\"'),
(1365,5,'10\"'),
(1366,1,'15\"'),
(1366,2,'15\"'),
(1366,3,'15\"'),
(1366,4,'15\"'),
(1366,5,'15\"'),
(1367,1,'10\"'),
(1367,2,'10\"'),
(1367,3,'10\"'),
(1367,4,'10\"'),
(1367,5,'10\"'),
(1368,1,'0.5 kg'),
(1368,2,'0.5 kg'),
(1368,3,'0.5 kg'),
(1368,4,'0.5 kg'),
(1368,5,'0.5 kg'),
(1369,1,'L'),
(1369,2,'L'),
(1369,3,'L'),
(1369,4,'L'),
(1369,5,'L'),
(1370,1,'15\"'),
(1370,2,'15\"'),
(1370,3,'15\"'),
(1370,4,'15\"'),
(1370,5,'15\"'),
(1371,1,'5\"'),
(1371,2,'5\"'),
(1371,3,'5\"'),
(1371,4,'5\"'),
(1371,5,'5\"'),
(1372,1,'15\"'),
(1372,2,'15\"'),
(1372,3,'15\"'),
(1372,4,'15\"'),
(1372,5,'15\"'),
(1373,1,'1 kg'),
(1373,2,'1 kg'),
(1373,3,'1 kg'),
(1373,4,'1 kg'),
(1373,5,'1 kg'),
(1374,1,'XL'),
(1374,2,'XL'),
(1374,3,'XL'),
(1374,4,'XL'),
(1374,5,'XL'),
(1375,1,'5\"'),
(1375,2,'5\"'),
(1375,3,'5\"'),
(1375,4,'5\"'),
(1375,5,'5\"'),
(1376,1,'10\"'),
(1376,2,'10\"'),
(1376,3,'10\"'),
(1376,4,'10\"'),
(1376,5,'10\"'),
(1377,1,'5\"'),
(1377,2,'5\"'),
(1377,3,'5\"'),
(1377,4,'5\"'),
(1377,5,'5\"'),
(1378,1,'0.3 kg'),
(1378,2,'0.3 kg'),
(1378,3,'0.3 kg'),
(1378,4,'0.3 kg'),
(1378,5,'0.3 kg'),
(1379,1,'XXL'),
(1379,2,'XXL'),
(1379,3,'XXL'),
(1379,4,'XXL'),
(1379,5,'XXL'),
(1380,1,'5\"'),
(1380,2,'5\"'),
(1380,3,'5\"'),
(1380,4,'5\"'),
(1380,5,'5\"'),
(1381,1,'15\"'),
(1381,2,'15\"'),
(1381,3,'15\"'),
(1381,4,'15\"'),
(1381,5,'15\"'),
(1382,1,'10\"'),
(1382,2,'10\"'),
(1382,3,'10\"'),
(1382,4,'10\"'),
(1382,5,'10\"'),
(1383,1,'2 kg'),
(1383,2,'2 kg'),
(1383,3,'2 kg'),
(1383,4,'2 kg'),
(1383,5,'2 kg'),
(1384,1,'L'),
(1384,2,'L'),
(1384,3,'L'),
(1384,4,'L'),
(1384,5,'L'),
(1385,1,'10\"'),
(1385,2,'10\"'),
(1385,3,'10\"'),
(1385,4,'10\"'),
(1385,5,'10\"'),
(1386,1,'10\"'),
(1386,2,'10\"'),
(1386,3,'10\"'),
(1386,4,'10\"'),
(1386,5,'10\"'),
(1387,1,'10\"'),
(1387,2,'10\"'),
(1387,3,'10\"'),
(1387,4,'10\"'),
(1387,5,'10\"'),
(1388,1,'0.5 kg'),
(1388,2,'0.5 kg'),
(1388,3,'0.5 kg'),
(1388,4,'0.5 kg'),
(1388,5,'0.5 kg'),
(1389,1,'XL'),
(1389,2,'XL'),
(1389,3,'XL'),
(1389,4,'XL'),
(1389,5,'XL'),
(1390,1,'15\"'),
(1390,2,'15\"'),
(1390,3,'15\"'),
(1390,4,'15\"'),
(1390,5,'15\"'),
(1391,1,'15\"'),
(1391,2,'15\"'),
(1391,3,'15\"'),
(1391,4,'15\"'),
(1391,5,'15\"'),
(1392,1,'15\"'),
(1392,2,'15\"'),
(1392,3,'15\"'),
(1392,4,'15\"'),
(1392,5,'15\"'),
(1393,1,'1 kg'),
(1393,2,'1 kg'),
(1393,3,'1 kg'),
(1393,4,'1 kg'),
(1393,5,'1 kg'),
(1394,1,'M'),
(1394,2,'M'),
(1394,3,'M'),
(1394,4,'M'),
(1394,5,'M'),
(1395,1,'15\"'),
(1395,2,'15\"'),
(1395,3,'15\"'),
(1395,4,'15\"'),
(1395,5,'15\"'),
(1396,1,'10\"'),
(1396,2,'10\"'),
(1396,3,'10\"'),
(1396,4,'10\"'),
(1396,5,'10\"'),
(1397,1,'15\"'),
(1397,2,'15\"'),
(1397,3,'15\"'),
(1397,4,'15\"'),
(1397,5,'15\"'),
(1398,1,'2 kg'),
(1398,2,'2 kg'),
(1398,3,'2 kg'),
(1398,4,'2 kg'),
(1398,5,'2 kg'),
(1399,1,'XL'),
(1399,2,'XL'),
(1399,3,'XL'),
(1399,4,'XL'),
(1399,5,'XL'),
(1400,1,'5\"'),
(1400,2,'5\"'),
(1400,3,'5\"'),
(1400,4,'5\"'),
(1400,5,'5\"'),
(1401,1,'15\"'),
(1401,2,'15\"'),
(1401,3,'15\"'),
(1401,4,'15\"'),
(1401,5,'15\"'),
(1402,1,'5\"'),
(1402,2,'5\"'),
(1402,3,'5\"'),
(1402,4,'5\"'),
(1402,5,'5\"'),
(1403,1,'3 kg'),
(1403,2,'3 kg'),
(1403,3,'3 kg'),
(1403,4,'3 kg'),
(1403,5,'3 kg'),
(1404,1,'M'),
(1404,2,'M'),
(1404,3,'M'),
(1404,4,'M'),
(1404,5,'M'),
(1405,1,'5\"'),
(1405,2,'5\"'),
(1405,3,'5\"'),
(1405,4,'5\"'),
(1405,5,'5\"'),
(1406,1,'10\"'),
(1406,2,'10\"'),
(1406,3,'10\"'),
(1406,4,'10\"'),
(1406,5,'10\"'),
(1407,1,'15\"'),
(1407,2,'15\"'),
(1407,3,'15\"'),
(1407,4,'15\"'),
(1407,5,'15\"'),
(1408,1,'5 kg'),
(1408,2,'5 kg'),
(1408,3,'5 kg'),
(1408,4,'5 kg'),
(1408,5,'5 kg'),
(1409,1,'M'),
(1409,2,'M'),
(1409,3,'M'),
(1409,4,'M'),
(1409,5,'M'),
(1410,1,'10\"'),
(1410,2,'10\"'),
(1410,3,'10\"'),
(1410,4,'10\"'),
(1410,5,'10\"'),
(1411,1,'15\"'),
(1411,2,'15\"'),
(1411,3,'15\"'),
(1411,4,'15\"'),
(1411,5,'15\"'),
(1412,1,'10\"'),
(1412,2,'10\"'),
(1412,3,'10\"'),
(1412,4,'10\"'),
(1412,5,'10\"'),
(1413,1,'0.5 kg'),
(1413,2,'0.5 kg'),
(1413,3,'0.5 kg'),
(1413,4,'0.5 kg'),
(1413,5,'0.5 kg'),
(1414,1,'L'),
(1414,2,'L'),
(1414,3,'L'),
(1414,4,'L'),
(1414,5,'L'),
(1415,1,'15\"'),
(1415,2,'15\"'),
(1415,3,'15\"'),
(1415,4,'15\"'),
(1415,5,'15\"'),
(1416,1,'5\"'),
(1416,2,'5\"'),
(1416,3,'5\"'),
(1416,4,'5\"'),
(1416,5,'5\"'),
(1417,1,'15\"'),
(1417,2,'15\"'),
(1417,3,'15\"'),
(1417,4,'15\"'),
(1417,5,'15\"'),
(1418,1,'1 kg'),
(1418,2,'1 kg'),
(1418,3,'1 kg'),
(1418,4,'1 kg'),
(1418,5,'1 kg'),
(1419,1,'XL'),
(1419,2,'XL'),
(1419,3,'XL'),
(1419,4,'XL'),
(1419,5,'XL'),
(1420,1,'5\"'),
(1420,2,'5\"'),
(1420,3,'5\"'),
(1420,4,'5\"'),
(1420,5,'5\"'),
(1421,1,'10\"'),
(1421,2,'10\"'),
(1421,3,'10\"'),
(1421,4,'10\"'),
(1421,5,'10\"'),
(1422,1,'5\"'),
(1422,2,'5\"'),
(1422,3,'5\"'),
(1422,4,'5\"'),
(1422,5,'5\"'),
(1423,1,'0.3 kg'),
(1423,2,'0.3 kg'),
(1423,3,'0.3 kg'),
(1423,4,'0.3 kg'),
(1423,5,'0.3 kg'),
(1424,1,'XXL'),
(1424,2,'XXL'),
(1424,3,'XXL'),
(1424,4,'XXL'),
(1424,5,'XXL'),
(1425,1,'10\"'),
(1425,2,'10\"'),
(1425,3,'10\"'),
(1425,4,'10\"'),
(1425,5,'10\"'),
(1426,1,'15\"'),
(1426,2,'15\"'),
(1426,3,'15\"'),
(1426,4,'15\"'),
(1426,5,'15\"'),
(1427,1,'10\"'),
(1427,2,'10\"'),
(1427,3,'10\"'),
(1427,4,'10\"'),
(1427,5,'10\"'),
(1428,1,'2 kg'),
(1428,2,'2 kg'),
(1428,3,'2 kg'),
(1428,4,'2 kg'),
(1428,5,'2 kg'),
(1429,1,'L'),
(1429,2,'L'),
(1429,3,'L'),
(1429,4,'L'),
(1429,5,'L'),
(1430,1,'15\"'),
(1430,2,'15\"'),
(1430,3,'15\"'),
(1430,4,'15\"'),
(1430,5,'15\"'),
(1431,1,'10\"'),
(1431,2,'10\"'),
(1431,3,'10\"'),
(1431,4,'10\"'),
(1431,5,'10\"'),
(1432,1,'15\"'),
(1432,2,'15\"'),
(1432,3,'15\"'),
(1432,4,'15\"'),
(1432,5,'15\"'),
(1433,1,'0.5 kg'),
(1433,2,'0.5 kg'),
(1433,3,'0.5 kg'),
(1433,4,'0.5 kg'),
(1433,5,'0.5 kg'),
(1434,1,'XL'),
(1434,2,'XL'),
(1434,3,'XL'),
(1434,4,'XL'),
(1434,5,'XL'),
(1435,1,'5\"'),
(1435,2,'5\"'),
(1435,3,'5\"'),
(1435,4,'5\"'),
(1435,5,'5\"'),
(1436,1,'15\"'),
(1436,2,'15\"'),
(1436,3,'15\"'),
(1436,4,'15\"'),
(1436,5,'15\"'),
(1437,1,'10\"'),
(1437,2,'10\"'),
(1437,3,'10\"'),
(1437,4,'10\"'),
(1437,5,'10\"'),
(1438,1,'1 kg'),
(1438,2,'1 kg'),
(1438,3,'1 kg'),
(1438,4,'1 kg'),
(1438,5,'1 kg'),
(1439,1,'M'),
(1439,2,'M'),
(1439,3,'M'),
(1439,4,'M'),
(1439,5,'M'),
(1440,1,'5\"'),
(1440,2,'5\"'),
(1440,3,'5\"'),
(1440,4,'5\"'),
(1440,5,'5\"'),
(1441,1,'5\"'),
(1441,2,'5\"'),
(1441,3,'5\"'),
(1441,4,'5\"'),
(1441,5,'5\"'),
(1442,1,'15\"'),
(1442,2,'15\"'),
(1442,3,'15\"'),
(1442,4,'15\"'),
(1442,5,'15\"'),
(1443,1,'0.3 kg'),
(1443,2,'0.3 kg'),
(1443,3,'0.3 kg'),
(1443,4,'0.3 kg'),
(1443,5,'0.3 kg'),
(1444,1,'L'),
(1444,2,'L'),
(1444,3,'L'),
(1444,4,'L'),
(1444,5,'L'),
(1445,1,'10\"'),
(1445,2,'10\"'),
(1445,3,'10\"'),
(1445,4,'10\"'),
(1445,5,'10\"'),
(1446,1,'10\"'),
(1446,2,'10\"'),
(1446,3,'10\"'),
(1446,4,'10\"'),
(1446,5,'10\"'),
(1447,1,'5\"'),
(1447,2,'5\"'),
(1447,3,'5\"'),
(1447,4,'5\"'),
(1447,5,'5\"'),
(1448,1,'2 kg'),
(1448,2,'2 kg'),
(1448,3,'2 kg'),
(1448,4,'2 kg'),
(1448,5,'2 kg'),
(1449,1,'XL'),
(1449,2,'XL'),
(1449,3,'XL'),
(1449,4,'XL'),
(1449,5,'XL'),
(1450,1,'15\"'),
(1450,2,'15\"'),
(1450,3,'15\"'),
(1450,4,'15\"'),
(1450,5,'15\"'),
(1451,1,'15\"'),
(1451,2,'15\"'),
(1451,3,'15\"'),
(1451,4,'15\"'),
(1451,5,'15\"'),
(1452,1,'10\"'),
(1452,2,'10\"'),
(1452,3,'10\"'),
(1452,4,'10\"'),
(1452,5,'10\"'),
(1453,1,'3 kg'),
(1453,2,'3 kg'),
(1453,3,'3 kg'),
(1453,4,'3 kg'),
(1453,5,'3 kg'),
(1454,1,'M'),
(1454,2,'M'),
(1454,3,'M'),
(1454,4,'M'),
(1454,5,'M'),
(1455,1,'5\"'),
(1455,2,'5\"'),
(1455,3,'5\"'),
(1455,4,'5\"'),
(1455,5,'5\"'),
(1456,1,'10\"'),
(1456,2,'10\"'),
(1456,3,'10\"'),
(1456,4,'10\"'),
(1456,5,'10\"'),
(1457,1,'15\"'),
(1457,2,'15\"'),
(1457,3,'15\"'),
(1457,4,'15\"'),
(1457,5,'15\"'),
(1458,1,'5 kg'),
(1458,2,'5 kg'),
(1458,3,'5 kg'),
(1458,4,'5 kg'),
(1458,5,'5 kg'),
(1459,1,'M'),
(1459,2,'M'),
(1459,3,'M'),
(1459,4,'M'),
(1459,5,'M'),
(1460,1,'10\"'),
(1460,2,'10\"'),
(1460,3,'10\"'),
(1460,4,'10\"'),
(1460,5,'10\"'),
(1461,1,'15\"'),
(1461,2,'15\"'),
(1461,3,'15\"'),
(1461,4,'15\"'),
(1461,5,'15\"'),
(1462,1,'10\"'),
(1462,2,'10\"'),
(1462,3,'10\"'),
(1462,4,'10\"'),
(1462,5,'10\"'),
(1463,1,'0.5 kg'),
(1463,2,'0.5 kg'),
(1463,3,'0.5 kg'),
(1463,4,'0.5 kg'),
(1463,5,'0.5 kg'),
(1464,1,'L'),
(1464,2,'L'),
(1464,3,'L'),
(1464,4,'L'),
(1464,5,'L'),
(1465,1,'10\"'),
(1465,2,'10\"'),
(1465,3,'10\"'),
(1465,4,'10\"'),
(1465,5,'10\"'),
(1466,1,'10\"'),
(1466,2,'10\"'),
(1466,3,'10\"'),
(1466,4,'10\"'),
(1466,5,'10\"'),
(1467,1,'5\"'),
(1467,2,'5\"'),
(1467,3,'5\"'),
(1467,4,'5\"'),
(1467,5,'5\"'),
(1468,1,'2 kg'),
(1468,2,'2 kg'),
(1468,3,'2 kg'),
(1468,4,'2 kg'),
(1468,5,'2 kg'),
(1469,1,'M'),
(1469,2,'M'),
(1469,3,'M'),
(1469,4,'M'),
(1469,5,'M'),
(1470,1,'15\"'),
(1470,2,'15\"'),
(1470,3,'15\"'),
(1470,4,'15\"'),
(1470,5,'15\"'),
(1471,1,'15\"'),
(1471,2,'15\"'),
(1471,3,'15\"'),
(1471,4,'15\"'),
(1471,5,'15\"'),
(1472,1,'10\"'),
(1472,2,'10\"'),
(1472,3,'10\"'),
(1472,4,'10\"'),
(1472,5,'10\"'),
(1473,1,'3 kg'),
(1473,2,'3 kg'),
(1473,3,'3 kg'),
(1473,4,'3 kg'),
(1473,5,'3 kg'),
(1474,1,'L'),
(1474,2,'L'),
(1474,3,'L'),
(1474,4,'L'),
(1474,5,'L'),
(1475,1,'5\"'),
(1475,2,'5\"'),
(1475,3,'5\"'),
(1475,4,'5\"'),
(1475,5,'5\"'),
(1476,1,'10\"'),
(1476,2,'10\"'),
(1476,3,'10\"'),
(1476,4,'10\"'),
(1476,5,'10\"'),
(1477,1,'15\"'),
(1477,2,'15\"'),
(1477,3,'15\"'),
(1477,4,'15\"'),
(1477,5,'15\"'),
(1478,1,'5 kg'),
(1478,2,'5 kg'),
(1478,3,'5 kg'),
(1478,4,'5 kg'),
(1478,5,'5 kg'),
(1479,1,'XL'),
(1479,2,'XL'),
(1479,3,'XL'),
(1479,4,'XL'),
(1479,5,'XL'),
(1480,1,'10\"'),
(1480,2,'10\"'),
(1480,3,'10\"'),
(1480,4,'10\"'),
(1480,5,'10\"'),
(1481,1,'15\"'),
(1481,2,'15\"'),
(1481,3,'15\"'),
(1481,4,'15\"'),
(1481,5,'15\"'),
(1482,1,'10\"'),
(1482,2,'10\"'),
(1482,3,'10\"'),
(1482,4,'10\"'),
(1482,5,'10\"'),
(1483,1,'0.5 kg'),
(1483,2,'0.5 kg'),
(1483,3,'0.5 kg'),
(1483,4,'0.5 kg'),
(1483,5,'0.5 kg'),
(1484,1,'XXL'),
(1484,2,'XXL'),
(1484,3,'XXL'),
(1484,4,'XXL'),
(1484,5,'XXL'),
(1485,1,'15\"'),
(1485,2,'15\"'),
(1485,3,'15\"'),
(1485,4,'15\"'),
(1485,5,'15\"'),
(1486,1,'5\"'),
(1486,2,'5\"'),
(1486,3,'5\"'),
(1486,4,'5\"'),
(1486,5,'5\"'),
(1487,1,'15\"'),
(1487,2,'15\"'),
(1487,3,'15\"'),
(1487,4,'15\"'),
(1487,5,'15\"'),
(1488,1,'1 kg'),
(1488,2,'1 kg'),
(1488,3,'1 kg'),
(1488,4,'1 kg'),
(1488,5,'1 kg'),
(1489,1,'L'),
(1489,2,'L'),
(1489,3,'L'),
(1489,4,'L'),
(1489,5,'L'),
(1490,1,'5\"'),
(1490,2,'5\"'),
(1490,3,'5\"'),
(1490,4,'5\"'),
(1490,5,'5\"'),
(1491,1,'10\"'),
(1491,2,'10\"'),
(1491,3,'10\"'),
(1491,4,'10\"'),
(1491,5,'10\"'),
(1492,1,'5\"'),
(1492,2,'5\"'),
(1492,3,'5\"'),
(1492,4,'5\"'),
(1492,5,'5\"'),
(1493,1,'0.3 kg'),
(1493,2,'0.3 kg'),
(1493,3,'0.3 kg'),
(1493,4,'0.3 kg'),
(1493,5,'0.3 kg'),
(1494,1,'XL'),
(1494,2,'XL'),
(1494,3,'XL'),
(1494,4,'XL'),
(1494,5,'XL'),
(1495,1,'5\"'),
(1495,2,'5\"'),
(1495,3,'5\"'),
(1495,4,'5\"'),
(1495,5,'5\"'),
(1496,1,'5\"'),
(1496,2,'5\"'),
(1496,3,'5\"'),
(1496,4,'5\"'),
(1496,5,'5\"'),
(1497,1,'15\"'),
(1497,2,'15\"'),
(1497,3,'15\"'),
(1497,4,'15\"'),
(1497,5,'15\"'),
(1498,1,'0.3 kg'),
(1498,2,'0.3 kg'),
(1498,3,'0.3 kg'),
(1498,4,'0.3 kg'),
(1498,5,'0.3 kg'),
(1499,1,'L'),
(1499,2,'L'),
(1499,3,'L'),
(1499,4,'L'),
(1499,5,'L'),
(1500,1,'10\"'),
(1500,2,'10\"'),
(1500,3,'10\"'),
(1500,4,'10\"'),
(1500,5,'10\"'),
(1501,1,'10\"'),
(1501,2,'10\"'),
(1501,3,'10\"'),
(1501,4,'10\"'),
(1501,5,'10\"'),
(1502,1,'5\"'),
(1502,2,'5\"'),
(1502,3,'5\"'),
(1502,4,'5\"'),
(1502,5,'5\"'),
(1503,1,'2 kg'),
(1503,2,'2 kg'),
(1503,3,'2 kg'),
(1503,4,'2 kg'),
(1503,5,'2 kg'),
(1504,1,'XL'),
(1504,2,'XL'),
(1504,3,'XL'),
(1504,4,'XL'),
(1504,5,'XL'),
(1505,1,'15\"'),
(1505,2,'15\"'),
(1505,3,'15\"'),
(1505,4,'15\"'),
(1505,5,'15\"'),
(1506,1,'15\"'),
(1506,2,'15\"'),
(1506,3,'15\"'),
(1506,4,'15\"'),
(1506,5,'15\"'),
(1507,1,'10\"'),
(1507,2,'10\"'),
(1507,3,'10\"'),
(1507,4,'10\"'),
(1507,5,'10\"'),
(1508,1,'3 kg'),
(1508,2,'3 kg'),
(1508,3,'3 kg'),
(1508,4,'3 kg'),
(1508,5,'3 kg'),
(1509,1,'M'),
(1509,2,'M'),
(1509,3,'M'),
(1509,4,'M'),
(1509,5,'M'),
(1510,1,'5\"'),
(1510,2,'5\"'),
(1510,3,'5\"'),
(1510,4,'5\"'),
(1510,5,'5\"'),
(1511,1,'10\"'),
(1511,2,'10\"'),
(1511,3,'10\"'),
(1511,4,'10\"'),
(1511,5,'10\"'),
(1512,1,'15\"'),
(1512,2,'15\"'),
(1512,3,'15\"'),
(1512,4,'15\"'),
(1512,5,'15\"'),
(1513,1,'5 kg'),
(1513,2,'5 kg'),
(1513,3,'5 kg'),
(1513,4,'5 kg'),
(1513,5,'5 kg'),
(1514,1,'M'),
(1514,2,'M'),
(1514,3,'M'),
(1514,4,'M'),
(1514,5,'M'),
(1515,1,'10\"'),
(1515,2,'10\"'),
(1515,3,'10\"'),
(1515,4,'10\"'),
(1515,5,'10\"'),
(1516,1,'15\"'),
(1516,2,'15\"'),
(1516,3,'15\"'),
(1516,4,'15\"'),
(1516,5,'15\"'),
(1517,1,'10\"'),
(1517,2,'10\"'),
(1517,3,'10\"'),
(1517,4,'10\"'),
(1517,5,'10\"'),
(1518,1,'0.5 kg'),
(1518,2,'0.5 kg'),
(1518,3,'0.5 kg'),
(1518,4,'0.5 kg'),
(1518,5,'0.5 kg'),
(1519,1,'L'),
(1519,2,'L'),
(1519,3,'L'),
(1519,4,'L'),
(1519,5,'L'),
(1520,1,'15\"'),
(1520,2,'15\"'),
(1520,3,'15\"'),
(1520,4,'15\"'),
(1520,5,'15\"'),
(1521,1,'5\"'),
(1521,2,'5\"'),
(1521,3,'5\"'),
(1521,4,'5\"'),
(1521,5,'5\"'),
(1522,1,'15\"'),
(1522,2,'15\"'),
(1522,3,'15\"'),
(1522,4,'15\"'),
(1522,5,'15\"'),
(1523,1,'1 kg'),
(1523,2,'1 kg'),
(1523,3,'1 kg'),
(1523,4,'1 kg'),
(1523,5,'1 kg'),
(1524,1,'XL'),
(1524,2,'XL'),
(1524,3,'XL'),
(1524,4,'XL'),
(1524,5,'XL'),
(1525,1,'5\"'),
(1525,2,'5\"'),
(1525,3,'5\"'),
(1525,4,'5\"'),
(1525,5,'5\"'),
(1526,1,'10\"'),
(1526,2,'10\"'),
(1526,3,'10\"'),
(1526,4,'10\"'),
(1526,5,'10\"'),
(1527,1,'5\"'),
(1527,2,'5\"'),
(1527,3,'5\"'),
(1527,4,'5\"'),
(1527,5,'5\"'),
(1528,1,'0.3 kg'),
(1528,2,'0.3 kg'),
(1528,3,'0.3 kg'),
(1528,4,'0.3 kg'),
(1528,5,'0.3 kg'),
(1529,1,'XXL'),
(1529,2,'XXL'),
(1529,3,'XXL'),
(1529,4,'XXL'),
(1529,5,'XXL'),
(1530,1,'10\"'),
(1530,2,'10\"'),
(1530,3,'10\"'),
(1530,4,'10\"'),
(1530,5,'10\"'),
(1531,1,'15\"'),
(1531,2,'15\"'),
(1531,3,'15\"'),
(1531,4,'15\"'),
(1531,5,'15\"'),
(1532,1,'10\"'),
(1532,2,'10\"'),
(1532,3,'10\"'),
(1532,4,'10\"'),
(1532,5,'10\"'),
(1533,1,'2 kg'),
(1533,2,'2 kg'),
(1533,3,'2 kg'),
(1533,4,'2 kg'),
(1533,5,'2 kg'),
(1534,1,'L'),
(1534,2,'L'),
(1534,3,'L'),
(1534,4,'L'),
(1534,5,'L'),
(1535,1,'15\"'),
(1535,2,'15\"'),
(1535,3,'15\"'),
(1535,4,'15\"'),
(1535,5,'15\"'),
(1536,1,'10\"'),
(1536,2,'10\"'),
(1536,3,'10\"'),
(1536,4,'10\"'),
(1536,5,'10\"'),
(1537,1,'15\"'),
(1537,2,'15\"'),
(1537,3,'15\"'),
(1537,4,'15\"'),
(1537,5,'15\"'),
(1538,1,'0.5 kg'),
(1538,2,'0.5 kg'),
(1538,3,'0.5 kg'),
(1538,4,'0.5 kg'),
(1538,5,'0.5 kg'),
(1539,1,'XL'),
(1539,2,'XL'),
(1539,3,'XL'),
(1539,4,'XL'),
(1539,5,'XL'),
(1540,1,'5\"'),
(1540,2,'5\"'),
(1540,3,'5\"'),
(1540,4,'5\"'),
(1540,5,'5\"'),
(1541,1,'15\"'),
(1541,2,'15\"'),
(1541,3,'15\"'),
(1541,4,'15\"'),
(1541,5,'15\"'),
(1542,1,'10\"'),
(1542,2,'10\"'),
(1542,3,'10\"'),
(1542,4,'10\"'),
(1542,5,'10\"'),
(1543,1,'1 kg'),
(1543,2,'1 kg'),
(1543,3,'1 kg'),
(1543,4,'1 kg'),
(1543,5,'1 kg'),
(1544,1,'M'),
(1544,2,'M'),
(1544,3,'M'),
(1544,4,'M'),
(1544,5,'M'),
(1545,1,'5\"'),
(1545,2,'5\"'),
(1545,3,'5\"'),
(1545,4,'5\"'),
(1545,5,'5\"'),
(1546,1,'5\"'),
(1546,2,'5\"'),
(1546,3,'5\"'),
(1546,4,'5\"'),
(1546,5,'5\"'),
(1547,1,'15\"'),
(1547,2,'15\"'),
(1547,3,'15\"'),
(1547,4,'15\"'),
(1547,5,'15\"'),
(1548,1,'0.3 kg'),
(1548,2,'0.3 kg'),
(1548,3,'0.3 kg'),
(1548,4,'0.3 kg'),
(1548,5,'0.3 kg'),
(1549,1,'L'),
(1549,2,'L'),
(1549,3,'L'),
(1549,4,'L'),
(1549,5,'L'),
(1550,1,'10\"'),
(1550,2,'10\"'),
(1550,3,'10\"'),
(1550,4,'10\"'),
(1550,5,'10\"'),
(1551,1,'10\"'),
(1551,2,'10\"'),
(1551,3,'10\"'),
(1551,4,'10\"'),
(1551,5,'10\"'),
(1552,1,'5\"'),
(1552,2,'5\"'),
(1552,3,'5\"'),
(1552,4,'5\"'),
(1552,5,'5\"'),
(1553,1,'2 kg'),
(1553,2,'2 kg'),
(1553,3,'2 kg'),
(1553,4,'2 kg'),
(1553,5,'2 kg'),
(1554,1,'XL'),
(1554,2,'XL'),
(1554,3,'XL'),
(1554,4,'XL'),
(1554,5,'XL'),
(1555,1,'15\"'),
(1555,2,'15\"'),
(1555,3,'15\"'),
(1555,4,'15\"'),
(1555,5,'15\"'),
(1556,1,'15\"'),
(1556,2,'15\"'),
(1556,3,'15\"'),
(1556,4,'15\"'),
(1556,5,'15\"'),
(1557,1,'10\"'),
(1557,2,'10\"'),
(1557,3,'10\"'),
(1557,4,'10\"'),
(1557,5,'10\"'),
(1558,1,'3 kg'),
(1558,2,'3 kg'),
(1558,3,'3 kg'),
(1558,4,'3 kg'),
(1558,5,'3 kg'),
(1559,1,'M'),
(1559,2,'M'),
(1559,3,'M'),
(1559,4,'M'),
(1559,5,'M'),
(1560,1,'5\"'),
(1560,2,'5\"'),
(1560,3,'5\"'),
(1560,4,'5\"'),
(1560,5,'5\"'),
(1561,1,'10\"'),
(1561,2,'10\"'),
(1561,3,'10\"'),
(1561,4,'10\"'),
(1561,5,'10\"'),
(1562,1,'15\"'),
(1562,2,'15\"'),
(1562,3,'15\"'),
(1562,4,'15\"'),
(1562,5,'15\"'),
(1563,1,'5 kg'),
(1563,2,'5 kg'),
(1563,3,'5 kg'),
(1563,4,'5 kg'),
(1563,5,'5 kg'),
(1564,1,'M'),
(1564,2,'M'),
(1564,3,'M'),
(1564,4,'M'),
(1564,5,'M'),
(1565,1,'10\"'),
(1565,2,'10\"'),
(1565,3,'10\"'),
(1565,4,'10\"'),
(1565,5,'10\"'),
(1566,1,'15\"'),
(1566,2,'15\"'),
(1566,3,'15\"'),
(1566,4,'15\"'),
(1566,5,'15\"'),
(1567,1,'10\"'),
(1567,2,'10\"'),
(1567,3,'10\"'),
(1567,4,'10\"'),
(1567,5,'10\"'),
(1568,1,'0.5 kg'),
(1568,2,'0.5 kg'),
(1568,3,'0.5 kg'),
(1568,4,'0.5 kg'),
(1568,5,'0.5 kg'),
(1569,1,'L'),
(1569,2,'L'),
(1569,3,'L'),
(1569,4,'L'),
(1569,5,'L'),
(1570,1,'15\"'),
(1570,2,'15\"'),
(1570,3,'15\"'),
(1570,4,'15\"'),
(1570,5,'15\"'),
(1571,1,'5\"'),
(1571,2,'5\"'),
(1571,3,'5\"'),
(1571,4,'5\"'),
(1571,5,'5\"'),
(1572,1,'15\"'),
(1572,2,'15\"'),
(1572,3,'15\"'),
(1572,4,'15\"'),
(1572,5,'15\"'),
(1573,1,'1 kg'),
(1573,2,'1 kg'),
(1573,3,'1 kg'),
(1573,4,'1 kg'),
(1573,5,'1 kg'),
(1574,1,'XL'),
(1574,2,'XL'),
(1574,3,'XL'),
(1574,4,'XL'),
(1574,5,'XL'),
(1575,1,'5\"'),
(1575,2,'5\"'),
(1575,3,'5\"'),
(1575,4,'5\"'),
(1575,5,'5\"'),
(1576,1,'10\"'),
(1576,2,'10\"'),
(1576,3,'10\"'),
(1576,4,'10\"'),
(1576,5,'10\"'),
(1577,1,'5\"'),
(1577,2,'5\"'),
(1577,3,'5\"'),
(1577,4,'5\"'),
(1577,5,'5\"'),
(1578,1,'0.3 kg'),
(1578,2,'0.3 kg'),
(1578,3,'0.3 kg'),
(1578,4,'0.3 kg'),
(1578,5,'0.3 kg'),
(1579,1,'XXL'),
(1579,2,'XXL'),
(1579,3,'XXL'),
(1579,4,'XXL'),
(1579,5,'XXL'),
(1580,1,'5\"'),
(1580,2,'5\"'),
(1580,3,'5\"'),
(1580,4,'5\"'),
(1580,5,'5\"'),
(1581,1,'15\"'),
(1581,2,'15\"'),
(1581,3,'15\"'),
(1581,4,'15\"'),
(1581,5,'15\"'),
(1582,1,'10\"'),
(1582,2,'10\"'),
(1582,3,'10\"'),
(1582,4,'10\"'),
(1582,5,'10\"'),
(1583,1,'2 kg'),
(1583,2,'2 kg'),
(1583,3,'2 kg'),
(1583,4,'2 kg'),
(1583,5,'2 kg'),
(1584,1,'L'),
(1584,2,'L'),
(1584,3,'L'),
(1584,4,'L'),
(1584,5,'L'),
(1585,1,'10\"'),
(1585,2,'10\"'),
(1585,3,'10\"'),
(1585,4,'10\"'),
(1585,5,'10\"'),
(1586,1,'10\"'),
(1586,2,'10\"'),
(1586,3,'10\"'),
(1586,4,'10\"'),
(1586,5,'10\"'),
(1587,1,'10\"'),
(1587,2,'10\"'),
(1587,3,'10\"'),
(1587,4,'10\"'),
(1587,5,'10\"'),
(1588,1,'0.5 kg'),
(1588,2,'0.5 kg'),
(1588,3,'0.5 kg'),
(1588,4,'0.5 kg'),
(1588,5,'0.5 kg'),
(1589,1,'XL'),
(1589,2,'XL'),
(1589,3,'XL'),
(1589,4,'XL'),
(1589,5,'XL'),
(1590,1,'15\"'),
(1590,2,'15\"'),
(1590,3,'15\"'),
(1590,4,'15\"'),
(1590,5,'15\"'),
(1591,1,'15\"'),
(1591,2,'15\"'),
(1591,3,'15\"'),
(1591,4,'15\"'),
(1591,5,'15\"'),
(1592,1,'15\"'),
(1592,2,'15\"'),
(1592,3,'15\"'),
(1592,4,'15\"'),
(1592,5,'15\"'),
(1593,1,'1 kg'),
(1593,2,'1 kg'),
(1593,3,'1 kg'),
(1593,4,'1 kg'),
(1593,5,'1 kg'),
(1594,1,'M'),
(1594,2,'M'),
(1594,3,'M'),
(1594,4,'M'),
(1594,5,'M'),
(1595,1,'15\"'),
(1595,2,'15\"'),
(1595,3,'15\"'),
(1595,4,'15\"'),
(1595,5,'15\"'),
(1596,1,'10\"'),
(1596,2,'10\"'),
(1596,3,'10\"'),
(1596,4,'10\"'),
(1596,5,'10\"'),
(1597,1,'15\"'),
(1597,2,'15\"'),
(1597,3,'15\"'),
(1597,4,'15\"'),
(1597,5,'15\"'),
(1598,1,'2 kg'),
(1598,2,'2 kg'),
(1598,3,'2 kg'),
(1598,4,'2 kg'),
(1598,5,'2 kg'),
(1599,1,'XL'),
(1599,2,'XL'),
(1599,3,'XL'),
(1599,4,'XL'),
(1599,5,'XL'),
(1600,1,'5\"'),
(1600,2,'5\"'),
(1600,3,'5\"'),
(1600,4,'5\"'),
(1600,5,'5\"'),
(1601,1,'15\"'),
(1601,2,'15\"'),
(1601,3,'15\"'),
(1601,4,'15\"'),
(1601,5,'15\"'),
(1602,1,'5\"'),
(1602,2,'5\"'),
(1602,3,'5\"'),
(1602,4,'5\"'),
(1602,5,'5\"'),
(1603,1,'3 kg'),
(1603,2,'3 kg'),
(1603,3,'3 kg'),
(1603,4,'3 kg'),
(1603,5,'3 kg'),
(1604,1,'M'),
(1604,2,'M'),
(1604,3,'M'),
(1604,4,'M'),
(1604,5,'M'),
(1605,1,'5\"'),
(1605,2,'5\"'),
(1605,3,'5\"'),
(1605,4,'5\"'),
(1605,5,'5\"'),
(1606,1,'10\"'),
(1606,2,'10\"'),
(1606,3,'10\"'),
(1606,4,'10\"'),
(1606,5,'10\"'),
(1607,1,'15\"'),
(1607,2,'15\"'),
(1607,3,'15\"'),
(1607,4,'15\"'),
(1607,5,'15\"'),
(1608,1,'5 kg'),
(1608,2,'5 kg'),
(1608,3,'5 kg'),
(1608,4,'5 kg'),
(1608,5,'5 kg'),
(1609,1,'M'),
(1609,2,'M'),
(1609,3,'M'),
(1609,4,'M'),
(1609,5,'M'),
(1610,1,'10\"'),
(1610,2,'10\"'),
(1610,3,'10\"'),
(1610,4,'10\"'),
(1610,5,'10\"'),
(1611,1,'15\"'),
(1611,2,'15\"'),
(1611,3,'15\"'),
(1611,4,'15\"'),
(1611,5,'15\"'),
(1612,1,'10\"'),
(1612,2,'10\"'),
(1612,3,'10\"'),
(1612,4,'10\"'),
(1612,5,'10\"'),
(1613,1,'0.5 kg'),
(1613,2,'0.5 kg'),
(1613,3,'0.5 kg'),
(1613,4,'0.5 kg'),
(1613,5,'0.5 kg'),
(1614,1,'L'),
(1614,2,'L'),
(1614,3,'L'),
(1614,4,'L'),
(1614,5,'L'),
(1615,1,'15\"'),
(1615,2,'15\"'),
(1615,3,'15\"'),
(1615,4,'15\"'),
(1615,5,'15\"'),
(1616,1,'5\"'),
(1616,2,'5\"'),
(1616,3,'5\"'),
(1616,4,'5\"'),
(1616,5,'5\"'),
(1617,1,'15\"'),
(1617,2,'15\"'),
(1617,3,'15\"'),
(1617,4,'15\"'),
(1617,5,'15\"'),
(1618,1,'1 kg'),
(1618,2,'1 kg'),
(1618,3,'1 kg'),
(1618,4,'1 kg'),
(1618,5,'1 kg'),
(1619,1,'XL'),
(1619,2,'XL'),
(1619,3,'XL'),
(1619,4,'XL'),
(1619,5,'XL'),
(1620,1,'5\"'),
(1620,2,'5\"'),
(1620,3,'5\"'),
(1620,4,'5\"'),
(1620,5,'5\"'),
(1621,1,'10\"'),
(1621,2,'10\"'),
(1621,3,'10\"'),
(1621,4,'10\"'),
(1621,5,'10\"'),
(1622,1,'5\"'),
(1622,2,'5\"'),
(1622,3,'5\"'),
(1622,4,'5\"'),
(1622,5,'5\"'),
(1623,1,'0.3 kg'),
(1623,2,'0.3 kg'),
(1623,3,'0.3 kg'),
(1623,4,'0.3 kg'),
(1623,5,'0.3 kg'),
(1624,1,'XXL'),
(1624,2,'XXL'),
(1624,3,'XXL'),
(1624,4,'XXL'),
(1624,5,'XXL'),
(1625,1,'10\"'),
(1625,2,'10\"'),
(1625,3,'10\"'),
(1625,4,'10\"'),
(1625,5,'10\"'),
(1626,1,'15\"'),
(1626,2,'15\"'),
(1626,3,'15\"'),
(1626,4,'15\"'),
(1626,5,'15\"'),
(1627,1,'10\"'),
(1627,2,'10\"'),
(1627,3,'10\"'),
(1627,4,'10\"'),
(1627,5,'10\"'),
(1628,1,'2 kg'),
(1628,2,'2 kg'),
(1628,3,'2 kg'),
(1628,4,'2 kg'),
(1628,5,'2 kg'),
(1629,1,'L'),
(1629,2,'L'),
(1629,3,'L'),
(1629,4,'L'),
(1629,5,'L'),
(1630,1,'15\"'),
(1630,2,'15\"'),
(1630,3,'15\"'),
(1630,4,'15\"'),
(1630,5,'15\"'),
(1631,1,'10\"'),
(1631,2,'10\"'),
(1631,3,'10\"'),
(1631,4,'10\"'),
(1631,5,'10\"'),
(1632,1,'15\"'),
(1632,2,'15\"'),
(1632,3,'15\"'),
(1632,4,'15\"'),
(1632,5,'15\"'),
(1633,1,'0.5 kg'),
(1633,2,'0.5 kg'),
(1633,3,'0.5 kg'),
(1633,4,'0.5 kg'),
(1633,5,'0.5 kg'),
(1634,1,'XL'),
(1634,2,'XL'),
(1634,3,'XL'),
(1634,4,'XL'),
(1634,5,'XL'),
(1635,1,'5\"'),
(1635,2,'5\"'),
(1635,3,'5\"'),
(1635,4,'5\"'),
(1635,5,'5\"'),
(1636,1,'15\"'),
(1636,2,'15\"'),
(1636,3,'15\"'),
(1636,4,'15\"'),
(1636,5,'15\"'),
(1637,1,'10\"'),
(1637,2,'10\"'),
(1637,3,'10\"'),
(1637,4,'10\"'),
(1637,5,'10\"'),
(1638,1,'1 kg'),
(1638,2,'1 kg'),
(1638,3,'1 kg'),
(1638,4,'1 kg'),
(1638,5,'1 kg'),
(1639,1,'M'),
(1639,2,'M'),
(1639,3,'M'),
(1639,4,'M'),
(1639,5,'M'),
(1640,1,'5\"'),
(1640,2,'5\"'),
(1640,3,'5\"'),
(1640,4,'5\"'),
(1640,5,'5\"'),
(1641,1,'5\"'),
(1641,2,'5\"'),
(1641,3,'5\"'),
(1641,4,'5\"'),
(1641,5,'5\"'),
(1642,1,'15\"'),
(1642,2,'15\"'),
(1642,3,'15\"'),
(1642,4,'15\"'),
(1642,5,'15\"'),
(1643,1,'0.3 kg'),
(1643,2,'0.3 kg'),
(1643,3,'0.3 kg'),
(1643,4,'0.3 kg'),
(1643,5,'0.3 kg'),
(1644,1,'L'),
(1644,2,'L'),
(1644,3,'L'),
(1644,4,'L'),
(1644,5,'L'),
(1645,1,'10\"'),
(1645,2,'10\"'),
(1645,3,'10\"'),
(1645,4,'10\"'),
(1645,5,'10\"'),
(1646,1,'10\"'),
(1646,2,'10\"'),
(1646,3,'10\"'),
(1646,4,'10\"'),
(1646,5,'10\"'),
(1647,1,'5\"'),
(1647,2,'5\"'),
(1647,3,'5\"'),
(1647,4,'5\"'),
(1647,5,'5\"'),
(1648,1,'2 kg'),
(1648,2,'2 kg'),
(1648,3,'2 kg'),
(1648,4,'2 kg'),
(1648,5,'2 kg'),
(1649,1,'XL'),
(1649,2,'XL'),
(1649,3,'XL'),
(1649,4,'XL'),
(1649,5,'XL'),
(1650,1,'15\"'),
(1650,2,'15\"'),
(1650,3,'15\"'),
(1650,4,'15\"'),
(1650,5,'15\"'),
(1651,1,'15\"'),
(1651,2,'15\"'),
(1651,3,'15\"'),
(1651,4,'15\"'),
(1651,5,'15\"'),
(1652,1,'10\"'),
(1652,2,'10\"'),
(1652,3,'10\"'),
(1652,4,'10\"'),
(1652,5,'10\"'),
(1653,1,'3 kg'),
(1653,2,'3 kg'),
(1653,3,'3 kg'),
(1653,4,'3 kg'),
(1653,5,'3 kg'),
(1654,1,'M'),
(1654,2,'M'),
(1654,3,'M'),
(1654,4,'M'),
(1654,5,'M'),
(1655,1,'5\"'),
(1655,2,'5\"'),
(1655,3,'5\"'),
(1655,4,'5\"'),
(1655,5,'5\"'),
(1656,1,'10\"'),
(1656,2,'10\"'),
(1656,3,'10\"'),
(1656,4,'10\"'),
(1656,5,'10\"'),
(1657,1,'15\"'),
(1657,2,'15\"'),
(1657,3,'15\"'),
(1657,4,'15\"'),
(1657,5,'15\"'),
(1658,1,'5 kg'),
(1658,2,'5 kg'),
(1658,3,'5 kg'),
(1658,4,'5 kg'),
(1658,5,'5 kg'),
(1659,1,'M'),
(1659,2,'M'),
(1659,3,'M'),
(1659,4,'M'),
(1659,5,'M'),
(1660,1,'10\"'),
(1660,2,'10\"'),
(1660,3,'10\"'),
(1660,4,'10\"'),
(1660,5,'10\"'),
(1661,1,'15\"'),
(1661,2,'15\"'),
(1661,3,'15\"'),
(1661,4,'15\"'),
(1661,5,'15\"'),
(1662,1,'10\"'),
(1662,2,'10\"'),
(1662,3,'10\"'),
(1662,4,'10\"'),
(1662,5,'10\"'),
(1663,1,'0.5 kg'),
(1663,2,'0.5 kg'),
(1663,3,'0.5 kg'),
(1663,4,'0.5 kg'),
(1663,5,'0.5 kg'),
(1664,1,'L'),
(1664,2,'L'),
(1664,3,'L'),
(1664,4,'L'),
(1664,5,'L'),
(1665,1,'10\"'),
(1665,2,'10\"'),
(1665,3,'10\"'),
(1665,4,'10\"'),
(1665,5,'10\"'),
(1666,1,'10\"'),
(1666,2,'10\"'),
(1666,3,'10\"'),
(1666,4,'10\"'),
(1666,5,'10\"'),
(1667,1,'5\"'),
(1667,2,'5\"'),
(1667,3,'5\"'),
(1667,4,'5\"'),
(1667,5,'5\"'),
(1668,1,'2 kg'),
(1668,2,'2 kg'),
(1668,3,'2 kg'),
(1668,4,'2 kg'),
(1668,5,'2 kg'),
(1669,1,'M'),
(1669,2,'M'),
(1669,3,'M'),
(1669,4,'M'),
(1669,5,'M'),
(1670,1,'15\"'),
(1670,2,'15\"'),
(1670,3,'15\"'),
(1670,4,'15\"'),
(1670,5,'15\"'),
(1671,1,'15\"'),
(1671,2,'15\"'),
(1671,3,'15\"'),
(1671,4,'15\"'),
(1671,5,'15\"'),
(1672,1,'10\"'),
(1672,2,'10\"'),
(1672,3,'10\"'),
(1672,4,'10\"'),
(1672,5,'10\"'),
(1673,1,'3 kg'),
(1673,2,'3 kg'),
(1673,3,'3 kg'),
(1673,4,'3 kg'),
(1673,5,'3 kg'),
(1674,1,'L'),
(1674,2,'L'),
(1674,3,'L'),
(1674,4,'L'),
(1674,5,'L'),
(1675,1,'5\"'),
(1675,2,'5\"'),
(1675,3,'5\"'),
(1675,4,'5\"'),
(1675,5,'5\"'),
(1676,1,'10\"'),
(1676,2,'10\"'),
(1676,3,'10\"'),
(1676,4,'10\"'),
(1676,5,'10\"'),
(1677,1,'15\"'),
(1677,2,'15\"'),
(1677,3,'15\"'),
(1677,4,'15\"'),
(1677,5,'15\"'),
(1678,1,'5 kg'),
(1678,2,'5 kg'),
(1678,3,'5 kg'),
(1678,4,'5 kg'),
(1678,5,'5 kg'),
(1679,1,'XL'),
(1679,2,'XL'),
(1679,3,'XL'),
(1679,4,'XL'),
(1679,5,'XL'),
(1680,1,'10\"'),
(1680,2,'10\"'),
(1680,3,'10\"'),
(1680,4,'10\"'),
(1680,5,'10\"'),
(1681,1,'15\"'),
(1681,2,'15\"'),
(1681,3,'15\"'),
(1681,4,'15\"'),
(1681,5,'15\"'),
(1682,1,'10\"'),
(1682,2,'10\"'),
(1682,3,'10\"'),
(1682,4,'10\"'),
(1682,5,'10\"'),
(1683,1,'0.5 kg'),
(1683,2,'0.5 kg'),
(1683,3,'0.5 kg'),
(1683,4,'0.5 kg'),
(1683,5,'0.5 kg'),
(1684,1,'XXL'),
(1684,2,'XXL'),
(1684,3,'XXL'),
(1684,4,'XXL'),
(1684,5,'XXL'),
(1685,1,'15\"'),
(1685,2,'15\"'),
(1685,3,'15\"'),
(1685,4,'15\"'),
(1685,5,'15\"'),
(1686,1,'5\"'),
(1686,2,'5\"'),
(1686,3,'5\"'),
(1686,4,'5\"'),
(1686,5,'5\"'),
(1687,1,'15\"'),
(1687,2,'15\"'),
(1687,3,'15\"'),
(1687,4,'15\"'),
(1687,5,'15\"'),
(1688,1,'1 kg'),
(1688,2,'1 kg'),
(1688,3,'1 kg'),
(1688,4,'1 kg'),
(1688,5,'1 kg'),
(1689,1,'L'),
(1689,2,'L'),
(1689,3,'L'),
(1689,4,'L'),
(1689,5,'L'),
(1690,1,'5\"'),
(1690,2,'5\"'),
(1690,3,'5\"'),
(1690,4,'5\"'),
(1690,5,'5\"'),
(1691,1,'10\"'),
(1691,2,'10\"'),
(1691,3,'10\"'),
(1691,4,'10\"'),
(1691,5,'10\"'),
(1692,1,'5\"'),
(1692,2,'5\"'),
(1692,3,'5\"'),
(1692,4,'5\"'),
(1692,5,'5\"'),
(1693,1,'0.3 kg'),
(1693,2,'0.3 kg'),
(1693,3,'0.3 kg'),
(1693,4,'0.3 kg'),
(1693,5,'0.3 kg'),
(1694,1,'XL'),
(1694,2,'XL'),
(1694,3,'XL'),
(1694,4,'XL'),
(1694,5,'XL'),
(1695,1,'5\"'),
(1695,2,'5\"'),
(1695,3,'5\"'),
(1695,4,'5\"'),
(1695,5,'5\"'),
(1696,1,'5\"'),
(1696,2,'5\"'),
(1696,3,'5\"'),
(1696,4,'5\"'),
(1696,5,'5\"'),
(1697,1,'15\"'),
(1697,2,'15\"'),
(1697,3,'15\"'),
(1697,4,'15\"'),
(1697,5,'15\"'),
(1698,1,'0.3 kg'),
(1698,2,'0.3 kg'),
(1698,3,'0.3 kg'),
(1698,4,'0.3 kg'),
(1698,5,'0.3 kg'),
(1699,1,'L'),
(1699,2,'L'),
(1699,3,'L'),
(1699,4,'L'),
(1699,5,'L'),
(1700,1,'10\"'),
(1700,2,'10\"'),
(1700,3,'10\"'),
(1700,4,'10\"'),
(1700,5,'10\"'),
(1701,1,'10\"'),
(1701,2,'10\"'),
(1701,3,'10\"'),
(1701,4,'10\"'),
(1701,5,'10\"'),
(1702,1,'5\"'),
(1702,2,'5\"'),
(1702,3,'5\"'),
(1702,4,'5\"'),
(1702,5,'5\"'),
(1703,1,'2 kg'),
(1703,2,'2 kg'),
(1703,3,'2 kg'),
(1703,4,'2 kg'),
(1703,5,'2 kg'),
(1704,1,'XL'),
(1704,2,'XL'),
(1704,3,'XL'),
(1704,4,'XL'),
(1704,5,'XL'),
(1705,1,'15\"'),
(1705,2,'15\"'),
(1705,3,'15\"'),
(1705,4,'15\"'),
(1705,5,'15\"'),
(1706,1,'15\"'),
(1706,2,'15\"'),
(1706,3,'15\"'),
(1706,4,'15\"'),
(1706,5,'15\"'),
(1707,1,'10\"'),
(1707,2,'10\"'),
(1707,3,'10\"'),
(1707,4,'10\"'),
(1707,5,'10\"'),
(1708,1,'3 kg'),
(1708,2,'3 kg'),
(1708,3,'3 kg'),
(1708,4,'3 kg'),
(1708,5,'3 kg'),
(1709,1,'M'),
(1709,2,'M'),
(1709,3,'M'),
(1709,4,'M'),
(1709,5,'M'),
(1710,1,'5\"'),
(1710,2,'5\"'),
(1710,3,'5\"'),
(1710,4,'5\"'),
(1710,5,'5\"'),
(1711,1,'10\"'),
(1711,2,'10\"'),
(1711,3,'10\"'),
(1711,4,'10\"'),
(1711,5,'10\"'),
(1712,1,'15\"'),
(1712,2,'15\"'),
(1712,3,'15\"'),
(1712,4,'15\"'),
(1712,5,'15\"'),
(1713,1,'5 kg'),
(1713,2,'5 kg'),
(1713,3,'5 kg'),
(1713,4,'5 kg'),
(1713,5,'5 kg'),
(1714,1,'M'),
(1714,2,'M'),
(1714,3,'M'),
(1714,4,'M'),
(1714,5,'M'),
(1715,1,'10\"'),
(1715,2,'10\"'),
(1715,3,'10\"'),
(1715,4,'10\"'),
(1715,5,'10\"'),
(1716,1,'15\"'),
(1716,2,'15\"'),
(1716,3,'15\"'),
(1716,4,'15\"'),
(1716,5,'15\"'),
(1717,1,'10\"'),
(1717,2,'10\"'),
(1717,3,'10\"'),
(1717,4,'10\"'),
(1717,5,'10\"'),
(1718,1,'0.5 kg'),
(1718,2,'0.5 kg'),
(1718,3,'0.5 kg'),
(1718,4,'0.5 kg'),
(1718,5,'0.5 kg'),
(1719,1,'L'),
(1719,2,'L'),
(1719,3,'L'),
(1719,4,'L'),
(1719,5,'L'),
(1720,1,'15\"'),
(1720,2,'15\"'),
(1720,3,'15\"'),
(1720,4,'15\"'),
(1720,5,'15\"'),
(1721,1,'5\"'),
(1721,2,'5\"'),
(1721,3,'5\"'),
(1721,4,'5\"'),
(1721,5,'5\"'),
(1722,1,'15\"'),
(1722,2,'15\"'),
(1722,3,'15\"'),
(1722,4,'15\"'),
(1722,5,'15\"'),
(1723,1,'1 kg'),
(1723,2,'1 kg'),
(1723,3,'1 kg'),
(1723,4,'1 kg'),
(1723,5,'1 kg'),
(1724,1,'XL'),
(1724,2,'XL'),
(1724,3,'XL'),
(1724,4,'XL'),
(1724,5,'XL'),
(1725,1,'5\"'),
(1725,2,'5\"'),
(1725,3,'5\"'),
(1725,4,'5\"'),
(1725,5,'5\"'),
(1726,1,'10\"'),
(1726,2,'10\"'),
(1726,3,'10\"'),
(1726,4,'10\"'),
(1726,5,'10\"'),
(1727,1,'5\"'),
(1727,2,'5\"'),
(1727,3,'5\"'),
(1727,4,'5\"'),
(1727,5,'5\"'),
(1728,1,'0.3 kg'),
(1728,2,'0.3 kg'),
(1728,3,'0.3 kg'),
(1728,4,'0.3 kg'),
(1728,5,'0.3 kg'),
(1729,1,'XXL'),
(1729,2,'XXL'),
(1729,3,'XXL'),
(1729,4,'XXL'),
(1729,5,'XXL'),
(1730,1,'10\"'),
(1730,2,'10\"'),
(1730,3,'10\"'),
(1730,4,'10\"'),
(1730,5,'10\"'),
(1731,1,'15\"'),
(1731,2,'15\"'),
(1731,3,'15\"'),
(1731,4,'15\"'),
(1731,5,'15\"'),
(1732,1,'10\"'),
(1732,2,'10\"'),
(1732,3,'10\"'),
(1732,4,'10\"'),
(1732,5,'10\"'),
(1733,1,'2 kg'),
(1733,2,'2 kg'),
(1733,3,'2 kg'),
(1733,4,'2 kg'),
(1733,5,'2 kg'),
(1734,1,'L'),
(1734,2,'L'),
(1734,3,'L'),
(1734,4,'L'),
(1734,5,'L'),
(1735,1,'15\"'),
(1735,2,'15\"'),
(1735,3,'15\"'),
(1735,4,'15\"'),
(1735,5,'15\"'),
(1736,1,'10\"'),
(1736,2,'10\"'),
(1736,3,'10\"'),
(1736,4,'10\"'),
(1736,5,'10\"'),
(1737,1,'15\"'),
(1737,2,'15\"'),
(1737,3,'15\"'),
(1737,4,'15\"'),
(1737,5,'15\"'),
(1738,1,'0.5 kg'),
(1738,2,'0.5 kg'),
(1738,3,'0.5 kg'),
(1738,4,'0.5 kg'),
(1738,5,'0.5 kg'),
(1739,1,'XL'),
(1739,2,'XL'),
(1739,3,'XL'),
(1739,4,'XL'),
(1739,5,'XL'),
(1740,1,'5\"'),
(1740,2,'5\"'),
(1740,3,'5\"'),
(1740,4,'5\"'),
(1740,5,'5\"'),
(1741,1,'15\"'),
(1741,2,'15\"'),
(1741,3,'15\"'),
(1741,4,'15\"'),
(1741,5,'15\"'),
(1742,1,'10\"'),
(1742,2,'10\"'),
(1742,3,'10\"'),
(1742,4,'10\"'),
(1742,5,'10\"'),
(1743,1,'1 kg'),
(1743,2,'1 kg'),
(1743,3,'1 kg'),
(1743,4,'1 kg'),
(1743,5,'1 kg'),
(1744,1,'M'),
(1744,2,'M'),
(1744,3,'M'),
(1744,4,'M'),
(1744,5,'M'),
(1745,1,'5\"'),
(1745,2,'5\"'),
(1745,3,'5\"'),
(1745,4,'5\"'),
(1745,5,'5\"'),
(1746,1,'5\"'),
(1746,2,'5\"'),
(1746,3,'5\"'),
(1746,4,'5\"'),
(1746,5,'5\"'),
(1747,1,'15\"'),
(1747,2,'15\"'),
(1747,3,'15\"'),
(1747,4,'15\"'),
(1747,5,'15\"'),
(1748,1,'0.3 kg'),
(1748,2,'0.3 kg'),
(1748,3,'0.3 kg'),
(1748,4,'0.3 kg'),
(1748,5,'0.3 kg'),
(1749,1,'L'),
(1749,2,'L'),
(1749,3,'L'),
(1749,4,'L'),
(1749,5,'L'),
(1750,1,'10\"'),
(1750,2,'10\"'),
(1750,3,'10\"'),
(1750,4,'10\"'),
(1750,5,'10\"'),
(1751,1,'10\"'),
(1751,2,'10\"'),
(1751,3,'10\"'),
(1751,4,'10\"'),
(1751,5,'10\"'),
(1752,1,'5\"'),
(1752,2,'5\"'),
(1752,3,'5\"'),
(1752,4,'5\"'),
(1752,5,'5\"'),
(1753,1,'2 kg'),
(1753,2,'2 kg'),
(1753,3,'2 kg'),
(1753,4,'2 kg'),
(1753,5,'2 kg'),
(1754,1,'XL'),
(1754,2,'XL'),
(1754,3,'XL'),
(1754,4,'XL'),
(1754,5,'XL'),
(1755,1,'15\"'),
(1755,2,'15\"'),
(1755,3,'15\"'),
(1755,4,'15\"'),
(1755,5,'15\"'),
(1756,1,'15\"'),
(1756,2,'15\"'),
(1756,3,'15\"'),
(1756,4,'15\"'),
(1756,5,'15\"'),
(1757,1,'10\"'),
(1757,2,'10\"'),
(1757,3,'10\"'),
(1757,4,'10\"'),
(1757,5,'10\"'),
(1758,1,'3 kg'),
(1758,2,'3 kg'),
(1758,3,'3 kg'),
(1758,4,'3 kg'),
(1758,5,'3 kg'),
(1759,1,'M'),
(1759,2,'M'),
(1759,3,'M'),
(1759,4,'M'),
(1759,5,'M'),
(1760,1,'5\"'),
(1760,2,'5\"'),
(1760,3,'5\"'),
(1760,4,'5\"'),
(1760,5,'5\"'),
(1761,1,'10\"'),
(1761,2,'10\"'),
(1761,3,'10\"'),
(1761,4,'10\"'),
(1761,5,'10\"'),
(1762,1,'15\"'),
(1762,2,'15\"'),
(1762,3,'15\"'),
(1762,4,'15\"'),
(1762,5,'15\"'),
(1763,1,'5 kg'),
(1763,2,'5 kg'),
(1763,3,'5 kg'),
(1763,4,'5 kg'),
(1763,5,'5 kg'),
(1764,1,'M'),
(1764,2,'M'),
(1764,3,'M'),
(1764,4,'M'),
(1764,5,'M'),
(1765,1,'10\"'),
(1765,2,'10\"'),
(1765,3,'10\"'),
(1765,4,'10\"'),
(1765,5,'10\"'),
(1766,1,'15\"'),
(1766,2,'15\"'),
(1766,3,'15\"'),
(1766,4,'15\"'),
(1766,5,'15\"'),
(1767,1,'10\"'),
(1767,2,'10\"'),
(1767,3,'10\"'),
(1767,4,'10\"'),
(1767,5,'10\"'),
(1768,1,'0.5 kg'),
(1768,2,'0.5 kg'),
(1768,3,'0.5 kg'),
(1768,4,'0.5 kg'),
(1768,5,'0.5 kg'),
(1769,1,'L'),
(1769,2,'L'),
(1769,3,'L'),
(1769,4,'L'),
(1769,5,'L'),
(1770,1,'15\"'),
(1770,2,'15\"'),
(1770,3,'15\"'),
(1770,4,'15\"'),
(1770,5,'15\"'),
(1771,1,'5\"'),
(1771,2,'5\"'),
(1771,3,'5\"'),
(1771,4,'5\"'),
(1771,5,'5\"'),
(1772,1,'15\"'),
(1772,2,'15\"'),
(1772,3,'15\"'),
(1772,4,'15\"'),
(1772,5,'15\"'),
(1773,1,'1 kg'),
(1773,2,'1 kg'),
(1773,3,'1 kg'),
(1773,4,'1 kg'),
(1773,5,'1 kg'),
(1774,1,'XL'),
(1774,2,'XL'),
(1774,3,'XL'),
(1774,4,'XL'),
(1774,5,'XL'),
(1775,1,'5\"'),
(1775,2,'5\"'),
(1775,3,'5\"'),
(1775,4,'5\"'),
(1775,5,'5\"'),
(1776,1,'10\"'),
(1776,2,'10\"'),
(1776,3,'10\"'),
(1776,4,'10\"'),
(1776,5,'10\"'),
(1777,1,'5\"'),
(1777,2,'5\"'),
(1777,3,'5\"'),
(1777,4,'5\"'),
(1777,5,'5\"'),
(1778,1,'0.3 kg'),
(1778,2,'0.3 kg'),
(1778,3,'0.3 kg'),
(1778,4,'0.3 kg'),
(1778,5,'0.3 kg'),
(1779,1,'XXL'),
(1779,2,'XXL'),
(1779,3,'XXL'),
(1779,4,'XXL'),
(1779,5,'XXL'),
(1780,1,'5\"'),
(1780,2,'5\"'),
(1780,3,'5\"'),
(1780,4,'5\"'),
(1780,5,'5\"'),
(1781,1,'15\"'),
(1781,2,'15\"'),
(1781,3,'15\"'),
(1781,4,'15\"'),
(1781,5,'15\"'),
(1782,1,'10\"'),
(1782,2,'10\"'),
(1782,3,'10\"'),
(1782,4,'10\"'),
(1782,5,'10\"'),
(1783,1,'2 kg'),
(1783,2,'2 kg'),
(1783,3,'2 kg'),
(1783,4,'2 kg'),
(1783,5,'2 kg'),
(1784,1,'L'),
(1784,2,'L'),
(1784,3,'L'),
(1784,4,'L'),
(1784,5,'L'),
(1785,1,'10\"'),
(1785,2,'10\"'),
(1785,3,'10\"'),
(1785,4,'10\"'),
(1785,5,'10\"'),
(1786,1,'10\"'),
(1786,2,'10\"'),
(1786,3,'10\"'),
(1786,4,'10\"'),
(1786,5,'10\"'),
(1787,1,'10\"'),
(1787,2,'10\"'),
(1787,3,'10\"'),
(1787,4,'10\"'),
(1787,5,'10\"'),
(1788,1,'0.5 kg'),
(1788,2,'0.5 kg'),
(1788,3,'0.5 kg'),
(1788,4,'0.5 kg'),
(1788,5,'0.5 kg'),
(1789,1,'XL'),
(1789,2,'XL'),
(1789,3,'XL'),
(1789,4,'XL'),
(1789,5,'XL'),
(1790,1,'15\"'),
(1790,2,'15\"'),
(1790,3,'15\"'),
(1790,4,'15\"'),
(1790,5,'15\"'),
(1791,1,'15\"'),
(1791,2,'15\"'),
(1791,3,'15\"'),
(1791,4,'15\"'),
(1791,5,'15\"'),
(1792,1,'15\"'),
(1792,2,'15\"'),
(1792,3,'15\"'),
(1792,4,'15\"'),
(1792,5,'15\"'),
(1793,1,'1 kg'),
(1793,2,'1 kg'),
(1793,3,'1 kg'),
(1793,4,'1 kg'),
(1793,5,'1 kg'),
(1794,1,'M'),
(1794,2,'M'),
(1794,3,'M'),
(1794,4,'M'),
(1794,5,'M'),
(1795,1,'15\"'),
(1795,2,'15\"'),
(1795,3,'15\"'),
(1795,4,'15\"'),
(1795,5,'15\"'),
(1796,1,'10\"'),
(1796,2,'10\"'),
(1796,3,'10\"'),
(1796,4,'10\"'),
(1796,5,'10\"'),
(1797,1,'15\"'),
(1797,2,'15\"'),
(1797,3,'15\"'),
(1797,4,'15\"'),
(1797,5,'15\"'),
(1798,1,'2 kg'),
(1798,2,'2 kg'),
(1798,3,'2 kg'),
(1798,4,'2 kg'),
(1798,5,'2 kg'),
(1799,1,'XL'),
(1799,2,'XL'),
(1799,3,'XL'),
(1799,4,'XL'),
(1799,5,'XL'),
(1800,1,'5\"'),
(1800,2,'5\"'),
(1800,3,'5\"'),
(1800,4,'5\"'),
(1800,5,'5\"'),
(1801,1,'15\"'),
(1801,2,'15\"'),
(1801,3,'15\"'),
(1801,4,'15\"'),
(1801,5,'15\"'),
(1802,1,'5\"'),
(1802,2,'5\"'),
(1802,3,'5\"'),
(1802,4,'5\"'),
(1802,5,'5\"'),
(1803,1,'3 kg'),
(1803,2,'3 kg'),
(1803,3,'3 kg'),
(1803,4,'3 kg'),
(1803,5,'3 kg'),
(1804,1,'M'),
(1804,2,'M'),
(1804,3,'M'),
(1804,4,'M'),
(1804,5,'M'),
(1805,1,'5\"'),
(1805,2,'5\"'),
(1805,3,'5\"'),
(1805,4,'5\"'),
(1805,5,'5\"'),
(1806,1,'10\"'),
(1806,2,'10\"'),
(1806,3,'10\"'),
(1806,4,'10\"'),
(1806,5,'10\"'),
(1807,1,'15\"'),
(1807,2,'15\"'),
(1807,3,'15\"'),
(1807,4,'15\"'),
(1807,5,'15\"'),
(1808,1,'5 kg'),
(1808,2,'5 kg'),
(1808,3,'5 kg'),
(1808,4,'5 kg'),
(1808,5,'5 kg'),
(1809,1,'M'),
(1809,2,'M'),
(1809,3,'M'),
(1809,4,'M'),
(1809,5,'M'),
(1810,1,'10\"'),
(1810,2,'10\"'),
(1810,3,'10\"'),
(1810,4,'10\"'),
(1810,5,'10\"'),
(1811,1,'15\"'),
(1811,2,'15\"'),
(1811,3,'15\"'),
(1811,4,'15\"'),
(1811,5,'15\"'),
(1812,1,'10\"'),
(1812,2,'10\"'),
(1812,3,'10\"'),
(1812,4,'10\"'),
(1812,5,'10\"'),
(1813,1,'0.5 kg'),
(1813,2,'0.5 kg'),
(1813,3,'0.5 kg'),
(1813,4,'0.5 kg'),
(1813,5,'0.5 kg'),
(1814,1,'L'),
(1814,2,'L'),
(1814,3,'L'),
(1814,4,'L'),
(1814,5,'L'),
(1815,1,'15\"'),
(1815,2,'15\"'),
(1815,3,'15\"'),
(1815,4,'15\"'),
(1815,5,'15\"'),
(1816,1,'5\"'),
(1816,2,'5\"'),
(1816,3,'5\"'),
(1816,4,'5\"'),
(1816,5,'5\"'),
(1817,1,'15\"'),
(1817,2,'15\"'),
(1817,3,'15\"'),
(1817,4,'15\"'),
(1817,5,'15\"'),
(1818,1,'1 kg'),
(1818,2,'1 kg'),
(1818,3,'1 kg'),
(1818,4,'1 kg'),
(1818,5,'1 kg'),
(1819,1,'XL'),
(1819,2,'XL'),
(1819,3,'XL'),
(1819,4,'XL'),
(1819,5,'XL'),
(1820,1,'5\"'),
(1820,2,'5\"'),
(1820,3,'5\"'),
(1820,4,'5\"'),
(1820,5,'5\"'),
(1821,1,'10\"'),
(1821,2,'10\"'),
(1821,3,'10\"'),
(1821,4,'10\"'),
(1821,5,'10\"'),
(1822,1,'5\"'),
(1822,2,'5\"'),
(1822,3,'5\"'),
(1822,4,'5\"'),
(1822,5,'5\"'),
(1823,1,'0.3 kg'),
(1823,2,'0.3 kg'),
(1823,3,'0.3 kg'),
(1823,4,'0.3 kg'),
(1823,5,'0.3 kg'),
(1824,1,'XXL'),
(1824,2,'XXL'),
(1824,3,'XXL'),
(1824,4,'XXL'),
(1824,5,'XXL'),
(1825,1,'10\"'),
(1825,2,'10\"'),
(1825,3,'10\"'),
(1825,4,'10\"'),
(1825,5,'10\"'),
(1826,1,'15\"'),
(1826,2,'15\"'),
(1826,3,'15\"'),
(1826,4,'15\"'),
(1826,5,'15\"'),
(1827,1,'10\"'),
(1827,2,'10\"'),
(1827,3,'10\"'),
(1827,4,'10\"'),
(1827,5,'10\"'),
(1828,1,'2 kg'),
(1828,2,'2 kg'),
(1828,3,'2 kg'),
(1828,4,'2 kg'),
(1828,5,'2 kg'),
(1829,1,'L'),
(1829,2,'L'),
(1829,3,'L'),
(1829,4,'L'),
(1829,5,'L'),
(1830,1,'15\"'),
(1830,2,'15\"'),
(1830,3,'15\"'),
(1830,4,'15\"'),
(1830,5,'15\"'),
(1831,1,'10\"'),
(1831,2,'10\"'),
(1831,3,'10\"'),
(1831,4,'10\"'),
(1831,5,'10\"'),
(1832,1,'15\"'),
(1832,2,'15\"'),
(1832,3,'15\"'),
(1832,4,'15\"'),
(1832,5,'15\"'),
(1833,1,'0.5 kg'),
(1833,2,'0.5 kg'),
(1833,3,'0.5 kg'),
(1833,4,'0.5 kg'),
(1833,5,'0.5 kg'),
(1834,1,'XL'),
(1834,2,'XL'),
(1834,3,'XL'),
(1834,4,'XL'),
(1834,5,'XL'),
(1835,1,'5\"'),
(1835,2,'5\"'),
(1835,3,'5\"'),
(1835,4,'5\"'),
(1835,5,'5\"'),
(1836,1,'15\"'),
(1836,2,'15\"'),
(1836,3,'15\"'),
(1836,4,'15\"'),
(1836,5,'15\"'),
(1837,1,'10\"'),
(1837,2,'10\"'),
(1837,3,'10\"'),
(1837,4,'10\"'),
(1837,5,'10\"'),
(1838,1,'1 kg'),
(1838,2,'1 kg'),
(1838,3,'1 kg'),
(1838,4,'1 kg'),
(1838,5,'1 kg'),
(1839,1,'M'),
(1839,2,'M'),
(1839,3,'M'),
(1839,4,'M'),
(1839,5,'M'),
(1840,1,'5\"'),
(1840,2,'5\"'),
(1840,3,'5\"'),
(1840,4,'5\"'),
(1840,5,'5\"'),
(1841,1,'5\"'),
(1841,2,'5\"'),
(1841,3,'5\"'),
(1841,4,'5\"'),
(1841,5,'5\"'),
(1842,1,'15\"'),
(1842,2,'15\"'),
(1842,3,'15\"'),
(1842,4,'15\"'),
(1842,5,'15\"'),
(1843,1,'0.3 kg'),
(1843,2,'0.3 kg'),
(1843,3,'0.3 kg'),
(1843,4,'0.3 kg'),
(1843,5,'0.3 kg'),
(1844,1,'L'),
(1844,2,'L'),
(1844,3,'L'),
(1844,4,'L'),
(1844,5,'L'),
(1845,1,'10\"'),
(1845,2,'10\"'),
(1845,3,'10\"'),
(1845,4,'10\"'),
(1845,5,'10\"'),
(1846,1,'10\"'),
(1846,2,'10\"'),
(1846,3,'10\"'),
(1846,4,'10\"'),
(1846,5,'10\"'),
(1847,1,'5\"'),
(1847,2,'5\"'),
(1847,3,'5\"'),
(1847,4,'5\"'),
(1847,5,'5\"'),
(1848,1,'2 kg'),
(1848,2,'2 kg'),
(1848,3,'2 kg'),
(1848,4,'2 kg'),
(1848,5,'2 kg'),
(1849,1,'XL'),
(1849,2,'XL'),
(1849,3,'XL'),
(1849,4,'XL'),
(1849,5,'XL'),
(1850,1,'15\"'),
(1850,2,'15\"'),
(1850,3,'15\"'),
(1850,4,'15\"'),
(1850,5,'15\"'),
(1851,1,'15\"'),
(1851,2,'15\"'),
(1851,3,'15\"'),
(1851,4,'15\"'),
(1851,5,'15\"'),
(1852,1,'10\"'),
(1852,2,'10\"'),
(1852,3,'10\"'),
(1852,4,'10\"'),
(1852,5,'10\"'),
(1853,1,'3 kg'),
(1853,2,'3 kg'),
(1853,3,'3 kg'),
(1853,4,'3 kg'),
(1853,5,'3 kg'),
(1854,1,'M'),
(1854,2,'M'),
(1854,3,'M'),
(1854,4,'M'),
(1854,5,'M'),
(1855,1,'5\"'),
(1855,2,'5\"'),
(1855,3,'5\"'),
(1855,4,'5\"'),
(1855,5,'5\"'),
(1856,1,'10\"'),
(1856,2,'10\"'),
(1856,3,'10\"'),
(1856,4,'10\"'),
(1856,5,'10\"'),
(1857,1,'15\"'),
(1857,2,'15\"'),
(1857,3,'15\"'),
(1857,4,'15\"'),
(1857,5,'15\"'),
(1858,1,'5 kg'),
(1858,2,'5 kg'),
(1858,3,'5 kg'),
(1858,4,'5 kg'),
(1858,5,'5 kg'),
(1859,1,'M'),
(1859,2,'M'),
(1859,3,'M'),
(1859,4,'M'),
(1859,5,'M'),
(1860,1,'10\"'),
(1860,2,'10\"'),
(1860,3,'10\"'),
(1860,4,'10\"'),
(1860,5,'10\"'),
(1861,1,'15\"'),
(1861,2,'15\"'),
(1861,3,'15\"'),
(1861,4,'15\"'),
(1861,5,'15\"'),
(1862,1,'10\"'),
(1862,2,'10\"'),
(1862,3,'10\"'),
(1862,4,'10\"'),
(1862,5,'10\"'),
(1863,1,'0.5 kg'),
(1863,2,'0.5 kg'),
(1863,3,'0.5 kg'),
(1863,4,'0.5 kg'),
(1863,5,'0.5 kg'),
(1864,1,'L'),
(1864,2,'L'),
(1864,3,'L'),
(1864,4,'L'),
(1864,5,'L'),
(1865,1,'10\"'),
(1865,2,'10\"'),
(1865,3,'10\"'),
(1865,4,'10\"'),
(1865,5,'10\"'),
(1866,1,'10\"'),
(1866,2,'10\"'),
(1866,3,'10\"'),
(1866,4,'10\"'),
(1866,5,'10\"'),
(1867,1,'5\"'),
(1867,2,'5\"'),
(1867,3,'5\"'),
(1867,4,'5\"'),
(1867,5,'5\"'),
(1868,1,'2 kg'),
(1868,2,'2 kg'),
(1868,3,'2 kg'),
(1868,4,'2 kg'),
(1868,5,'2 kg'),
(1869,1,'M'),
(1869,2,'M'),
(1869,3,'M'),
(1869,4,'M'),
(1869,5,'M'),
(1870,1,'15\"'),
(1870,2,'15\"'),
(1870,3,'15\"'),
(1870,4,'15\"'),
(1870,5,'15\"'),
(1871,1,'15\"'),
(1871,2,'15\"'),
(1871,3,'15\"'),
(1871,4,'15\"'),
(1871,5,'15\"'),
(1872,1,'10\"'),
(1872,2,'10\"'),
(1872,3,'10\"'),
(1872,4,'10\"'),
(1872,5,'10\"'),
(1873,1,'3 kg'),
(1873,2,'3 kg'),
(1873,3,'3 kg'),
(1873,4,'3 kg'),
(1873,5,'3 kg'),
(1874,1,'L'),
(1874,2,'L'),
(1874,3,'L'),
(1874,4,'L'),
(1874,5,'L'),
(1875,1,'5\"'),
(1875,2,'5\"'),
(1875,3,'5\"'),
(1875,4,'5\"'),
(1875,5,'5\"'),
(1876,1,'10\"'),
(1876,2,'10\"'),
(1876,3,'10\"'),
(1876,4,'10\"'),
(1876,5,'10\"'),
(1877,1,'15\"'),
(1877,2,'15\"'),
(1877,3,'15\"'),
(1877,4,'15\"'),
(1877,5,'15\"'),
(1878,1,'5 kg'),
(1878,2,'5 kg'),
(1878,3,'5 kg'),
(1878,4,'5 kg'),
(1878,5,'5 kg'),
(1879,1,'XL'),
(1879,2,'XL'),
(1879,3,'XL'),
(1879,4,'XL'),
(1879,5,'XL'),
(1880,1,'10\"'),
(1880,2,'10\"'),
(1880,3,'10\"'),
(1880,4,'10\"'),
(1880,5,'10\"'),
(1881,1,'15\"'),
(1881,2,'15\"'),
(1881,3,'15\"'),
(1881,4,'15\"'),
(1881,5,'15\"'),
(1882,1,'10\"'),
(1882,2,'10\"'),
(1882,3,'10\"'),
(1882,4,'10\"'),
(1882,5,'10\"'),
(1883,1,'0.5 kg'),
(1883,2,'0.5 kg'),
(1883,3,'0.5 kg'),
(1883,4,'0.5 kg'),
(1883,5,'0.5 kg'),
(1884,1,'XXL'),
(1884,2,'XXL'),
(1884,3,'XXL'),
(1884,4,'XXL'),
(1884,5,'XXL'),
(1885,1,'15\"'),
(1885,2,'15\"'),
(1885,3,'15\"'),
(1885,4,'15\"'),
(1885,5,'15\"'),
(1886,1,'5\"'),
(1886,2,'5\"'),
(1886,3,'5\"'),
(1886,4,'5\"'),
(1886,5,'5\"'),
(1887,1,'15\"'),
(1887,2,'15\"'),
(1887,3,'15\"'),
(1887,4,'15\"'),
(1887,5,'15\"'),
(1888,1,'1 kg'),
(1888,2,'1 kg'),
(1888,3,'1 kg'),
(1888,4,'1 kg'),
(1888,5,'1 kg'),
(1889,1,'L'),
(1889,2,'L'),
(1889,3,'L'),
(1889,4,'L'),
(1889,5,'L'),
(1890,1,'5\"'),
(1890,2,'5\"'),
(1890,3,'5\"'),
(1890,4,'5\"'),
(1890,5,'5\"'),
(1891,1,'10\"'),
(1891,2,'10\"'),
(1891,3,'10\"'),
(1891,4,'10\"'),
(1891,5,'10\"'),
(1892,1,'5\"'),
(1892,2,'5\"'),
(1892,3,'5\"'),
(1892,4,'5\"'),
(1892,5,'5\"'),
(1893,1,'0.3 kg'),
(1893,2,'0.3 kg'),
(1893,3,'0.3 kg'),
(1893,4,'0.3 kg'),
(1893,5,'0.3 kg'),
(1894,1,'XL'),
(1894,2,'XL'),
(1894,3,'XL'),
(1894,4,'XL'),
(1894,5,'XL'),
(1895,1,'5\"'),
(1895,2,'5\"'),
(1895,3,'5\"'),
(1895,4,'5\"'),
(1895,5,'5\"'),
(1896,1,'5\"'),
(1896,2,'5\"'),
(1896,3,'5\"'),
(1896,4,'5\"'),
(1896,5,'5\"'),
(1897,1,'15\"'),
(1897,2,'15\"'),
(1897,3,'15\"'),
(1897,4,'15\"'),
(1897,5,'15\"'),
(1898,1,'0.3 kg'),
(1898,2,'0.3 kg'),
(1898,3,'0.3 kg'),
(1898,4,'0.3 kg'),
(1898,5,'0.3 kg'),
(1899,1,'L'),
(1899,2,'L'),
(1899,3,'L'),
(1899,4,'L'),
(1899,5,'L'),
(1900,1,'10\"'),
(1900,2,'10\"'),
(1900,3,'10\"'),
(1900,4,'10\"'),
(1900,5,'10\"'),
(1901,1,'10\"'),
(1901,2,'10\"'),
(1901,3,'10\"'),
(1901,4,'10\"'),
(1901,5,'10\"'),
(1902,1,'5\"'),
(1902,2,'5\"'),
(1902,3,'5\"'),
(1902,4,'5\"'),
(1902,5,'5\"'),
(1903,1,'2 kg'),
(1903,2,'2 kg'),
(1903,3,'2 kg'),
(1903,4,'2 kg'),
(1903,5,'2 kg'),
(1904,1,'XL'),
(1904,2,'XL'),
(1904,3,'XL'),
(1904,4,'XL'),
(1904,5,'XL'),
(1905,1,'15\"'),
(1905,2,'15\"'),
(1905,3,'15\"'),
(1905,4,'15\"'),
(1905,5,'15\"'),
(1906,1,'15\"'),
(1906,2,'15\"'),
(1906,3,'15\"'),
(1906,4,'15\"'),
(1906,5,'15\"'),
(1907,1,'10\"'),
(1907,2,'10\"'),
(1907,3,'10\"'),
(1907,4,'10\"'),
(1907,5,'10\"'),
(1908,1,'3 kg'),
(1908,2,'3 kg'),
(1908,3,'3 kg'),
(1908,4,'3 kg'),
(1908,5,'3 kg'),
(1909,1,'M'),
(1909,2,'M'),
(1909,3,'M'),
(1909,4,'M'),
(1909,5,'M'),
(1910,1,'5\"'),
(1910,2,'5\"'),
(1910,3,'5\"'),
(1910,4,'5\"'),
(1910,5,'5\"'),
(1911,1,'10\"'),
(1911,2,'10\"'),
(1911,3,'10\"'),
(1911,4,'10\"'),
(1911,5,'10\"'),
(1912,1,'15\"'),
(1912,2,'15\"'),
(1912,3,'15\"'),
(1912,4,'15\"'),
(1912,5,'15\"'),
(1913,1,'5 kg'),
(1913,2,'5 kg'),
(1913,3,'5 kg'),
(1913,4,'5 kg'),
(1913,5,'5 kg'),
(1914,1,'M'),
(1914,2,'M'),
(1914,3,'M'),
(1914,4,'M'),
(1914,5,'M'),
(1915,1,'10\"'),
(1915,2,'10\"'),
(1915,3,'10\"'),
(1915,4,'10\"'),
(1915,5,'10\"'),
(1916,1,'15\"'),
(1916,2,'15\"'),
(1916,3,'15\"'),
(1916,4,'15\"'),
(1916,5,'15\"'),
(1917,1,'10\"'),
(1917,2,'10\"'),
(1917,3,'10\"'),
(1917,4,'10\"'),
(1917,5,'10\"'),
(1918,1,'0.5 kg'),
(1918,2,'0.5 kg'),
(1918,3,'0.5 kg'),
(1918,4,'0.5 kg'),
(1918,5,'0.5 kg'),
(1919,1,'L'),
(1919,2,'L'),
(1919,3,'L'),
(1919,4,'L'),
(1919,5,'L'),
(1920,1,'15\"'),
(1920,2,'15\"'),
(1920,3,'15\"'),
(1920,4,'15\"'),
(1920,5,'15\"'),
(1921,1,'5\"'),
(1921,2,'5\"'),
(1921,3,'5\"'),
(1921,4,'5\"'),
(1921,5,'5\"'),
(1922,1,'15\"'),
(1922,2,'15\"'),
(1922,3,'15\"'),
(1922,4,'15\"'),
(1922,5,'15\"'),
(1923,1,'1 kg'),
(1923,2,'1 kg'),
(1923,3,'1 kg'),
(1923,4,'1 kg'),
(1923,5,'1 kg'),
(1924,1,'XL'),
(1924,2,'XL'),
(1924,3,'XL'),
(1924,4,'XL'),
(1924,5,'XL'),
(1925,1,'5\"'),
(1925,2,'5\"'),
(1925,3,'5\"'),
(1925,4,'5\"'),
(1925,5,'5\"'),
(1926,1,'10\"'),
(1926,2,'10\"'),
(1926,3,'10\"'),
(1926,4,'10\"'),
(1926,5,'10\"'),
(1927,1,'5\"'),
(1927,2,'5\"'),
(1927,3,'5\"'),
(1927,4,'5\"'),
(1927,5,'5\"'),
(1928,1,'0.3 kg'),
(1928,2,'0.3 kg'),
(1928,3,'0.3 kg'),
(1928,4,'0.3 kg'),
(1928,5,'0.3 kg'),
(1929,1,'XXL'),
(1929,2,'XXL'),
(1929,3,'XXL'),
(1929,4,'XXL'),
(1929,5,'XXL'),
(1930,1,'10\"'),
(1930,2,'10\"'),
(1930,3,'10\"'),
(1930,4,'10\"'),
(1930,5,'10\"'),
(1931,1,'15\"'),
(1931,2,'15\"'),
(1931,3,'15\"'),
(1931,4,'15\"'),
(1931,5,'15\"'),
(1932,1,'10\"'),
(1932,2,'10\"'),
(1932,3,'10\"'),
(1932,4,'10\"'),
(1932,5,'10\"'),
(1933,1,'2 kg'),
(1933,2,'2 kg'),
(1933,3,'2 kg'),
(1933,4,'2 kg'),
(1933,5,'2 kg'),
(1934,1,'L'),
(1934,2,'L'),
(1934,3,'L'),
(1934,4,'L'),
(1934,5,'L'),
(1935,1,'15\"'),
(1935,2,'15\"'),
(1935,3,'15\"'),
(1935,4,'15\"'),
(1935,5,'15\"'),
(1936,1,'10\"'),
(1936,2,'10\"'),
(1936,3,'10\"'),
(1936,4,'10\"'),
(1936,5,'10\"'),
(1937,1,'15\"'),
(1937,2,'15\"'),
(1937,3,'15\"'),
(1937,4,'15\"'),
(1937,5,'15\"'),
(1938,1,'0.5 kg'),
(1938,2,'0.5 kg'),
(1938,3,'0.5 kg'),
(1938,4,'0.5 kg'),
(1938,5,'0.5 kg'),
(1939,1,'XL'),
(1939,2,'XL'),
(1939,3,'XL'),
(1939,4,'XL'),
(1939,5,'XL'),
(1940,1,'5\"'),
(1940,2,'5\"'),
(1940,3,'5\"'),
(1940,4,'5\"'),
(1940,5,'5\"'),
(1941,1,'15\"'),
(1941,2,'15\"'),
(1941,3,'15\"'),
(1941,4,'15\"'),
(1941,5,'15\"'),
(1942,1,'10\"'),
(1942,2,'10\"'),
(1942,3,'10\"'),
(1942,4,'10\"'),
(1942,5,'10\"'),
(1943,1,'1 kg'),
(1943,2,'1 kg'),
(1943,3,'1 kg'),
(1943,4,'1 kg'),
(1943,5,'1 kg'),
(1944,1,'M'),
(1944,2,'M'),
(1944,3,'M'),
(1944,4,'M'),
(1944,5,'M'),
(1945,1,'5\"'),
(1945,2,'5\"'),
(1945,3,'5\"'),
(1945,4,'5\"'),
(1945,5,'5\"'),
(1946,1,'5\"'),
(1946,2,'5\"'),
(1946,3,'5\"'),
(1946,4,'5\"'),
(1946,5,'5\"'),
(1947,1,'15\"'),
(1947,2,'15\"'),
(1947,3,'15\"'),
(1947,4,'15\"'),
(1947,5,'15\"'),
(1948,1,'0.3 kg'),
(1948,2,'0.3 kg'),
(1948,3,'0.3 kg'),
(1948,4,'0.3 kg'),
(1948,5,'0.3 kg'),
(1949,1,'L'),
(1949,2,'L'),
(1949,3,'L'),
(1949,4,'L'),
(1949,5,'L'),
(1950,1,'10\"'),
(1950,2,'10\"'),
(1950,3,'10\"'),
(1950,4,'10\"'),
(1950,5,'10\"'),
(1951,1,'10\"'),
(1951,2,'10\"'),
(1951,3,'10\"'),
(1951,4,'10\"'),
(1951,5,'10\"'),
(1952,1,'5\"'),
(1952,2,'5\"'),
(1952,3,'5\"'),
(1952,4,'5\"'),
(1952,5,'5\"'),
(1953,1,'2 kg'),
(1953,2,'2 kg'),
(1953,3,'2 kg'),
(1953,4,'2 kg'),
(1953,5,'2 kg'),
(1954,1,'XL'),
(1954,2,'XL'),
(1954,3,'XL'),
(1954,4,'XL'),
(1954,5,'XL'),
(1955,1,'15\"'),
(1955,2,'15\"'),
(1955,3,'15\"'),
(1955,4,'15\"'),
(1955,5,'15\"'),
(1956,1,'15\"'),
(1956,2,'15\"'),
(1956,3,'15\"'),
(1956,4,'15\"'),
(1956,5,'15\"'),
(1957,1,'10\"'),
(1957,2,'10\"'),
(1957,3,'10\"'),
(1957,4,'10\"'),
(1957,5,'10\"'),
(1958,1,'3 kg'),
(1958,2,'3 kg'),
(1958,3,'3 kg'),
(1958,4,'3 kg'),
(1958,5,'3 kg'),
(1959,1,'M'),
(1959,2,'M'),
(1959,3,'M'),
(1959,4,'M'),
(1959,5,'M'),
(1960,1,'5\"'),
(1960,2,'5\"'),
(1960,3,'5\"'),
(1960,4,'5\"'),
(1960,5,'5\"'),
(1961,1,'10\"'),
(1961,2,'10\"'),
(1961,3,'10\"'),
(1961,4,'10\"'),
(1961,5,'10\"'),
(1962,1,'15\"'),
(1962,2,'15\"'),
(1962,3,'15\"'),
(1962,4,'15\"'),
(1962,5,'15\"'),
(1963,1,'5 kg'),
(1963,2,'5 kg'),
(1963,3,'5 kg'),
(1963,4,'5 kg'),
(1963,5,'5 kg'),
(1964,1,'M'),
(1964,2,'M'),
(1964,3,'M'),
(1964,4,'M'),
(1964,5,'M'),
(1965,1,'10\"'),
(1965,2,'10\"'),
(1965,3,'10\"'),
(1965,4,'10\"'),
(1965,5,'10\"'),
(1966,1,'15\"'),
(1966,2,'15\"'),
(1966,3,'15\"'),
(1966,4,'15\"'),
(1966,5,'15\"'),
(1967,1,'10\"'),
(1967,2,'10\"'),
(1967,3,'10\"'),
(1967,4,'10\"'),
(1967,5,'10\"'),
(1968,1,'0.5 kg'),
(1968,2,'0.5 kg'),
(1968,3,'0.5 kg'),
(1968,4,'0.5 kg'),
(1968,5,'0.5 kg'),
(1969,1,'L'),
(1969,2,'L'),
(1969,3,'L'),
(1969,4,'L'),
(1969,5,'L'),
(1970,1,'15\"'),
(1970,2,'15\"'),
(1970,3,'15\"'),
(1970,4,'15\"'),
(1970,5,'15\"'),
(1971,1,'5\"'),
(1971,2,'5\"'),
(1971,3,'5\"'),
(1971,4,'5\"'),
(1971,5,'5\"'),
(1972,1,'15\"'),
(1972,2,'15\"'),
(1972,3,'15\"'),
(1972,4,'15\"'),
(1972,5,'15\"'),
(1973,1,'1 kg'),
(1973,2,'1 kg'),
(1973,3,'1 kg'),
(1973,4,'1 kg'),
(1973,5,'1 kg'),
(1974,1,'XL'),
(1974,2,'XL'),
(1974,3,'XL'),
(1974,4,'XL'),
(1974,5,'XL'),
(1975,1,'5\"'),
(1975,2,'5\"'),
(1975,3,'5\"'),
(1975,4,'5\"'),
(1975,5,'5\"'),
(1976,1,'10\"'),
(1976,2,'10\"'),
(1976,3,'10\"'),
(1976,4,'10\"'),
(1976,5,'10\"'),
(1977,1,'5\"'),
(1977,2,'5\"'),
(1977,3,'5\"'),
(1977,4,'5\"'),
(1977,5,'5\"'),
(1978,1,'0.3 kg'),
(1978,2,'0.3 kg'),
(1978,3,'0.3 kg'),
(1978,4,'0.3 kg'),
(1978,5,'0.3 kg'),
(1979,1,'XXL'),
(1979,2,'XXL'),
(1979,3,'XXL'),
(1979,4,'XXL'),
(1979,5,'XXL'),
(1980,1,'5\"'),
(1980,2,'5\"'),
(1980,3,'5\"'),
(1980,4,'5\"'),
(1980,5,'5\"'),
(1981,1,'15\"'),
(1981,2,'15\"'),
(1981,3,'15\"'),
(1981,4,'15\"'),
(1981,5,'15\"'),
(1982,1,'10\"'),
(1982,2,'10\"'),
(1982,3,'10\"'),
(1982,4,'10\"'),
(1982,5,'10\"'),
(1983,1,'2 kg'),
(1983,2,'2 kg'),
(1983,3,'2 kg'),
(1983,4,'2 kg'),
(1983,5,'2 kg'),
(1984,1,'L'),
(1984,2,'L'),
(1984,3,'L'),
(1984,4,'L'),
(1984,5,'L'),
(1985,1,'10\"'),
(1985,2,'10\"'),
(1985,3,'10\"'),
(1985,4,'10\"'),
(1985,5,'10\"'),
(1986,1,'10\"'),
(1986,2,'10\"'),
(1986,3,'10\"'),
(1986,4,'10\"'),
(1986,5,'10\"'),
(1987,1,'10\"'),
(1987,2,'10\"'),
(1987,3,'10\"'),
(1987,4,'10\"'),
(1987,5,'10\"'),
(1988,1,'0.5 kg'),
(1988,2,'0.5 kg'),
(1988,3,'0.5 kg'),
(1988,4,'0.5 kg'),
(1988,5,'0.5 kg'),
(1989,1,'XL'),
(1989,2,'XL'),
(1989,3,'XL'),
(1989,4,'XL'),
(1989,5,'XL'),
(1990,1,'15\"'),
(1990,2,'15\"'),
(1990,3,'15\"'),
(1990,4,'15\"'),
(1990,5,'15\"'),
(1991,1,'15\"'),
(1991,2,'15\"'),
(1991,3,'15\"'),
(1991,4,'15\"'),
(1991,5,'15\"'),
(1992,1,'15\"'),
(1992,2,'15\"'),
(1992,3,'15\"'),
(1992,4,'15\"'),
(1992,5,'15\"'),
(1993,1,'1 kg'),
(1993,2,'1 kg'),
(1993,3,'1 kg'),
(1993,4,'1 kg'),
(1993,5,'1 kg'),
(1994,1,'M'),
(1994,2,'M'),
(1994,3,'M'),
(1994,4,'M'),
(1994,5,'M'),
(1995,1,'15\"'),
(1995,2,'15\"'),
(1995,3,'15\"'),
(1995,4,'15\"'),
(1995,5,'15\"'),
(1996,1,'10\"'),
(1996,2,'10\"'),
(1996,3,'10\"'),
(1996,4,'10\"'),
(1996,5,'10\"'),
(1997,1,'15\"'),
(1997,2,'15\"'),
(1997,3,'15\"'),
(1997,4,'15\"'),
(1997,5,'15\"'),
(1998,1,'2 kg'),
(1998,2,'2 kg'),
(1998,3,'2 kg'),
(1998,4,'2 kg'),
(1998,5,'2 kg'),
(1999,1,'XL'),
(1999,2,'XL'),
(1999,3,'XL'),
(1999,4,'XL'),
(1999,5,'XL'),
(2000,1,'5\"'),
(2000,2,'5\"'),
(2000,3,'5\"'),
(2000,4,'5\"'),
(2000,5,'5\"'),
(2001,1,'15\"'),
(2001,2,'15\"'),
(2001,3,'15\"'),
(2001,4,'15\"'),
(2001,5,'15\"'),
(2002,1,'5\"'),
(2002,2,'5\"'),
(2002,3,'5\"'),
(2002,4,'5\"'),
(2002,5,'5\"'),
(2003,1,'3 kg'),
(2003,2,'3 kg'),
(2003,3,'3 kg'),
(2003,4,'3 kg'),
(2003,5,'3 kg'),
(2004,1,'M'),
(2004,2,'M'),
(2004,3,'M'),
(2004,4,'M'),
(2004,5,'M'),
(2005,1,'5\"'),
(2005,2,'5\"'),
(2005,3,'5\"'),
(2005,4,'5\"'),
(2005,5,'5\"'),
(2006,1,'10\"'),
(2006,2,'10\"'),
(2006,3,'10\"'),
(2006,4,'10\"'),
(2006,5,'10\"'),
(2007,1,'15\"'),
(2007,2,'15\"'),
(2007,3,'15\"'),
(2007,4,'15\"'),
(2007,5,'15\"'),
(2008,1,'5 kg'),
(2008,2,'5 kg'),
(2008,3,'5 kg'),
(2008,4,'5 kg'),
(2008,5,'5 kg'),
(2009,1,'M'),
(2009,2,'M'),
(2009,3,'M'),
(2009,4,'M'),
(2009,5,'M'),
(2010,1,'10\"'),
(2010,2,'10\"'),
(2010,3,'10\"'),
(2010,4,'10\"'),
(2010,5,'10\"'),
(2011,1,'15\"'),
(2011,2,'15\"'),
(2011,3,'15\"'),
(2011,4,'15\"'),
(2011,5,'15\"'),
(2012,1,'10\"'),
(2012,2,'10\"'),
(2012,3,'10\"'),
(2012,4,'10\"'),
(2012,5,'10\"'),
(2013,1,'0.5 kg'),
(2013,2,'0.5 kg'),
(2013,3,'0.5 kg'),
(2013,4,'0.5 kg'),
(2013,5,'0.5 kg'),
(2014,1,'L'),
(2014,2,'L'),
(2014,3,'L'),
(2014,4,'L'),
(2014,5,'L'),
(2015,1,'15\"'),
(2015,2,'15\"'),
(2015,3,'15\"'),
(2015,4,'15\"'),
(2015,5,'15\"'),
(2016,1,'5\"'),
(2016,2,'5\"'),
(2016,3,'5\"'),
(2016,4,'5\"'),
(2016,5,'5\"'),
(2017,1,'15\"'),
(2017,2,'15\"'),
(2017,3,'15\"'),
(2017,4,'15\"'),
(2017,5,'15\"'),
(2018,1,'1 kg'),
(2018,2,'1 kg'),
(2018,3,'1 kg'),
(2018,4,'1 kg'),
(2018,5,'1 kg'),
(2019,1,'XL'),
(2019,2,'XL'),
(2019,3,'XL'),
(2019,4,'XL'),
(2019,5,'XL'),
(2020,1,'5\"'),
(2020,2,'5\"'),
(2020,3,'5\"'),
(2020,4,'5\"'),
(2020,5,'5\"'),
(2021,1,'10\"'),
(2021,2,'10\"'),
(2021,3,'10\"'),
(2021,4,'10\"'),
(2021,5,'10\"'),
(2022,1,'5\"'),
(2022,2,'5\"'),
(2022,3,'5\"'),
(2022,4,'5\"'),
(2022,5,'5\"'),
(2023,1,'0.3 kg'),
(2023,2,'0.3 kg'),
(2023,3,'0.3 kg'),
(2023,4,'0.3 kg'),
(2023,5,'0.3 kg'),
(2024,1,'XXL'),
(2024,2,'XXL'),
(2024,3,'XXL'),
(2024,4,'XXL'),
(2024,5,'XXL'),
(2025,1,'10\"'),
(2025,2,'10\"'),
(2025,3,'10\"'),
(2025,4,'10\"'),
(2025,5,'10\"'),
(2026,1,'15\"'),
(2026,2,'15\"'),
(2026,3,'15\"'),
(2026,4,'15\"'),
(2026,5,'15\"'),
(2027,1,'10\"'),
(2027,2,'10\"'),
(2027,3,'10\"'),
(2027,4,'10\"'),
(2027,5,'10\"'),
(2028,1,'2 kg'),
(2028,2,'2 kg'),
(2028,3,'2 kg'),
(2028,4,'2 kg'),
(2028,5,'2 kg'),
(2029,1,'L'),
(2029,2,'L'),
(2029,3,'L'),
(2029,4,'L'),
(2029,5,'L'),
(2030,1,'15\"'),
(2030,2,'15\"'),
(2030,3,'15\"'),
(2030,4,'15\"'),
(2030,5,'15\"'),
(2031,1,'10\"'),
(2031,2,'10\"'),
(2031,3,'10\"'),
(2031,4,'10\"'),
(2031,5,'10\"'),
(2032,1,'15\"'),
(2032,2,'15\"'),
(2032,3,'15\"'),
(2032,4,'15\"'),
(2032,5,'15\"'),
(2033,1,'0.5 kg'),
(2033,2,'0.5 kg'),
(2033,3,'0.5 kg'),
(2033,4,'0.5 kg'),
(2033,5,'0.5 kg'),
(2034,1,'XL'),
(2034,2,'XL'),
(2034,3,'XL'),
(2034,4,'XL'),
(2034,5,'XL'),
(2035,1,'5\"'),
(2035,2,'5\"'),
(2035,3,'5\"'),
(2035,4,'5\"'),
(2035,5,'5\"'),
(2036,1,'15\"'),
(2036,2,'15\"'),
(2036,3,'15\"'),
(2036,4,'15\"'),
(2036,5,'15\"'),
(2037,1,'10\"'),
(2037,2,'10\"'),
(2037,3,'10\"'),
(2037,4,'10\"'),
(2037,5,'10\"'),
(2038,1,'1 kg'),
(2038,2,'1 kg'),
(2038,3,'1 kg'),
(2038,4,'1 kg'),
(2038,5,'1 kg'),
(2039,1,'M'),
(2039,2,'M'),
(2039,3,'M'),
(2039,4,'M'),
(2039,5,'M'),
(2040,1,'5\"'),
(2040,2,'5\"'),
(2040,3,'5\"'),
(2040,4,'5\"'),
(2040,5,'5\"'),
(2041,1,'5\"'),
(2041,2,'5\"'),
(2041,3,'5\"'),
(2041,4,'5\"'),
(2041,5,'5\"'),
(2042,1,'15\"'),
(2042,2,'15\"'),
(2042,3,'15\"'),
(2042,4,'15\"'),
(2042,5,'15\"'),
(2043,1,'0.3 kg'),
(2043,2,'0.3 kg'),
(2043,3,'0.3 kg'),
(2043,4,'0.3 kg'),
(2043,5,'0.3 kg'),
(2044,1,'L'),
(2044,2,'L'),
(2044,3,'L'),
(2044,4,'L'),
(2044,5,'L'),
(2045,1,'10\"'),
(2045,2,'10\"'),
(2045,3,'10\"'),
(2045,4,'10\"'),
(2045,5,'10\"'),
(2046,1,'10\"'),
(2046,2,'10\"'),
(2046,3,'10\"'),
(2046,4,'10\"'),
(2046,5,'10\"'),
(2047,1,'5\"'),
(2047,2,'5\"'),
(2047,3,'5\"'),
(2047,4,'5\"'),
(2047,5,'5\"'),
(2048,1,'2 kg'),
(2048,2,'2 kg'),
(2048,3,'2 kg'),
(2048,4,'2 kg'),
(2048,5,'2 kg'),
(2049,1,'XL'),
(2049,2,'XL'),
(2049,3,'XL'),
(2049,4,'XL'),
(2049,5,'XL'),
(2050,1,'15\"'),
(2050,2,'15\"'),
(2050,3,'15\"'),
(2050,4,'15\"'),
(2050,5,'15\"'),
(2051,1,'15\"'),
(2051,2,'15\"'),
(2051,3,'15\"'),
(2051,4,'15\"'),
(2051,5,'15\"'),
(2052,1,'10\"'),
(2052,2,'10\"'),
(2052,3,'10\"'),
(2052,4,'10\"'),
(2052,5,'10\"'),
(2053,1,'3 kg'),
(2053,2,'3 kg'),
(2053,3,'3 kg'),
(2053,4,'3 kg'),
(2053,5,'3 kg'),
(2054,1,'M'),
(2054,2,'M'),
(2054,3,'M'),
(2054,4,'M'),
(2054,5,'M'),
(2055,1,'5\"'),
(2055,2,'5\"'),
(2055,3,'5\"'),
(2055,4,'5\"'),
(2055,5,'5\"'),
(2056,1,'10\"'),
(2056,2,'10\"'),
(2056,3,'10\"'),
(2056,4,'10\"'),
(2056,5,'10\"'),
(2057,1,'15\"'),
(2057,2,'15\"'),
(2057,3,'15\"'),
(2057,4,'15\"'),
(2057,5,'15\"'),
(2058,1,'5 kg'),
(2058,2,'5 kg'),
(2058,3,'5 kg'),
(2058,4,'5 kg'),
(2058,5,'5 kg'),
(2059,1,'M'),
(2059,2,'M'),
(2059,3,'M'),
(2059,4,'M'),
(2059,5,'M'),
(2060,1,'10\"'),
(2060,2,'10\"'),
(2060,3,'10\"'),
(2060,4,'10\"'),
(2060,5,'10\"'),
(2061,1,'15\"'),
(2061,2,'15\"'),
(2061,3,'15\"'),
(2061,4,'15\"'),
(2061,5,'15\"'),
(2062,1,'10\"'),
(2062,2,'10\"'),
(2062,3,'10\"'),
(2062,4,'10\"'),
(2062,5,'10\"'),
(2063,1,'0.5 kg'),
(2063,2,'0.5 kg'),
(2063,3,'0.5 kg'),
(2063,4,'0.5 kg'),
(2063,5,'0.5 kg'),
(2064,1,'L'),
(2064,2,'L'),
(2064,3,'L'),
(2064,4,'L'),
(2064,5,'L'),
(2065,1,'10\"'),
(2065,2,'10\"'),
(2065,3,'10\"'),
(2065,4,'10\"'),
(2065,5,'10\"'),
(2066,1,'10\"'),
(2066,2,'10\"'),
(2066,3,'10\"'),
(2066,4,'10\"'),
(2066,5,'10\"'),
(2067,1,'5\"'),
(2067,2,'5\"'),
(2067,3,'5\"'),
(2067,4,'5\"'),
(2067,5,'5\"'),
(2068,1,'2 kg'),
(2068,2,'2 kg'),
(2068,3,'2 kg'),
(2068,4,'2 kg'),
(2068,5,'2 kg'),
(2069,1,'M'),
(2069,2,'M'),
(2069,3,'M'),
(2069,4,'M'),
(2069,5,'M'),
(2070,1,'15\"'),
(2070,2,'15\"'),
(2070,3,'15\"'),
(2070,4,'15\"'),
(2070,5,'15\"'),
(2071,1,'15\"'),
(2071,2,'15\"'),
(2071,3,'15\"'),
(2071,4,'15\"'),
(2071,5,'15\"'),
(2072,1,'10\"'),
(2072,2,'10\"'),
(2072,3,'10\"'),
(2072,4,'10\"'),
(2072,5,'10\"'),
(2073,1,'3 kg'),
(2073,2,'3 kg'),
(2073,3,'3 kg'),
(2073,4,'3 kg'),
(2073,5,'3 kg'),
(2074,1,'L'),
(2074,2,'L'),
(2074,3,'L'),
(2074,4,'L'),
(2074,5,'L'),
(2075,1,'5\"'),
(2075,2,'5\"'),
(2075,3,'5\"'),
(2075,4,'5\"'),
(2075,5,'5\"'),
(2076,1,'10\"'),
(2076,2,'10\"'),
(2076,3,'10\"'),
(2076,4,'10\"'),
(2076,5,'10\"'),
(2077,1,'15\"'),
(2077,2,'15\"'),
(2077,3,'15\"'),
(2077,4,'15\"'),
(2077,5,'15\"'),
(2078,1,'5 kg'),
(2078,2,'5 kg'),
(2078,3,'5 kg'),
(2078,4,'5 kg'),
(2078,5,'5 kg'),
(2079,1,'XL'),
(2079,2,'XL'),
(2079,3,'XL'),
(2079,4,'XL'),
(2079,5,'XL'),
(2080,1,'10\"'),
(2080,2,'10\"'),
(2080,3,'10\"'),
(2080,4,'10\"'),
(2080,5,'10\"'),
(2081,1,'15\"'),
(2081,2,'15\"'),
(2081,3,'15\"'),
(2081,4,'15\"'),
(2081,5,'15\"'),
(2082,1,'10\"'),
(2082,2,'10\"'),
(2082,3,'10\"'),
(2082,4,'10\"'),
(2082,5,'10\"'),
(2083,1,'0.5 kg'),
(2083,2,'0.5 kg'),
(2083,3,'0.5 kg'),
(2083,4,'0.5 kg'),
(2083,5,'0.5 kg'),
(2084,1,'XXL'),
(2084,2,'XXL'),
(2084,3,'XXL'),
(2084,4,'XXL'),
(2084,5,'XXL'),
(2085,1,'15\"'),
(2085,2,'15\"'),
(2085,3,'15\"'),
(2085,4,'15\"'),
(2085,5,'15\"'),
(2086,1,'5\"'),
(2086,2,'5\"'),
(2086,3,'5\"'),
(2086,4,'5\"'),
(2086,5,'5\"'),
(2087,1,'15\"'),
(2087,2,'15\"'),
(2087,3,'15\"'),
(2087,4,'15\"'),
(2087,5,'15\"'),
(2088,1,'1 kg'),
(2088,2,'1 kg'),
(2088,3,'1 kg'),
(2088,4,'1 kg'),
(2088,5,'1 kg'),
(2089,1,'L'),
(2089,2,'L'),
(2089,3,'L'),
(2089,4,'L'),
(2089,5,'L'),
(2090,1,'5\"'),
(2090,2,'5\"'),
(2090,3,'5\"'),
(2090,4,'5\"'),
(2090,5,'5\"'),
(2091,1,'10\"'),
(2091,2,'10\"'),
(2091,3,'10\"'),
(2091,4,'10\"'),
(2091,5,'10\"'),
(2092,1,'5\"'),
(2092,2,'5\"'),
(2092,3,'5\"'),
(2092,4,'5\"'),
(2092,5,'5\"'),
(2093,1,'0.3 kg'),
(2093,2,'0.3 kg'),
(2093,3,'0.3 kg'),
(2093,4,'0.3 kg'),
(2093,5,'0.3 kg'),
(2094,1,'XL'),
(2094,2,'XL'),
(2094,3,'XL'),
(2094,4,'XL'),
(2094,5,'XL'),
(2095,1,'5\"'),
(2095,2,'5\"'),
(2095,3,'5\"'),
(2095,4,'5\"'),
(2095,5,'5\"'),
(2096,1,'5\"'),
(2096,2,'5\"'),
(2096,3,'5\"'),
(2096,4,'5\"'),
(2096,5,'5\"'),
(2097,1,'15\"'),
(2097,2,'15\"'),
(2097,3,'15\"'),
(2097,4,'15\"'),
(2097,5,'15\"'),
(2098,1,'0.3 kg'),
(2098,2,'0.3 kg'),
(2098,3,'0.3 kg'),
(2098,4,'0.3 kg'),
(2098,5,'0.3 kg'),
(2099,1,'L'),
(2099,2,'L'),
(2099,3,'L'),
(2099,4,'L'),
(2099,5,'L'),
(2100,1,'10\"'),
(2100,2,'10\"'),
(2100,3,'10\"'),
(2100,4,'10\"'),
(2100,5,'10\"'),
(2101,1,'10\"'),
(2101,2,'10\"'),
(2101,3,'10\"'),
(2101,4,'10\"'),
(2101,5,'10\"'),
(2102,1,'5\"'),
(2102,2,'5\"'),
(2102,3,'5\"'),
(2102,4,'5\"'),
(2102,5,'5\"'),
(2103,1,'2 kg'),
(2103,2,'2 kg'),
(2103,3,'2 kg'),
(2103,4,'2 kg'),
(2103,5,'2 kg'),
(2104,1,'XL'),
(2104,2,'XL'),
(2104,3,'XL'),
(2104,4,'XL'),
(2104,5,'XL'),
(2105,1,'15\"'),
(2105,2,'15\"'),
(2105,3,'15\"'),
(2105,4,'15\"'),
(2105,5,'15\"'),
(2106,1,'15\"'),
(2106,2,'15\"'),
(2106,3,'15\"'),
(2106,4,'15\"'),
(2106,5,'15\"'),
(2107,1,'10\"'),
(2107,2,'10\"'),
(2107,3,'10\"'),
(2107,4,'10\"'),
(2107,5,'10\"'),
(2108,1,'3 kg'),
(2108,2,'3 kg'),
(2108,3,'3 kg'),
(2108,4,'3 kg'),
(2108,5,'3 kg'),
(2109,1,'M'),
(2109,2,'M'),
(2109,3,'M'),
(2109,4,'M'),
(2109,5,'M'),
(2110,1,'5\"'),
(2110,2,'5\"'),
(2110,3,'5\"'),
(2110,4,'5\"'),
(2110,5,'5\"'),
(2111,1,'10\"'),
(2111,2,'10\"'),
(2111,3,'10\"'),
(2111,4,'10\"'),
(2111,5,'10\"'),
(2112,1,'15\"'),
(2112,2,'15\"'),
(2112,3,'15\"'),
(2112,4,'15\"'),
(2112,5,'15\"'),
(2113,1,'5 kg'),
(2113,2,'5 kg'),
(2113,3,'5 kg'),
(2113,4,'5 kg'),
(2113,5,'5 kg'),
(2114,1,'M'),
(2114,2,'M'),
(2114,3,'M'),
(2114,4,'M'),
(2114,5,'M');

/* Table structure for table `ps_hook` */
DROP TABLE IF EXISTS `ps_hook`;

CREATE TABLE `ps_hook` (
  `id_hook` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(64) NOT NULL,
  `title` varchar(64) NOT NULL,
  `description` text,
  `position` tinyint(1) NOT NULL DEFAULT '1',
  `live_edit` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id_hook`),
  UNIQUE KEY `hook_name` (`name`)
) ENGINE=MyISAM AUTO_INCREMENT=97 DEFAULT CHARSET=utf8;

/* dumping data for table `ps_hook` */
INSERT INTO `ps_hook` VALUES
(1,'payment','Payment',null,1,1),
(2,'newOrder','New orders',null,0,0),
(3,'paymentConfirm','Payment confirmation',null,0,0),
(4,'paymentReturn','Payment return',null,0,0),
(5,'updateQuantity','Quantity update','Quantity is updated only when the customer effectively <b>place</b> his order.',0,0),
(6,'rightColumn','Right column blocks',null,1,1),
(7,'leftColumn','Left column blocks',null,1,1),
(8,'home','Homepage content',null,1,1),
(9,'header','Header of pages','A hook which allow you to do things in the header of each pages',1,0),
(10,'cart','Cart creation and update',null,0,0),
(11,'authentication','Successful customer authentication',null,0,0),
(12,'addproduct','Product creation',null,0,0),
(13,'updateproduct','Product Update',null,0,0),
(14,'top','Top of pages','A hook which allow you to do things a the top of each pages.',1,0),
(15,'extraRight','Extra actions on the product page (right column).',null,0,0),
(16,'deleteproduct','Product deletion','This hook is called when a product is deleted',0,0),
(17,'productfooter','Product footer','Add new blocks under the product description',1,1),
(18,'invoice','Invoice','Add blocks to invoice (order)',1,0),
(19,'updateOrderStatus','Order\'s status update event','Launch modules when the order\'s status of an order change.',0,0),
(20,'adminOrder','Display in Back-Office, tab AdminOrder','Launch modules when the tab AdminOrder is displayed on back-office.',0,0),
(21,'footer','Footer','Add block in footer',1,0),
(22,'PDFInvoice','PDF Invoice','Allow the display of extra informations into the PDF invoice',0,0),
(23,'adminCustomers','Display in Back-Office, tab AdminCustomers','Launch modules when the tab AdminCustomers is displayed on back-office.',0,0),
(24,'orderConfirmation','Order confirmation page','Called on order confirmation page',0,0),
(25,'createAccount','Successful customer create account','Called when new customer create account successfuled',0,0),
(26,'customerAccount','Customer account page display in front office','Display on page account of the customer',1,0),
(27,'orderSlip','Called when a order slip is created','Called when a quantity of one product change in an order.',0,0),
(28,'productTab','Tabs on product page','Called on order product page tabs',0,0),
(29,'productTabContent','Content of tabs on product page','Called on order product page tabs',0,0),
(30,'shoppingCart','Shopping cart footer','Display some specific informations on the shopping cart page',0,0),
(31,'createAccountForm','Customer account creation form','Display some information on the form to create a customer account',1,0),
(32,'AdminStatsModules','Stats - Modules',null,1,0),
(33,'GraphEngine','Graph Engines',null,0,0),
(34,'orderReturn','Product returned',null,0,0),
(35,'productActions','Product actions','Put new action buttons on product page',1,0),
(36,'backOfficeHome','Administration panel homepage',null,1,0),
(37,'GridEngine','Grid Engines',null,0,0),
(38,'watermark','Watermark',null,0,0),
(39,'cancelProduct','Product cancelled','This hook is called when you cancel a product in an order',0,0),
(40,'extraLeft','Extra actions on the product page (left column).',null,0,0),
(41,'productOutOfStock','Product out of stock','Make action while product is out of stock',1,0),
(42,'updateProductAttribute','Product attribute update',null,0,0),
(43,'extraCarrier','Extra carrier (module mode)',null,0,0),
(44,'shoppingCartExtra','Shopping cart extra button','Display some specific informations',1,0),
(45,'search','Search',null,0,0),
(46,'backBeforePayment','Redirect in order process','Redirect user to the module instead of displaying payment modules',0,0),
(47,'updateCarrier','Carrier Update','This hook is called when a carrier is updated',0,0),
(48,'postUpdateOrderStatus','Post update of order status',null,0,0),
(49,'createAccountTop','Block above the form for create an account',null,1,0),
(50,'backOfficeHeader','Administration panel header',null,0,0),
(51,'backOfficeTop','Administration panel hover the tabs',null,1,0),
(52,'backOfficeFooter','Administration panel footer',null,1,0),
(53,'deleteProductAttribute','Product Attribute Deletion',null,0,0),
(54,'processCarrier','Carrier Process',null,0,0),
(55,'orderDetail','Order Detail','To set the follow-up in smarty when order detail is called',0,0),
(56,'beforeCarrier','Before carrier list','This hook is display before the carrier list on Front office',1,0),
(57,'orderDetailDisplayed','Order detail displayed','Displayed on order detail on front office',1,0),
(58,'paymentCCAdded','Payment CC added','Payment CC added',0,0),
(59,'extraProductComparison','Extra Product Comparison','Extra Product Comparison',0,0),
(60,'categoryAddition','Category creation','',0,0),
(61,'categoryUpdate','Category modification','',0,0),
(62,'categoryDeletion','Category removal','',0,0),
(63,'beforeAuthentication','Before Authentication','Before authentication',0,0),
(64,'paymentTop','Top of payment page','Top of payment page',0,0),
(65,'afterCreateHtaccess','After htaccess creation','After htaccess creation',0,0),
(66,'afterSaveAdminMeta','After save configuration in AdminMeta','After save configuration in AdminMeta',0,0),
(67,'attributeGroupForm','Add fields to the form \"attribute group\"','Add fields to the form \"attribute group\"',0,0),
(68,'afterSaveAttributeGroup','On saving attribute group','On saving attribute group',0,0),
(69,'afterDeleteAttributeGroup','On deleting attribute group','On deleting attribute group',0,0),
(70,'featureForm','Add fields to the form \"feature\"','Add fields to the form \"feature\"',0,0),
(71,'afterSaveFeature','On saving attribute feature','On saving attribute feature',0,0),
(72,'afterDeleteFeature','On deleting attribute feature','On deleting attribute feature',0,0),
(73,'afterSaveProduct','On saving products','On saving products',0,0),
(74,'productListAssign','Assign product list to a category','Assign product list to a category',0,0),
(75,'postProcessAttributeGroup','On post-process in admin attribute group','On post-process in admin attribute group',0,0),
(76,'postProcessFeature','On post-process in admin feature','On post-process in admin feature',0,0),
(77,'featureValueForm','Add fields to the form \"feature value\"','Add fields to the form \"feature value\"',0,0),
(78,'postProcessFeatureValue','On post-process in admin feature value','On post-process in admin feature value',0,0),
(79,'afterDeleteFeatureValue','On deleting attribute feature value','On deleting attribute feature value',0,0),
(90,'afterSaveFeatureValue','On saving attribute feature value','On saving attribute feature value',0,0),
(91,'attributeForm','Add fields to the form \"attribute value\"','Add fields to the form \"attribute value\"',0,0),
(92,'postProcessAttribute','On post-process in admin feature value','On post-process in admin feature value',0,0),
(93,'afterDeleteAttribute','On deleting attribute feature value','On deleting attribute feature value',0,0),
(94,'afterSaveAttribute','On saving attribute feature value','On saving attribute feature value',0,0),
(95,'frontCanonicalRedirect','Front Canonical Redirect','Check for 404 errors before canonical redirects',0,0),
(96,'myAccountBlock','My account block','Display extra informations inside the \"my account\" block',1,0);

/* Table structure for table `ps_hook_module` */
DROP TABLE IF EXISTS `ps_hook_module`;

CREATE TABLE `ps_hook_module` (
  `id_module` int(10) unsigned NOT NULL,
  `id_hook` int(10) unsigned NOT NULL,
  `position` tinyint(2) unsigned NOT NULL,
  PRIMARY KEY (`id_module`,`id_hook`),
  KEY `id_hook` (`id_hook`),
  KEY `id_module` (`id_module`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

/* dumping data for table `ps_hook_module` */
INSERT INTO `ps_hook_module` VALUES
(3,1,1),
(6,1,2),
(4,1,3),
(4,4,3),
(8,2,1),
(3,4,1),
(6,4,2),
(9,6,1),
(73,14,8),
(73,61,2),
(74,9,19),
(14,7,1),
(61,9,16),
(70,14,9),
(78,8,1),
(73,60,2),
(1,8,3),
(11,14,2),
(13,14,1),
(57,21,1),
(19,14,4),
(22,14,5),
(8,19,1),
(25,11,1),
(25,21,2),
(26,32,1),
(27,32,2),
(28,32,3),
(30,32,4),
(31,32,5),
(32,32,6),
(33,32,7),
(34,33,1),
(35,33,2),
(36,33,3),
(37,33,4),
(39,37,1),
(40,32,8),
(41,32,9),
(42,32,10),
(42,95,1),
(43,32,11),
(42,14,6),
(43,14,7),
(44,32,12),
(45,32,13),
(46,32,15),
(47,32,14),
(48,32,16),
(49,32,17),
(55,32,22),
(50,32,18),
(51,32,19),
(51,45,1),
(25,25,1),
(41,20,2),
(52,32,20),
(53,32,21),
(17,9,1),
(58,14,3),
(9,9,2),
(15,9,3),
(72,7,4),
(8,9,4),
(10,9,5),
(20,9,6),
(11,9,7),
(16,9,8),
(22,9,9),
(13,9,10),
(14,9,11),
(71,8,2),
(7,9,12),
(74,7,3),
(10,60,1),
(10,61,1),
(10,62,1),
(54,9,13),
(10,66,1),
(19,9,14),
(56,30,1),
(56,9,15),
(62,9,17),
(73,66,2),
(73,62,2),
(67,6,2),
(63,40,1),
(64,28,1),
(64,59,1),
(64,29,1),
(64,9,18),
(77,7,2),
(77,19,2),
(79,9,20),
(80,9,21);

/* Table structure for table `ps_hook_module_exceptions` */
DROP TABLE IF EXISTS `ps_hook_module_exceptions`;

CREATE TABLE `ps_hook_module_exceptions` (
  `id_hook_module_exceptions` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `id_module` int(10) unsigned NOT NULL,
  `id_hook` int(10) unsigned NOT NULL,
  `file_name` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id_hook_module_exceptions`),
  KEY `id_module` (`id_module`),
  KEY `id_hook` (`id_hook`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


/* Table structure for table `ps_image` */
DROP TABLE IF EXISTS `ps_image`;

CREATE TABLE `ps_image` (
  `id_image` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `id_product` int(10) unsigned NOT NULL,
  `position` smallint(2) unsigned NOT NULL DEFAULT '0',
  `cover` tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id_image`),
  UNIQUE KEY `product_position` (`id_product`,`position`),
  KEY `image_product` (`id_product`),
  KEY `id_product_cover` (`id_product`,`cover`)
) ENGINE=MyISAM AUTO_INCREMENT=161 DEFAULT CHARSET=utf8;

/* dumping data for table `ps_image` */
INSERT INTO `ps_image` VALUES
(1,1,1,1),
(2,1,2,0),
(3,1,3,0),
(4,1,4,0),
(5,2,1,1),
(6,2,2,0),
(7,2,3,0),
(8,2,4,0),
(9,3,1,1),
(10,3,2,0),
(11,3,3,0),
(12,3,4,0),
(13,4,1,1),
(14,4,2,0),
(15,4,3,0),
(16,4,4,0),
(17,5,1,1),
(18,5,2,0),
(19,5,3,0),
(20,5,4,0),
(21,6,1,1),
(22,6,2,0),
(23,6,3,0),
(24,6,4,0),
(25,7,1,1),
(26,7,2,0),
(27,7,3,0),
(28,7,4,0),
(29,8,1,1),
(30,8,2,0),
(31,8,3,0),
(32,8,4,0),
(33,9,1,1),
(34,9,2,0),
(35,9,3,0),
(36,9,4,0),
(37,10,1,1),
(38,10,2,0),
(39,10,3,0),
(40,10,4,0),
(41,11,1,1),
(42,11,2,0),
(43,11,3,0),
(44,11,4,0),
(45,12,1,1),
(46,12,2,0),
(47,12,3,0),
(48,12,4,0),
(49,13,1,1),
(50,13,2,0),
(51,13,3,0),
(52,13,4,0),
(53,14,1,1),
(54,14,2,0),
(55,14,3,0),
(56,14,4,0),
(57,15,1,1),
(58,15,2,0),
(59,15,3,0),
(60,15,4,0),
(61,16,1,1),
(62,16,2,0),
(63,16,3,0),
(64,16,4,0),
(65,17,1,1),
(66,17,2,0),
(67,17,3,0),
(68,17,4,0),
(69,18,1,1),
(70,18,2,0),
(71,18,3,0),
(72,18,4,0),
(73,19,1,1),
(74,19,2,0),
(75,19,3,0),
(76,19,4,0),
(77,20,1,1),
(78,20,2,0),
(79,20,3,0),
(80,20,4,0),
(81,21,1,1),
(82,21,2,0),
(83,21,3,0),
(84,21,4,0),
(85,22,1,1),
(86,22,2,0),
(87,22,3,0),
(88,22,4,0),
(89,23,1,1),
(90,23,2,0),
(91,23,3,0),
(92,23,4,0),
(93,24,1,1),
(94,24,2,0),
(95,24,3,0),
(96,24,4,0),
(97,25,1,1),
(98,25,2,0),
(99,25,3,0),
(100,25,4,0),
(101,26,1,1),
(102,26,2,0),
(103,26,3,0),
(104,26,4,0),
(105,27,1,1),
(106,27,2,0),
(107,27,3,0),
(108,27,4,0),
(109,28,1,1),
(110,28,2,0),
(111,28,3,0),
(112,28,4,0),
(113,29,1,1),
(114,29,2,0),
(115,29,3,0),
(116,29,4,0),
(117,30,1,1),
(118,30,2,0),
(119,30,3,0),
(120,30,4,0),
(121,31,1,1),
(122,31,2,0),
(123,31,3,0),
(124,31,4,0),
(125,32,1,1),
(126,32,2,0),
(127,32,3,0),
(128,32,4,0),
(129,33,1,1),
(130,33,2,0),
(131,33,3,0),
(132,33,4,0),
(133,34,1,1),
(134,34,2,0),
(135,34,3,0),
(136,34,4,0),
(137,35,1,1),
(138,35,2,0),
(139,35,3,0),
(140,35,4,0),
(141,36,1,1),
(142,36,2,0),
(143,36,3,0),
(144,36,4,0),
(145,37,1,1),
(146,37,2,0),
(147,37,3,0),
(148,37,4,0),
(149,38,1,1),
(150,38,2,0),
(151,38,3,0),
(152,38,4,0),
(153,39,1,1),
(154,39,2,0),
(155,39,3,0),
(156,39,4,0),
(157,40,1,1),
(158,40,2,0),
(159,40,3,0),
(160,40,4,0);

/* Table structure for table `ps_image_lang` */
DROP TABLE IF EXISTS `ps_image_lang`;

CREATE TABLE `ps_image_lang` (
  `id_image` int(10) unsigned NOT NULL,
  `id_lang` int(10) unsigned NOT NULL,
  `legend` varchar(128) DEFAULT NULL,
  PRIMARY KEY (`id_image`,`id_lang`),
  KEY `id_image` (`id_image`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

/* dumping data for table `ps_image_lang` */
INSERT INTO `ps_image_lang` VALUES
(1,1,'2011 Bell Sequence MTB Helmet'),
(1,2,'2011 Bell Sequence MTB Helmet'),
(1,3,'2011 Bell Sequence MTB Helmet'),
(1,4,'2011 Bell Sequence MTB Helmet'),
(1,5,'2011 Bell Sequence MTB Helmet'),
(2,1,'2011 Bell Sequence MTB Helmet'),
(2,2,'2011 Bell Sequence MTB Helmet'),
(2,3,'2011 Bell Sequence MTB Helmet'),
(2,4,'2011 Bell Sequence MTB Helmet'),
(2,5,'2011 Bell Sequence MTB Helmet'),
(3,1,'2011 Bell Sequence MTB Helmet'),
(3,2,'2011 Bell Sequence MTB Helmet'),
(3,3,'2011 Bell Sequence MTB Helmet'),
(3,4,'2011 Bell Sequence MTB Helmet'),
(3,5,'2011 Bell Sequence MTB Helmet'),
(4,1,'2011 Bell Sequence MTB Helmet'),
(4,2,'2011 Bell Sequence MTB Helmet'),
(4,3,'2011 Bell Sequence MTB Helmet'),
(4,4,'2011 Bell Sequence MTB Helmet'),
(4,5,'2011 Bell Sequence MTB Helmet'),
(5,1,'Access XCL 9er Frame'),
(5,2,'Access XCL 9er Frame'),
(5,3,'Access XCL 9er Frame'),
(5,4,'Access XCL 9er Frame'),
(5,5,'Access XCL 9er Frame'),
(6,1,'Access XCL 9er Frame'),
(6,2,'Access XCL 9er Frame'),
(6,3,'Access XCL 9er Frame'),
(6,4,'Access XCL 9er Frame'),
(6,5,'Access XCL 9er Frame'),
(7,1,'Access XCL 9er Frame'),
(7,2,'Access XCL 9er Frame'),
(7,3,'Access XCL 9er Frame'),
(7,4,'Access XCL 9er Frame'),
(7,5,'Access XCL 9er Frame'),
(8,1,'Access XCL 9er Frame'),
(8,2,'Access XCL 9er Frame'),
(8,3,'Access XCL 9er Frame'),
(8,4,'Access XCL 9er Frame'),
(8,5,'Access XCL 9er Frame'),
(9,1,'AGU Robotica Short Sleeve Jersey'),
(9,2,'AGU Robotica Short Sleeve Jersey'),
(9,3,'AGU Robotica Short Sleeve Jersey'),
(9,4,'AGU Robotica Short Sleeve Jersey'),
(9,5,'AGU Robotica Short Sleeve Jersey'),
(10,1,'AGU Robotica Short Sleeve Jersey'),
(10,2,'AGU Robotica Short Sleeve Jersey'),
(10,3,'AGU Robotica Short Sleeve Jersey'),
(10,4,'AGU Robotica Short Sleeve Jersey'),
(10,5,'AGU Robotica Short Sleeve Jersey'),
(11,1,'AGU Robotica Short Sleeve Jersey'),
(11,2,'AGU Robotica Short Sleeve Jersey'),
(11,3,'AGU Robotica Short Sleeve Jersey'),
(11,4,'AGU Robotica Short Sleeve Jersey'),
(11,5,'AGU Robotica Short Sleeve Jersey'),
(12,1,'AGU Robotica Short Sleeve Jersey'),
(12,2,'AGU Robotica Short Sleeve Jersey'),
(12,3,'AGU Robotica Short Sleeve Jersey'),
(12,4,'AGU Robotica Short Sleeve Jersey'),
(12,5,'AGU Robotica Short Sleeve Jersey'),
(13,1,'Ascent Strada Road Helmet'),
(13,2,'Ascent Strada Road Helmet'),
(13,3,'Ascent Strada Road Helmet'),
(13,4,'Ascent Strada Road Helmet'),
(13,5,'Ascent Strada Road Helmet'),
(14,1,'Ascent Strada Road Helmet'),
(14,2,'Ascent Strada Road Helmet'),
(14,3,'Ascent Strada Road Helmet'),
(14,4,'Ascent Strada Road Helmet'),
(14,5,'Ascent Strada Road Helmet'),
(15,1,'Ascent Strada Road Helmet'),
(15,2,'Ascent Strada Road Helmet'),
(15,3,'Ascent Strada Road Helmet'),
(15,4,'Ascent Strada Road Helmet'),
(15,5,'Ascent Strada Road Helmet'),
(16,1,'Ascent Strada Road Helmet'),
(16,2,'Ascent Strada Road Helmet'),
(16,3,'Ascent Strada Road Helmet'),
(16,4,'Ascent Strada Road Helmet'),
(16,5,'Ascent Strada Road Helmet'),
(17,1,'Bell Alchera Euro Road Helmet'),
(17,2,'Bell Alchera Euro Road Helmet'),
(17,3,'Bell Alchera Euro Road Helmet'),
(17,4,'Bell Alchera Euro Road Helmet'),
(17,5,'Bell Alchera Euro Road Helmet'),
(18,1,'Bell Alchera Euro Road Helmet'),
(18,2,'Bell Alchera Euro Road Helmet'),
(18,3,'Bell Alchera Euro Road Helmet'),
(18,4,'Bell Alchera Euro Road Helmet'),
(18,5,'Bell Alchera Euro Road Helmet'),
(19,1,'Bell Alchera Euro Road Helmet'),
(19,2,'Bell Alchera Euro Road Helmet'),
(19,3,'Bell Alchera Euro Road Helmet'),
(19,4,'Bell Alchera Euro Road Helmet'),
(19,5,'Bell Alchera Euro Road Helmet'),
(20,1,'Bell Alchera Euro Road Helmet'),
(20,2,'Bell Alchera Euro Road Helmet'),
(20,3,'Bell Alchera Euro Road Helmet'),
(20,4,'Bell Alchera Euro Road Helmet'),
(20,5,'Bell Alchera Euro Road Helmet'),
(21,1,'Easton EA50 Rear Wheel'),
(21,2,'Easton EA50 Rear Wheel'),
(21,3,'Easton EA50 Rear Wheel'),
(21,4,'Easton EA50 Rear Wheel'),
(21,5,'Easton EA50 Rear Wheel'),
(22,1,'Easton EA50 Rear Wheel'),
(22,2,'Easton EA50 Rear Wheel'),
(22,3,'Easton EA50 Rear Wheel'),
(22,4,'Easton EA50 Rear Wheel'),
(22,5,'Easton EA50 Rear Wheel'),
(23,1,'Easton EA50 Rear Wheel'),
(23,2,'Easton EA50 Rear Wheel'),
(23,3,'Easton EA50 Rear Wheel'),
(23,4,'Easton EA50 Rear Wheel'),
(23,5,'Easton EA50 Rear Wheel'),
(24,1,'Easton EA50 Rear Wheel'),
(24,2,'Easton EA50 Rear Wheel'),
(24,3,'Easton EA50 Rear Wheel'),
(24,4,'Easton EA50 Rear Wheel'),
(24,5,'Easton EA50 Rear Wheel'),
(25,1,'Easton EA70 XC Front Wheel'),
(25,2,'Easton EA70 XC Front Wheel'),
(25,3,'Easton EA70 XC Front Wheel'),
(25,4,'Easton EA70 XC Front Wheel'),
(25,5,'Easton EA70 XC Front Wheel'),
(26,1,'Easton EA70 XC Front Wheel'),
(26,2,'Easton EA70 XC Front Wheel'),
(26,3,'Easton EA70 XC Front Wheel'),
(26,4,'Easton EA70 XC Front Wheel'),
(26,5,'Easton EA70 XC Front Wheel'),
(27,1,'Easton EA70 XC Front Wheel'),
(27,2,'Easton EA70 XC Front Wheel'),
(27,3,'Easton EA70 XC Front Wheel'),
(27,4,'Easton EA70 XC Front Wheel'),
(27,5,'Easton EA70 XC Front Wheel'),
(28,1,'Easton EA70 XC Front Wheel'),
(28,2,'Easton EA70 XC Front Wheel'),
(28,3,'Easton EA70 XC Front Wheel'),
(28,4,'Easton EA70 XC Front Wheel'),
(28,5,'Easton EA70 XC Front Wheel'),
(29,1,'Fi\'zik Antares Braided Saddle'),
(29,2,'Fi\'zik Antares Braided Saddle'),
(29,3,'Fi\'zik Antares Braided Saddle'),
(29,4,'Fi\'zik Antares Braided Saddle'),
(29,5,'Fi\'zik Antares Braided Saddle'),
(30,1,'Fi\'zik Antares Braided Saddle'),
(30,2,'Fi\'zik Antares Braided Saddle'),
(30,3,'Fi\'zik Antares Braided Saddle'),
(30,4,'Fi\'zik Antares Braided Saddle'),
(30,5,'Fi\'zik Antares Braided Saddle'),
(31,1,'Fi\'zik Antares Braided Saddle'),
(31,2,'Fi\'zik Antares Braided Saddle'),
(31,3,'Fi\'zik Antares Braided Saddle'),
(31,4,'Fi\'zik Antares Braided Saddle'),
(31,5,'Fi\'zik Antares Braided Saddle'),
(32,1,'Fi\'zik Antares Braided Saddle'),
(32,2,'Fi\'zik Antares Braided Saddle'),
(32,3,'Fi\'zik Antares Braided Saddle'),
(32,4,'Fi\'zik Antares Braided Saddle'),
(32,5,'Fi\'zik Antares Braided Saddle'),
(33,1,'Fi\'zik Antares Team Edition Saddle'),
(33,2,'Fi\'zik Antares Team Edition Saddle'),
(33,3,'Fi\'zik Antares Team Edition Saddle'),
(33,4,'Fi\'zik Antares Team Edition Saddle'),
(33,5,'Fi\'zik Antares Team Edition Saddle'),
(34,1,'Fi\'zik Antares Team Edition Saddle'),
(34,2,'Fi\'zik Antares Team Edition Saddle'),
(34,3,'Fi\'zik Antares Team Edition Saddle'),
(34,4,'Fi\'zik Antares Team Edition Saddle'),
(34,5,'Fi\'zik Antares Team Edition Saddle'),
(35,1,'Fi\'zik Antares Team Edition Saddle'),
(35,2,'Fi\'zik Antares Team Edition Saddle'),
(35,3,'Fi\'zik Antares Team Edition Saddle'),
(35,4,'Fi\'zik Antares Team Edition Saddle'),
(35,5,'Fi\'zik Antares Team Edition Saddle'),
(36,1,'Fi\'zik Antares Team Edition Saddle'),
(36,2,'Fi\'zik Antares Team Edition Saddle'),
(36,3,'Fi\'zik Antares Team Edition Saddle'),
(36,4,'Fi\'zik Antares Team Edition Saddle'),
(36,5,'Fi\'zik Antares Team Edition Saddle'),
(37,1,'Forte Adjustable 25.4mm Stem'),
(37,2,'Forte Adjustable 25.4mm Stem'),
(37,3,'Forte Adjustable 25.4mm Stem'),
(37,4,'Forte Adjustable 25.4mm Stem'),
(37,5,'Forte Adjustable 25.4mm Stem'),
(38,1,'Forte Adjustable 25.4mm Stem'),
(38,2,'Forte Adjustable 25.4mm Stem'),
(38,3,'Forte Adjustable 25.4mm Stem'),
(38,4,'Forte Adjustable 25.4mm Stem'),
(38,5,'Forte Adjustable 25.4mm Stem'),
(39,1,'Forte Adjustable 25.4mm Stem'),
(39,2,'Forte Adjustable 25.4mm Stem'),
(39,3,'Forte Adjustable 25.4mm Stem'),
(39,4,'Forte Adjustable 25.4mm Stem'),
(39,5,'Forte Adjustable 25.4mm Stem'),
(40,1,'Forte Adjustable 25.4mm Stem'),
(40,2,'Forte Adjustable 25.4mm Stem'),
(40,3,'Forte Adjustable 25.4mm Stem'),
(40,4,'Forte Adjustable 25.4mm Stem'),
(40,5,'Forte Adjustable 25.4mm Stem'),
(41,1,'Fox 32 Float 100 FIT RLC Suspension Fork'),
(41,2,'Fox 32 Float 100 FIT RLC Suspension Fork'),
(41,3,'Fox 32 Float 100 FIT RLC Suspension Fork'),
(41,4,'Fox 32 Float 100 FIT RLC Suspension Fork'),
(41,5,'Fox 32 Float 100 FIT RLC Suspension Fork'),
(42,1,'Fox 32 Float 100 FIT RLC Suspension Fork'),
(42,2,'Fox 32 Float 100 FIT RLC Suspension Fork'),
(42,3,'Fox 32 Float 100 FIT RLC Suspension Fork'),
(42,4,'Fox 32 Float 100 FIT RLC Suspension Fork'),
(42,5,'Fox 32 Float 100 FIT RLC Suspension Fork'),
(43,1,'Fox 32 Float 100 FIT RLC Suspension Fork'),
(43,2,'Fox 32 Float 100 FIT RLC Suspension Fork'),
(43,3,'Fox 32 Float 100 FIT RLC Suspension Fork'),
(43,4,'Fox 32 Float 100 FIT RLC Suspension Fork'),
(43,5,'Fox 32 Float 100 FIT RLC Suspension Fork'),
(44,1,'Fox 32 Float 100 FIT RLC Suspension Fork'),
(44,2,'Fox 32 Float 100 FIT RLC Suspension Fork'),
(44,3,'Fox 32 Float 100 FIT RLC Suspension Fork'),
(44,4,'Fox 32 Float 100 FIT RLC Suspension Fork'),
(44,5,'Fox 32 Float 100 FIT RLC Suspension Fork'),
(45,1,'Fox 32 Float 140 FIT RLC Suspension Fork'),
(45,2,'Fox 32 Float 140 FIT RLC Suspension Fork'),
(45,3,'Fox 32 Float 140 FIT RLC Suspension Fork'),
(45,4,'Fox 32 Float 140 FIT RLC Suspension Fork'),
(45,5,'Fox 32 Float 140 FIT RLC Suspension Fork'),
(46,1,'Fox 32 Float 140 FIT RLC Suspension Fork'),
(46,2,'Fox 32 Float 140 FIT RLC Suspension Fork'),
(46,3,'Fox 32 Float 140 FIT RLC Suspension Fork'),
(46,4,'Fox 32 Float 140 FIT RLC Suspension Fork'),
(46,5,'Fox 32 Float 140 FIT RLC Suspension Fork'),
(47,1,'Fox 32 Float 140 FIT RLC Suspension Fork'),
(47,2,'Fox 32 Float 140 FIT RLC Suspension Fork'),
(47,3,'Fox 32 Float 140 FIT RLC Suspension Fork'),
(47,4,'Fox 32 Float 140 FIT RLC Suspension Fork'),
(47,5,'Fox 32 Float 140 FIT RLC Suspension Fork'),
(48,1,'Fox 32 Float 140 FIT RLC Suspension Fork'),
(48,2,'Fox 32 Float 140 FIT RLC Suspension Fork'),
(48,3,'Fox 32 Float 140 FIT RLC Suspension Fork'),
(48,4,'Fox 32 Float 140 FIT RLC Suspension Fork'),
(48,5,'Fox 32 Float 140 FIT RLC Suspension Fork'),
(49,1,'Giro Stylus Road Helmet'),
(49,2,'Giro Stylus Road Helmet'),
(49,3,'Giro Stylus Road Helmet'),
(49,4,'Giro Stylus Road Helmet'),
(49,5,'Giro Stylus Road Helmet'),
(50,1,'Giro Stylus Road Helmet'),
(50,2,'Giro Stylus Road Helmet'),
(50,3,'Giro Stylus Road Helmet'),
(50,4,'Giro Stylus Road Helmet'),
(50,5,'Giro Stylus Road Helmet'),
(51,1,'Giro Stylus Road Helmet'),
(51,2,'Giro Stylus Road Helmet'),
(51,3,'Giro Stylus Road Helmet'),
(51,4,'Giro Stylus Road Helmet'),
(51,5,'Giro Stylus Road Helmet'),
(52,1,'Giro Stylus Road Helmet'),
(52,2,'Giro Stylus Road Helmet'),
(52,3,'Giro Stylus Road Helmet'),
(52,4,'Giro Stylus Road Helmet'),
(52,5,'Giro Stylus Road Helmet'),
(53,1,'Louis Garneau BioGel Air Gloves'),
(53,2,'Louis Garneau BioGel Air Gloves'),
(53,3,'Louis Garneau BioGel Air Gloves'),
(53,4,'Louis Garneau BioGel Air Gloves'),
(53,5,'Louis Garneau BioGel Air Gloves'),
(54,1,'Louis Garneau BioGel Air Gloves'),
(54,2,'Louis Garneau BioGel Air Gloves'),
(54,3,'Louis Garneau BioGel Air Gloves'),
(54,4,'Louis Garneau BioGel Air Gloves'),
(54,5,'Louis Garneau BioGel Air Gloves'),
(55,1,'Louis Garneau BioGel Air Gloves'),
(55,2,'Louis Garneau BioGel Air Gloves'),
(55,3,'Louis Garneau BioGel Air Gloves'),
(55,4,'Louis Garneau BioGel Air Gloves'),
(55,5,'Louis Garneau BioGel Air Gloves'),
(56,1,'Louis Garneau BioGel Air Gloves'),
(56,2,'Louis Garneau BioGel Air Gloves'),
(56,3,'Louis Garneau BioGel Air Gloves'),
(56,4,'Louis Garneau BioGel Air Gloves'),
(56,5,'Louis Garneau BioGel Air Gloves'),
(57,1,'Marathon Carbon Pro Mountain Bike'),
(57,2,'Marathon Carbon Pro Mountain Bike'),
(57,3,'Marathon Carbon Pro Mountain Bike'),
(57,4,'Marathon Carbon Pro Mountain Bike'),
(57,5,'Marathon Carbon Pro Mountain Bike'),
(58,1,'Marathon Carbon Pro Mountain Bike'),
(58,2,'Marathon Carbon Pro Mountain Bike'),
(58,3,'Marathon Carbon Pro Mountain Bike'),
(58,4,'Marathon Carbon Pro Mountain Bike'),
(58,5,'Marathon Carbon Pro Mountain Bike'),
(59,1,'Marathon Carbon Pro Mountain Bike'),
(59,2,'Marathon Carbon Pro Mountain Bike'),
(59,3,'Marathon Carbon Pro Mountain Bike'),
(59,4,'Marathon Carbon Pro Mountain Bike'),
(59,5,'Marathon Carbon Pro Mountain Bike'),
(60,1,'Marathon Carbon Pro Mountain Bike'),
(60,2,'Marathon Carbon Pro Mountain Bike'),
(60,3,'Marathon Carbon Pro Mountain Bike'),
(60,4,'Marathon Carbon Pro Mountain Bike'),
(60,5,'Marathon Carbon Pro Mountain Bike'),
(61,1,'Mavic Crossmax SLR Disc Front Wheel'),
(61,2,'Mavic Crossmax SLR Disc Front Wheel'),
(61,3,'Mavic Crossmax SLR Disc Front Wheel'),
(61,4,'Mavic Crossmax SLR Disc Front Wheel'),
(61,5,'Mavic Crossmax SLR Disc Front Wheel'),
(62,1,'Mavic Crossmax SLR Disc Front Wheel'),
(62,2,'Mavic Crossmax SLR Disc Front Wheel'),
(62,3,'Mavic Crossmax SLR Disc Front Wheel'),
(62,4,'Mavic Crossmax SLR Disc Front Wheel'),
(62,5,'Mavic Crossmax SLR Disc Front Wheel'),
(63,1,'Mavic Crossmax SLR Disc Front Wheel'),
(63,2,'Mavic Crossmax SLR Disc Front Wheel'),
(63,3,'Mavic Crossmax SLR Disc Front Wheel'),
(63,4,'Mavic Crossmax SLR Disc Front Wheel'),
(63,5,'Mavic Crossmax SLR Disc Front Wheel'),
(64,1,'Mavic Crossmax SLR Disc Front Wheel'),
(64,2,'Mavic Crossmax SLR Disc Front Wheel'),
(64,3,'Mavic Crossmax SLR Disc Front Wheel'),
(64,4,'Mavic Crossmax SLR Disc Front Wheel'),
(64,5,'Mavic Crossmax SLR Disc Front Wheel'),
(65,1,'Mavic Crossmax SLR Disc Wheelset'),
(65,2,'Mavic Crossmax SLR Disc Wheelset'),
(65,3,'Mavic Crossmax SLR Disc Wheelset'),
(65,4,'Mavic Crossmax SLR Disc Wheelset'),
(65,5,'Mavic Crossmax SLR Disc Wheelset'),
(66,1,'Mavic Crossmax SLR Disc Wheelset'),
(66,2,'Mavic Crossmax SLR Disc Wheelset'),
(66,3,'Mavic Crossmax SLR Disc Wheelset'),
(66,4,'Mavic Crossmax SLR Disc Wheelset'),
(66,5,'Mavic Crossmax SLR Disc Wheelset'),
(67,1,'Mavic Crossmax SLR Disc Wheelset'),
(67,2,'Mavic Crossmax SLR Disc Wheelset'),
(67,3,'Mavic Crossmax SLR Disc Wheelset'),
(67,4,'Mavic Crossmax SLR Disc Wheelset'),
(67,5,'Mavic Crossmax SLR Disc Wheelset'),
(68,1,'Mavic Crossmax SLR Disc Wheelset'),
(68,2,'Mavic Crossmax SLR Disc Wheelset'),
(68,3,'Mavic Crossmax SLR Disc Wheelset'),
(68,4,'Mavic Crossmax SLR Disc Wheelset'),
(68,5,'Mavic Crossmax SLR Disc Wheelset'),
(69,1,'Mountain FRS Quad XC 120 Mount Vision 5.6 (EXP)'),
(69,2,'Mountain FRS Quad XC 120 Mount Vision 5.6 (EXP)'),
(69,3,'Mountain FRS Quad XC 120 Mount Vision 5.6 (EXP)'),
(69,4,'Mountain FRS Quad XC 120 Mount Vision 5.6 (EXP)'),
(69,5,'Mountain FRS Quad XC 120 Mount Vision 5.6 (EXP)'),
(70,1,'Mountain FRS Quad XC 120 Mount Vision 5.6 (EXP)'),
(70,2,'Mountain FRS Quad XC 120 Mount Vision 5.6 (EXP)'),
(70,3,'Mountain FRS Quad XC 120 Mount Vision 5.6 (EXP)'),
(70,4,'Mountain FRS Quad XC 120 Mount Vision 5.6 (EXP)'),
(70,5,'Mountain FRS Quad XC 120 Mount Vision 5.6 (EXP)'),
(71,1,'Mountain FRS Quad XC 120 Mount Vision 5.6 (EXP)'),
(71,2,'Mountain FRS Quad XC 120 Mount Vision 5.6 (EXP)'),
(71,3,'Mountain FRS Quad XC 120 Mount Vision 5.6 (EXP)'),
(71,4,'Mountain FRS Quad XC 120 Mount Vision 5.6 (EXP)'),
(71,5,'Mountain FRS Quad XC 120 Mount Vision 5.6 (EXP)'),
(72,1,'Mountain FRS Quad XC 120 Mount Vision 5.6 (EXP)'),
(72,2,'Mountain FRS Quad XC 120 Mount Vision 5.6 (EXP)'),
(72,3,'Mountain FRS Quad XC 120 Mount Vision 5.6 (EXP)'),
(72,4,'Mountain FRS Quad XC 120 Mount Vision 5.6 (EXP)'),
(72,5,'Mountain FRS Quad XC 120 Mount Vision 5.6 (EXP)'),
(73,1,'Mountain FRS Quad XLT Quake 7.9'),
(73,2,'Mountain FRS Quad XLT Quake 7.9'),
(73,3,'Mountain FRS Quad XLT Quake 7.9'),
(73,4,'Mountain FRS Quad XLT Quake 7.9'),
(73,5,'Mountain FRS Quad XLT Quake 7.9'),
(74,1,'Mountain FRS Quad XLT Quake 7.9'),
(74,2,'Mountain FRS Quad XLT Quake 7.9'),
(74,3,'Mountain FRS Quad XLT Quake 7.9'),
(74,4,'Mountain FRS Quad XLT Quake 7.9'),
(74,5,'Mountain FRS Quad XLT Quake 7.9'),
(75,1,'Mountain FRS Quad XLT Quake 7.9'),
(75,2,'Mountain FRS Quad XLT Quake 7.9'),
(75,3,'Mountain FRS Quad XLT Quake 7.9'),
(75,4,'Mountain FRS Quad XLT Quake 7.9'),
(75,5,'Mountain FRS Quad XLT Quake 7.9'),
(76,1,'Mountain FRS Quad XLT Quake 7.9'),
(76,2,'Mountain FRS Quad XLT Quake 7.9'),
(76,3,'Mountain FRS Quad XLT Quake 7.9'),
(76,4,'Mountain FRS Quad XLT Quake 7.9'),
(76,5,'Mountain FRS Quad XLT Quake 7.9'),
(77,1,'Pearl Izumi Select Thermal Long Sleeve Jersey'),
(77,2,'Pearl Izumi Select Thermal Long Sleeve Jersey'),
(77,3,'Pearl Izumi Select Thermal Long Sleeve Jersey'),
(77,4,'Pearl Izumi Select Thermal Long Sleeve Jersey'),
(77,5,'Pearl Izumi Select Thermal Long Sleeve Jersey'),
(78,1,'Pearl Izumi Select Thermal Long Sleeve Jersey'),
(78,2,'Pearl Izumi Select Thermal Long Sleeve Jersey'),
(78,3,'Pearl Izumi Select Thermal Long Sleeve Jersey'),
(78,4,'Pearl Izumi Select Thermal Long Sleeve Jersey'),
(78,5,'Pearl Izumi Select Thermal Long Sleeve Jersey'),
(79,1,'Pearl Izumi Select Thermal Long Sleeve Jersey'),
(79,2,'Pearl Izumi Select Thermal Long Sleeve Jersey'),
(79,3,'Pearl Izumi Select Thermal Long Sleeve Jersey'),
(79,4,'Pearl Izumi Select Thermal Long Sleeve Jersey'),
(79,5,'Pearl Izumi Select Thermal Long Sleeve Jersey'),
(80,1,'Pearl Izumi Select Thermal Long Sleeve Jersey'),
(80,2,'Pearl Izumi Select Thermal Long Sleeve Jersey'),
(80,3,'Pearl Izumi Select Thermal Long Sleeve Jersey'),
(80,4,'Pearl Izumi Select Thermal Long Sleeve Jersey'),
(80,5,'Pearl Izumi Select Thermal Long Sleeve Jersey'),
(81,1,'Performance Classic II Gloves'),
(81,2,'Performance Classic II Gloves'),
(81,3,'Performance Classic II Gloves'),
(81,4,'Performance Classic II Gloves'),
(81,5,'Performance Classic II Gloves'),
(82,1,'Performance Classic II Gloves'),
(82,2,'Performance Classic II Gloves'),
(82,3,'Performance Classic II Gloves'),
(82,4,'Performance Classic II Gloves'),
(82,5,'Performance Classic II Gloves'),
(83,1,'Performance Classic II Gloves'),
(83,2,'Performance Classic II Gloves'),
(83,3,'Performance Classic II Gloves'),
(83,4,'Performance Classic II Gloves'),
(83,5,'Performance Classic II Gloves'),
(84,1,'Performance Classic II Gloves'),
(84,2,'Performance Classic II Gloves'),
(84,3,'Performance Classic II Gloves'),
(84,4,'Performance Classic II Gloves'),
(84,5,'Performance Classic II Gloves'),
(85,1,'Profile Design Tri-Stryke Ti Saddle'),
(85,2,'Profile Design Tri-Stryke Ti Saddle'),
(85,3,'Profile Design Tri-Stryke Ti Saddle'),
(85,4,'Profile Design Tri-Stryke Ti Saddle'),
(85,5,'Profile Design Tri-Stryke Ti Saddle'),
(86,1,'Profile Design Tri-Stryke Ti Saddle'),
(86,2,'Profile Design Tri-Stryke Ti Saddle'),
(86,3,'Profile Design Tri-Stryke Ti Saddle'),
(86,4,'Profile Design Tri-Stryke Ti Saddle'),
(86,5,'Profile Design Tri-Stryke Ti Saddle'),
(87,1,'Profile Design Tri-Stryke Ti Saddle'),
(87,2,'Profile Design Tri-Stryke Ti Saddle'),
(87,3,'Profile Design Tri-Stryke Ti Saddle'),
(87,4,'Profile Design Tri-Stryke Ti Saddle'),
(87,5,'Profile Design Tri-Stryke Ti Saddle'),
(88,1,'Profile Design Tri-Stryke Ti Saddle'),
(88,2,'Profile Design Tri-Stryke Ti Saddle'),
(88,3,'Profile Design Tri-Stryke Ti Saddle'),
(88,4,'Profile Design Tri-Stryke Ti Saddle'),
(88,5,'Profile Design Tri-Stryke Ti Saddle'),
(89,1,'Ritchey WCS 4-Axis Stem'),
(89,2,'Ritchey WCS 4-Axis Stem'),
(89,3,'Ritchey WCS 4-Axis Stem'),
(89,4,'Ritchey WCS 4-Axis Stem'),
(89,5,'Ritchey WCS 4-Axis Stem'),
(90,1,'Ritchey WCS 4-Axis Stem'),
(90,2,'Ritchey WCS 4-Axis Stem'),
(90,3,'Ritchey WCS 4-Axis Stem'),
(90,4,'Ritchey WCS 4-Axis Stem'),
(90,5,'Ritchey WCS 4-Axis Stem'),
(91,1,'Ritchey WCS 4-Axis Stem'),
(91,2,'Ritchey WCS 4-Axis Stem'),
(91,3,'Ritchey WCS 4-Axis Stem'),
(91,4,'Ritchey WCS 4-Axis Stem'),
(91,5,'Ritchey WCS 4-Axis Stem'),
(92,1,'Ritchey WCS 4-Axis Stem'),
(92,2,'Ritchey WCS 4-Axis Stem'),
(92,3,'Ritchey WCS 4-Axis Stem'),
(92,4,'Ritchey WCS 4-Axis Stem'),
(92,5,'Ritchey WCS 4-Axis Stem'),
(93,1,'Rock Shox Recon Silver Suspension Fork'),
(93,2,'Rock Shox Recon Silver Suspension Fork'),
(93,3,'Rock Shox Recon Silver Suspension Fork'),
(93,4,'Rock Shox Recon Silver Suspension Fork'),
(93,5,'Rock Shox Recon Silver Suspension Fork'),
(94,1,'Rock Shox Recon Silver Suspension Fork'),
(94,2,'Rock Shox Recon Silver Suspension Fork'),
(94,3,'Rock Shox Recon Silver Suspension Fork'),
(94,4,'Rock Shox Recon Silver Suspension Fork'),
(94,5,'Rock Shox Recon Silver Suspension Fork'),
(95,1,'Rock Shox Recon Silver Suspension Fork'),
(95,2,'Rock Shox Recon Silver Suspension Fork'),
(95,3,'Rock Shox Recon Silver Suspension Fork'),
(95,4,'Rock Shox Recon Silver Suspension Fork'),
(95,5,'Rock Shox Recon Silver Suspension Fork'),
(96,1,'Rock Shox Recon Silver Suspension Fork'),
(96,2,'Rock Shox Recon Silver Suspension Fork'),
(96,3,'Rock Shox Recon Silver Suspension Fork'),
(96,4,'Rock Shox Recon Silver Suspension Fork'),
(96,5,'Rock Shox Recon Silver Suspension Fork'),
(97,1,'Santini GXT Iron Bib Shorts'),
(97,2,'Santini GXT Iron Bib Shorts'),
(97,3,'Santini GXT Iron Bib Shorts'),
(97,4,'Santini GXT Iron Bib Shorts'),
(97,5,'Santini GXT Iron Bib Shorts'),
(98,1,'Santini GXT Iron Bib Shorts'),
(98,2,'Santini GXT Iron Bib Shorts'),
(98,3,'Santini GXT Iron Bib Shorts'),
(98,4,'Santini GXT Iron Bib Shorts'),
(98,5,'Santini GXT Iron Bib Shorts'),
(99,1,'Santini GXT Iron Bib Shorts'),
(99,2,'Santini GXT Iron Bib Shorts'),
(99,3,'Santini GXT Iron Bib Shorts'),
(99,4,'Santini GXT Iron Bib Shorts'),
(99,5,'Santini GXT Iron Bib Shorts'),
(100,1,'Santini GXT Iron Bib Shorts'),
(100,2,'Santini GXT Iron Bib Shorts'),
(100,3,'Santini GXT Iron Bib Shorts'),
(100,4,'Santini GXT Iron Bib Shorts'),
(100,5,'Santini GXT Iron Bib Shorts'),
(101,1,'Santini Italy Short Sleeve Jersey'),
(101,2,'Santini Italy Short Sleeve Jersey'),
(101,3,'Santini Italy Short Sleeve Jersey'),
(101,4,'Santini Italy Short Sleeve Jersey'),
(101,5,'Santini Italy Short Sleeve Jersey'),
(102,1,'Santini Italy Short Sleeve Jersey'),
(102,2,'Santini Italy Short Sleeve Jersey'),
(102,3,'Santini Italy Short Sleeve Jersey'),
(102,4,'Santini Italy Short Sleeve Jersey'),
(102,5,'Santini Italy Short Sleeve Jersey'),
(103,1,'Santini Italy Short Sleeve Jersey'),
(103,2,'Santini Italy Short Sleeve Jersey'),
(103,3,'Santini Italy Short Sleeve Jersey'),
(103,4,'Santini Italy Short Sleeve Jersey'),
(103,5,'Santini Italy Short Sleeve Jersey'),
(104,1,'Santini Italy Short Sleeve Jersey'),
(104,2,'Santini Italy Short Sleeve Jersey'),
(104,3,'Santini Italy Short Sleeve Jersey'),
(104,4,'Santini Italy Short Sleeve Jersey'),
(104,5,'Santini Italy Short Sleeve Jersey'),
(105,1,'Scattante Spyder Road Helmet'),
(105,2,'Scattante Spyder Road Helmet'),
(105,3,'Scattante Spyder Road Helmet'),
(105,4,'Scattante Spyder Road Helmet'),
(105,5,'Scattante Spyder Road Helmet'),
(106,1,'Scattante Spyder Road Helmet'),
(106,2,'Scattante Spyder Road Helmet'),
(106,3,'Scattante Spyder Road Helmet'),
(106,4,'Scattante Spyder Road Helmet'),
(106,5,'Scattante Spyder Road Helmet'),
(107,1,'Scattante Spyder Road Helmet'),
(107,2,'Scattante Spyder Road Helmet'),
(107,3,'Scattante Spyder Road Helmet'),
(107,4,'Scattante Spyder Road Helmet'),
(107,5,'Scattante Spyder Road Helmet'),
(108,1,'Scattante Spyder Road Helmet'),
(108,2,'Scattante Spyder Road Helmet'),
(108,3,'Scattante Spyder Road Helmet'),
(108,4,'Scattante Spyder Road Helmet'),
(108,5,'Scattante Spyder Road Helmet'),
(109,1,'Scattante XRL Cross Frame with Fork and Headset'),
(109,2,'Scattante XRL Cross Frame with Fork and Headset'),
(109,3,'Scattante XRL Cross Frame with Fork and Headset'),
(109,4,'Scattante XRL Cross Frame with Fork and Headset'),
(109,5,'Scattante XRL Cross Frame with Fork and Headset'),
(110,1,'Scattante XRL Cross Frame with Fork and Headset'),
(110,2,'Scattante XRL Cross Frame with Fork and Headset'),
(110,3,'Scattante XRL Cross Frame with Fork and Headset'),
(110,4,'Scattante XRL Cross Frame with Fork and Headset'),
(110,5,'Scattante XRL Cross Frame with Fork and Headset'),
(111,1,'Scattante XRL Cross Frame with Fork and Headset'),
(111,2,'Scattante XRL Cross Frame with Fork and Headset'),
(111,3,'Scattante XRL Cross Frame with Fork and Headset'),
(111,4,'Scattante XRL Cross Frame with Fork and Headset'),
(111,5,'Scattante XRL Cross Frame with Fork and Headset'),
(112,1,'Scattante XRL Cross Frame with Fork and Headset'),
(112,2,'Scattante XRL Cross Frame with Fork and Headset'),
(112,3,'Scattante XRL Cross Frame with Fork and Headset'),
(112,4,'Scattante XRL Cross Frame with Fork and Headset'),
(112,5,'Scattante XRL Cross Frame with Fork and Headset'),
(113,1,'Scattante XRL TT Frame with Fork and Headset'),
(113,2,'Scattante XRL TT Frame with Fork and Headset'),
(113,3,'Scattante XRL TT Frame with Fork and Headset'),
(113,4,'Scattante XRL TT Frame with Fork and Headset'),
(113,5,'Scattante XRL TT Frame with Fork and Headset'),
(114,1,'Scattante XRL TT Frame with Fork and Headset'),
(114,2,'Scattante XRL TT Frame with Fork and Headset'),
(114,3,'Scattante XRL TT Frame with Fork and Headset'),
(114,4,'Scattante XRL TT Frame with Fork and Headset'),
(114,5,'Scattante XRL TT Frame with Fork and Headset'),
(115,1,'Scattante XRL TT Frame with Fork and Headset'),
(115,2,'Scattante XRL TT Frame with Fork and Headset'),
(115,3,'Scattante XRL TT Frame with Fork and Headset'),
(115,4,'Scattante XRL TT Frame with Fork and Headset'),
(115,5,'Scattante XRL TT Frame with Fork and Headset'),
(116,1,'Scattante XRL TT Frame with Fork and Headset'),
(116,2,'Scattante XRL TT Frame with Fork and Headset'),
(116,3,'Scattante XRL TT Frame with Fork and Headset'),
(116,4,'Scattante XRL TT Frame with Fork and Headset'),
(116,5,'Scattante XRL TT Frame with Fork and Headset'),
(117,1,'Selle Italia SL Flow Saddle'),
(117,2,'Selle Italia SL Flow Saddle'),
(117,3,'Selle Italia SL Flow Saddle'),
(117,4,'Selle Italia SL Flow Saddle'),
(117,5,'Selle Italia SL Flow Saddle'),
(118,1,'Selle Italia SL Flow Saddle'),
(118,2,'Selle Italia SL Flow Saddle'),
(118,3,'Selle Italia SL Flow Saddle'),
(118,4,'Selle Italia SL Flow Saddle'),
(118,5,'Selle Italia SL Flow Saddle'),
(119,1,'Selle Italia SL Flow Saddle'),
(119,2,'Selle Italia SL Flow Saddle'),
(119,3,'Selle Italia SL Flow Saddle'),
(119,4,'Selle Italia SL Flow Saddle'),
(119,5,'Selle Italia SL Flow Saddle'),
(120,1,'Selle Italia SL Flow Saddle'),
(120,2,'Selle Italia SL Flow Saddle'),
(120,3,'Selle Italia SL Flow Saddle'),
(120,4,'Selle Italia SL Flow Saddle'),
(120,5,'Selle Italia SL Flow Saddle'),
(121,1,'Selle SMP Pro Saddle'),
(121,2,'Selle SMP Pro Saddle'),
(121,3,'Selle SMP Pro Saddle'),
(121,4,'Selle SMP Pro Saddle'),
(121,5,'Selle SMP Pro Saddle'),
(122,1,'Selle SMP Pro Saddle'),
(122,2,'Selle SMP Pro Saddle'),
(122,3,'Selle SMP Pro Saddle'),
(122,4,'Selle SMP Pro Saddle'),
(122,5,'Selle SMP Pro Saddle'),
(123,1,'Selle SMP Pro Saddle'),
(123,2,'Selle SMP Pro Saddle'),
(123,3,'Selle SMP Pro Saddle'),
(123,4,'Selle SMP Pro Saddle'),
(123,5,'Selle SMP Pro Saddle'),
(124,1,'Selle SMP Pro Saddle'),
(124,2,'Selle SMP Pro Saddle'),
(124,3,'Selle SMP Pro Saddle'),
(124,4,'Selle SMP Pro Saddle'),
(124,5,'Selle SMP Pro Saddle'),
(125,1,'Shimano 105 Brakes'),
(125,2,'Shimano 105 Brakes'),
(125,3,'Shimano 105 Brakes'),
(125,4,'Shimano 105 Brakes'),
(125,5,'Shimano 105 Brakes'),
(126,1,'Shimano 105 Brakes'),
(126,2,'Shimano 105 Brakes'),
(126,3,'Shimano 105 Brakes'),
(126,4,'Shimano 105 Brakes'),
(126,5,'Shimano 105 Brakes'),
(127,1,'Shimano 105 Brakes'),
(127,2,'Shimano 105 Brakes'),
(127,3,'Shimano 105 Brakes'),
(127,4,'Shimano 105 Brakes'),
(127,5,'Shimano 105 Brakes'),
(128,1,'Shimano 105 Brakes'),
(128,2,'Shimano 105 Brakes'),
(128,3,'Shimano 105 Brakes'),
(128,4,'Shimano 105 Brakes'),
(128,5,'Shimano 105 Brakes'),
(129,1,'Shimano Dura-Ace BR-7900 Brakes'),
(129,2,'Shimano Dura-Ace BR-7900 Brakes'),
(129,3,'Shimano Dura-Ace BR-7900 Brakes'),
(129,4,'Shimano Dura-Ace BR-7900 Brakes'),
(129,5,'Shimano Dura-Ace BR-7900 Brakes'),
(130,1,'Shimano Dura-Ace BR-7900 Brakes'),
(130,2,'Shimano Dura-Ace BR-7900 Brakes'),
(130,3,'Shimano Dura-Ace BR-7900 Brakes'),
(130,4,'Shimano Dura-Ace BR-7900 Brakes'),
(130,5,'Shimano Dura-Ace BR-7900 Brakes'),
(131,1,'Shimano Dura-Ace BR-7900 Brakes'),
(131,2,'Shimano Dura-Ace BR-7900 Brakes'),
(131,3,'Shimano Dura-Ace BR-7900 Brakes'),
(131,4,'Shimano Dura-Ace BR-7900 Brakes'),
(131,5,'Shimano Dura-Ace BR-7900 Brakes'),
(132,1,'Shimano Dura-Ace BR-7900 Brakes'),
(132,2,'Shimano Dura-Ace BR-7900 Brakes'),
(132,3,'Shimano Dura-Ace BR-7900 Brakes'),
(132,4,'Shimano Dura-Ace BR-7900 Brakes'),
(132,5,'Shimano Dura-Ace BR-7900 Brakes'),
(133,1,'Shimano Ultegra BR-6700 Brakes'),
(133,2,'Shimano Ultegra BR-6700 Brakes'),
(133,3,'Shimano Ultegra BR-6700 Brakes'),
(133,4,'Shimano Ultegra BR-6700 Brakes'),
(133,5,'Shimano Ultegra BR-6700 Brakes'),
(134,1,'Shimano Ultegra BR-6700 Brakes'),
(134,2,'Shimano Ultegra BR-6700 Brakes'),
(134,3,'Shimano Ultegra BR-6700 Brakes'),
(134,4,'Shimano Ultegra BR-6700 Brakes'),
(134,5,'Shimano Ultegra BR-6700 Brakes'),
(135,1,'Shimano Ultegra BR-6700 Brakes'),
(135,2,'Shimano Ultegra BR-6700 Brakes'),
(135,3,'Shimano Ultegra BR-6700 Brakes'),
(135,4,'Shimano Ultegra BR-6700 Brakes'),
(135,5,'Shimano Ultegra BR-6700 Brakes'),
(136,1,'Shimano Ultegra BR-6700 Brakes'),
(136,2,'Shimano Ultegra BR-6700 Brakes'),
(136,3,'Shimano Ultegra BR-6700 Brakes'),
(136,4,'Shimano Ultegra BR-6700 Brakes'),
(136,5,'Shimano Ultegra BR-6700 Brakes'),
(137,1,'Shimano XT BR-M785 Disc Brake'),
(137,2,'Shimano XT BR-M785 Disc Brake'),
(137,3,'Shimano XT BR-M785 Disc Brake'),
(137,4,'Shimano XT BR-M785 Disc Brake'),
(137,5,'Shimano XT BR-M785 Disc Brake'),
(138,1,'Shimano XT BR-M785 Disc Brake'),
(138,2,'Shimano XT BR-M785 Disc Brake'),
(138,3,'Shimano XT BR-M785 Disc Brake'),
(138,4,'Shimano XT BR-M785 Disc Brake'),
(138,5,'Shimano XT BR-M785 Disc Brake'),
(139,1,'Shimano XT BR-M785 Disc Brake'),
(139,2,'Shimano XT BR-M785 Disc Brake'),
(139,3,'Shimano XT BR-M785 Disc Brake'),
(139,4,'Shimano XT BR-M785 Disc Brake'),
(139,5,'Shimano XT BR-M785 Disc Brake'),
(140,1,'Shimano XT BR-M785 Disc Brake'),
(140,2,'Shimano XT BR-M785 Disc Brake'),
(140,3,'Shimano XT BR-M785 Disc Brake'),
(140,4,'Shimano XT BR-M785 Disc Brake'),
(140,5,'Shimano XT BR-M785 Disc Brake'),
(141,1,'Shimano XTR M988 Hydraulic Disc Brakes'),
(141,2,'Shimano XTR M988 Hydraulic Disc Brakes'),
(141,3,'Shimano XTR M988 Hydraulic Disc Brakes'),
(141,4,'Shimano XTR M988 Hydraulic Disc Brakes'),
(141,5,'Shimano XTR M988 Hydraulic Disc Brakes'),
(142,1,'Shimano XTR M988 Hydraulic Disc Brakes'),
(142,2,'Shimano XTR M988 Hydraulic Disc Brakes'),
(142,3,'Shimano XTR M988 Hydraulic Disc Brakes'),
(142,4,'Shimano XTR M988 Hydraulic Disc Brakes'),
(142,5,'Shimano XTR M988 Hydraulic Disc Brakes'),
(143,1,'Shimano XTR M988 Hydraulic Disc Brakes'),
(143,2,'Shimano XTR M988 Hydraulic Disc Brakes'),
(143,3,'Shimano XTR M988 Hydraulic Disc Brakes'),
(143,4,'Shimano XTR M988 Hydraulic Disc Brakes'),
(143,5,'Shimano XTR M988 Hydraulic Disc Brakes'),
(144,1,'Shimano XTR M988 Hydraulic Disc Brakes'),
(144,2,'Shimano XTR M988 Hydraulic Disc Brakes'),
(144,3,'Shimano XTR M988 Hydraulic Disc Brakes'),
(144,4,'Shimano XTR M988 Hydraulic Disc Brakes'),
(144,5,'Shimano XTR M988 Hydraulic Disc Brakes'),
(145,1,'SRAM Red Brakes'),
(145,2,'SRAM Red Brakes'),
(145,3,'SRAM Red Brakes'),
(145,4,'SRAM Red Brakes'),
(145,5,'SRAM Red Brakes'),
(146,1,'SRAM Red Brakes'),
(146,2,'SRAM Red Brakes'),
(146,3,'SRAM Red Brakes'),
(146,4,'SRAM Red Brakes'),
(146,5,'SRAM Red Brakes'),
(147,1,'SRAM Red Brakes'),
(147,2,'SRAM Red Brakes'),
(147,3,'SRAM Red Brakes'),
(147,4,'SRAM Red Brakes'),
(147,5,'SRAM Red Brakes'),
(148,1,'SRAM Red Brakes'),
(148,2,'SRAM Red Brakes'),
(148,3,'SRAM Red Brakes'),
(148,4,'SRAM Red Brakes'),
(148,5,'SRAM Red Brakes'),
(149,1,'SRAM S80 Front Wheel'),
(149,2,'SRAM S80 Front Wheel'),
(149,3,'SRAM S80 Front Wheel'),
(149,4,'SRAM S80 Front Wheel'),
(149,5,'SRAM S80 Front Wheel'),
(150,1,'SRAM S80 Front Wheel'),
(150,2,'SRAM S80 Front Wheel'),
(150,3,'SRAM S80 Front Wheel'),
(150,4,'SRAM S80 Front Wheel'),
(150,5,'SRAM S80 Front Wheel'),
(151,1,'SRAM S80 Front Wheel'),
(151,2,'SRAM S80 Front Wheel'),
(151,3,'SRAM S80 Front Wheel'),
(151,4,'SRAM S80 Front Wheel'),
(151,5,'SRAM S80 Front Wheel'),
(152,1,'SRAM S80 Front Wheel'),
(152,2,'SRAM S80 Front Wheel'),
(152,3,'SRAM S80 Front Wheel'),
(152,4,'SRAM S80 Front Wheel'),
(152,5,'SRAM S80 Front Wheel'),
(153,1,'SRAM S80 Rear Wheel'),
(153,2,'SRAM S80 Rear Wheel'),
(153,3,'SRAM S80 Rear Wheel'),
(153,4,'SRAM S80 Rear Wheel'),
(153,5,'SRAM S80 Rear Wheel'),
(154,1,'SRAM S80 Rear Wheel'),
(154,2,'SRAM S80 Rear Wheel'),
(154,3,'SRAM S80 Rear Wheel'),
(154,4,'SRAM S80 Rear Wheel'),
(154,5,'SRAM S80 Rear Wheel'),
(155,1,'SRAM S80 Rear Wheel'),
(155,2,'SRAM S80 Rear Wheel'),
(155,3,'SRAM S80 Rear Wheel'),
(155,4,'SRAM S80 Rear Wheel'),
(155,5,'SRAM S80 Rear Wheel'),
(156,1,'SRAM S80 Rear Wheel'),
(156,2,'SRAM S80 Rear Wheel'),
(156,3,'SRAM S80 Rear Wheel'),
(156,4,'SRAM S80 Rear Wheel'),
(156,5,'SRAM S80 Rear Wheel'),
(157,1,'Terry Butterfly TI Saddle'),
(157,2,'Terry Butterfly TI Saddle'),
(157,3,'Terry Butterfly TI Saddle'),
(157,4,'Terry Butterfly TI Saddle'),
(157,5,'Terry Butterfly TI Saddle'),
(158,1,'Terry Butterfly TI Saddle'),
(158,2,'Terry Butterfly TI Saddle'),
(158,3,'Terry Butterfly TI Saddle'),
(158,4,'Terry Butterfly TI Saddle'),
(158,5,'Terry Butterfly TI Saddle'),
(159,1,'Terry Butterfly TI Saddle'),
(159,2,'Terry Butterfly TI Saddle'),
(159,3,'Terry Butterfly TI Saddle'),
(159,4,'Terry Butterfly TI Saddle'),
(159,5,'Terry Butterfly TI Saddle'),
(160,1,'Terry Butterfly TI Saddle'),
(160,2,'Terry Butterfly TI Saddle'),
(160,3,'Terry Butterfly TI Saddle'),
(160,4,'Terry Butterfly TI Saddle'),
(160,5,'Terry Butterfly TI Saddle');

/* Table structure for table `ps_image_type` */
DROP TABLE IF EXISTS `ps_image_type`;

CREATE TABLE `ps_image_type` (
  `id_image_type` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(16) NOT NULL,
  `width` int(10) unsigned NOT NULL,
  `height` int(10) unsigned NOT NULL,
  `products` tinyint(1) NOT NULL DEFAULT '1',
  `categories` tinyint(1) NOT NULL DEFAULT '1',
  `manufacturers` tinyint(1) NOT NULL DEFAULT '1',
  `suppliers` tinyint(1) NOT NULL DEFAULT '1',
  `scenes` tinyint(1) NOT NULL DEFAULT '1',
  `stores` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id_image_type`),
  KEY `image_type_name` (`name`)
) ENGINE=MyISAM AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;

/* dumping data for table `ps_image_type` */
INSERT INTO `ps_image_type` VALUES
(1,'small',66,66,1,1,1,1,0,0),
(2,'medium',80,80,1,1,1,1,0,1),
(3,'large',304,304,1,1,1,1,0,0),
(4,'thickbox',600,600,1,0,0,0,0,0),
(5,'category',140,140,0,1,0,0,0,0),
(6,'home',140,140,1,0,0,0,0,0),
(7,'large_scene',556,200,0,0,0,0,1,0),
(8,'thumb_scene',161,58,0,0,0,0,1,0);

/* Table structure for table `ps_lang` */
DROP TABLE IF EXISTS `ps_lang`;

CREATE TABLE `ps_lang` (
  `id_lang` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(32) NOT NULL,
  `active` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `iso_code` char(2) NOT NULL,
  `language_code` char(5) NOT NULL,
  `date_format_lite` char(32) NOT NULL DEFAULT 'Y-m-d',
  `date_format_full` char(32) NOT NULL DEFAULT 'Y-m-d H:i:s',
  `is_rtl` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id_lang`),
  KEY `lang_iso_code` (`iso_code`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;

/* dumping data for table `ps_lang` */
INSERT INTO `ps_lang` VALUES
(1,'English (English)',1,'en','en-us','m/j/Y','m/j/Y H:i:s',0),
(2,'Français (French)',1,'fr','fr','d/m/Y','d/m/Y H:i:s',0),
(3,'Español (Spanish)',1,'es','es','d/m/Y','d/m/Y H:i:s',0),
(4,'Deutsch (German)',0,'de','de','d.m.Y','d.m.Y H:i:s',0),
(5,'Italiano (Italian)',0,'it','it','d/m/Y','d/m/Y H:i:s',0);

/* Table structure for table `ps_manufacturer` */
DROP TABLE IF EXISTS `ps_manufacturer`;

CREATE TABLE `ps_manufacturer` (
  `id_manufacturer` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(64) NOT NULL,
  `date_add` datetime NOT NULL,
  `date_upd` datetime NOT NULL,
  `active` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id_manufacturer`)
) ENGINE=MyISAM AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;

/* dumping data for table `ps_manufacturer` */
INSERT INTO `ps_manufacturer` VALUES
(1,'Lorem ipsum','2012-05-21 14:38:05','2012-05-31 15:52:40',1),
(2,'Sit amet conse ctetur ','2012-05-21 14:38:05','2012-05-31 15:53:09',1),
(3,'Adipisicing elit','2012-05-22 13:00:33','2012-05-31 15:53:26',1),
(4,'Sed do eiusmod ','2012-05-31 15:53:40','2012-05-31 15:53:40',1),
(5,'Tempor ','2012-05-31 15:53:52','2012-05-31 15:53:52',1),
(6,'Incididunt ut labore ','2012-05-31 15:54:05','2012-05-31 15:54:05',1),
(7,'Et dolore magna','2012-05-31 15:54:24','2012-05-31 15:54:24',1),
(8,'Ut enim ad mi','2012-05-31 15:54:37','2012-05-31 15:54:37',1);

/* Table structure for table `ps_manufacturer_lang` */
DROP TABLE IF EXISTS `ps_manufacturer_lang`;

CREATE TABLE `ps_manufacturer_lang` (
  `id_manufacturer` int(10) unsigned NOT NULL,
  `id_lang` int(10) unsigned NOT NULL,
  `description` text,
  `short_description` varchar(254) DEFAULT NULL,
  `meta_title` varchar(128) DEFAULT NULL,
  `meta_keywords` varchar(255) DEFAULT NULL,
  `meta_description` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id_manufacturer`,`id_lang`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

/* dumping data for table `ps_manufacturer_lang` */
INSERT INTO `ps_manufacturer_lang` VALUES
(1,1,'<p>Donec condimentum accumsan erat ut vestibulum. Aenean vestibulum commodo faucibus</p>','','','',''),
(1,2,'','','','',''),
(1,3,'','','','',''),
(1,4,'','','','',''),
(1,5,'','','','',''),
(2,1,'','','','',''),
(2,2,'','','','',''),
(2,3,'','','','',''),
(2,4,'','','','',''),
(2,5,'','','','',''),
(3,1,'<p>Sodales id felis. Nullam lacinia nibh ac nibh interdum sit amet varius purus imperdiet</p>','','','',''),
(3,2,'','','','',''),
(3,3,'','','','',''),
(3,4,'','','','',''),
(3,5,'','','','',''),
(4,1,'','','','',''),
(4,2,'','','','',''),
(4,3,'','','','',''),
(4,4,'','','','',''),
(4,5,'','','','',''),
(5,1,'','','','',''),
(5,2,'','','','',''),
(5,3,'','','','',''),
(5,4,'','','','',''),
(5,5,'','','','',''),
(6,1,'','','','',''),
(6,2,'','','','',''),
(6,3,'','','','',''),
(6,4,'','','','',''),
(6,5,'','','','',''),
(7,1,'','','','',''),
(7,2,'','','','',''),
(7,3,'','','','',''),
(7,4,'','','','',''),
(7,5,'','','','',''),
(8,1,'','','','',''),
(8,2,'','','','',''),
(8,3,'','','','',''),
(8,4,'','','','',''),
(8,5,'','','','','');

/* Table structure for table `ps_module` */
DROP TABLE IF EXISTS `ps_module`;

CREATE TABLE `ps_module` (
  `id_module` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(64) NOT NULL,
  `active` tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id_module`),
  KEY `name` (`name`)
) ENGINE=MyISAM AUTO_INCREMENT=81 DEFAULT CHARSET=utf8;

/* dumping data for table `ps_module` */
INSERT INTO `ps_module` VALUES
(1,'homefeatured',1),
(2,'gsitemap',1),
(3,'cheque',1),
(4,'moneybookers',1),
(58,'tmheaderlinks',1),
(6,'bankwire',1),
(7,'blockadvertising',1),
(8,'blockbestsellers',0),
(9,'blockcart',1),
(10,'blockcategories',0),
(11,'blockcurrencies',1),
(13,'blocklanguages',1),
(14,'blockmanufacturer',1),
(15,'blockmyaccount',1),
(16,'blocknewproducts',1),
(17,'blockpaymentlogo',1),
(57,'tmfooterlinks',1),
(19,'blocksearch',1),
(20,'blockspecials',1),
(74,'blocktags',1),
(22,'blockuserinfo',1),
(79,'blockviewed',1),
(25,'statsdata',1),
(26,'statsvisits',1),
(27,'statssales',1),
(28,'statsregistrations',1),
(30,'statspersonalinfos',1),
(31,'statslive',1),
(32,'statsequipment',1),
(33,'statscatalog',1),
(34,'graphvisifire',1),
(35,'graphxmlswfcharts',1),
(36,'graphgooglechart',1),
(37,'graphartichow',1),
(39,'gridhtml',1),
(40,'statsbestcustomers',1),
(41,'statsorigin',1),
(42,'pagesnotfound',1),
(43,'sekeywords',1),
(44,'statsproduct',1),
(45,'statsbestproducts',1),
(46,'statsbestcategories',1),
(47,'statsbestvouchers',1),
(48,'statsbestsuppliers',1),
(49,'statscarrier',1),
(50,'statsnewsletter',1),
(51,'statssearch',1),
(52,'statscheckup',1),
(53,'statsstock',1),
(54,'blockstore',1),
(55,'statsforecast',1),
(56,'carriercompare',1),
(59,'blocklink',1),
(80,'blocknewsletter',1),
(61,'blockrss',1),
(62,'blocksupplier',1),
(63,'sendtoafriend',1),
(64,'productcomments',1),
(77,'tmbestsellers',1),
(67,'tmspecials',1),
(78,'tmnivoslider',1),
(70,'tmtextblock',1),
(71,'tmadvblock1',1),
(72,'tmadvblock2',1),
(73,'tmcategories',1);

/* Table structure for table `ps_module_country` */
DROP TABLE IF EXISTS `ps_module_country`;

CREATE TABLE `ps_module_country` (
  `id_module` int(10) unsigned NOT NULL,
  `id_country` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id_module`,`id_country`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

/* dumping data for table `ps_module_country` */
INSERT INTO `ps_module_country` VALUES
(3,1),
(3,2),
(3,3),
(3,4),
(3,5),
(3,6),
(3,7),
(3,8),
(3,9),
(3,10),
(3,11),
(3,12),
(3,13),
(3,14),
(3,15),
(3,16),
(3,17),
(3,18),
(3,19),
(3,20),
(3,21),
(3,22),
(3,23),
(3,24),
(3,25),
(3,26),
(3,27),
(3,28),
(3,29),
(3,30),
(3,31),
(3,32),
(3,33),
(3,34),
(4,1),
(4,2),
(4,3),
(4,4),
(4,5),
(4,6),
(4,7),
(4,8),
(4,9),
(4,10),
(4,11),
(4,12),
(4,13),
(4,14),
(4,15),
(4,16),
(4,17),
(4,18),
(4,19),
(4,20),
(4,21),
(4,22),
(4,23),
(4,24),
(4,25),
(4,26),
(4,27),
(4,28),
(4,29),
(4,30),
(4,31),
(4,32),
(4,33),
(4,34),
(6,1),
(6,2),
(6,3),
(6,4),
(6,5),
(6,6),
(6,7),
(6,8),
(6,9),
(6,10),
(6,11),
(6,12),
(6,13),
(6,14),
(6,15),
(6,16),
(6,17),
(6,18),
(6,19),
(6,20),
(6,21),
(6,22),
(6,23),
(6,24),
(6,25),
(6,26),
(6,27),
(6,28),
(6,29),
(6,30),
(6,31),
(6,32),
(6,33),
(6,34);

/* Table structure for table `ps_module_currency` */
DROP TABLE IF EXISTS `ps_module_currency`;

CREATE TABLE `ps_module_currency` (
  `id_module` int(10) unsigned NOT NULL,
  `id_currency` int(11) NOT NULL,
  PRIMARY KEY (`id_module`,`id_currency`),
  KEY `id_module` (`id_module`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

/* dumping data for table `ps_module_currency` */
INSERT INTO `ps_module_currency` VALUES
(3,1),
(3,2),
(3,3),
(4,1),
(4,2),
(4,3),
(6,1),
(6,2),
(6,3);

/* Table structure for table `ps_module_group` */
DROP TABLE IF EXISTS `ps_module_group`;

CREATE TABLE `ps_module_group` (
  `id_module` int(10) unsigned NOT NULL,
  `id_group` int(11) unsigned NOT NULL,
  PRIMARY KEY (`id_module`,`id_group`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

/* dumping data for table `ps_module_group` */
INSERT INTO `ps_module_group` VALUES
(3,1),
(4,1),
(6,1);

/* Table structure for table `ps_product` */
DROP TABLE IF EXISTS `ps_product`;

CREATE TABLE `ps_product` (
  `id_product` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `id_supplier` int(10) unsigned DEFAULT NULL,
  `id_manufacturer` int(10) unsigned DEFAULT NULL,
  `id_tax_rules_group` int(10) unsigned NOT NULL,
  `id_category_default` int(10) unsigned DEFAULT NULL,
  `id_color_default` int(10) unsigned DEFAULT NULL,
  `on_sale` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `online_only` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `ean13` varchar(13) DEFAULT NULL,
  `upc` varchar(12) DEFAULT NULL,
  `ecotax` decimal(17,6) NOT NULL DEFAULT '0.000000',
  `quantity` int(10) NOT NULL DEFAULT '0',
  `minimal_quantity` int(10) unsigned NOT NULL DEFAULT '1',
  `price` decimal(20,6) NOT NULL DEFAULT '0.000000',
  `wholesale_price` decimal(20,6) NOT NULL DEFAULT '0.000000',
  `unity` varchar(255) DEFAULT NULL,
  `unit_price_ratio` decimal(20,6) NOT NULL DEFAULT '0.000000',
  `additional_shipping_cost` decimal(20,2) NOT NULL DEFAULT '0.00',
  `reference` varchar(32) DEFAULT NULL,
  `supplier_reference` varchar(32) DEFAULT NULL,
  `location` varchar(64) DEFAULT NULL,
  `width` float NOT NULL DEFAULT '0',
  `height` float NOT NULL DEFAULT '0',
  `depth` float NOT NULL DEFAULT '0',
  `weight` float NOT NULL DEFAULT '0',
  `out_of_stock` int(10) unsigned NOT NULL DEFAULT '2',
  `quantity_discount` tinyint(1) DEFAULT '0',
  `customizable` tinyint(2) NOT NULL DEFAULT '0',
  `uploadable_files` tinyint(4) NOT NULL DEFAULT '0',
  `text_fields` tinyint(4) NOT NULL DEFAULT '0',
  `active` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `available_for_order` tinyint(1) NOT NULL DEFAULT '1',
  `condition` enum('new','used','refurbished') NOT NULL DEFAULT 'new',
  `show_price` tinyint(1) NOT NULL DEFAULT '1',
  `indexed` tinyint(1) NOT NULL DEFAULT '0',
  `cache_is_pack` tinyint(1) NOT NULL DEFAULT '0',
  `cache_has_attachments` tinyint(1) NOT NULL DEFAULT '0',
  `cache_default_attribute` int(10) unsigned DEFAULT NULL,
  `date_add` datetime NOT NULL,
  `date_upd` datetime NOT NULL,
  PRIMARY KEY (`id_product`),
  KEY `product_supplier` (`id_supplier`),
  KEY `product_manufacturer` (`id_manufacturer`),
  KEY `id_category_default` (`id_category_default`),
  KEY `id_color_default` (`id_color_default`),
  KEY `date_add` (`date_add`)
) ENGINE=MyISAM AUTO_INCREMENT=41 DEFAULT CHARSET=utf8;

/* dumping data for table `ps_product` */
INSERT INTO `ps_product` VALUES
(1,2,5,0,1,0,0,0,'','','0.000000',596,1,'549.000000','0.000000','','0.000000','0.00','','','','0','0','0','0',2,0,0,0,0,1,1,'new',1,1,0,0,0,'2012-08-01 12:54:25','2012-08-01 14:14:07'),
(2,1,2,0,1,0,0,0,'','','0.000000',596,1,'215.000000','0.000000','','0.000000','0.00','','','','0','0','0','0',2,0,0,0,0,1,1,'new',1,1,0,0,0,'2012-08-01 12:54:25','2012-08-01 14:13:46'),
(3,1,8,0,1,0,0,0,'','','0.000000',14,1,'49.000000','0.000000','','0.000000','0.00','','','','0','0','0','0',2,0,0,0,0,1,1,'new',1,1,0,0,0,'2012-08-01 12:54:25','2012-08-01 14:14:25'),
(4,1,3,0,1,0,0,0,'','','0.000000',599,1,'315.000000','0.000000','','0.000000','0.00','','','','0','0','0','0',2,0,0,0,0,1,1,'new',1,1,0,0,0,'2012-08-01 12:54:25','2012-08-01 14:17:08'),
(5,2,1,0,1,0,0,0,'','','0.000000',597,1,'270.000000','0.000000','','0.000000','0.00','','','','0','0','0','0',2,0,0,0,0,1,1,'new',1,1,0,0,0,'2012-08-01 12:54:25','2012-08-01 14:11:50'),
(6,2,7,0,1,0,0,0,'','','0.000000',599,1,'620.000000','0.000000','','0.000000','0.00','','','','0','0','0','0',2,0,0,0,0,1,1,'new',1,1,0,0,0,'2012-08-01 12:54:25','2012-08-01 14:17:20'),
(7,1,6,0,1,0,0,0,'','','0.000000',100,1,'345.000000','0.000000','','0.000000','0.00','','','','0','0','0','0',2,0,0,0,0,1,1,'new',1,1,0,0,0,'2012-08-01 12:54:25','2012-08-01 14:17:34'),
(8,0,0,0,1,0,0,0,'','','0.000000',100,1,'549.000000','0.000000','','0.000000','0.00','','','','0','0','0','0',2,0,0,0,0,1,1,'new',1,1,0,0,0,'2012-08-01 12:54:25','0000-00-00 00:00:00'),
(9,2,4,0,1,0,0,0,'','','0.000000',100,1,'215.000000','0.000000','','0.000000','0.00','','','','0','0','0','0',2,0,0,0,0,1,1,'new',1,1,0,0,0,'2012-08-01 12:54:25','2012-08-01 14:17:47'),
(10,0,0,0,1,0,0,0,'','','0.000000',100,1,'49.000000','0.000000','','0.000000','0.00','','','','0','0','0','0',2,0,0,0,0,1,1,'new',1,1,0,0,0,'2012-08-01 12:54:25','0000-00-00 00:00:00'),
(11,0,0,0,1,0,0,0,'','','0.000000',100,1,'315.000000','0.000000','','0.000000','0.00','','','','0','0','0','0',2,0,0,0,0,1,1,'new',1,1,0,0,0,'2012-08-01 12:54:25','0000-00-00 00:00:00'),
(12,0,0,0,1,0,0,0,'','','0.000000',100,1,'270.000000','0.000000','','0.000000','0.00','','','','0','0','0','0',2,0,0,0,0,1,1,'new',1,1,0,0,0,'2012-08-01 12:54:25','0000-00-00 00:00:00'),
(13,0,0,0,1,0,0,0,'','','0.000000',100,1,'620.000000','0.000000','','0.000000','0.00','','','','0','0','0','0',2,0,0,0,0,1,1,'new',1,1,0,0,0,'2012-08-01 12:54:25','0000-00-00 00:00:00'),
(14,0,0,0,1,0,0,0,'','','0.000000',100,1,'345.000000','0.000000','','0.000000','0.00','','','','0','0','0','0',2,0,0,0,0,1,1,'new',1,1,0,0,0,'2012-08-01 12:54:25','0000-00-00 00:00:00'),
(15,1,3,0,1,0,0,0,'','','0.000000',100,1,'520.000000','0.000000','','0.000000','0.00','','','','0','0','0','0',2,0,0,0,0,1,1,'new',1,1,0,0,0,'2012-08-01 12:54:25','2012-08-01 14:09:52'),
(16,0,0,0,1,0,0,0,'','','0.000000',100,1,'150.000000','0.000000','','0.000000','0.00','','','','0','0','0','0',2,0,0,0,0,1,1,'new',1,1,0,0,0,'2012-08-01 12:54:25','0000-00-00 00:00:00'),
(17,0,0,0,1,0,0,0,'','','0.000000',100,1,'270.000000','0.000000','','0.000000','0.00','','','','0','0','0','0',2,0,0,0,0,1,1,'new',1,1,0,0,0,'2012-08-01 12:54:25','0000-00-00 00:00:00'),
(18,2,7,0,1,0,0,0,'','','0.000000',100,1,'80.000000','0.000000','','0.000000','0.00','','','','0','0','0','0',2,0,0,0,0,1,1,'new',1,1,0,0,0,'2012-08-01 12:54:25','2012-08-01 14:10:33'),
(19,1,6,0,1,0,0,0,'','','0.000000',100,1,'145.000000','0.000000','','0.000000','0.00','','','','0','0','0','0',2,0,0,0,0,1,1,'new',1,1,0,0,0,'2012-08-01 12:54:25','2012-08-01 14:11:04'),
(20,1,4,0,1,0,0,0,'','','0.000000',100,1,'215.000000','0.000000','','0.000000','0.00','','','','0','0','0','0',2,0,0,0,0,1,1,'new',1,1,0,0,0,'2012-08-01 12:54:25','2012-08-01 14:12:28'),
(21,0,0,0,1,0,0,0,'','','0.000000',100,1,'49.000000','0.000000','','0.000000','0.00','','','','0','0','0','0',2,0,0,0,0,1,1,'new',1,1,0,0,0,'2012-08-01 12:54:25','0000-00-00 00:00:00'),
(22,0,0,0,1,0,0,0,'','','0.000000',100,1,'315.000000','0.000000','','0.000000','0.00','','','','0','0','0','0',2,0,0,0,0,1,1,'new',1,1,0,0,0,'2012-08-01 12:54:25','0000-00-00 00:00:00'),
(23,0,0,0,1,0,0,0,'','','0.000000',100,1,'49.000000','0.000000','','0.000000','0.00','','','','0','0','0','0',2,0,0,0,0,1,1,'new',1,1,0,0,0,'2012-08-01 12:54:25','0000-00-00 00:00:00'),
(24,0,0,0,1,0,0,0,'','','0.000000',100,1,'315.000000','0.000000','','0.000000','0.00','','','','0','0','0','0',2,0,0,0,0,1,1,'new',1,1,0,0,0,'2012-08-01 12:54:25','0000-00-00 00:00:00'),
(25,0,0,0,1,0,0,0,'','','0.000000',100,1,'270.000000','0.000000','','0.000000','0.00','','','','0','0','0','0',2,0,0,0,0,1,1,'new',1,1,0,0,0,'2012-08-01 12:54:25','0000-00-00 00:00:00'),
(26,0,0,0,1,0,0,0,'','','0.000000',100,1,'620.000000','0.000000','','0.000000','0.00','','','','0','0','0','0',2,0,0,0,0,1,1,'new',1,1,0,0,0,'2012-08-01 12:54:25','0000-00-00 00:00:00'),
(27,0,0,0,1,0,0,0,'','','0.000000',100,1,'345.000000','0.000000','','0.000000','0.00','','','','0','0','0','0',2,0,0,0,0,1,1,'new',1,1,0,0,0,'2012-08-01 12:54:25','0000-00-00 00:00:00'),
(28,0,0,0,1,0,0,0,'','','0.000000',100,1,'549.000000','0.000000','','0.000000','0.00','','','','0','0','0','0',2,0,0,0,0,1,1,'new',1,1,0,0,0,'2012-08-01 12:54:25','0000-00-00 00:00:00'),
(29,0,0,0,1,0,0,0,'','','0.000000',100,1,'215.000000','0.000000','','0.000000','0.00','','','','0','0','0','0',2,0,0,0,0,1,1,'new',1,1,0,0,0,'2012-08-01 12:54:25','0000-00-00 00:00:00'),
(30,0,0,0,1,0,0,0,'','','0.000000',100,1,'49.000000','0.000000','','0.000000','0.00','','','','0','0','0','0',2,0,0,0,0,1,1,'new',1,1,0,0,0,'2012-08-01 12:54:25','0000-00-00 00:00:00'),
(31,0,0,0,1,0,0,0,'','','0.000000',100,1,'315.000000','0.000000','','0.000000','0.00','','','','0','0','0','0',2,0,0,0,0,1,1,'new',1,1,0,0,0,'2012-08-01 12:54:25','0000-00-00 00:00:00'),
(32,0,0,0,1,0,0,0,'','','0.000000',100,1,'270.000000','0.000000','','0.000000','0.00','','','','0','0','0','0',2,0,0,0,0,1,1,'new',1,1,0,0,0,'2012-08-01 12:54:25','0000-00-00 00:00:00'),
(33,0,0,0,1,0,0,0,'','','0.000000',100,1,'620.000000','0.000000','','0.000000','0.00','','','','0','0','0','0',2,0,0,0,0,1,1,'new',1,1,0,0,0,'2012-08-01 12:54:25','0000-00-00 00:00:00'),
(34,0,0,0,1,0,0,0,'','','0.000000',100,1,'150.000000','0.000000','','0.000000','0.00','','','','0','0','0','0',2,0,0,0,0,1,1,'new',1,1,0,0,0,'2012-08-01 12:54:25','0000-00-00 00:00:00'),
(35,0,0,0,1,0,0,0,'','','0.000000',100,1,'270.000000','0.000000','','0.000000','0.00','','','','0','0','0','0',2,0,0,0,0,1,1,'new',1,1,0,0,0,'2012-08-01 12:54:25','0000-00-00 00:00:00'),
(36,0,0,0,1,0,0,0,'','','0.000000',100,1,'80.000000','0.000000','','0.000000','0.00','','','','0','0','0','0',2,0,0,0,0,1,1,'new',1,1,0,0,0,'2012-08-01 12:54:25','0000-00-00 00:00:00'),
(37,0,0,0,1,0,0,0,'','','0.000000',100,1,'120.000000','0.000000','','0.000000','0.00','','','','0','0','0','0',2,0,0,0,0,1,1,'new',1,1,0,0,0,'2012-08-01 12:54:25','0000-00-00 00:00:00'),
(38,0,0,0,1,0,0,0,'','','0.000000',100,1,'95.000000','0.000000','','0.000000','0.00','','','','0','0','0','0',2,0,0,0,0,1,1,'new',1,1,0,0,0,'2012-08-01 12:54:25','0000-00-00 00:00:00'),
(39,0,0,0,1,0,0,0,'','','0.000000',100,1,'145.000000','0.000000','','0.000000','0.00','','','','0','0','0','0',2,0,0,0,0,1,1,'new',1,1,0,0,0,'2012-08-01 12:54:25','0000-00-00 00:00:00'),
(40,0,0,0,1,0,0,0,'','','0.000000',100,1,'215.000000','0.000000','','0.000000','0.00','','','','0','0','0','0',2,0,0,0,0,1,1,'new',1,1,0,0,0,'2012-08-01 12:54:25','0000-00-00 00:00:00');

/* Table structure for table `ps_product_attachment` */
DROP TABLE IF EXISTS `ps_product_attachment`;

CREATE TABLE `ps_product_attachment` (
  `id_product` int(10) unsigned NOT NULL,
  `id_attachment` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id_product`,`id_attachment`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

/* dumping data for table `ps_product_attachment` */
INSERT INTO `ps_product_attachment` VALUES
(1,1);

/* Table structure for table `ps_product_attribute` */
DROP TABLE IF EXISTS `ps_product_attribute`;

CREATE TABLE `ps_product_attribute` (
  `id_product_attribute` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `id_product` int(10) unsigned NOT NULL,
  `reference` varchar(32) DEFAULT NULL,
  `supplier_reference` varchar(32) DEFAULT NULL,
  `location` varchar(64) DEFAULT NULL,
  `ean13` varchar(13) DEFAULT NULL,
  `upc` varchar(12) DEFAULT NULL,
  `wholesale_price` decimal(20,6) NOT NULL DEFAULT '0.000000',
  `price` decimal(20,6) NOT NULL DEFAULT '0.000000',
  `ecotax` decimal(17,6) NOT NULL DEFAULT '0.000000',
  `quantity` int(10) NOT NULL DEFAULT '0',
  `weight` float NOT NULL DEFAULT '0',
  `unit_price_impact` decimal(17,2) NOT NULL DEFAULT '0.00',
  `default_on` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `minimal_quantity` int(10) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`id_product_attribute`),
  KEY `product_attribute_product` (`id_product`),
  KEY `reference` (`reference`),
  KEY `supplier_reference` (`supplier_reference`),
  KEY `product_default` (`id_product`,`default_on`),
  KEY `id_product_id_product_attribute` (`id_product_attribute`,`id_product`)
) ENGINE=MyISAM AUTO_INCREMENT=37 DEFAULT CHARSET=utf8;

/* dumping data for table `ps_product_attribute` */
INSERT INTO `ps_product_attribute` VALUES
(1,1,'','','','','','0.000000','0.000000','0.000000',96,'0','0.00',0,1),
(2,1,'','','','','','0.000000','0.000000','0.000000',100,'0','0.00',0,1),
(3,1,'','','','','','0.000000','0.000000','0.000000',100,'0','0.00',0,1),
(4,1,'','','','','','0.000000','0.000000','0.000000',100,'0','0.00',0,1),
(5,1,'','','','','','0.000000','0.000000','0.000000',100,'0','0.00',0,1),
(6,1,'','','','','','0.000000','0.000000','0.000000',100,'0','0.00',0,1),
(7,2,'','','','','','0.000000','0.000000','0.000000',96,'0','0.00',0,1),
(8,2,'','','','','','0.000000','0.000000','0.000000',100,'0','0.00',0,1),
(9,2,'','','','','','0.000000','0.000000','0.000000',100,'0','0.00',0,1),
(10,2,'','','','','','0.000000','0.000000','0.000000',100,'0','0.00',0,1),
(11,2,'','','','','','0.000000','0.000000','0.000000',100,'0','0.00',0,1),
(12,2,'','','','','','0.000000','0.000000','0.000000',100,'0','0.00',0,1),
(13,3,'','','','','','0.000000','0.000000','0.000000',0,'0','0.00',0,1),
(14,3,'','','','','','0.000000','0.000000','0.000000',2,'0','0.00',0,1),
(15,3,'','','','','','0.000000','0.000000','0.000000',3,'0','0.00',0,1),
(16,3,'','','','','','0.000000','0.000000','0.000000',3,'0','0.00',0,1),
(17,3,'','','','','','0.000000','0.000000','0.000000',3,'0','0.00',0,1),
(18,3,'','','','','','0.000000','0.000000','0.000000',3,'0','0.00',0,1),
(19,4,'','','','','','0.000000','0.000000','0.000000',99,'0','0.00',0,1),
(20,4,'','','','','','0.000000','0.000000','0.000000',100,'0','0.00',0,1),
(21,4,'','','','','','0.000000','0.000000','0.000000',100,'0','0.00',0,1),
(22,4,'','','','','','0.000000','0.000000','0.000000',100,'0','0.00',0,1),
(23,4,'','','','','','0.000000','0.000000','0.000000',100,'0','0.00',0,1),
(24,4,'','','','','','0.000000','0.000000','0.000000',100,'0','0.00',0,1),
(25,5,'','','','','','0.000000','0.000000','0.000000',97,'0','0.00',0,1),
(26,5,'','','','','','0.000000','0.000000','0.000000',100,'0','0.00',0,1),
(27,5,'','','','','','0.000000','0.000000','0.000000',100,'0','0.00',0,1),
(28,5,'','','','','','0.000000','0.000000','0.000000',100,'0','0.00',0,1),
(29,5,'','','','','','0.000000','0.000000','0.000000',100,'0','0.00',0,1),
(30,5,'','','','','','0.000000','0.000000','0.000000',100,'0','0.00',0,1),
(31,6,'','','','','','0.000000','0.000000','0.000000',99,'0','0.00',0,1),
(32,6,'','','','','','0.000000','0.000000','0.000000',100,'0','0.00',0,1),
(33,6,'','','','','','0.000000','0.000000','0.000000',100,'0','0.00',0,1),
(34,6,'','','','','','0.000000','0.000000','0.000000',100,'0','0.00',0,1),
(35,6,'','','','','','0.000000','0.000000','0.000000',100,'0','0.00',0,1),
(36,6,'','','','','','0.000000','0.000000','0.000000',100,'0','0.00',0,1);

/* Table structure for table `ps_product_attribute_combination` */
DROP TABLE IF EXISTS `ps_product_attribute_combination`;

CREATE TABLE `ps_product_attribute_combination` (
  `id_attribute` int(10) unsigned NOT NULL,
  `id_product_attribute` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id_attribute`,`id_product_attribute`),
  KEY `id_product_attribute` (`id_product_attribute`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

/* dumping data for table `ps_product_attribute_combination` */
INSERT INTO `ps_product_attribute_combination` VALUES
(1,1),
(1,2),
(1,7),
(1,8),
(1,13),
(1,14),
(1,19),
(1,20),
(1,25),
(1,26),
(1,31),
(1,32),
(2,1),
(2,3),
(2,5),
(2,7),
(2,9),
(2,11),
(2,13),
(2,15),
(2,17),
(2,19),
(2,21),
(2,23),
(2,25),
(2,27),
(2,29),
(2,31),
(2,33),
(2,35),
(3,2),
(3,4),
(3,6),
(3,8),
(3,10),
(3,12),
(3,14),
(3,16),
(3,18),
(3,20),
(3,22),
(3,24),
(3,26),
(3,28),
(3,30),
(3,32),
(3,34),
(3,36),
(4,3),
(4,4),
(4,9),
(4,10),
(4,15),
(4,16),
(4,21),
(4,22),
(4,27),
(4,28),
(4,33),
(4,34),
(5,5),
(5,6),
(5,11),
(5,12),
(5,17),
(5,18),
(5,23),
(5,24),
(5,29),
(5,30),
(5,35),
(5,36);

/* Table structure for table `ps_product_attribute_image` */
DROP TABLE IF EXISTS `ps_product_attribute_image`;

CREATE TABLE `ps_product_attribute_image` (
  `id_product_attribute` int(10) unsigned NOT NULL,
  `id_image` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id_product_attribute`,`id_image`),
  KEY `id_image` (`id_image`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


/* Table structure for table `ps_product_country_tax` */
DROP TABLE IF EXISTS `ps_product_country_tax`;

CREATE TABLE `ps_product_country_tax` (
  `id_product` int(11) NOT NULL,
  `id_country` int(11) NOT NULL,
  `id_tax` int(11) NOT NULL,
  PRIMARY KEY (`id_product`,`id_country`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


/* Table structure for table `ps_product_group_reduction_cache` */
DROP TABLE IF EXISTS `ps_product_group_reduction_cache`;

CREATE TABLE `ps_product_group_reduction_cache` (
  `id_product` int(10) unsigned NOT NULL,
  `id_group` int(10) unsigned NOT NULL,
  `reduction` decimal(4,3) NOT NULL,
  PRIMARY KEY (`id_product`,`id_group`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


/* Table structure for table `ps_product_lang` */
DROP TABLE IF EXISTS `ps_product_lang`;

CREATE TABLE `ps_product_lang` (
  `id_product` int(10) unsigned NOT NULL,
  `id_lang` int(10) unsigned NOT NULL,
  `description` text,
  `description_short` text,
  `link_rewrite` varchar(128) NOT NULL,
  `meta_description` varchar(255) DEFAULT NULL,
  `meta_keywords` varchar(255) DEFAULT NULL,
  `meta_title` varchar(128) DEFAULT NULL,
  `name` varchar(128) NOT NULL,
  `available_now` varchar(255) DEFAULT NULL,
  `available_later` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id_product`,`id_lang`),
  KEY `id_lang` (`id_lang`),
  KEY `name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

/* dumping data for table `ps_product_lang` */
INSERT INTO `ps_product_lang` VALUES
(1,1,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>\r\n<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our</p>','2011-bell-sequence-mtb-helmet','','','','2011 Bell Sequence MTB Helmet','',''),
(1,2,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>\r\n<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our</p>','2011-bell-sequence-mtb-helmet','','','','2011 Bell Sequence MTB Helmet','',''),
(1,3,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>\r\n<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our</p>','2011-bell-sequence-mtb-helmet','','','','2011 Bell Sequence MTB Helmet','',''),
(1,4,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>\r\n<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our</p>','2011-bell-sequence-mtb-helmet','','','','2011 Bell Sequence MTB Helmet','',''),
(1,5,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>\r\n<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our</p>','2011-bell-sequence-mtb-helmet','','','','2011 Bell Sequence MTB Helmet','',''),
(2,1,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>\r\n<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>','access-xcl-9er-frame','','','','Access XCL 9er Frame','',''),
(2,2,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>\r\n<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>','access-xcl-9er-frame','','','','Access XCL 9er Frame','',''),
(2,3,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>\r\n<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>','access-xcl-9er-frame','','','','Access XCL 9er Frame','',''),
(2,4,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>\r\n<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>','access-xcl-9er-frame','','','','Access XCL 9er Frame','',''),
(2,5,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>\r\n<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>','access-xcl-9er-frame','','','','Access XCL 9er Frame','',''),
(3,1,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>\r\n<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill</p>','agu-robotica-short-sleeve-jersey','','','','AGU Robotica Short Sleeve Jersey','',''),
(3,2,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>\r\n<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill</p>','agu-robotica-short-sleeve-jersey','','','','AGU Robotica Short Sleeve Jersey','',''),
(3,3,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>\r\n<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill</p>','agu-robotica-short-sleeve-jersey','','','','AGU Robotica Short Sleeve Jersey','',''),
(3,4,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>\r\n<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill</p>','agu-robotica-short-sleeve-jersey','','','','AGU Robotica Short Sleeve Jersey','',''),
(3,5,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>\r\n<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill</p>','agu-robotica-short-sleeve-jersey','','','','AGU Robotica Short Sleeve Jersey','',''),
(4,1,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>\r\n<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our</p>','ascent-strada-road-helmet','','','','Ascent Strada Road Helmet','',''),
(4,2,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>\r\n<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our</p>','ascent-strada-road-helmet','','','','Ascent Strada Road Helmet','',''),
(4,3,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>\r\n<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our</p>','ascent-strada-road-helmet','','','','Ascent Strada Road Helmet','',''),
(4,4,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>\r\n<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our</p>','ascent-strada-road-helmet','','','','Ascent Strada Road Helmet','',''),
(4,5,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>\r\n<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our</p>','ascent-strada-road-helmet','','','','Ascent Strada Road Helmet','',''),
(5,1,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>\r\n<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>','bell-alchera-euro-road-helmet','','','','Bell Alchera Euro Road Helmet','',''),
(5,2,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>\r\n<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>','bell-alchera-euro-road-helmet','','','','Bell Alchera Euro Road Helmet','',''),
(5,3,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>\r\n<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>','bell-alchera-euro-road-helmet','','','','Bell Alchera Euro Road Helmet','',''),
(5,4,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>\r\n<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>','bell-alchera-euro-road-helmet','','','','Bell Alchera Euro Road Helmet','',''),
(5,5,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>\r\n<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>','bell-alchera-euro-road-helmet','','','','Bell Alchera Euro Road Helmet','',''),
(6,1,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>\r\n<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill</p>','easton-ea50-rear-wheel','','','','Easton EA50 Rear Wheel','',''),
(6,2,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>\r\n<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill</p>','easton-ea50-rear-wheel','','','','Easton EA50 Rear Wheel','',''),
(6,3,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>\r\n<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill</p>','easton-ea50-rear-wheel','','','','Easton EA50 Rear Wheel','',''),
(6,4,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>\r\n<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill</p>','easton-ea50-rear-wheel','','','','Easton EA50 Rear Wheel','',''),
(6,5,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>\r\n<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill</p>','easton-ea50-rear-wheel','','','','Easton EA50 Rear Wheel','',''),
(7,1,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>\r\n<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our</p>','easton-ea70-xc-front-wheel','','','','Easton EA70 XC Front Wheel','',''),
(7,2,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>\r\n<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our</p>','easton-ea70-xc-front-wheel','','','','Easton EA70 XC Front Wheel','',''),
(7,3,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>\r\n<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our</p>','easton-ea70-xc-front-wheel','','','','Easton EA70 XC Front Wheel','',''),
(7,4,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>\r\n<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our</p>','easton-ea70-xc-front-wheel','','','','Easton EA70 XC Front Wheel','',''),
(7,5,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>\r\n<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our</p>','easton-ea70-xc-front-wheel','','','','Easton EA70 XC Front Wheel','',''),
(8,1,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','fi-zik-antares-braided-saddle','','','','Fi\'zik Antares Braided Saddle','',''),
(8,2,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','fi-zik-antares-braided-saddle','','','','Fi\'zik Antares Braided Saddle','',''),
(8,3,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','fi-zik-antares-braided-saddle','','','','Fi\'zik Antares Braided Saddle','',''),
(8,4,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','fi-zik-antares-braided-saddle','','','','Fi\'zik Antares Braided Saddle','',''),
(8,5,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','fi-zik-antares-braided-saddle','','','','Fi\'zik Antares Braided Saddle','',''),
(9,1,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>\r\n<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill</p>','fi-zik-antares-team-edition-saddle','','','','Fi\'zik Antares Team Edition Saddle','',''),
(9,2,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>\r\n<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill</p>','fi-zik-antares-team-edition-saddle','','','','Fi\'zik Antares Team Edition Saddle','',''),
(9,3,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>\r\n<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill</p>','fi-zik-antares-team-edition-saddle','','','','Fi\'zik Antares Team Edition Saddle','',''),
(9,4,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>\r\n<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill</p>','fi-zik-antares-team-edition-saddle','','','','Fi\'zik Antares Team Edition Saddle','',''),
(9,5,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>\r\n<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill</p>','fi-zik-antares-team-edition-saddle','','','','Fi\'zik Antares Team Edition Saddle','',''),
(10,1,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','forte-adjustable-254mm-stem','','','','Forte Adjustable 25.4mm Stem','',''),
(10,2,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','forte-adjustable-254mm-stem','','','','Forte Adjustable 25.4mm Stem','',''),
(10,3,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','forte-adjustable-254mm-stem','','','','Forte Adjustable 25.4mm Stem','',''),
(10,4,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','forte-adjustable-254mm-stem','','','','Forte Adjustable 25.4mm Stem','',''),
(10,5,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','forte-adjustable-254mm-stem','','','','Forte Adjustable 25.4mm Stem','',''),
(11,1,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','fox-32-float-100-fit-rlc-suspension-fork','','','','Fox 32 Float 100 FIT RLC Suspension Fork','',''),
(11,2,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','fox-32-float-100-fit-rlc-suspension-fork','','','','Fox 32 Float 100 FIT RLC Suspension Fork','',''),
(11,3,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','fox-32-float-100-fit-rlc-suspension-fork','','','','Fox 32 Float 100 FIT RLC Suspension Fork','',''),
(11,4,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','fox-32-float-100-fit-rlc-suspension-fork','','','','Fox 32 Float 100 FIT RLC Suspension Fork','',''),
(11,5,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','fox-32-float-100-fit-rlc-suspension-fork','','','','Fox 32 Float 100 FIT RLC Suspension Fork','',''),
(12,1,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill','fox-32-float-140-fit-rlc-suspension-fork','','','','Fox 32 Float 140 FIT RLC Suspension Fork','',''),
(12,2,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill','fox-32-float-140-fit-rlc-suspension-fork','','','','Fox 32 Float 140 FIT RLC Suspension Fork','',''),
(12,3,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill','fox-32-float-140-fit-rlc-suspension-fork','','','','Fox 32 Float 140 FIT RLC Suspension Fork','',''),
(12,4,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill','fox-32-float-140-fit-rlc-suspension-fork','','','','Fox 32 Float 140 FIT RLC Suspension Fork','',''),
(12,5,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill','fox-32-float-140-fit-rlc-suspension-fork','','','','Fox 32 Float 140 FIT RLC Suspension Fork','',''),
(13,1,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','giro-stylus-road-helmet','','','','Giro Stylus Road Helmet','',''),
(13,2,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','giro-stylus-road-helmet','','','','Giro Stylus Road Helmet','',''),
(13,3,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','giro-stylus-road-helmet','','','','Giro Stylus Road Helmet','',''),
(13,4,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','giro-stylus-road-helmet','','','','Giro Stylus Road Helmet','',''),
(13,5,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','giro-stylus-road-helmet','','','','Giro Stylus Road Helmet','',''),
(14,1,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','louis-garneau-biogel-air-gloves','','','','Louis Garneau BioGel Air Gloves','',''),
(14,2,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','louis-garneau-biogel-air-gloves','','','','Louis Garneau BioGel Air Gloves','',''),
(14,3,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','louis-garneau-biogel-air-gloves','','','','Louis Garneau BioGel Air Gloves','',''),
(14,4,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','louis-garneau-biogel-air-gloves','','','','Louis Garneau BioGel Air Gloves','',''),
(14,5,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','louis-garneau-biogel-air-gloves','','','','Louis Garneau BioGel Air Gloves','',''),
(15,1,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>\r\n<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill</p>','marathon-carbon-pro-mountain-bike','','','','Marathon Carbon Pro Mountain Bike','',''),
(15,2,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>\r\n<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill</p>','marathon-carbon-pro-mountain-bike','','','','Marathon Carbon Pro Mountain Bike','',''),
(15,3,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>\r\n<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill</p>','marathon-carbon-pro-mountain-bike','','','','Marathon Carbon Pro Mountain Bike','',''),
(15,4,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>\r\n<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill</p>','marathon-carbon-pro-mountain-bike','','','','Marathon Carbon Pro Mountain Bike','',''),
(15,5,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>\r\n<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill</p>','marathon-carbon-pro-mountain-bike','','','','Marathon Carbon Pro Mountain Bike','',''),
(16,1,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','mavic-crossmax-slr-disc-front-wheel','','','','Mavic Crossmax SLR Disc Front Wheel','',''),
(16,2,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','mavic-crossmax-slr-disc-front-wheel','','','','Mavic Crossmax SLR Disc Front Wheel','',''),
(16,3,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','mavic-crossmax-slr-disc-front-wheel','','','','Mavic Crossmax SLR Disc Front Wheel','',''),
(16,4,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','mavic-crossmax-slr-disc-front-wheel','','','','Mavic Crossmax SLR Disc Front Wheel','',''),
(16,5,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','mavic-crossmax-slr-disc-front-wheel','','','','Mavic Crossmax SLR Disc Front Wheel','',''),
(17,1,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','mavic-crossmax-slr-disc-wheelset','','','','Mavic Crossmax SLR Disc Wheelset','',''),
(17,2,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','mavic-crossmax-slr-disc-wheelset','','','','Mavic Crossmax SLR Disc Wheelset','',''),
(17,3,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','mavic-crossmax-slr-disc-wheelset','','','','Mavic Crossmax SLR Disc Wheelset','',''),
(17,4,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','mavic-crossmax-slr-disc-wheelset','','','','Mavic Crossmax SLR Disc Wheelset','',''),
(17,5,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','mavic-crossmax-slr-disc-wheelset','','','','Mavic Crossmax SLR Disc Wheelset','',''),
(18,1,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>\r\n<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill</p>','mountain-frs-quad-xc-120-mount-vision-56-exp','','','','Mountain FRS Quad XC 120 Mount Vision 5.6 (EXP)','',''),
(18,2,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>\r\n<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill</p>','mountain-frs-quad-xc-120-mount-vision-56-exp','','','','Mountain FRS Quad XC 120 Mount Vision 5.6 (EXP)','',''),
(18,3,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>\r\n<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill</p>','mountain-frs-quad-xc-120-mount-vision-56-exp','','','','Mountain FRS Quad XC 120 Mount Vision 5.6 (EXP)','',''),
(18,4,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>\r\n<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill</p>','mountain-frs-quad-xc-120-mount-vision-56-exp','','','','Mountain FRS Quad XC 120 Mount Vision 5.6 (EXP)','',''),
(18,5,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>\r\n<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill</p>','mountain-frs-quad-xc-120-mount-vision-56-exp','','','','Mountain FRS Quad XC 120 Mount Vision 5.6 (EXP)','',''),
(19,1,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>\r\n<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our</p>','mountain-frs-quad-xlt-quake-79','','','','Mountain FRS Quad XLT Quake 7.9','',''),
(19,2,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>\r\n<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our</p>','mountain-frs-quad-xlt-quake-79','','','','Mountain FRS Quad XLT Quake 7.9','',''),
(19,3,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>\r\n<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our</p>','mountain-frs-quad-xlt-quake-79','','','','Mountain FRS Quad XLT Quake 7.9','',''),
(19,4,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>\r\n<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our</p>','mountain-frs-quad-xlt-quake-79','','','','Mountain FRS Quad XLT Quake 7.9','',''),
(19,5,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>\r\n<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our</p>','mountain-frs-quad-xlt-quake-79','','','','Mountain FRS Quad XLT Quake 7.9','',''),
(20,1,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>\r\n<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>','pearl-izumi-select-thermal-long-sleeve-jersey','','','','Pearl Izumi Select Thermal Long Sleeve Jersey','',''),
(20,2,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>\r\n<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>','pearl-izumi-select-thermal-long-sleeve-jersey','','','','Pearl Izumi Select Thermal Long Sleeve Jersey','',''),
(20,3,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>\r\n<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>','pearl-izumi-select-thermal-long-sleeve-jersey','','','','Pearl Izumi Select Thermal Long Sleeve Jersey','',''),
(20,4,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>\r\n<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>','pearl-izumi-select-thermal-long-sleeve-jersey','','','','Pearl Izumi Select Thermal Long Sleeve Jersey','',''),
(20,5,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>\r\n<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>\r\n<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p>','pearl-izumi-select-thermal-long-sleeve-jersey','','','','Pearl Izumi Select Thermal Long Sleeve Jersey','',''),
(21,1,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill','performance-classic-ii-gloves','','','','Performance Classic II Gloves','',''),
(21,2,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill','performance-classic-ii-gloves','','','','Performance Classic II Gloves','',''),
(21,3,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill','performance-classic-ii-gloves','','','','Performance Classic II Gloves','',''),
(21,4,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill','performance-classic-ii-gloves','','','','Performance Classic II Gloves','',''),
(21,5,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill','performance-classic-ii-gloves','','','','Performance Classic II Gloves','',''),
(22,1,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','profile-design-tri-stryke-ti-saddle','','','','Profile Design Tri-Stryke Ti Saddle','',''),
(22,2,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','profile-design-tri-stryke-ti-saddle','','','','Profile Design Tri-Stryke Ti Saddle','',''),
(22,3,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','profile-design-tri-stryke-ti-saddle','','','','Profile Design Tri-Stryke Ti Saddle','',''),
(22,4,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','profile-design-tri-stryke-ti-saddle','','','','Profile Design Tri-Stryke Ti Saddle','',''),
(22,5,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','profile-design-tri-stryke-ti-saddle','','','','Profile Design Tri-Stryke Ti Saddle','',''),
(23,1,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','ritchey-wcs-4-axis-stem','','','','Ritchey WCS 4-Axis Stem','',''),
(23,2,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','ritchey-wcs-4-axis-stem','','','','Ritchey WCS 4-Axis Stem','',''),
(23,3,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','ritchey-wcs-4-axis-stem','','','','Ritchey WCS 4-Axis Stem','',''),
(23,4,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','ritchey-wcs-4-axis-stem','','','','Ritchey WCS 4-Axis Stem','',''),
(23,5,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','ritchey-wcs-4-axis-stem','','','','Ritchey WCS 4-Axis Stem','',''),
(24,1,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill','rock-shox-recon-silver-suspension-fork','','','','Rock Shox Recon Silver Suspension Fork','',''),
(24,2,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill','rock-shox-recon-silver-suspension-fork','','','','Rock Shox Recon Silver Suspension Fork','',''),
(24,3,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill','rock-shox-recon-silver-suspension-fork','','','','Rock Shox Recon Silver Suspension Fork','',''),
(24,4,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill','rock-shox-recon-silver-suspension-fork','','','','Rock Shox Recon Silver Suspension Fork','',''),
(24,5,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill','rock-shox-recon-silver-suspension-fork','','','','Rock Shox Recon Silver Suspension Fork','',''),
(25,1,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','santini-gxt-iron-bib-shorts','','','','Santini GXT Iron Bib Shorts','',''),
(25,2,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','santini-gxt-iron-bib-shorts','','','','Santini GXT Iron Bib Shorts','',''),
(25,3,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','santini-gxt-iron-bib-shorts','','','','Santini GXT Iron Bib Shorts','',''),
(25,4,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','santini-gxt-iron-bib-shorts','','','','Santini GXT Iron Bib Shorts','',''),
(25,5,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','santini-gxt-iron-bib-shorts','','','','Santini GXT Iron Bib Shorts','',''),
(26,1,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','santini-italy-short-sleeve-jersey','','','','Santini Italy Short Sleeve Jersey','',''),
(26,2,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','santini-italy-short-sleeve-jersey','','','','Santini Italy Short Sleeve Jersey','',''),
(26,3,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','santini-italy-short-sleeve-jersey','','','','Santini Italy Short Sleeve Jersey','',''),
(26,4,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','santini-italy-short-sleeve-jersey','','','','Santini Italy Short Sleeve Jersey','',''),
(26,5,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','santini-italy-short-sleeve-jersey','','','','Santini Italy Short Sleeve Jersey','',''),
(27,1,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill','scattante-spyder-road-helmet','','','','Scattante Spyder Road Helmet','',''),
(27,2,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill','scattante-spyder-road-helmet','','','','Scattante Spyder Road Helmet','',''),
(27,3,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill','scattante-spyder-road-helmet','','','','Scattante Spyder Road Helmet','',''),
(27,4,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill','scattante-spyder-road-helmet','','','','Scattante Spyder Road Helmet','',''),
(27,5,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill','scattante-spyder-road-helmet','','','','Scattante Spyder Road Helmet','',''),
(28,1,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','scattante-xrl-cross-frame-with-fork-and-headset','','','','Scattante XRL Cross Frame with Fork and Headset','',''),
(28,2,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','scattante-xrl-cross-frame-with-fork-and-headset','','','','Scattante XRL Cross Frame with Fork and Headset','',''),
(28,3,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','scattante-xrl-cross-frame-with-fork-and-headset','','','','Scattante XRL Cross Frame with Fork and Headset','',''),
(28,4,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','scattante-xrl-cross-frame-with-fork-and-headset','','','','Scattante XRL Cross Frame with Fork and Headset','',''),
(28,5,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','scattante-xrl-cross-frame-with-fork-and-headset','','','','Scattante XRL Cross Frame with Fork and Headset','',''),
(29,1,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','scattante-xrl-tt-frame-with-fork-and-headset','','','','Scattante XRL TT Frame with Fork and Headset','',''),
(29,2,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','scattante-xrl-tt-frame-with-fork-and-headset','','','','Scattante XRL TT Frame with Fork and Headset','',''),
(29,3,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','scattante-xrl-tt-frame-with-fork-and-headset','','','','Scattante XRL TT Frame with Fork and Headset','',''),
(29,4,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','scattante-xrl-tt-frame-with-fork-and-headset','','','','Scattante XRL TT Frame with Fork and Headset','',''),
(29,5,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','scattante-xrl-tt-frame-with-fork-and-headset','','','','Scattante XRL TT Frame with Fork and Headset','',''),
(30,1,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill','selle-italia-sl-flow-saddle','','','','Selle Italia SL Flow Saddle','',''),
(30,2,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill','selle-italia-sl-flow-saddle','','','','Selle Italia SL Flow Saddle','',''),
(30,3,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill','selle-italia-sl-flow-saddle','','','','Selle Italia SL Flow Saddle','',''),
(30,4,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill','selle-italia-sl-flow-saddle','','','','Selle Italia SL Flow Saddle','',''),
(30,5,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill','selle-italia-sl-flow-saddle','','','','Selle Italia SL Flow Saddle','',''),
(31,1,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','selle-smp-pro-saddle','','','','Selle SMP Pro Saddle','',''),
(31,2,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','selle-smp-pro-saddle','','','','Selle SMP Pro Saddle','',''),
(31,3,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','selle-smp-pro-saddle','','','','Selle SMP Pro Saddle','',''),
(31,4,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','selle-smp-pro-saddle','','','','Selle SMP Pro Saddle','',''),
(31,5,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','selle-smp-pro-saddle','','','','Selle SMP Pro Saddle','',''),
(32,1,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','shimano-105-brakes','','','','Shimano 105 Brakes','',''),
(32,2,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','shimano-105-brakes','','','','Shimano 105 Brakes','',''),
(32,3,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','shimano-105-brakes','','','','Shimano 105 Brakes','',''),
(32,4,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','shimano-105-brakes','','','','Shimano 105 Brakes','',''),
(32,5,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','shimano-105-brakes','','','','Shimano 105 Brakes','',''),
(33,1,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill','shimano-dura-ace-br-7900-brakes','','','','Shimano Dura-Ace BR-7900 Brakes','',''),
(33,2,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill','shimano-dura-ace-br-7900-brakes','','','','Shimano Dura-Ace BR-7900 Brakes','',''),
(33,3,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill','shimano-dura-ace-br-7900-brakes','','','','Shimano Dura-Ace BR-7900 Brakes','',''),
(33,4,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill','shimano-dura-ace-br-7900-brakes','','','','Shimano Dura-Ace BR-7900 Brakes','',''),
(33,5,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill','shimano-dura-ace-br-7900-brakes','','','','Shimano Dura-Ace BR-7900 Brakes','',''),
(34,1,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','shimano-ultegra-br-6700-brakes','','','','Shimano Ultegra BR-6700 Brakes','',''),
(34,2,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','shimano-ultegra-br-6700-brakes','','','','Shimano Ultegra BR-6700 Brakes','',''),
(34,3,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','shimano-ultegra-br-6700-brakes','','','','Shimano Ultegra BR-6700 Brakes','',''),
(34,4,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','shimano-ultegra-br-6700-brakes','','','','Shimano Ultegra BR-6700 Brakes','',''),
(34,5,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','shimano-ultegra-br-6700-brakes','','','','Shimano Ultegra BR-6700 Brakes','',''),
(35,1,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','shimano-xt-br-m785-disc-brake','','','','Shimano XT BR-M785 Disc Brake','',''),
(35,2,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','shimano-xt-br-m785-disc-brake','','','','Shimano XT BR-M785 Disc Brake','',''),
(35,3,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','shimano-xt-br-m785-disc-brake','','','','Shimano XT BR-M785 Disc Brake','',''),
(35,4,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','shimano-xt-br-m785-disc-brake','','','','Shimano XT BR-M785 Disc Brake','',''),
(35,5,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','shimano-xt-br-m785-disc-brake','','','','Shimano XT BR-M785 Disc Brake','',''),
(36,1,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill','shimano-xtr-m988-hydraulic-disc-brakes','','','','Shimano XTR M988 Hydraulic Disc Brakes','',''),
(36,2,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill','shimano-xtr-m988-hydraulic-disc-brakes','','','','Shimano XTR M988 Hydraulic Disc Brakes','',''),
(36,3,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill','shimano-xtr-m988-hydraulic-disc-brakes','','','','Shimano XTR M988 Hydraulic Disc Brakes','',''),
(36,4,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill','shimano-xtr-m988-hydraulic-disc-brakes','','','','Shimano XTR M988 Hydraulic Disc Brakes','',''),
(36,5,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill','shimano-xtr-m988-hydraulic-disc-brakes','','','','Shimano XTR M988 Hydraulic Disc Brakes','',''),
(37,1,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','sram-red-brakes','','','','SRAM Red Brakes','',''),
(37,2,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','sram-red-brakes','','','','SRAM Red Brakes','',''),
(37,3,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','sram-red-brakes','','','','SRAM Red Brakes','',''),
(37,4,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','sram-red-brakes','','','','SRAM Red Brakes','',''),
(37,5,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','sram-red-brakes','','','','SRAM Red Brakes','',''),
(38,1,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','sram-s80-front-wheel','','','','SRAM S80 Front Wheel','',''),
(38,2,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','sram-s80-front-wheel','','','','SRAM S80 Front Wheel','',''),
(38,3,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','sram-s80-front-wheel','','','','SRAM S80 Front Wheel','',''),
(38,4,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','sram-s80-front-wheel','','','','SRAM S80 Front Wheel','',''),
(38,5,'<p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.','sram-s80-front-wheel','','','','SRAM S80 Front Wheel','',''),
(39,1,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill','sram-s80-rear-wheel','','','','SRAM S80 Rear Wheel','',''),
(39,2,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill','sram-s80-rear-wheel','','','','SRAM S80 Rear Wheel','',''),
(39,3,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill','sram-s80-rear-wheel','','','','SRAM S80 Rear Wheel','',''),
(39,4,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill','sram-s80-rear-wheel','','','','SRAM S80 Rear Wheel','',''),
(39,5,'<p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p>','Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill','sram-s80-rear-wheel','','','','SRAM S80 Rear Wheel','',''),
(40,1,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','terry-butterfly-ti-saddle','','','','Terry Butterfly TI Saddle','',''),
(40,2,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','terry-butterfly-ti-saddle','','','','Terry Butterfly TI Saddle','',''),
(40,3,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','terry-butterfly-ti-saddle','','','','Terry Butterfly TI Saddle','',''),
(40,4,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','terry-butterfly-ti-saddle','','','','Terry Butterfly TI Saddle','',''),
(40,5,'<p>Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our business. Great team chemistry and flawless customer care will surprise you instantly and you\'ll notice that you are in the right place where people know everything about bicycles.</p><p>So, it doesn\'t matter whether you are an experienced bicycle owner or just a young fellow who is looking for its first machine ? we will always help you to find the perfect solution. Stay with our store and let\'s spread bike culture all over the web.</p><p>Do you remember what it is like to be cruising on the boulevard and catching fresh spring wind on the shiny and chromed old school bike? We adore that unforgettable feeling that takes your breath away when you are rolling down from the steep hill. Bikes were our founder\'s love from the 2nd grade (the time when his parents bought him his first Black Flash city bike). Since that time he\'s decided to open his own store that would sell everything that is connected with bikes. So, as you can see dreams come true and today we\'re glad to welcome you at our Bike Store.</p>','Our online shop is the best place to buy bikes, accessories and other related products. Perfect service, reliable shipping system and flexible discount and loyalty programs - these are the main components that have ensured the success of our','terry-butterfly-ti-saddle','','','','Terry Butterfly TI Saddle','','');

/* Table structure for table `ps_product_sale` */
DROP TABLE IF EXISTS `ps_product_sale`;

CREATE TABLE `ps_product_sale` (
  `id_product` int(10) unsigned NOT NULL,
  `quantity` int(10) unsigned NOT NULL DEFAULT '0',
  `sale_nbr` int(10) unsigned NOT NULL DEFAULT '0',
  `date_upd` date NOT NULL,
  PRIMARY KEY (`id_product`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

/* dumping data for table `ps_product_sale` */
INSERT INTO `ps_product_sale` VALUES
(1,100,1,'2012-03-06'),
(5,100,1,'2012-03-06'),
(9,1,1,'2012-05-31'),
(12,100,1,'2012-03-06'),
(18,1,4,'2012-05-31'),
(23,100,1,'2012-03-06'),
(27,100,2,'2012-03-06'),
(17,100,1,'2012-03-06'),
(26,100,1,'2012-03-06'),
(24,100,2,'2012-03-06'),
(7,1,1,'2012-05-31'),
(13,1,8,'2012-05-31'),
(15,1,7,'2012-05-31'),
(16,1,5,'2012-05-31'),
(19,1,6,'2012-05-31');

/* Table structure for table `ps_product_tag` */
DROP TABLE IF EXISTS `ps_product_tag`;

CREATE TABLE `ps_product_tag` (
  `id_product` int(10) unsigned NOT NULL,
  `id_tag` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id_product`,`id_tag`),
  KEY `id_tag` (`id_tag`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

/* dumping data for table `ps_product_tag` */
INSERT INTO `ps_product_tag` VALUES
(1,46),
(2,46),
(2,47),
(3,46),
(4,46),
(5,46),
(5,48),
(5,52),
(6,46),
(7,46),
(7,48),
(8,46),
(8,49),
(9,46),
(9,50),
(10,46),
(12,47),
(15,47),
(15,48),
(16,51),
(17,48),
(17,49),
(17,50),
(17,53),
(19,48),
(19,49),
(20,47),
(20,50),
(20,51),
(21,48),
(21,53),
(22,50),
(22,54),
(23,47),
(23,48),
(23,49),
(24,51),
(25,49),
(25,50),
(25,53),
(26,47),
(26,48),
(26,49),
(26,51),
(27,47),
(27,52),
(28,50),
(29,47),
(29,51),
(30,49),
(31,47),
(33,52),
(38,52);

/* Table structure for table `ps_scene` */
DROP TABLE IF EXISTS `ps_scene`;

CREATE TABLE `ps_scene` (
  `id_scene` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `active` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id_scene`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;


/* Table structure for table `ps_scene_category` */
DROP TABLE IF EXISTS `ps_scene_category`;

CREATE TABLE `ps_scene_category` (
  `id_scene` int(10) unsigned NOT NULL,
  `id_category` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id_scene`,`id_category`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


/* Table structure for table `ps_scene_lang` */
DROP TABLE IF EXISTS `ps_scene_lang`;

CREATE TABLE `ps_scene_lang` (
  `id_scene` int(10) unsigned NOT NULL,
  `id_lang` int(10) unsigned NOT NULL,
  `name` varchar(100) NOT NULL,
  PRIMARY KEY (`id_scene`,`id_lang`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


/* Table structure for table `ps_scene_products` */
DROP TABLE IF EXISTS `ps_scene_products`;

CREATE TABLE `ps_scene_products` (
  `id_scene` int(10) unsigned NOT NULL,
  `id_product` int(10) unsigned NOT NULL,
  `x_axis` int(4) NOT NULL,
  `y_axis` int(4) NOT NULL,
  `zone_width` int(3) NOT NULL,
  `zone_height` int(3) NOT NULL,
  PRIMARY KEY (`id_scene`,`id_product`,`x_axis`,`y_axis`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


/* Table structure for table `ps_search_engine` */
DROP TABLE IF EXISTS `ps_search_engine`;

CREATE TABLE `ps_search_engine` (
  `id_search_engine` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `server` varchar(64) NOT NULL,
  `getvar` varchar(16) NOT NULL,
  PRIMARY KEY (`id_search_engine`)
) ENGINE=MyISAM AUTO_INCREMENT=39 DEFAULT CHARSET=utf8;

/* dumping data for table `ps_search_engine` */
INSERT INTO `ps_search_engine` VALUES
(1,'google','q'),
(2,'aol','q'),
(3,'yandex','text'),
(4,'ask.com','q'),
(5,'nhl.com','q'),
(6,'yahoo','p'),
(7,'baidu','wd'),
(8,'lycos','query'),
(9,'exalead','q'),
(10,'search.live','q'),
(11,'voila','rdata'),
(12,'altavista','q'),
(13,'bing','q'),
(14,'daum','q'),
(15,'eniro','search_word'),
(16,'naver','query'),
(17,'msn','q'),
(18,'netscape','query'),
(19,'cnn','query'),
(20,'about','terms'),
(21,'mamma','query'),
(22,'alltheweb','q'),
(23,'virgilio','qs'),
(24,'alice','qs'),
(25,'najdi','q'),
(26,'mama','query'),
(27,'seznam','q'),
(28,'onet','qt'),
(29,'szukacz','q'),
(30,'yam','k'),
(31,'pchome','q'),
(32,'kvasir','q'),
(33,'sesam','q'),
(34,'ozu','q'),
(35,'terra','query'),
(36,'mynet','q'),
(37,'ekolay','q'),
(38,'rambler','words');

/* Table structure for table `ps_search_index` */
DROP TABLE IF EXISTS `ps_search_index`;

CREATE TABLE `ps_search_index` (
  `id_product` int(11) unsigned NOT NULL,
  `id_word` int(11) unsigned NOT NULL,
  `weight` smallint(4) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`id_word`,`id_product`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

/* dumping data for table `ps_search_index` */
INSERT INTO `ps_search_index` VALUES
(31,4251,1),
(31,5079,1),
(31,2724,1),
(31,5078,1),
(31,5077,1),
(31,5076,2),
(31,5075,1),
(31,5074,1),
(31,5073,2),
(31,5072,1),
(31,5071,1),
(31,4060,1),
(31,5070,1),
(31,5069,1),
(31,5068,1),
(31,5067,1),
(31,5066,1),
(31,5065,1),
(31,5064,1),
(31,5063,1),
(31,5062,1),
(31,5061,1),
(31,5060,1),
(31,5059,1),
(31,5058,1),
(31,5057,1),
(31,5056,1),
(31,3956,1),
(31,3408,1),
(31,5055,1),
(31,2814,1),
(31,2813,1),
(31,5054,1),
(31,5053,4),
(31,5052,1),
(31,5051,1),
(31,2730,3),
(31,2944,2),
(31,5050,1),
(31,4058,1),
(31,2928,1),
(31,3065,1),
(31,3372,1),
(31,3309,1),
(31,3941,2),
(31,2945,1),
(31,4126,1),
(31,5049,1),
(31,5048,1),
(31,5047,1),
(31,5046,1),
(31,2931,1),
(31,5045,1),
(31,5044,1),
(31,3950,1),
(31,5043,1),
(31,5042,1),
(31,5041,1),
(31,5040,1),
(31,3314,1),
(31,5039,2),
(31,2810,1),
(31,5038,1),
(31,5037,1),
(31,3939,1),
(31,5036,1),
(31,5035,1),
(31,2809,9),
(31,5034,1),
(31,3954,2),
(31,3937,1),
(31,5033,1),
(31,5032,1),
(31,5031,1),
(31,5030,1),
(31,3061,1),
(31,3935,1),
(31,2718,2),
(31,5029,2),
(31,2731,2),
(31,2697,8),
(31,5028,2),
(31,3139,2),
(31,2938,5),
(31,4259,2),
(31,5027,2),
(31,5026,2),
(31,3376,2),
(31,2941,2),
(31,3322,2),
(31,4244,2),
(31,2942,2),
(31,4248,2),
(31,2989,3),
(31,2729,2),
(31,5025,2),
(31,3146,2),
(31,2694,12),
(31,5024,2),
(31,5023,4),
(31,3409,2),
(31,3940,3),
(31,3930,2),
(31,2726,14),
(31,5022,2),
(31,5021,2),
(31,2698,7),
(31,5213,6),
(31,4693,6),
(31,5526,6),
(31,5519,6),
(31,1861,3),
(31,5015,1),
(31,4228,1),
(31,5014,1),
(31,5013,1),
(31,5012,1),
(31,5011,1),
(31,3227,1),
(31,2901,1),
(31,5010,1),
(31,2802,1),
(31,4222,1),
(31,5009,1),
(31,5008,1),
(31,5007,1),
(31,3891,1),
(31,5006,1),
(31,5005,1),
(31,2677,1),
(31,5004,1),
(31,5003,1),
(31,5002,1),
(31,5001,3),
(31,5000,2),
(31,4999,1),
(31,4998,1),
(31,4223,1),
(31,4997,1),
(31,2666,1),
(31,4996,1),
(31,4995,1),
(31,4994,2),
(31,4993,1),
(31,4992,1),
(31,4991,2),
(31,4990,1),
(31,4989,1),
(31,4037,1),
(31,4988,1),
(31,4987,1),
(31,4986,1),
(31,4985,1),
(31,4984,1),
(31,4983,1),
(31,4982,1),
(31,4981,1),
(31,4980,1),
(31,4979,1),
(31,4978,1),
(31,4977,1),
(31,4976,1),
(31,4975,1),
(31,4974,1),
(31,3915,1),
(31,3401,1),
(31,4973,1),
(31,2797,1),
(31,2796,1),
(31,4972,1),
(31,4971,4),
(31,4970,1),
(31,4969,1),
(31,2672,3),
(31,2918,2),
(31,4968,1),
(31,4035,1),
(31,2902,1),
(31,3050,1),
(31,3361,1),
(31,3295,1),
(31,3900,2),
(31,2919,1),
(31,4114,1),
(31,4967,1),
(31,4966,1),
(31,4965,1),
(31,4964,1),
(31,2905,1),
(31,4963,1),
(31,4962,1),
(31,3909,1),
(31,4961,1),
(31,4960,1),
(31,4959,1),
(31,4958,1),
(31,3300,1),
(31,4957,2),
(31,2793,1),
(31,4956,1),
(31,4955,1),
(31,3898,1),
(31,4954,1),
(31,4953,1),
(31,2792,9),
(31,4952,1),
(31,3913,2),
(31,3896,1),
(31,4951,1),
(31,4950,1),
(31,4949,1),
(31,4948,1),
(31,3046,1),
(31,3894,1),
(31,2660,2),
(31,4947,2),
(31,2673,2),
(31,2638,8),
(31,4946,2),
(31,3122,2),
(31,2912,5),
(31,4231,2),
(31,4945,2),
(31,4944,2),
(31,3365,2),
(31,2915,2),
(31,3308,2),
(31,4216,2),
(31,2916,2),
(31,4220,2),
(31,2979,3),
(31,2671,2),
(31,4943,2),
(31,3129,2),
(31,2635,12),
(31,4942,2),
(31,4941,4),
(31,3402,2),
(31,3899,3),
(31,3889,2),
(31,2668,14),
(31,4940,2),
(31,4939,2),
(31,2639,7),
(31,5209,6),
(31,4690,6),
(31,5525,6),
(31,5516,6),
(31,1030,3),
(31,4933,1),
(31,4200,1),
(31,4932,1),
(31,4931,1),
(31,4930,1),
(31,4929,1),
(31,3204,1),
(31,2876,1),
(31,4928,1),
(31,2785,1),
(30,3939,1),
(30,5036,1),
(30,5035,1),
(30,5034,1),
(30,3937,1),
(30,5033,1),
(30,5032,1),
(30,5031,1),
(30,5030,1),
(30,3061,1),
(30,3935,1),
(30,2718,1),
(30,5029,1),
(30,2731,1),
(30,5028,1),
(30,3139,1),
(30,4259,1),
(30,5027,1),
(30,5026,1),
(30,3376,1),
(30,2941,1),
(30,3322,1),
(30,4244,1),
(30,2942,1),
(30,4248,1),
(30,2729,1),
(30,5025,1),
(30,3146,1),
(30,5024,1),
(30,3409,1),
(30,3940,2),
(30,3930,1),
(30,5022,1),
(30,5021,1),
(30,5055,1),
(30,2814,1),
(30,2813,1),
(30,5054,1),
(30,5052,1),
(30,5051,1),
(30,5050,1),
(30,4058,1),
(30,2989,2),
(30,2928,1),
(30,3065,1),
(30,3372,1),
(30,3954,2),
(30,3309,1),
(30,2945,1),
(30,4126,1),
(30,5049,1),
(30,5048,1),
(30,5047,1),
(30,5046,1),
(30,2931,1),
(30,5045,1),
(30,5044,1),
(30,3950,1),
(30,5043,1),
(30,5042,1),
(30,5041,1),
(30,5097,1),
(30,4256,1),
(30,5096,1),
(30,5095,1),
(30,5094,1),
(30,5093,1),
(30,3250,1),
(30,2927,1),
(30,2944,2),
(30,5092,1),
(30,5039,2),
(30,2819,1),
(30,4250,1),
(30,2730,3),
(30,5091,1),
(30,5090,1),
(30,5089,1),
(30,3932,1),
(30,5088,1),
(30,5087,1),
(30,2735,1),
(30,3941,2),
(30,5086,1),
(30,5085,1),
(30,5084,1),
(30,5083,3),
(30,5082,2),
(30,5081,1),
(30,5080,1),
(30,4251,1),
(30,5079,1),
(30,2698,5),
(30,2724,1),
(30,5023,3),
(30,5078,2),
(30,5077,2),
(30,5076,3),
(30,5075,2),
(30,5074,2),
(30,2938,5),
(30,5073,3),
(30,5072,2),
(30,5071,2),
(30,4060,2),
(30,5070,2),
(30,5069,2),
(30,5068,2),
(30,2697,9),
(30,5067,2),
(30,5053,5),
(30,5066,2),
(30,5065,2),
(30,5064,2),
(30,5063,2),
(30,5062,2),
(30,5061,2),
(30,5060,2),
(30,5059,2),
(30,2694,11),
(30,5058,2),
(30,2726,14),
(30,5057,2),
(30,5056,2),
(30,3956,2),
(30,3408,2),
(30,2809,11),
(30,5213,6),
(30,5521,6),
(30,5520,6),
(30,5519,6),
(30,1861,3),
(30,4958,1),
(30,3300,1),
(30,2793,1),
(30,4956,1),
(30,4955,1),
(30,3898,1),
(30,4954,1),
(30,4953,1),
(30,4952,1),
(30,3896,1),
(30,4951,1),
(30,4950,1),
(30,4949,1),
(30,4948,1),
(30,3046,1),
(30,3894,1),
(30,2660,1),
(30,4947,1),
(30,2673,1),
(30,4946,1),
(30,3122,1),
(30,4231,1),
(30,4945,1),
(30,4944,1),
(30,3365,1),
(30,2915,1),
(30,3308,1),
(30,4216,1),
(30,2916,1),
(30,4220,1),
(30,2671,1),
(30,4943,1),
(30,3129,1),
(30,4942,1),
(30,3402,1),
(30,3899,2),
(30,3889,1),
(30,4940,1),
(30,4939,1),
(30,4973,1),
(30,2797,1),
(30,2796,1),
(30,4972,1),
(30,4970,1),
(30,4969,1),
(30,4968,1),
(30,4035,1),
(30,2979,2),
(30,2902,1),
(30,3050,1),
(30,3361,1),
(30,3913,2),
(30,3295,1),
(30,2919,1),
(30,4114,1),
(30,4967,1),
(30,4966,1),
(30,4965,1),
(30,4964,1),
(30,2905,1),
(30,4963,1),
(30,4962,1),
(30,3909,1),
(30,4961,1),
(30,4960,1),
(30,4959,1),
(30,5015,1),
(30,4228,1),
(30,5014,1),
(30,5013,1),
(30,5012,1),
(30,5011,1),
(30,3227,1),
(30,2901,1),
(30,2918,2),
(30,5010,1),
(30,4957,2),
(30,2802,1),
(30,4222,1),
(30,2672,3),
(30,5009,1),
(30,5008,1),
(30,5007,1),
(30,3891,1),
(30,5006,1),
(30,5005,1),
(30,2677,1),
(30,3900,2),
(30,5004,1),
(30,5003,1),
(30,5002,1),
(30,5001,3),
(30,5000,2),
(30,4999,1),
(30,4998,1),
(30,4223,1),
(30,4997,1),
(30,2639,5),
(30,2666,1),
(30,4941,3),
(30,4996,2),
(30,4995,2),
(30,4994,3),
(30,4993,2),
(30,4992,2),
(30,2912,5),
(30,4991,3),
(30,4990,2),
(30,4989,2),
(30,4037,2),
(30,4988,2),
(30,4987,2),
(30,4986,2),
(30,2638,9),
(30,4985,2),
(30,4971,5),
(30,4984,2),
(30,4983,2),
(30,4982,2),
(30,4981,2),
(30,4980,2),
(30,4979,2),
(30,4978,2),
(30,4977,2),
(30,2635,11),
(30,4976,2),
(30,2668,14),
(30,4975,2),
(30,4974,2),
(30,3915,2),
(30,3401,2),
(30,2792,11),
(30,5209,6),
(30,5518,6),
(30,5517,6),
(30,5516,6),
(30,1030,3),
(30,4876,1),
(30,3286,1),
(30,2776,1),
(30,4874,1),
(30,4873,1),
(30,3857,1),
(30,4872,1),
(30,4871,1),
(30,4870,1),
(30,3855,1),
(30,4869,1),
(30,4868,1),
(30,4867,1),
(30,4866,1),
(30,3031,1),
(30,3853,1),
(30,2602,1),
(30,4865,1),
(30,2615,1),
(30,4864,1),
(30,3105,1),
(30,4203,1),
(30,4863,1),
(30,4862,1),
(30,3354,1),
(30,2889,1),
(30,3294,1),
(30,4188,1),
(30,2890,1),
(30,4192,1),
(30,2613,1),
(30,4861,1),
(30,3112,1),
(30,4860,1),
(30,3395,1),
(30,3858,2),
(30,3848,1),
(30,4858,1),
(30,4857,1),
(30,4891,1),
(30,2780,1),
(30,2779,1),
(30,4890,1),
(30,4888,1),
(30,4887,1),
(30,4886,1),
(30,4012,1),
(30,2970,2),
(30,2877,1),
(30,3035,1),
(30,3350,1),
(30,3872,2),
(30,3281,1),
(30,2893,1),
(30,4102,1),
(30,4885,1),
(30,4884,1),
(30,4883,1),
(30,4882,1),
(30,2880,1),
(30,4881,1),
(30,4880,1),
(30,3868,1),
(30,4879,1),
(30,4878,1),
(30,4877,1),
(30,4933,1),
(30,4200,1),
(30,4932,1),
(30,4931,1),
(30,4930,1),
(30,4929,1),
(30,3204,1),
(30,2876,1),
(30,2892,2),
(30,4928,1),
(30,4875,2),
(30,2785,1),
(30,4194,1),
(30,2614,3),
(30,4927,1),
(30,4926,1),
(30,4925,1),
(30,3850,1),
(30,4924,1),
(30,4923,1),
(30,2619,1),
(30,3859,2),
(30,4922,1),
(30,4921,1),
(30,4920,1),
(30,4919,3),
(30,4918,2),
(30,4917,1),
(30,4916,1),
(30,4195,1),
(30,4915,1),
(30,2581,5),
(30,2608,1),
(30,4859,3),
(30,4914,2),
(30,4913,2),
(30,4912,3),
(30,4911,2),
(30,4910,2),
(30,2886,5),
(30,4909,3),
(30,4908,2),
(30,4907,2),
(30,4014,2),
(30,4906,2),
(30,4905,2),
(30,4904,2),
(30,2580,9),
(30,4903,2),
(30,4889,5),
(30,4902,2),
(30,4901,2),
(30,4900,2),
(30,4899,2),
(30,4898,2),
(30,4897,2),
(30,4896,2),
(30,4895,2),
(30,2577,11),
(30,4894,2),
(30,2610,14),
(30,4893,2),
(30,4892,2),
(30,3874,2),
(30,3394,2),
(30,2775,11),
(30,5205,6),
(30,217,6),
(30,5515,6),
(30,5514,6),
(30,1704,3),
(30,4794,1),
(30,3273,1),
(30,2759,1),
(30,4792,1),
(30,4791,1),
(30,3816,1),
(30,4790,1),
(30,4789,1),
(30,4788,1),
(30,3814,1),
(30,4787,1),
(30,4786,1),
(30,4785,1),
(30,4784,1),
(30,3016,1),
(30,3812,1),
(30,2544,1),
(30,4783,1),
(30,2557,1),
(30,4782,1),
(30,882,1),
(30,4175,1),
(30,4781,1),
(30,4780,1),
(30,3343,1),
(30,2864,1),
(30,3280,1),
(30,4161,1),
(30,2865,1),
(30,4164,1),
(30,2555,1),
(30,4779,1),
(30,3095,1),
(30,4778,1),
(30,3388,1),
(30,3817,2),
(30,3807,1),
(30,4776,1),
(30,4775,1),
(30,4809,1),
(30,2763,1),
(30,2762,1),
(30,4808,1),
(30,4806,1),
(30,4805,1),
(30,4804,1),
(30,1365,1),
(30,2961,2),
(30,2851,1),
(30,3020,1),
(30,3339,1),
(30,3831,2),
(30,3268,1),
(30,2868,1),
(30,4090,1),
(30,4803,1),
(30,4802,1),
(30,4801,1),
(30,4800,1),
(30,2854,1),
(30,4799,1),
(30,4798,1),
(30,3827,1),
(30,4797,1),
(30,4796,1),
(30,4795,1),
(30,4851,1),
(30,4172,1),
(30,4850,1),
(30,4849,1),
(30,4848,1),
(30,4847,1),
(30,3181,1),
(30,2850,1),
(30,2867,2),
(30,4846,1),
(30,4793,2),
(30,2768,1),
(30,4166,1),
(30,2556,3),
(30,4845,1),
(30,4844,1),
(30,4843,1),
(30,3809,1),
(30,4842,1),
(30,4841,1),
(30,2561,1),
(30,3818,2),
(30,4840,1),
(30,4839,1),
(30,4838,1),
(30,4837,3),
(30,4836,2),
(30,4835,1),
(30,4834,1),
(30,4167,1),
(30,4833,1),
(30,2524,5),
(30,2550,1),
(30,4777,3),
(30,4832,2),
(30,4831,2),
(30,4830,3),
(30,4829,2),
(30,4828,2),
(30,2861,5),
(30,4827,3),
(30,4826,2),
(30,4825,2),
(30,3992,2),
(30,4824,2),
(30,4823,2),
(30,4822,2),
(30,2523,9),
(30,4821,2),
(30,4807,5),
(30,4820,2),
(30,4819,2),
(30,4818,2),
(30,4817,2),
(30,4816,2),
(30,4815,2),
(30,4814,2),
(30,4813,2),
(30,2520,11),
(30,4812,2),
(30,2552,14),
(30,4811,2),
(30,4810,2),
(30,3833,2),
(30,3387,2),
(30,2758,11),
(30,5201,6),
(30,140,6),
(30,5513,6),
(30,5512,6),
(30,3724,4),
(30,845,3),
(30,4715,1),
(30,14,1),
(30,2745,1),
(30,464,1),
(30,4714,1),
(30,3778,1),
(30,4713,1),
(30,4712,1),
(30,4711,1),
(30,3777,1),
(30,1246,1),
(30,4710,1),
(30,4709,1),
(30,4708,1),
(30,31,1),
(30,3776,1),
(30,2497,1),
(30,4707,1),
(30,2504,1),
(30,4706,1),
(30,3073,1),
(30,4148,1),
(30,4705,1),
(30,4704,1),
(30,3332,1),
(30,1151,1),
(30,3267,1),
(30,4138,1),
(30,2840,1),
(30,1247,1),
(30,1219,1),
(30,4703,1),
(30,3079,1),
(30,1048,1),
(30,3381,1),
(30,3779,2),
(30,3771,1),
(30,4701,1),
(30,4700,1),
(30,4730,1),
(30,2749,1),
(30,2748,1),
(30,4729,1),
(30,4727,1),
(30,4726,1),
(30,4725,1),
(30,3969,1),
(30,720,2),
(30,2828,1),
(30,3005,1),
(30,3328,1),
(30,3792,2),
(30,3260,1),
(30,2842,1),
(30,4078,1),
(30,4724,1),
(30,4723,1),
(30,4722,1),
(30,4721,1),
(30,2831,1),
(30,4720,1),
(30,4719,1),
(30,3789,1),
(30,4718,1),
(30,4717,1),
(30,4716,1),
(30,4769,1),
(30,4146,1),
(30,4768,1),
(30,4767,1),
(30,4766,1),
(30,4765,1),
(30,3160,1),
(30,2827,1),
(30,51,2),
(30,4764,1),
(30,451,2),
(30,2752,1),
(30,4141,1),
(30,710,3),
(30,4763,1),
(30,4762,1),
(30,4761,1),
(30,3773,1),
(30,4760,1),
(30,4759,1),
(30,74,1),
(30,3780,2),
(30,4758,1),
(30,4757,1),
(30,4756,1),
(30,4755,3),
(30,4754,2),
(30,4753,1),
(30,4752,1),
(30,4142,1),
(30,4751,1),
(30,2480,5),
(30,841,1),
(30,4702,3),
(30,4750,2),
(30,4749,2),
(30,442,3),
(30,30,2),
(30,4748,2),
(30,2837,5),
(30,4747,3),
(30,4746,2),
(30,4745,2),
(30,38,2),
(30,4744,2),
(30,4743,2),
(30,4742,2),
(30,47,9),
(30,4741,2),
(30,4728,5),
(30,4740,2),
(30,4739,2),
(30,4738,2),
(30,4737,2),
(30,4736,2),
(30,4735,2),
(30,4734,2),
(30,4733,2),
(30,4732,2),
(30,4731,2),
(30,7,2),
(30,3794,2),
(30,3380,2),
(30,2744,11),
(30,5197,6),
(30,62,6),
(30,5511,6),
(30,5510,6),
(29,5092,1),
(29,2819,1),
(29,4250,1),
(29,5091,1),
(29,5090,1),
(29,5089,1),
(29,3932,1),
(29,5088,1),
(29,5087,1),
(29,2735,1),
(29,5086,1),
(29,5085,1),
(29,5084,1),
(29,5083,3),
(29,5082,2),
(29,5081,1),
(29,5080,1),
(29,4251,1),
(29,5079,1),
(29,2724,1),
(29,5078,1),
(29,5077,1),
(29,5076,2),
(29,5075,1),
(29,5074,1),
(29,5073,2),
(29,5072,1),
(29,5071,1),
(29,4060,1),
(29,5070,1),
(29,5069,1),
(29,5068,1),
(29,5067,1),
(29,5066,1),
(29,5065,1),
(29,5064,1),
(29,5063,1),
(29,5062,1),
(29,5061,1),
(29,5060,1),
(29,5059,1),
(29,5058,1),
(29,5057,1),
(29,5056,1),
(29,3956,1),
(29,3408,1),
(29,5040,1),
(29,3314,1),
(29,5039,2),
(29,2810,1),
(29,5038,1),
(29,5037,1),
(29,3939,1),
(29,5036,1),
(29,5035,1),
(29,5034,1),
(29,3937,1),
(29,5033,1),
(29,5032,1),
(29,5031,1),
(29,5030,1),
(29,3061,1),
(29,3935,1),
(29,2718,1),
(29,5029,1),
(29,2731,1),
(29,2697,7),
(29,5028,1),
(29,3139,1),
(29,4259,1),
(29,5027,1),
(29,5026,1),
(29,3376,1),
(29,2941,1),
(29,3322,1),
(29,4244,1),
(29,2942,1),
(29,4248,1),
(29,2729,1),
(29,5025,1),
(29,3146,1),
(29,5024,1),
(29,5023,3),
(29,3409,1),
(29,3940,2),
(29,3930,1),
(29,5022,1),
(29,5021,1),
(29,5055,2),
(29,2814,2),
(29,2813,2),
(29,5054,2),
(29,5053,5),
(29,5052,2),
(29,5051,2),
(29,2730,4),
(29,2698,6),
(29,5050,2),
(29,4058,2),
(29,2989,3),
(29,2726,13),
(29,2928,2),
(29,3065,2),
(29,3372,2),
(29,3954,3),
(29,3309,2),
(29,3941,3),
(29,2945,2),
(29,4126,2),
(29,5049,2),
(29,5048,2),
(29,5047,2),
(29,5046,2),
(29,2931,2),
(29,5045,2),
(29,5044,2),
(29,3950,2),
(29,2938,5),
(29,2809,11),
(29,5043,2),
(29,5042,2),
(29,5041,2),
(29,5509,6),
(29,2694,16),
(29,5273,6),
(29,2944,9),
(29,5116,6),
(29,5507,6),
(29,5493,6),
(29,1861,3),
(29,5015,1),
(29,4228,1),
(29,5014,1),
(29,5013,1),
(29,5012,1),
(29,5011,1),
(29,3227,1),
(29,2901,1),
(29,5010,1),
(29,2802,1),
(29,4222,1),
(29,5009,1),
(29,5008,1),
(29,5007,1),
(29,3891,1),
(29,5006,1),
(29,5005,1),
(29,2677,1),
(29,5004,1),
(29,5003,1),
(29,5002,1),
(29,5001,3),
(29,5000,2),
(29,4999,1),
(29,4998,1),
(29,4223,1),
(29,4997,1),
(29,2666,1),
(29,4996,1),
(29,4995,1),
(29,4994,2),
(29,4993,1),
(29,4992,1),
(29,4991,2),
(29,4990,1),
(29,4989,1),
(29,4037,1),
(29,4988,1),
(29,4987,1),
(29,4986,1),
(29,4985,1),
(29,4984,1),
(29,4983,1),
(29,4982,1),
(29,4981,1),
(29,4980,1),
(29,4979,1),
(29,4978,1),
(29,4977,1),
(29,4976,1),
(29,4975,1),
(29,4974,1),
(29,3915,1),
(29,3401,1),
(29,4958,1),
(29,3300,1),
(29,4957,2),
(29,2793,1),
(29,4956,1),
(29,4955,1),
(29,3898,1),
(29,4954,1),
(29,4953,1),
(29,4952,1),
(29,3896,1),
(29,4951,1),
(29,4950,1),
(29,4949,1),
(29,4948,1),
(29,3046,1),
(29,3894,1),
(29,2660,1),
(29,4947,1),
(29,2673,1),
(29,2638,7),
(29,4946,1),
(29,3122,1),
(29,4231,1),
(29,4945,1),
(29,4944,1),
(29,3365,1),
(29,2915,1),
(29,3308,1),
(29,4216,1),
(29,2916,1),
(29,4220,1),
(29,2671,1),
(29,4943,1),
(29,3129,1),
(29,4942,1),
(29,4941,3),
(29,3402,1),
(29,3899,2),
(29,3889,1),
(29,4940,1),
(29,4939,1),
(29,4973,2),
(29,2797,2),
(29,2796,2),
(29,4972,2),
(29,4971,5),
(29,4970,2),
(29,4969,2),
(29,2672,4),
(29,2639,6),
(29,4968,2),
(29,4035,2),
(29,2979,3),
(29,2668,13),
(29,2902,2),
(29,3050,2),
(29,3361,2),
(29,3913,3),
(29,3295,2),
(29,3900,3),
(29,2919,2),
(29,4114,2),
(29,4967,2),
(29,4966,2),
(29,4965,2),
(29,4964,2),
(29,2905,2),
(29,4963,2),
(29,4962,2),
(29,3909,2),
(29,2912,5),
(29,2792,11),
(29,4961,2),
(29,4960,2),
(29,4959,2),
(29,5506,6),
(29,2635,16),
(29,5266,6),
(29,2918,9),
(29,5112,6),
(29,5504,6),
(29,5491,6),
(29,1030,3),
(29,4933,1),
(29,4200,1),
(29,4932,1),
(29,4931,1),
(29,4930,1),
(29,4929,1),
(29,3204,1),
(29,2876,1),
(29,4928,1),
(29,2785,1),
(29,4194,1),
(29,4927,1),
(29,4926,1),
(29,4925,1),
(29,3850,1),
(29,4924,1),
(29,4923,1),
(29,2619,1),
(29,4922,1),
(29,4921,1),
(29,4920,1),
(29,4919,3),
(29,4918,2),
(29,4917,1),
(29,4916,1),
(29,4195,1),
(29,4915,1),
(29,2608,1),
(29,4914,1),
(29,4913,1),
(29,4912,2),
(29,4911,1),
(29,4910,1),
(29,4909,2),
(29,4908,1),
(29,4907,1),
(29,4014,1),
(29,4906,1),
(29,4905,1),
(29,4904,1),
(29,4903,1),
(29,4902,1),
(29,4901,1),
(29,4900,1),
(29,4899,1),
(29,4898,1),
(29,4897,1),
(29,4896,1),
(29,4895,1),
(29,4894,1),
(29,4893,1),
(29,4892,1),
(29,3874,1),
(29,3394,1),
(29,4876,1),
(29,3286,1),
(29,4875,2),
(29,2776,1),
(29,4874,1),
(29,4873,1),
(29,3857,1),
(29,4872,1),
(29,4871,1),
(29,4870,1),
(29,3855,1),
(29,4869,1),
(29,4868,1),
(29,4867,1),
(29,4866,1),
(29,3031,1),
(29,3853,1),
(29,2602,1),
(29,4865,1),
(29,2615,1),
(29,2580,7),
(29,4864,1),
(29,3105,1),
(29,4203,1),
(29,4863,1),
(29,4862,1),
(29,3354,1),
(29,2889,1),
(29,3294,1),
(29,4188,1),
(29,2890,1),
(29,4192,1),
(29,2613,1),
(29,4861,1),
(29,3112,1),
(29,4860,1),
(29,4859,3),
(29,3395,1),
(29,3858,2),
(29,3848,1),
(29,4858,1),
(29,4857,1),
(29,4891,2),
(29,2780,2),
(29,2779,2),
(29,4890,2),
(29,4889,5),
(29,4888,2),
(29,4887,2),
(29,2614,4),
(29,2581,6),
(29,4886,2),
(29,4012,2),
(29,2970,3),
(29,2610,13),
(29,2877,2),
(29,3035,2),
(29,3350,2),
(29,3872,3),
(29,3281,2),
(29,3859,3),
(29,2893,2),
(29,4102,2),
(29,4885,2),
(29,4884,2),
(29,4883,2),
(29,4882,2),
(29,2880,2),
(29,4881,2),
(29,4880,2),
(29,3868,2),
(29,2886,5),
(29,2775,11),
(29,4879,2),
(29,4878,2),
(29,4877,2),
(29,5503,6),
(29,2577,16),
(29,5259,6),
(29,2892,9),
(29,5108,6),
(29,5501,6),
(29,5489,6),
(29,1704,3),
(29,4851,1),
(29,4172,1),
(29,4850,1),
(29,4849,1),
(29,4848,1),
(29,4847,1),
(29,3181,1),
(29,2850,1),
(29,4846,1),
(29,2768,1),
(29,4166,1),
(29,4845,1),
(29,4844,1),
(29,4843,1),
(29,3809,1),
(29,4842,1),
(29,4841,1),
(29,2561,1),
(29,4840,1),
(29,4839,1),
(29,4838,1),
(29,4837,3),
(29,4836,2),
(29,4835,1),
(29,4834,1),
(29,4167,1),
(29,4833,1),
(29,2550,1),
(29,4832,1),
(29,4831,1),
(29,4830,2),
(29,4829,1),
(29,4828,1),
(29,4827,2),
(29,4826,1),
(29,4825,1),
(29,3992,1),
(29,4824,1),
(29,4823,1),
(29,4822,1),
(29,4821,1),
(29,4820,1),
(29,4819,1),
(29,4818,1),
(29,4817,1),
(29,4816,1),
(29,4815,1),
(29,4814,1),
(29,4813,1),
(29,4812,1),
(29,4811,1),
(29,4810,1),
(29,3833,1),
(29,3387,1),
(29,4794,1),
(29,3273,1),
(29,4793,2),
(29,2759,1),
(29,4792,1),
(29,4791,1),
(29,3816,1),
(29,4790,1),
(29,4789,1),
(29,4788,1),
(29,3814,1),
(29,4787,1),
(29,4786,1),
(29,4785,1),
(29,4784,1),
(29,3016,1),
(29,3812,1),
(29,2544,1),
(29,4783,1),
(29,2557,1),
(29,2523,7),
(29,4782,1),
(29,882,1),
(29,4175,1),
(29,4781,1),
(29,4780,1),
(29,3343,1),
(29,2864,1),
(29,3280,1),
(29,4161,1),
(29,2865,1),
(29,4164,1),
(29,2555,1),
(29,4779,1),
(29,3095,1),
(29,4778,1),
(29,4777,3),
(29,3388,1),
(29,3817,2),
(29,3807,1),
(29,4776,1),
(29,4775,1),
(29,4809,2),
(29,2763,2),
(29,2762,2),
(29,4808,2),
(29,4807,5),
(29,4806,2),
(29,4805,2),
(29,2556,4),
(29,2524,6),
(29,4804,2),
(29,1365,2),
(29,2961,3),
(29,2552,13),
(29,2851,2),
(29,3020,2),
(29,3339,2),
(29,3831,3),
(29,3268,2),
(29,3818,3),
(29,2868,2),
(29,4090,2),
(29,4803,2),
(29,4802,2),
(29,4801,2),
(29,4800,2),
(29,2854,2),
(29,4799,2),
(29,4798,2),
(29,3827,2),
(29,2861,5),
(29,2758,11),
(29,4797,2),
(29,4796,2),
(29,4795,2),
(29,5500,6),
(29,2520,16),
(29,5252,6),
(29,2867,9),
(29,5104,6),
(29,5498,6),
(29,5487,6),
(29,2232,4),
(29,3725,4),
(29,1971,4),
(29,1970,4),
(29,1560,4),
(29,845,3),
(29,4769,1),
(29,4146,1),
(29,4768,1),
(29,4767,1),
(29,4766,1),
(29,4765,1),
(29,3160,1),
(29,2827,1),
(29,4764,1),
(29,2752,1),
(29,4141,1),
(29,4763,1),
(29,4762,1),
(29,4761,1),
(29,3773,1),
(29,4760,1),
(29,4759,1),
(29,74,1),
(29,4758,1),
(29,4757,1),
(29,4756,1),
(29,4755,3),
(29,4754,2),
(29,4753,1),
(29,4752,1),
(29,4142,1),
(29,4751,1),
(29,841,1),
(29,4750,1),
(29,4749,1),
(29,442,2),
(29,30,1),
(29,4748,1),
(29,4747,2),
(29,4746,1),
(29,4745,1),
(29,38,1),
(29,4744,1),
(29,4743,1),
(29,4742,1),
(29,4741,1),
(29,4740,1),
(29,4739,1),
(29,4738,1),
(29,4737,1),
(29,4736,1),
(29,4735,1),
(29,4734,1),
(29,4733,1),
(29,4732,1),
(29,4731,1),
(29,7,1),
(29,3794,1),
(29,3380,1),
(29,4715,1),
(29,14,1),
(29,451,2),
(29,2745,1),
(29,464,1),
(29,4714,1),
(29,3778,1),
(29,4713,1),
(29,4712,1),
(29,4711,1),
(29,3777,1),
(29,1246,1),
(29,4710,1),
(29,4709,1),
(29,4708,1),
(29,31,1),
(29,3776,1),
(29,2497,1),
(29,4707,1),
(29,2504,1),
(29,47,7),
(29,4706,1),
(29,3073,1),
(29,4148,1),
(29,4705,1),
(29,4704,1),
(29,3332,1),
(29,1151,1),
(29,3267,1),
(29,4138,1),
(29,2840,1),
(29,1247,1),
(29,1219,1),
(29,4703,1),
(29,3079,1),
(29,1048,1),
(29,4702,3),
(29,3381,1),
(29,3779,2),
(29,3771,1),
(29,4701,1),
(29,4700,1),
(29,4730,2),
(29,2749,2),
(29,2748,2),
(29,4729,2),
(29,4728,5),
(29,4727,2),
(29,4726,2),
(29,710,4),
(29,2480,6),
(29,4725,2),
(29,3969,2),
(29,720,3),
(29,2828,2),
(29,3005,2),
(29,3328,2),
(29,3792,3),
(29,3260,2),
(29,3780,3),
(29,2842,2),
(29,4078,2),
(29,4724,2),
(29,4723,2),
(29,4722,2),
(29,4721,2),
(29,2831,2),
(29,4720,2),
(29,4719,2),
(29,3789,2),
(29,2837,5),
(29,2744,11),
(29,4718,2),
(29,4717,2),
(29,4716,2),
(29,5497,6),
(29,5245,6),
(29,51,9),
(29,5100,6),
(29,5495,6),
(29,5485,6),
(26,1951,3),
(26,1950,3),
(26,5097,1),
(26,4256,1),
(26,5096,1),
(26,5095,1),
(26,5094,1),
(26,5093,1),
(26,3250,1),
(26,2927,1),
(26,5092,1),
(26,2819,1),
(26,4250,1),
(26,5091,1),
(26,5090,1),
(26,5089,1),
(26,3932,1),
(26,5088,1),
(26,5087,1),
(26,2735,1),
(26,5086,1),
(31,4194,1),
(31,4927,1),
(31,4926,1),
(31,4925,1),
(31,3850,1),
(31,4924,1),
(31,4923,1),
(31,2619,1),
(31,4922,1),
(31,4921,1),
(31,4920,1),
(31,4919,3),
(31,4918,2),
(31,4917,1),
(31,4916,1),
(31,4195,1),
(31,4915,1),
(31,2608,1),
(31,4914,1),
(31,4913,1),
(31,4912,2),
(31,4911,1),
(31,4910,1),
(31,4909,2),
(31,4908,1),
(31,4907,1),
(31,4014,1),
(31,4906,1),
(31,4905,1),
(31,4904,1),
(31,4903,1),
(31,4902,1),
(31,4901,1),
(31,4900,1),
(31,4899,1),
(31,4898,1),
(31,4897,1),
(31,4896,1),
(31,4895,1),
(31,4894,1),
(31,4893,1),
(31,4892,1),
(31,3874,1),
(31,3394,1),
(31,4891,1),
(31,2780,1),
(31,2779,1),
(31,4890,1),
(31,4889,4),
(31,4888,1),
(31,4887,1),
(31,2614,3),
(31,2892,2),
(31,4886,1),
(31,4012,1),
(31,2877,1),
(31,3035,1),
(31,3350,1),
(31,3281,1),
(31,3859,2),
(31,2893,1),
(31,4102,1),
(31,4885,1),
(31,4884,1),
(31,4883,1),
(31,4882,1),
(31,2880,1),
(31,4881,1),
(31,4880,1),
(31,3868,1),
(31,4879,1),
(31,4878,1),
(31,4877,1),
(31,4876,1),
(31,3286,1),
(31,4875,2),
(31,2776,1),
(31,4874,1),
(31,4873,1),
(31,3857,1),
(31,4872,1),
(31,4871,1),
(31,2775,9),
(31,4870,1),
(31,3872,2),
(31,3855,1),
(31,4869,1),
(31,4868,1),
(31,4867,1),
(31,4866,1),
(31,3031,1),
(31,3853,1),
(31,2602,2),
(31,4865,2),
(31,2615,2),
(31,2580,8),
(31,4864,2),
(31,3105,2),
(31,2886,5),
(31,4203,2),
(31,4863,2),
(31,4862,2),
(31,3354,2),
(31,2889,2),
(31,3294,2),
(31,4188,2),
(31,2890,2),
(31,4192,2),
(31,2970,3),
(31,2613,2),
(31,4861,2),
(31,3112,2),
(31,2577,12),
(31,4860,2),
(31,4859,4),
(31,3395,2),
(31,3858,3),
(31,3848,2),
(31,2610,14),
(31,4858,2),
(31,4857,2),
(31,2581,7),
(31,5205,6),
(31,4687,6),
(31,5524,6),
(31,5514,6),
(31,1704,3),
(31,4851,1),
(31,4172,1),
(31,4850,1),
(31,4849,1),
(31,4848,1),
(31,4847,1),
(31,3181,1),
(31,2850,1),
(31,4846,1),
(31,2768,1),
(31,4166,1),
(31,4845,1),
(31,4844,1),
(31,4843,1),
(31,3809,1),
(31,4842,1),
(31,4841,1),
(31,2561,1),
(31,4840,1),
(31,4839,1),
(31,4838,1),
(31,4837,3),
(31,4836,2),
(31,4835,1),
(31,4834,1),
(31,4167,1),
(31,4833,1),
(31,2550,1),
(31,4832,1),
(31,4831,1),
(31,4830,2),
(31,4829,1),
(31,4828,1),
(31,4827,2),
(31,4826,1),
(31,4825,1),
(31,3992,1),
(31,4824,1),
(31,4823,1),
(31,4822,1),
(31,4821,1),
(31,4820,1),
(31,4819,1),
(31,4818,1),
(31,4817,1),
(31,4816,1),
(31,4815,1),
(31,4814,1),
(31,4813,1),
(31,4812,1),
(31,4811,1),
(31,4810,1),
(31,3833,1),
(31,3387,1),
(31,4809,1),
(31,2763,1),
(31,2762,1),
(31,4808,1),
(31,4807,4),
(31,4806,1),
(31,4805,1),
(31,2556,3),
(31,2867,2),
(31,4804,1),
(31,1365,1),
(31,2851,1),
(31,3020,1),
(31,3339,1),
(31,3268,1),
(31,3818,2),
(31,2868,1),
(31,4090,1),
(31,4803,1),
(31,4802,1),
(31,4801,1),
(31,4800,1),
(31,2854,1),
(31,4799,1),
(31,4798,1),
(31,3827,1),
(31,4797,1),
(31,4796,1),
(31,4795,1),
(31,4794,1),
(31,3273,1),
(31,4793,2),
(31,2759,1),
(31,4792,1),
(31,4791,1),
(31,3816,1),
(31,4790,1),
(31,4789,1),
(31,2758,9),
(31,4788,1),
(31,3831,2),
(31,3814,1),
(31,4787,1),
(31,4786,1),
(31,4785,1),
(31,4784,1),
(31,3016,1),
(31,3812,1),
(31,2544,2),
(31,4783,2),
(31,2557,2),
(31,2523,8),
(31,4782,2),
(31,882,2),
(31,2861,5),
(31,4175,2),
(31,4781,2),
(31,4780,2),
(31,3343,2),
(31,2864,2),
(31,3280,2),
(31,4161,2),
(31,2865,2),
(31,4164,2),
(31,2961,3),
(31,2555,2),
(31,4779,2),
(31,3095,2),
(31,2520,12),
(31,4778,2),
(31,4777,4),
(31,3388,2),
(31,3817,3),
(31,3807,2),
(31,2552,14),
(31,4776,2),
(31,4775,2),
(31,2524,7),
(31,5201,6),
(31,4684,6),
(31,5523,6),
(31,5512,6),
(31,1971,4),
(31,1970,4),
(31,1560,4),
(31,845,3),
(31,4769,1),
(31,4146,1),
(31,4768,1),
(31,4767,1),
(31,4766,1),
(31,4765,1),
(31,3160,1),
(31,2827,1),
(31,4764,1),
(31,2752,1),
(31,4141,1),
(31,4763,1),
(31,4762,1),
(31,4761,1),
(31,3773,1),
(31,4760,1),
(31,4759,1),
(31,74,1),
(31,4758,1),
(31,4757,1),
(31,4756,1),
(31,4755,3),
(31,4754,2),
(31,4753,1),
(31,4752,1),
(31,4142,1),
(31,4751,1),
(31,841,1),
(31,4750,1),
(31,4749,1),
(31,442,2),
(31,30,1),
(31,4748,1),
(31,4747,2),
(31,4746,1),
(31,4745,1),
(31,38,1),
(31,4744,1),
(31,4743,1),
(31,4742,1),
(31,4741,1),
(31,4740,1),
(31,4739,1),
(31,4738,1),
(31,4737,1),
(31,4736,1),
(31,4735,1),
(31,4734,1),
(31,4733,1),
(31,4732,1),
(31,4731,1),
(31,7,1),
(31,3794,1),
(31,3380,1),
(31,4730,1),
(31,2749,1),
(31,2748,1),
(31,4729,1),
(31,4728,4),
(31,4727,1),
(31,4726,1),
(31,710,3),
(31,51,2),
(31,4725,1),
(31,3969,1),
(31,2828,1),
(31,3005,1),
(31,3328,1),
(31,3260,1),
(31,3780,2),
(31,2842,1),
(31,4078,1),
(31,4724,1),
(31,4723,1),
(31,4722,1),
(31,4721,1),
(31,2831,1),
(31,4720,1),
(31,4719,1),
(31,3789,1),
(31,4718,1),
(31,4717,1),
(31,4716,1),
(31,4715,1),
(31,14,1),
(31,451,2),
(31,2745,1),
(31,464,1),
(31,4714,1),
(31,3778,1),
(31,4713,1),
(31,4712,1),
(31,2744,9),
(31,4711,1),
(31,3792,2),
(31,3777,1),
(31,1246,1),
(31,4710,1),
(31,4709,1),
(31,4708,1),
(31,31,1),
(31,3776,1),
(31,2497,2),
(31,4707,2),
(31,2504,2),
(31,47,8),
(31,4706,2),
(31,3073,2),
(31,2837,5),
(31,4148,2),
(31,4705,2),
(31,4704,2),
(31,3332,2),
(31,1151,2),
(31,3267,2),
(31,4138,2),
(31,2840,2),
(31,1247,2),
(31,720,3),
(31,1219,2),
(31,4703,2),
(31,3079,2),
(31,1048,2),
(31,4702,4),
(31,3381,2),
(31,3779,3),
(31,3771,2),
(31,4701,2),
(31,4700,2),
(31,2480,7),
(31,5197,6),
(31,4681,6),
(31,5522,6),
(31,5510,6),
(26,5085,1),
(26,5084,1),
(26,5083,3),
(26,5082,2),
(26,5081,1),
(26,5080,1),
(26,4251,1),
(26,5079,1),
(26,2724,1),
(26,5078,1),
(26,5077,1),
(26,5076,2),
(26,5075,1),
(26,5074,1),
(26,5073,2),
(26,5072,1),
(26,5071,1),
(26,4060,1),
(26,5070,1),
(26,5069,1),
(26,5068,1),
(26,5067,1),
(26,5066,1),
(26,5065,1),
(26,5064,1),
(26,5063,1),
(26,5062,1),
(26,5061,1),
(26,5060,1),
(26,5059,1),
(26,5058,1),
(26,5057,1),
(26,5056,1),
(26,3956,1),
(26,3408,1),
(26,5040,1),
(26,3314,1),
(26,5039,2),
(26,2810,1),
(26,5038,1),
(26,5037,1),
(26,3939,1),
(26,5036,1),
(26,5035,1),
(26,5034,1),
(26,3937,1),
(26,5033,1),
(26,5032,1),
(26,5031,1),
(26,5030,1),
(26,3061,1),
(26,3935,1),
(26,2718,1),
(26,5029,1),
(26,2731,1),
(26,2697,7),
(26,5028,1),
(26,3139,1),
(26,4259,1),
(26,5027,1),
(26,5026,1),
(26,3376,1),
(26,2941,1),
(26,3322,1),
(26,4244,1),
(26,2942,1),
(26,4248,1),
(26,2729,1),
(26,5025,1),
(26,3146,1),
(26,5024,1),
(26,5023,3),
(26,3409,1),
(26,3940,2),
(26,3930,1),
(26,5022,1),
(26,5021,1),
(26,5055,2),
(26,2814,2),
(26,2813,2),
(26,5054,2),
(26,5053,5),
(26,5052,2),
(26,5051,2),
(26,2694,10),
(26,2730,4),
(26,2698,6),
(26,2944,3),
(26,5050,2),
(26,4058,2),
(26,2989,3),
(26,2726,13),
(26,2928,2),
(26,3065,2),
(26,3372,2),
(26,3954,3),
(26,3309,2),
(26,3941,3),
(26,2945,2),
(26,4126,2),
(26,5049,2),
(26,5048,2),
(26,5047,2),
(26,5046,2),
(26,2931,2),
(26,5045,2),
(26,5044,2),
(26,3950,2),
(26,2938,5),
(26,2809,11),
(26,5043,2),
(26,5042,2),
(26,5041,2),
(26,5139,6),
(26,5138,6),
(26,5137,6),
(26,5484,6),
(26,5476,6),
(26,1861,3),
(26,5015,1),
(26,4228,1),
(26,5014,1),
(26,5013,1),
(26,5012,1),
(26,5011,1),
(26,3227,1),
(26,2901,1),
(26,5010,1),
(26,2802,1),
(26,4222,1),
(26,5009,1),
(26,5008,1),
(26,5007,1),
(26,3891,1),
(26,5006,1),
(26,5005,1),
(26,2677,1),
(26,5004,1),
(26,5003,1),
(26,5002,1),
(26,5001,3),
(26,5000,2),
(26,4999,1),
(26,4998,1),
(26,4223,1),
(26,4997,1),
(26,2666,1),
(26,4996,1),
(26,4995,1),
(26,4994,2),
(26,4993,1),
(26,4992,1),
(26,4991,2),
(26,4990,1),
(26,4989,1),
(26,4037,1),
(26,4988,1),
(26,4987,1),
(26,4986,1),
(26,4985,1),
(26,4984,1),
(26,4983,1),
(26,4982,1),
(26,4981,1),
(26,4980,1),
(26,4979,1),
(26,4978,1),
(26,4977,1),
(26,4976,1),
(26,4975,1),
(26,4974,1),
(26,3915,1),
(26,3401,1),
(26,4958,1),
(26,3300,1),
(26,4957,2),
(26,2793,1),
(26,4956,1),
(26,4955,1),
(26,3898,1),
(26,4954,1),
(26,4953,1),
(26,4952,1),
(26,3896,1),
(26,4951,1),
(26,4950,1),
(26,4949,1),
(26,4948,1),
(26,3046,1),
(26,3894,1),
(26,2660,1),
(26,4947,1),
(26,2673,1),
(26,2638,7),
(26,4946,1),
(26,3122,1),
(26,4231,1),
(26,4945,1),
(26,4944,1),
(26,3365,1),
(26,2915,1),
(26,3308,1),
(26,4216,1),
(26,2916,1),
(26,4220,1),
(26,2671,1),
(26,4943,1),
(26,3129,1),
(26,4942,1),
(26,4941,3),
(26,3402,1),
(26,3899,2),
(26,3889,1),
(26,4940,1),
(26,4939,1),
(26,4973,2),
(26,2797,2),
(26,2796,2),
(26,4972,2),
(26,4971,5),
(26,4970,2),
(26,4969,2),
(26,2635,10),
(26,2672,4),
(26,2639,6),
(26,2918,3),
(26,4968,2),
(26,4035,2),
(26,2979,3),
(26,2668,13),
(26,2902,2),
(26,3050,2),
(26,3361,2),
(26,3913,3),
(26,3295,2),
(26,3900,3),
(26,2919,2),
(26,4114,2),
(26,4967,2),
(26,4966,2),
(26,4965,2),
(26,4964,2),
(26,2905,2),
(26,4963,2),
(26,4962,2),
(26,3909,2),
(26,2912,5),
(26,2792,11),
(26,4961,2),
(26,4960,2),
(26,4959,2),
(26,5134,6),
(26,5133,6),
(26,5132,6),
(26,5483,6),
(26,5472,6),
(26,1030,3),
(26,4933,1),
(26,4200,1),
(26,4932,1),
(26,4931,1),
(26,4930,1),
(26,4929,1),
(26,3204,1),
(26,2876,1),
(26,4928,1),
(26,2785,1),
(26,4194,1),
(26,4927,1),
(26,4926,1),
(26,4925,1),
(26,3850,1),
(26,4924,1),
(26,4923,1),
(26,2619,1),
(26,4922,1),
(26,4921,1),
(26,4920,1),
(26,4919,3),
(26,4918,2),
(26,4917,1),
(26,4916,1),
(26,4195,1),
(28,4250,1),
(28,5091,1),
(28,5090,1),
(28,5089,1),
(28,3932,1),
(28,5088,1),
(28,5087,1),
(28,2735,1),
(28,5086,1),
(28,5085,1),
(28,5084,1),
(28,5083,3),
(28,5082,2),
(28,5081,1),
(28,5080,1),
(28,4251,1),
(28,5079,1),
(28,2724,1),
(28,5078,1),
(28,5077,1),
(28,5076,2),
(28,5075,1),
(28,5074,1),
(28,5073,2),
(28,5072,1),
(28,5071,1),
(28,4060,1),
(28,5070,1),
(28,5069,1),
(28,5068,1),
(28,5067,1),
(28,5066,1),
(28,5065,1),
(28,5064,1),
(28,5063,1),
(28,5062,1),
(28,5061,1),
(28,5060,1),
(28,5059,1),
(28,5058,1),
(28,5057,1),
(28,5056,1),
(28,3956,1),
(28,3408,1),
(28,5055,1),
(28,2814,1),
(28,2813,1),
(28,5054,1),
(28,5053,4),
(28,5052,1),
(28,5051,1),
(28,2730,3),
(28,5050,1),
(28,4058,1),
(28,2928,1),
(28,3065,1),
(28,3372,1),
(28,3309,1),
(28,3941,2),
(28,2945,1),
(28,4126,1),
(28,5049,1),
(28,5048,1),
(28,5047,1),
(28,5046,1),
(28,2931,1),
(28,5045,1),
(28,5044,1),
(28,3950,1),
(28,5043,1),
(28,5042,1),
(28,5041,1),
(28,5040,1),
(28,3314,1),
(28,5039,2),
(28,2810,1),
(28,5038,1),
(28,5037,1),
(28,3939,1),
(28,5036,1),
(28,5035,1),
(28,2809,9),
(28,5034,1),
(28,3954,2),
(28,3937,1),
(28,5033,1),
(28,5032,1),
(28,5031,1),
(28,5030,1),
(28,3061,1),
(28,3935,1),
(28,2718,2),
(28,5029,2),
(28,2731,2),
(28,2697,8),
(28,5028,2),
(28,3139,2),
(28,2938,5),
(28,4259,2),
(28,5027,2),
(28,5026,2),
(28,3376,2),
(28,2941,2),
(28,3322,2),
(28,4244,2),
(28,2942,2),
(28,4248,2),
(28,2989,3),
(28,2729,2),
(28,5025,2),
(28,3146,2),
(28,5024,2),
(28,5023,4),
(28,3409,2),
(28,3940,3),
(28,3930,2),
(28,2726,14),
(28,5022,2),
(28,5021,2),
(28,2698,7),
(28,5509,6),
(28,2694,18),
(28,5273,6),
(28,2944,8),
(28,5116,6),
(28,5508,6),
(28,5507,6),
(28,5493,6),
(28,1861,3),
(28,5015,1),
(28,4228,1),
(28,5014,1),
(28,5013,1),
(28,5012,1),
(28,5011,1),
(28,3227,1),
(28,2901,1),
(28,5010,1),
(28,2802,1),
(28,4222,1),
(28,5009,1),
(28,5008,1),
(28,5007,1),
(28,3891,1),
(28,5006,1),
(28,5005,1),
(28,2677,1),
(28,5004,1),
(28,5003,1),
(28,5002,1),
(28,5001,3),
(28,5000,2),
(28,4999,1),
(28,4998,1),
(28,4223,1),
(28,4997,1),
(28,2666,1),
(28,4996,1),
(28,4995,1),
(28,4994,2),
(28,4993,1),
(28,4992,1),
(28,4991,2),
(28,4990,1),
(28,4989,1),
(28,4037,1),
(28,4988,1),
(28,4987,1),
(28,4986,1),
(28,4985,1),
(28,4984,1),
(28,4983,1),
(28,4982,1),
(28,4981,1),
(28,4980,1),
(28,4979,1),
(28,4978,1),
(28,4977,1),
(28,4976,1),
(28,4975,1),
(28,4974,1),
(28,3915,1),
(28,3401,1),
(28,4973,1),
(28,2797,1),
(28,2796,1),
(28,4972,1),
(28,4971,4),
(28,4970,1),
(28,4969,1),
(28,2672,3),
(28,4968,1),
(28,4035,1),
(28,2902,1),
(28,3050,1),
(28,3361,1),
(28,3295,1),
(28,3900,2),
(28,2919,1),
(28,4114,1),
(28,4967,1),
(28,4966,1),
(28,4965,1),
(28,4964,1),
(28,2905,1),
(28,4963,1),
(28,4962,1),
(28,3909,1),
(28,4961,1),
(28,4960,1),
(28,4959,1),
(28,4958,1),
(28,3300,1),
(28,4957,2),
(28,2793,1),
(28,4956,1),
(28,4955,1),
(28,3898,1),
(28,4954,1),
(28,4953,1),
(28,2792,9),
(28,4952,1),
(28,3913,2),
(28,3896,1),
(28,4951,1),
(28,4950,1),
(28,4949,1),
(28,4948,1),
(28,3046,1),
(28,3894,1),
(28,2660,2),
(28,4947,2),
(28,2673,2),
(28,2638,8),
(28,4946,2),
(28,3122,2),
(28,2912,5),
(28,4231,2),
(28,4945,2),
(28,4944,2),
(28,3365,2),
(28,2915,2),
(28,3308,2),
(28,4216,2),
(28,2916,2),
(28,4220,2),
(28,2979,3),
(28,2671,2),
(28,4943,2),
(28,3129,2),
(28,4942,2),
(28,4941,4),
(28,3402,2),
(28,3899,3),
(28,3889,2),
(28,2668,14),
(28,4940,2),
(28,4939,2),
(28,2639,7),
(28,5506,6),
(28,2635,18),
(28,5266,6),
(28,2918,8),
(28,5112,6),
(28,5505,6),
(28,5504,6),
(28,5491,6),
(28,1030,3),
(28,4933,1),
(28,4200,1),
(28,4932,1),
(28,4931,1),
(28,4930,1),
(28,4929,1),
(28,3204,1),
(28,2876,1),
(28,4928,1),
(28,2785,1),
(28,4194,1),
(28,4927,1),
(28,4926,1),
(28,4925,1),
(28,3850,1),
(28,4924,1),
(28,4923,1),
(28,2619,1),
(28,4922,1),
(28,4921,1),
(28,4920,1),
(28,4919,3),
(28,4918,2),
(28,4917,1),
(28,4916,1),
(28,4195,1),
(28,4915,1),
(28,2608,1),
(28,4914,1),
(28,4913,1),
(28,4912,2),
(28,4911,1),
(28,4910,1),
(28,4909,2),
(28,4908,1),
(28,4907,1),
(28,4014,1),
(28,4906,1),
(28,4905,1),
(28,4904,1),
(28,4903,1),
(28,4902,1),
(28,4901,1),
(28,4900,1),
(28,4899,1),
(28,4898,1),
(28,4897,1),
(28,4896,1),
(28,4895,1),
(28,4894,1),
(28,4893,1),
(28,4892,1),
(28,3874,1),
(28,3394,1),
(28,4891,1),
(28,2780,1),
(28,2779,1),
(28,4890,1),
(28,4889,4),
(28,4888,1),
(28,4887,1),
(28,2614,3),
(28,4886,1),
(28,4012,1),
(28,2877,1),
(28,3035,1),
(28,3350,1),
(28,3281,1),
(28,3859,2),
(28,2893,1),
(28,4102,1),
(28,4885,1),
(28,4884,1),
(28,4883,1),
(28,4882,1),
(28,2880,1),
(28,4881,1),
(28,4880,1),
(28,3868,1),
(28,4879,1),
(28,4878,1),
(28,4877,1),
(28,4876,1),
(28,3286,1),
(28,4875,2),
(28,2776,1),
(28,4874,1),
(28,4873,1),
(28,3857,1),
(28,4872,1),
(28,4871,1),
(28,2775,9),
(28,4870,1),
(28,3872,2),
(28,3855,1),
(28,4869,1),
(28,4868,1),
(28,4867,1),
(28,4866,1),
(28,3031,1),
(28,3853,1),
(28,2602,2),
(28,4865,2),
(28,2615,2),
(28,2580,8),
(28,4864,2),
(28,3105,2),
(28,2886,5),
(28,4203,2),
(28,4863,2),
(28,4862,2),
(28,3354,2),
(28,2889,2),
(28,3294,2),
(28,4188,2),
(28,2890,2),
(28,4192,2),
(28,2970,3),
(28,2613,2),
(28,4861,2),
(28,3112,2),
(28,4860,2),
(28,4859,4),
(28,3395,2),
(28,3858,3),
(28,3848,2),
(28,2610,14),
(28,4858,2),
(28,4857,2),
(28,2581,7),
(28,5503,6),
(28,2577,18),
(28,5259,6),
(28,2892,8),
(28,5108,6),
(28,5502,6),
(28,5501,6),
(28,5489,6),
(28,1704,3),
(28,4851,1),
(28,4172,1),
(28,4850,1),
(28,4849,1),
(28,4848,1),
(28,4847,1),
(28,3181,1),
(28,2850,1),
(28,4846,1),
(28,2768,1),
(28,4166,1),
(28,4845,1),
(28,4844,1),
(28,4843,1),
(28,3809,1),
(28,4842,1),
(28,4841,1),
(28,2561,1),
(28,4840,1),
(28,4839,1),
(28,4838,1),
(28,4837,3),
(28,4836,2),
(28,4835,1),
(28,4834,1),
(28,4167,1),
(28,4833,1),
(28,2550,1),
(28,4832,1),
(28,4831,1),
(28,4830,2),
(28,4829,1),
(28,4828,1),
(28,4827,2),
(28,4826,1),
(28,4825,1),
(28,3992,1),
(28,4824,1),
(28,4823,1),
(28,4822,1),
(28,4821,1),
(28,4820,1),
(28,4819,1),
(28,4818,1),
(28,4817,1),
(28,4816,1),
(28,4815,1),
(28,4814,1),
(28,4813,1),
(28,4812,1),
(28,4811,1),
(28,4810,1),
(28,3833,1),
(28,3387,1),
(28,4809,1),
(28,2763,1),
(28,2762,1),
(28,4808,1),
(28,4807,4),
(28,4806,1),
(28,4805,1),
(28,2556,3),
(28,4804,1),
(28,1365,1),
(28,2851,1),
(28,3020,1),
(28,3339,1),
(28,3268,1),
(28,3818,2),
(28,2868,1),
(28,4090,1),
(28,4803,1),
(28,4802,1),
(28,4801,1),
(28,4800,1),
(28,2854,1),
(28,4799,1),
(28,4798,1),
(28,3827,1),
(28,4797,1),
(28,4796,1),
(28,4795,1),
(28,4794,1),
(28,3273,1),
(28,4793,2),
(28,2759,1),
(28,4792,1),
(28,4791,1),
(28,3816,1),
(28,4790,1),
(28,4789,1),
(28,2758,9),
(28,4788,1),
(28,3831,2),
(28,3814,1),
(28,4787,1),
(28,4786,1),
(28,4785,1),
(28,4784,1),
(28,3016,1),
(28,3812,1),
(28,2544,2),
(28,4783,2),
(28,2557,2),
(28,2523,8),
(28,4782,2),
(28,882,2),
(28,2861,5),
(28,4175,2),
(28,4781,2),
(28,4780,2),
(28,3343,2),
(28,2864,2),
(28,3280,2),
(28,4161,2),
(28,2865,2),
(28,4164,2),
(28,2961,3),
(28,2555,2),
(28,4779,2),
(28,3095,2),
(28,4778,2),
(28,4777,4),
(28,3388,2),
(28,3817,3),
(28,3807,2),
(28,2552,14),
(28,4776,2),
(28,4775,2),
(28,2524,7),
(28,5500,6),
(28,2520,18),
(28,5252,6),
(28,2867,8),
(28,5104,6),
(28,5499,6),
(28,5498,6),
(28,5487,6),
(28,1567,4),
(28,1561,4),
(28,845,3),
(28,4769,1),
(28,4146,1),
(28,4768,1),
(28,4767,1),
(28,4766,1),
(28,4765,1),
(28,3160,1),
(28,2827,1),
(28,4764,1),
(28,2752,1),
(28,4141,1),
(28,4763,1),
(28,4762,1),
(28,4761,1),
(28,3773,1),
(28,4760,1),
(28,4759,1),
(28,74,1),
(28,4758,1),
(28,4757,1),
(28,4756,1),
(28,4755,3),
(28,4754,2),
(28,4753,1),
(28,4752,1),
(28,4142,1),
(28,4751,1),
(28,841,1),
(28,4750,1),
(28,4749,1),
(28,442,2),
(28,30,1),
(28,4748,1),
(28,4747,2),
(28,4746,1),
(28,4745,1),
(28,38,1),
(28,4744,1),
(28,4743,1),
(28,4742,1),
(28,4741,1),
(28,4740,1),
(28,4739,1),
(28,4738,1),
(28,4737,1),
(28,4736,1),
(28,4735,1),
(28,4734,1),
(28,4733,1),
(28,4732,1),
(28,4731,1),
(28,7,1),
(28,3794,1),
(28,3380,1),
(28,4730,1),
(28,2749,1),
(28,2748,1),
(28,4729,1),
(28,4728,4),
(28,4727,1),
(28,4726,1),
(28,710,3),
(28,4725,1),
(28,3969,1),
(28,2828,1),
(28,3005,1),
(28,3328,1),
(28,3260,1),
(28,3780,2),
(28,2842,1),
(28,4078,1),
(28,4724,1),
(28,4723,1),
(28,4722,1),
(28,4721,1),
(28,2831,1),
(28,4720,1),
(28,4719,1),
(28,3789,1),
(28,4718,1),
(28,4717,1),
(28,4716,1),
(28,4715,1),
(28,14,1),
(28,451,2),
(28,2745,1),
(28,464,1),
(28,4714,1),
(28,3778,1),
(28,4713,1),
(28,4712,1),
(28,2744,9),
(28,4711,1),
(28,3792,2),
(28,3777,1),
(28,1246,1),
(28,4710,1),
(28,4709,1),
(28,4708,1),
(28,31,1),
(28,3776,1),
(28,2497,2),
(28,4707,2),
(28,2504,2),
(28,47,8),
(28,4706,2),
(28,3073,2),
(28,2837,5),
(28,4148,2),
(28,4705,2),
(28,4704,2),
(28,3332,2),
(28,1151,2),
(28,3267,2),
(28,4138,2),
(28,2840,2),
(28,1247,2),
(28,720,3),
(28,1219,2),
(28,4703,2),
(28,3079,2),
(28,1048,2),
(28,4702,4),
(28,3381,2),
(28,3779,3),
(28,3771,2),
(28,4701,2),
(28,4700,2),
(28,2480,7),
(28,5497,6),
(28,5245,6),
(28,51,8),
(28,5100,6),
(28,5496,6),
(28,5495,6),
(28,5485,6),
(25,5094,1),
(25,5093,1),
(25,3250,1),
(25,2927,1),
(25,5092,1),
(26,4915,1),
(26,2608,1),
(26,4914,1),
(26,4913,1),
(26,4912,2),
(26,4911,1),
(26,4910,1),
(26,4909,2),
(26,4908,1),
(26,4907,1),
(26,4014,1),
(26,4906,1),
(26,4905,1),
(26,4904,1),
(26,4903,1),
(26,4902,1),
(26,4901,1),
(26,4900,1),
(26,4899,1),
(26,4898,1),
(26,4897,1),
(26,4896,1),
(26,4895,1),
(26,4894,1),
(26,4893,1),
(26,4892,1),
(26,3874,1),
(26,3394,1),
(26,4876,1),
(26,3286,1),
(26,4875,2),
(26,2776,1),
(26,4874,1),
(26,4873,1),
(26,3857,1),
(26,4872,1),
(26,4871,1),
(26,4870,1),
(26,3855,1),
(26,4869,1),
(26,4868,1),
(26,4867,1),
(26,4866,1),
(26,3031,1),
(26,3853,1),
(26,2602,1),
(26,4865,1),
(26,2615,1),
(26,2580,7),
(26,4864,1),
(26,3105,1),
(26,4203,1),
(26,4863,1),
(26,4862,1),
(26,3354,1),
(26,2889,1),
(26,3294,1),
(26,4188,1),
(26,2890,1),
(26,4192,1),
(26,2613,1),
(26,4861,1),
(26,3112,1),
(26,4860,1),
(26,4859,3),
(26,3395,1),
(26,3858,2),
(26,3848,1),
(26,4858,1),
(26,4857,1),
(26,4891,2),
(26,2780,2),
(26,2779,2),
(26,4890,2),
(26,4889,5),
(26,4888,2),
(26,4887,2),
(26,2577,10),
(26,2614,4),
(26,2581,6),
(26,2892,3),
(26,4886,2),
(26,4012,2),
(26,2970,3),
(26,2610,13),
(26,2877,2),
(26,3035,2),
(26,3350,2),
(26,3872,3),
(26,3281,2),
(26,3859,3),
(26,2893,2),
(26,4102,2),
(26,4885,2),
(26,4884,2),
(26,4883,2),
(26,4882,2),
(26,2880,2),
(26,4881,2),
(26,4880,2),
(26,3868,2),
(26,2886,5),
(26,2775,11),
(26,4879,2),
(26,4878,2),
(26,4877,2),
(26,5129,6),
(26,5128,6),
(26,5127,6),
(26,5482,6),
(26,5468,6),
(26,1704,3),
(26,4851,1),
(26,4172,1),
(26,4850,1),
(26,4849,1),
(26,4848,1),
(26,4847,1),
(26,3181,1),
(26,2850,1),
(26,4846,1),
(26,2768,1),
(26,4166,1),
(26,4845,1),
(26,4844,1),
(26,4843,1),
(26,3809,1),
(26,4842,1),
(26,4841,1),
(26,2561,1),
(26,4840,1),
(26,4839,1),
(26,4838,1),
(26,4837,3),
(26,4836,2),
(26,4835,1),
(26,4834,1),
(26,4167,1),
(26,4833,1),
(26,2550,1),
(26,4832,1),
(26,4831,1),
(26,4830,2),
(26,4829,1),
(26,4828,1),
(26,4827,2),
(26,4826,1),
(26,4825,1),
(26,3992,1),
(26,4824,1),
(26,4823,1),
(26,4822,1),
(26,4821,1),
(26,4820,1),
(26,4819,1),
(26,4818,1),
(26,4817,1),
(26,4816,1),
(26,4815,1),
(26,4814,1),
(26,4813,1),
(26,4812,1),
(26,4811,1),
(26,4810,1),
(26,3833,1),
(26,3387,1),
(26,4794,1),
(26,3273,1),
(26,4793,2),
(26,2759,1),
(26,4792,1),
(26,4791,1),
(26,3816,1),
(26,4790,1),
(26,4789,1),
(26,4788,1),
(26,3814,1),
(26,4787,1),
(26,4786,1),
(26,4785,1),
(26,4784,1),
(26,3016,1),
(26,3812,1),
(26,2544,1),
(26,4783,1),
(26,2557,1),
(26,2523,7),
(26,4782,1),
(26,882,1),
(26,4175,1),
(26,4781,1),
(26,4780,1),
(26,3343,1),
(26,2864,1),
(26,3280,1),
(26,4161,1),
(26,2865,1),
(26,4164,1),
(26,2555,1),
(26,4779,1),
(26,3095,1),
(26,4778,1),
(26,4777,3),
(26,3388,1),
(26,3817,2),
(26,3807,1),
(26,4776,1),
(26,4775,1),
(26,4809,2),
(26,2763,2),
(26,2762,2),
(26,4808,2),
(26,4807,5),
(26,4806,2),
(26,4805,2),
(26,2520,10),
(26,2556,4),
(26,2524,6),
(26,2867,3),
(26,4804,2),
(26,1365,2),
(26,2961,3),
(26,2552,13),
(26,2851,2),
(26,3020,2),
(26,3339,2),
(26,3831,3),
(26,3268,2),
(26,3818,3),
(26,2868,2),
(26,4090,2),
(26,4803,2),
(26,4802,2),
(26,4801,2),
(26,4800,2),
(26,2854,2),
(26,4799,2),
(26,4798,2),
(26,3827,2),
(26,2861,5),
(26,2758,11),
(26,4797,2),
(26,4796,2),
(26,4795,2),
(26,5124,6),
(26,5123,6),
(26,297,6),
(26,5481,6),
(26,5464,6),
(26,2232,4),
(26,3725,4),
(26,3724,4),
(26,3731,4),
(26,3730,4),
(26,1971,4),
(26,1970,4),
(26,1560,4),
(26,845,3),
(26,4769,1),
(26,4146,1),
(26,4768,1),
(26,4767,1),
(26,4766,1),
(26,4765,1),
(26,3160,1),
(26,2827,1),
(26,4764,1),
(26,2752,1),
(26,4141,1),
(26,4763,1),
(26,4762,1),
(26,4761,1),
(26,3773,1),
(26,4760,1),
(26,4759,1),
(26,74,1),
(26,4758,1),
(26,4757,1),
(26,4756,1),
(26,4755,3),
(26,4754,2),
(26,4753,1),
(26,4752,1),
(26,4142,1),
(26,4751,1),
(26,841,1),
(26,4750,1),
(26,4749,1),
(26,442,2),
(26,30,1),
(26,4748,1),
(26,4747,2),
(26,4746,1),
(26,4745,1),
(26,38,1),
(26,4744,1),
(26,4743,1),
(26,4742,1),
(26,4741,1),
(26,4740,1),
(26,4739,1),
(26,4738,1),
(26,4737,1),
(26,4736,1),
(26,4735,1),
(26,4734,1),
(26,4733,1),
(26,4732,1),
(26,4731,1),
(26,7,1),
(26,3794,1),
(26,3380,1),
(26,4715,1),
(26,14,1),
(26,451,2),
(26,2745,1),
(26,464,1),
(26,4714,1),
(26,3778,1),
(26,4713,1),
(26,4712,1),
(26,4711,1),
(26,3777,1),
(26,1246,1),
(26,4710,1),
(26,4709,1),
(26,4708,1),
(26,31,1),
(26,3776,1),
(26,2497,1),
(26,4707,1),
(26,2504,1),
(26,47,7),
(26,4706,1),
(26,3073,1),
(26,4148,1),
(26,4705,1),
(26,4704,1),
(26,3332,1),
(26,1151,1),
(26,3267,1),
(26,4138,1),
(26,2840,1),
(26,1247,1),
(26,1219,1),
(26,4703,1),
(26,3079,1),
(26,1048,1),
(26,4702,3),
(26,3381,1),
(26,3779,2),
(26,3771,1),
(26,4701,1),
(26,4700,1),
(26,4730,2),
(26,2749,2),
(26,2748,2),
(26,4729,2),
(26,4728,5),
(26,4727,2),
(26,4726,2),
(26,710,4),
(26,2480,6),
(26,51,3),
(26,4725,2),
(26,3969,2),
(26,720,3),
(26,2828,2),
(26,3005,2),
(26,3328,2),
(26,3792,3),
(26,3260,2),
(26,3780,3),
(26,2842,2),
(26,4078,2),
(26,4724,2),
(26,4723,2),
(26,4722,2),
(26,4721,2),
(26,2831,2),
(26,4720,2),
(26,4719,2),
(26,3789,2),
(26,2837,5),
(26,2744,11),
(26,4718,2),
(26,4717,2),
(26,4716,2),
(26,5120,6),
(26,250,6),
(26,5119,6),
(26,5480,6),
(26,5461,6),
(24,1951,3),
(24,1950,3),
(24,5040,1),
(24,3314,1),
(24,2810,1),
(24,5038,1),
(24,5037,1),
(24,3939,1),
(24,5036,1),
(24,5035,1),
(24,5034,1),
(24,3937,1),
(24,5033,1),
(24,5032,1),
(24,5031,1),
(24,5030,1),
(24,3061,1),
(24,3935,1),
(24,2718,1),
(24,5029,1),
(24,2731,1),
(24,5028,1),
(24,3139,1),
(24,4259,1),
(24,5027,1),
(24,5026,1),
(24,3376,1),
(24,2941,1),
(24,3322,1),
(24,4244,1),
(24,2942,1),
(24,4248,1),
(24,2729,1),
(24,5025,1),
(24,3146,1),
(24,5024,1),
(24,3409,1),
(24,3940,2),
(24,3930,1),
(24,5022,1),
(24,5021,1),
(24,5055,1),
(24,2814,1),
(24,2813,1),
(24,5054,1),
(24,5052,1),
(24,5051,1),
(24,5050,1),
(24,4058,1),
(24,2989,2),
(24,2928,1),
(24,3065,1),
(24,3372,1),
(24,3954,2),
(24,3309,1),
(24,2945,1),
(24,4126,1),
(24,5049,1),
(24,5048,1),
(24,5047,1),
(24,5046,1),
(24,2931,1),
(24,5045,1),
(24,5044,1),
(24,3950,1),
(24,5043,1),
(24,5042,1),
(24,5041,1),
(24,5097,1),
(24,4256,1),
(24,5096,1),
(24,5095,1),
(24,5094,1),
(24,5093,1),
(24,3250,1),
(24,2927,1),
(24,2944,2),
(24,5092,1),
(24,5039,2),
(24,2819,1),
(24,4250,1),
(24,2730,3),
(24,5091,1),
(24,5090,1),
(24,5089,1),
(24,3932,1),
(24,5088,1),
(24,5087,1),
(24,2735,1),
(24,3941,2),
(24,5086,1),
(24,5085,1),
(24,5084,1),
(24,5083,3),
(24,5082,2),
(24,5081,1),
(24,5080,1),
(24,4251,1),
(24,5079,1),
(24,2698,5),
(24,2724,1),
(24,5023,3),
(24,5078,2),
(24,5077,2),
(24,5076,3),
(24,5075,2),
(24,5074,2),
(24,2938,5),
(24,5073,3),
(24,5072,2),
(24,5071,2),
(24,4060,2),
(24,5070,2),
(24,5069,2),
(24,5068,2),
(24,2697,9),
(24,5067,2),
(24,5053,5),
(24,5066,2),
(24,5065,2),
(24,5064,2),
(24,5063,2),
(24,5062,2),
(24,5061,2),
(24,5060,2),
(24,5059,2),
(24,2694,11),
(24,5058,2),
(24,2726,14),
(24,5057,2),
(24,5056,2),
(24,3956,2),
(24,3408,2),
(24,2809,11),
(24,5273,6),
(24,5272,6),
(24,5460,6),
(24,5459,6),
(24,5458,6),
(24,5457,6),
(24,1861,3),
(24,4958,1),
(24,3300,1),
(24,2793,1),
(24,4956,1),
(24,4955,1),
(24,3898,1),
(24,4954,1),
(24,4953,1),
(24,4952,1),
(24,3896,1),
(24,4951,1),
(24,4950,1),
(24,4949,1),
(24,4948,1),
(24,3046,1),
(24,3894,1),
(24,2660,1),
(24,4947,1),
(24,2673,1),
(24,4946,1),
(24,3122,1),
(24,4231,1),
(24,4945,1),
(24,4944,1),
(24,3365,1),
(24,2915,1),
(24,3308,1),
(24,4216,1),
(24,2916,1),
(24,4220,1),
(24,2671,1),
(24,4943,1),
(24,3129,1),
(24,4942,1),
(24,3402,1),
(24,3899,2),
(24,3889,1),
(24,4940,1),
(24,4939,1),
(24,4973,1),
(24,2797,1),
(24,2796,1),
(24,4972,1),
(24,4970,1),
(24,4969,1),
(24,4968,1),
(24,4035,1),
(24,2979,2),
(24,2902,1),
(24,3050,1),
(24,3361,1),
(24,3913,2),
(24,3295,1),
(24,2919,1),
(24,4114,1),
(24,4967,1),
(24,4966,1),
(24,4965,1),
(24,4964,1),
(24,2905,1),
(24,4963,1),
(24,4962,1),
(24,3909,1),
(24,4961,1),
(24,4960,1),
(24,4959,1),
(24,5015,1),
(24,4228,1),
(24,5014,1),
(24,5013,1),
(24,5012,1),
(24,5011,1),
(24,3227,1),
(24,2901,1),
(24,2918,2),
(24,5010,1),
(24,4957,2),
(24,2802,1),
(24,4222,1),
(24,2672,3),
(24,5009,1),
(24,5008,1),
(24,5007,1),
(24,3891,1),
(24,5006,1),
(24,5005,1),
(24,2677,1),
(24,3900,2),
(24,5004,1),
(24,5003,1),
(24,5002,1),
(24,5001,3),
(24,5000,2),
(24,4999,1),
(24,4998,1),
(24,4223,1),
(24,4997,1),
(24,2639,5),
(24,2666,1),
(24,4941,3),
(24,4996,2),
(24,4995,2),
(24,4994,3),
(24,4993,2),
(24,4992,2),
(24,2912,5),
(24,4991,3),
(24,4990,2),
(24,4989,2),
(24,4037,2),
(24,4988,2),
(24,4987,2),
(24,4986,2),
(24,2638,9),
(24,4985,2),
(24,4971,5),
(24,4984,2),
(24,4983,2),
(24,4982,2),
(24,4981,2),
(24,4980,2),
(24,4979,2),
(24,4978,2),
(24,4977,2),
(24,2635,11),
(24,4976,2),
(24,2668,14),
(24,4975,2),
(24,4974,2),
(24,3915,2),
(24,3401,2),
(24,2792,11),
(24,5266,6),
(24,5265,6),
(24,5456,6),
(24,5455,6),
(24,5454,6),
(24,5453,6),
(44,1903,1),
(44,1933,1),
(44,2130,1),
(44,2128,1),
(44,1885,2),
(44,1898,1),
(44,1910,2),
(44,2212,1),
(44,2218,1),
(44,2205,1),
(44,1914,2),
(44,2116,1),
(44,1920,1),
(44,2382,1),
(44,2120,2),
(44,2301,1),
(44,1906,1),
(44,1886,1),
(44,2123,1),
(44,2297,1),
(44,1913,3),
(44,1908,1),
(44,1931,2),
(44,1917,1),
(44,2290,2),
(44,1896,1),
(44,2124,1),
(44,1899,1),
(44,1919,2),
(44,2126,1),
(44,1890,1),
(44,2213,1),
(44,1882,2),
(44,1923,2),
(44,2295,1),
(44,2111,3),
(44,2110,3),
(44,1876,3),
(44,2134,1),
(44,2139,3),
(44,2117,1),
(44,2216,2),
(44,1926,3),
(44,1901,3),
(44,1922,3),
(44,2292,1),
(44,1887,1),
(44,1897,2),
(44,1935,1),
(44,2210,2),
(44,1884,1),
(44,2383,1),
(44,1879,3),
(44,2211,3),
(44,2132,1),
(44,1916,2),
(44,2300,1),
(44,2298,1),
(44,1891,4),
(44,2106,1),
(44,1893,1),
(44,2113,1),
(44,2288,3),
(44,2133,3),
(44,2105,8),
(44,1909,6),
(44,1861,3),
(44,1814,1),
(44,1844,1),
(44,2095,1),
(44,2093,1),
(44,1796,2),
(44,1809,1),
(44,1821,2),
(44,2196,1),
(44,2202,1),
(44,2189,1),
(44,1825,2),
(44,2081,1),
(44,1831,1),
(44,2359,1),
(44,2085,2),
(44,2283,1),
(44,1817,1),
(44,1797,1),
(44,2088,1),
(44,2279,1),
(44,1824,3),
(44,1819,1),
(44,1842,2),
(44,1828,1),
(44,2272,2),
(44,1807,1),
(44,2089,1),
(44,1810,1),
(44,1830,2),
(44,2091,1),
(44,1801,1),
(44,2197,1),
(44,1793,2),
(44,1834,2),
(44,2277,1),
(44,2076,3),
(44,2075,3),
(44,1787,3),
(44,2099,1),
(44,2104,3),
(44,2082,1),
(44,2200,2),
(44,1837,3),
(44,1812,3),
(44,1833,3),
(44,2274,1),
(44,1798,1),
(44,1808,2),
(44,1846,1),
(44,2194,2),
(44,1795,1),
(44,2360,1),
(44,1790,3),
(44,2195,3),
(44,2097,1),
(44,1827,2),
(44,2282,1),
(44,2280,1),
(44,1802,4),
(44,2071,1),
(44,1804,1),
(44,2078,1),
(44,2270,3),
(44,2098,3),
(44,2070,8),
(44,1820,6),
(44,1030,3),
(44,1736,1),
(44,1766,1),
(44,2060,1),
(44,2058,1),
(44,1718,2),
(44,1731,1),
(44,1743,2),
(44,2180,1),
(44,2186,1),
(44,2173,1),
(44,1747,2),
(44,2046,1),
(44,1753,1),
(44,2342,1),
(44,2050,2),
(44,2267,1),
(44,1739,1),
(44,1719,1),
(44,2053,1),
(44,2263,1),
(44,1746,3),
(44,1741,1),
(44,1764,2),
(44,1750,1),
(44,2256,2),
(44,1729,1),
(44,2054,1),
(44,1732,1),
(44,1752,2),
(44,2056,1),
(44,1723,1),
(44,2181,1),
(44,1715,2),
(44,1756,2),
(44,2261,1),
(44,2041,3),
(44,2040,3),
(44,1709,3),
(44,2064,1),
(44,2069,3),
(44,2047,1),
(44,2184,2),
(44,1759,3),
(44,1734,3),
(44,1755,3),
(44,2258,1),
(44,1720,1),
(44,1730,2),
(44,1768,1),
(44,2178,2),
(44,1717,1),
(44,2343,1),
(44,1712,3),
(44,2179,3),
(44,2062,1),
(44,1749,2),
(44,2266,1),
(44,2264,1),
(44,1724,4),
(44,2036,1),
(44,1726,1),
(44,2043,1),
(44,2254,3),
(44,2063,3),
(44,2035,8),
(44,1742,6),
(44,82,4),
(44,1704,3),
(44,1657,1),
(44,1687,1),
(44,2025,1),
(44,2023,1),
(44,1639,2),
(44,1652,1),
(44,1664,2),
(44,2164,1),
(44,2170,1),
(44,2157,1),
(44,1668,2),
(44,2011,1),
(44,1674,1),
(44,2324,1),
(44,2015,2),
(44,2251,1),
(44,1660,1),
(44,1640,1),
(44,2018,1),
(44,2247,1),
(44,1667,3),
(44,1662,1),
(44,1685,2),
(44,1671,1),
(44,2240,2),
(44,1650,1),
(44,2019,1),
(44,1653,1),
(44,1673,2),
(44,2021,1),
(44,1644,1),
(44,2165,1),
(44,1636,2),
(44,1677,2),
(44,2245,1),
(44,2006,3),
(44,2005,3),
(44,1630,3),
(44,2029,1),
(44,2034,3),
(44,2012,1),
(44,2168,2),
(44,1680,3),
(44,1655,3),
(44,1676,3),
(44,2242,1),
(44,1641,1),
(44,1651,2),
(44,1689,1),
(44,2162,2),
(44,1638,1),
(44,2325,1),
(44,1633,3),
(44,2163,3),
(44,2027,1),
(44,1670,2),
(44,2250,1),
(44,2248,1),
(44,1645,4),
(44,2001,1),
(44,1647,1),
(44,2008,1),
(44,2238,3),
(44,2028,3),
(44,2000,8),
(44,1663,6),
(44,845,3),
(44,1579,1),
(44,1609,1),
(44,1990,1),
(44,1988,1),
(44,1561,2),
(44,1574,1),
(44,1586,2),
(44,2148,1),
(44,2154,1),
(44,2141,1),
(44,1590,2),
(44,1976,1),
(44,1596,1),
(44,2311,1),
(44,1980,2),
(44,2235,1),
(44,1582,1),
(44,1562,1),
(44,1983,1),
(44,2231,1),
(44,1589,3),
(44,1584,1),
(44,1607,2),
(44,1593,1),
(44,2224,2),
(44,1572,1),
(44,1984,1),
(44,1575,1),
(44,1595,2),
(44,1986,1),
(44,1566,1),
(44,2149,1),
(44,1558,2),
(44,1599,2),
(44,2229,1),
(44,1971,3),
(44,1970,3),
(44,1047,3),
(44,1994,1),
(44,1999,3),
(44,1977,1),
(44,2152,2),
(44,1602,3),
(44,1577,3),
(44,1598,3),
(44,2226,1),
(44,1563,1),
(44,1573,2),
(44,1611,1),
(44,2146,2),
(44,1560,1),
(44,2312,1),
(44,1555,3),
(44,2147,3),
(44,1992,1),
(44,1592,2),
(44,2234,1),
(44,2232,1),
(44,1567,4),
(44,1966,1),
(44,1569,1),
(44,1973,1),
(44,2222,3),
(44,1993,3),
(44,1965,8),
(44,1585,6),
(24,1030,3),
(24,4876,1),
(24,3286,1),
(24,2776,1),
(24,4874,1),
(24,4873,1),
(24,3857,1),
(24,4872,1),
(24,4871,1),
(24,4870,1),
(24,3855,1),
(24,4869,1),
(24,4868,1),
(24,4867,1),
(24,4866,1),
(24,3031,1),
(24,3853,1),
(24,2602,1),
(24,4865,1),
(24,2615,1),
(24,4864,1),
(24,3105,1),
(24,4203,1),
(24,4863,1),
(24,4862,1),
(24,3354,1),
(24,2889,1),
(24,3294,1),
(24,4188,1),
(24,2890,1),
(24,4192,1),
(24,2613,1),
(24,4861,1),
(24,3112,1),
(24,4860,1),
(24,3395,1),
(24,3858,2),
(24,3848,1),
(24,4858,1),
(24,4857,1),
(24,4891,1),
(24,2780,1),
(24,2779,1),
(24,4890,1),
(24,4888,1),
(24,4887,1),
(24,4886,1),
(24,4012,1),
(24,2970,2),
(24,2877,1),
(24,3035,1),
(24,3350,1),
(24,3872,2),
(24,3281,1),
(24,2893,1),
(24,4102,1),
(24,4885,1),
(24,4884,1),
(24,4883,1),
(24,4882,1),
(24,2880,1),
(24,4881,1),
(24,4880,1),
(24,3868,1),
(24,4879,1),
(24,4878,1),
(24,4877,1),
(24,4933,1),
(24,4200,1),
(24,4932,1),
(24,4931,1),
(24,4930,1),
(24,4929,1),
(24,3204,1),
(24,2876,1),
(24,2892,2),
(24,4928,1),
(24,4875,2),
(24,2785,1),
(24,4194,1),
(24,2614,3),
(24,4927,1),
(24,4926,1),
(24,4925,1),
(24,3850,1),
(24,4924,1),
(24,4923,1),
(24,2619,1),
(24,3859,2),
(24,4922,1),
(24,4921,1),
(24,4920,1),
(24,4919,3),
(24,4918,2),
(24,4917,1),
(24,4916,1),
(24,4195,1),
(24,4915,1),
(24,2581,5),
(24,2608,1),
(24,4859,3),
(24,4914,2),
(24,4913,2),
(24,4912,3),
(24,4911,2),
(24,4910,2),
(24,2886,5),
(24,4909,3),
(24,4908,2),
(24,4907,2),
(24,4014,2),
(24,4906,2),
(24,4905,2),
(24,4904,2),
(24,2580,9),
(24,4903,2),
(24,4889,5),
(24,4902,2),
(24,4901,2),
(24,4900,2),
(24,4899,2),
(24,4898,2),
(24,4897,2),
(24,4896,2),
(24,4895,2),
(24,2577,11),
(24,4894,2),
(24,2610,14),
(24,4893,2),
(24,4892,2),
(24,3874,2),
(24,3394,2),
(24,2775,11),
(24,5259,6),
(24,5258,6),
(24,5452,6),
(24,5451,6),
(24,5450,6),
(24,169,6),
(24,1704,3),
(24,4794,1),
(24,3273,1),
(24,2759,1),
(24,4792,1),
(24,4791,1),
(24,3816,1),
(24,4790,1),
(24,4789,1),
(24,4788,1),
(24,3814,1),
(24,4787,1),
(24,4786,1),
(24,4785,1),
(24,4784,1),
(24,3016,1),
(24,3812,1),
(24,2544,1),
(24,4783,1),
(24,2557,1),
(24,4782,1),
(24,882,1),
(24,4175,1),
(24,4781,1),
(24,4780,1),
(24,3343,1),
(24,2864,1),
(24,3280,1),
(24,4161,1),
(24,2865,1),
(24,4164,1),
(24,2555,1),
(24,4779,1),
(24,3095,1),
(24,4778,1),
(24,3388,1),
(24,3817,2),
(24,3807,1),
(24,4776,1),
(24,4775,1),
(24,4809,1),
(24,2763,1),
(24,2762,1),
(24,4808,1),
(24,4806,1),
(24,4805,1),
(24,4804,1),
(24,1365,1),
(24,2961,2),
(24,2851,1),
(24,3020,1),
(24,3339,1),
(24,3831,2),
(24,3268,1),
(24,2868,1),
(24,4090,1),
(24,4803,1),
(24,4802,1),
(24,4801,1),
(24,4800,1),
(24,2854,1),
(24,4799,1),
(24,4798,1),
(24,3827,1),
(24,4797,1),
(24,4796,1),
(24,4795,1),
(24,4851,1),
(24,4172,1),
(24,4850,1),
(24,4849,1),
(24,4848,1),
(24,4847,1),
(24,3181,1),
(24,2850,1),
(24,2867,2),
(24,4846,1),
(24,4793,2),
(24,2768,1),
(24,4166,1),
(24,2556,3),
(24,4845,1),
(24,4844,1),
(24,4843,1),
(24,3809,1),
(24,4842,1),
(24,4841,1),
(24,2561,1),
(24,3818,2),
(24,4840,1),
(24,4839,1),
(24,4838,1),
(24,4837,3),
(24,4836,2),
(24,4835,1),
(24,4834,1),
(24,4167,1),
(24,4833,1),
(24,2524,5),
(24,2550,1),
(24,4777,3),
(24,4832,2),
(24,4831,2),
(24,4830,3),
(24,4829,2),
(24,4828,2),
(24,2861,5),
(24,4827,3),
(24,4826,2),
(24,4825,2),
(24,3992,2),
(24,4824,2),
(24,4823,2),
(24,4822,2),
(24,2523,9),
(24,4821,2),
(24,4807,5),
(24,4820,2),
(24,4819,2),
(24,4818,2),
(24,4817,2),
(24,4816,2),
(24,4815,2),
(24,4814,2),
(24,4813,2),
(24,2520,11),
(24,4812,2),
(24,2552,14),
(24,4811,2),
(24,4810,2),
(24,3833,2),
(24,3387,2),
(24,2758,11),
(24,5252,6),
(24,5251,6),
(24,5449,6),
(24,5448,6),
(24,5447,6),
(24,91,6),
(24,2232,4),
(24,3725,4),
(24,845,3),
(24,4715,1),
(24,14,1),
(24,2745,1),
(24,464,1),
(24,4714,1),
(24,3778,1),
(24,4713,1),
(24,4712,1),
(24,4711,1),
(24,3777,1),
(24,1246,1),
(24,4710,1),
(24,4709,1),
(24,4708,1),
(24,31,1),
(24,3776,1),
(24,2497,1),
(24,4707,1),
(24,2504,1),
(24,4706,1),
(24,3073,1),
(24,4148,1),
(24,4705,1),
(24,4704,1),
(24,3332,1),
(24,1151,1),
(24,3267,1),
(24,4138,1),
(24,2840,1),
(24,1247,1),
(24,1219,1),
(24,4703,1),
(24,3079,1),
(24,1048,1),
(24,3381,1),
(24,3779,2),
(24,3771,1),
(24,4701,1),
(24,4700,1),
(24,4730,1),
(24,2749,1),
(24,2748,1),
(24,4729,1),
(24,4727,1),
(24,4726,1),
(24,4725,1),
(24,3969,1),
(24,720,2),
(24,2828,1),
(24,3005,1),
(24,3328,1),
(24,3792,2),
(24,3260,1),
(24,2842,1),
(24,4078,1),
(24,4724,1),
(24,4723,1),
(24,4722,1),
(24,4721,1),
(24,2831,1),
(24,4720,1),
(24,4719,1),
(24,3789,1),
(24,4718,1),
(24,4717,1),
(24,4716,1),
(24,4769,1),
(24,4146,1),
(24,4768,1),
(24,4767,1),
(24,4766,1),
(24,4765,1),
(24,3160,1),
(24,2827,1),
(24,51,2),
(24,4764,1),
(24,451,2),
(24,2752,1),
(24,4141,1),
(24,710,3),
(24,4763,1),
(24,4762,1),
(24,4761,1),
(24,3773,1),
(24,4760,1),
(24,4759,1),
(24,74,1),
(24,3780,2),
(24,4758,1),
(24,4757,1),
(24,4756,1),
(24,4755,3),
(24,4754,2),
(24,4753,1),
(24,4752,1),
(24,4142,1),
(24,4751,1),
(24,2480,5),
(24,841,1),
(24,4702,3),
(24,4750,2),
(24,4749,2),
(24,442,3),
(24,30,2),
(24,4748,2),
(24,2837,5),
(24,4747,3),
(24,4746,2),
(24,4745,2),
(24,38,2),
(24,4744,2),
(24,4743,2),
(24,4742,2),
(24,47,9),
(24,4741,2),
(24,4728,5),
(24,4740,2),
(24,4739,2),
(24,4738,2),
(24,4737,2),
(24,4736,2),
(24,4735,2),
(24,4734,2),
(24,4733,2),
(24,4732,2),
(24,4731,2),
(24,7,2),
(24,3794,2),
(24,3380,2),
(24,2744,11),
(24,5245,6),
(24,5244,6),
(24,277,6),
(24,5446,6),
(24,5445,6),
(38,1950,3),
(38,5097,1),
(38,4256,1),
(38,5096,1),
(38,5095,1),
(38,5094,1),
(38,5093,1),
(38,3250,1),
(38,2927,1),
(38,5092,1),
(38,2819,1),
(38,4250,1),
(38,5091,1),
(38,5090,1),
(38,5089,1),
(38,3932,1),
(38,5088,1),
(38,5087,1),
(38,2735,1),
(38,5086,1),
(38,5085,1),
(38,5084,1),
(38,5083,3),
(38,5082,2),
(38,5081,1),
(38,5080,1),
(38,4251,1),
(38,5079,1),
(38,2724,1),
(38,5078,1),
(38,5077,1),
(38,5076,2),
(38,5075,1),
(38,5074,1),
(38,5073,2),
(38,5072,1),
(38,5071,1),
(38,4060,1),
(38,5070,1),
(38,5069,1),
(38,5068,1),
(38,5067,1),
(38,5066,1),
(38,5065,1),
(38,5064,1),
(38,5063,1),
(38,5062,1),
(38,5061,1),
(38,5060,1),
(38,5059,1),
(38,5058,1),
(38,5057,1),
(38,5056,1),
(38,3956,1),
(38,3408,1),
(38,5040,1),
(38,3314,1),
(38,5039,2),
(38,2810,1),
(38,5038,1),
(38,5037,1),
(38,3939,1),
(38,5036,1),
(38,5035,1),
(38,5034,1),
(38,3937,1),
(38,5033,1),
(38,5032,1),
(38,5031,1),
(38,5030,1),
(38,3061,1),
(38,3935,1),
(38,2718,1),
(38,5029,1),
(38,2731,1),
(38,2697,7),
(38,5028,1),
(38,3139,1),
(38,4259,1),
(38,5027,1),
(38,5026,1),
(38,3376,1),
(38,2941,1),
(38,3322,1),
(38,4244,1),
(38,2942,1),
(38,4248,1),
(38,2729,1),
(38,5025,1),
(38,3146,1),
(38,5024,1),
(38,5023,3),
(38,3409,1),
(38,3940,2),
(38,3930,1),
(38,5022,1),
(38,5021,1),
(38,5055,2),
(38,2814,2),
(38,2813,2),
(38,5054,2),
(38,5053,5),
(38,5052,2),
(38,5051,2),
(38,2694,10),
(38,2730,4),
(38,2698,6),
(38,2944,3),
(38,5050,2),
(38,4058,2),
(38,2989,3),
(38,2726,13),
(38,2928,2),
(38,3065,2),
(38,3372,2),
(38,3954,3),
(38,3309,2),
(38,3941,3),
(38,2945,2),
(38,4126,2),
(38,5049,2),
(38,5048,2),
(38,5047,2),
(38,5046,2),
(38,2931,2),
(38,5045,2),
(38,5044,2),
(38,3950,2),
(38,2938,5),
(38,2809,11),
(38,5043,2),
(38,5042,2),
(38,5041,2),
(38,5183,6),
(38,5193,6),
(38,5596,6),
(38,5591,6),
(38,1861,3),
(38,5015,1),
(38,4228,1),
(38,5014,1),
(38,5013,1),
(38,5012,1),
(38,5011,1),
(38,3227,1),
(38,2901,1),
(38,5010,1),
(38,2802,1),
(38,4222,1),
(38,5009,1),
(38,5008,1),
(38,5007,1),
(38,3891,1),
(38,5006,1),
(38,5005,1),
(38,2677,1),
(38,5004,1),
(38,5003,1),
(38,5002,1),
(38,5001,3),
(38,5000,2),
(38,4999,1),
(38,4998,1),
(38,4223,1),
(38,4997,1),
(38,2666,1),
(38,4996,1),
(38,4995,1),
(38,4994,2),
(38,4993,1),
(38,4992,1),
(38,4991,2),
(38,4990,1),
(38,4989,1),
(38,4037,1),
(38,4988,1),
(38,4987,1),
(38,4986,1),
(38,4985,1),
(38,4984,1),
(38,4983,1),
(38,4982,1),
(38,4981,1),
(38,4980,1),
(38,4979,1),
(38,4978,1),
(38,4977,1),
(38,4976,1),
(38,4975,1),
(38,4974,1),
(38,3915,1),
(38,3401,1),
(38,4958,1),
(38,3300,1),
(38,4957,2),
(38,2793,1),
(38,4956,1),
(38,4955,1),
(38,3898,1),
(38,4954,1),
(38,4953,1),
(38,4952,1),
(38,3896,1),
(38,4951,1),
(38,4950,1),
(38,4949,1),
(38,4948,1),
(38,3046,1),
(38,3894,1),
(38,2660,1),
(38,4947,1),
(38,2673,1),
(38,2638,7),
(38,4946,1),
(38,3122,1),
(38,4231,1),
(38,4945,1),
(38,4944,1),
(38,3365,1),
(38,2915,1),
(38,3308,1),
(38,4216,1),
(38,2916,1),
(38,4220,1),
(38,2671,1),
(38,4943,1),
(38,3129,1),
(38,4942,1),
(38,4941,3),
(38,3402,1),
(38,3899,2),
(38,3889,1),
(38,4940,1),
(38,4939,1),
(38,4973,2),
(38,2797,2),
(38,2796,2),
(38,4972,2),
(38,4971,5),
(38,4970,2),
(38,4969,2),
(38,2635,10),
(38,2672,4),
(38,2639,6),
(38,2918,3),
(38,4968,2),
(38,4035,2),
(38,2979,3),
(38,2668,13),
(38,2902,2),
(38,3050,2),
(38,3361,2),
(38,3913,3),
(38,3295,2),
(38,3900,3),
(38,2919,2),
(38,4114,2),
(38,4967,2),
(38,4966,2),
(38,4965,2),
(38,4964,2),
(38,2905,2),
(38,4963,2),
(38,4962,2),
(38,3909,2),
(38,2912,5),
(38,2792,11),
(38,4961,2),
(38,4960,2),
(38,4959,2),
(38,5179,6),
(38,5191,6),
(38,5595,6),
(38,5590,6),
(38,1030,3),
(38,4933,1),
(38,4200,1),
(38,4932,1),
(38,4931,1),
(38,4930,1),
(38,4929,1),
(38,3204,1),
(38,2876,1),
(38,4928,1),
(38,2785,1),
(38,4194,1),
(38,4927,1),
(38,4926,1),
(38,4925,1),
(38,3850,1),
(24,5444,6),
(20,5094,1),
(20,5093,1),
(20,3250,1),
(20,2927,1),
(25,2819,1),
(25,4250,1),
(25,5091,1),
(25,5090,1),
(25,5089,1),
(25,3932,1),
(25,5088,1),
(25,5087,1),
(25,2735,1),
(25,5086,1),
(25,5085,1),
(25,5084,1),
(25,5083,3),
(25,5082,2),
(25,5081,1),
(25,5080,1),
(25,4251,1),
(25,5079,1),
(25,2724,1),
(25,5078,1),
(25,5077,1),
(25,5076,2),
(25,5075,1),
(25,5074,1),
(25,5073,2),
(25,5072,1),
(25,5071,1),
(25,4060,1),
(25,5070,1),
(25,5069,1),
(25,5068,1),
(25,5067,1),
(25,5066,1),
(25,5065,1),
(25,5064,1),
(25,5063,1),
(25,5062,1),
(25,5061,1),
(25,5060,1),
(25,5059,1),
(25,5058,1),
(25,5057,1),
(25,5056,1),
(25,3956,1),
(25,3408,1),
(25,5055,1),
(25,2814,1),
(25,2813,1),
(25,5054,1),
(25,5053,4),
(25,5052,1),
(25,5051,1),
(25,2730,3),
(25,2944,2),
(25,5050,1),
(25,4058,1),
(25,2928,1),
(25,3065,1),
(25,3372,1),
(25,3309,1),
(25,3941,2),
(25,2945,1),
(25,4126,1),
(25,5049,1),
(25,5048,1),
(25,5047,1),
(25,5046,1),
(25,2931,1),
(25,5045,1),
(25,5044,1),
(25,3950,1),
(25,5043,1),
(25,5042,1),
(25,5041,1),
(25,5040,1),
(25,3314,1),
(25,5039,2),
(25,2810,1),
(25,5038,1),
(25,5037,1),
(25,3939,1),
(25,5036,1),
(25,5035,1),
(25,2809,9),
(25,5034,1),
(25,3954,2),
(25,3937,1),
(25,5033,1),
(25,5032,1),
(25,5031,1),
(25,5030,1),
(25,3061,1),
(25,3935,1),
(25,2718,2),
(25,5029,2),
(25,2731,2),
(25,2697,8),
(25,5028,2),
(25,3139,2),
(25,2938,5),
(25,4259,2),
(25,5027,2),
(25,5026,2),
(25,3376,2),
(25,2941,2),
(25,3322,2),
(25,4244,2),
(25,2942,2),
(25,4248,2),
(25,2989,3),
(25,2729,2),
(25,5025,2),
(25,3146,2),
(25,2694,12),
(25,5024,2),
(25,5023,4),
(25,3409,2),
(25,3940,3),
(25,3930,2),
(25,2726,14),
(25,5022,2),
(25,5021,2),
(25,2698,7),
(25,5479,6),
(25,5478,6),
(25,3245,6),
(25,5477,6),
(25,5476,6),
(25,1861,3),
(25,5015,1),
(25,4228,1),
(25,5014,1),
(25,5013,1),
(25,5012,1),
(25,5011,1),
(25,3227,1),
(25,2901,1),
(25,5010,1),
(25,2802,1),
(25,4222,1),
(25,5009,1),
(25,5008,1),
(25,5007,1),
(25,3891,1),
(25,5006,1),
(25,5005,1),
(25,2677,1),
(25,5004,1),
(25,5003,1),
(25,5002,1),
(25,5001,3),
(25,5000,2),
(25,4999,1),
(25,4998,1),
(25,4223,1),
(25,4997,1),
(25,2666,1),
(25,4996,1),
(25,4995,1),
(25,4994,2),
(25,4993,1),
(25,4992,1),
(25,4991,2),
(25,4990,1),
(25,4989,1),
(25,4037,1),
(25,4988,1),
(25,4987,1),
(25,4986,1),
(25,4985,1),
(25,4984,1),
(25,4983,1),
(25,4982,1),
(25,4981,1),
(25,4980,1),
(25,4979,1),
(25,4978,1),
(25,4977,1),
(25,4976,1),
(25,4975,1),
(25,4974,1),
(25,3915,1),
(25,3401,1),
(25,4973,1),
(25,2797,1),
(25,2796,1),
(25,4972,1),
(25,4971,4),
(25,4970,1),
(25,4969,1),
(25,2672,3),
(25,2918,2),
(25,4968,1),
(25,4035,1),
(25,2902,1),
(25,3050,1),
(25,3361,1),
(25,3295,1),
(25,3900,2),
(25,2919,1),
(25,4114,1),
(25,4967,1),
(25,4966,1),
(25,4965,1),
(25,4964,1),
(25,2905,1),
(25,4963,1),
(25,4962,1),
(25,3909,1),
(25,4961,1),
(25,4960,1),
(25,4959,1),
(25,4958,1),
(25,3300,1),
(25,4957,2),
(25,2793,1),
(25,4956,1),
(25,4955,1),
(25,3898,1),
(25,4954,1),
(25,4953,1),
(25,2792,9),
(25,4952,1),
(25,3913,2),
(25,3896,1),
(25,4951,1),
(25,4950,1),
(25,4949,1),
(25,4948,1),
(25,3046,1),
(25,3894,1),
(25,2660,2),
(25,4947,2),
(25,2673,2),
(25,2638,8),
(25,4946,2),
(25,3122,2),
(25,2912,5),
(25,4231,2),
(25,4945,2),
(25,4944,2),
(25,3365,2),
(25,2915,2),
(25,3308,2),
(25,4216,2),
(25,2916,2),
(25,4220,2),
(25,2979,3),
(25,2671,2),
(25,4943,2),
(25,3129,2),
(25,2635,12),
(25,4942,2),
(25,4941,4),
(25,3402,2),
(25,3899,3),
(25,3889,2),
(25,2668,14),
(25,4940,2),
(25,4939,2),
(25,2639,7),
(25,5475,6),
(25,5474,6),
(25,3222,6),
(25,5473,6),
(25,5472,6),
(25,1030,3),
(25,4933,1),
(25,4200,1),
(25,4932,1),
(25,4931,1),
(25,4930,1),
(25,4929,1),
(25,3204,1),
(25,2876,1),
(25,4928,1),
(25,2785,1),
(25,4194,1),
(25,4927,1),
(25,4926,1),
(25,4925,1),
(25,3850,1),
(25,4924,1),
(25,4923,1),
(25,2619,1),
(25,4922,1),
(25,4921,1),
(25,4920,1),
(25,4919,3),
(25,4918,2),
(25,4917,1),
(25,4916,1),
(25,4195,1),
(25,4915,1),
(25,2608,1),
(25,4914,1),
(25,4913,1),
(25,4912,2),
(25,4911,1),
(25,4910,1),
(25,4909,2),
(25,4908,1),
(25,4907,1),
(25,4014,1),
(25,4906,1),
(25,4905,1),
(25,4904,1),
(25,4903,1),
(25,4902,1),
(25,4901,1),
(25,4900,1),
(25,4899,1),
(25,4898,1),
(25,4897,1),
(25,4896,1),
(25,4895,1),
(25,4894,1),
(25,4893,1),
(25,4892,1),
(25,3874,1),
(25,3394,1),
(25,4891,1),
(25,2780,1),
(25,2779,1),
(25,4890,1),
(25,4889,4),
(25,4888,1),
(25,4887,1),
(25,2614,3),
(25,2892,2),
(25,4886,1),
(25,4012,1),
(25,2877,1),
(25,3035,1),
(25,3350,1),
(25,3281,1),
(25,3859,2),
(25,2893,1),
(25,4102,1),
(25,4885,1),
(25,4884,1),
(25,4883,1),
(25,4882,1),
(25,2880,1),
(25,4881,1),
(25,4880,1),
(25,3868,1),
(25,4879,1),
(25,4878,1),
(25,4877,1),
(25,4876,1),
(25,3286,1),
(25,4875,2),
(25,2776,1),
(25,4874,1),
(25,4873,1),
(25,3857,1),
(25,4872,1),
(25,4871,1),
(25,2775,9),
(25,4870,1),
(25,3872,2),
(25,3855,1),
(25,4869,1),
(25,4868,1),
(25,4867,1),
(25,4866,1),
(25,3031,1),
(25,3853,1),
(25,2602,2),
(25,4865,2),
(25,2615,2),
(25,2580,8),
(25,4864,2),
(25,3105,2),
(25,2886,5),
(25,4203,2),
(25,4863,2),
(25,4862,2),
(25,3354,2),
(25,2889,2),
(25,3294,2),
(25,4188,2),
(25,2890,2),
(25,4192,2),
(25,2970,3),
(25,2613,2),
(25,4861,2),
(25,3112,2),
(25,2577,12),
(25,4860,2),
(25,4859,4),
(25,3395,2),
(25,3858,3),
(25,3848,2),
(25,2610,14),
(25,4858,2),
(25,4857,2),
(25,2581,7),
(25,5471,6),
(25,5470,6),
(25,3199,6),
(25,5469,6),
(25,5468,6),
(25,1704,3),
(25,4851,1),
(25,4172,1),
(25,4850,1),
(25,4849,1),
(25,4848,1),
(25,4847,1),
(25,3181,1),
(25,2850,1),
(25,4846,1),
(25,2768,1),
(25,4166,1),
(25,4845,1),
(25,4844,1),
(25,4843,1),
(25,3809,1),
(25,4842,1),
(25,4841,1),
(25,2561,1),
(25,4840,1),
(25,4839,1),
(25,4838,1),
(25,4837,3),
(25,4836,2),
(25,4835,1),
(25,4834,1),
(25,4167,1),
(25,4833,1),
(25,2550,1),
(25,4832,1),
(25,4831,1),
(25,4830,2),
(25,4829,1),
(25,4828,1),
(25,4827,2),
(25,4826,1),
(25,4825,1),
(25,3992,1),
(25,4824,1),
(25,4823,1),
(25,4822,1),
(25,4821,1),
(25,4820,1),
(25,4819,1),
(25,4818,1),
(25,4817,1),
(25,4816,1),
(25,4815,1),
(25,4814,1),
(25,4813,1),
(25,4812,1),
(25,4811,1),
(25,4810,1),
(25,3833,1),
(25,3387,1),
(25,4809,1),
(25,2763,1),
(25,2762,1),
(25,4808,1),
(25,4807,4),
(25,4806,1),
(25,4805,1),
(25,2556,3),
(25,2867,2),
(25,4804,1),
(25,1365,1),
(25,2851,1),
(25,3020,1),
(25,3339,1),
(25,3268,1),
(25,3818,2),
(25,2868,1),
(25,4090,1),
(25,4803,1),
(25,4802,1),
(25,4801,1),
(25,4800,1),
(25,2854,1),
(25,4799,1),
(25,4798,1),
(25,3827,1),
(25,4797,1),
(25,4796,1),
(25,4795,1),
(25,4794,1),
(25,3273,1),
(25,4793,2),
(25,2759,1),
(25,4792,1),
(25,4791,1),
(25,3816,1),
(25,4790,1),
(25,4789,1),
(25,2758,9),
(25,4788,1),
(25,3831,2),
(25,3814,1),
(25,4787,1),
(25,4786,1),
(25,4785,1),
(25,4784,1),
(25,3016,1),
(25,3812,1),
(25,2544,2),
(25,4783,2),
(25,2557,2),
(25,2523,8),
(25,4782,2),
(25,882,2),
(25,2861,5),
(25,4175,2),
(25,4781,2),
(25,4780,2),
(25,3343,2),
(25,2864,2),
(25,3280,2),
(25,4161,2),
(25,2865,2),
(25,4164,2),
(25,2961,3),
(25,2555,2),
(25,4779,2),
(25,3095,2),
(25,2520,12),
(25,4778,2),
(25,4777,4),
(25,3388,2),
(25,3817,3),
(25,3807,2),
(25,2552,14),
(25,4776,2),
(25,4775,2),
(25,2524,7),
(25,5467,6),
(25,5466,6),
(25,3177,6),
(25,5465,6),
(25,5464,6),
(25,3728,4),
(25,3727,4),
(25,1567,4),
(25,1561,4),
(25,3724,4),
(25,845,3),
(25,4769,1),
(25,4146,1),
(25,4768,1),
(25,4767,1),
(25,4766,1),
(25,4765,1),
(25,3160,1),
(25,2827,1),
(25,4764,1),
(25,2752,1),
(25,4141,1),
(25,4763,1),
(25,4762,1),
(25,4761,1),
(25,3773,1),
(25,4760,1),
(25,4759,1),
(25,74,1),
(25,4758,1),
(25,4757,1),
(25,4756,1),
(25,4755,3),
(25,4754,2),
(25,4753,1),
(25,4752,1),
(25,4142,1),
(25,4751,1),
(25,841,1),
(25,4750,1),
(25,4749,1),
(25,442,2),
(25,30,1),
(25,4748,1),
(25,4747,2),
(25,4746,1),
(25,4745,1),
(25,38,1),
(25,4744,1),
(25,4743,1),
(25,4742,1),
(25,4741,1),
(25,4740,1),
(25,4739,1),
(25,4738,1),
(25,4737,1),
(25,4736,1),
(25,4735,1),
(25,4734,1),
(25,4733,1),
(25,4732,1),
(25,4731,1),
(25,7,1),
(25,3794,1),
(25,3380,1),
(25,4730,1),
(25,2749,1),
(25,2748,1),
(25,4729,1),
(25,4728,4),
(25,4727,1),
(25,4726,1),
(25,710,3),
(25,51,2),
(25,4725,1),
(25,3969,1),
(25,2828,1),
(25,3005,1),
(25,3328,1),
(25,3260,1),
(25,3780,2),
(25,2842,1),
(25,4078,1),
(25,4724,1),
(25,4723,1),
(25,4722,1),
(25,4721,1),
(25,2831,1),
(25,4720,1),
(25,4719,1),
(25,3789,1),
(25,4718,1),
(25,4717,1),
(25,4716,1),
(25,4715,1),
(25,14,1),
(25,451,2),
(25,2745,1),
(25,464,1),
(25,4714,1),
(25,3778,1),
(25,4713,1),
(25,4712,1),
(25,2744,9),
(25,4711,1),
(25,3792,2),
(25,3777,1),
(25,1246,1),
(25,4710,1),
(25,4709,1),
(25,4708,1),
(25,31,1),
(25,3776,1),
(25,2497,2),
(25,4707,2),
(25,2504,2),
(25,47,8),
(25,4706,2),
(25,3073,2),
(25,2837,5),
(25,4148,2),
(25,4705,2),
(25,4704,2),
(25,3332,2),
(25,1151,2),
(25,3267,2),
(25,4138,2),
(25,2840,2),
(25,1247,2),
(25,720,3),
(25,1219,2),
(25,4703,2),
(25,3079,2),
(25,1048,2),
(25,4702,4),
(25,3381,2),
(25,3779,3),
(25,3771,2),
(25,4701,2),
(25,4700,2),
(25,2480,7),
(25,252,6),
(25,5463,6),
(25,3156,6),
(25,5462,6),
(25,5461,6),
(21,1951,3),
(18,5036,1),
(18,5035,1),
(18,5034,1),
(18,3937,1),
(18,5033,1),
(18,5032,1),
(18,5031,1),
(18,5030,1),
(18,3061,1),
(18,3935,1),
(18,2718,1),
(18,5029,1),
(18,2731,1),
(18,5028,1),
(18,3139,1),
(18,4259,1),
(18,5027,1),
(18,5026,1),
(18,3376,1),
(18,2941,1),
(18,3322,1),
(18,4244,1),
(18,2942,1),
(18,4248,1),
(18,2729,1),
(18,5025,1),
(18,3146,1),
(18,5024,1),
(18,3409,1),
(18,3940,2),
(18,3930,1),
(18,5022,1),
(18,5021,1),
(18,5055,1),
(18,2814,1),
(18,2813,1),
(18,5054,1),
(18,5052,1),
(18,5051,1),
(18,5050,1),
(18,4058,1),
(18,2989,2),
(18,2928,1),
(18,3065,1),
(18,3372,1),
(18,3954,2),
(18,3309,1),
(18,2945,1),
(18,4126,1),
(18,5049,1),
(18,5048,1),
(18,5047,1),
(18,5046,1),
(18,2931,1),
(18,5045,1),
(18,5044,1),
(18,3950,1),
(18,5043,1),
(18,5042,1),
(18,5041,1),
(18,5097,1),
(18,4256,1),
(18,5096,1),
(18,5095,1),
(18,5094,1),
(18,5093,1),
(18,3250,1),
(18,2927,1),
(18,2944,2),
(18,5092,1),
(18,5039,2),
(18,2819,1),
(18,4250,1),
(18,2730,3),
(18,5091,1),
(18,5090,1),
(18,5089,1),
(18,3932,1),
(18,5088,1),
(18,5087,1),
(18,2735,1),
(18,3941,2),
(18,5086,1),
(18,5085,1),
(18,5084,1),
(18,5083,3),
(18,5082,2),
(18,5081,1),
(18,5080,1),
(18,4251,1),
(18,5079,1),
(18,2698,5),
(18,2724,1),
(18,5023,3),
(18,5078,2),
(18,5077,2),
(18,5076,3),
(18,5075,2),
(18,5074,2),
(18,2938,5),
(18,5073,3),
(18,5072,2),
(18,5071,2),
(18,4060,2),
(18,5070,2),
(18,5069,2),
(18,5068,2),
(18,2697,9),
(18,5067,2),
(18,5053,5),
(18,5066,2),
(18,5065,2),
(18,5064,2),
(18,5063,2),
(18,5062,2),
(18,5061,2),
(18,5060,2),
(18,5059,2),
(18,2694,11),
(18,5058,2),
(18,2726,14),
(18,5057,2),
(18,5056,2),
(18,3956,2),
(18,3408,2),
(18,2809,11),
(18,5383,6),
(18,5382,6),
(18,5381,6),
(18,5380,6),
(18,5379,6),
(18,5378,6),
(18,5328,6),
(18,1799,3),
(18,3739,3),
(18,1861,3),
(18,4958,1),
(18,3300,1),
(18,2793,1),
(18,4956,1),
(18,4955,1),
(18,3898,1),
(18,4954,1),
(18,4953,1),
(18,4952,1),
(18,3896,1),
(18,4951,1),
(18,4950,1),
(18,4949,1),
(18,4948,1),
(18,3046,1),
(18,3894,1),
(18,2660,1),
(18,4947,1),
(18,2673,1),
(18,4946,1),
(18,3122,1),
(18,4231,1),
(18,4945,1),
(18,4944,1),
(18,3365,1),
(18,2915,1),
(18,3308,1),
(18,4216,1),
(18,2916,1),
(18,4220,1),
(18,2671,1),
(18,4943,1),
(18,3129,1),
(18,4942,1),
(18,3402,1),
(18,3899,2),
(18,3889,1),
(18,4940,1),
(18,4939,1),
(18,4973,1),
(18,2797,1),
(18,2796,1),
(18,4972,1),
(18,4970,1),
(18,4969,1),
(18,4968,1),
(18,4035,1),
(18,2979,2),
(18,2902,1),
(18,3050,1),
(18,3361,1),
(18,3913,2),
(18,3295,1),
(18,2919,1),
(18,4114,1),
(18,4967,1),
(18,4966,1),
(18,4965,1),
(18,4964,1),
(18,2905,1),
(18,4963,1),
(18,4962,1),
(18,3909,1),
(18,4961,1),
(18,4960,1),
(18,4959,1),
(18,5015,1),
(18,4228,1),
(18,5014,1),
(18,5013,1),
(18,5012,1),
(18,5011,1),
(18,3227,1),
(18,2901,1),
(18,2918,2),
(18,5010,1),
(18,4957,2),
(18,2802,1),
(18,4222,1),
(18,2672,3),
(18,5009,1),
(18,5008,1),
(18,5007,1),
(18,3891,1),
(18,5006,1),
(18,5005,1),
(18,2677,1),
(18,3900,2),
(18,5004,1),
(18,5003,1),
(18,5002,1),
(18,5001,3),
(18,5000,2),
(18,4999,1),
(18,4998,1),
(18,4223,1),
(18,4997,1),
(18,2639,5),
(18,2666,1),
(18,4941,3),
(18,4996,2),
(18,4995,2),
(18,4994,3),
(18,4993,2),
(18,4992,2),
(18,2912,5),
(18,4991,3),
(18,4990,2),
(18,4989,2),
(18,4037,2),
(18,4988,2),
(18,4987,2),
(18,4986,2),
(18,2638,9),
(18,4985,2),
(18,4971,5),
(18,4984,2),
(18,4983,2),
(18,4982,2),
(18,4981,2),
(18,4980,2),
(18,4979,2),
(18,4978,2),
(18,4977,2),
(18,2635,11),
(18,4976,2),
(18,2668,14),
(18,4975,2),
(18,4974,2),
(18,3915,2),
(18,3401,2),
(18,2792,11),
(18,5377,6),
(18,5376,6),
(18,5375,6),
(18,5374,6),
(18,5373,6),
(18,5372,6),
(18,5325,6),
(18,1721,3),
(18,3738,3),
(18,1030,3),
(18,4876,1),
(18,3286,1),
(18,2776,1),
(18,4874,1),
(18,4873,1),
(18,3857,1),
(18,4872,1),
(18,4871,1),
(18,4870,1),
(18,3855,1),
(18,4869,1),
(18,4868,1),
(18,4867,1),
(18,4866,1),
(18,3031,1),
(18,3853,1),
(18,2602,1),
(18,4865,1),
(18,2615,1),
(18,4864,1),
(18,3105,1),
(18,4203,1),
(18,4863,1),
(18,4862,1),
(18,3354,1),
(18,2889,1),
(18,3294,1),
(18,4188,1),
(18,2890,1),
(18,4192,1),
(18,2613,1),
(18,4861,1),
(18,3112,1),
(18,4860,1),
(18,3395,1),
(18,3858,2),
(18,3848,1),
(18,4858,1),
(18,4857,1),
(18,4891,1),
(18,2780,1),
(18,2779,1),
(18,4890,1),
(18,4888,1),
(18,4887,1),
(18,4886,1),
(18,4012,1),
(18,2970,2),
(18,2877,1),
(18,3035,1),
(18,3350,1),
(18,3872,2),
(18,3281,1),
(18,2893,1),
(18,4102,1),
(18,4885,1),
(18,4884,1),
(18,4883,1),
(18,4882,1),
(18,2880,1),
(18,4881,1),
(18,4880,1),
(18,3868,1),
(18,4879,1),
(18,4878,1),
(18,4877,1),
(18,4933,1),
(18,4200,1),
(18,4932,1),
(18,4931,1),
(18,4930,1),
(18,4929,1),
(18,3204,1),
(18,2876,1),
(18,2892,2),
(18,4928,1),
(18,4875,2),
(18,2785,1),
(18,4194,1),
(18,2614,3),
(18,4927,1),
(18,4926,1),
(18,4925,1),
(18,3850,1),
(18,4924,1),
(18,4923,1),
(18,2619,1),
(18,3859,2),
(18,4922,1),
(18,4921,1),
(18,4920,1),
(18,4919,3),
(18,4918,2),
(18,4917,1),
(18,4916,1),
(18,4195,1),
(18,4915,1),
(18,2581,5),
(18,2608,1),
(18,4859,3),
(18,4914,2),
(18,4913,2),
(18,4912,3),
(18,4911,2),
(18,4910,2),
(18,2886,5),
(18,4909,3),
(18,4908,2),
(18,4907,2),
(18,4014,2),
(18,4906,2),
(18,4905,2),
(18,4904,2),
(18,2580,9),
(18,4903,2),
(18,4889,5),
(18,4902,2),
(18,4901,2),
(18,4900,2),
(18,4899,2),
(18,4898,2),
(18,4897,2),
(18,4896,2),
(18,4895,2),
(18,2577,11),
(18,4894,2),
(18,2610,14),
(18,4893,2),
(18,4892,2),
(18,3874,2),
(18,3394,2),
(18,2775,11),
(18,5371,6),
(18,5370,6),
(18,5369,6),
(18,5368,6),
(18,5367,6),
(18,5366,6),
(18,5322,6),
(18,1642,3),
(18,3737,3),
(18,1704,3),
(18,4794,1),
(18,3273,1),
(18,2759,1),
(18,4792,1),
(18,4791,1),
(18,3816,1),
(18,4790,1),
(18,4789,1),
(18,4788,1),
(18,3814,1),
(18,4787,1),
(18,4786,1),
(18,4785,1),
(18,4784,1),
(18,3016,1),
(18,3812,1),
(18,2544,1),
(18,4783,1),
(18,2557,1),
(18,4782,1),
(18,882,1),
(18,4175,1),
(18,4781,1),
(18,4780,1),
(18,3343,1),
(18,2864,1),
(18,3280,1),
(18,4161,1),
(18,2865,1),
(18,4164,1),
(18,2555,1),
(18,4779,1),
(18,3095,1),
(18,4778,1),
(18,3388,1),
(18,3817,2),
(18,3807,1),
(18,4776,1),
(18,4775,1),
(18,4809,1),
(18,2763,1),
(18,2762,1),
(18,4808,1),
(18,4806,1),
(18,4805,1),
(18,4804,1),
(18,1365,1),
(18,2961,2),
(18,2851,1),
(18,3020,1),
(18,3339,1),
(18,3831,2),
(18,3268,1),
(18,2868,1),
(18,4090,1),
(18,4803,1),
(18,4802,1),
(18,4801,1),
(18,4800,1),
(18,2854,1),
(18,4799,1),
(18,4798,1),
(18,3827,1),
(18,4797,1),
(18,4796,1),
(18,4795,1),
(18,4851,1),
(18,4172,1),
(18,4850,1),
(18,4849,1),
(18,4848,1),
(18,4847,1),
(18,3181,1),
(18,2850,1),
(18,2867,2),
(18,4846,1),
(18,4793,2),
(18,2768,1),
(18,4166,1),
(18,2556,3),
(18,4845,1),
(18,4844,1),
(18,4843,1),
(18,3809,1),
(18,4842,1),
(18,4841,1),
(18,2561,1),
(18,3818,2),
(18,4840,1),
(18,4839,1),
(18,4838,1),
(18,4837,3),
(18,4836,2),
(18,4835,1),
(18,4834,1),
(18,4167,1),
(18,4833,1),
(18,2524,5),
(18,2550,1),
(18,4777,3),
(18,4832,2),
(18,4831,2),
(18,4830,3),
(18,4829,2),
(18,4828,2),
(18,2861,5),
(18,4827,3),
(18,4826,2),
(18,4825,2),
(18,3992,2),
(18,4824,2),
(18,4823,2),
(18,4822,2),
(18,2523,9),
(18,4821,2),
(18,4807,5),
(18,4820,2),
(18,4819,2),
(18,4818,2),
(18,4817,2),
(18,4816,2),
(18,4815,2),
(18,4814,2),
(18,4813,2),
(18,2520,11),
(18,4812,2),
(18,2552,14),
(18,4811,2),
(18,4810,2),
(18,3833,2),
(18,3387,2),
(18,2758,11),
(18,5365,6),
(18,5364,6),
(18,5363,6),
(18,5362,6),
(18,5361,6),
(18,5360,6),
(18,5319,6),
(18,1564,3),
(18,3728,3),
(18,845,3),
(18,4715,1),
(18,14,1),
(18,2745,1),
(18,464,1),
(18,4714,1),
(18,3778,1),
(18,4713,1),
(18,4712,1),
(18,4711,1),
(18,3777,1),
(18,1246,1),
(18,4710,1),
(18,4709,1),
(18,4708,1),
(18,31,1),
(18,3776,1),
(18,2497,1),
(18,4707,1),
(18,2504,1),
(18,4706,1),
(18,3073,1),
(18,4148,1),
(18,4705,1),
(18,4704,1),
(18,3332,1),
(18,1151,1),
(18,3267,1),
(18,4138,1),
(18,2840,1),
(18,1247,1),
(18,1219,1),
(18,4703,1),
(18,3079,1),
(18,1048,1),
(18,3381,1),
(18,3779,2),
(18,3771,1),
(18,4701,1),
(18,4700,1),
(18,4730,1),
(18,2749,1),
(18,2748,1),
(18,4729,1),
(18,4727,1),
(18,4726,1),
(18,4725,1),
(18,3969,1),
(18,720,2),
(18,2828,1),
(18,3005,1),
(18,3328,1),
(18,3792,2),
(18,3260,1),
(18,2842,1),
(18,4078,1),
(18,4724,1),
(18,4723,1),
(18,4722,1),
(18,4721,1),
(18,2831,1),
(18,4720,1),
(18,4719,1),
(18,3789,1),
(18,4718,1),
(18,4717,1),
(18,4716,1),
(18,4769,1),
(18,4146,1),
(18,4768,1),
(18,4767,1),
(18,4766,1),
(18,4765,1),
(18,3160,1),
(18,2827,1),
(18,51,2),
(18,4764,1),
(18,451,2),
(18,2752,1),
(18,4141,1),
(18,710,3),
(18,4763,1),
(18,4762,1),
(18,4761,1),
(18,3773,1),
(18,4760,1),
(18,4759,1),
(18,74,1),
(18,3780,2),
(18,4758,1),
(18,4757,1),
(18,4756,1),
(18,4755,3),
(18,4754,2),
(18,4753,1),
(18,4752,1),
(18,4142,1),
(18,4751,1),
(18,2480,5),
(18,841,1),
(18,4702,3),
(18,4750,2),
(18,4749,2),
(18,442,3),
(18,30,2),
(18,4748,2),
(18,2837,5),
(18,4747,3),
(18,4746,2),
(18,4745,2),
(18,38,2),
(18,4744,2),
(18,4743,2),
(18,4742,2),
(18,47,9),
(18,4741,2),
(18,4728,5),
(18,4740,2),
(18,4739,2),
(18,4738,2),
(18,4737,2),
(18,4736,2),
(18,4735,2),
(18,4734,2),
(18,4733,2),
(18,4732,2),
(18,4731,2),
(18,7,2),
(18,3794,2),
(18,3380,2),
(18,2744,11),
(18,5359,6),
(18,5358,6),
(18,5357,6),
(18,5356,6),
(18,5355,6),
(18,5354,6),
(18,5316,6),
(21,1950,3),
(21,5040,1),
(21,3314,1),
(21,2810,1),
(21,5038,1),
(21,5037,1),
(21,3939,1),
(21,5036,1),
(21,5035,1),
(21,5034,1),
(21,3937,1),
(21,5033,1),
(21,5032,1),
(21,5031,1),
(21,5030,1),
(21,3061,1),
(21,3935,1),
(21,2718,1),
(21,5029,1),
(21,2731,1),
(21,5028,1),
(21,3139,1),
(21,4259,1),
(21,5027,1),
(21,5026,1),
(21,3376,1),
(21,2941,1),
(21,3322,1),
(21,4244,1),
(21,2942,1),
(21,4248,1),
(21,2729,1),
(21,5025,1),
(21,3146,1),
(21,5024,1),
(21,3409,1),
(21,3940,2),
(21,3930,1),
(21,5022,1),
(21,5021,1),
(21,5055,1),
(21,2814,1),
(21,2813,1),
(21,5054,1),
(21,5052,1),
(21,5051,1),
(21,5050,1),
(21,4058,1),
(21,2989,2),
(21,2928,1),
(21,3065,1),
(21,3372,1),
(21,3954,2),
(21,3309,1),
(21,2945,1),
(21,4126,1),
(21,5049,1),
(21,5048,1),
(21,5047,1),
(21,5046,1),
(21,2931,1),
(21,5045,1),
(21,5044,1),
(21,3950,1),
(21,5043,1),
(21,5042,1),
(21,5041,1),
(21,5097,1),
(21,4256,1),
(21,5096,1),
(21,5095,1),
(21,5094,1),
(21,5093,1),
(21,3250,1),
(21,2927,1),
(21,2944,2),
(21,5092,1),
(21,5039,2),
(21,2819,1),
(21,4250,1),
(21,2730,3),
(21,5091,1),
(21,5090,1),
(21,5089,1),
(21,3932,1),
(21,5088,1),
(21,5087,1),
(21,2735,1),
(21,3941,2),
(21,5086,1),
(21,5085,1),
(21,5084,1),
(21,5083,3),
(21,5082,2),
(21,5081,1),
(21,5080,1),
(21,4251,1),
(21,5079,1),
(21,2698,5),
(21,2724,1),
(21,5023,3),
(21,5078,2),
(21,5077,2),
(21,5076,3),
(21,5075,2),
(21,5074,2),
(21,2938,5),
(21,5073,3),
(21,5072,2),
(21,5071,2),
(21,4060,2),
(21,5070,2),
(21,5069,2),
(21,5068,2),
(21,2697,9),
(21,5067,2),
(21,5053,5),
(21,5066,2),
(21,5065,2),
(21,5064,2),
(21,5063,2),
(21,5062,2),
(21,5061,2),
(21,5060,2),
(21,5059,2),
(21,2694,11),
(21,5058,2),
(21,2726,14),
(21,5057,2),
(21,5056,2),
(21,3956,2),
(21,3408,2),
(21,2809,11),
(21,5313,6),
(21,5423,6),
(21,4300,6),
(21,1861,3),
(21,4958,1),
(21,3300,1),
(21,2793,1),
(21,4956,1),
(21,4955,1),
(21,3898,1),
(21,4954,1),
(21,4953,1),
(21,4952,1),
(21,3896,1),
(21,4951,1),
(21,4950,1),
(21,4949,1),
(21,4948,1),
(21,3046,1),
(21,3894,1),
(21,2660,1),
(21,4947,1),
(21,2673,1),
(21,4946,1),
(21,3122,1),
(21,4231,1),
(21,4945,1),
(21,4944,1),
(21,3365,1),
(21,2915,1),
(21,3308,1),
(21,4216,1),
(21,2916,1),
(21,4220,1),
(21,2671,1),
(21,4943,1),
(21,3129,1),
(21,4942,1),
(21,3402,1),
(21,3899,2),
(21,3889,1),
(21,4940,1),
(21,4939,1),
(21,4973,1),
(21,2797,1),
(21,2796,1),
(21,4972,1),
(21,4970,1),
(21,4969,1),
(21,4968,1),
(21,4035,1),
(21,2979,2),
(21,2902,1),
(21,3050,1),
(21,3361,1),
(21,3913,2),
(21,3295,1),
(21,2919,1),
(21,4114,1),
(21,4967,1),
(21,4966,1),
(21,4965,1),
(21,4964,1),
(21,2905,1),
(21,4963,1),
(21,4962,1),
(21,3909,1),
(21,4961,1),
(21,4960,1),
(21,4959,1),
(21,5015,1),
(21,4228,1),
(21,5014,1),
(21,5013,1),
(21,5012,1),
(21,5011,1),
(21,3227,1),
(21,2901,1),
(21,2918,2),
(21,5010,1),
(21,4957,2),
(21,2802,1),
(21,4222,1),
(21,2672,3),
(21,5009,1),
(21,5008,1),
(21,5007,1),
(21,3891,1),
(21,5006,1),
(21,5005,1),
(21,2677,1),
(21,3900,2),
(21,5004,1),
(21,5003,1),
(21,5002,1),
(21,5001,3),
(21,5000,2),
(21,4999,1),
(21,4998,1),
(21,4223,1),
(21,4997,1),
(21,2639,5),
(21,2666,1),
(21,4941,3),
(21,4996,2),
(21,4995,2),
(21,4994,3),
(21,4993,2),
(21,4992,2),
(21,2912,5),
(21,4991,3),
(21,4990,2),
(21,4989,2),
(21,4037,2),
(21,4988,2),
(21,4987,2),
(21,4986,2),
(21,2638,9),
(21,4985,2),
(21,4971,5),
(21,4984,2),
(21,4983,2),
(21,4982,2),
(21,4981,2),
(21,4980,2),
(21,4979,2),
(21,4978,2),
(21,4977,2),
(21,2635,11),
(21,4976,2),
(21,2668,14),
(21,4975,2),
(21,4974,2),
(21,3915,2),
(21,3401,2),
(21,2792,11),
(21,5308,6),
(21,5422,6),
(21,4294,6),
(21,1030,3),
(21,4876,1),
(21,3286,1),
(21,2776,1),
(21,4874,1),
(21,4873,1),
(21,3857,1),
(21,4872,1),
(21,4871,1),
(21,4870,1),
(21,3855,1),
(21,4869,1),
(21,4868,1),
(21,4867,1),
(21,4866,1),
(21,3031,1),
(21,3853,1),
(21,2602,1),
(21,4865,1),
(21,2615,1),
(21,4864,1),
(21,3105,1),
(21,4203,1),
(21,4863,1),
(21,4862,1),
(21,3354,1),
(21,2889,1),
(21,3294,1),
(21,4188,1),
(21,2890,1),
(21,4192,1),
(21,2613,1),
(21,4861,1),
(21,3112,1),
(21,4860,1),
(21,3395,1),
(21,3858,2),
(21,3848,1),
(21,4858,1),
(21,4857,1),
(21,4891,1),
(21,2780,1),
(21,2779,1),
(21,4890,1),
(21,4888,1),
(21,4887,1),
(21,4886,1),
(21,4012,1),
(21,2970,2),
(21,2877,1),
(21,3035,1),
(21,3350,1),
(21,3872,2),
(21,3281,1),
(21,2893,1),
(21,4102,1),
(21,4885,1),
(21,4884,1),
(21,4883,1),
(21,4882,1),
(21,2880,1),
(21,4881,1),
(21,4880,1),
(21,3868,1),
(21,4879,1),
(21,4878,1),
(21,4877,1),
(21,4933,1),
(21,4200,1),
(21,4932,1),
(21,4931,1),
(21,4930,1),
(21,4929,1),
(21,3204,1),
(21,2876,1),
(21,2892,2),
(21,4928,1),
(21,4875,2),
(21,2785,1),
(21,4194,1),
(21,2614,3),
(21,4927,1),
(21,4926,1),
(21,4925,1),
(21,3850,1),
(21,4924,1),
(21,4923,1),
(21,2619,1),
(21,3859,2),
(21,4922,1),
(21,4921,1),
(21,4920,1),
(21,4919,3),
(21,4918,2),
(21,4917,1),
(21,4916,1),
(21,4195,1),
(21,4915,1),
(21,2581,5),
(21,2608,1),
(21,4859,3),
(21,4914,2),
(21,4913,2),
(21,4912,3),
(21,4911,2),
(21,4910,2),
(21,2886,5),
(21,4909,3),
(21,4908,2),
(21,4907,2),
(21,4014,2),
(21,4906,2),
(21,4905,2),
(21,4904,2),
(21,2580,9),
(21,4903,2),
(21,4889,5),
(21,4902,2),
(21,4901,2),
(21,4900,2),
(21,4899,2),
(21,4898,2),
(21,4897,2),
(21,4896,2),
(21,4895,2),
(21,2577,11),
(21,4894,2),
(21,2610,14),
(21,4893,2),
(21,4892,2),
(21,3874,2),
(21,3394,2),
(21,2775,11),
(21,5303,6),
(21,5421,6),
(21,4288,6),
(21,1704,3),
(21,4794,1),
(21,3273,1),
(21,2759,1),
(21,4792,1),
(21,4791,1),
(21,3816,1),
(21,4790,1),
(21,4789,1),
(21,4788,1),
(21,3814,1),
(21,4787,1),
(21,4786,1),
(21,4785,1),
(21,4784,1),
(21,3016,1),
(21,3812,1),
(21,2544,1),
(21,4783,1),
(21,2557,1),
(21,4782,1),
(21,882,1),
(21,4175,1),
(21,4781,1),
(21,4780,1),
(21,3343,1),
(21,2864,1),
(21,3280,1),
(21,4161,1),
(21,2865,1),
(21,4164,1),
(21,2555,1),
(21,4779,1),
(21,3095,1),
(21,4778,1),
(21,3388,1),
(21,3817,2),
(21,3807,1),
(21,4776,1),
(21,4775,1),
(21,4809,1),
(21,2763,1),
(21,2762,1),
(21,4808,1),
(21,4806,1),
(21,4805,1),
(21,4804,1),
(21,1365,1),
(21,2961,2),
(21,2851,1),
(21,3020,1),
(21,3339,1),
(21,3831,2),
(21,3268,1),
(21,2868,1),
(21,4090,1),
(21,4803,1),
(21,4802,1),
(21,4801,1),
(21,4800,1),
(21,2854,1),
(21,4799,1),
(21,4798,1),
(21,3827,1),
(21,4797,1),
(21,4796,1),
(21,4795,1),
(21,4851,1),
(21,4172,1),
(21,4850,1),
(21,4849,1),
(21,4848,1),
(21,4847,1),
(21,3181,1),
(21,2850,1),
(21,2867,2),
(21,4846,1),
(21,4793,2),
(21,2768,1),
(21,4166,1),
(21,2556,3),
(21,4845,1),
(21,4844,1),
(21,4843,1),
(21,3809,1),
(21,4842,1),
(21,4841,1),
(21,2561,1),
(21,3818,2),
(21,4840,1),
(21,4839,1),
(21,4838,1),
(21,4837,3),
(21,4836,2),
(21,4835,1),
(21,4834,1),
(21,4167,1),
(21,4833,1),
(21,2524,5),
(21,2550,1),
(21,4777,3),
(21,4832,2),
(21,4831,2),
(21,4830,3),
(21,4829,2),
(21,4828,2),
(21,2861,5),
(21,4827,3),
(21,4826,2),
(21,4825,2),
(21,3992,2),
(21,4824,2),
(21,4823,2),
(21,4822,2),
(21,2523,9),
(21,4821,2),
(21,4807,5),
(21,4820,2),
(21,4819,2),
(21,4818,2),
(21,4817,2),
(21,4816,2),
(21,4815,2),
(21,4814,2),
(21,4813,2),
(21,2520,11),
(21,4812,2),
(21,2552,14),
(21,4811,2),
(21,4810,2),
(21,3833,2),
(21,3387,2),
(21,2758,11),
(21,5298,6),
(21,5420,6),
(21,1302,6),
(21,3728,4),
(21,3727,4),
(21,3731,4),
(21,3730,4),
(21,845,3),
(21,4715,1),
(21,14,1),
(21,2745,1),
(21,464,1),
(21,4714,1),
(21,3778,1),
(21,4713,1),
(21,4712,1),
(21,4711,1),
(21,3777,1),
(21,1246,1),
(21,4710,1),
(21,4709,1),
(21,4708,1),
(21,31,1),
(21,3776,1),
(21,2497,1),
(21,4707,1),
(21,2504,1),
(21,4706,1),
(21,3073,1),
(21,4148,1),
(21,4705,1),
(21,4704,1),
(21,3332,1),
(21,1151,1),
(21,3267,1),
(21,4138,1),
(21,2840,1),
(21,1247,1),
(21,1219,1),
(21,4703,1),
(21,3079,1),
(21,1048,1),
(21,3381,1),
(21,3779,2),
(21,3771,1),
(21,4701,1),
(21,4700,1),
(21,4730,1),
(21,2749,1),
(21,2748,1),
(21,4729,1),
(21,4727,1),
(21,4726,1),
(21,4725,1),
(21,3969,1),
(21,720,2),
(21,2828,1),
(21,3005,1),
(21,3328,1),
(21,3792,2),
(21,3260,1),
(21,2842,1),
(21,4078,1),
(21,4724,1),
(21,4723,1),
(21,4722,1),
(21,4721,1),
(21,2831,1),
(21,4720,1),
(21,4719,1),
(21,3789,1),
(21,4718,1),
(21,4717,1),
(21,4716,1),
(21,4769,1),
(21,4146,1),
(21,4768,1),
(21,4767,1),
(21,4766,1),
(21,4765,1),
(21,3160,1),
(21,2827,1),
(21,51,2),
(21,4764,1),
(21,451,2),
(21,2752,1),
(21,4141,1),
(21,710,3),
(21,4763,1),
(21,4762,1),
(21,4761,1),
(21,3773,1),
(21,4760,1),
(21,4759,1),
(21,74,1),
(21,3780,2),
(21,4758,1),
(21,4757,1),
(21,4756,1),
(21,4755,3),
(21,4754,2),
(21,4753,1),
(21,4752,1),
(21,4142,1),
(21,4751,1),
(21,2480,5),
(21,841,1),
(21,4702,3),
(21,4750,2),
(21,4749,2),
(21,442,3),
(21,30,2),
(21,4748,2),
(21,2837,5),
(21,4747,3),
(21,4746,2),
(21,4745,2),
(21,38,2),
(21,4744,2),
(21,4743,2),
(21,4742,2),
(21,47,9),
(21,4741,2),
(21,4728,5),
(21,4740,2),
(21,4739,2),
(21,4738,2),
(21,4737,2),
(21,4736,2),
(21,4735,2),
(21,4734,2),
(21,4733,2),
(21,4732,2),
(21,4731,2),
(21,7,2),
(21,3794,2),
(21,3380,2),
(21,2744,11),
(21,5293,6),
(21,5419,6),
(21,4277,6),
(17,1951,3),
(17,1950,3),
(22,1950,3),
(22,5097,1),
(22,4256,1),
(23,1951,3),
(23,1950,3),
(20,5092,1),
(20,2819,1),
(20,4250,1),
(20,5091,1),
(20,5090,1),
(20,5089,1),
(20,3932,1),
(20,5088,1),
(20,5087,1),
(20,2735,1),
(20,5086,1),
(20,5085,1),
(20,5084,1),
(20,5083,3),
(20,5082,2),
(20,5081,1),
(20,5080,1),
(20,4251,1),
(20,5079,1),
(20,2724,1),
(20,5078,1),
(20,5077,1),
(20,5076,2),
(20,5075,1),
(20,5074,1),
(20,5073,2),
(20,5072,1),
(20,5071,1),
(20,4060,1),
(20,5070,1),
(20,5069,1),
(20,5068,1),
(20,5067,1),
(20,5066,1),
(20,5065,1),
(20,5064,1),
(20,5063,1),
(20,5062,1),
(20,5061,1),
(20,5060,1),
(20,5059,1),
(20,5058,1),
(20,5057,1),
(20,5056,1),
(20,3956,1),
(20,3408,1),
(20,5040,1),
(20,3314,1),
(20,5039,2),
(20,2810,1),
(20,5038,1),
(20,5037,1),
(20,3939,1),
(20,5036,1),
(20,5035,1),
(20,5034,1),
(20,3937,1),
(20,5033,1),
(20,5032,1),
(20,5031,1),
(20,5030,1),
(20,3061,1),
(20,3935,1),
(20,2718,1),
(20,5029,1),
(20,2731,1),
(20,2697,7),
(20,5028,1),
(20,3139,1),
(20,4259,1),
(20,5027,1),
(20,5026,1),
(20,3376,1),
(20,2941,1),
(20,3322,1),
(20,4244,1),
(20,2942,1),
(20,4248,1),
(20,2729,1),
(20,5025,1),
(20,3146,1),
(20,5024,1),
(20,5023,3),
(20,3409,1),
(20,3940,2),
(20,3930,1),
(20,5022,1),
(20,5021,1),
(20,5055,2),
(20,2814,2),
(20,2813,2),
(20,5054,2),
(20,5053,5),
(20,5052,2),
(20,5051,2),
(20,2694,10),
(20,2730,4),
(20,2698,6),
(20,2944,3),
(20,5050,2),
(20,4058,2),
(20,2989,3),
(20,2726,13),
(20,2928,2),
(20,3065,2),
(20,3372,2),
(20,3954,3),
(20,3309,2),
(20,3941,3),
(20,2945,2),
(20,4126,2),
(20,5049,2),
(20,5048,2),
(20,5047,2),
(20,5046,2),
(20,2931,2),
(20,5045,2),
(20,5044,2),
(20,3950,2),
(20,2938,5),
(20,2809,11),
(20,5043,2),
(20,5042,2),
(20,5041,2),
(20,5139,6),
(20,5138,6),
(20,5418,6),
(20,5417,6),
(20,5416,6),
(20,5415,6),
(20,5414,6),
(20,3752,3),
(20,1802,3),
(20,1861,3),
(20,5015,1),
(20,4228,1),
(20,5014,1),
(20,5013,1),
(20,5012,1),
(20,5011,1),
(20,3227,1),
(20,2901,1),
(20,5010,1),
(20,2802,1),
(20,4222,1),
(20,5009,1),
(20,5008,1),
(20,5007,1),
(20,3891,1),
(20,5006,1),
(20,5005,1),
(20,2677,1),
(20,5004,1),
(20,5003,1),
(20,5002,1),
(20,5001,3),
(20,5000,2),
(20,4999,1),
(20,4998,1),
(20,4223,1),
(20,4997,1),
(20,2666,1),
(20,4996,1),
(20,4995,1),
(20,4994,2),
(20,4993,1),
(20,4992,1),
(20,4991,2),
(20,4990,1),
(20,4989,1),
(20,4037,1),
(20,4988,1),
(20,4987,1),
(20,4986,1),
(20,4985,1),
(20,4984,1),
(20,4983,1),
(20,4982,1),
(20,4981,1),
(20,4980,1),
(20,4979,1),
(20,4978,1),
(20,4977,1),
(20,4976,1),
(20,4975,1),
(20,4974,1),
(20,3915,1),
(20,3401,1),
(20,4958,1),
(20,3300,1),
(20,4957,2),
(20,2793,1),
(20,4956,1),
(20,4955,1),
(20,3898,1),
(20,4954,1),
(20,4953,1),
(20,4952,1),
(20,3896,1),
(20,4951,1),
(20,4950,1),
(20,4949,1),
(20,4948,1),
(20,3046,1),
(20,3894,1),
(20,2660,1),
(20,4947,1),
(20,2673,1),
(20,2638,7),
(20,4946,1),
(20,3122,1),
(20,4231,1),
(20,4945,1),
(20,4944,1),
(20,3365,1),
(20,2915,1),
(20,3308,1),
(20,4216,1),
(20,2916,1),
(20,4220,1),
(20,2671,1),
(20,4943,1),
(20,3129,1),
(20,4942,1),
(20,4941,3),
(20,3402,1),
(20,3899,2),
(20,3889,1),
(20,4940,1),
(20,4939,1),
(20,4973,2),
(20,2797,2),
(20,2796,2),
(20,4972,2),
(20,4971,5),
(20,4970,2),
(20,4969,2),
(20,2635,10),
(20,2672,4),
(20,2639,6),
(20,2918,3),
(20,4968,2),
(20,4035,2),
(20,2979,3),
(20,2668,13),
(20,2902,2),
(20,3050,2),
(20,3361,2),
(20,3913,3),
(20,3295,2),
(20,3900,3),
(20,2919,2),
(20,4114,2),
(20,4967,2),
(20,4966,2),
(20,4965,2),
(20,4964,2),
(20,2905,2),
(20,4963,2),
(20,4962,2),
(20,3909,2),
(20,2912,5),
(20,2792,11),
(20,4961,2),
(20,4960,2),
(20,4959,2),
(20,5134,6),
(20,5133,6),
(20,5413,6),
(20,5412,6),
(20,5411,6),
(20,5410,6),
(20,5409,6),
(20,3751,3),
(20,1724,3),
(20,1030,3),
(20,4933,1),
(20,4200,1),
(20,4932,1),
(20,4931,1),
(20,4930,1),
(20,4929,1),
(20,3204,1),
(20,2876,1),
(20,4928,1),
(20,2785,1),
(20,4194,1),
(20,4927,1),
(20,4926,1),
(20,4925,1),
(20,3850,1),
(20,4924,1),
(20,4923,1),
(20,2619,1),
(20,4922,1),
(20,4921,1),
(20,4920,1),
(20,4919,3),
(20,4918,2),
(20,4917,1),
(20,4916,1),
(20,4195,1),
(20,4915,1),
(20,2608,1),
(20,4914,1),
(20,4913,1),
(20,4912,2),
(20,4911,1),
(20,4910,1),
(20,4909,2),
(20,4908,1),
(20,4907,1),
(20,4014,1),
(20,4906,1),
(20,4905,1),
(20,4904,1),
(20,4903,1),
(20,4902,1),
(20,4901,1),
(20,4900,1),
(20,4899,1),
(20,4898,1),
(20,4897,1),
(20,4896,1),
(20,4895,1),
(20,4894,1),
(20,4893,1),
(20,4892,1),
(20,3874,1),
(20,3394,1),
(20,4876,1),
(20,3286,1),
(20,4875,2),
(20,2776,1),
(20,4874,1),
(20,4873,1),
(20,3857,1),
(20,4872,1),
(20,4871,1),
(20,4870,1),
(20,3855,1),
(20,4869,1),
(20,4868,1),
(20,4867,1),
(20,4866,1),
(20,3031,1),
(20,3853,1),
(20,2602,1),
(20,4865,1),
(20,2615,1),
(20,2580,7),
(20,4864,1),
(20,3105,1),
(20,4203,1),
(20,4863,1),
(20,4862,1),
(20,3354,1),
(20,2889,1),
(20,3294,1),
(20,4188,1),
(20,2890,1),
(20,4192,1),
(20,2613,1),
(20,4861,1),
(20,3112,1),
(20,4860,1),
(20,4859,3),
(20,3395,1),
(20,3858,2),
(20,3848,1),
(20,4858,1),
(20,4857,1),
(20,4891,2),
(20,2780,2),
(20,2779,2),
(20,4890,2),
(20,4889,5),
(20,4888,2),
(20,4887,2),
(20,2577,10),
(20,2614,4),
(20,2581,6),
(20,2892,3),
(20,4886,2),
(20,4012,2),
(20,2970,3),
(20,2610,13),
(20,2877,2),
(20,3035,2),
(20,3350,2),
(20,3872,3),
(20,3281,2),
(20,3859,3),
(20,2893,2),
(20,4102,2),
(20,4885,2),
(20,4884,2),
(20,4883,2),
(20,4882,2),
(20,2880,2),
(20,4881,2),
(20,4880,2),
(20,3868,2),
(20,2886,5),
(20,2775,11),
(20,4879,2),
(20,4878,2),
(20,4877,2),
(20,5129,6),
(20,5128,6),
(20,5408,6),
(20,5407,6),
(20,5406,6),
(20,5405,6),
(20,5404,6),
(20,3750,3),
(20,1645,3),
(20,1704,3),
(20,4851,1),
(20,4172,1),
(20,4850,1),
(20,4849,1),
(20,4848,1),
(20,4847,1),
(20,3181,1),
(20,2850,1),
(20,4846,1),
(20,2768,1),
(20,4166,1),
(20,4845,1),
(20,4844,1),
(20,4843,1),
(20,3809,1),
(20,4842,1),
(20,4841,1),
(20,2561,1),
(20,4840,1),
(20,4839,1),
(20,4838,1),
(20,4837,3),
(20,4836,2),
(20,4835,1),
(20,4834,1),
(20,4167,1),
(20,4833,1),
(20,2550,1),
(20,4832,1),
(20,4831,1),
(20,4830,2),
(20,4829,1),
(20,4828,1),
(20,4827,2),
(20,4826,1),
(20,4825,1),
(20,3992,1),
(20,4824,1),
(20,4823,1),
(20,4822,1),
(20,4821,1),
(20,4820,1),
(20,4819,1),
(20,4818,1),
(20,4817,1),
(20,4816,1),
(20,4815,1),
(20,4814,1),
(20,4813,1),
(20,4812,1),
(20,4811,1),
(20,4810,1),
(20,3833,1),
(20,3387,1),
(20,4794,1),
(20,3273,1),
(20,4793,2),
(20,2759,1),
(20,4792,1),
(20,4791,1),
(20,3816,1),
(20,4790,1),
(20,4789,1),
(20,4788,1),
(20,3814,1),
(20,4787,1),
(20,4786,1),
(20,4785,1),
(20,4784,1),
(20,3016,1),
(20,3812,1),
(20,2544,1),
(20,4783,1),
(20,2557,1),
(20,2523,7),
(20,4782,1),
(20,882,1),
(20,4175,1),
(20,4781,1),
(20,4780,1),
(20,3343,1),
(20,2864,1),
(20,3280,1),
(20,4161,1),
(20,2865,1),
(20,4164,1),
(20,2555,1),
(20,4779,1),
(20,3095,1),
(20,4778,1),
(20,4777,3),
(20,3388,1),
(20,3817,2),
(20,3807,1),
(20,4776,1),
(20,4775,1),
(20,4809,2),
(20,2763,2),
(20,2762,2),
(20,4808,2),
(20,4807,5),
(20,4806,2),
(20,4805,2),
(20,2520,10),
(20,2556,4),
(20,2524,6),
(20,2867,3),
(20,4804,2),
(20,1365,2),
(20,2961,3),
(20,2552,13),
(20,2851,2),
(20,3020,2),
(20,3339,2),
(20,3831,3),
(20,3268,2),
(20,3818,3),
(20,2868,2),
(20,4090,2),
(20,4803,2),
(20,4802,2),
(20,4801,2),
(20,4800,2),
(20,2854,2),
(20,4799,2),
(20,4798,2),
(20,3827,2),
(20,2861,5),
(20,2758,11),
(20,4797,2),
(20,4796,2),
(20,4795,2),
(20,5124,6),
(20,5123,6),
(20,5403,6),
(20,5402,6),
(20,5401,6),
(20,5400,6),
(20,5399,6),
(20,2232,4),
(20,1561,4),
(20,1971,4),
(20,1970,4),
(20,1560,4),
(20,3725,7),
(20,1567,7),
(20,845,3),
(20,4769,1),
(20,4146,1),
(20,4768,1),
(20,4767,1),
(20,4766,1),
(20,4765,1),
(20,3160,1),
(20,2827,1),
(20,4764,1),
(20,2752,1),
(20,4141,1),
(20,4763,1),
(20,4762,1),
(20,4761,1),
(20,3773,1),
(20,4760,1),
(20,4759,1),
(20,74,1),
(20,4758,1),
(20,4757,1),
(20,4756,1),
(20,4755,3),
(20,4754,2),
(20,4753,1),
(20,4752,1),
(20,4142,1),
(20,4751,1),
(20,841,1),
(20,4750,1),
(20,4749,1),
(20,442,2),
(20,30,1),
(20,4748,1),
(20,4747,2),
(20,4746,1),
(20,4745,1),
(20,38,1),
(20,4744,1),
(20,4743,1),
(20,4742,1),
(20,4741,1),
(20,4740,1),
(20,4739,1),
(20,4738,1),
(20,4737,1),
(20,4736,1),
(20,4735,1),
(20,4734,1),
(20,4733,1),
(20,4732,1),
(20,4731,1),
(20,7,1),
(20,3794,1),
(20,3380,1),
(20,4715,1),
(20,14,1),
(20,451,2),
(20,2745,1),
(20,464,1),
(20,4714,1),
(20,3778,1),
(20,4713,1),
(20,4712,1),
(20,4711,1),
(20,3777,1),
(20,1246,1),
(20,4710,1),
(20,4709,1),
(20,4708,1),
(20,31,1),
(20,3776,1),
(20,2497,1),
(20,4707,1),
(20,2504,1),
(20,47,7),
(20,4706,1),
(20,3073,1),
(20,4148,1),
(20,4705,1),
(20,4704,1),
(20,3332,1),
(20,1151,1),
(20,3267,1),
(20,4138,1),
(20,2840,1),
(20,1247,1),
(20,1219,1),
(20,4703,1),
(20,3079,1),
(20,1048,1),
(20,4702,3),
(20,3381,1),
(20,3779,2),
(20,3771,1),
(20,4701,1),
(20,4700,1),
(20,4730,2),
(20,2749,2),
(20,2748,2),
(20,4729,2),
(20,4728,5),
(20,4727,2),
(20,4726,2),
(20,710,4),
(20,2480,6),
(20,51,3),
(20,4725,2),
(20,3969,2),
(20,720,3),
(20,2828,2),
(20,3005,2),
(20,3328,2),
(20,3792,3),
(20,3260,2),
(20,3780,3),
(20,2842,2),
(20,4078,2),
(20,4724,2),
(20,4723,2),
(20,4722,2),
(20,4721,2),
(20,2831,2),
(20,4720,2),
(20,4719,2),
(20,3789,2),
(20,2837,5),
(20,2744,11),
(20,4718,2),
(20,4717,2),
(38,4924,1),
(38,4923,1),
(38,2619,1),
(38,4922,1),
(38,4921,1),
(38,4920,1),
(38,4919,3),
(38,4918,2),
(38,4917,1),
(38,4916,1),
(38,4195,1),
(38,4915,1),
(38,2608,1),
(38,4914,1),
(38,4913,1),
(38,4912,2),
(38,4911,1),
(38,4910,1),
(38,4909,2),
(38,4908,1),
(38,4907,1),
(38,4014,1),
(38,4906,1),
(38,4905,1),
(38,4904,1),
(38,4903,1),
(38,4902,1),
(38,4901,1),
(38,4900,1),
(38,4899,1),
(38,4898,1),
(38,4897,1),
(38,4896,1),
(38,4895,1),
(38,4894,1),
(38,4893,1),
(38,4892,1),
(38,3874,1),
(38,3394,1),
(38,4876,1),
(38,3286,1),
(38,4875,2),
(38,2776,1),
(38,4874,1),
(38,4873,1),
(38,3857,1),
(38,4872,1),
(38,4871,1),
(38,4870,1),
(38,3855,1),
(38,4869,1),
(38,4868,1),
(38,4867,1),
(38,4866,1),
(38,3031,1),
(38,3853,1),
(38,2602,1),
(38,4865,1),
(38,2615,1),
(38,2580,7),
(38,4864,1),
(38,3105,1),
(38,4203,1),
(38,4863,1),
(38,4862,1),
(38,3354,1),
(38,2889,1),
(38,3294,1),
(38,4188,1),
(38,2890,1),
(38,4192,1),
(38,2613,1),
(38,4861,1),
(38,3112,1),
(38,4860,1),
(38,4859,3),
(38,3395,1),
(38,3858,2),
(38,3848,1),
(38,4858,1),
(38,4857,1),
(38,4891,2),
(38,2780,2),
(38,2779,2),
(38,4890,2),
(38,4889,5),
(38,4888,2),
(38,4887,2),
(38,2577,10),
(38,2614,4),
(38,2581,6),
(38,2892,3),
(38,4886,2),
(38,4012,2),
(38,2970,3),
(38,2610,13),
(38,2877,2),
(38,3035,2),
(38,3350,2),
(38,3872,3),
(38,3281,2),
(38,3859,3),
(38,2893,2),
(38,4102,2),
(38,4885,2),
(38,4884,2),
(38,4883,2),
(38,4882,2),
(38,2880,2),
(38,4881,2),
(38,4880,2),
(38,3868,2),
(38,2886,5),
(38,2775,11),
(38,4879,2),
(38,4878,2),
(38,4877,2),
(38,5175,6),
(38,5189,6),
(38,5594,6),
(38,5589,6),
(38,1704,3),
(38,4851,1),
(38,4172,1),
(38,4850,1),
(38,4849,1),
(38,4848,1),
(38,4847,1),
(38,3181,1),
(38,2850,1),
(38,4846,1),
(38,2768,1),
(38,4166,1),
(38,4845,1),
(38,4844,1),
(38,4843,1),
(38,3809,1),
(38,4842,1),
(38,4841,1),
(38,2561,1),
(38,4840,1),
(38,4839,1),
(38,4838,1),
(38,4837,3),
(38,4836,2),
(38,4835,1),
(38,4834,1),
(38,4167,1),
(38,4833,1),
(38,2550,1),
(38,4832,1),
(38,4831,1),
(38,4830,2),
(38,4829,1),
(38,4828,1),
(38,4827,2),
(38,4826,1),
(38,4825,1),
(38,3992,1),
(38,4824,1),
(38,4823,1),
(38,4822,1),
(38,4821,1),
(38,4820,1),
(38,4819,1),
(38,4818,1),
(38,4817,1),
(38,4816,1),
(38,4815,1),
(38,4814,1),
(38,4813,1),
(38,4812,1),
(38,4811,1),
(38,4810,1),
(38,3833,1),
(38,3387,1),
(38,4794,1),
(38,3273,1),
(38,4793,2),
(38,2759,1),
(38,4792,1),
(38,4791,1),
(38,3816,1),
(38,4790,1),
(38,4789,1),
(38,4788,1),
(38,3814,1),
(38,4787,1),
(38,4786,1),
(38,4785,1),
(38,4784,1),
(38,3016,1),
(38,3812,1),
(38,2544,1),
(38,4783,1),
(38,2557,1),
(38,2523,7),
(38,4782,1),
(38,882,1),
(38,4175,1),
(38,4781,1),
(38,4780,1),
(38,3343,1),
(38,2864,1),
(38,3280,1),
(38,4161,1),
(38,2865,1),
(38,4164,1),
(38,2555,1),
(38,4779,1),
(38,3095,1),
(38,4778,1),
(38,4777,3),
(38,3388,1),
(38,3817,2),
(38,3807,1),
(38,4776,1),
(38,4775,1),
(38,4809,2),
(38,2763,2),
(38,2762,2),
(38,4808,2),
(38,4807,5),
(38,4806,2),
(38,4805,2),
(38,2520,10),
(38,2556,4),
(38,2524,6),
(38,2867,3),
(38,4804,2),
(38,1365,2),
(38,2961,3),
(38,2552,13),
(38,2851,2),
(38,3020,2),
(38,3339,2),
(38,3831,3),
(38,3268,2),
(38,3818,3),
(38,2868,2),
(38,4090,2),
(38,4803,2),
(38,4802,2),
(38,4801,2),
(38,4800,2),
(38,2854,2),
(38,4799,2),
(38,4798,2),
(38,3827,2),
(38,2861,5),
(38,2758,11),
(38,4797,2),
(38,4796,2),
(38,4795,2),
(38,5171,6),
(38,5187,6),
(38,5593,6),
(38,5588,6),
(38,3726,4),
(38,845,3),
(38,4769,1),
(38,4146,1),
(38,4768,1),
(38,4767,1),
(38,4766,1),
(38,4765,1),
(38,3160,1),
(38,2827,1),
(38,4764,1),
(38,2752,1),
(38,4141,1),
(38,4763,1),
(38,4762,1),
(38,4761,1),
(38,3773,1),
(38,4760,1),
(38,4759,1),
(38,74,1),
(38,4758,1),
(38,4757,1),
(38,4756,1),
(38,4755,3),
(38,4754,2),
(38,4753,1),
(38,4752,1),
(38,4142,1),
(38,4751,1),
(38,841,1),
(38,4750,1),
(38,4749,1),
(38,442,2),
(38,30,1),
(38,4748,1),
(38,4747,2),
(38,4746,1),
(38,4745,1),
(38,38,1),
(38,4744,1),
(38,4743,1),
(38,4742,1),
(38,4741,1),
(38,4740,1),
(38,4739,1),
(38,4738,1),
(38,4737,1),
(38,4736,1),
(38,4735,1),
(38,4734,1),
(38,4733,1),
(38,4732,1),
(38,4731,1),
(38,7,1),
(38,3794,1),
(38,3380,1),
(38,4715,1),
(38,14,1),
(38,451,2),
(38,2745,1),
(38,464,1),
(38,4714,1),
(38,3778,1),
(38,4713,1),
(38,4712,1),
(38,4711,1),
(38,3777,1),
(38,1246,1),
(38,4710,1),
(38,4709,1),
(38,4708,1),
(38,31,1),
(38,3776,1),
(38,2497,1),
(38,4707,1),
(38,2504,1),
(38,47,7),
(38,4706,1),
(38,3073,1),
(38,4148,1),
(38,4705,1),
(38,4704,1),
(38,3332,1),
(38,1151,1),
(38,3267,1),
(38,4138,1),
(38,2840,1),
(38,1247,1),
(38,1219,1),
(38,4703,1),
(38,3079,1),
(38,1048,1),
(38,4702,3),
(38,3381,1),
(38,3779,2),
(38,3771,1),
(38,4701,1),
(38,4700,1),
(38,4730,2),
(38,2749,2),
(38,2748,2),
(38,4729,2),
(38,4728,5),
(38,4727,2),
(38,4726,2),
(38,710,4),
(38,2480,6),
(38,51,3),
(38,4725,2),
(38,3969,2),
(38,720,3),
(38,2828,2),
(38,3005,2),
(38,3328,2),
(38,3792,3),
(38,3260,2),
(38,3780,3),
(38,2842,2),
(38,4078,2),
(38,4724,2),
(38,4723,2),
(38,4722,2),
(38,4721,2),
(38,2831,2),
(38,4720,2),
(38,4719,2),
(38,3789,2),
(38,2837,5),
(38,2744,11),
(38,4718,2),
(38,4717,2),
(38,4716,2),
(38,5167,6),
(38,5185,6),
(38,5592,6),
(38,5587,6),
(33,1951,3),
(33,1950,3),
(33,5040,1),
(23,5097,1),
(23,4256,1),
(23,5096,1),
(23,5095,1),
(23,5094,1),
(23,5093,1),
(23,3250,1),
(23,2927,1),
(23,5092,1),
(23,2819,1),
(23,4250,1),
(23,5091,1),
(23,5090,1),
(23,5089,1),
(23,3932,1),
(23,5088,1),
(23,5087,1),
(23,2735,1),
(23,5086,1),
(23,5085,1),
(23,5084,1),
(23,5083,3),
(23,5082,2),
(23,5081,1),
(23,5080,1),
(23,4251,1),
(23,5079,1),
(23,2724,1),
(23,5078,1),
(23,5077,1),
(23,5076,2),
(23,5075,1),
(23,5074,1),
(23,5073,2),
(23,5072,1),
(23,5071,1),
(23,4060,1),
(23,5070,1),
(23,5069,1),
(23,5068,1),
(23,5067,1),
(23,5066,1),
(23,5065,1),
(23,5064,1),
(23,5063,1),
(23,5062,1),
(23,5061,1),
(23,5060,1),
(23,5059,1),
(23,5058,1),
(23,5057,1),
(23,5056,1),
(23,3956,1),
(23,3408,1),
(23,5040,1),
(23,3314,1),
(23,5039,2),
(23,2810,1),
(23,5038,1),
(23,5037,1),
(23,3939,1),
(23,5036,1),
(23,5035,1),
(23,5034,1),
(23,3937,1),
(23,5033,1),
(23,5032,1),
(23,5031,1),
(23,5030,1),
(23,3061,1),
(23,3935,1),
(23,2718,1),
(23,5029,1),
(23,2731,1),
(23,2697,7),
(23,5028,1),
(23,3139,1),
(23,4259,1),
(23,5027,1),
(23,5026,1),
(23,3376,1),
(23,2941,1),
(23,3322,1),
(23,4244,1),
(23,2942,1),
(23,4248,1),
(23,2729,1),
(23,5025,1),
(23,3146,1),
(23,5024,1),
(23,5023,3),
(23,3409,1),
(23,3940,2),
(23,3930,1),
(23,5022,1),
(23,5021,1),
(23,5055,2),
(23,2814,2),
(23,2813,2),
(23,5054,2),
(23,5053,5),
(23,5052,2),
(23,5051,2),
(23,2694,10),
(23,2730,4),
(23,2698,6),
(23,2944,3),
(23,5050,2),
(23,4058,2),
(23,2989,3),
(23,2726,13),
(23,2928,2),
(23,3065,2),
(23,3372,2),
(23,3954,3),
(23,3309,2),
(23,3941,3),
(23,2945,2),
(23,4126,2),
(23,5049,2),
(23,5048,2),
(23,5047,2),
(23,5046,2),
(23,2931,2),
(23,5045,2),
(23,5044,2),
(23,3950,2),
(23,2938,5),
(23,2809,11),
(23,5043,2),
(23,5042,2),
(23,5041,2),
(23,5238,6),
(23,5443,6),
(23,5442,6),
(23,5441,6),
(23,1861,3),
(23,5015,1),
(23,4228,1),
(23,5014,1),
(23,5013,1),
(23,5012,1),
(23,5011,1),
(23,3227,1),
(23,2901,1),
(23,5010,1),
(23,2802,1),
(23,4222,1),
(23,5009,1),
(23,5008,1),
(23,5007,1),
(23,3891,1),
(23,5006,1),
(23,5005,1),
(23,2677,1),
(23,5004,1),
(23,5003,1),
(23,5002,1),
(23,5001,3),
(23,5000,2),
(23,4999,1),
(23,4998,1),
(23,4223,1),
(23,4997,1),
(23,2666,1),
(23,4996,1),
(23,4995,1),
(23,4994,2),
(23,4993,1),
(23,4992,1),
(23,4991,2),
(23,4990,1),
(23,4989,1),
(23,4037,1),
(23,4988,1),
(23,4987,1),
(23,4986,1),
(23,4985,1),
(23,4984,1),
(23,4983,1),
(23,4982,1),
(23,4981,1),
(23,4980,1),
(23,4979,1),
(23,4978,1),
(23,4977,1),
(23,4976,1),
(23,4975,1),
(23,4974,1),
(23,3915,1),
(23,3401,1),
(23,4958,1),
(23,3300,1),
(23,4957,2),
(23,2793,1),
(23,4956,1),
(23,4955,1),
(23,3898,1),
(23,4954,1),
(23,4953,1),
(23,4952,1),
(23,3896,1),
(23,4951,1),
(23,4950,1),
(23,4949,1),
(23,4948,1),
(23,3046,1),
(23,3894,1),
(23,2660,1),
(23,4947,1),
(23,2673,1),
(23,2638,7),
(23,4946,1),
(23,3122,1),
(23,4231,1),
(23,4945,1),
(23,4944,1),
(23,3365,1),
(23,2915,1),
(23,3308,1),
(23,4216,1),
(23,2916,1),
(23,4220,1),
(23,2671,1),
(23,4943,1),
(23,3129,1),
(23,4942,1),
(23,4941,3),
(23,3402,1),
(23,3899,2),
(23,3889,1),
(23,4940,1),
(23,4939,1),
(23,4973,2),
(23,2797,2),
(23,2796,2),
(23,4972,2),
(23,4971,5),
(23,4970,2),
(23,4969,2),
(23,2635,10),
(23,2672,4),
(23,2639,6),
(23,2918,3),
(23,4968,2),
(23,4035,2),
(23,2979,3),
(23,2668,13),
(23,2902,2),
(23,3050,2),
(23,3361,2),
(23,3913,3),
(23,3295,2),
(23,3900,3),
(23,2919,2),
(23,4114,2),
(23,4967,2),
(23,4966,2),
(23,4965,2),
(23,4964,2),
(23,2905,2),
(23,4963,2),
(23,4962,2),
(23,3909,2),
(23,2912,5),
(23,2792,11),
(23,4961,2),
(23,4960,2),
(23,4959,2),
(23,5234,6),
(23,5440,6),
(23,5439,6),
(23,5438,6),
(23,1030,3),
(23,4933,1),
(23,4200,1),
(23,4932,1),
(23,4931,1),
(23,4930,1),
(23,4929,1),
(23,3204,1),
(23,2876,1),
(23,4928,1),
(23,2785,1),
(23,4194,1),
(23,4927,1),
(23,4926,1),
(14,1951,3),
(14,1950,3),
(14,5097,1),
(14,4256,1),
(14,5096,1),
(14,5095,1),
(14,5094,1),
(14,5093,1),
(14,3250,1),
(14,2927,1),
(14,5092,1),
(14,2819,1),
(14,4250,1),
(14,5091,1),
(14,5090,1),
(14,5089,1),
(14,3932,1),
(14,5088,1),
(14,5087,1),
(14,2735,1),
(14,5086,1),
(14,5085,1),
(14,5084,1),
(14,5083,3),
(14,5082,2),
(14,5081,1),
(14,5080,1),
(14,4251,1),
(14,5079,1),
(14,2724,1),
(14,5078,1),
(14,5077,1),
(14,5076,2),
(14,5075,1),
(14,5074,1),
(14,5073,2),
(14,5072,1),
(14,5071,1),
(14,4060,1),
(14,5070,1),
(14,5069,1),
(14,5068,1),
(14,5067,1),
(14,5066,1),
(14,5065,1),
(14,5064,1),
(14,5063,1),
(14,5062,1),
(14,5061,1),
(14,5060,1),
(14,5059,1),
(14,5058,1),
(14,5057,1),
(14,5056,1),
(14,3956,1),
(14,3408,1),
(14,5040,1),
(14,3314,1),
(14,5039,2),
(14,2810,1),
(14,5038,1),
(14,5037,1),
(14,3939,1),
(14,5036,1),
(14,5035,1),
(14,5034,1),
(14,3937,1),
(14,5033,1),
(14,5032,1),
(14,5031,1),
(14,5030,1),
(14,3061,1),
(14,3935,1),
(14,2718,1),
(14,5029,1),
(14,2731,1),
(14,2697,7),
(14,5028,1),
(14,3139,1),
(14,4259,1),
(14,5027,1),
(14,5026,1),
(14,3376,1),
(14,2941,1),
(14,3322,1),
(14,4244,1),
(14,2942,1),
(14,4248,1),
(14,2729,1),
(14,5025,1),
(14,3146,1),
(14,5024,1),
(14,5023,3),
(14,3409,1),
(14,3940,2),
(14,3930,1),
(14,5022,1),
(14,5021,1),
(14,5055,2),
(14,2814,2),
(14,2813,2),
(14,5054,2),
(14,5053,5),
(14,5052,2),
(14,5051,2),
(14,2694,10),
(14,2730,4),
(14,2698,6),
(14,2944,3),
(14,5050,2),
(14,4058,2),
(14,2989,3),
(14,2726,13),
(14,2928,2),
(14,3065,2),
(14,3372,2),
(14,3954,3),
(14,3309,2),
(14,3941,3),
(14,2945,2),
(14,4126,2),
(14,5049,2),
(14,5048,2),
(14,5047,2),
(14,5046,2),
(14,2931,2),
(14,5045,2),
(14,5044,2),
(14,3950,2),
(14,2938,5),
(14,2809,11),
(14,5043,2),
(14,5042,2),
(14,5041,2),
(14,5313,6),
(14,5312,6),
(14,5311,6),
(14,5310,6),
(14,5309,6),
(14,1861,3),
(14,5015,1),
(14,4228,1),
(14,5014,1),
(14,5013,1),
(14,5012,1),
(14,5011,1),
(14,3227,1),
(14,2901,1),
(14,5010,1),
(14,2802,1),
(14,4222,1),
(14,5009,1),
(14,5008,1),
(14,5007,1),
(14,3891,1),
(14,5006,1),
(14,5005,1),
(14,2677,1),
(14,5004,1),
(14,5003,1),
(14,5002,1),
(14,5001,3),
(14,5000,2),
(14,4999,1),
(14,4998,1),
(14,4223,1),
(14,4997,1),
(14,2666,1),
(14,4996,1),
(14,4995,1),
(14,4994,2),
(14,4993,1),
(14,4992,1),
(14,4991,2),
(14,4990,1),
(14,4989,1),
(14,4037,1),
(14,4988,1),
(14,4987,1),
(14,4986,1),
(14,4985,1),
(14,4984,1),
(14,4983,1),
(14,4982,1),
(14,4981,1),
(14,4980,1),
(14,4979,1),
(14,4978,1),
(14,4977,1),
(14,4976,1),
(14,4975,1),
(14,4974,1),
(14,3915,1),
(14,3401,1),
(14,4958,1),
(14,3300,1),
(14,4957,2),
(14,2793,1),
(14,4956,1),
(14,4955,1),
(14,3898,1),
(14,4954,1),
(14,4953,1),
(14,4952,1),
(14,3896,1),
(14,4951,1),
(14,4950,1),
(14,4949,1),
(14,4948,1),
(14,3046,1),
(14,3894,1),
(14,2660,1),
(14,4947,1),
(14,2673,1),
(14,2638,7),
(14,4946,1),
(14,3122,1),
(14,4231,1),
(14,4945,1),
(14,4944,1),
(14,3365,1),
(14,2915,1),
(14,3308,1),
(14,4216,1),
(14,2916,1),
(14,4220,1),
(14,2671,1),
(14,4943,1),
(14,3129,1),
(14,4942,1),
(14,4941,3),
(14,3402,1),
(14,3899,2),
(14,3889,1),
(14,4940,1),
(14,4939,1),
(14,4973,2),
(14,2797,2),
(14,2796,2),
(14,4972,2),
(14,4971,5),
(14,4970,2),
(14,4969,2),
(14,2635,10),
(14,2672,4),
(14,2639,6),
(14,2918,3),
(14,4968,2),
(14,4035,2),
(14,2979,3),
(14,2668,13),
(14,2902,2),
(14,3050,2),
(14,3361,2),
(14,3913,3),
(14,3295,2),
(14,3900,3),
(14,2919,2),
(14,4114,2),
(14,4967,2),
(14,4966,2),
(14,4965,2),
(14,4964,2),
(14,2905,2),
(14,4963,2),
(14,4962,2),
(14,3909,2),
(14,2912,5),
(14,2792,11),
(14,4961,2),
(14,4960,2),
(14,4959,2),
(14,5308,6),
(14,5307,6),
(14,5306,6),
(14,5305,6),
(14,5304,6),
(14,1030,3),
(14,4933,1),
(14,4200,1),
(14,4932,1),
(14,4931,1),
(14,4930,1),
(14,4929,1),
(14,3204,1),
(14,2876,1),
(14,4928,1),
(14,2785,1),
(14,4194,1),
(14,4927,1),
(14,4926,1),
(14,4925,1),
(14,3850,1),
(14,4924,1),
(14,4923,1),
(14,2619,1),
(14,4922,1),
(14,4921,1),
(14,4920,1),
(14,4919,3),
(14,4918,2),
(14,4917,1),
(14,4916,1),
(14,4195,1),
(14,4915,1),
(14,2608,1),
(14,4914,1),
(14,4913,1),
(14,4912,2),
(14,4911,1),
(14,4910,1),
(14,4909,2),
(14,4908,1),
(14,4907,1),
(14,4014,1),
(14,4906,1),
(14,4905,1),
(14,4904,1),
(14,4903,1),
(14,4902,1),
(14,4901,1),
(14,4900,1),
(14,4899,1),
(14,4898,1),
(14,4897,1),
(14,4896,1),
(14,4895,1),
(14,4894,1),
(14,4893,1),
(14,4892,1),
(14,3874,1),
(14,3394,1),
(14,4876,1),
(14,3286,1),
(14,4875,2),
(14,2776,1),
(14,4874,1),
(14,4873,1),
(14,3857,1),
(14,4872,1),
(14,4871,1),
(14,4870,1),
(14,3855,1),
(14,4869,1),
(14,4868,1),
(14,4867,1),
(14,4866,1),
(14,3031,1),
(14,3853,1),
(14,2602,1),
(14,4865,1),
(14,2615,1),
(14,2580,7),
(14,4864,1),
(14,3105,1),
(14,4203,1),
(14,4863,1),
(14,4862,1),
(14,3354,1),
(14,2889,1),
(14,3294,1),
(14,4188,1),
(14,2890,1),
(14,4192,1),
(14,2613,1),
(14,4861,1),
(14,3112,1),
(14,4860,1),
(14,4859,3),
(14,3395,1),
(14,3858,2),
(14,3848,1),
(14,4858,1),
(14,4857,1),
(14,4891,2),
(14,2780,2),
(14,2779,2),
(14,4890,2),
(14,4889,5),
(14,4888,2),
(14,4887,2),
(14,2577,10),
(14,2614,4),
(14,2581,6),
(14,2892,3),
(14,4886,2),
(14,4012,2),
(14,2970,3),
(14,2610,13),
(14,2877,2),
(14,3035,2),
(14,3350,2),
(14,3872,3),
(14,3281,2),
(14,3859,3),
(14,2893,2),
(14,4102,2),
(14,4885,2),
(14,4884,2),
(14,4883,2),
(14,4882,2),
(14,2880,2),
(14,4881,2),
(14,4880,2),
(14,3868,2),
(14,2886,5),
(14,2775,11),
(14,4879,2),
(14,4878,2),
(14,4877,2),
(14,5303,6),
(14,5302,6),
(14,5301,6),
(14,5300,6),
(14,5299,6),
(14,1704,3),
(14,4851,1),
(14,4172,1),
(14,4850,1),
(14,4849,1),
(14,4848,1),
(14,4847,1),
(14,3181,1),
(14,2850,1),
(14,4846,1),
(14,2768,1),
(14,4166,1),
(14,4845,1),
(14,4844,1),
(14,4843,1),
(14,3809,1),
(14,4842,1),
(14,4841,1),
(14,2561,1),
(14,4840,1),
(14,4839,1),
(14,4838,1),
(14,4837,3),
(14,4836,2),
(14,4835,1),
(14,4834,1),
(14,4167,1),
(14,4833,1),
(14,2550,1),
(14,4832,1),
(14,4831,1),
(14,4830,2),
(14,4829,1),
(14,4828,1),
(14,4827,2),
(14,4826,1),
(14,4825,1),
(14,3992,1),
(14,4824,1),
(14,4823,1),
(14,4822,1),
(14,4821,1),
(14,4820,1),
(14,4819,1),
(14,4818,1),
(14,4817,1),
(14,4816,1),
(14,4815,1),
(14,4814,1),
(14,4813,1),
(14,4812,1),
(14,4811,1),
(14,4810,1),
(14,3833,1),
(14,3387,1),
(14,4794,1),
(14,3273,1),
(14,4793,2),
(14,2759,1),
(14,4792,1),
(14,4791,1),
(14,3816,1),
(14,4790,1),
(14,4789,1),
(14,4788,1),
(14,3814,1),
(14,4787,1),
(14,4786,1),
(14,4785,1),
(14,4784,1),
(14,3016,1),
(14,3812,1),
(14,2544,1),
(14,4783,1),
(14,2557,1),
(14,2523,7),
(14,4782,1),
(14,882,1),
(14,4175,1),
(14,4781,1),
(14,4780,1),
(14,3343,1),
(14,2864,1),
(14,3280,1),
(14,4161,1),
(14,2865,1),
(14,4164,1),
(14,2555,1),
(14,4779,1),
(14,3095,1),
(14,4778,1),
(14,4777,3),
(14,3388,1),
(14,3817,2),
(14,3807,1),
(14,4776,1),
(14,4775,1),
(14,4809,2),
(14,2763,2),
(14,2762,2),
(14,4808,2),
(14,4807,5),
(14,4806,2),
(14,4805,2),
(14,2520,10),
(14,2556,4),
(14,2524,6),
(14,2867,3),
(14,4804,2),
(14,1365,2),
(14,2961,3),
(14,2552,13),
(14,2851,2),
(14,3020,2),
(14,3339,2),
(14,3831,3),
(14,3268,2),
(14,3818,3),
(14,2868,2),
(14,4090,2),
(14,4803,2),
(14,4802,2),
(14,4801,2),
(14,4800,2),
(14,2854,2),
(14,4799,2),
(14,4798,2),
(14,3827,2),
(14,2861,5),
(14,2758,11),
(14,4797,2),
(14,4796,2),
(14,4795,2),
(14,5298,6),
(14,5297,6),
(14,5296,6),
(14,5295,6),
(14,5294,6),
(14,845,3),
(14,4769,1),
(14,4146,1),
(14,4768,1),
(14,4767,1),
(14,4766,1),
(14,4765,1),
(14,3160,1),
(14,2827,1),
(14,4764,1),
(14,2752,1),
(14,4141,1),
(14,4763,1),
(14,4762,1),
(14,4761,1),
(14,3773,1),
(14,4760,1),
(14,4759,1),
(14,74,1),
(14,4758,1),
(14,4757,1),
(14,4756,1),
(14,4755,3),
(14,4754,2),
(14,4753,1),
(14,4752,1),
(14,4142,1),
(14,4751,1),
(14,841,1),
(14,4750,1),
(14,4749,1),
(14,442,2),
(14,30,1),
(14,4748,1),
(14,4747,2),
(14,4746,1),
(14,4745,1),
(14,38,1),
(14,4744,1),
(14,4743,1),
(14,4742,1),
(14,4741,1),
(14,4740,1),
(14,4739,1),
(14,4738,1),
(14,4737,1),
(14,4736,1),
(14,4735,1),
(14,4734,1),
(14,4733,1),
(14,4732,1),
(14,4731,1),
(14,7,1),
(14,3794,1),
(14,3380,1),
(14,4715,1),
(14,14,1),
(14,451,2),
(14,2745,1),
(14,464,1),
(14,4714,1),
(14,3778,1),
(14,4713,1),
(14,4712,1),
(14,4711,1),
(14,3777,1),
(14,1246,1),
(14,4710,1),
(14,4709,1),
(14,4708,1),
(14,31,1),
(14,3776,1),
(14,2497,1),
(14,4707,1),
(14,2504,1),
(14,47,7),
(14,4706,1),
(14,3073,1),
(14,4148,1),
(14,4705,1),
(14,4704,1),
(14,3332,1),
(14,1151,1),
(14,3267,1),
(14,4138,1),
(14,2840,1),
(14,1247,1),
(14,1219,1),
(14,4703,1),
(14,3079,1),
(14,1048,1),
(14,4702,3),
(14,3381,1),
(14,3779,2),
(14,3771,1),
(14,4701,1),
(14,4700,1),
(14,4730,2),
(14,2749,2),
(14,2748,2),
(14,4729,2),
(14,4728,5),
(14,4727,2),
(14,4726,2),
(14,710,4),
(14,2480,6),
(14,51,3),
(14,4725,2),
(14,3969,2),
(14,720,3),
(14,2828,2),
(14,3005,2),
(14,3328,2),
(14,3792,3),
(14,3260,2),
(14,3780,3),
(14,2842,2),
(14,4078,2),
(14,4724,2),
(14,4723,2),
(14,4722,2),
(14,4721,2),
(14,2831,2),
(14,4720,2),
(14,4719,2),
(14,3789,2),
(14,2837,5),
(14,2744,11),
(14,4718,2),
(14,4717,2),
(14,4716,2),
(14,5293,6),
(14,5292,6),
(14,5291,6),
(14,5290,6),
(14,5289,6),
(13,2219,2),
(13,1951,3),
(13,1950,3),
(13,5097,1),
(13,4256,1),
(13,5096,1),
(13,5095,1),
(13,5094,1),
(13,5093,1),
(13,3250,1),
(13,2927,1),
(13,5092,1),
(13,2819,1),
(13,4250,1),
(13,5091,1),
(13,5090,1),
(13,5089,1),
(13,3932,1),
(13,5088,1),
(13,5087,1),
(13,2735,1),
(13,5086,1),
(13,5085,1),
(13,5084,1),
(13,5083,3),
(13,5082,2),
(13,5081,1),
(13,5080,1),
(13,4251,1),
(13,5079,1),
(13,2724,1),
(13,5078,1),
(13,5077,1),
(13,5076,2),
(13,5075,1),
(13,5074,1),
(13,5073,2),
(13,5072,1),
(13,5071,1),
(13,4060,1),
(13,5070,1),
(13,5069,1),
(13,5068,1),
(13,5067,1),
(13,5066,1),
(13,5065,1),
(13,5064,1),
(13,5063,1),
(13,5062,1),
(13,5061,1),
(13,5060,1),
(13,5059,1),
(13,5058,1),
(13,5057,1),
(13,5056,1),
(13,3956,1),
(13,3408,1),
(13,5055,1),
(13,2814,1),
(13,2813,1),
(13,5054,1),
(13,5053,4),
(13,5052,1),
(13,5051,1),
(13,2730,3),
(13,2944,2),
(13,5050,1),
(13,4058,1),
(13,2928,1),
(13,3065,1),
(13,3372,1),
(13,3309,1),
(13,3941,2),
(13,2945,1),
(13,4126,1),
(13,5049,1),
(13,5048,1),
(13,5047,1),
(13,5046,1),
(13,2931,1),
(13,5045,1),
(13,5044,1),
(13,3950,1),
(13,5043,1),
(13,5042,1),
(13,5041,1),
(13,5040,1),
(13,3314,1),
(13,5039,2),
(13,2810,1),
(13,5038,1),
(13,5037,1),
(13,3939,1),
(13,5036,1),
(13,5035,1),
(13,2809,9),
(13,5034,1),
(13,3954,2),
(13,3937,1),
(13,5033,1),
(13,5032,1),
(13,5031,1),
(13,5030,1),
(13,3061,1),
(13,3935,1),
(13,2718,2),
(13,5029,2),
(13,2731,2),
(13,2697,8),
(13,5028,2),
(13,3139,2),
(13,2938,5),
(13,4259,2),
(13,5027,2),
(13,5026,2),
(13,3376,2),
(13,2941,2),
(13,3322,2),
(13,4244,2),
(13,2942,2),
(13,4248,2),
(13,2989,3),
(13,2729,2),
(13,5025,2),
(13,3146,2),
(13,2694,12),
(13,5024,2),
(13,5023,4),
(13,3409,2),
(13,3940,3),
(13,3930,2),
(13,2726,14),
(13,5022,2),
(13,5021,2),
(13,2698,7),
(13,5020,6),
(13,5153,6),
(13,5288,6),
(13,5287,6),
(13,2203,2),
(13,1861,3),
(13,5015,1),
(13,4228,1),
(13,5014,1),
(13,5013,1),
(13,5012,1),
(13,5011,1),
(13,3227,1),
(13,2901,1),
(13,5010,1),
(13,2802,1),
(13,4222,1),
(13,5009,1),
(13,5008,1),
(13,5007,1),
(13,3891,1),
(13,5006,1),
(13,5005,1),
(13,2677,1),
(13,5004,1),
(13,5003,1),
(13,5002,1),
(13,5001,3),
(13,5000,2),
(13,4999,1),
(13,4998,1),
(13,4223,1),
(13,4997,1),
(13,2666,1),
(13,4996,1),
(13,4995,1),
(13,4994,2),
(13,4993,1),
(13,4992,1),
(13,4991,2),
(13,4990,1),
(13,4989,1),
(13,4037,1),
(13,4988,1),
(13,4987,1),
(13,4986,1),
(13,4985,1),
(13,4984,1),
(13,4983,1),
(13,4982,1),
(13,4981,1),
(13,4980,1),
(13,4979,1),
(13,4978,1),
(13,4977,1),
(13,4976,1),
(13,4975,1),
(13,4974,1),
(13,3915,1),
(13,3401,1),
(13,4973,1),
(13,2797,1),
(13,2796,1),
(13,4972,1),
(13,4971,4),
(13,4970,1),
(13,4969,1),
(13,2672,3),
(13,2918,2),
(13,4968,1),
(13,4035,1),
(13,2902,1),
(13,3050,1),
(13,3361,1),
(13,3295,1),
(13,3900,2),
(13,2919,1),
(13,4114,1),
(13,4967,1),
(13,4966,1),
(13,4965,1),
(13,4964,1),
(13,2905,1),
(13,4963,1),
(13,4962,1),
(13,3909,1),
(13,4961,1),
(13,4960,1),
(13,4959,1),
(13,4958,1),
(13,3300,1),
(13,4957,2),
(13,2793,1),
(13,4956,1),
(13,4955,1),
(13,3898,1),
(13,4954,1),
(13,4953,1),
(13,2792,9),
(13,4952,1),
(13,3913,2),
(13,3896,1),
(13,4951,1),
(13,4950,1),
(13,4949,1),
(13,4948,1),
(13,3046,1),
(13,3894,1),
(13,2660,2),
(13,4947,2),
(13,2673,2),
(13,2638,8),
(13,4946,2),
(13,3122,2),
(13,2912,5),
(13,4231,2),
(13,4945,2),
(13,4944,2),
(13,3365,2),
(13,2915,2),
(13,3308,2),
(13,4216,2),
(13,2916,2),
(13,4220,2),
(13,2979,3),
(13,2671,2),
(13,4943,2),
(13,3129,2),
(13,2635,12),
(13,4942,2),
(13,4941,4),
(13,3402,2),
(13,3899,3),
(13,3889,2),
(13,2668,14),
(13,4940,2),
(13,4939,2),
(13,2639,7),
(13,4938,6),
(13,5150,6),
(13,5286,6),
(13,5285,6),
(13,2187,2),
(13,1030,3),
(13,4933,1),
(13,4200,1),
(13,4932,1),
(13,4931,1),
(13,4930,1),
(13,4929,1),
(13,3204,1),
(13,2876,1),
(13,4928,1),
(13,2785,1),
(13,4194,1),
(13,4927,1),
(13,4926,1),
(13,4925,1),
(13,3850,1),
(13,4924,1),
(13,4923,1),
(13,2619,1),
(13,4922,1),
(13,4921,1),
(13,4920,1),
(13,4919,3),
(13,4918,2),
(13,4917,1),
(13,4916,1),
(13,4195,1),
(13,4915,1),
(13,2608,1),
(13,4914,1),
(13,4913,1),
(13,4912,2),
(13,4911,1),
(13,4910,1),
(13,4909,2),
(13,4908,1),
(13,4907,1),
(13,4014,1),
(13,4906,1),
(13,4905,1),
(13,4904,1),
(13,4903,1),
(13,4902,1),
(13,4901,1),
(13,4900,1),
(13,4899,1),
(13,4898,1),
(13,4897,1),
(13,4896,1),
(13,4895,1),
(13,4894,1),
(13,4893,1),
(13,4892,1),
(13,3874,1),
(13,3394,1),
(13,4891,1),
(13,2780,1),
(13,2779,1),
(13,4890,1),
(13,4889,4),
(13,4888,1),
(13,4887,1),
(13,2614,3),
(13,2892,2),
(13,4886,1),
(13,4012,1),
(13,2877,1),
(13,3035,1),
(13,3350,1),
(13,3281,1),
(13,3859,2),
(13,2893,1),
(13,4102,1),
(13,4885,1),
(13,4884,1),
(13,4883,1),
(13,4882,1),
(13,2880,1),
(13,4881,1),
(13,4880,1),
(13,3868,1),
(13,4879,1),
(13,4878,1),
(13,4877,1),
(13,4876,1),
(13,3286,1),
(13,4875,2),
(13,2776,1),
(13,4874,1),
(13,4873,1),
(13,3857,1),
(13,4872,1),
(13,4871,1),
(13,2775,9),
(13,4870,1),
(13,3872,2),
(13,3855,1),
(13,4869,1),
(13,4868,1),
(13,4867,1),
(13,4866,1),
(13,3031,1),
(13,3853,1),
(13,2602,2),
(13,4865,2),
(13,2615,2),
(13,2580,8),
(13,4864,2),
(13,3105,2),
(13,2886,5),
(13,4203,2),
(13,4863,2),
(13,4862,2),
(13,3354,2),
(13,2889,2),
(13,3294,2),
(13,4188,2),
(13,2890,2),
(13,4192,2),
(13,2970,3),
(13,2613,2),
(13,4861,2),
(13,3112,2),
(13,2577,12),
(13,4860,2),
(13,4859,4),
(13,3395,2),
(13,3858,3),
(13,3848,2),
(13,2610,14),
(13,4858,2),
(13,4857,2),
(13,2581,7),
(13,4856,6),
(13,5147,6),
(13,5284,6),
(13,5283,6),
(13,2171,2),
(13,1704,3),
(13,4851,1),
(13,4172,1),
(13,4850,1),
(13,4849,1),
(13,4848,1),
(13,4847,1),
(13,3181,1),
(13,2850,1),
(13,4846,1),
(13,2768,1),
(13,4166,1),
(13,4845,1),
(13,4844,1),
(13,4843,1),
(13,3809,1),
(13,4842,1),
(13,4841,1),
(13,2561,1),
(13,4840,1),
(13,4839,1),
(13,4838,1),
(13,4837,3),
(13,4836,2),
(13,4835,1),
(13,4834,1),
(13,4167,1),
(13,4833,1),
(13,2550,1),
(13,4832,1),
(13,4831,1),
(13,4830,2),
(13,4829,1),
(13,4828,1),
(13,4827,2),
(13,4826,1),
(13,4825,1),
(13,3992,1),
(13,4824,1),
(13,4823,1),
(13,4822,1),
(13,4821,1),
(13,4820,1),
(13,4819,1),
(13,4818,1),
(13,4817,1),
(13,4816,1),
(13,4815,1),
(13,4814,1),
(13,4813,1),
(13,4812,1),
(13,4811,1),
(13,4810,1),
(13,3833,1),
(13,3387,1),
(13,4809,1),
(13,2763,1),
(13,2762,1),
(13,4808,1),
(13,4807,4),
(13,4806,1),
(13,4805,1),
(13,2556,3),
(13,2867,2),
(13,4804,1),
(13,1365,1),
(13,2851,1),
(13,3020,1),
(13,3339,1),
(13,3268,1),
(13,3818,2),
(13,2868,1),
(13,4090,1),
(13,4803,1),
(13,4802,1),
(13,4801,1),
(13,4800,1),
(13,2854,1),
(13,4799,1),
(13,4798,1),
(13,3827,1),
(13,4797,1),
(13,4796,1),
(13,4795,1),
(13,4794,1),
(13,3273,1),
(13,4793,2),
(13,2759,1),
(13,4792,1),
(13,4791,1),
(13,3816,1),
(13,4790,1),
(13,4789,1),
(13,2758,9),
(13,4788,1),
(13,3831,2),
(13,3814,1),
(13,4787,1),
(13,4786,1),
(13,4785,1),
(13,4784,1),
(13,3016,1),
(13,3812,1),
(13,2544,2),
(13,4783,2),
(13,2557,2),
(13,2523,8),
(13,4782,2),
(13,882,2),
(13,2861,5),
(13,4175,2),
(13,4781,2),
(13,4780,2),
(13,3343,2),
(13,2864,2),
(13,3280,2),
(13,4161,2),
(13,2865,2),
(13,4164,2),
(13,2961,3),
(13,2555,2),
(13,4779,2),
(13,3095,2),
(13,2520,12),
(13,4778,2),
(13,4777,4),
(13,3388,2),
(13,3817,3),
(13,3807,2),
(13,2552,14),
(13,4776,2),
(13,4775,2),
(13,2524,7),
(13,4774,6),
(13,5144,6),
(13,5282,6),
(13,5281,6),
(13,2155,2),
(13,845,3),
(13,4769,1),
(13,4146,1),
(13,4768,1),
(13,4767,1),
(13,4766,1),
(13,4765,1),
(13,3160,1),
(13,2827,1),
(13,4764,1),
(13,2752,1),
(13,4141,1),
(13,4763,1),
(13,4762,1),
(13,4761,1),
(13,3773,1),
(13,4760,1),
(13,4759,1),
(13,74,1),
(13,4758,1),
(13,4757,1),
(13,4756,1),
(13,4755,3),
(13,4754,2),
(13,4753,1),
(13,4752,1),
(13,4142,1),
(13,4751,1),
(13,841,1),
(13,4750,1),
(13,4749,1),
(13,442,2),
(13,30,1),
(13,4748,1),
(13,4747,2),
(13,4746,1),
(13,4745,1),
(13,38,1),
(13,4744,1),
(13,4743,1),
(13,4742,1),
(13,4741,1),
(13,4740,1),
(13,4739,1),
(13,4738,1),
(13,4737,1),
(13,4736,1),
(13,4735,1),
(13,4734,1),
(13,4733,1),
(13,4732,1),
(13,4731,1),
(13,7,1),
(13,3794,1),
(13,3380,1),
(13,4730,1),
(13,2749,1),
(13,2748,1),
(13,4729,1),
(13,4728,4),
(13,4727,1),
(13,4726,1),
(13,710,3),
(13,51,2),
(13,4725,1),
(13,3969,1),
(13,2828,1),
(13,3005,1),
(13,3328,1),
(13,3260,1),
(13,3780,2),
(13,2842,1),
(13,4078,1),
(13,4724,1),
(13,4723,1),
(13,4722,1),
(13,4721,1),
(13,2831,1),
(13,4720,1),
(13,4719,1),
(13,3789,1),
(13,4718,1),
(13,4717,1),
(13,4716,1),
(13,4715,1),
(13,14,1),
(13,451,2),
(13,2745,1),
(13,464,1),
(13,4714,1),
(13,3778,1),
(13,4713,1),
(13,4712,1),
(13,2744,9),
(13,4711,1),
(13,3792,2),
(13,3777,1),
(13,1246,1),
(13,4710,1),
(13,4709,1),
(13,4708,1),
(13,31,1),
(13,3776,1),
(13,2497,2),
(13,4707,2),
(13,2504,2),
(13,47,8),
(13,4706,2),
(13,3073,2),
(13,2837,5),
(13,4148,2),
(13,4705,2),
(13,4704,2),
(13,3332,2),
(13,1151,2),
(13,3267,2),
(13,4138,2),
(13,2840,2),
(13,1247,2),
(13,720,3),
(13,1219,2),
(13,4703,2),
(13,3079,2),
(13,1048,2),
(13,4702,4),
(13,3381,2),
(13,3779,3),
(13,3771,2),
(13,4701,2),
(13,4700,2),
(13,2480,7),
(13,4699,6),
(13,690,6),
(13,5280,6),
(13,5279,6),
(23,4925,1),
(23,3850,1),
(23,4924,1),
(23,4923,1),
(23,2619,1),
(23,4922,1),
(23,4921,1),
(23,4920,1),
(23,4919,3),
(23,4918,2),
(23,4917,1),
(23,4916,1),
(23,4195,1),
(23,4915,1),
(23,2608,1),
(23,4914,1),
(23,4913,1),
(23,4912,2),
(23,4911,1),
(23,4910,1),
(23,4909,2),
(23,4908,1),
(23,4907,1),
(23,4014,1),
(23,4906,1),
(23,4905,1),
(23,4904,1),
(23,4903,1),
(23,4902,1),
(23,4901,1),
(23,4900,1),
(23,4899,1),
(23,4898,1),
(23,4897,1),
(23,4896,1),
(23,4895,1),
(23,4894,1),
(23,4893,1),
(23,4892,1),
(23,3874,1),
(23,3394,1),
(23,4876,1),
(23,3286,1),
(23,4875,2),
(23,2776,1),
(23,4874,1),
(23,4873,1),
(23,3857,1),
(23,4872,1),
(23,4871,1),
(23,4870,1),
(23,3855,1),
(23,4869,1),
(23,4868,1),
(23,4867,1),
(23,4866,1),
(23,3031,1),
(23,3853,1),
(23,2602,1),
(23,4865,1),
(23,2615,1),
(23,2580,7),
(23,4864,1),
(23,3105,1),
(23,4203,1),
(23,4863,1),
(23,4862,1),
(23,3354,1),
(23,2889,1),
(23,3294,1),
(23,4188,1),
(23,2890,1),
(23,4192,1),
(23,2613,1),
(23,4861,1),
(23,3112,1),
(23,4860,1),
(23,4859,3),
(23,3395,1),
(23,3858,2),
(23,3848,1),
(23,4858,1),
(23,4857,1),
(23,4891,2),
(23,2780,2),
(23,2779,2),
(23,4890,2),
(23,4889,5),
(23,4888,2),
(23,4887,2),
(23,2577,10),
(23,2614,4),
(23,2581,6),
(23,2892,3),
(23,4886,2),
(23,4012,2),
(23,2970,3),
(23,2610,13),
(23,2877,2),
(23,3035,2),
(23,3350,2),
(23,3872,3),
(23,3281,2),
(23,3859,3),
(23,2893,2),
(23,4102,2),
(23,4885,2),
(23,4884,2),
(23,4883,2),
(23,4882,2),
(23,2880,2),
(23,4881,2),
(23,4880,2),
(23,3868,2),
(23,2886,5),
(23,2775,11),
(23,4879,2),
(23,4878,2),
(23,4877,2),
(23,5230,6),
(23,5437,6),
(23,5436,6),
(23,5435,6),
(23,1704,3),
(23,4851,1),
(23,4172,1),
(23,4850,1),
(23,4849,1),
(23,4848,1),
(23,4847,1),
(23,3181,1),
(23,2850,1),
(23,4846,1),
(23,2768,1),
(23,4166,1),
(23,4845,1),
(23,4844,1),
(23,4843,1),
(23,3809,1),
(23,4842,1),
(23,4841,1),
(23,2561,1),
(23,4840,1),
(23,4839,1),
(23,4838,1),
(23,4837,3),
(23,4836,2),
(23,4835,1),
(23,4834,1),
(23,4167,1),
(23,4833,1),
(23,2550,1),
(23,4832,1),
(23,4831,1),
(23,4830,2),
(23,4829,1),
(23,4828,1),
(23,4827,2),
(23,4826,1),
(23,4825,1),
(23,3992,1),
(23,4824,1),
(23,4823,1),
(23,4822,1),
(23,4821,1),
(23,4820,1),
(23,4819,1),
(23,4818,1),
(23,4817,1),
(23,4816,1),
(23,4815,1),
(23,4814,1),
(23,4813,1),
(23,4812,1),
(23,4811,1),
(23,4810,1),
(23,3833,1),
(23,3387,1),
(23,4794,1),
(23,3273,1),
(23,4793,2),
(23,2759,1),
(23,4792,1),
(23,4791,1),
(23,3816,1),
(23,4790,1),
(23,4789,1),
(23,4788,1),
(23,3814,1),
(23,4787,1),
(23,4786,1),
(23,4785,1),
(23,4784,1),
(23,3016,1),
(23,3812,1),
(23,2544,1),
(23,4783,1),
(23,2557,1),
(23,2523,7),
(23,4782,1),
(23,882,1),
(23,4175,1),
(23,4781,1),
(23,4780,1),
(23,3343,1),
(23,2864,1),
(23,3280,1),
(23,4161,1),
(23,2865,1),
(23,4164,1),
(23,2555,1),
(23,4779,1),
(23,3095,1),
(23,4778,1),
(23,4777,3),
(23,3388,1),
(23,3817,2),
(23,3807,1),
(23,4776,1),
(23,4775,1),
(23,4809,2),
(23,2763,2),
(23,2762,2),
(23,4808,2),
(23,4807,5),
(23,4806,2),
(23,4805,2),
(23,2520,10),
(23,2556,4),
(23,2524,6),
(23,2867,3),
(23,4804,2),
(23,1365,2),
(23,2961,3),
(23,2552,13),
(23,2851,2),
(23,3020,2),
(23,3339,2),
(23,3831,3),
(23,3268,2),
(23,3818,3),
(23,2868,2),
(23,4090,2),
(23,4803,2),
(23,4802,2),
(23,4801,2),
(23,4800,2),
(23,2854,2),
(23,4799,2),
(23,4798,2),
(23,3827,2),
(23,2861,5),
(23,2758,11),
(23,4797,2),
(23,4796,2),
(23,4795,2),
(23,5226,6),
(23,5434,6),
(23,5433,6),
(23,5432,6),
(23,3724,4),
(23,3731,4),
(23,3730,4),
(23,1971,4),
(23,1970,4),
(23,1560,4),
(23,845,3),
(23,4769,1),
(23,4146,1),
(23,4768,1),
(23,4767,1),
(23,4766,1),
(23,4765,1),
(23,3160,1),
(23,2827,1),
(23,4764,1),
(23,2752,1),
(23,4141,1),
(23,4763,1),
(23,4762,1),
(23,4761,1),
(23,3773,1),
(23,4760,1),
(23,4759,1),
(23,74,1),
(23,4758,1),
(23,4757,1),
(23,4756,1),
(23,4755,3),
(23,4754,2),
(23,4753,1),
(23,4752,1),
(23,4142,1),
(23,4751,1),
(23,841,1),
(23,4750,1),
(23,4749,1),
(23,442,2),
(23,30,1),
(23,4748,1),
(23,4747,2),
(23,4746,1),
(23,4745,1),
(23,38,1),
(23,4744,1),
(23,4743,1),
(23,4742,1),
(23,4741,1),
(23,4740,1),
(23,4739,1),
(23,4738,1),
(23,4737,1),
(23,4736,1),
(23,4735,1),
(23,4734,1),
(23,4733,1),
(23,4732,1),
(23,4731,1),
(23,7,1),
(23,3794,1),
(23,3380,1),
(23,4715,1),
(23,14,1),
(23,451,2),
(23,2745,1),
(23,464,1),
(23,4714,1),
(23,3778,1),
(23,4713,1),
(23,4712,1),
(23,4711,1),
(23,3777,1),
(23,1246,1),
(23,4710,1),
(23,4709,1),
(23,4708,1),
(23,31,1),
(23,3776,1),
(23,2497,1),
(23,4707,1),
(23,2504,1),
(23,47,7),
(23,4706,1),
(23,3073,1),
(23,4148,1),
(23,4705,1),
(23,4704,1),
(23,3332,1),
(23,1151,1),
(23,3267,1),
(23,4138,1),
(23,2840,1),
(23,1247,1),
(23,1219,1),
(23,4703,1),
(23,3079,1),
(23,1048,1),
(23,4702,3),
(23,3381,1),
(23,3779,2),
(23,3771,1),
(23,4701,1),
(23,4700,1),
(23,4730,2),
(23,2749,2),
(23,2748,2),
(23,4729,2),
(23,4728,5),
(23,4727,2),
(23,4726,2),
(23,710,4),
(23,2480,6),
(23,51,3),
(23,4725,2),
(23,3969,2),
(23,720,3),
(23,2828,2),
(23,3005,2),
(23,3328,2),
(23,3792,3),
(23,3260,2),
(23,3780,3),
(23,2842,2),
(23,4078,2),
(23,4724,2),
(23,4723,2),
(23,4722,2),
(23,4721,2),
(23,2831,2),
(23,4720,2),
(23,4719,2),
(23,3789,2),
(23,2837,5),
(23,2744,11),
(23,4718,2),
(23,4717,2),
(23,4716,2),
(23,5222,6),
(23,5431,6),
(23,5430,6),
(23,5429,6),
(19,3250,1),
(19,2927,1),
(19,5092,1),
(19,2819,1),
(19,4250,1),
(19,5091,1),
(19,5090,1),
(19,5089,1),
(19,3932,1),
(19,5088,1),
(19,5087,1),
(19,2735,1),
(19,5086,1),
(19,5085,1),
(19,5084,1),
(19,5083,3),
(19,5082,2),
(19,5081,1),
(19,5080,1),
(19,4251,1),
(19,5079,1),
(19,2724,1),
(19,5078,1),
(19,5077,1),
(19,5076,2),
(19,5075,1),
(19,5074,1),
(19,5073,2),
(19,5072,1),
(19,5071,1),
(19,4060,1),
(19,5070,1),
(19,5069,1),
(19,5068,1),
(19,5067,1),
(19,5066,1),
(19,5065,1),
(19,5064,1),
(19,5063,1),
(19,5062,1),
(19,5061,1),
(19,5060,1),
(19,5059,1),
(19,5058,1),
(19,5057,1),
(19,5056,1),
(19,3956,1),
(19,3408,1),
(19,5055,1),
(19,2814,1),
(19,2813,1),
(19,5054,1),
(19,5053,4),
(19,5052,1),
(19,5051,1),
(19,2730,3),
(19,2944,2),
(19,5050,1),
(19,4058,1),
(19,2928,1),
(19,3065,1),
(19,3372,1),
(19,3309,1),
(19,3941,2),
(19,2945,1),
(19,4126,1),
(19,5049,1),
(19,5048,1),
(19,5047,1),
(19,5046,1),
(19,2931,1),
(19,5045,1),
(19,5044,1),
(19,3950,1),
(19,5043,1),
(19,5042,1),
(19,5041,1),
(19,5040,1),
(19,3314,1),
(19,5039,2),
(19,2810,1),
(19,5038,1),
(19,5037,1),
(19,3939,1),
(19,5036,1),
(19,5035,1),
(19,2809,9),
(19,5034,1),
(19,3954,2),
(19,3937,1),
(19,5033,1),
(19,5032,1),
(19,5031,1),
(19,5030,1),
(19,3061,1),
(19,3935,1),
(19,2718,2),
(19,5029,2),
(19,2731,2),
(19,2697,8),
(19,5028,2),
(19,3139,2),
(19,2938,5),
(19,4259,2),
(19,5027,2),
(19,5026,2),
(19,3376,2),
(19,2941,2),
(19,3322,2),
(19,4244,2),
(19,2942,2),
(19,4248,2),
(19,2989,3),
(19,2729,2),
(19,5025,2),
(19,3146,2),
(19,2694,12),
(19,5024,2),
(19,5023,4),
(19,3409,2),
(19,3940,3),
(19,3930,2),
(19,2726,14),
(19,5022,2),
(19,5021,2),
(19,2698,7),
(19,5393,6),
(19,5392,6),
(19,5379,6),
(19,5378,6),
(19,5328,6),
(19,3747,3),
(19,3746,3),
(19,1861,3),
(19,5015,1),
(19,4228,1),
(19,5014,1),
(19,5013,1),
(19,5012,1),
(19,5011,1),
(19,3227,1),
(19,2901,1),
(19,5010,1),
(19,2802,1),
(19,4222,1),
(19,5009,1),
(19,5008,1),
(19,5007,1),
(19,3891,1),
(19,5006,1),
(19,5005,1),
(19,2677,1),
(19,5004,1),
(19,5003,1),
(19,5002,1),
(19,5001,3),
(19,5000,2),
(19,4999,1),
(19,4998,1),
(19,4223,1),
(19,4997,1),
(19,2666,1),
(19,4996,1),
(19,4995,1),
(19,4994,2),
(19,4993,1),
(19,4992,1),
(19,4991,2),
(19,4990,1),
(19,4989,1),
(19,4037,1),
(19,4988,1),
(19,4987,1),
(19,4986,1),
(19,4985,1),
(19,4984,1),
(19,4983,1),
(19,4982,1),
(19,4981,1),
(19,4980,1),
(19,4979,1),
(19,4978,1),
(19,4977,1),
(19,4976,1),
(19,4975,1),
(19,4974,1),
(19,3915,1),
(19,3401,1),
(19,4973,1),
(19,2797,1),
(19,2796,1),
(19,4972,1),
(19,4971,4),
(19,4970,1),
(19,4969,1),
(19,2672,3),
(19,2918,2),
(19,4968,1),
(19,4035,1),
(19,2902,1),
(19,3050,1),
(19,3361,1),
(19,3295,1),
(19,3900,2),
(19,2919,1),
(19,4114,1),
(19,4967,1),
(19,4966,1),
(19,4965,1),
(19,4964,1),
(19,2905,1),
(19,4963,1),
(19,4962,1),
(19,3909,1),
(19,4961,1),
(19,4960,1),
(19,4959,1),
(19,4958,1),
(19,3300,1),
(19,4957,2),
(19,2793,1),
(19,4956,1),
(19,4955,1),
(19,3898,1),
(19,4954,1),
(19,4953,1),
(19,2792,9),
(19,4952,1),
(19,3913,2),
(19,3896,1),
(19,4951,1),
(19,4950,1),
(19,4949,1),
(19,4948,1),
(19,3046,1),
(19,3894,1),
(19,2660,2),
(19,4947,2),
(19,2673,2),
(19,2638,8),
(19,4946,2),
(19,3122,2),
(19,2912,5),
(19,4231,2),
(19,4945,2),
(19,4944,2),
(19,3365,2),
(19,2915,2),
(19,3308,2),
(19,4216,2),
(19,2916,2),
(19,4220,2),
(19,2979,3),
(19,2671,2),
(19,4943,2),
(19,3129,2),
(19,2635,12),
(19,4942,2),
(19,4941,4),
(19,3402,2),
(19,3899,3),
(19,3889,2),
(19,2668,14),
(19,4940,2),
(19,4939,2),
(19,2639,7),
(19,5391,6),
(19,5390,6),
(19,5373,6),
(19,5372,6),
(19,5325,6),
(19,3745,3),
(19,3744,3),
(19,1030,3),
(19,4933,1),
(19,4200,1),
(19,4932,1),
(19,4931,1),
(19,4930,1),
(19,4929,1),
(19,3204,1),
(19,2876,1),
(19,4928,1),
(19,2785,1),
(19,4194,1),
(19,4927,1),
(19,4926,1),
(19,4925,1),
(19,3850,1),
(19,4924,1),
(19,4923,1),
(19,2619,1),
(19,4922,1),
(19,4921,1),
(19,4920,1),
(19,4919,3),
(19,4918,2),
(19,4917,1),
(11,1951,3),
(11,1950,3),
(11,5097,1),
(11,4256,1),
(11,5096,1),
(11,5095,1),
(11,5094,1),
(11,5093,1),
(11,3250,1),
(11,2927,1),
(11,5092,1),
(11,2819,1),
(11,4250,1),
(11,5091,1),
(11,5090,1),
(11,5089,1),
(11,3932,1),
(11,5088,1),
(11,5087,1),
(11,2735,1),
(11,5086,1),
(11,5085,1),
(11,5084,1),
(11,5083,3),
(11,5082,2),
(11,5081,1),
(11,5080,1),
(11,4251,1),
(11,5079,1),
(11,2724,1),
(11,5078,1),
(11,5077,1),
(11,5076,2),
(11,5075,1),
(11,5074,1),
(11,5073,2),
(11,5072,1),
(11,5071,1),
(11,4060,1),
(11,5070,1),
(11,5069,1),
(11,5068,1),
(11,5067,1),
(11,5066,1),
(11,5065,1),
(11,5064,1),
(11,5063,1),
(11,5062,1),
(11,5061,1),
(11,5060,1),
(11,5059,1),
(11,5058,1),
(11,5057,1),
(11,5056,1),
(11,3956,1),
(11,3408,1),
(11,5040,1),
(11,3314,1),
(11,5039,2),
(11,2810,1),
(11,5038,1),
(11,5037,1),
(11,3939,1),
(11,5036,1),
(11,5035,1),
(11,5034,1),
(11,3937,1),
(11,5033,1),
(11,5032,1),
(11,5031,1),
(11,5030,1),
(11,3061,1),
(11,3935,1),
(11,2718,1),
(11,5029,1),
(11,2731,1),
(11,2697,7),
(11,5028,1),
(11,3139,1),
(11,4259,1),
(11,5027,1),
(11,5026,1),
(11,3376,1),
(11,2941,1),
(11,3322,1),
(11,4244,1),
(11,2942,1),
(11,4248,1),
(11,2729,1),
(11,5025,1),
(11,3146,1),
(11,5024,1),
(11,5023,3),
(11,3409,1),
(11,3940,2),
(11,3930,1),
(11,5022,1),
(11,5021,1),
(11,5055,2),
(11,2814,2),
(11,2813,2),
(11,5054,2),
(11,5053,5),
(11,5052,2),
(11,5051,2),
(11,2694,10),
(11,2730,4),
(11,2698,6),
(11,2944,3),
(11,5050,2),
(11,4058,2),
(11,2989,3),
(11,2726,13),
(11,2928,2),
(11,3065,2),
(11,3372,2),
(11,3954,3),
(11,3309,2),
(11,3941,3),
(11,2945,2),
(11,4126,2),
(11,5049,2),
(11,5048,2),
(11,5047,2),
(11,5046,2),
(11,2931,2),
(11,5045,2),
(11,5044,2),
(11,3950,2),
(11,2938,5),
(11,2809,11),
(11,5043,2),
(11,5042,2),
(11,5041,2),
(11,5273,6),
(11,5272,6),
(11,5271,6),
(11,5270,6),
(11,5269,6),
(11,5268,6),
(11,5267,6),
(11,1861,3),
(11,5015,1),
(11,4228,1),
(11,5014,1),
(11,5013,1),
(11,5012,1),
(11,5011,1),
(11,3227,1),
(11,2901,1),
(11,5010,1),
(11,2802,1),
(11,4222,1),
(11,5009,1),
(11,5008,1),
(11,5007,1),
(11,3891,1),
(11,5006,1),
(11,5005,1),
(11,2677,1),
(11,5004,1),
(11,5003,1),
(11,5002,1),
(11,5001,3),
(11,5000,2),
(11,4999,1),
(11,4998,1),
(11,4223,1),
(11,4997,1),
(11,2666,1),
(11,4996,1),
(11,4995,1),
(11,4994,2),
(11,4993,1),
(11,4992,1),
(11,4991,2),
(11,4990,1),
(11,4989,1),
(11,4037,1),
(11,4988,1),
(11,4987,1),
(11,4986,1),
(11,4985,1),
(11,4984,1),
(11,4983,1),
(11,4982,1),
(11,4981,1),
(11,4980,1),
(11,4979,1),
(11,4978,1),
(11,4977,1),
(11,4976,1),
(11,4975,1),
(11,4974,1),
(11,3915,1),
(11,3401,1),
(11,4958,1),
(11,3300,1),
(11,4957,2),
(11,2793,1),
(11,4956,1),
(11,4955,1),
(11,3898,1),
(11,4954,1),
(11,4953,1),
(11,4952,1),
(11,3896,1),
(11,4951,1),
(11,4950,1),
(11,4949,1),
(11,4948,1),
(11,3046,1),
(11,3894,1),
(11,2660,1),
(11,4947,1),
(11,2673,1),
(11,2638,7),
(11,4946,1),
(11,3122,1),
(11,4231,1),
(11,4945,1),
(11,4944,1),
(11,3365,1),
(11,2915,1),
(11,3308,1),
(11,4216,1),
(11,2916,1),
(11,4220,1),
(11,2671,1),
(11,4943,1),
(11,3129,1),
(11,4942,1),
(11,4941,3),
(11,3402,1),
(11,3899,2),
(11,3889,1),
(11,4940,1),
(11,4939,1),
(11,4973,2),
(11,2797,2),
(11,2796,2),
(11,4972,2),
(11,4971,5),
(11,4970,2),
(11,4969,2),
(11,2635,10),
(11,2672,4),
(11,2639,6),
(11,2918,3),
(11,4968,2),
(11,4035,2),
(11,2979,3),
(11,2668,13),
(11,2902,2),
(11,3050,2),
(11,3361,2),
(11,3913,3),
(11,3295,2),
(11,3900,3),
(11,2919,2),
(11,4114,2),
(11,4967,2),
(11,4966,2),
(11,4965,2),
(11,4964,2),
(11,2905,2),
(11,4963,2),
(11,4962,2),
(11,3909,2),
(11,2912,5),
(11,2792,11),
(11,4961,2),
(11,4960,2),
(11,4959,2),
(11,5266,6),
(11,5265,6),
(11,5264,6),
(11,5263,6),
(11,5262,6),
(11,5261,6),
(11,5260,6),
(11,1030,3),
(11,4933,1),
(11,4200,1),
(11,4932,1),
(11,4931,1),
(11,4930,1),
(11,4929,1),
(11,3204,1),
(11,2876,1),
(11,4928,1),
(11,2785,1),
(11,4194,1),
(11,4927,1),
(11,4926,1),
(11,4925,1),
(11,3850,1),
(11,4924,1),
(11,4923,1),
(11,2619,1),
(11,4922,1),
(11,4921,1),
(11,4920,1),
(11,4919,3),
(11,4918,2),
(11,4917,1),
(11,4916,1),
(11,4195,1),
(11,4915,1),
(11,2608,1),
(11,4914,1),
(11,4913,1),
(11,4912,2),
(11,4911,1),
(11,4910,1),
(11,4909,2),
(11,4908,1),
(11,4907,1),
(11,4014,1),
(11,4906,1),
(11,4905,1),
(11,4904,1),
(11,4903,1),
(11,4902,1),
(11,4901,1),
(11,4900,1),
(11,4899,1),
(11,4898,1),
(11,4897,1),
(11,4896,1),
(11,4895,1),
(11,4894,1),
(11,4893,1),
(11,4892,1),
(11,3874,1),
(11,3394,1),
(11,4876,1),
(11,3286,1),
(11,4875,2),
(11,2776,1),
(11,4874,1),
(11,4873,1),
(11,3857,1),
(11,4872,1),
(11,4871,1),
(11,4870,1),
(11,3855,1),
(11,4869,1),
(11,4868,1),
(11,4867,1),
(11,4866,1),
(11,3031,1),
(11,3853,1),
(11,2602,1),
(11,4865,1),
(11,2615,1),
(11,2580,7),
(11,4864,1),
(11,3105,1),
(11,4203,1),
(11,4863,1),
(11,4862,1),
(11,3354,1),
(11,2889,1),
(11,3294,1),
(11,4188,1),
(11,2890,1),
(11,4192,1),
(11,2613,1),
(11,4861,1),
(11,3112,1),
(11,4860,1),
(11,4859,3),
(11,3395,1),
(11,3858,2),
(11,3848,1),
(11,4858,1),
(11,4857,1),
(11,4891,2),
(11,2780,2),
(11,2779,2),
(11,4890,2),
(11,4889,5),
(11,4888,2),
(11,4887,2),
(11,2577,10),
(11,2614,4),
(11,2581,6),
(11,2892,3),
(11,4886,2),
(11,4012,2),
(11,2970,3),
(11,2610,13),
(11,2877,2),
(11,3035,2),
(11,3350,2),
(11,3872,3),
(11,3281,2),
(11,3859,3),
(11,2893,2),
(11,4102,2),
(11,4885,2),
(11,4884,2),
(11,4883,2),
(11,4882,2),
(11,2880,2),
(11,4881,2),
(11,4880,2),
(11,3868,2),
(11,2886,5),
(11,2775,11),
(11,4879,2),
(11,4878,2),
(11,4877,2),
(11,5259,6),
(11,5258,6),
(11,5257,6),
(11,5256,6),
(11,5255,6),
(11,5254,6),
(11,5253,6),
(11,1704,3),
(11,4851,1),
(11,4172,1),
(11,4850,1),
(11,4849,1),
(11,4848,1),
(11,4847,1),
(11,3181,1),
(11,2850,1),
(11,4846,1),
(11,2768,1),
(11,4166,1),
(11,4845,1),
(11,4844,1),
(11,4843,1),
(11,3809,1),
(11,4842,1),
(11,4841,1),
(11,2561,1),
(11,4840,1),
(11,4839,1),
(11,4838,1),
(11,4837,3),
(11,4836,2),
(11,4835,1),
(11,4834,1),
(11,4167,1),
(11,4833,1),
(11,2550,1),
(11,4832,1),
(11,4831,1),
(11,4830,2),
(11,4829,1),
(11,4828,1),
(11,4827,2),
(11,4826,1),
(11,4825,1),
(11,3992,1),
(11,4824,1),
(11,4823,1),
(11,4822,1),
(11,4821,1),
(11,4820,1),
(11,4819,1),
(11,4818,1),
(11,4817,1),
(11,4816,1),
(11,4815,1),
(11,4814,1),
(11,4813,1),
(11,4812,1),
(11,4811,1),
(11,4810,1),
(11,3833,1),
(11,3387,1),
(11,4794,1),
(11,3273,1),
(11,4793,2),
(11,2759,1),
(11,4792,1),
(11,4791,1),
(11,3816,1),
(11,4790,1),
(11,4789,1),
(11,4788,1),
(11,3814,1),
(11,4787,1),
(11,4786,1),
(11,4785,1),
(11,4784,1),
(11,3016,1),
(11,3812,1),
(11,2544,1),
(11,4783,1),
(11,2557,1),
(11,2523,7),
(11,4782,1),
(11,882,1),
(11,4175,1),
(11,4781,1),
(11,4780,1),
(11,3343,1),
(11,2864,1),
(11,3280,1),
(11,4161,1),
(11,2865,1),
(11,4164,1),
(11,2555,1),
(11,4779,1),
(11,3095,1),
(11,4778,1),
(11,4777,3),
(11,3388,1),
(11,3817,2),
(11,3807,1),
(11,4776,1),
(11,4775,1),
(11,4809,2),
(11,2763,2),
(11,2762,2),
(11,4808,2),
(11,4807,5),
(11,4806,2),
(11,4805,2),
(11,2520,10),
(11,2556,4),
(11,2524,6),
(11,2867,3),
(11,4804,2),
(11,1365,2),
(11,2961,3),
(11,2552,13),
(11,2851,2),
(11,3020,2),
(11,3339,2),
(11,3831,3),
(11,3268,2),
(11,3818,3),
(11,2868,2),
(11,4090,2),
(11,4803,2),
(11,4802,2),
(11,4801,2),
(11,4800,2),
(11,2854,2),
(11,4799,2),
(11,4798,2),
(11,3827,2),
(11,2861,5),
(11,2758,11),
(11,4797,2),
(11,4796,2),
(11,4795,2),
(11,5252,6),
(11,5251,6),
(11,5250,6),
(11,5249,6),
(11,5248,6),
(11,5247,6),
(11,5246,6),
(11,845,3),
(11,4769,1),
(11,4146,1),
(11,4768,1),
(11,4767,1),
(11,4766,1),
(11,4765,1),
(11,3160,1),
(11,2827,1),
(11,4764,1),
(11,2752,1),
(11,4141,1),
(11,4763,1),
(11,4762,1),
(11,4761,1),
(11,3773,1),
(11,4760,1),
(11,4759,1),
(11,74,1),
(11,4758,1),
(11,4757,1),
(11,4756,1),
(11,4755,3),
(11,4754,2),
(11,4753,1),
(11,4752,1),
(11,4142,1),
(11,4751,1),
(11,841,1),
(11,4750,1),
(11,4749,1),
(11,442,2),
(11,30,1),
(11,4748,1),
(11,4747,2),
(11,4746,1),
(11,4745,1),
(11,38,1),
(11,4744,1),
(11,4743,1),
(11,4742,1),
(11,4741,1),
(11,4740,1),
(11,4739,1),
(11,4738,1),
(11,4737,1),
(11,4736,1),
(11,4735,1),
(11,4734,1),
(11,4733,1),
(11,4732,1),
(11,4731,1),
(11,7,1),
(11,3794,1),
(11,3380,1),
(11,4715,1),
(11,14,1),
(11,451,2),
(11,2745,1),
(11,464,1),
(11,4714,1),
(11,3778,1),
(11,4713,1),
(11,4712,1),
(11,4711,1),
(11,3777,1),
(11,1246,1),
(11,4710,1),
(11,4709,1),
(11,4708,1),
(11,31,1),
(11,3776,1),
(11,2497,1),
(11,4707,1),
(11,2504,1),
(11,47,7),
(11,4706,1),
(11,3073,1),
(11,4148,1),
(11,4705,1),
(11,4704,1),
(11,3332,1),
(11,1151,1),
(11,3267,1),
(11,4138,1),
(11,2840,1),
(11,1247,1),
(11,1219,1),
(11,4703,1),
(11,3079,1),
(11,1048,1),
(11,4702,3),
(11,3381,1),
(11,3779,2),
(11,3771,1),
(11,4701,1),
(11,4700,1),
(11,4730,2),
(11,2749,2),
(11,2748,2),
(11,4729,2),
(11,4728,5),
(11,4727,2),
(11,4726,2),
(11,710,4),
(11,2480,6),
(11,51,3),
(11,4725,2),
(11,3969,2),
(11,720,3),
(11,2828,2),
(11,3005,2),
(11,3328,2),
(11,3792,3),
(11,3260,2),
(11,3780,3),
(11,2842,2),
(11,4078,2),
(11,4724,2),
(11,4723,2),
(11,4722,2),
(11,4721,2),
(11,2831,2),
(11,4720,2),
(11,4719,2),
(11,3789,2),
(11,2837,5),
(11,2744,11),
(11,4718,2),
(11,4717,2),
(11,4716,2),
(11,5245,6),
(11,5244,6),
(11,5243,6),
(11,5242,6),
(11,5241,6),
(11,5240,6),
(11,5239,6),
(10,1951,3),
(10,1950,3),
(10,5097,1),
(10,4256,1),
(10,5096,1),
(10,5095,1),
(10,5094,1),
(10,5093,1),
(10,3250,1),
(10,2927,1),
(10,5092,1),
(10,2819,1),
(10,4250,1),
(10,5091,1),
(10,5090,1),
(10,5089,1),
(10,3932,1),
(10,5088,1),
(10,5087,1),
(10,2735,1),
(10,5086,1),
(10,5085,1),
(10,5084,1),
(10,5083,3),
(10,5082,2),
(10,5081,1),
(10,5080,1),
(10,4251,1),
(10,5079,1),
(10,2724,1),
(10,5078,1),
(10,5077,1),
(10,5076,2),
(10,5075,1),
(10,5074,1),
(10,5073,2),
(10,5072,1),
(10,5071,1),
(10,4060,1),
(10,5070,1),
(10,5069,1),
(10,5068,1),
(10,5067,1),
(10,5066,1),
(10,5065,1),
(10,5064,1),
(10,5063,1),
(10,5062,1),
(10,5061,1),
(10,5060,1),
(10,5059,1),
(10,5058,1),
(10,5057,1),
(10,5056,1),
(10,3956,1),
(10,3408,1),
(10,5055,1),
(10,2814,1),
(10,2813,1),
(10,5054,1),
(10,5053,4),
(10,5052,1),
(10,5051,1),
(10,2730,3),
(10,2944,2),
(10,5050,1),
(10,4058,1),
(10,2928,1),
(10,3065,1),
(10,3372,1),
(10,3309,1),
(10,3941,2),
(10,2945,1),
(10,4126,1),
(10,5049,1),
(10,5048,1),
(10,5047,1),
(10,5046,1),
(10,2931,1),
(10,5045,1),
(10,5044,1),
(10,3950,1),
(10,5043,1),
(10,5042,1),
(10,5041,1),
(10,5040,1),
(10,3314,1),
(10,5039,2),
(10,2810,1),
(10,5038,1),
(10,5037,1),
(10,3939,1),
(10,5036,1),
(10,5035,1),
(10,2809,9),
(10,5034,1),
(10,3954,2),
(10,3937,1),
(10,5033,1),
(10,5032,1),
(10,5031,1),
(10,5030,1),
(10,3061,1),
(10,3935,1),
(10,2718,2),
(10,5029,2),
(10,2731,2),
(10,2697,8),
(10,5028,2),
(10,3139,2),
(10,2938,5),
(10,4259,2),
(10,5027,2),
(10,5026,2),
(10,3376,2),
(10,2941,2),
(10,3322,2),
(10,4244,2),
(10,2942,2),
(10,4248,2),
(10,2989,3),
(10,2729,2),
(10,5025,2),
(10,3146,2),
(10,2694,12),
(10,5024,2),
(10,5023,4),
(10,3409,2),
(10,3940,3),
(10,3930,2),
(10,2726,14),
(10,5022,2),
(10,5021,2),
(10,2698,7),
(10,5238,6),
(10,5237,6),
(10,5236,6),
(10,5235,6),
(10,1861,3),
(10,5015,1),
(10,4228,1),
(10,5014,1),
(10,5013,1),
(10,5012,1),
(10,5011,1),
(10,3227,1),
(10,2901,1),
(10,5010,1),
(10,2802,1),
(10,4222,1),
(10,5009,1),
(10,5008,1),
(10,5007,1),
(10,3891,1),
(10,5006,1),
(10,5005,1),
(10,2677,1),
(10,5004,1),
(10,5003,1),
(10,5002,1),
(10,5001,3),
(10,5000,2),
(10,4999,1),
(10,4998,1),
(10,4223,1),
(10,4997,1),
(10,2666,1),
(10,4996,1),
(10,4995,1),
(10,4994,2),
(10,4993,1),
(10,4992,1),
(10,4991,2),
(10,4990,1),
(10,4989,1),
(10,4037,1),
(10,4988,1),
(10,4987,1),
(10,4986,1),
(10,4985,1),
(10,4984,1),
(10,4983,1),
(10,4982,1),
(10,4981,1),
(10,4980,1),
(10,4979,1),
(10,4978,1),
(10,4977,1),
(10,4976,1),
(10,4975,1),
(10,4974,1),
(10,3915,1),
(10,3401,1),
(10,4973,1),
(10,2797,1),
(10,2796,1),
(10,4972,1),
(10,4971,4),
(10,4970,1),
(10,4969,1),
(10,2672,3),
(10,2918,2),
(10,4968,1),
(10,4035,1),
(10,2902,1),
(10,3050,1),
(10,3361,1),
(10,3295,1),
(10,3900,2),
(10,2919,1),
(10,4114,1),
(10,4967,1),
(10,4966,1),
(10,4965,1),
(10,4964,1),
(10,2905,1),
(10,4963,1),
(10,4962,1),
(10,3909,1),
(10,4961,1),
(10,4960,1),
(10,4959,1),
(10,4958,1),
(10,3300,1),
(10,4957,2),
(10,2793,1),
(10,4956,1),
(10,4955,1),
(10,3898,1),
(10,4954,1),
(10,4953,1),
(10,2792,9),
(10,4952,1),
(10,3913,2),
(10,3896,1),
(10,4951,1),
(10,4950,1),
(10,4949,1),
(10,4948,1),
(10,3046,1),
(10,3894,1),
(10,2660,2),
(10,4947,2),
(10,2673,2),
(10,2638,8),
(10,4946,2),
(10,3122,2),
(10,2912,5),
(10,4231,2),
(10,4945,2),
(10,4944,2),
(10,3365,2),
(10,2915,2),
(10,3308,2),
(10,4216,2),
(10,2916,2),
(10,4220,2),
(10,2979,3),
(10,2671,2),
(10,4943,2),
(10,3129,2),
(10,2635,12),
(10,4942,2),
(10,4941,4),
(10,3402,2),
(10,3899,3),
(10,3889,2),
(10,2668,14),
(10,4940,2),
(10,4939,2),
(10,2639,7),
(10,5234,6),
(10,5233,6),
(10,5232,6),
(10,5231,6),
(10,1030,3),
(10,4933,1),
(10,4200,1),
(10,4932,1),
(10,4931,1),
(10,4930,1),
(10,4929,1),
(10,3204,1),
(10,2876,1),
(10,4928,1),
(10,2785,1),
(10,4194,1),
(10,4927,1),
(10,4926,1),
(10,4925,1),
(10,3850,1),
(10,4924,1),
(10,4923,1),
(10,2619,1),
(10,4922,1),
(10,4921,1),
(10,4920,1),
(10,4919,3),
(10,4918,2),
(10,4917,1),
(10,4916,1),
(10,4195,1),
(10,4915,1),
(10,2608,1),
(10,4914,1),
(10,4913,1),
(10,4912,2),
(10,4911,1),
(10,4910,1),
(10,4909,2),
(10,4908,1),
(10,4907,1),
(10,4014,1),
(10,4906,1),
(10,4905,1),
(10,4904,1),
(10,4903,1),
(10,4902,1),
(10,4901,1),
(10,4900,1),
(10,4899,1),
(10,4898,1),
(10,4897,1),
(10,4896,1),
(10,4895,1),
(10,4894,1),
(10,4893,1),
(10,4892,1),
(10,3874,1),
(10,3394,1),
(10,4891,1),
(10,2780,1),
(10,2779,1),
(10,4890,1),
(10,4889,4),
(10,4888,1),
(10,4887,1),
(10,2614,3),
(10,2892,2),
(10,4886,1),
(10,4012,1),
(10,2877,1),
(10,3035,1),
(10,3350,1),
(10,3281,1),
(10,3859,2),
(10,2893,1),
(10,4102,1),
(10,4885,1),
(10,4884,1),
(10,4883,1),
(10,4882,1),
(10,2880,1),
(10,4881,1),
(10,4880,1),
(10,3868,1),
(10,4879,1),
(10,4878,1),
(10,4877,1),
(10,4876,1),
(10,3286,1),
(10,4875,2),
(10,2776,1),
(10,4874,1),
(10,4873,1),
(10,3857,1),
(10,4872,1),
(10,4871,1),
(10,2775,9),
(10,4870,1),
(10,3872,2),
(10,3855,1),
(10,4869,1),
(10,4868,1),
(10,4867,1),
(10,4866,1),
(10,3031,1),
(10,3853,1),
(10,2602,2),
(10,4865,2),
(10,2615,2),
(10,2580,8),
(10,4864,2),
(10,3105,2),
(10,2886,5),
(10,4203,2),
(10,4863,2),
(10,4862,2),
(10,3354,2),
(10,2889,2),
(10,3294,2),
(10,4188,2),
(10,2890,2),
(10,4192,2),
(10,2970,3),
(10,2613,2),
(10,4861,2),
(10,3112,2),
(10,2577,12),
(10,4860,2),
(10,4859,4),
(10,3395,2),
(10,3858,3),
(10,3848,2),
(10,2610,14),
(10,4858,2),
(10,4857,2),
(10,2581,7),
(10,5230,6),
(10,5229,6),
(10,5228,6),
(10,5227,6),
(10,1704,3),
(10,4851,1),
(10,4172,1),
(10,4850,1),
(10,4849,1),
(10,4848,1),
(10,4847,1),
(10,3181,1),
(10,2850,1),
(10,4846,1),
(10,2768,1),
(10,4166,1),
(10,4845,1),
(10,4844,1),
(10,4843,1),
(10,3809,1),
(10,4842,1),
(10,4841,1),
(10,2561,1),
(10,4840,1),
(10,4839,1),
(10,4838,1),
(10,4837,3),
(10,4836,2),
(10,4835,1),
(10,4834,1),
(10,4167,1),
(10,4833,1),
(10,2550,1),
(10,4832,1),
(10,4831,1),
(10,4830,2),
(10,4829,1),
(10,4828,1),
(10,4827,2),
(10,4826,1),
(10,4825,1),
(10,3992,1),
(10,4824,1),
(10,4823,1),
(10,4822,1),
(10,4821,1),
(10,4820,1),
(10,4819,1),
(10,4818,1),
(10,4817,1),
(10,4816,1),
(10,4815,1),
(10,4814,1),
(10,4813,1),
(10,4812,1),
(10,4811,1),
(10,4810,1),
(10,3833,1),
(10,3387,1),
(10,4809,1),
(10,2763,1),
(10,2762,1),
(10,4808,1),
(10,4807,4),
(10,4806,1),
(10,4805,1),
(10,2556,3),
(10,2867,2),
(10,4804,1),
(10,1365,1),
(10,2851,1),
(10,3020,1),
(10,3339,1),
(10,3268,1),
(10,3818,2),
(10,2868,1),
(10,4090,1),
(10,4803,1),
(10,4802,1),
(10,4801,1),
(10,4800,1),
(10,2854,1),
(10,4799,1),
(10,4798,1),
(10,3827,1),
(10,4797,1),
(10,4796,1),
(10,4795,1),
(10,4794,1),
(10,3273,1),
(10,4793,2),
(10,2759,1),
(10,4792,1),
(10,4791,1),
(10,3816,1),
(10,4790,1),
(10,4789,1),
(10,2758,9),
(10,4788,1),
(10,3831,2),
(10,3814,1),
(10,4787,1),
(10,4786,1),
(10,4785,1),
(10,4784,1),
(10,3016,1),
(10,3812,1),
(10,2544,2),
(10,4783,2),
(10,2557,2),
(10,2523,8),
(10,4782,2),
(10,882,2),
(10,2861,5),
(10,4175,2),
(10,4781,2),
(10,4780,2),
(10,3343,2),
(10,2864,2),
(10,3280,2),
(10,4161,2),
(10,2865,2),
(10,4164,2),
(10,2961,3),
(10,2555,2),
(10,4779,2),
(10,3095,2),
(10,2520,12),
(10,4778,2),
(10,4777,4),
(10,3388,2),
(10,3817,3),
(10,3807,2),
(10,2552,14),
(10,4776,2),
(10,4775,2),
(10,2524,7),
(10,5226,6),
(10,5225,6),
(10,5224,6),
(10,5223,6),
(10,1047,4),
(10,1046,4),
(10,845,3),
(10,4769,1),
(10,4146,1),
(10,4768,1),
(10,4767,1),
(10,4766,1),
(10,4765,1),
(10,3160,1),
(10,2827,1),
(10,4764,1),
(10,2752,1),
(10,4141,1),
(10,4763,1),
(10,4762,1),
(10,4761,1),
(10,3773,1),
(10,4760,1),
(10,4759,1),
(10,74,1),
(10,4758,1),
(10,4757,1),
(10,4756,1),
(10,4755,3),
(10,4754,2),
(10,4753,1),
(10,4752,1),
(10,4142,1),
(10,4751,1),
(10,841,1),
(10,4750,1),
(10,4749,1),
(10,442,2),
(10,30,1),
(10,4748,1),
(10,4747,2),
(10,4746,1),
(10,4745,1),
(10,38,1),
(10,4744,1),
(10,4743,1),
(10,4742,1),
(10,4741,1),
(10,4740,1),
(10,4739,1),
(10,4738,1),
(10,4737,1),
(10,4736,1),
(10,4735,1),
(10,4734,1),
(10,4733,1),
(10,4732,1),
(10,4731,1),
(10,7,1),
(10,3794,1),
(10,3380,1),
(10,4730,1),
(10,2749,1),
(10,2748,1),
(10,4729,1),
(10,4728,4),
(10,4727,1),
(10,4726,1),
(10,710,3),
(10,51,2),
(10,4725,1),
(10,3969,1),
(10,2828,1),
(10,3005,1),
(10,3328,1),
(10,3260,1),
(10,3780,2),
(10,2842,1),
(10,4078,1),
(10,4724,1),
(10,4723,1),
(10,4722,1),
(10,4721,1),
(10,2831,1),
(10,4720,1),
(10,4719,1),
(10,3789,1),
(10,4718,1),
(10,4717,1),
(10,4716,1),
(10,4715,1),
(10,14,1),
(10,451,2),
(10,2745,1),
(10,464,1),
(10,4714,1),
(10,3778,1),
(10,4713,1),
(10,4712,1),
(10,2744,9),
(10,4711,1),
(10,3792,2),
(10,3777,1),
(10,1246,1),
(10,4710,1),
(10,4709,1),
(10,4708,1),
(10,31,1),
(10,3776,1),
(10,2497,2),
(10,4707,2),
(10,2504,2),
(10,47,8),
(10,4706,2),
(10,3073,2),
(10,2837,5),
(10,4148,2),
(10,4705,2),
(10,4704,2),
(10,3332,2),
(10,1151,2),
(10,3267,2),
(10,4138,2),
(10,2840,2),
(10,1247,2),
(10,720,3),
(10,1219,2),
(10,4703,2),
(10,3079,2),
(10,1048,2),
(10,4702,4),
(10,3381,2),
(10,3779,3),
(10,3771,2),
(10,4701,2),
(10,4700,2),
(10,2480,7),
(10,5222,6),
(10,5221,6),
(10,5220,6),
(10,5219,6),
(22,5096,1),
(22,5095,1),
(22,5094,1),
(22,5093,1),
(22,3250,1),
(22,2927,1),
(22,5092,1),
(22,2819,1),
(22,4250,1),
(22,5091,1),
(22,5090,1),
(22,5089,1),
(22,3932,1),
(22,5088,1),
(22,5087,1),
(22,2735,1),
(22,5086,1),
(22,5085,1),
(22,5084,1),
(22,5083,3),
(22,5082,2),
(22,5081,1),
(22,5080,1),
(22,4251,1),
(22,5079,1),
(22,2724,1),
(22,5078,1),
(22,5077,1),
(22,5076,2),
(22,5075,1),
(22,5074,1),
(22,5073,2),
(22,5072,1),
(22,5071,1),
(22,4060,1),
(22,5070,1),
(22,5069,1),
(22,5068,1),
(22,5067,1),
(22,5066,1),
(22,5065,1),
(22,5064,1),
(22,5063,1),
(22,5062,1),
(22,5061,1),
(22,5060,1),
(22,5059,1),
(22,5058,1),
(22,5057,1),
(22,5056,1),
(22,3956,1),
(22,3408,1),
(22,5055,1),
(22,2814,1),
(22,2813,1),
(22,5054,1),
(22,5053,4),
(22,5052,1),
(22,5051,1),
(22,2730,3),
(22,2944,2),
(22,5050,1),
(22,4058,1),
(22,2928,1),
(22,3065,1),
(22,3372,1),
(22,3309,1),
(22,3941,2),
(22,2945,1),
(22,4126,1),
(22,5049,1),
(22,5048,1),
(22,5047,1),
(22,5046,1),
(22,2931,1),
(22,5045,1),
(22,5044,1),
(22,3950,1),
(22,5043,1),
(22,5042,1),
(22,5041,1),
(22,5040,1),
(22,3314,1),
(22,5039,2),
(22,2810,1),
(22,5038,1),
(22,5037,1),
(22,3939,1),
(22,5036,1),
(22,5035,1),
(22,2809,9),
(22,5034,1),
(22,3954,2),
(22,3937,1),
(22,5033,1),
(22,5032,1),
(22,5031,1),
(22,5030,1),
(22,3061,1),
(22,3935,1),
(22,2718,2),
(22,5029,2),
(22,2731,2),
(22,2697,8),
(22,5028,2),
(22,3139,2),
(22,2938,5),
(22,4259,2),
(22,5027,2),
(22,5026,2),
(22,3376,2),
(22,2941,2),
(22,3322,2),
(22,4244,2),
(22,2942,2),
(22,4248,2),
(22,2989,3),
(22,2729,2),
(22,5025,2),
(22,3146,2),
(22,2694,12),
(22,5024,2),
(22,5023,4),
(22,3409,2),
(22,3940,3),
(22,3930,2),
(22,2726,14),
(22,5022,2),
(22,5021,2),
(22,2698,7),
(22,5213,6),
(22,5428,6),
(22,2990,6),
(22,4316,6),
(22,2203,2),
(22,1861,3),
(22,5015,1),
(22,4228,1),
(22,5014,1),
(22,5013,1),
(22,5012,1),
(22,5011,1),
(22,3227,1),
(22,2901,1),
(22,5010,1),
(22,2802,1),
(22,4222,1),
(22,5009,1),
(22,5008,1),
(22,5007,1),
(22,3891,1),
(22,5006,1),
(22,5005,1),
(22,2677,1),
(22,5004,1),
(22,5003,1),
(22,5002,1),
(22,5001,3),
(22,5000,2),
(22,4999,1),
(22,4998,1),
(22,4223,1),
(22,4997,1),
(22,2666,1),
(22,4996,1),
(22,4995,1),
(22,4994,2),
(22,4993,1),
(22,4992,1),
(22,4991,2),
(22,4990,1),
(22,4989,1),
(22,4037,1),
(22,4988,1),
(22,4987,1),
(22,4986,1),
(22,4985,1),
(22,4984,1),
(22,4983,1),
(22,4982,1),
(22,4981,1),
(22,4980,1),
(22,4979,1),
(22,4978,1),
(22,4977,1),
(22,4976,1),
(22,4975,1),
(22,4974,1),
(22,3915,1),
(22,3401,1),
(22,4973,1),
(22,2797,1),
(22,2796,1),
(22,4972,1),
(22,4971,4),
(22,4970,1),
(22,4969,1),
(22,2672,3),
(22,2918,2),
(22,4968,1),
(22,4035,1),
(22,2902,1),
(22,3050,1),
(22,3361,1),
(22,3295,1),
(22,3900,2),
(22,2919,1),
(22,4114,1),
(22,4967,1),
(22,4966,1),
(22,4965,1),
(22,4964,1),
(22,2905,1),
(22,4963,1),
(22,4962,1),
(22,3909,1),
(22,4961,1),
(22,4960,1),
(22,4959,1),
(22,4958,1),
(22,3300,1),
(22,4957,2),
(22,2793,1),
(22,4956,1),
(22,4955,1),
(22,3898,1),
(22,4954,1),
(22,4953,1),
(22,2792,9),
(22,4952,1),
(22,3913,2),
(22,3896,1),
(22,4951,1),
(22,4950,1),
(22,4949,1),
(22,4948,1),
(22,3046,1),
(22,3894,1),
(22,2660,2),
(22,4947,2),
(22,2673,2),
(22,2638,8),
(22,4946,2),
(22,3122,2),
(22,2912,5),
(22,4231,2),
(22,4945,2),
(22,4944,2),
(22,3365,2),
(22,2915,2),
(22,3308,2),
(22,4216,2),
(22,2916,2),
(22,4220,2),
(22,2979,3),
(22,2671,2),
(22,4943,2),
(22,3129,2),
(22,2635,12),
(22,4942,2),
(22,4941,4),
(22,3402,2),
(22,3899,3),
(22,3889,2),
(22,2668,14),
(22,4940,2),
(22,4939,2),
(22,2639,7),
(22,5209,6),
(22,5427,6),
(22,2980,6),
(22,4313,6),
(22,2187,2),
(22,1030,3),
(22,4933,1),
(22,4200,1),
(22,4932,1),
(22,4931,1),
(22,4930,1),
(22,4929,1),
(22,3204,1),
(22,2876,1),
(22,4928,1),
(22,2785,1),
(22,4194,1),
(22,4927,1),
(22,4926,1),
(22,4925,1),
(22,3850,1),
(22,4924,1),
(22,4923,1),
(22,2619,1),
(22,4922,1),
(22,4921,1),
(22,4920,1),
(22,4919,3),
(22,4918,2),
(22,4917,1),
(22,4916,1),
(22,4195,1),
(22,4915,1),
(22,2608,1),
(22,4914,1),
(22,4913,1),
(22,4912,2),
(22,4911,1),
(22,4910,1),
(22,4909,2),
(22,4908,1),
(22,4907,1),
(22,4014,1),
(22,4906,1),
(22,4905,1),
(22,4904,1),
(22,4903,1),
(22,4902,1),
(22,4901,1),
(22,4900,1),
(22,4899,1),
(22,4898,1),
(22,4897,1),
(22,4896,1),
(22,4895,1),
(22,4894,1),
(22,4893,1),
(22,4892,1),
(22,3874,1),
(22,3394,1),
(22,4891,1),
(22,2780,1),
(22,2779,1),
(22,4890,1),
(22,4889,4),
(22,4888,1),
(22,4887,1),
(22,2614,3),
(22,2892,2),
(22,4886,1),
(22,4012,1),
(22,2877,1),
(22,3035,1),
(22,3350,1),
(22,3281,1),
(22,3859,2),
(22,2893,1),
(22,4102,1),
(22,4885,1),
(22,4884,1),
(22,4883,1),
(22,4882,1),
(22,2880,1),
(22,4881,1),
(22,4880,1),
(22,3868,1),
(22,4879,1),
(22,4878,1),
(22,4877,1),
(22,4876,1),
(22,3286,1),
(22,4875,2),
(22,2776,1),
(22,4874,1),
(22,4873,1),
(22,3857,1),
(22,4872,1),
(22,4871,1),
(22,2775,9),
(22,4870,1),
(22,3872,2),
(22,3855,1),
(22,4869,1),
(22,4868,1),
(22,4867,1),
(22,4866,1),
(22,3031,1),
(22,3853,1),
(22,2602,2),
(22,4865,2),
(22,2615,2),
(22,2580,8),
(22,4864,2),
(22,3105,2),
(22,2886,5),
(22,4203,2),
(22,4863,2),
(22,4862,2),
(22,3354,2),
(22,2889,2),
(22,3294,2),
(22,4188,2),
(22,2890,2),
(22,4192,2),
(22,2970,3),
(22,2613,2),
(22,4861,2),
(22,3112,2),
(22,2577,12),
(22,4860,2),
(22,4859,4),
(22,3395,2),
(22,3858,3),
(22,3848,2),
(22,2610,14),
(22,4858,2),
(22,4857,2),
(22,2581,7),
(22,5205,6),
(22,5426,6),
(22,2971,6),
(22,4310,6),
(22,2171,2),
(22,1704,3),
(22,4851,1),
(22,4172,1),
(22,4850,1),
(22,4849,1),
(22,4848,1),
(22,4847,1),
(22,3181,1),
(22,2850,1),
(22,4846,1),
(22,2768,1),
(22,4166,1),
(22,4845,1),
(22,4844,1),
(22,4843,1),
(22,3809,1),
(22,4842,1),
(22,4841,1),
(22,2561,1),
(22,4840,1),
(22,4839,1),
(22,4838,1),
(22,4837,3),
(22,4836,2),
(22,4835,1),
(22,4834,1),
(22,4167,1),
(22,4833,1),
(22,2550,1),
(22,4832,1),
(22,4831,1),
(22,4830,2),
(22,4829,1),
(22,4828,1),
(22,4827,2),
(22,4826,1),
(22,4825,1),
(22,3992,1),
(22,4824,1),
(22,4823,1),
(22,4822,1),
(22,4821,1),
(22,4820,1),
(22,4819,1),
(22,4818,1),
(22,4817,1),
(22,4816,1),
(22,4815,1),
(22,4814,1),
(22,4813,1),
(22,4812,1),
(22,4811,1),
(22,4810,1),
(22,3833,1),
(22,3387,1),
(22,4809,1),
(22,2763,1),
(22,2762,1),
(22,4808,1),
(22,4807,4),
(22,4806,1),
(22,4805,1),
(22,2556,3),
(22,2867,2),
(22,4804,1),
(22,1365,1),
(22,2851,1),
(22,3020,1),
(22,3339,1),
(22,3268,1),
(22,3818,2),
(22,2868,1),
(22,4090,1),
(22,4803,1),
(22,4802,1),
(22,4801,1),
(22,4800,1),
(22,2854,1),
(22,4799,1),
(22,4798,1),
(22,3827,1),
(22,4797,1),
(22,4796,1),
(22,4795,1),
(22,4794,1),
(22,3273,1),
(22,4793,2),
(22,2759,1),
(22,4792,1),
(22,4791,1),
(22,3816,1),
(22,4790,1),
(22,4789,1),
(22,2758,9),
(22,4788,1),
(22,3831,2),
(22,3814,1),
(22,4787,1),
(22,4786,1),
(22,4785,1),
(22,4784,1),
(22,3016,1),
(22,3812,1),
(22,2544,2),
(22,4783,2),
(22,2557,2),
(22,2523,8),
(22,4782,2),
(22,882,2),
(22,2861,5),
(22,4175,2),
(22,4781,2),
(22,4780,2),
(22,3343,2),
(22,2864,2),
(22,3280,2),
(22,4161,2),
(22,2865,2),
(22,4164,2),
(22,2961,3),
(22,2555,2),
(22,4779,2),
(22,3095,2),
(22,2520,12),
(22,4778,2),
(22,4777,4),
(22,3388,2),
(22,3817,3),
(22,3807,2),
(22,2552,14),
(22,4776,2),
(22,4775,2),
(22,2524,7),
(22,5201,6),
(22,5425,6),
(22,85,6),
(22,4308,6),
(22,2155,2),
(22,3729,4),
(22,1564,4),
(22,1567,4),
(22,1561,4),
(22,845,3),
(22,4769,1),
(22,4146,1),
(22,4768,1),
(22,4767,1),
(22,4766,1),
(22,4765,1),
(22,3160,1),
(22,2827,1),
(22,4764,1),
(22,2752,1),
(22,4141,1),
(22,4763,1),
(22,4762,1),
(22,4761,1),
(22,3773,1),
(22,4760,1),
(22,4759,1),
(22,74,1),
(22,4758,1),
(22,4757,1),
(22,4756,1),
(22,4755,3),
(22,4754,2),
(22,4753,1),
(22,4752,1),
(22,4142,1),
(22,4751,1),
(22,841,1),
(22,4750,1),
(22,4749,1),
(22,442,2),
(22,30,1),
(22,4748,1),
(22,4747,2),
(22,4746,1),
(22,4745,1),
(22,38,1),
(22,4744,1),
(22,4743,1),
(22,4742,1),
(22,4741,1),
(22,4740,1),
(22,4739,1),
(22,4738,1),
(22,4737,1),
(22,4736,1),
(22,4735,1),
(22,4734,1),
(22,4733,1),
(22,4732,1),
(22,4731,1),
(22,7,1),
(22,3794,1),
(22,3380,1),
(22,4730,1),
(22,2749,1),
(22,2748,1),
(22,4729,1),
(22,4728,4),
(22,4727,1),
(22,4726,1),
(22,710,3),
(22,51,2),
(22,4725,1),
(22,3969,1),
(22,2828,1),
(22,3005,1),
(22,3328,1),
(22,3260,1),
(22,3780,2),
(22,2842,1),
(22,4078,1),
(22,4724,1),
(22,4723,1),
(22,4722,1),
(22,4721,1),
(22,2831,1),
(22,4720,1),
(22,4719,1),
(22,3789,1),
(22,4718,1),
(22,4717,1),
(22,4716,1),
(22,4715,1),
(22,14,1),
(22,451,2),
(22,2745,1),
(22,464,1),
(22,4714,1),
(22,3778,1),
(22,4713,1),
(22,4712,1),
(22,2744,9),
(22,4711,1),
(22,3792,2),
(22,3777,1),
(22,1246,1),
(22,4710,1),
(22,4709,1),
(22,4708,1),
(22,31,1),
(22,3776,1),
(22,2497,2),
(22,4707,2),
(22,2504,2),
(22,47,8),
(22,4706,2),
(22,3073,2),
(22,2837,5),
(22,4148,2),
(22,4705,2),
(22,4704,2),
(22,3332,2),
(22,1151,2),
(22,3267,2),
(22,4138,2),
(22,2840,2),
(22,1247,2),
(22,720,3),
(22,1219,2),
(22,4703,2),
(22,3079,2),
(22,1048,2),
(22,4702,4),
(22,3381,2),
(22,3779,3),
(22,3771,2),
(22,4701,2),
(22,4700,2),
(22,2480,7),
(22,5197,6),
(22,5424,6),
(19,4916,1),
(19,4195,1),
(19,4915,1),
(19,2608,1),
(19,4914,1),
(19,4913,1),
(19,4912,2),
(19,4911,1),
(19,4910,1),
(19,4909,2),
(19,4908,1),
(19,4907,1),
(19,4014,1),
(19,4906,1),
(19,4905,1),
(19,4904,1),
(19,4903,1),
(19,4902,1),
(19,4901,1),
(19,4900,1),
(19,4899,1),
(19,4898,1),
(19,4897,1),
(19,4896,1),
(19,4895,1),
(19,4894,1),
(19,4893,1),
(19,4892,1),
(19,3874,1),
(19,3394,1),
(19,4891,1),
(19,2780,1),
(19,2779,1),
(19,4890,1),
(19,4889,4),
(19,4888,1),
(19,4887,1),
(19,2614,3),
(19,2892,2),
(19,4886,1),
(19,4012,1),
(19,2877,1),
(19,3035,1),
(19,3350,1),
(19,3281,1),
(19,3859,2),
(19,2893,1),
(19,4102,1),
(19,4885,1),
(19,4884,1),
(19,4883,1),
(19,4882,1),
(19,2880,1),
(19,4881,1),
(19,4880,1),
(19,3868,1),
(19,4879,1),
(19,4878,1),
(19,4877,1),
(19,4876,1),
(19,3286,1),
(19,4875,2),
(19,2776,1),
(19,4874,1),
(19,4873,1),
(19,3857,1),
(19,4872,1),
(19,4871,1),
(19,2775,9),
(19,4870,1),
(19,3872,2),
(19,3855,1),
(19,4869,1),
(19,4868,1),
(19,4867,1),
(19,4866,1),
(19,3031,1),
(19,3853,1),
(19,2602,2),
(19,4865,2),
(19,2615,2),
(19,2580,8),
(19,4864,2),
(19,3105,2),
(19,2886,5),
(19,4203,2),
(19,4863,2),
(19,4862,2),
(19,3354,2),
(19,2889,2),
(19,3294,2),
(19,4188,2),
(19,2890,2),
(19,4192,2),
(19,2970,3),
(19,2613,2),
(19,4861,2),
(19,3112,2),
(19,2577,12),
(19,4860,2),
(19,4859,4),
(19,3395,2),
(19,3858,3),
(19,3848,2),
(19,2610,14),
(19,4858,2),
(19,4857,2),
(19,2581,7),
(19,5389,6),
(19,5388,6),
(19,5367,6),
(19,5366,6),
(19,5322,6),
(19,3743,3),
(19,3742,3),
(19,1704,3),
(19,4851,1),
(19,4172,1),
(19,4850,1),
(19,4849,1),
(19,4848,1),
(19,4847,1),
(19,3181,1),
(19,2850,1),
(19,4846,1),
(19,2768,1),
(19,4166,1),
(19,4845,1),
(19,4844,1),
(19,4843,1),
(19,3809,1),
(19,4842,1),
(19,4841,1),
(19,2561,1),
(19,4840,1),
(19,4839,1),
(19,4838,1),
(19,4837,3),
(19,4836,2),
(19,4835,1),
(19,4834,1),
(19,4167,1),
(19,4833,1),
(19,2550,1),
(19,4832,1),
(19,4831,1),
(19,4830,2),
(19,4829,1),
(19,4828,1),
(19,4827,2),
(19,4826,1),
(19,4825,1),
(19,3992,1),
(19,4824,1),
(19,4823,1),
(19,4822,1),
(19,4821,1),
(19,4820,1),
(19,4819,1),
(19,4818,1),
(19,4817,1),
(19,4816,1),
(19,4815,1),
(19,4814,1),
(19,4813,1),
(19,4812,1),
(19,4811,1),
(19,4810,1),
(19,3833,1),
(19,3387,1),
(19,4809,1),
(19,2763,1),
(19,2762,1),
(19,4808,1),
(19,4807,4),
(19,4806,1),
(19,4805,1),
(19,2556,3),
(19,2867,2),
(19,4804,1),
(19,1365,1),
(19,2851,1),
(19,3020,1),
(19,3339,1),
(19,3268,1),
(19,3818,2),
(19,2868,1),
(19,4090,1),
(19,4803,1),
(19,4802,1),
(19,4801,1),
(19,4800,1),
(19,2854,1),
(19,4799,1),
(19,4798,1),
(19,3827,1),
(19,4797,1),
(19,4796,1),
(19,4795,1),
(19,4794,1),
(19,3273,1),
(19,4793,2),
(19,2759,1),
(19,4792,1),
(19,4791,1),
(19,3816,1),
(19,4790,1),
(19,4789,1),
(19,2758,9),
(19,4788,1),
(19,3831,2),
(19,3814,1),
(19,4787,1),
(19,4786,1),
(19,4785,1),
(19,4784,1),
(19,3016,1),
(19,3812,1),
(19,2544,2),
(19,4783,2),
(19,2557,2),
(19,2523,8),
(19,4782,2),
(19,882,2),
(19,2861,5),
(19,4175,2),
(19,4781,2),
(19,4780,2),
(19,3343,2),
(19,2864,2),
(19,3280,2),
(19,4161,2),
(19,2865,2),
(19,4164,2),
(19,2961,3),
(19,2555,2),
(19,4779,2),
(19,3095,2),
(19,2520,12),
(19,4778,2),
(19,4777,4),
(19,3388,2),
(19,3817,3),
(19,3807,2),
(19,2552,14),
(19,4776,2),
(19,4775,2),
(19,2524,7),
(19,5387,6),
(19,5386,6),
(19,5361,6),
(19,5360,6),
(19,5319,6),
(19,3724,4),
(19,3731,4),
(19,3730,4),
(19,3741,3),
(19,3726,3),
(19,845,3),
(19,4769,1),
(19,4146,1),
(19,4768,1),
(19,4767,1),
(19,4766,1),
(19,4765,1),
(19,3160,1),
(19,2827,1),
(19,4764,1),
(19,2752,1),
(19,4141,1),
(19,4763,1),
(19,4762,1),
(19,4761,1),
(19,3773,1),
(19,4760,1),
(19,4759,1),
(19,74,1),
(19,4758,1),
(19,4757,1),
(19,4756,1),
(19,4755,3),
(19,4754,2),
(19,4753,1),
(19,4752,1),
(19,4142,1),
(19,4751,1),
(19,841,1),
(19,4750,1),
(19,4749,1),
(19,442,2),
(19,30,1),
(19,4748,1),
(19,4747,2),
(19,4746,1),
(19,4745,1),
(19,38,1),
(19,4744,1),
(19,4743,1),
(19,4742,1),
(19,4741,1),
(19,4740,1),
(19,4739,1),
(19,4738,1),
(19,4737,1),
(19,4736,1),
(19,4735,1),
(19,4734,1),
(19,4733,1),
(19,4732,1),
(19,4731,1),
(19,7,1),
(19,3794,1),
(19,3380,1),
(19,4730,1),
(19,2749,1),
(19,2748,1),
(19,4729,1),
(19,4728,4),
(19,4727,1),
(19,4726,1),
(19,710,3),
(19,51,2),
(19,4725,1),
(19,3969,1),
(19,2828,1),
(19,3005,1),
(19,3328,1),
(19,3260,1),
(19,3780,2),
(19,2842,1),
(19,4078,1),
(19,4724,1),
(19,4723,1),
(19,4722,1),
(19,4721,1),
(19,2831,1),
(19,4720,1),
(19,4719,1),
(19,3789,1),
(19,4718,1),
(19,4717,1),
(19,4716,1),
(19,4715,1),
(19,14,1),
(19,451,2),
(19,2745,1),
(19,464,1),
(19,4714,1),
(19,3778,1),
(19,4713,1),
(19,4712,1),
(19,2744,9),
(19,4711,1),
(19,3792,2),
(19,3777,1),
(19,1246,1),
(19,4710,1),
(19,4709,1),
(19,4708,1),
(19,31,1),
(19,3776,1),
(19,2497,2),
(19,4707,2),
(19,2504,2),
(19,47,8),
(19,4706,2),
(19,3073,2),
(19,2837,5),
(19,4148,2),
(19,4705,2),
(19,4704,2),
(19,3332,2),
(19,1151,2),
(19,3267,2),
(19,4138,2),
(19,2840,2),
(19,1247,2),
(19,720,3),
(19,1219,2),
(19,4703,2),
(19,3079,2),
(19,1048,2),
(19,4702,4),
(19,3381,2),
(19,3779,3),
(19,3771,2),
(19,4701,2),
(19,4700,2),
(19,2480,7),
(19,5385,6),
(19,5384,6),
(19,5355,6),
(19,5354,6),
(19,5316,6),
(22,3,6),
(22,4306,6),
(20,4716,2),
(20,5120,6),
(20,250,6),
(20,5398,6),
(20,5397,6),
(20,5396,6),
(20,5395,6),
(20,5394,6),
(16,1951,3),
(16,1950,3),
(16,5097,1),
(16,4256,1),
(16,5096,1),
(16,5095,1),
(16,5094,1),
(16,5093,1),
(16,3250,1),
(16,2927,1),
(16,5092,1),
(16,2819,1),
(16,4250,1),
(16,5091,1),
(16,5090,1),
(16,5089,1),
(16,3932,1),
(16,5088,1),
(16,5087,1),
(16,2735,1),
(16,5086,1),
(16,5085,1),
(16,5084,1),
(16,5083,3),
(16,5082,2),
(16,5081,1),
(16,5080,1),
(16,4251,1),
(16,5079,1),
(16,2724,1),
(16,5078,1),
(16,5077,1),
(16,5076,2),
(16,5075,1),
(16,5074,1),
(16,5073,2),
(16,5072,1),
(16,5071,1),
(16,4060,1),
(16,5070,1),
(16,5069,1),
(16,5068,1),
(16,5067,1),
(16,5066,1),
(16,5065,1),
(16,5064,1),
(16,5063,1),
(16,5062,1),
(16,5061,1),
(16,5060,1),
(16,5059,1),
(16,5058,1),
(16,5057,1),
(16,5056,1),
(16,3956,1),
(16,3408,1),
(16,5055,1),
(16,2814,1),
(16,2813,1),
(16,5054,1),
(16,5053,4),
(16,5052,1),
(16,5051,1),
(16,2730,3),
(16,2944,2),
(16,5050,1),
(16,4058,1),
(16,2928,1),
(16,3065,1),
(16,3372,1),
(16,3309,1),
(16,3941,2),
(16,2945,1),
(16,4126,1),
(16,5049,1),
(16,5048,1),
(16,5047,1),
(16,5046,1),
(16,2931,1),
(16,5045,1),
(16,5044,1),
(16,3950,1),
(16,5043,1),
(16,5042,1),
(16,5041,1),
(16,5040,1),
(16,3314,1),
(16,5039,2),
(16,2810,1),
(16,5038,1),
(16,5037,1),
(16,3939,1),
(16,5036,1),
(16,5035,1),
(16,2809,9),
(16,5034,1),
(16,3954,2),
(16,3937,1),
(16,5033,1),
(16,5032,1),
(16,5031,1),
(16,5030,1),
(16,3061,1),
(16,3935,1),
(16,2718,2),
(16,5029,2),
(16,2731,2),
(16,2697,8),
(16,5028,2),
(16,3139,2),
(16,2938,5),
(16,4259,2),
(16,5027,2),
(16,5026,2),
(16,3376,2),
(16,2941,2),
(16,3322,2),
(16,4244,2),
(16,2942,2),
(16,4248,2),
(16,2989,3),
(16,2729,2),
(16,5025,2),
(16,3146,2),
(16,2694,12),
(16,5024,2),
(16,5023,4),
(16,3409,2),
(16,3940,3),
(16,3930,2),
(16,2726,14),
(16,5022,2),
(16,5021,2),
(16,2698,7),
(16,5183,6),
(16,5193,6),
(16,5348,6),
(16,5347,6),
(16,5346,6),
(16,5345,6),
(16,1861,3),
(16,5015,1),
(16,4228,1),
(16,5014,1),
(16,5013,1),
(16,5012,1),
(16,5011,1),
(16,3227,1),
(16,2901,1),
(16,5010,1),
(16,2802,1),
(16,4222,1),
(16,5009,1),
(16,5008,1),
(16,5007,1),
(16,3891,1),
(16,5006,1),
(16,5005,1),
(16,2677,1),
(16,5004,1),
(16,5003,1),
(16,5002,1),
(16,5001,3),
(16,5000,2),
(16,4999,1),
(16,4998,1),
(16,4223,1),
(16,4997,1),
(16,2666,1),
(16,4996,1),
(16,4995,1),
(16,4994,2),
(16,4993,1),
(16,4992,1),
(16,4991,2),
(16,4990,1),
(16,4989,1),
(16,4037,1),
(16,4988,1),
(16,4987,1),
(16,4986,1),
(16,4985,1),
(16,4984,1),
(16,4983,1),
(16,4982,1),
(16,4981,1),
(16,4980,1),
(16,4979,1),
(16,4978,1),
(16,4977,1),
(16,4976,1),
(16,4975,1),
(16,4974,1),
(16,3915,1),
(16,3401,1),
(16,4973,1),
(16,2797,1),
(16,2796,1),
(16,4972,1),
(16,4971,4),
(16,4970,1),
(16,4969,1),
(16,2672,3),
(16,2918,2),
(16,4968,1),
(16,4035,1),
(16,2902,1),
(16,3050,1),
(16,3361,1),
(16,3295,1),
(16,3900,2),
(16,2919,1),
(16,4114,1),
(16,4967,1),
(16,4966,1),
(16,4965,1),
(16,4964,1),
(16,2905,1),
(16,4963,1),
(16,4962,1),
(16,3909,1),
(16,4961,1),
(16,4960,1),
(16,4959,1),
(16,4958,1),
(16,3300,1),
(16,4957,2),
(16,2793,1),
(16,4956,1),
(16,4955,1),
(16,3898,1),
(16,4954,1),
(16,4953,1),
(16,2792,9),
(16,4952,1),
(16,3913,2),
(16,3896,1),
(16,4951,1),
(16,4950,1),
(16,4949,1),
(16,4948,1),
(16,3046,1),
(16,3894,1),
(16,2660,2),
(16,4947,2),
(16,2673,2),
(16,2638,8),
(16,4946,2),
(16,3122,2),
(16,2912,5),
(16,4231,2),
(16,4945,2),
(16,4944,2),
(16,3365,2),
(16,2915,2),
(16,3308,2),
(16,4216,2),
(16,2916,2),
(16,4220,2),
(16,2979,3),
(16,2671,2),
(16,4943,2),
(16,3129,2),
(16,2635,12),
(16,4942,2),
(16,4941,4),
(16,3402,2),
(16,3899,3),
(16,3889,2),
(16,2668,14),
(16,4940,2),
(16,4939,2),
(16,2639,7),
(16,5179,6),
(16,5191,6),
(16,5344,6),
(16,5343,6),
(16,5342,6),
(16,5341,6),
(16,1030,3),
(16,4933,1),
(16,4200,1),
(16,4932,1),
(16,4931,1),
(16,4930,1),
(16,4929,1),
(16,3204,1),
(16,2876,1),
(16,4928,1),
(16,2785,1),
(16,4194,1),
(16,4927,1),
(16,4926,1),
(16,4925,1),
(16,3850,1),
(16,4924,1),
(16,4923,1),
(16,2619,1),
(16,4922,1),
(16,4921,1),
(16,4920,1),
(16,4919,3),
(16,4918,2),
(16,4917,1),
(16,4916,1),
(16,4195,1),
(16,4915,1),
(16,2608,1),
(16,4914,1),
(16,4913,1),
(16,4912,2),
(16,4911,1),
(16,4910,1),
(16,4909,2),
(16,4908,1),
(16,4907,1),
(16,4014,1),
(16,4906,1),
(16,4905,1),
(16,4904,1),
(16,4903,1),
(16,4902,1),
(16,4901,1),
(16,4900,1),
(16,4899,1),
(16,4898,1),
(16,4897,1),
(16,4896,1),
(16,4895,1),
(16,4894,1),
(16,4893,1),
(16,4892,1),
(16,3874,1),
(16,3394,1),
(16,4891,1),
(16,2780,1),
(16,2779,1),
(16,4890,1),
(16,4889,4),
(16,4888,1),
(16,4887,1),
(16,2614,3),
(16,2892,2),
(16,4886,1),
(16,4012,1),
(16,2877,1),
(16,3035,1),
(16,3350,1),
(16,3281,1),
(16,3859,2),
(16,2893,1),
(16,4102,1),
(16,4885,1),
(16,4884,1),
(16,4883,1),
(16,4882,1),
(16,2880,1),
(16,4881,1),
(16,4880,1),
(16,3868,1),
(16,4879,1),
(16,4878,1),
(16,4877,1),
(16,4876,1),
(16,3286,1),
(16,4875,2),
(16,2776,1),
(16,4874,1),
(16,4873,1),
(16,3857,1),
(16,4872,1),
(16,4871,1),
(16,2775,9),
(16,4870,1),
(16,3872,2),
(16,3855,1),
(16,4869,1),
(16,4868,1),
(16,4867,1),
(16,4866,1),
(16,3031,1),
(16,3853,1),
(16,2602,2),
(16,4865,2),
(16,2615,2),
(16,2580,8),
(16,4864,2),
(16,3105,2),
(16,2886,5),
(16,4203,2),
(16,4863,2),
(16,4862,2),
(16,3354,2),
(16,2889,2),
(16,3294,2),
(16,4188,2),
(16,2890,2),
(16,4192,2),
(16,2970,3),
(16,2613,2),
(16,4861,2),
(16,3112,2),
(16,2577,12),
(16,4860,2),
(16,4859,4),
(16,3395,2),
(16,3858,3),
(16,3848,2),
(16,2610,14),
(16,4858,2),
(16,4857,2),
(16,2581,7),
(16,5175,6),
(16,5189,6),
(16,5340,6),
(16,5339,6),
(16,5338,6),
(16,5337,6),
(16,1704,3),
(16,4851,1),
(16,4172,1),
(16,4850,1),
(16,4849,1),
(16,4848,1),
(16,4847,1),
(16,3181,1),
(16,2850,1),
(16,4846,1),
(16,2768,1),
(16,4166,1),
(16,4845,1),
(16,4844,1),
(16,4843,1),
(16,3809,1),
(16,4842,1),
(16,4841,1),
(16,2561,1),
(16,4840,1),
(16,4839,1),
(16,4838,1),
(16,4837,3),
(16,4836,2),
(16,4835,1),
(16,4834,1),
(16,4167,1),
(16,4833,1),
(16,2550,1),
(16,4832,1),
(16,4831,1),
(16,4830,2),
(16,4829,1),
(16,4828,1),
(16,4827,2),
(16,4826,1),
(16,4825,1),
(16,3992,1),
(16,4824,1),
(16,4823,1),
(16,4822,1),
(16,4821,1),
(16,4820,1),
(16,4819,1),
(16,4818,1),
(16,4817,1),
(16,4816,1),
(16,4815,1),
(16,4814,1),
(16,4813,1),
(16,4812,1),
(16,4811,1),
(16,4810,1),
(16,3833,1),
(16,3387,1),
(16,4809,1),
(16,2763,1),
(16,2762,1),
(16,4808,1),
(16,4807,4),
(16,4806,1),
(16,4805,1),
(16,2556,3),
(16,2867,2),
(16,4804,1),
(16,1365,1),
(16,2851,1),
(16,3020,1),
(16,3339,1),
(16,3268,1),
(16,3818,2),
(16,2868,1),
(16,4090,1),
(16,4803,1),
(16,4802,1),
(16,4801,1),
(16,4800,1),
(16,2854,1),
(16,4799,1),
(16,4798,1),
(16,3827,1),
(16,4797,1),
(16,4796,1),
(16,4795,1),
(16,4794,1),
(16,3273,1),
(16,4793,2),
(16,2759,1),
(16,4792,1),
(16,4791,1),
(16,3816,1),
(16,4790,1),
(16,4789,1),
(16,2758,9),
(16,4788,1),
(16,3831,2),
(16,3814,1),
(16,4787,1),
(16,4786,1),
(16,4785,1),
(16,4784,1),
(16,3016,1),
(16,3812,1),
(16,2544,2),
(16,4783,2),
(16,2557,2),
(16,2523,8),
(16,4782,2),
(16,882,2),
(16,2861,5),
(16,4175,2),
(16,4781,2),
(16,4780,2),
(16,3343,2),
(16,2864,2),
(16,3280,2),
(16,4161,2),
(16,2865,2),
(16,4164,2),
(16,2961,3),
(16,2555,2),
(16,4779,2),
(16,3095,2),
(16,2520,12),
(16,4778,2),
(16,4777,4),
(16,3388,2),
(16,3817,3),
(16,3807,2),
(16,2552,14),
(16,4776,2),
(16,4775,2),
(16,2524,7),
(16,5171,6),
(16,5187,6),
(16,5336,6),
(16,5335,6),
(16,5334,6),
(16,5333,6),
(16,2232,4),
(16,3725,4),
(16,845,3),
(16,4769,1),
(16,4146,1),
(16,4768,1),
(16,4767,1),
(16,4766,1),
(16,4765,1),
(16,3160,1),
(16,2827,1),
(16,4764,1),
(16,2752,1),
(16,4141,1),
(16,4763,1),
(16,4762,1),
(16,4761,1),
(16,3773,1),
(16,4760,1),
(16,4759,1),
(16,74,1),
(16,4758,1),
(16,4757,1),
(16,4756,1),
(16,4755,3),
(16,4754,2),
(16,4753,1),
(16,4752,1),
(16,4142,1),
(16,4751,1),
(16,841,1),
(16,4750,1),
(16,4749,1),
(16,442,2),
(16,30,1),
(16,4748,1),
(16,4747,2),
(16,4746,1),
(16,4745,1),
(16,38,1),
(16,4744,1),
(16,4743,1),
(16,4742,1),
(16,4741,1),
(16,4740,1),
(16,4739,1),
(16,4738,1),
(16,4737,1),
(16,4736,1),
(16,4735,1),
(16,4734,1),
(16,4733,1),
(16,4732,1),
(16,4731,1),
(16,7,1),
(16,3794,1),
(16,3380,1),
(16,4730,1),
(16,2749,1),
(16,2748,1),
(16,4729,1),
(16,4728,4),
(16,4727,1),
(16,4726,1),
(16,710,3),
(16,51,2),
(16,4725,1),
(16,3969,1),
(16,2828,1),
(16,3005,1),
(16,3328,1),
(16,3260,1),
(16,3780,2),
(16,2842,1),
(16,4078,1),
(16,4724,1),
(16,4723,1),
(16,4722,1),
(16,4721,1),
(16,2831,1),
(16,4720,1),
(16,4719,1),
(16,3789,1),
(16,4718,1),
(16,4717,1),
(16,4716,1),
(16,4715,1),
(16,14,1),
(16,451,2),
(16,2745,1),
(16,464,1),
(16,4714,1),
(16,3778,1),
(16,4713,1),
(16,4712,1),
(16,2744,9),
(16,4711,1),
(16,3792,2),
(16,3777,1),
(16,1246,1),
(16,4710,1),
(16,4709,1),
(16,4708,1),
(16,31,1),
(16,3776,1),
(16,2497,2),
(16,4707,2),
(16,2504,2),
(16,47,8),
(16,4706,2),
(16,3073,2),
(16,2837,5),
(15,5036,1),
(15,5035,1),
(15,5034,1),
(15,3937,1),
(15,5033,1),
(15,5032,1),
(15,5031,1),
(15,5030,1),
(15,3061,1),
(15,3935,1),
(15,2718,1),
(15,5029,1),
(15,2731,1),
(15,5028,1),
(15,3139,1),
(15,4259,1),
(15,5027,1),
(15,5026,1),
(15,3376,1),
(15,2941,1),
(15,3322,1),
(15,4244,1),
(15,2942,1),
(15,4248,1),
(15,2729,1),
(15,5025,1),
(15,3146,1),
(15,5024,1),
(15,3409,1),
(15,3940,2),
(15,3930,1),
(15,5022,1),
(15,5021,1),
(15,5055,1),
(15,2814,1),
(15,2813,1),
(15,5054,1),
(15,5052,1),
(15,5051,1),
(15,5050,1),
(15,4058,1),
(15,2989,2),
(15,2928,1),
(15,3065,1),
(15,3372,1),
(15,3954,2),
(15,3309,1),
(15,2945,1),
(15,4126,1),
(15,5049,1),
(15,5048,1),
(15,5047,1),
(15,5046,1),
(15,2931,1),
(15,5045,1),
(15,5044,1),
(15,3950,1),
(15,5043,1),
(15,5042,1),
(15,5041,1),
(15,5097,1),
(15,4256,1),
(15,5096,1),
(15,5095,1),
(15,5094,1),
(15,5093,1),
(15,3250,1),
(15,2927,1),
(15,2944,2),
(15,5092,1),
(15,5039,2),
(15,2819,1),
(15,4250,1),
(15,2730,3),
(15,5091,1),
(15,5090,1),
(15,5089,1),
(15,3932,1),
(15,5088,1),
(15,5087,1),
(15,2735,1),
(15,3941,2),
(15,5086,1),
(15,5085,1),
(15,5084,1),
(15,5083,3),
(15,5082,2),
(15,5081,1),
(15,5080,1),
(15,4251,1),
(15,5079,1),
(15,2698,5),
(15,2724,1),
(15,5023,3),
(15,5078,2),
(15,5077,2),
(15,5076,3),
(15,5075,2),
(15,5074,2),
(15,2938,5),
(15,5073,3),
(15,5072,2),
(15,5071,2),
(15,4060,2),
(15,5070,2),
(15,5069,2),
(15,5068,2),
(15,2697,9),
(15,5067,2),
(15,5066,2),
(15,5065,2),
(15,5064,2),
(15,5063,2),
(15,5062,2),
(15,5061,2),
(15,5060,2),
(15,5059,2),
(15,2694,11),
(15,5058,2),
(15,2726,14),
(15,5057,2),
(15,5056,2),
(15,3956,2),
(15,3408,2),
(15,2809,11),
(15,5053,11),
(15,5328,6),
(15,4693,6),
(15,5327,6),
(15,5326,6),
(15,1796,3),
(15,3735,3),
(15,1861,3),
(15,4958,1),
(15,3300,1),
(15,2793,1),
(15,4956,1),
(15,4955,1),
(15,3898,1),
(15,4954,1),
(15,4953,1),
(15,4952,1),
(15,3896,1),
(15,4951,1),
(15,4950,1),
(15,4949,1),
(15,4948,1),
(15,3046,1),
(15,3894,1),
(15,2660,1),
(15,4947,1),
(15,2673,1),
(15,4946,1),
(15,3122,1),
(15,4231,1),
(15,4945,1),
(15,4944,1),
(15,3365,1),
(15,2915,1),
(15,3308,1),
(15,4216,1),
(15,2916,1),
(15,4220,1),
(15,2671,1),
(15,4943,1),
(15,3129,1),
(15,4942,1),
(15,3402,1),
(15,3899,2),
(15,3889,1),
(15,4940,1),
(15,4939,1),
(15,4973,1),
(15,2797,1),
(15,2796,1),
(15,4972,1),
(15,4970,1),
(15,4969,1),
(15,4968,1),
(15,4035,1),
(15,2979,2),
(15,2902,1),
(15,3050,1),
(15,3361,1),
(15,3913,2),
(15,3295,1),
(15,2919,1),
(15,4114,1),
(15,4967,1),
(15,4966,1),
(15,4965,1),
(15,4964,1),
(15,2905,1),
(15,4963,1),
(15,4962,1),
(15,3909,1),
(15,4961,1),
(15,4960,1),
(15,4959,1),
(15,5015,1),
(15,4228,1),
(15,5014,1),
(15,5013,1),
(15,5012,1),
(15,5011,1),
(15,3227,1),
(15,2901,1),
(15,2918,2),
(15,5010,1),
(15,4957,2),
(15,2802,1),
(15,4222,1),
(15,2672,3),
(15,5009,1),
(15,5008,1),
(15,5007,1),
(15,3891,1),
(15,5006,1),
(15,5005,1),
(15,2677,1),
(15,3900,2),
(15,5004,1),
(15,5003,1),
(15,5002,1),
(15,5001,3),
(15,5000,2),
(15,4999,1),
(15,4998,1),
(15,4223,1),
(15,4997,1),
(15,2639,5),
(15,2666,1),
(15,4941,3),
(15,4996,2),
(15,4995,2),
(15,4994,3),
(15,4993,2),
(15,4992,2),
(15,2912,5),
(15,4991,3),
(15,4990,2),
(15,4989,2),
(15,4037,2),
(15,4988,2),
(15,4987,2),
(15,4986,2),
(15,2638,9),
(15,4985,2),
(15,4984,2),
(15,4983,2),
(15,4982,2),
(15,4981,2),
(15,4980,2),
(15,4979,2),
(15,4978,2),
(15,4977,2),
(15,2635,11),
(15,4976,2),
(15,2668,14),
(15,4975,2),
(15,4974,2),
(15,3915,2),
(15,3401,2),
(15,2792,11),
(15,4971,11),
(15,5325,6),
(15,4690,6),
(15,5324,6),
(15,5323,6),
(15,1718,3),
(15,3734,3),
(15,1030,3),
(15,4876,1),
(15,3286,1),
(15,2776,1),
(15,4874,1),
(15,4873,1),
(15,3857,1),
(15,4872,1),
(15,4871,1),
(15,4870,1),
(15,3855,1),
(15,4869,1),
(15,4868,1),
(15,4867,1),
(15,4866,1),
(15,3031,1),
(15,3853,1),
(15,2602,1),
(15,4865,1),
(15,2615,1),
(15,4864,1),
(15,3105,1),
(15,4203,1),
(15,4863,1),
(15,4862,1),
(15,3354,1),
(15,2889,1),
(15,3294,1),
(6,2810,1),
(6,5038,1),
(6,5037,1),
(6,3939,1),
(6,5036,1),
(6,5035,1),
(6,5034,1),
(6,3937,1),
(6,5033,1),
(6,5032,1),
(6,5031,1),
(6,5030,1),
(6,3061,1),
(6,3935,1),
(6,2718,1),
(6,5029,1),
(6,2731,1),
(6,5028,1),
(6,3139,1),
(6,4259,1),
(6,5027,1),
(6,5026,1),
(6,3376,1),
(6,2941,1),
(6,3322,1),
(6,4244,1),
(6,2942,1),
(6,4248,1),
(6,2729,1),
(6,5025,1),
(6,3146,1),
(6,5024,1),
(6,3409,1),
(6,3940,2),
(6,3930,1),
(6,5022,1),
(6,5021,1),
(6,5055,1),
(6,2814,1),
(6,2813,1),
(6,5054,1),
(6,5052,1),
(6,5051,1),
(6,5050,1),
(6,4058,1),
(6,2989,2),
(6,2928,1),
(6,3065,1),
(6,3372,1),
(6,3954,2),
(6,3309,1),
(6,2945,1),
(6,4126,1),
(6,5049,1),
(6,5048,1),
(6,5047,1),
(6,5046,1),
(6,2931,1),
(6,5045,1),
(6,5044,1),
(6,3950,1),
(6,5043,1),
(6,5042,1),
(6,5041,1),
(6,5097,1),
(6,4256,1),
(6,5096,1),
(6,5095,1),
(6,5094,1),
(6,5093,1),
(6,3250,1),
(6,2927,1),
(6,2944,2),
(6,5092,1),
(6,5039,2),
(6,2819,1),
(6,4250,1),
(6,2730,3),
(6,5091,1),
(6,5090,1),
(6,5089,1),
(6,3932,1),
(6,5088,1),
(6,5087,1),
(6,2735,5),
(6,3941,2),
(6,5086,1),
(6,5085,1),
(6,5084,1),
(6,5083,3),
(6,5082,2),
(6,5081,1),
(6,5080,1),
(6,4251,1),
(6,5079,1),
(6,2698,5),
(6,2724,1),
(6,5023,3),
(6,5078,2),
(6,5077,2),
(6,5076,3),
(6,5075,2),
(6,5074,2),
(6,2938,5),
(6,5073,3),
(6,5072,2),
(6,5071,2),
(6,4060,2),
(6,5070,2),
(6,5069,2),
(6,5068,2),
(6,2697,9),
(6,5067,2),
(6,5053,5),
(6,5066,2),
(6,5065,2),
(6,5064,2),
(6,5063,2),
(6,5062,2),
(6,5061,2),
(6,5060,2),
(6,5059,2),
(6,2694,11),
(6,5058,2),
(6,2726,14),
(6,5057,2),
(6,5056,2),
(6,3956,2),
(6,3408,2),
(6,2809,11),
(6,5183,6),
(6,5182,6),
(6,5181,6),
(6,5180,6),
(6,2681,4),
(6,2680,6),
(6,2679,6),
(6,2678,4),
(6,1799,3),
(6,3739,3),
(6,1861,3),
(6,4958,1),
(6,3300,1),
(6,2793,1),
(6,4956,1),
(6,4955,1),
(6,3898,1),
(6,4954,1),
(6,4953,1),
(6,4952,1),
(6,3896,1),
(6,4951,1),
(6,4950,1),
(6,4949,1),
(6,4948,1),
(6,3046,1),
(6,3894,1),
(6,2660,1),
(6,4947,1),
(6,2673,1),
(6,4946,1),
(6,3122,1),
(6,4231,1),
(6,4945,1),
(6,4944,1),
(6,3365,1),
(6,2915,1),
(6,3308,1),
(6,4216,1),
(6,2916,1),
(6,4220,1),
(6,2671,1),
(6,4943,1),
(6,3129,1),
(6,4942,1),
(6,3402,1),
(6,3899,2),
(6,3889,1),
(6,4940,1),
(6,4939,1),
(6,4973,1),
(6,2797,1),
(6,2796,1),
(6,4972,1),
(6,4970,1),
(6,4969,1),
(6,4968,1),
(6,4035,1),
(6,2979,2),
(6,2902,1),
(6,3050,1),
(6,3361,1),
(6,3913,2),
(6,3295,1),
(6,2919,1),
(6,4114,1),
(6,4967,1),
(6,4966,1),
(6,4965,1),
(6,4964,1),
(6,2905,1),
(6,4963,1),
(6,4962,1),
(6,3909,1),
(6,4961,1),
(6,4960,1),
(6,4959,1),
(6,5015,1),
(6,4228,1),
(6,5014,1),
(6,5013,1),
(6,5012,1),
(6,5011,1),
(6,3227,1),
(6,2901,1),
(6,2918,2),
(6,5010,1),
(6,4957,2),
(6,2802,1),
(6,4222,1),
(6,2672,3),
(6,5009,1),
(6,5008,1),
(6,5007,1),
(6,3891,1),
(6,5006,1),
(6,5005,1),
(6,2677,5),
(6,3900,2),
(6,5004,1),
(6,5003,1),
(6,5002,1),
(6,5001,3),
(6,5000,2),
(6,4999,1),
(6,4998,1),
(6,4223,1),
(6,4997,1),
(6,2639,5),
(6,2666,1),
(6,4941,3),
(6,4996,2),
(6,4995,2),
(6,4994,3),
(6,4993,2),
(6,4992,2),
(6,2912,5),
(6,4991,3),
(6,4990,2),
(6,4989,2),
(6,4037,2),
(6,4988,2),
(6,4987,2),
(6,4986,2),
(6,2638,9),
(6,4985,2),
(6,4971,5),
(6,4984,2),
(6,4983,2),
(6,4982,2),
(6,4981,2),
(6,4980,2),
(6,4979,2),
(6,4978,2),
(6,4977,2),
(6,2635,11),
(6,4976,2),
(6,2668,14),
(6,4975,2),
(6,4974,2),
(6,3915,2),
(6,3401,2),
(6,2792,11),
(6,5179,6),
(6,5178,6),
(6,5177,6),
(6,5176,6),
(6,2622,4),
(6,2621,6),
(6,225,6),
(6,2620,4),
(6,1721,3),
(6,3738,3),
(6,1030,3),
(6,4876,1),
(6,3286,1),
(6,2776,1),
(6,4874,1),
(6,4873,1),
(6,3857,1),
(6,4872,1),
(6,4871,1),
(6,4870,1),
(6,3855,1),
(6,4869,1),
(6,4868,1),
(6,4867,1),
(6,4866,1),
(6,3031,1),
(6,3853,1),
(6,2602,1),
(6,4865,1),
(6,2615,1),
(6,4864,1),
(6,3105,1),
(6,4203,1),
(6,4863,1),
(6,4862,1),
(6,3354,1),
(6,2889,1),
(6,3294,1),
(6,4188,1),
(6,2890,1),
(6,4192,1),
(6,2613,1),
(6,4861,1),
(6,3112,1),
(6,4860,1),
(6,3395,1),
(6,3858,2),
(6,3848,1),
(6,4858,1),
(6,4857,1),
(6,4891,1),
(6,2780,1),
(6,2779,1),
(6,4890,1),
(6,4888,1),
(6,4887,1),
(6,4886,1),
(6,4012,1),
(6,2970,2),
(6,2877,1),
(6,3035,1),
(6,3350,1),
(6,3872,2),
(6,3281,1),
(6,2893,1),
(6,4102,1),
(6,4885,1),
(6,4884,1),
(6,4883,1),
(6,4882,1),
(6,2880,1),
(6,4881,1),
(6,4880,1),
(6,3868,1),
(6,4879,1),
(6,4878,1),
(6,4877,1),
(6,4933,1),
(6,4200,1),
(6,4932,1),
(6,4931,1),
(6,4930,1),
(6,4929,1),
(6,3204,1),
(6,2876,1),
(6,2892,2),
(6,4928,1),
(6,4875,2),
(6,2785,1),
(6,4194,1),
(6,2614,3),
(6,4927,1),
(6,4926,1),
(6,4925,1),
(6,3850,1),
(6,4924,1),
(6,4923,1),
(6,2619,5),
(6,3859,2),
(6,4922,1),
(6,4921,1),
(6,4920,1),
(6,4919,3),
(6,4918,2),
(6,4917,1),
(6,4916,1),
(6,4195,1),
(6,4915,1),
(6,2581,5),
(6,2608,1),
(6,4859,3),
(6,4914,2),
(6,4913,2),
(6,4912,3),
(6,4911,2),
(6,4910,2),
(6,2886,5),
(6,4909,3),
(6,4908,2),
(6,4907,2),
(6,4014,2),
(6,4906,2),
(6,4905,2),
(6,4904,2),
(6,2580,9),
(6,4903,2),
(6,4889,5),
(6,4902,2),
(6,4901,2),
(6,4900,2),
(6,4899,2),
(6,4898,2),
(6,4897,2),
(6,4896,2),
(6,4895,2),
(6,2577,11),
(6,4894,2),
(6,2610,14),
(6,4893,2),
(6,4892,2),
(6,3874,2),
(6,3394,2),
(6,2775,11),
(6,5175,6),
(6,5174,6),
(6,5173,6),
(6,5172,6),
(6,2564,4),
(6,2563,6),
(6,148,6),
(6,2562,4),
(6,1642,3),
(6,3737,3),
(6,1704,3),
(6,4794,1),
(6,3273,1),
(6,2759,1),
(6,4792,1),
(6,4791,1),
(6,3816,1),
(6,4790,1),
(6,4789,1),
(6,4788,1),
(6,3814,1),
(6,4787,1),
(6,4786,1),
(6,4785,1),
(6,4784,1),
(6,3016,1),
(6,3812,1),
(6,2544,1),
(6,4783,1),
(6,2557,1),
(6,4782,1),
(6,882,1),
(6,4175,1),
(6,4781,1),
(6,4780,1),
(6,3343,1),
(6,2864,1),
(6,3280,1),
(6,4161,1),
(6,2865,1),
(6,4164,1),
(6,2555,1),
(6,4779,1),
(6,3095,1),
(6,4778,1),
(6,3388,1),
(6,3817,2),
(6,3807,1),
(6,4776,1),
(6,4775,1),
(6,4809,1),
(6,2763,1),
(6,2762,1),
(6,4808,1),
(6,4806,1),
(6,4805,1),
(6,4804,1),
(6,1365,1),
(6,2961,2),
(6,2851,1),
(6,3020,1),
(6,3339,1),
(6,3831,2),
(6,3268,1),
(6,2868,1),
(6,4090,1),
(6,4803,1),
(6,4802,1),
(6,4801,1),
(6,4800,1),
(6,2854,1),
(6,4799,1),
(6,4798,1),
(6,3827,1),
(6,4797,1),
(6,4796,1),
(6,4795,1),
(6,4851,1),
(6,4172,1),
(6,4850,1),
(6,4849,1),
(6,4848,1),
(6,4847,1),
(6,3181,1),
(6,2850,1),
(6,2867,2),
(6,4846,1),
(6,4793,2),
(6,2768,1),
(6,4166,1),
(6,2556,3),
(6,4845,1),
(6,4844,1),
(6,4843,1),
(6,3809,1),
(6,4842,1),
(6,4841,1),
(6,2561,5),
(6,3818,2),
(6,4840,1),
(6,4839,1),
(6,4838,1),
(6,4837,3),
(6,4836,2),
(6,4835,1),
(6,4834,1),
(6,4167,1),
(6,4833,1),
(6,2524,5),
(6,2550,1),
(6,4777,3),
(6,4832,2),
(6,4831,2),
(6,4830,3),
(6,4829,2),
(6,4828,2),
(6,2861,5),
(6,4827,3),
(6,4826,2),
(6,4825,2),
(6,3992,2),
(6,4824,2),
(6,4823,2),
(6,4822,2),
(6,2523,9),
(6,4821,2),
(6,4807,5),
(6,4820,2),
(6,4819,2),
(6,4818,2),
(6,4817,2),
(6,4816,2),
(6,4815,2),
(6,4814,2),
(6,4813,2),
(6,2520,11),
(6,4812,2),
(6,2552,14),
(6,4811,2),
(6,4810,2),
(6,3833,2),
(6,3387,2),
(6,2758,11),
(6,5171,6),
(6,5170,6),
(6,5169,6),
(6,5168,6),
(6,2507,4),
(6,2506,6),
(6,70,6),
(6,77,4),
(6,1047,4),
(6,1046,4),
(6,1564,3),
(6,3728,3),
(6,845,3),
(6,4715,1),
(6,14,1),
(6,2745,1),
(6,464,1),
(6,4714,1),
(6,3778,1),
(6,4713,1),
(6,4712,1),
(6,4711,1),
(6,3777,1),
(6,1246,1),
(6,4710,1),
(6,4709,1),
(6,4708,1),
(6,31,1),
(6,3776,1),
(6,2497,1),
(6,4707,1),
(6,2504,1),
(6,4706,1),
(6,3073,1),
(6,4148,1),
(6,4705,1),
(6,4704,1),
(6,3332,1),
(6,1151,1),
(6,3267,1),
(6,4138,1),
(6,2840,1),
(6,1247,1),
(6,1219,1),
(6,4703,1),
(6,3079,1),
(6,1048,1),
(6,3381,1),
(6,3779,2),
(6,3771,1),
(6,4701,1),
(6,4700,1),
(6,4730,1),
(6,2749,1),
(6,2748,1),
(6,4729,1),
(6,4727,1),
(6,4726,1),
(6,4725,1),
(6,3969,1),
(6,720,2),
(6,2828,1),
(6,3005,1),
(6,3328,1),
(6,3792,2),
(6,3260,1),
(6,2842,1),
(6,4078,1),
(6,4724,1),
(6,4723,1),
(6,4722,1),
(6,4721,1),
(6,2831,1),
(6,4720,1),
(6,4719,1),
(6,3789,1),
(6,4718,1),
(6,4717,1),
(6,4716,1),
(6,4769,1),
(6,4146,1),
(6,4768,1),
(6,4767,1),
(6,4766,1),
(6,4765,1),
(6,3160,1),
(6,2827,1),
(6,51,2),
(6,4764,1),
(6,451,2),
(6,2752,1),
(6,4141,1),
(6,710,3),
(6,4763,1),
(6,4762,1),
(6,4761,1),
(6,3773,1),
(6,4760,1),
(6,4759,1),
(6,74,5),
(6,3780,2),
(6,4758,1),
(6,4757,1),
(6,4756,1),
(6,4755,3),
(6,4754,2),
(6,4753,1),
(6,4752,1),
(6,4142,1),
(6,4751,1),
(6,2480,5),
(6,841,1),
(6,4702,3),
(6,4750,2),
(6,4749,2),
(6,442,3),
(6,30,2),
(6,4748,2),
(6,2837,5),
(6,4747,3),
(6,4746,2),
(6,4745,2),
(6,38,2),
(6,4744,2),
(6,4743,2),
(6,4742,2),
(6,47,9),
(6,4741,2),
(6,4728,5),
(6,4740,2),
(6,4739,2),
(6,4738,2),
(6,4737,2),
(6,4736,2),
(6,4735,2),
(6,4734,2),
(6,4733,2),
(6,4732,2),
(6,4731,2),
(6,7,2),
(6,3794,2),
(6,3380,2),
(6,2744,11),
(6,5167,6),
(6,5166,6),
(6,5165,6),
(6,5164,6),
(15,4188,1),
(15,2890,1),
(15,4192,1),
(15,2613,1),
(15,4861,1),
(15,3112,1),
(15,4860,1),
(15,3395,1),
(15,3858,2),
(15,3848,1),
(15,4858,1),
(15,4857,1),
(15,4891,1),
(15,2780,1),
(15,2779,1),
(15,4890,1),
(15,4888,1),
(15,4887,1),
(15,4886,1),
(15,4012,1),
(15,2970,2),
(15,2877,1),
(15,3035,1),
(15,3350,1),
(15,3872,2),
(15,3281,1),
(15,2893,1),
(15,4102,1),
(15,4885,1),
(15,4884,1),
(15,4883,1),
(15,4882,1),
(15,2880,1),
(15,4881,1),
(15,4880,1),
(15,3868,1),
(15,4879,1),
(15,4878,1),
(15,4877,1),
(15,4933,1),
(15,4200,1),
(15,4932,1),
(15,4931,1),
(15,4930,1),
(15,4929,1),
(15,3204,1),
(15,2876,1),
(15,2892,2),
(15,4928,1),
(15,4875,2),
(15,2785,1),
(15,4194,1),
(15,2614,3),
(15,4927,1),
(15,4926,1),
(15,4925,1),
(15,3850,1),
(15,4924,1),
(15,4923,1),
(15,2619,1),
(15,3859,2),
(15,4922,1),
(15,4921,1),
(15,4920,1),
(15,4919,3),
(15,4918,2),
(15,4917,1),
(15,4916,1),
(15,4195,1),
(15,4915,1),
(15,2581,5),
(15,2608,1),
(15,4859,3),
(15,4914,2),
(15,4913,2),
(15,4912,3),
(15,4911,2),
(15,4910,2),
(15,2886,5),
(15,4909,3),
(15,4908,2),
(15,4907,2),
(15,4014,2),
(15,4906,2),
(15,4905,2),
(15,4904,2),
(15,2580,9),
(15,4903,2),
(15,4902,2),
(15,4901,2),
(15,4900,2),
(15,4899,2),
(15,4898,2),
(15,4897,2),
(15,4896,2),
(15,4895,2),
(15,2577,11),
(15,4894,2),
(15,2610,14),
(15,4893,2),
(15,4892,2),
(15,3874,2),
(15,3394,2),
(15,2775,11),
(15,4889,11),
(15,5322,6),
(15,4687,6),
(15,5321,6),
(15,5320,6),
(15,1639,3),
(15,3733,3),
(15,1704,3),
(15,4794,1),
(15,3273,1),
(15,2759,1),
(15,4792,1),
(15,4791,1),
(15,3816,1),
(15,4790,1),
(15,4789,1),
(15,4788,1),
(15,3814,1),
(15,4787,1),
(15,4786,1),
(15,4785,1),
(15,4784,1),
(15,3016,1),
(15,3812,1),
(15,2544,1),
(15,4783,1),
(15,2557,1),
(15,4782,1),
(15,882,1),
(15,4175,1),
(15,4781,1),
(15,4780,1),
(15,3343,1),
(15,2864,1),
(15,3280,1),
(15,4161,1),
(15,2865,1),
(15,4164,1),
(15,2555,1),
(15,4779,1),
(15,3095,1),
(15,4778,1),
(15,3388,1),
(15,3817,2),
(15,3807,1),
(15,4776,1),
(15,4775,1),
(15,4809,1),
(15,2763,1),
(15,2762,1),
(15,4808,1),
(15,4806,1),
(15,4805,1),
(15,4804,1),
(15,1365,1),
(15,2961,2),
(15,2851,1),
(15,3020,1),
(15,3339,1),
(15,3831,2),
(15,3268,1),
(15,2868,1),
(15,4090,1),
(15,4803,1),
(15,4802,1),
(15,4801,1),
(15,4800,1),
(15,2854,1),
(15,4799,1),
(15,4798,1),
(15,3827,1),
(15,4797,1),
(15,4796,1),
(15,4795,1),
(15,4851,1),
(15,4172,1),
(15,4850,1),
(15,4849,1),
(15,4848,1),
(15,4847,1),
(15,3181,1),
(15,2850,1),
(15,2867,2),
(15,4846,1),
(15,4793,2),
(15,2768,1),
(15,4166,1),
(15,2556,3),
(15,4845,1),
(15,4844,1),
(15,4843,1),
(15,3809,1),
(15,4842,1),
(15,4841,1),
(15,2561,1),
(15,3818,2),
(15,4840,1),
(15,4839,1),
(15,4838,1),
(15,4837,3),
(15,4836,2),
(15,4835,1),
(15,4834,1),
(15,4167,1),
(15,4833,1),
(15,2524,5),
(15,2550,1),
(15,4777,3),
(15,4832,2),
(15,4831,2),
(15,4830,3),
(15,4829,2),
(15,4828,2),
(15,2861,5),
(15,4827,3),
(15,4826,2),
(15,4825,2),
(15,3992,2),
(15,4824,2),
(15,4823,2),
(15,4822,2),
(15,2523,9),
(15,4821,2),
(15,4820,2),
(15,4819,2),
(15,4818,2),
(15,4817,2),
(15,4816,2),
(15,4815,2),
(15,4814,2),
(15,4813,2),
(15,2520,11),
(15,4812,2),
(15,2552,14),
(15,4811,2),
(15,4810,2),
(15,3833,2),
(15,3387,2),
(15,2758,11),
(15,4807,11),
(15,5319,6),
(15,4684,6),
(15,5318,6),
(15,5317,6),
(15,3731,4),
(15,3730,4),
(15,1971,4),
(15,1970,4),
(15,1560,4),
(15,1561,3),
(15,3732,3),
(15,845,3),
(15,4715,1),
(15,14,1),
(15,2745,1),
(15,464,1),
(15,4714,1),
(15,3778,1),
(15,4713,1),
(15,4712,1),
(15,4711,1),
(15,3777,1),
(15,1246,1),
(15,4710,1),
(15,4709,1),
(15,4708,1),
(15,31,1),
(15,3776,1),
(15,2497,1),
(15,4707,1),
(15,2504,1),
(15,4706,1),
(15,3073,1),
(15,4148,1),
(15,4705,1),
(15,4704,1),
(15,3332,1),
(15,1151,1),
(15,3267,1),
(15,4138,1),
(15,2840,1),
(15,1247,1),
(41,1977,6),
(41,1579,6),
(41,1589,1),
(41,1995,1),
(41,1610,1),
(41,1601,1),
(41,1572,2),
(41,2221,2),
(41,1973,2),
(41,1563,2),
(41,1578,1),
(41,2222,3),
(41,1993,3),
(41,1591,1),
(41,1554,2),
(41,2151,1),
(41,1587,1),
(41,1557,1),
(41,1555,1),
(41,2149,1),
(41,1573,2),
(41,2143,2),
(41,2223,2),
(41,1974,2),
(41,1966,1),
(41,2224,2),
(41,1607,2),
(41,1990,1),
(41,1985,1),
(41,2154,1),
(41,1574,2),
(41,1583,2),
(41,1584,1),
(41,1567,2),
(41,1975,1),
(41,1568,2),
(41,2140,1),
(41,1597,1),
(41,1556,1),
(41,2225,1),
(41,1590,1),
(41,2226,1),
(41,1561,1),
(41,1564,2),
(41,2227,2),
(41,2228,1),
(41,1598,2),
(41,1575,1),
(41,2229,1),
(41,1612,1),
(41,2152,3),
(41,1566,1),
(41,1608,2),
(41,1991,1),
(41,1599,1),
(41,1580,1),
(41,2144,2),
(41,1604,1),
(41,1988,1),
(41,1559,1),
(41,2230,1),
(41,1565,1),
(41,1976,1),
(41,2231,1),
(41,1998,1),
(41,2142,1),
(41,2232,1),
(41,1970,1),
(41,1971,1),
(41,2233,1),
(41,2234,1),
(41,1989,1),
(41,1969,1),
(41,2235,2),
(41,1600,1),
(41,1593,1),
(41,1047,1),
(41,1999,1),
(41,845,3),
(41,2012,6),
(41,1657,6),
(41,1667,1),
(41,2030,1),
(41,1688,1),
(41,1679,1),
(41,1650,2),
(41,2237,2),
(41,2008,2),
(41,1641,2),
(41,1656,1),
(41,2238,3),
(41,2028,3),
(41,1669,1),
(41,1632,2),
(41,2167,1),
(41,1665,1),
(41,1635,1),
(41,1633,1),
(41,2165,1),
(41,1651,2),
(41,2159,2),
(41,2239,2),
(41,2009,2),
(41,2001,1),
(41,2240,2),
(41,1685,2),
(41,2025,1),
(41,2020,1),
(41,2170,1),
(41,1652,2),
(41,1661,2),
(41,1662,1),
(41,1645,2),
(41,2010,1),
(41,1646,2),
(41,2156,1),
(41,1675,1),
(41,1634,1),
(41,2241,1),
(41,1668,1),
(41,2242,1),
(41,1639,1),
(41,1642,2),
(41,2243,2),
(41,2244,1),
(41,1676,2),
(41,1653,1),
(41,2245,1),
(41,1690,1),
(41,2168,3),
(41,1644,1),
(41,1686,2),
(41,2026,1),
(41,1677,1),
(41,1658,1),
(41,2160,2),
(41,1682,1),
(41,2023,1),
(41,1637,1),
(41,2246,1),
(41,1643,1),
(41,2011,1),
(41,2247,1),
(41,2033,1),
(41,2158,1),
(41,2248,1),
(41,2005,1),
(41,2006,1),
(41,2249,1),
(41,2250,1),
(41,2024,1),
(41,2004,1),
(41,2251,2),
(41,1678,1),
(41,1671,1),
(41,1630,1),
(41,2034,1),
(41,1704,3),
(41,2047,6),
(41,1736,6),
(41,1746,1),
(41,2065,1),
(41,1767,1),
(41,1758,1),
(41,1729,2),
(41,2253,2),
(41,2043,2),
(41,1720,2),
(41,1735,1),
(41,2254,3),
(41,2063,3),
(41,1748,1),
(41,1711,2),
(41,2183,1),
(41,1744,1),
(41,1714,1),
(41,1712,1),
(41,2181,1),
(41,1730,2),
(41,2175,2),
(41,2255,2),
(41,2044,2),
(41,2036,1),
(41,2256,2),
(41,1764,2),
(41,2060,1),
(41,2055,1),
(41,2186,1),
(41,1731,2),
(41,1740,2),
(41,1741,1),
(41,1724,2),
(41,2045,1),
(41,1725,2),
(41,2172,1),
(41,1754,1),
(41,1713,1),
(41,2257,1),
(41,1747,1),
(41,2258,1),
(41,1718,1),
(41,1721,2),
(41,2259,2),
(41,2260,1),
(41,1755,2),
(41,1732,1),
(41,2261,1),
(41,1769,1),
(41,2184,3),
(41,1723,1),
(41,1765,2),
(41,2061,1),
(41,1756,1),
(41,1737,1),
(41,2176,2),
(41,1761,1),
(41,2058,1),
(41,1716,1),
(41,2262,1),
(41,1722,1),
(41,2046,1),
(41,2263,1),
(41,2068,1),
(41,2174,1),
(41,2264,1),
(41,2040,1),
(41,2041,1),
(41,2265,1),
(41,2266,1),
(41,2059,1),
(41,2039,1),
(41,2267,2),
(41,1757,1),
(41,1750,1),
(41,1709,1),
(41,2069,1),
(41,1030,3),
(41,2082,6),
(41,1814,6),
(41,1824,1),
(41,2100,1),
(41,1845,1),
(41,1836,1),
(41,1807,2),
(41,2269,2),
(41,2078,2),
(41,1798,2),
(41,1813,1),
(41,2270,3),
(41,2098,3),
(41,1826,1),
(41,1789,2),
(41,2199,1),
(41,1822,1),
(41,1792,1),
(41,1790,1),
(41,2197,1),
(41,1808,2),
(41,2191,2),
(41,2271,2),
(41,2079,2),
(41,2071,1),
(41,2272,2),
(41,1842,2),
(41,2095,1),
(41,2090,1),
(41,2202,1),
(41,1809,2),
(41,1818,2),
(41,1819,1),
(41,1802,2),
(41,2080,1),
(41,1803,2),
(41,2188,1),
(41,1832,1),
(41,1791,1),
(41,2273,1),
(41,1825,1),
(41,2274,1),
(41,1796,1),
(41,1799,2),
(41,2275,2),
(41,2276,1),
(41,1833,2),
(41,1810,1),
(41,2277,1),
(41,1847,1),
(41,2200,3),
(41,1801,1),
(41,1843,2),
(41,2096,1),
(41,1834,1),
(41,1815,1),
(41,2192,2),
(41,1839,1),
(41,2093,1),
(41,1794,1),
(41,2278,1),
(41,1800,1),
(41,2081,1),
(41,2279,1),
(41,2103,1),
(41,2190,1),
(41,2280,1),
(41,2075,1),
(41,2076,1),
(41,2281,1),
(41,2282,1),
(41,2094,1),
(41,2074,1),
(41,2283,2),
(41,1835,1),
(41,1828,1),
(41,1787,1),
(41,2104,1),
(41,1861,3),
(41,2117,6),
(41,1903,6),
(41,1913,1),
(41,2135,1),
(41,1934,1),
(41,1925,1),
(41,1896,2),
(41,2287,2),
(41,2113,2),
(41,1887,2),
(41,1902,1),
(41,2288,3),
(41,2133,3),
(41,1915,1),
(41,1878,2),
(41,2215,1),
(41,1911,1),
(41,1881,1),
(41,1879,1),
(41,2213,1),
(41,1897,2),
(41,2207,2),
(41,2289,2),
(41,2114,2),
(41,2106,1),
(41,2290,2),
(41,1931,2),
(41,2130,1),
(41,2125,1),
(41,2218,1),
(41,1898,2),
(41,1907,2),
(41,1908,1),
(41,1891,2),
(41,2115,1),
(41,1892,2),
(41,2204,1),
(41,1921,1),
(41,1880,1),
(41,2291,1),
(41,1914,1),
(41,2292,1),
(41,1885,1),
(41,1888,2),
(41,2293,2),
(41,2294,1),
(41,1922,2),
(41,1899,1),
(41,2295,1),
(41,1936,1),
(41,2216,3),
(41,1890,1),
(41,1932,2),
(41,2131,1),
(41,1923,1),
(41,1904,1),
(41,2208,2),
(41,1928,1),
(41,2128,1),
(41,1883,1),
(41,2296,1),
(41,1889,1),
(41,2116,1),
(41,2297,1),
(41,2138,1),
(41,2206,1),
(41,2298,1),
(41,2110,1),
(41,2111,1),
(41,2299,1),
(41,2300,1),
(41,2129,1),
(41,2109,1),
(41,2301,2),
(41,1924,1),
(41,1917,1),
(41,1876,1),
(41,2139,1),
(41,1950,3),
(41,1951,3),
(42,1969,6),
(42,1984,6),
(42,1993,3),
(42,1608,4),
(42,1555,1),
(42,1980,1),
(42,2304,1),
(42,1599,2),
(42,1558,2),
(42,2305,1),
(42,1987,1),
(42,1986,2),
(42,2306,1),
(42,2307,1),
(42,2154,1),
(42,2308,1),
(42,2309,1),
(42,2148,1),
(42,1592,2),
(42,1999,1),
(42,2310,2),
(42,2229,1),
(42,2145,1),
(42,1966,1),
(42,1567,2),
(42,1569,1),
(42,1605,4),
(42,2311,2),
(42,2146,1),
(42,2140,1),
(42,1604,2),
(42,2234,2),
(42,2312,1),
(42,1598,5),
(42,1559,1),
(42,1970,3),
(42,1971,3),
(42,1573,1),
(42,1615,1),
(42,1616,1),
(42,1617,1),
(42,1618,1),
(42,1619,1),
(42,1620,1),
(42,1621,1),
(42,1989,1),
(42,1992,2),
(42,1588,1),
(42,2153,3),
(42,2150,1),
(42,1581,1),
(42,1574,1),
(42,1990,1),
(42,2149,1),
(42,2232,1),
(42,1975,1),
(42,2147,2),
(42,2152,3),
(42,1988,1),
(42,1974,3),
(42,1967,1),
(42,1575,1),
(42,1601,1),
(42,1610,1),
(42,1579,1),
(42,1973,1),
(42,1997,1),
(42,1613,1),
(42,1582,1),
(42,1560,1),
(42,1982,1),
(42,1587,1),
(42,2226,1),
(42,1995,1),
(42,2313,1),
(42,845,3),
(42,2004,6),
(42,2019,6),
(42,2028,3),
(42,1686,4),
(42,1633,1),
(42,2015,1),
(42,2317,1),
(42,1677,2),
(42,1636,2),
(42,2318,1),
(42,2022,1),
(42,2021,2),
(42,2319,1),
(42,2320,1),
(42,2170,1),
(42,2321,1),
(42,2322,1),
(42,2164,1),
(42,1670,2),
(42,2034,1),
(42,2323,2),
(42,2245,1),
(42,2161,1),
(42,2001,1),
(42,1645,2),
(42,1647,1),
(42,1683,4),
(42,2324,2),
(42,2162,1),
(42,2156,1),
(42,1682,2),
(42,2250,2),
(42,2325,1),
(42,1676,5),
(42,1637,1),
(42,2005,3),
(42,2006,3),
(42,1651,1),
(42,1693,1),
(42,1694,1),
(42,1695,1),
(42,1696,1),
(42,1697,1),
(42,1698,1),
(42,1699,1),
(42,2024,1),
(42,2027,2),
(42,1666,1),
(42,2169,3),
(42,2166,1),
(42,1659,1),
(42,1652,1),
(42,2025,1),
(42,2165,1),
(42,2248,1),
(42,2010,1),
(42,2163,2),
(42,2168,3),
(42,2023,1),
(42,2009,3),
(42,2002,1),
(42,1653,1),
(42,1679,1),
(42,1688,1),
(42,1657,1),
(42,2008,1),
(42,2032,1),
(42,1691,1),
(42,1660,1),
(42,1638,1),
(42,2017,1),
(42,1665,1),
(42,2242,1),
(42,2030,1),
(42,2326,1),
(42,1704,3),
(42,2039,6),
(42,2054,6),
(42,2063,3),
(42,1765,4),
(42,1712,1),
(42,2050,1),
(42,2335,1),
(42,1756,2),
(42,1715,2),
(42,2336,1),
(42,2057,1),
(42,2056,2),
(42,2337,1),
(42,2338,1),
(42,2186,1),
(42,2339,1),
(42,2340,1),
(42,2180,1),
(42,1749,2),
(42,2069,1),
(42,2341,2),
(42,2261,1),
(42,2177,1),
(42,2036,1),
(42,1724,2),
(42,1726,1),
(42,1762,4),
(42,2342,2),
(42,2178,1),
(42,2172,1),
(42,1761,2),
(42,2266,2),
(42,2343,1),
(42,1755,5),
(42,1716,1),
(42,2040,3),
(42,2041,3),
(42,1730,1),
(42,1772,1),
(42,1773,1),
(42,1774,1),
(42,1775,1),
(42,1776,1),
(42,1777,1),
(42,1778,1),
(42,2059,1),
(42,2062,2),
(42,1745,1),
(42,2185,3),
(42,2182,1),
(42,1738,1),
(42,1731,1),
(42,2060,1),
(42,2181,1),
(42,2264,1),
(42,2045,1),
(42,2179,2),
(42,2184,3),
(42,2058,1),
(42,2044,3),
(42,2037,1),
(42,1732,1),
(42,1758,1),
(42,1767,1),
(42,1736,1),
(42,2043,1),
(42,2067,1),
(42,1770,1),
(42,1739,1),
(42,1717,1),
(42,2052,1),
(42,1744,1),
(42,2258,1),
(42,2065,1),
(42,2344,1),
(42,1030,3),
(42,2074,6),
(42,2089,6),
(42,2098,3),
(42,1843,4),
(42,1790,1),
(42,2085,1),
(42,2352,1),
(42,1834,2),
(42,1793,2),
(42,2353,1),
(42,2092,1),
(42,2091,2),
(42,2354,1),
(42,2355,1),
(42,2202,1),
(42,2356,1),
(42,2357,1),
(42,2196,1),
(42,1827,2),
(42,2104,1),
(42,2358,2),
(42,2277,1),
(42,2193,1),
(42,2071,1),
(42,1802,2),
(42,1804,1),
(42,1840,4),
(42,2359,2),
(42,2194,1),
(42,2188,1),
(42,1839,2),
(42,2282,2),
(42,2360,1),
(42,1833,5),
(42,1794,1),
(42,2075,3),
(42,2076,3),
(42,1808,1),
(42,1850,1),
(42,1851,1),
(42,1852,1),
(42,1853,1),
(42,1854,1),
(42,1855,1),
(42,1856,1),
(42,2094,1),
(42,2097,2),
(42,1823,1),
(42,2201,3),
(42,2198,1),
(42,1816,1),
(42,1809,1),
(42,2095,1),
(42,2197,1),
(42,2280,1),
(42,2080,1),
(42,2195,2),
(42,2200,3),
(42,2093,1),
(42,2079,3),
(42,2072,1),
(42,1810,1),
(42,1836,1),
(42,1845,1),
(42,1814,1),
(42,2078,1),
(42,2102,1),
(42,1848,1),
(42,1817,1),
(42,1795,1),
(42,2087,1),
(42,1822,1),
(42,2274,1),
(42,2100,1),
(42,2361,1),
(42,1861,3),
(42,2109,6),
(42,2124,6),
(42,2133,3),
(42,1932,4),
(42,1879,1),
(42,2120,1),
(42,2375,1),
(42,1923,2),
(42,1882,2),
(42,2376,1),
(42,2127,1),
(42,2126,2),
(42,2377,1),
(42,2378,1),
(42,2218,1),
(42,2379,1),
(42,2380,1),
(42,2212,1),
(42,1916,2),
(42,2139,1),
(42,2381,2),
(42,2295,1),
(42,2209,1),
(42,2106,1),
(42,1891,2),
(42,1893,1),
(42,1929,4),
(42,2382,2),
(42,2210,1),
(42,2204,1),
(42,1928,2),
(42,2300,2),
(42,2383,1),
(42,1922,5),
(42,1883,1),
(42,2110,3),
(42,2111,3),
(42,1897,1),
(42,1939,1),
(42,1940,1),
(42,1941,1),
(42,1942,1),
(42,1943,1),
(42,1944,1),
(42,1945,1),
(42,2129,1),
(42,2132,2),
(42,1912,1),
(42,2217,3),
(42,2214,1),
(42,1905,1),
(42,1898,1),
(42,2130,1),
(42,2213,1),
(42,2298,1),
(42,2115,1),
(42,2211,2),
(42,2216,3),
(42,2128,1),
(42,2114,3),
(42,2107,1),
(42,1899,1),
(42,1925,1),
(42,1934,1),
(42,1903,1),
(42,2113,1),
(42,2137,1),
(42,1937,1),
(42,1906,1),
(42,1884,1),
(42,2122,1),
(42,1911,1),
(42,2292,1),
(42,2135,1),
(42,2384,1),
(42,1950,3),
(42,1951,3),
(43,1978,7),
(43,1567,8),
(43,1564,6),
(43,1967,1),
(43,1981,1),
(43,2224,2),
(43,2220,1),
(43,1586,1),
(43,1976,1),
(43,1974,2),
(43,1614,1),
(43,1980,2),
(43,1970,2),
(43,1971,2),
(43,1982,1),
(43,1603,1),
(43,1613,3),
(43,1592,2),
(43,2151,1),
(43,1569,3),
(43,2313,1),
(43,1605,2),
(43,2141,1),
(43,1047,2),
(43,1991,1),
(43,2310,1),
(43,1606,1),
(43,1579,2),
(43,2399,1),
(43,2400,1),
(43,2401,1),
(43,2402,1),
(43,2403,1),
(43,2404,1),
(43,2405,2),
(43,2406,1),
(43,2407,1),
(43,2408,1),
(43,2409,1),
(43,1998,1),
(43,2228,2),
(43,1995,3),
(43,1983,1),
(43,1046,1),
(43,2304,1),
(43,2233,2),
(43,1607,1),
(43,2142,1),
(43,1595,1),
(43,1990,1),
(43,1553,1),
(43,1573,2),
(43,2152,4),
(43,2145,1),
(43,1979,1),
(43,1558,2),
(43,1996,1),
(43,2143,1),
(43,1986,2),
(43,2150,1),
(43,1596,1),
(43,2235,2),
(43,1572,1),
(43,1984,3),
(43,1997,1),
(43,2312,1),
(43,1968,1),
(43,1965,1),
(43,1555,1),
(43,2225,1),
(43,1600,1),
(43,1559,1),
(43,1556,1),
(43,2147,1),
(43,1578,1),
(43,845,3),
(43,2013,7),
(43,1645,8),
(43,1642,6),
(43,2002,1),
(43,2016,1),
(43,2240,2),
(43,2236,1),
(43,1664,1),
(43,2011,1),
(43,2009,2),
(43,1692,1),
(43,2015,2),
(43,2005,2),
(43,2006,2),
(43,2017,1),
(43,1681,1),
(43,1691,3),
(43,1670,2),
(43,2167,1),
(43,1647,3),
(43,2326,1),
(43,1683,2),
(43,2157,1),
(43,1630,2),
(43,2026,1),
(43,2323,1),
(43,1684,1),
(43,1657,2),
(43,2410,1),
(43,2411,1),
(43,2412,1),
(43,2413,1),
(43,2414,1),
(43,2415,1),
(43,2416,2),
(43,2417,1),
(43,2418,1),
(43,2419,1),
(43,2420,1),
(43,2033,1),
(43,2244,2),
(43,2030,3),
(43,2018,1),
(43,1629,1),
(43,2317,1),
(43,2249,2),
(43,1685,1),
(43,2158,1),
(43,1673,1),
(43,2025,1),
(43,1631,1),
(43,1651,2),
(43,2168,4),
(43,2161,1),
(43,2014,1),
(43,1636,2),
(43,2031,1),
(43,2159,1),
(43,2021,2),
(43,2166,1),
(43,1674,1),
(43,2251,2),
(43,1650,1),
(43,2019,3),
(43,2032,1),
(43,2325,1),
(43,2003,1),
(43,2000,1),
(43,1633,1),
(43,2241,1),
(43,1678,1),
(43,1637,1),
(43,1634,1),
(43,2163,1),
(43,1656,1),
(43,1704,3),
(43,2048,7),
(43,1724,8),
(43,1721,6),
(43,2037,1),
(43,2051,1),
(43,2256,2),
(43,2252,1),
(43,1743,1),
(43,2046,1),
(43,2044,2),
(43,1771,1),
(43,2050,2),
(43,2040,2),
(43,2041,2),
(43,2052,1),
(43,1760,1),
(43,1770,3),
(43,1749,2),
(43,2183,1),
(43,1726,3),
(43,2344,1),
(43,1762,2),
(43,2173,1),
(43,1709,2),
(43,2061,1),
(43,2341,1),
(43,1763,1),
(43,1736,2),
(43,2421,1),
(43,2422,1),
(43,2423,1),
(43,2424,1),
(43,2425,1),
(43,2426,1),
(43,2427,2),
(43,2428,1),
(43,2429,1),
(43,2430,1),
(43,2431,1),
(43,2068,1),
(43,2260,2),
(43,2065,3),
(43,2053,1),
(43,1708,1),
(43,2335,1),
(43,2265,2),
(43,1764,1),
(43,2174,1),
(43,1752,1),
(43,2060,1),
(43,1710,1),
(43,1730,2),
(43,2184,4),
(43,2177,1),
(43,2049,1),
(43,1715,2),
(43,2066,1),
(43,2175,1),
(43,2056,2),
(43,2182,1),
(43,1753,1),
(43,2267,2),
(43,1729,1),
(43,2054,3),
(43,2067,1),
(43,2343,1),
(43,2038,1),
(43,2035,1),
(43,1712,1),
(43,2257,1),
(43,1757,1),
(43,1716,1),
(43,1713,1),
(43,2179,1),
(43,1735,1),
(43,1030,3),
(43,2083,7),
(43,1802,8),
(43,1799,6),
(43,2072,1),
(43,2086,1),
(43,2272,2),
(43,2268,1),
(43,1821,1),
(43,2081,1),
(43,2079,2),
(43,1849,1),
(43,2085,2),
(43,2075,2),
(43,2076,2),
(43,2087,1),
(43,1838,1),
(43,1848,3),
(43,1827,2),
(43,2199,1),
(43,1804,3),
(43,2361,1),
(43,1840,2),
(43,2189,1),
(43,1787,2),
(43,2096,1),
(43,2358,1),
(43,1841,1),
(43,1814,2),
(43,2432,1),
(43,2433,1),
(43,2434,1),
(43,2435,1),
(43,2436,1),
(43,2437,1),
(43,2438,2),
(43,2439,1),
(43,2440,1),
(43,2441,1),
(43,2442,1),
(43,2103,1),
(43,2276,2),
(43,2100,3),
(43,2088,1),
(43,1786,1),
(43,2352,1),
(43,2281,2),
(43,1842,1),
(43,2190,1),
(43,1830,1),
(43,2095,1),
(43,1788,1),
(43,1808,2),
(43,2200,4),
(43,2193,1),
(43,2084,1),
(43,1793,2),
(43,2101,1),
(43,2191,1),
(43,2091,2),
(43,2198,1),
(43,1831,1),
(43,2283,2),
(43,1807,1),
(43,2089,3),
(43,2102,1),
(43,2360,1),
(43,2073,1),
(43,2070,1),
(43,1790,1),
(43,2273,1),
(43,1835,1),
(43,1794,1),
(43,1791,1),
(43,2195,1),
(43,1813,1),
(43,1861,3),
(43,2118,7),
(43,1891,8),
(43,1888,6),
(43,2107,1),
(43,2121,1),
(43,2290,2),
(43,2286,1),
(43,1910,1),
(43,2116,1),
(43,2114,2),
(43,1938,1),
(43,2120,2),
(43,2110,2),
(43,2111,2),
(43,2122,1),
(43,1927,1),
(43,1937,3),
(43,1916,2),
(43,2215,1),
(43,1893,3),
(43,2384,1),
(43,1929,2),
(43,2205,1),
(43,1876,2),
(43,2131,1),
(43,2381,1),
(43,1930,1),
(43,1903,2),
(43,2443,1),
(43,2444,1),
(43,2445,1),
(43,2446,1),
(43,2447,1),
(43,2448,1),
(43,2449,2),
(43,2450,1),
(43,2451,1),
(43,2452,1),
(43,2453,1),
(43,2138,1),
(43,2294,2),
(43,2135,3),
(43,2123,1),
(43,1875,1),
(43,2375,1),
(43,2299,2),
(43,1931,1),
(43,2206,1),
(43,1919,1),
(43,2130,1),
(43,1877,1),
(43,1897,2),
(43,2216,4),
(43,2209,1),
(43,2119,1),
(43,1882,2),
(43,2136,1),
(43,2207,1),
(43,2126,2),
(43,2214,1),
(43,1920,1),
(43,2301,2),
(43,1896,1),
(43,2124,3),
(43,2137,1),
(43,2383,1),
(43,2108,1),
(43,2105,1),
(43,1879,1),
(43,2291,1),
(43,1924,1),
(43,1883,1),
(43,1880,1),
(43,2211,1),
(43,1902,1),
(43,1950,3),
(43,1951,3),
(15,1219,1),
(15,4703,1),
(15,3079,1),
(15,1048,1),
(15,3381,1),
(15,3779,2),
(15,3771,1),
(15,4701,1),
(15,4700,1),
(15,4730,1),
(15,2749,1),
(15,2748,1),
(15,4729,1),
(15,4727,1),
(15,4726,1),
(15,4725,1),
(15,3969,1),
(15,720,2),
(15,2828,1),
(15,3005,1),
(15,3328,1),
(15,3792,2),
(15,3260,1),
(15,2842,1),
(15,4078,1),
(15,4724,1),
(15,4723,1),
(15,4722,1),
(15,4721,1),
(15,2831,1),
(15,4720,1),
(15,4719,1),
(15,3789,1),
(15,4718,1),
(15,4717,1),
(15,4716,1),
(15,4769,1),
(15,4146,1),
(15,4768,1),
(15,4767,1),
(15,4766,1),
(15,4765,1),
(15,3160,1),
(15,2827,1),
(15,51,2),
(15,4764,1),
(15,451,2),
(15,2752,1),
(15,4141,1),
(15,710,3),
(15,4763,1),
(15,4762,1),
(15,4761,1),
(15,3773,1),
(15,4760,1),
(15,4759,1),
(15,74,1),
(15,3780,2),
(15,4758,1),
(15,4757,1),
(15,4756,1),
(15,4755,3),
(15,4754,2),
(15,4753,1),
(15,4752,1),
(15,4142,1),
(15,4751,1),
(15,2480,5),
(15,841,1),
(15,4702,3),
(15,4750,2),
(15,4749,2),
(15,442,3),
(15,30,2),
(15,4748,2),
(15,2837,5),
(15,4747,3),
(15,4746,2),
(15,4745,2),
(15,38,2),
(15,4744,2),
(15,4743,2),
(15,4742,2),
(15,47,9),
(15,4741,2),
(15,4740,2),
(15,4739,2),
(15,4738,2),
(15,4737,2),
(15,4736,2),
(15,4735,2),
(15,4734,2),
(15,4733,2),
(15,4732,2),
(15,4731,2),
(15,7,2),
(15,3794,2),
(15,3380,2),
(15,2744,11),
(15,4728,11),
(15,5316,6),
(15,4681,6),
(15,5315,6),
(15,5314,6),
(7,3250,1),
(7,2927,1),
(7,5092,1),
(7,2819,1),
(7,4250,1),
(7,5091,1),
(7,5090,1),
(7,5089,1),
(7,3932,1),
(7,5088,1),
(7,5087,1),
(7,2735,1),
(7,5086,1),
(7,5085,1),
(7,5084,1),
(7,5083,3),
(7,5082,2),
(7,5081,1),
(7,5080,1),
(7,4251,1),
(7,5079,1),
(7,2724,1),
(7,5078,1),
(7,5077,1),
(7,5076,2),
(7,5075,1),
(7,5074,1),
(7,5073,2),
(7,5072,1),
(7,5071,1),
(7,4060,1),
(7,5070,1),
(7,5069,1),
(7,5068,1),
(7,5067,1),
(7,5066,1),
(7,5065,1),
(7,5064,1),
(7,5063,1),
(7,5062,1),
(7,5061,1),
(7,5060,1),
(7,5059,1),
(7,5058,1),
(7,5057,1),
(7,5056,1),
(7,3956,1),
(7,3408,1),
(7,5055,1),
(7,2814,1),
(7,2813,1),
(7,5054,1),
(7,5053,4),
(7,5052,1),
(7,5051,1),
(7,2730,3),
(7,2944,2),
(7,5050,1),
(7,4058,1),
(7,2928,1),
(7,3065,1),
(7,3372,1),
(7,3309,1),
(7,3941,2),
(7,2945,1),
(7,4126,1),
(7,5049,1),
(7,5048,1),
(7,5047,1),
(7,5046,1),
(7,2931,1),
(7,5045,1),
(7,5044,1),
(7,3950,1),
(7,5043,1),
(7,5042,1),
(7,5041,1),
(7,5040,1),
(7,3314,1),
(7,5039,2),
(7,2810,1),
(7,5038,1),
(7,5037,1),
(7,3939,1),
(7,5036,1),
(7,5035,1),
(7,2809,9),
(7,5034,1),
(7,3954,2),
(7,3937,1),
(7,5033,1),
(7,5032,1),
(7,5031,1),
(7,5030,1),
(7,3061,1),
(7,3935,1),
(7,2718,2),
(7,5029,2),
(7,2731,2),
(7,2697,8),
(7,5028,2),
(7,3139,2),
(7,2938,5),
(7,4259,2),
(7,5027,2),
(7,5026,2),
(7,3376,2),
(7,2941,2),
(7,3322,2),
(7,4244,2),
(7,2942,2),
(7,4248,2),
(7,2989,3),
(7,2729,2),
(7,5025,2),
(7,3146,2),
(7,2694,12),
(7,5024,2),
(7,5023,4),
(7,3409,2),
(7,3940,3),
(7,3930,2),
(7,2726,14),
(7,5022,2),
(7,5021,2),
(7,2698,7),
(7,5183,6),
(7,5193,6),
(7,5192,6),
(7,5180,6),
(7,3747,3),
(7,3746,3),
(7,1861,3),
(7,5015,1),
(7,4228,1),
(7,5014,1),
(7,5013,1),
(7,5012,1),
(7,5011,1),
(7,3227,1),
(7,2901,1),
(7,5010,1),
(7,2802,1),
(7,4222,1),
(7,5009,1),
(7,5008,1),
(7,5007,1),
(7,3891,1),
(7,5006,1),
(7,5005,1),
(7,2677,1),
(7,5004,1),
(7,5003,1),
(7,5002,1),
(7,5001,3),
(7,5000,2),
(7,4999,1),
(7,4998,1),
(7,4223,1),
(7,4997,1),
(7,2666,1),
(7,4996,1),
(7,4995,1),
(7,4994,2),
(7,4993,1),
(7,4992,1),
(7,4991,2),
(7,4990,1),
(7,4989,1),
(7,4037,1),
(7,4988,1),
(7,4987,1),
(7,4986,1),
(7,4985,1),
(7,4984,1),
(7,4983,1),
(7,4982,1),
(7,4981,1),
(7,4980,1),
(7,4979,1),
(7,4978,1),
(7,4977,1),
(7,4976,1),
(7,4975,1),
(7,4974,1),
(7,3915,1),
(7,3401,1),
(7,4973,1),
(7,2797,1),
(7,2796,1),
(7,4972,1),
(7,4971,4),
(7,4970,1),
(7,4969,1),
(7,2672,3),
(7,2918,2),
(7,4968,1),
(7,4035,1),
(7,2902,1),
(7,3050,1),
(7,3361,1),
(7,3295,1),
(7,3900,2),
(7,2919,1),
(7,4114,1),
(7,4967,1),
(7,4966,1),
(7,4965,1),
(7,4964,1),
(7,2905,1),
(7,4963,1),
(7,4962,1),
(7,3909,1),
(7,4961,1),
(7,4960,1),
(7,4959,1),
(7,4958,1),
(7,3300,1),
(7,4957,2),
(7,2793,1),
(7,4956,1),
(7,4955,1),
(7,3898,1),
(7,4954,1),
(7,4953,1),
(7,2792,9),
(7,4952,1),
(7,3913,2),
(7,3896,1),
(7,4951,1),
(7,4950,1),
(7,4949,1),
(45,1589,9),
(45,1598,9),
(45,2140,6),
(45,1978,1),
(45,1965,2),
(45,1605,3),
(45,1560,1),
(45,1587,2),
(45,2223,1),
(45,1974,1),
(45,1976,1),
(45,1603,2),
(45,1567,2),
(45,2152,2),
(45,2224,1),
(45,2229,1),
(45,2154,1),
(45,1575,2),
(45,1967,1),
(45,1607,4),
(45,2151,2),
(45,2304,1),
(45,2142,2),
(45,1558,2),
(45,2226,1),
(45,1590,1),
(45,1562,1),
(45,1561,2),
(45,1578,1),
(45,2232,1),
(45,1985,1),
(45,1993,3),
(45,1970,3),
(45,1971,3),
(45,2149,2),
(45,2221,2),
(45,1556,2),
(45,1980,1),
(45,1568,2),
(45,1602,1),
(45,1982,1),
(45,1569,2),
(45,1576,1),
(45,1047,1),
(45,2230,2),
(45,1596,1),
(45,1574,1),
(45,1990,1),
(45,1572,2),
(45,1997,1),
(45,1563,2),
(45,1992,1),
(45,1592,1),
(45,1606,1),
(45,2313,1),
(45,1046,2),
(45,1571,1),
(45,1984,1),
(45,2143,1),
(45,2231,1),
(45,1995,1),
(45,1557,1),
(45,1612,1),
(45,2153,1),
(45,1570,2),
(45,2312,1),
(45,1966,1),
(45,2456,1),
(45,1611,1),
(45,1577,1),
(45,2457,1),
(45,1989,1),
(45,1597,1),
(45,845,3),
(45,2155,2),
(45,1667,9),
(45,1676,9),
(45,2156,6),
(45,2013,1),
(45,2000,2),
(45,1683,3),
(45,1638,1),
(45,1665,2),
(45,2239,1),
(45,2009,1),
(45,2011,1),
(45,1681,2),
(45,1645,2),
(45,2168,2),
(45,2240,1),
(45,2245,1),
(45,2170,1),
(45,1653,2),
(45,2002,1),
(45,1685,4),
(45,2167,2),
(45,2317,1),
(45,2158,2),
(45,1636,2),
(45,2242,1),
(45,1668,1),
(45,1640,1),
(45,1639,2),
(45,1656,1),
(45,2248,1),
(45,2020,1),
(45,2028,3),
(45,2005,3),
(45,2006,3),
(45,2165,2),
(45,2237,2),
(45,1634,2),
(45,2015,1),
(45,1646,2),
(45,1680,1),
(45,2017,1),
(45,1647,2),
(45,1654,1),
(45,1630,1),
(45,2246,2),
(45,1674,1),
(45,1652,1),
(45,2025,1),
(45,1650,2),
(45,2032,1),
(45,1641,2),
(45,2027,1),
(45,1670,1),
(45,1684,1),
(45,2326,1),
(45,1629,2),
(45,1649,1),
(45,2019,1),
(45,2159,1),
(45,2247,1),
(45,2030,1),
(45,1635,1),
(45,1690,1),
(45,2169,1),
(45,1648,2),
(45,2325,1),
(45,2001,1),
(45,2458,1),
(45,1689,1),
(45,1655,1),
(45,2459,1),
(45,2024,1),
(45,1675,1),
(45,1704,3),
(45,2171,2),
(45,1746,9),
(45,1755,9),
(45,2172,6),
(45,2048,1),
(45,2035,2),
(45,1762,3),
(45,1717,1),
(45,1744,2),
(45,2255,1),
(45,2044,1),
(45,2046,1),
(45,1760,2),
(45,1724,2),
(45,2184,2),
(45,2256,1),
(45,2261,1),
(45,2186,1),
(45,1732,2),
(45,2037,1),
(45,1764,4),
(45,2183,2),
(45,2335,1),
(45,2174,2),
(45,1715,2),
(45,2258,1),
(45,1747,1),
(45,1719,1),
(45,1718,2),
(45,1735,1),
(45,2264,1),
(45,2055,1),
(45,2063,3),
(45,2040,3),
(45,2041,3),
(45,2181,2),
(45,2253,2),
(45,1713,2),
(45,2050,1),
(45,1725,2),
(45,1759,1),
(45,2052,1),
(45,1726,2),
(45,1733,1),
(45,1709,1),
(45,2262,2),
(45,1753,1),
(45,1731,1),
(45,2060,1),
(45,1729,2),
(45,2067,1),
(45,1720,2),
(45,2062,1),
(45,1749,1),
(45,1763,1),
(45,2344,1),
(45,1708,2),
(45,1728,1),
(45,2054,1),
(45,2175,1),
(45,2263,1),
(45,2065,1),
(45,1714,1),
(45,1769,1),
(45,2185,1),
(45,1727,2),
(45,2343,1),
(45,2036,1),
(45,2460,1),
(45,1768,1),
(45,1734,1),
(45,2461,1),
(45,2059,1),
(45,1754,1),
(45,1030,3),
(45,2187,2),
(45,1824,9),
(45,1833,9),
(45,2188,6),
(45,2083,1),
(45,2070,2),
(45,1840,3),
(45,1795,1),
(45,1822,2),
(45,2271,1),
(45,2079,1),
(45,2081,1),
(45,1838,2),
(45,1802,2),
(45,2200,2),
(45,2272,1),
(45,2277,1),
(45,2202,1),
(45,1810,2),
(45,2072,1),
(45,1842,4),
(45,2199,2),
(45,2352,1),
(45,2190,2),
(45,1793,2),
(45,2274,1),
(45,1825,1),
(45,1797,1),
(45,1796,2),
(45,1813,1),
(45,2280,1),
(45,2090,1),
(45,2098,3),
(45,2075,3),
(45,2076,3),
(45,2197,2),
(45,2269,2),
(45,1791,2),
(45,2085,1),
(45,1803,2),
(45,1837,1),
(45,2087,1),
(45,1804,2),
(45,1811,1),
(45,1787,1),
(45,2278,2),
(45,1831,1),
(45,1809,1),
(45,2095,1),
(45,1807,2),
(45,2102,1),
(45,1798,2),
(45,2097,1),
(45,1827,1),
(45,1841,1),
(45,2361,1),
(45,1786,2),
(45,1806,1),
(45,2089,1),
(45,2191,1),
(45,2279,1),
(45,2100,1),
(45,1792,1),
(45,1847,1),
(45,2201,1),
(45,1805,2),
(45,2360,1),
(45,2071,1),
(45,2462,1),
(45,1846,1),
(45,1812,1),
(45,2463,1),
(45,2094,1),
(45,1832,1),
(45,1861,3),
(45,2203,2),
(45,1913,9),
(45,1922,9),
(45,2204,6),
(45,2118,1),
(45,2105,2),
(45,1929,3),
(45,1884,1),
(45,1911,2),
(45,2289,1),
(45,2114,1),
(45,2116,1),
(45,1927,2),
(45,1891,2),
(45,2216,2),
(45,2290,1),
(45,2295,1),
(45,2218,1),
(45,1899,2),
(45,2107,1),
(45,1931,4),
(45,2215,2),
(45,2375,1),
(45,2206,2),
(45,1882,2),
(45,2292,1),
(45,1914,1),
(45,1886,1),
(45,1885,2),
(45,1902,1),
(45,2298,1),
(45,2125,1),
(45,2133,3),
(45,2110,3),
(45,2111,3),
(45,2213,2),
(45,2287,2),
(45,1880,2),
(45,2120,1),
(45,1892,2),
(45,1926,1),
(45,2122,1),
(45,1893,2),
(45,1900,1),
(45,1876,1),
(45,2296,2),
(45,1920,1),
(45,1898,1),
(45,2130,1),
(45,1896,2),
(45,2137,1),
(45,1887,2),
(45,2132,1),
(45,1916,1),
(45,1930,1),
(45,2384,1),
(45,1875,2),
(45,1895,1),
(45,2124,1),
(45,2207,1),
(45,2297,1),
(45,2135,1),
(45,1881,1),
(45,1936,1),
(45,2217,1),
(45,1894,2),
(45,2383,1),
(45,2106,1),
(45,2464,1),
(45,1935,1),
(45,1901,1),
(45,2465,1),
(45,2129,1),
(45,1921,1),
(45,1950,3),
(45,1951,3),
(45,2219,2),
(46,1574,6),
(46,2311,8),
(46,1998,1),
(46,1996,1),
(46,2142,2),
(46,1979,2),
(46,1570,2),
(46,1554,1),
(46,1567,1),
(46,1995,1),
(46,1600,1),
(46,1967,1),
(46,2226,2),
(46,1610,2),
(46,2148,2),
(46,1614,1),
(46,1977,2),
(46,1576,2),
(46,2145,1),
(46,2235,1),
(46,1582,1),
(46,1980,2),
(46,2149,1),
(46,1565,1),
(46,1969,1),
(46,1584,3),
(46,1557,3),
(46,1966,2),
(46,2309,2),
(46,1974,2),
(46,1606,1),
(46,1046,1),
(46,1987,2),
(46,2225,1),
(46,1564,1),
(46,1970,4),
(46,1971,4),
(46,2144,1),
(46,1988,2),
(46,2224,1),
(46,1586,1),
(46,2140,1),
(46,1604,1),
(46,1602,1),
(46,1559,1),
(46,1599,1),
(46,1553,2),
(46,1592,2),
(46,1976,2),
(46,2153,1),
(46,1577,1),
(46,1555,1),
(46,2229,2),
(46,2222,1),
(46,1593,1),
(46,1558,1),
(46,2230,1),
(46,1972,1),
(46,1562,1),
(46,1598,1),
(46,1587,1),
(46,1984,1),
(46,2220,1),
(46,1605,1),
(46,1575,1),
(46,2227,1),
(46,1609,1),
(46,1981,1),
(46,1571,1),
(46,1992,1),
(46,845,3),
(46,1652,6),
(46,2324,8),
(46,2033,1),
(46,2031,1),
(46,2158,2),
(46,2014,2),
(46,1648,2),
(46,1632,1),
(46,1645,1),
(46,2030,1),
(46,1678,1),
(46,2002,1),
(46,2242,2),
(46,1688,2),
(46,2164,2),
(46,1692,1),
(46,2012,2),
(46,1654,2),
(46,2161,1),
(46,2251,1),
(46,1660,1),
(46,2015,2),
(46,2165,1),
(46,1643,1),
(46,2004,1),
(46,1662,3),
(46,1635,3),
(46,2001,2),
(46,2322,2),
(46,2009,2),
(46,1684,1),
(46,1629,1),
(46,2022,2),
(46,2241,1),
(46,1642,1),
(46,2005,4),
(46,2006,4),
(46,2160,1),
(46,2023,2),
(46,2240,1),
(46,1664,1),
(46,2156,1),
(46,1682,1),
(46,1680,1),
(46,1637,1),
(46,1677,1),
(46,1631,2),
(46,1670,2),
(46,2011,2),
(46,2169,1),
(46,1655,1),
(46,1633,1),
(46,2245,2),
(46,2238,1),
(46,1671,1),
(46,1636,1),
(46,2246,1),
(46,2007,1),
(46,1640,1),
(46,1676,1),
(46,1665,1),
(46,2019,1),
(46,2236,1),
(46,1683,1),
(46,1653,1),
(46,2243,1),
(46,1687,1),
(46,2016,1),
(46,1649,1),
(46,2027,1),
(46,1704,3),
(46,1731,6),
(46,2342,8),
(46,2068,1),
(46,2066,1),
(46,2174,2),
(46,2049,2),
(46,1727,2),
(46,1711,1),
(46,1724,1),
(46,2065,1),
(46,1757,1),
(46,2037,1),
(46,2258,2),
(46,1767,2),
(46,2180,2),
(46,1771,1),
(46,2047,2),
(46,1733,2),
(46,2177,1),
(46,2267,1),
(46,1739,1),
(46,2050,2),
(46,2181,1),
(46,1722,1),
(46,2039,1),
(46,1741,3),
(46,1714,3),
(46,2036,2),
(46,2340,2),
(46,2044,2),
(46,1763,1),
(46,1708,1),
(46,2057,2),
(46,2257,1),
(46,1721,1),
(46,2040,4),
(46,2041,4),
(46,2176,1),
(46,2058,2),
(46,2256,1),
(46,1743,1),
(46,2172,1),
(46,1761,1),
(46,1759,1),
(46,1716,1),
(46,1756,1),
(46,1710,2),
(46,1749,2),
(46,2046,2),
(46,2185,1),
(46,1734,1),
(46,1712,1),
(46,2261,2),
(46,2254,1),
(46,1750,1),
(46,1715,1),
(46,2262,1),
(46,2042,1),
(46,1719,1),
(46,1755,1),
(46,1744,1),
(46,2054,1),
(46,2252,1),
(46,1762,1),
(46,1732,1),
(46,2259,1),
(46,1766,1),
(46,2051,1),
(46,1728,1),
(46,2062,1),
(46,1030,3),
(46,1809,6),
(46,2359,8),
(46,2103,1),
(46,2101,1),
(46,2190,2),
(46,2084,2),
(46,1805,2),
(46,1789,1),
(46,1802,1),
(46,2100,1),
(46,1835,1),
(46,2072,1),
(46,2274,2),
(46,1845,2),
(46,2196,2),
(46,1849,1),
(46,2082,2),
(46,1811,2),
(46,2193,1),
(46,2283,1),
(46,1817,1),
(46,2085,2),
(46,2197,1),
(46,1800,1),
(46,2074,1),
(46,1819,3),
(46,1792,3),
(46,2071,2),
(46,2357,2),
(46,2079,2),
(46,1841,1),
(46,1786,1),
(46,2092,2),
(46,2273,1),
(46,1799,1),
(46,2075,4),
(46,2076,4),
(46,2192,1),
(46,2093,2),
(46,2272,1),
(46,1821,1),
(46,2188,1),
(46,1839,1),
(46,1837,1),
(46,1794,1),
(46,1834,1),
(46,1788,2),
(46,1827,2),
(46,2081,2),
(46,2201,1),
(46,1812,1),
(46,1790,1),
(46,2277,2),
(46,2270,1),
(46,1828,1),
(46,1793,1),
(46,2278,1),
(46,2077,1),
(46,1797,1),
(46,1833,1),
(46,1822,1),
(46,2089,1),
(46,2268,1),
(46,1840,1),
(46,1810,1),
(46,2275,1),
(46,1844,1),
(46,2086,1),
(46,1806,1),
(46,2097,1),
(46,1861,3),
(46,1898,6),
(46,2382,8),
(46,2138,1),
(46,2136,1),
(46,2206,2),
(46,2119,2),
(46,1894,2),
(46,1878,1),
(46,1891,1),
(46,2135,1),
(46,1924,1),
(46,2107,1),
(46,2292,2),
(46,1934,2),
(46,2212,2),
(46,1938,1),
(46,2117,2),
(46,1900,2),
(46,2209,1),
(46,2301,1),
(46,1906,1),
(46,2120,2),
(46,2213,1),
(46,1889,1),
(46,2109,1),
(46,1908,3),
(46,1881,3),
(46,2106,2),
(46,2380,2),
(46,2114,2),
(46,1930,1),
(46,1875,1),
(46,2127,2),
(46,2291,1),
(46,1888,1),
(46,2110,4),
(46,2111,4),
(46,2208,1),
(46,2128,2),
(46,2290,1),
(46,1910,1),
(46,2204,1),
(46,1928,1),
(46,1926,1),
(46,1883,1),
(46,1923,1),
(46,1877,2),
(46,1916,2),
(46,2116,2),
(46,2217,1),
(46,1901,1),
(46,1879,1),
(46,2295,2),
(46,2288,1),
(46,1917,1),
(46,1882,1),
(46,2296,1),
(46,2112,1),
(46,1886,1),
(46,1922,1),
(46,1911,1),
(46,2124,1),
(46,2286,1),
(46,1929,1),
(46,1899,1),
(46,2293,1),
(46,1933,1),
(46,2121,1),
(46,1895,1),
(46,2132,1),
(46,1950,3),
(46,1951,3),
(47,1610,6),
(47,1972,6),
(47,2223,6),
(47,1975,6),
(47,1558,5),
(47,1596,2),
(47,1047,4),
(47,1566,1),
(47,1569,3),
(47,2312,3),
(47,1997,2),
(47,1579,3),
(47,1992,1),
(47,1989,2),
(47,1602,4),
(47,1586,1),
(47,1981,1),
(47,1605,1),
(47,1562,1),
(47,1993,1),
(47,1613,3),
(47,1994,1),
(47,2235,3),
(47,1970,2),
(47,1971,2),
(47,1589,2),
(47,1588,1),
(47,1571,1),
(47,1600,2),
(47,1585,1),
(47,1965,2),
(47,1560,1),
(47,1598,1),
(47,1587,1),
(47,1592,1),
(47,1974,2),
(47,2229,1),
(47,2233,2),
(47,1607,1),
(47,2142,1),
(47,1595,1),
(47,1995,1),
(47,1990,1),
(47,1553,1),
(47,1573,2),
(47,2152,4),
(47,1980,1),
(47,2145,1),
(47,1979,1),
(47,1996,1),
(47,2143,1),
(47,1986,2),
(47,2150,1),
(47,2224,1),
(47,1572,1),
(47,1984,3),
(47,1968,1),
(47,1567,2),
(47,1978,1),
(47,1555,1),
(47,2225,1),
(47,1559,1),
(47,1556,1),
(47,2147,1),
(47,2228,1),
(47,1578,1),
(47,845,3),
(47,1688,6),
(47,2007,6),
(47,2239,6),
(47,2010,6),
(47,1636,5),
(47,1674,2),
(47,1630,4),
(47,1644,1),
(47,1647,3),
(47,2325,3),
(47,2032,2),
(47,1657,3),
(47,2027,1),
(47,2024,2),
(47,1680,4),
(47,1664,1),
(47,2016,1),
(47,1683,1),
(47,1640,1),
(47,2028,1),
(47,1691,3),
(47,2029,1),
(47,2251,3),
(47,2005,2),
(47,2006,2),
(47,1667,2),
(47,1666,1),
(47,1649,1),
(47,1678,2),
(47,1663,1),
(47,2000,2),
(47,1638,1),
(47,1676,1),
(47,1665,1),
(47,1670,1),
(47,2009,2),
(47,2245,1),
(47,2249,2),
(47,1685,1),
(47,2158,1),
(47,1673,1),
(47,2030,1),
(47,2025,1),
(47,1631,1),
(47,1651,2),
(47,2168,4),
(47,2015,1),
(47,2161,1),
(47,2014,1),
(47,2031,1),
(47,2159,1),
(47,2021,2),
(47,2166,1),
(47,2240,1),
(47,1650,1),
(47,2019,3),
(47,2003,1),
(47,1645,2),
(47,2013,1),
(47,1633,1),
(47,2241,1),
(47,1637,1),
(47,1634,1),
(47,2163,1),
(47,2244,1),
(47,1656,1),
(47,1704,3),
(47,1767,6),
(47,2042,6),
(47,2255,6),
(47,2045,6),
(47,1715,5),
(47,1753,2),
(47,1709,4),
(47,1723,1),
(47,1726,3),
(47,2343,3),
(47,2067,2),
(47,1736,3),
(47,2062,1),
(47,2059,2),
(47,1759,4),
(47,1743,1),
(47,2051,1),
(47,1762,1),
(47,1719,1),
(47,2063,1),
(47,1770,3),
(47,2064,1),
(47,2267,3),
(47,2040,2),
(47,2041,2),
(47,1746,2),
(47,1745,1),
(47,1728,1),
(47,1757,2),
(47,1742,1),
(47,2035,2),
(47,1717,1),
(47,1755,1),
(47,1744,1),
(47,1749,1),
(47,2044,2),
(47,2261,1),
(47,2265,2),
(47,1764,1),
(47,2174,1),
(47,1752,1),
(47,2065,1),
(47,2060,1),
(47,1710,1),
(47,1730,2),
(47,2184,4),
(47,2050,1),
(47,2177,1),
(47,2049,1),
(47,2066,1),
(47,2175,1),
(47,2056,2),
(47,2182,1),
(47,2256,1),
(47,1729,1),
(47,2054,3),
(47,2038,1),
(47,1724,2),
(47,2048,1),
(47,1712,1),
(47,2257,1),
(47,1716,1),
(47,1713,1),
(47,2179,1),
(47,2260,1),
(47,1735,1),
(47,1030,3),
(47,1845,6),
(47,2077,6),
(47,2271,6),
(47,2080,6),
(47,1793,5),
(47,1831,2),
(47,1787,4),
(47,1801,1),
(47,1804,3),
(47,2360,3),
(47,2102,2),
(47,1814,3),
(47,2097,1),
(47,2094,2),
(47,1837,4),
(47,1821,1),
(47,2086,1),
(47,1840,1),
(47,1797,1),
(47,2098,1),
(47,1848,3),
(47,2099,1),
(47,2283,3),
(47,2075,2),
(47,2076,2),
(47,1824,2),
(47,1823,1),
(47,1806,1),
(47,1835,2),
(47,1820,1),
(47,2070,2),
(47,1795,1),
(47,1833,1),
(47,1822,1),
(47,1827,1),
(47,2079,2),
(47,2277,1),
(47,2281,2),
(47,1842,1),
(47,2190,1),
(47,1830,1),
(47,2100,1),
(47,2095,1),
(47,1788,1),
(47,1808,2),
(47,2200,4),
(47,2085,1),
(47,2193,1),
(47,2084,1),
(47,2101,1),
(47,2191,1),
(47,2091,2),
(47,2198,1),
(47,2272,1),
(47,1807,1),
(47,2089,3),
(47,2073,1),
(47,1802,2),
(47,2083,1),
(47,1790,1),
(47,2273,1),
(47,1794,1),
(47,1791,1),
(47,2195,1),
(47,2276,1),
(47,1813,1),
(47,1861,3),
(47,1934,6),
(47,2112,6),
(47,2289,6),
(47,2115,6),
(47,1882,5),
(47,1920,2),
(47,1876,4),
(47,1890,1),
(47,1893,3),
(47,2383,3),
(47,2137,2),
(47,1903,3),
(47,2132,1),
(47,2129,2),
(47,1926,4),
(47,1910,1),
(47,2121,1),
(47,1929,1),
(47,1886,1),
(47,2133,1),
(47,1937,3),
(47,2134,1),
(47,2301,3),
(47,2110,2),
(47,2111,2),
(47,1913,2),
(47,1912,1),
(47,1895,1),
(47,1924,2),
(47,1909,1),
(47,2105,2),
(47,1884,1),
(47,1922,1),
(47,1911,1),
(47,1916,1),
(47,2114,2),
(47,2295,1),
(47,2299,2),
(47,1931,1),
(47,2206,1),
(47,1919,1),
(47,2135,1),
(47,2130,1),
(47,1877,1),
(47,1897,2),
(47,2216,4),
(47,2120,1),
(47,2209,1),
(47,2119,1),
(47,2136,1),
(47,2207,1),
(47,2126,2),
(47,2214,1),
(47,2290,1),
(47,1896,1),
(47,2124,3),
(47,2108,1),
(47,1891,2),
(47,2118,1),
(47,1879,1),
(47,2291,1),
(47,1883,1),
(47,1880,1),
(47,2211,1),
(47,2294,1),
(47,1902,1),
(47,1950,3),
(47,1951,3),
(48,1974,6),
(48,2220,6),
(48,2140,6),
(48,1557,1),
(48,1558,2),
(48,1559,2),
(48,1560,1),
(48,1561,3),
(48,1562,3),
(48,1553,1),
(48,1563,1),
(48,1564,1),
(48,1565,1),
(48,1566,1),
(48,1567,4),
(48,1568,1),
(48,1556,1),
(48,1569,3),
(48,1570,1),
(48,1571,1),
(48,1572,1),
(48,1573,3),
(48,1574,2),
(48,1575,1),
(48,1576,1),
(48,1577,2),
(48,1578,1),
(48,1579,2),
(48,1580,1),
(48,1581,1),
(48,1582,2),
(48,1583,1),
(48,1584,1),
(48,1585,1),
(48,1586,4),
(48,1587,1),
(48,1588,1),
(48,1589,2),
(48,1590,3),
(48,1591,1),
(48,1592,2),
(48,1593,1),
(48,1047,2),
(48,1999,2),
(48,2147,2),
(48,2235,1),
(48,1980,2),
(48,2222,1),
(48,2146,1),
(48,1555,2),
(48,2311,1),
(48,1596,1),
(48,1993,1),
(48,1976,1),
(48,2141,1),
(48,2152,1),
(48,1599,1),
(48,2154,1),
(48,1970,2),
(48,1971,2),
(48,1595,1),
(48,2148,1),
(48,1602,2),
(48,1988,1),
(48,1990,1),
(48,1965,1),
(48,1609,1),
(48,2224,1),
(48,845,3),
(48,68,4),
(48,2009,6),
(48,2236,6),
(48,2156,6),
(48,1635,1),
(48,1636,2),
(48,1637,2),
(48,1638,1),
(48,1639,3),
(48,1640,3),
(48,1631,1),
(48,1641,1),
(48,1642,1),
(48,1643,1),
(48,1644,1),
(48,1645,4),
(48,1646,1),
(48,1634,1),
(48,1647,3),
(48,1648,1),
(48,1649,1),
(48,1650,1),
(48,1651,3),
(48,1652,2),
(48,1653,1),
(48,1654,1),
(48,1655,2),
(48,1656,1),
(48,1657,2),
(48,1658,1),
(48,1659,1),
(48,1660,2),
(48,1661,1),
(48,1662,1),
(48,1663,1),
(48,1664,4),
(48,1665,1),
(48,1666,1),
(48,1667,2),
(48,1668,3),
(48,1669,1),
(48,1670,2),
(48,1671,1),
(48,1630,2),
(48,2034,2),
(48,2163,2),
(48,2251,1),
(48,2015,2),
(48,2238,1),
(48,2162,1),
(48,1633,2),
(48,2324,1),
(48,1674,1),
(48,2028,1),
(48,2011,1),
(48,2157,1),
(48,2168,1),
(48,1677,1),
(48,2170,1),
(48,2005,2),
(48,2006,2),
(48,1673,1),
(48,2164,1),
(48,1680,2),
(48,2023,1),
(48,2025,1),
(48,2000,1),
(48,1687,1),
(48,2240,1),
(48,1704,3),
(48,2044,6),
(48,2252,6),
(48,2172,6),
(48,1714,1),
(48,1715,2),
(48,1716,2),
(48,1717,1),
(48,1718,3),
(48,1719,3),
(48,1710,1),
(48,1720,1),
(48,1721,1),
(48,1722,1),
(48,1723,1),
(48,1724,4),
(48,1725,1),
(48,1713,1),
(48,1726,3),
(48,1727,1),
(48,1728,1),
(48,1729,1),
(48,1730,3),
(48,1731,2),
(48,1732,1),
(48,1733,1),
(48,1734,2),
(48,1735,1),
(48,1736,2),
(48,1737,1),
(48,1738,1),
(48,1739,2),
(48,1740,1),
(48,1741,1),
(48,1742,1),
(48,1743,4),
(48,1744,1),
(48,1745,1),
(48,1746,2),
(48,1747,3),
(48,1748,1),
(48,1749,2),
(48,1750,1),
(48,1709,2),
(48,2069,2),
(48,2179,2),
(48,2267,1),
(48,2050,2),
(48,2254,1),
(48,2178,1),
(48,1712,2),
(48,2342,1),
(48,1753,1),
(48,2063,1),
(48,2046,1),
(48,2173,1),
(48,2184,1),
(48,1756,1),
(48,2186,1),
(48,2040,2),
(48,2041,2),
(48,1752,1),
(48,2180,1),
(48,1759,2),
(48,2058,1),
(48,2060,1),
(48,2035,1),
(48,1766,1),
(48,2256,1),
(48,1030,3),
(48,2079,6),
(48,2268,6),
(48,2188,6),
(48,1792,1),
(48,1793,2),
(48,1794,2),
(48,1795,1),
(48,1796,3),
(48,1797,3),
(48,1788,1),
(48,1798,1),
(48,1799,1),
(48,1800,1),
(48,1801,1),
(48,1802,4),
(48,1803,1),
(48,1791,1),
(48,1804,3),
(48,1805,1),
(48,1806,1),
(48,1807,1),
(48,1808,3),
(48,1809,2),
(48,1810,1),
(48,1811,1),
(48,1812,2),
(48,1813,1),
(48,1814,2),
(48,1815,1),
(48,1816,1),
(48,1817,2),
(48,1818,1),
(48,1819,1),
(48,1820,1),
(48,1821,4),
(48,1822,1),
(48,1823,1),
(48,1824,2),
(48,1825,3),
(48,1826,1),
(48,1827,2),
(48,1828,1),
(48,1787,2),
(48,2104,2),
(48,2195,2),
(48,2283,1),
(48,2085,2),
(48,2270,1),
(48,2194,1),
(48,1790,2),
(48,2359,1),
(48,1831,1),
(48,2098,1),
(48,2081,1),
(48,2189,1),
(48,2200,1),
(48,1834,1),
(48,2202,1),
(48,2075,2),
(48,2076,2),
(48,1830,1),
(48,2196,1),
(48,1837,2),
(48,2093,1),
(48,2095,1),
(48,2070,1),
(48,1844,1),
(48,2272,1),
(48,1861,3),
(48,2114,6),
(48,2286,6),
(48,2204,6),
(48,1881,1),
(48,1882,2),
(48,1883,2),
(48,1884,1),
(48,1885,3),
(48,1886,3),
(48,1877,1),
(48,1887,1),
(48,1888,1),
(48,1889,1),
(48,1890,1),
(48,1891,4),
(48,1892,1),
(48,1880,1),
(48,1893,3),
(48,1894,1),
(48,1895,1),
(48,1896,1),
(48,1897,3),
(48,1898,2),
(48,1899,1),
(48,1900,1),
(48,1901,2),
(48,1902,1),
(48,1903,2),
(48,1904,1),
(48,1905,1),
(48,1906,2),
(48,1907,1),
(48,1908,1),
(48,1909,1),
(48,1910,4),
(48,1911,1),
(48,1912,1),
(48,1913,2),
(48,1914,3),
(48,1915,1),
(48,1916,2),
(48,1917,1),
(48,1876,2),
(48,2139,2),
(48,2211,2),
(48,2301,1),
(48,2120,2),
(48,2288,1),
(48,2210,1),
(48,1879,2),
(48,2382,1),
(48,1920,1),
(48,2133,1),
(48,2116,1),
(48,2205,1),
(48,2216,1),
(48,1923,1),
(48,2218,1),
(48,2110,2),
(48,2111,2),
(48,1919,1),
(48,2212,1),
(48,1926,2),
(48,2128,1),
(48,2130,1),
(48,2105,1),
(48,1933,1),
(48,2290,1),
(48,1950,3),
(48,1951,3),
(49,1999,7),
(49,2144,6),
(49,1558,2),
(49,1571,2),
(49,1576,1),
(49,1564,1),
(49,1598,1),
(49,1966,1),
(49,1593,1),
(49,1967,1),
(49,1588,1),
(49,1968,2),
(49,1969,1),
(49,1046,3),
(49,1047,2),
(49,1560,1),
(49,1970,2),
(49,1971,2),
(49,1583,3),
(49,1965,1),
(49,1561,1),
(49,1574,2),
(49,1972,1),
(49,1973,3),
(49,1586,1),
(49,1974,1),
(49,1603,3),
(49,1584,1),
(49,1975,2),
(49,1976,1),
(49,1600,1),
(49,1977,1),
(49,1978,2),
(49,1568,2),
(49,1979,1),
(49,1980,1),
(49,1981,2),
(49,1982,3),
(49,1585,1),
(49,1983,1),
(49,1984,1),
(49,1569,1),
(49,1985,1),
(49,1986,1),
(49,1604,1),
(49,1987,1),
(49,1595,1),
(49,1566,1),
(49,1988,1),
(49,1555,3),
(49,1579,1),
(49,1989,1),
(49,1589,1),
(49,1556,2),
(49,1990,1),
(49,1559,1),
(49,1562,2),
(49,1991,1),
(49,1992,1),
(49,1572,1),
(49,1609,1),
(49,1993,1),
(49,1591,1),
(49,1994,1),
(49,1995,1),
(49,1996,1),
(49,1592,1),
(49,1997,1),
(49,1607,2),
(49,1998,1),
(49,1563,1),
(49,845,3),
(49,68,4),
(49,2034,7),
(49,2160,6),
(49,1636,2),
(49,1649,2),
(49,1654,1),
(49,1642,1),
(49,1676,1),
(49,2001,1),
(49,1671,1),
(49,2002,1),
(49,1666,1),
(49,2003,2),
(49,2004,1),
(49,1629,3),
(49,1630,2),
(49,1638,1),
(49,2005,2),
(49,2006,2),
(49,1661,3),
(49,2000,1),
(49,1639,1),
(49,1652,2),
(49,2007,1),
(49,2008,3),
(49,1664,1),
(49,2009,1),
(49,1681,3),
(49,1662,1),
(49,2010,2),
(49,2011,1),
(49,1678,1),
(49,2012,1),
(49,2013,2),
(49,1646,2),
(49,2014,1),
(49,2015,1),
(49,2016,2),
(49,2017,3),
(49,1663,1),
(49,2018,1),
(49,2019,1),
(49,1647,1),
(49,2020,1),
(49,2021,1),
(49,1682,1),
(49,2022,1),
(49,1673,1),
(49,1644,1),
(49,2023,1),
(49,1633,3),
(49,1657,1),
(49,2024,1),
(49,1667,1),
(49,1634,2),
(49,2025,1),
(49,1637,1),
(49,1640,2),
(49,2026,1),
(49,2027,1),
(49,1650,1),
(49,1687,1),
(49,2028,1),
(49,1669,1),
(49,2029,1),
(49,2030,1),
(49,2031,1),
(49,1670,1),
(49,2032,1),
(49,1685,2),
(49,2033,1),
(49,1641,1),
(49,1704,3),
(49,2069,7),
(49,2176,6),
(49,1715,2),
(49,1728,2),
(49,1733,1),
(49,1721,1),
(49,1755,1),
(49,2036,1),
(49,1750,1),
(49,2037,1),
(49,1745,1),
(49,2038,2),
(49,2039,1),
(49,1708,3),
(49,1709,2),
(49,1717,1),
(49,2040,2),
(49,2041,2),
(49,1740,3),
(49,2035,1),
(49,1718,1),
(49,1731,2),
(49,2042,1),
(49,2043,3),
(49,1743,1),
(49,2044,1),
(49,1760,3),
(49,1741,1),
(49,2045,2),
(49,2046,1),
(49,1757,1),
(49,2047,1),
(49,2048,2),
(49,1725,2),
(49,2049,1),
(49,2050,1),
(49,2051,2),
(49,2052,3),
(49,1742,1),
(49,2053,1),
(49,2054,1),
(49,1726,1),
(49,2055,1),
(49,2056,1),
(49,1761,1),
(49,2057,1),
(49,1752,1),
(49,1723,1),
(49,2058,1),
(49,1712,3),
(49,1736,1),
(49,2059,1),
(49,1746,1),
(49,1713,2),
(49,2060,1),
(49,1716,1),
(49,1719,2),
(49,2061,1),
(49,2062,1),
(49,1729,1),
(49,1766,1),
(49,2063,1),
(49,1748,1),
(49,2064,1),
(49,2065,1),
(49,2066,1),
(49,1749,1),
(49,2067,1),
(49,1764,2),
(49,2068,1),
(49,1720,1),
(49,1030,3),
(49,2104,7),
(49,2192,6),
(49,1793,2),
(49,1806,2),
(49,1811,1),
(49,1799,1),
(49,1833,1),
(49,2071,1),
(49,1828,1),
(49,2072,1),
(49,1823,1),
(49,2073,2),
(49,2074,1),
(49,1786,3),
(49,1787,2),
(49,1795,1),
(49,2075,2),
(49,2076,2),
(49,1818,3),
(49,2070,1),
(49,1796,1),
(49,1809,2),
(49,2077,1),
(49,2078,3),
(49,1821,1),
(49,2079,1),
(49,1838,3),
(49,1819,1),
(49,2080,2),
(49,2081,1),
(49,1835,1),
(49,2082,1),
(49,2083,2),
(49,1803,2),
(49,2084,1),
(49,2085,1),
(49,2086,2),
(49,2087,3),
(49,1820,1),
(49,2088,1),
(49,2089,1),
(49,1804,1),
(49,2090,1),
(49,2091,1),
(49,1839,1),
(49,2092,1),
(49,1830,1),
(49,1801,1),
(49,2093,1),
(49,1790,3),
(49,1814,1),
(49,2094,1),
(49,1824,1),
(49,1791,2),
(49,2095,1),
(49,1794,1),
(49,1797,2),
(49,2096,1),
(49,2097,1),
(49,1807,1),
(49,1844,1),
(49,2098,1),
(49,1826,1),
(49,2099,1),
(49,2100,1),
(49,2101,1),
(49,1827,1),
(49,2102,1),
(49,1842,2),
(49,2103,1),
(49,1798,1),
(49,1861,3),
(49,2139,7),
(49,2208,6),
(49,1882,2),
(49,1895,2),
(49,1900,1),
(49,1888,1),
(49,1922,1),
(49,2106,1),
(49,1917,1),
(49,2107,1),
(49,1912,1),
(49,2108,2),
(49,2109,1),
(49,1875,3),
(49,1876,2),
(49,1884,1),
(49,2110,2),
(49,2111,2),
(49,1907,3),
(49,2105,1),
(49,1885,1),
(49,1898,2),
(49,2112,1),
(49,2113,3),
(49,1910,1),
(49,2114,1),
(49,1927,3),
(49,1908,1),
(49,2115,2),
(49,2116,1),
(49,1924,1),
(49,2117,1),
(49,2118,2),
(49,1892,2),
(49,2119,1),
(49,2120,1),
(49,2121,2),
(49,2122,3),
(49,1909,1),
(49,2123,1),
(49,2124,1),
(49,1893,1),
(49,2125,1),
(49,2126,1),
(49,1928,1),
(49,2127,1),
(49,1919,1),
(49,1890,1),
(49,2128,1),
(49,1879,3),
(49,1903,1),
(49,2129,1),
(49,1913,1),
(49,1880,2),
(49,2130,1),
(49,1883,1),
(49,1886,2),
(49,2131,1),
(49,2132,1),
(49,1896,1),
(49,1933,1),
(49,2133,1),
(49,1915,1),
(49,2134,1),
(49,2135,1),
(49,2136,1),
(49,1916,1),
(49,2137,1),
(49,1931,2),
(49,2138,1),
(49,1887,1),
(49,1950,3),
(49,1951,3),
(50,1987,6),
(50,1590,7),
(50,1560,8),
(50,1046,3),
(50,1047,4),
(50,1970,3),
(50,1971,3),
(50,1583,5),
(50,1965,3),
(50,1561,2),
(50,1576,2),
(50,1575,2),
(50,1975,2),
(50,1979,1),
(50,1571,1),
(50,2140,1),
(50,1977,2),
(50,1555,1),
(50,2141,1),
(50,1605,1),
(50,2142,1),
(50,1966,1),
(50,1974,3),
(50,1599,1),
(50,1999,3),
(50,1589,3),
(50,1569,3),
(50,1584,1),
(50,1585,1),
(50,1994,1),
(50,2143,1),
(50,1557,1),
(50,1607,1),
(50,1567,3),
(50,2144,1),
(50,1562,1),
(50,1582,1),
(50,2145,1),
(50,1980,2),
(50,2146,1),
(50,1606,2),
(50,1988,1),
(50,1593,1),
(50,1587,2),
(50,1592,2),
(50,1597,2),
(50,2147,3),
(50,1991,1),
(50,2148,1),
(50,1992,2),
(50,1602,1),
(50,1601,2),
(50,1611,2),
(50,2149,1),
(50,2150,1),
(50,1983,1),
(50,2151,2),
(50,1984,1),
(50,2152,1),
(50,1997,1),
(50,1564,1),
(50,1598,1),
(50,1973,1),
(50,2153,1),
(50,2154,1),
(50,845,3),
(50,2022,6),
(50,1668,7),
(50,1638,8),
(50,1629,3),
(50,1630,4),
(50,2005,3),
(50,2006,3),
(50,1661,5),
(50,2000,3),
(50,1639,2),
(50,1654,2),
(50,1653,2),
(50,2010,2),
(50,2014,1),
(50,1649,1),
(50,2156,1),
(50,2012,2),
(50,1633,1),
(50,2157,1),
(50,1683,1),
(50,2158,1),
(50,2001,1),
(50,2009,3),
(50,1677,1),
(50,2034,3),
(50,1667,3),
(50,1647,3),
(50,1662,1),
(50,1663,1),
(50,2029,1),
(50,2159,1),
(50,1635,1),
(50,1685,1),
(50,1645,3),
(50,2160,1),
(50,1640,1),
(50,1660,1),
(50,2161,1),
(50,2015,2),
(50,2162,1),
(50,1684,2),
(50,2023,1),
(50,1671,1),
(50,1665,2),
(50,1670,2),
(50,1675,2),
(50,2163,3),
(50,2026,1),
(50,2164,1),
(50,2027,2),
(50,1680,1),
(50,1679,2),
(50,1689,2),
(50,2165,1),
(50,2166,1),
(50,2018,1),
(50,2167,2),
(50,2019,1),
(50,2168,1),
(50,2032,1),
(50,1642,1),
(50,1676,1),
(50,2008,1),
(50,2169,1),
(50,2170,1),
(50,1704,3),
(50,2057,6),
(50,1747,7),
(50,1717,8),
(50,1708,3),
(50,1709,4),
(50,2040,3),
(50,2041,3),
(50,1740,5),
(50,2035,3),
(50,1718,2),
(50,1733,2),
(50,1732,2),
(50,2045,2),
(50,2049,1),
(50,1728,1),
(50,2172,1),
(50,2047,2),
(50,1712,1),
(50,2173,1),
(50,1762,1),
(50,2174,1),
(50,2036,1),
(50,2044,3),
(50,1756,1),
(50,2069,3),
(50,1746,3),
(50,1726,3),
(50,1741,1),
(50,1742,1),
(50,2064,1),
(50,2175,1),
(50,1714,1),
(50,1764,1),
(50,1724,3),
(50,2176,1),
(50,1719,1),
(50,1739,1),
(50,2177,1),
(50,2050,2),
(50,2178,1),
(50,1763,2),
(50,2058,1),
(50,1750,1),
(50,1744,2),
(50,1749,2),
(50,1754,2),
(50,2179,3),
(50,2061,1),
(50,2180,1),
(50,2062,2),
(50,1759,1),
(50,1758,2),
(50,1768,2),
(50,2181,1),
(50,2182,1),
(50,2053,1),
(50,2183,2),
(50,2054,1),
(50,2184,1),
(50,2067,1),
(50,1721,1),
(50,1755,1),
(50,2043,1),
(50,2185,1),
(50,2186,1),
(50,1030,3),
(50,2092,6),
(50,1825,7),
(50,1795,8),
(50,1786,3),
(50,1787,4),
(50,2075,3),
(50,2076,3),
(50,1818,5),
(50,2070,3),
(50,1796,2),
(50,1811,2),
(50,1810,2),
(50,2080,2),
(50,2084,1),
(50,1806,1),
(50,2188,1),
(50,2082,2),
(50,1790,1),
(50,2189,1),
(50,1840,1),
(50,2190,1),
(50,2071,1),
(50,2079,3),
(50,1834,1),
(50,2104,3),
(50,1824,3),
(50,1804,3),
(50,1819,1),
(50,1820,1),
(50,2099,1),
(50,2191,1),
(50,1792,1),
(50,1842,1),
(50,1802,3),
(50,2192,1),
(50,1797,1),
(50,1817,1),
(50,2193,1),
(50,2085,2),
(50,2194,1),
(50,1841,2),
(50,2093,1),
(50,1828,1),
(50,1822,2),
(50,1827,2),
(50,1832,2),
(50,2195,3),
(50,2096,1),
(50,2196,1),
(50,2097,2),
(50,1837,1),
(50,1836,2),
(50,1846,2),
(50,2197,1),
(50,2198,1),
(50,2088,1),
(50,2199,2),
(50,2089,1),
(50,2200,1),
(50,2102,1),
(50,1799,1),
(50,1833,1),
(50,2078,1),
(50,2201,1),
(50,2202,1),
(50,1861,3),
(50,2127,6),
(50,1914,7),
(50,1884,8),
(50,1875,3),
(50,1876,4),
(50,2110,3),
(50,2111,3),
(50,1907,5),
(50,2105,3),
(50,1885,2),
(50,1900,2),
(50,1899,2),
(50,2115,2),
(50,2119,1),
(50,1895,1),
(50,2204,1),
(50,2117,2),
(50,1879,1),
(50,2205,1),
(50,1929,1),
(50,2206,1),
(50,2106,1),
(50,2114,3),
(50,1923,1),
(50,2139,3),
(50,1913,3),
(50,1893,3),
(50,1908,1),
(50,1909,1),
(50,2134,1),
(50,2207,1),
(50,1881,1),
(50,1931,1),
(50,1891,3),
(50,2208,1),
(50,1886,1),
(50,1906,1),
(50,2209,1),
(50,2120,2),
(50,2210,1),
(50,1930,2),
(50,2128,1),
(50,1917,1),
(50,1911,2),
(50,1916,2),
(50,1921,2),
(50,2211,3),
(50,2131,1),
(50,2212,1),
(50,2132,2),
(50,1926,1),
(50,1925,2),
(50,1935,2),
(50,2213,1),
(50,2214,1),
(50,2123,1),
(50,2215,2),
(50,2124,1),
(50,2216,1),
(50,2137,1),
(50,1888,1),
(50,1922,1),
(50,2113,1),
(50,2217,1),
(50,2218,1),
(50,1950,3),
(50,1951,3),
(51,1991,7),
(51,2227,8),
(51,1589,1),
(51,1995,1),
(51,1610,1),
(51,1601,1),
(51,1572,2),
(51,2221,2),
(51,1973,2),
(51,1563,2),
(51,1578,1),
(51,2222,3),
(51,1993,3),
(51,1591,1),
(51,1554,2),
(51,2151,1),
(51,1587,1),
(51,1557,1),
(51,1555,1),
(51,2149,1),
(51,1573,2),
(51,2143,2),
(51,2223,2),
(51,1974,2),
(51,1966,1),
(51,2224,2),
(51,1607,2),
(51,1990,1),
(51,1985,1),
(51,2154,1),
(51,1574,2),
(51,1583,2),
(51,1584,1),
(51,1567,2),
(51,1975,1),
(51,1568,2),
(51,2140,1),
(51,1597,1),
(51,1556,1),
(51,2225,1),
(51,1590,1),
(51,2226,1),
(51,1561,1),
(51,1564,2),
(51,2228,1),
(51,1598,2),
(51,1575,1),
(51,2229,1),
(51,1612,1),
(51,2152,3),
(51,1566,1),
(51,1608,2),
(51,1599,1),
(51,1580,1),
(51,2144,2),
(51,1604,1),
(51,1988,1),
(51,1559,1),
(51,2230,1),
(51,1565,1),
(51,1976,1),
(51,2231,1),
(51,1998,1),
(51,2142,1),
(51,2232,1),
(51,1970,1),
(51,1971,1),
(51,2233,1),
(51,2234,1),
(51,1989,1),
(51,1969,1),
(51,2235,2),
(51,1600,1),
(51,1593,1),
(51,1047,1),
(51,1999,1),
(51,845,3),
(51,2026,7),
(51,2243,8),
(51,1667,1),
(51,2030,1),
(51,1688,1),
(51,1679,1),
(51,1650,2),
(51,2237,2),
(51,2008,2),
(51,1641,2),
(51,1656,1),
(51,2238,3),
(51,2028,3),
(51,1669,1),
(51,1632,2),
(51,2167,1),
(51,1665,1),
(51,1635,1),
(51,1633,1),
(51,2165,1),
(51,1651,2),
(51,2159,2),
(51,2239,2),
(51,2009,2),
(51,2001,1),
(51,2240,2),
(51,1685,2),
(51,2025,1),
(51,2020,1),
(51,2170,1),
(51,1652,2),
(51,1661,2),
(51,1662,1),
(51,1645,2),
(51,2010,1),
(51,1646,2),
(51,2156,1),
(51,1675,1),
(51,1634,1),
(51,2241,1),
(51,1668,1),
(51,2242,1),
(51,1639,1),
(51,1642,2),
(51,2244,1),
(51,1676,2),
(51,1653,1),
(51,2245,1),
(51,1690,1),
(51,2168,3),
(51,1644,1),
(51,1686,2),
(51,1677,1),
(51,1658,1),
(51,2160,2),
(51,1682,1),
(51,2023,1),
(51,1637,1),
(51,2246,1),
(51,1643,1),
(51,2011,1),
(51,2247,1),
(51,2033,1),
(51,2158,1),
(51,2248,1),
(51,2005,1),
(51,2006,1),
(51,2249,1),
(51,2250,1),
(51,2024,1),
(51,2004,1),
(51,2251,2),
(51,1678,1),
(51,1671,1),
(51,1630,1),
(51,2034,1),
(51,1704,3),
(51,2061,7),
(51,2259,8),
(51,1746,1),
(51,2065,1),
(51,1767,1),
(51,1758,1),
(51,1729,2),
(51,2253,2),
(51,2043,2),
(51,1720,2),
(51,1735,1),
(51,2254,3),
(51,2063,3),
(51,1748,1),
(51,1711,2),
(51,2183,1),
(51,1744,1),
(51,1714,1),
(51,1712,1),
(51,2181,1),
(51,1730,2),
(51,2175,2),
(51,2255,2),
(51,2044,2),
(51,2036,1),
(51,2256,2),
(51,1764,2),
(51,2060,1),
(51,2055,1),
(51,2186,1),
(51,1731,2),
(51,1740,2),
(51,1741,1),
(51,1724,2),
(51,2045,1),
(51,1725,2),
(51,2172,1),
(51,1754,1),
(51,1713,1),
(51,2257,1),
(51,1747,1),
(51,2258,1),
(51,1718,1),
(51,1721,2),
(51,2260,1),
(51,1755,2),
(51,1732,1),
(51,2261,1),
(51,1769,1),
(51,2184,3),
(51,1723,1),
(51,1765,2),
(51,1756,1),
(51,1737,1),
(51,2176,2),
(51,1761,1),
(51,2058,1),
(51,1716,1),
(51,2262,1),
(51,1722,1),
(51,2046,1),
(51,2263,1),
(51,2068,1),
(51,2174,1),
(51,2264,1),
(51,2040,1),
(51,2041,1),
(51,2265,1),
(51,2266,1),
(51,2059,1),
(51,2039,1),
(51,2267,2),
(51,1757,1),
(51,1750,1),
(51,1709,1),
(51,2069,1),
(51,1030,3),
(51,2096,7),
(51,2275,8),
(51,1824,1),
(51,2100,1),
(51,1845,1),
(51,1836,1),
(51,1807,2),
(51,2269,2),
(51,2078,2),
(51,1798,2),
(51,1813,1),
(51,2270,3),
(51,2098,3),
(51,1826,1),
(51,1789,2),
(51,2199,1),
(51,1822,1),
(51,1792,1),
(51,1790,1),
(51,2197,1),
(51,1808,2),
(51,2191,2),
(51,2271,2),
(51,2079,2),
(51,2071,1),
(51,2272,2),
(51,1842,2),
(51,2095,1),
(51,2090,1),
(51,2202,1),
(51,1809,2),
(51,1818,2),
(51,1819,1),
(51,1802,2),
(51,2080,1),
(51,1803,2),
(51,2188,1),
(51,1832,1),
(51,1791,1),
(51,2273,1),
(51,1825,1),
(51,2274,1),
(51,1796,1),
(51,1799,2),
(51,2276,1),
(51,1833,2),
(51,1810,1),
(51,2277,1),
(51,1847,1),
(51,2200,3),
(51,1801,1),
(51,1843,2),
(51,1834,1),
(51,1815,1),
(51,2192,2),
(51,1839,1),
(51,2093,1),
(51,1794,1),
(51,2278,1),
(51,1800,1),
(51,2081,1),
(51,2279,1),
(51,2103,1),
(51,2190,1),
(51,2280,1),
(51,2075,1),
(51,2076,1),
(51,2281,1),
(51,2282,1),
(51,2094,1),
(51,2074,1),
(51,2283,2),
(51,1835,1),
(51,1828,1),
(51,1787,1),
(51,2104,1),
(51,1861,3),
(51,2131,7),
(51,2293,8),
(51,1913,1),
(51,2135,1),
(51,1934,1),
(51,1925,1),
(51,1896,2),
(51,2287,2),
(51,2113,2),
(51,1887,2),
(51,1902,1),
(51,2288,3),
(51,2133,3),
(51,1915,1),
(51,1878,2),
(51,2215,1),
(51,1911,1),
(51,1881,1),
(51,1879,1),
(51,2213,1),
(51,1897,2),
(51,2207,2),
(51,2289,2),
(51,2114,2),
(51,2106,1),
(51,2290,2),
(51,1931,2),
(51,2130,1),
(51,2125,1),
(51,2218,1),
(51,1898,2),
(51,1907,2),
(51,1908,1),
(51,1891,2),
(51,2115,1),
(51,1892,2),
(51,2204,1),
(51,1921,1),
(51,1880,1),
(51,2291,1),
(51,1914,1),
(51,2292,1),
(51,1885,1),
(51,1888,2),
(51,2294,1),
(51,1922,2),
(51,1899,1),
(51,2295,1),
(51,1936,1),
(51,2216,3),
(51,1890,1),
(51,1932,2),
(51,1923,1),
(51,1904,1),
(51,2208,2),
(51,1928,1),
(51,2128,1),
(51,1883,1),
(51,2296,1),
(51,1889,1),
(51,2116,1),
(51,2297,1),
(51,2138,1),
(51,2206,1),
(51,2298,1),
(51,2110,1),
(51,2111,1),
(51,2299,1),
(51,2300,1),
(51,2129,1),
(51,2109,1),
(51,2301,2),
(51,1924,1),
(51,1917,1),
(51,1876,1),
(51,2139,1),
(51,1950,3),
(51,1951,3),
(52,1579,7),
(52,1593,6),
(52,1993,3),
(52,1608,4),
(52,1555,1),
(52,1980,1),
(52,2304,1),
(52,1599,2),
(52,1558,2),
(52,2305,1),
(52,1987,1),
(52,1986,2),
(52,2306,1),
(52,2307,1),
(52,2154,1),
(52,2308,1),
(52,2309,1),
(52,2148,1),
(52,1592,2),
(52,1999,1),
(52,2310,2),
(52,2229,1),
(52,2145,1),
(52,1966,1),
(52,1567,2),
(52,1569,1),
(52,1605,4),
(52,2311,2),
(52,2146,1),
(52,2140,1),
(52,1604,2),
(52,2234,2),
(52,2312,1),
(52,1598,5),
(52,1559,1),
(52,1970,3),
(52,1971,3),
(52,1573,1),
(52,1615,1),
(52,1616,1),
(52,1617,1),
(52,1618,1),
(52,1619,1),
(52,1620,1),
(52,1621,1),
(52,1989,1),
(52,1992,2),
(52,1588,1),
(52,2153,3),
(52,2150,1),
(52,1581,1),
(52,1574,1),
(52,1990,1),
(52,2149,1),
(52,2232,1),
(52,1975,1),
(52,2147,2),
(52,2152,3),
(52,1988,1),
(52,1974,3),
(52,1967,1),
(52,1575,1),
(52,1601,1),
(52,1610,1),
(52,1973,1),
(52,1997,1),
(52,1613,1),
(52,1582,1),
(52,1560,1),
(52,1982,1),
(52,1587,1),
(52,2226,1),
(52,1995,1),
(52,2313,1),
(52,845,3),
(52,1657,7),
(52,1671,6),
(52,2028,3),
(52,1686,4),
(52,1633,1),
(52,2015,1),
(52,2317,1),
(52,1677,2),
(52,1636,2),
(52,2318,1),
(52,2022,1),
(52,2021,2),
(52,2319,1),
(52,2320,1),
(52,2170,1),
(52,2321,1),
(52,2322,1),
(52,2164,1),
(52,1670,2),
(52,2034,1),
(52,2323,2),
(52,2245,1),
(52,2161,1),
(52,2001,1),
(52,1645,2),
(52,1647,1),
(52,1683,4),
(52,2324,2),
(52,2162,1),
(52,2156,1),
(52,1682,2),
(52,2250,2),
(52,2325,1),
(52,1676,5),
(52,1637,1),
(52,2005,3),
(52,2006,3),
(52,1651,1),
(52,1693,1),
(52,1694,1),
(52,1695,1),
(52,1696,1),
(52,1697,1),
(52,1698,1),
(52,1699,1),
(52,2024,1),
(52,2027,2),
(52,1666,1),
(52,2169,3),
(52,2166,1),
(52,1659,1),
(52,1652,1),
(52,2025,1),
(52,2165,1),
(52,2248,1),
(52,2010,1),
(52,2163,2),
(52,2168,3),
(52,2023,1),
(52,2009,3),
(52,2002,1),
(52,1653,1),
(52,1679,1),
(52,1688,1),
(52,2008,1),
(52,2032,1),
(52,1691,1),
(52,1660,1),
(52,1638,1),
(52,2017,1),
(52,1665,1),
(52,2242,1),
(52,2030,1),
(52,2326,1),
(52,1704,3),
(52,1736,7),
(52,1750,6),
(52,2063,3),
(52,1765,4),
(52,1712,1),
(52,2050,1),
(52,2335,1),
(52,1756,2),
(52,1715,2),
(52,2336,1),
(52,2057,1),
(52,2056,2),
(52,2337,1),
(52,2338,1),
(52,2186,1),
(52,2339,1),
(52,2340,1),
(52,2180,1),
(52,1749,2),
(52,2069,1),
(52,2341,2),
(52,2261,1),
(52,2177,1),
(52,2036,1),
(52,1724,2),
(52,1726,1),
(52,1762,4),
(52,2342,2),
(52,2178,1),
(52,2172,1),
(52,1761,2),
(52,2266,2),
(52,2343,1),
(52,1755,5),
(52,1716,1),
(52,2040,3),
(52,2041,3),
(52,1730,1),
(52,1772,1),
(52,1773,1),
(52,1774,1),
(52,1775,1),
(52,1776,1),
(52,1777,1),
(52,1778,1),
(52,2059,1),
(52,2062,2),
(52,1745,1),
(52,2185,3),
(52,2182,1),
(52,1738,1),
(52,1731,1),
(52,2060,1),
(52,2181,1),
(52,2264,1),
(52,2045,1),
(52,2179,2),
(52,2184,3),
(52,2058,1),
(52,2044,3),
(52,2037,1),
(52,1732,1),
(52,1758,1),
(52,1767,1),
(52,2043,1),
(52,2067,1),
(52,1770,1),
(52,1739,1),
(52,1717,1),
(52,2052,1),
(52,1744,1),
(52,2258,1),
(52,2065,1),
(52,2344,1),
(52,1030,3),
(52,1814,7),
(52,1828,6),
(52,2098,3),
(52,1843,4),
(52,1790,1),
(52,2085,1),
(52,2352,1),
(52,1834,2),
(52,1793,2),
(52,2353,1),
(52,2092,1),
(52,2091,2),
(52,2354,1),
(52,2355,1),
(52,2202,1),
(52,2356,1),
(52,2357,1),
(52,2196,1),
(52,1827,2),
(52,2104,1),
(52,2358,2),
(52,2277,1),
(52,2193,1),
(52,2071,1),
(52,1802,2),
(52,1804,1),
(52,1840,4),
(52,2359,2),
(52,2194,1),
(52,2188,1),
(52,1839,2),
(52,2282,2),
(52,2360,1),
(52,1833,5),
(52,1794,1),
(52,2075,3),
(52,2076,3),
(52,1808,1),
(52,1850,1),
(52,1851,1),
(52,1852,1),
(52,1853,1),
(52,1854,1),
(52,1855,1),
(52,1856,1),
(52,2094,1),
(52,2097,2),
(52,1823,1),
(52,2201,3),
(52,2198,1),
(52,1816,1),
(52,1809,1),
(52,2095,1),
(52,2197,1),
(52,2280,1),
(52,2080,1),
(52,2195,2),
(52,2200,3),
(52,2093,1),
(52,2079,3),
(52,2072,1),
(52,1810,1),
(52,1836,1),
(52,1845,1),
(52,2078,1),
(52,2102,1),
(52,1848,1),
(52,1817,1),
(52,1795,1),
(52,2087,1),
(52,1822,1),
(52,2274,1),
(52,2100,1),
(52,2361,1),
(52,1861,3),
(52,1903,7),
(52,1917,6),
(52,2133,3),
(52,1932,4),
(52,1879,1),
(52,2120,1),
(52,2375,1),
(52,1923,2),
(52,1882,2),
(52,2376,1),
(52,2127,1),
(52,2126,2),
(52,2377,1),
(52,2378,1),
(52,2218,1),
(52,2379,1),
(52,2380,1),
(52,2212,1),
(52,1916,2),
(52,2139,1),
(52,2381,2),
(52,2295,1),
(52,2209,1),
(52,2106,1),
(52,1891,2),
(52,1893,1),
(52,1929,4),
(52,2382,2),
(52,2210,1),
(52,2204,1),
(52,1928,2),
(52,2300,2),
(52,2383,1),
(52,1922,5),
(52,1883,1),
(52,2110,3),
(52,2111,3),
(52,1897,1),
(52,1939,1),
(52,1940,1),
(52,1941,1),
(52,1942,1),
(52,1943,1),
(52,1944,1),
(52,1945,1),
(52,2129,1),
(52,2132,2),
(52,1912,1),
(52,2217,3),
(52,2214,1),
(52,1905,1),
(52,1898,1),
(52,2130,1),
(52,2213,1),
(52,2298,1),
(52,2115,1),
(52,2211,2),
(52,2216,3),
(52,2128,1),
(52,2114,3),
(52,2107,1),
(52,1899,1),
(52,1925,1),
(52,1934,1),
(52,2113,1),
(52,2137,1),
(52,1937,1),
(52,1906,1),
(52,1884,1),
(52,2122,1),
(52,1911,1),
(52,2292,1),
(52,2135,1),
(52,2384,1),
(52,1950,3),
(52,1951,3),
(53,1558,8),
(53,1578,7),
(53,1967,1),
(53,1981,1),
(53,2224,2),
(53,2220,1),
(53,1586,1),
(53,1976,1),
(53,1974,2),
(53,1614,1),
(53,1980,2),
(53,1970,2),
(53,1971,2),
(53,1982,1),
(53,1603,1),
(53,1613,3),
(53,1592,2),
(53,2151,1),
(53,1569,3),
(53,2313,1),
(53,1605,2),
(53,2141,1),
(53,1047,2),
(53,1991,1),
(53,2310,1),
(53,1606,1),
(53,1579,2),
(53,2399,1),
(53,2400,1),
(53,2401,1),
(53,2402,1),
(53,2403,1),
(53,2404,1),
(53,2405,2),
(53,2406,1),
(53,2407,1),
(53,2408,1),
(53,2409,1),
(53,1998,1),
(53,2228,2),
(53,1995,3),
(53,1983,1),
(53,1046,1),
(53,2304,1),
(53,2233,2),
(53,1607,1),
(53,2142,1),
(53,1595,1),
(53,1990,1),
(53,1553,1),
(53,1573,2),
(53,2152,4),
(53,2145,1),
(53,1979,1),
(53,1996,1),
(53,2143,1),
(53,1986,2),
(53,2150,1),
(53,1596,1),
(53,2235,2),
(53,1572,1),
(53,1984,3),
(53,1997,1),
(53,2312,1),
(53,1968,1),
(53,1567,2),
(53,1978,1),
(53,1965,1),
(53,1555,1),
(53,2225,1),
(53,1600,1),
(53,1559,1),
(53,1556,1),
(53,2147,1),
(53,845,3),
(53,1636,8),
(53,1656,7),
(53,2002,1),
(53,2016,1),
(53,2240,2),
(53,2236,1),
(53,1664,1),
(53,2011,1),
(53,2009,2),
(53,1692,1),
(53,2015,2),
(53,2005,2),
(53,2006,2),
(53,2017,1),
(53,1681,1),
(53,1691,3),
(53,1670,2),
(53,2167,1),
(53,1647,3),
(53,2326,1),
(53,1683,2),
(53,2157,1),
(53,1630,2),
(53,2026,1),
(53,2323,1),
(53,1684,1),
(53,1657,2),
(53,2410,1),
(53,2411,1),
(53,2412,1),
(53,2413,1),
(53,2414,1),
(53,2415,1),
(53,2416,2),
(53,2417,1),
(53,2418,1),
(53,2419,1),
(53,2420,1),
(53,2033,1),
(53,2244,2),
(53,2030,3),
(53,2018,1),
(53,1629,1),
(53,2317,1),
(53,2249,2),
(53,1685,1),
(53,2158,1),
(53,1673,1),
(53,2025,1),
(53,1631,1),
(53,1651,2),
(53,2168,4),
(53,2161,1),
(53,2014,1),
(53,2031,1),
(53,2159,1),
(53,2021,2),
(53,2166,1),
(53,1674,1),
(53,2251,2),
(53,1650,1),
(53,2019,3),
(53,2032,1),
(53,2325,1),
(53,2003,1),
(53,1645,2),
(53,2013,1),
(53,2000,1),
(53,1633,1),
(53,2241,1),
(53,1678,1),
(53,1637,1),
(53,1634,1),
(53,2163,1),
(53,1704,3),
(53,1715,8),
(53,1735,7),
(53,2037,1),
(53,2051,1),
(53,2256,2),
(53,2252,1),
(53,1743,1),
(53,2046,1),
(53,2044,2),
(53,1771,1),
(53,2050,2),
(53,2040,2),
(53,2041,2),
(53,2052,1),
(53,1760,1),
(53,1770,3),
(53,1749,2),
(53,2183,1),
(53,1726,3),
(53,2344,1),
(53,1762,2),
(53,2173,1),
(53,1709,2),
(53,2061,1),
(53,2341,1),
(53,1763,1),
(53,1736,2),
(53,2421,1),
(53,2422,1),
(53,2423,1),
(53,2424,1),
(53,2425,1),
(53,2426,1),
(53,2427,2),
(53,2428,1),
(53,2429,1),
(53,2430,1),
(53,2431,1),
(53,2068,1),
(53,2260,2),
(53,2065,3),
(53,2053,1),
(53,1708,1),
(53,2335,1),
(53,2265,2),
(53,1764,1),
(53,2174,1),
(53,1752,1),
(53,2060,1),
(53,1710,1),
(53,1730,2),
(53,2184,4),
(53,2177,1),
(53,2049,1),
(53,2066,1),
(53,2175,1),
(53,2056,2),
(53,2182,1),
(53,1753,1),
(53,2267,2),
(53,1729,1),
(53,2054,3),
(53,2067,1),
(53,2343,1),
(53,2038,1),
(53,1724,2),
(53,2048,1),
(53,2035,1),
(53,1712,1),
(53,2257,1),
(53,1757,1),
(53,1716,1),
(53,1713,1),
(53,2179,1),
(53,1030,3),
(53,1793,8),
(53,1813,7),
(53,2072,1),
(53,2086,1),
(53,2272,2),
(53,2268,1),
(53,1821,1),
(53,2081,1),
(53,2079,2),
(53,1849,1),
(53,2085,2),
(53,2075,2),
(53,2076,2),
(53,2087,1),
(53,1838,1),
(53,1848,3),
(53,1827,2),
(53,2199,1),
(53,1804,3),
(53,2361,1),
(53,1840,2),
(53,2189,1),
(53,1787,2),
(53,2096,1),
(53,2358,1),
(53,1841,1),
(53,1814,2),
(53,2432,1),
(53,2433,1),
(53,2434,1),
(53,2435,1),
(53,2436,1),
(53,2437,1),
(53,2438,2),
(53,2439,1),
(53,2440,1),
(53,2441,1),
(53,2442,1),
(53,2103,1),
(53,2276,2),
(53,2100,3),
(53,2088,1),
(53,1786,1),
(53,2352,1),
(53,2281,2),
(53,1842,1),
(53,2190,1),
(53,1830,1),
(53,2095,1),
(53,1788,1),
(53,1808,2),
(53,2200,4),
(53,2193,1),
(53,2084,1),
(53,2101,1),
(53,2191,1),
(53,2091,2),
(53,2198,1),
(53,1831,1),
(53,2283,2),
(53,1807,1),
(53,2089,3),
(53,2102,1),
(53,2360,1),
(53,2073,1),
(53,1802,2),
(53,2083,1),
(53,2070,1),
(53,1790,1),
(53,2273,1),
(53,1835,1),
(53,1794,1),
(53,1791,1),
(53,2195,1),
(53,1861,3),
(53,1882,8),
(53,1902,7),
(53,2107,1),
(53,2121,1),
(53,2290,2),
(53,2286,1),
(53,1910,1),
(53,2116,1),
(53,2114,2),
(53,1938,1),
(53,2120,2),
(53,2110,2),
(53,2111,2),
(53,2122,1),
(53,1927,1),
(53,1937,3),
(53,1916,2),
(53,2215,1),
(53,1893,3),
(53,2384,1),
(53,1929,2),
(53,2205,1),
(53,1876,2),
(53,2131,1),
(53,2381,1),
(53,1930,1),
(53,1903,2),
(53,2443,1),
(53,2444,1),
(53,2445,1),
(53,2446,1),
(53,2447,1),
(53,2448,1),
(53,2449,2),
(53,2450,1),
(53,2451,1),
(53,2452,1),
(53,2453,1),
(53,2138,1),
(53,2294,2),
(53,2135,3),
(53,2123,1),
(53,1875,1),
(53,2375,1),
(53,2299,2),
(53,1931,1),
(53,2206,1),
(53,1919,1),
(53,2130,1),
(53,1877,1),
(53,1897,2),
(53,2216,4),
(53,2209,1),
(53,2119,1),
(53,2136,1),
(53,2207,1),
(53,2126,2),
(53,2214,1),
(53,1920,1),
(53,2301,2),
(53,1896,1),
(53,2124,3),
(53,2137,1),
(53,2383,1),
(53,2108,1),
(53,1891,2),
(53,2118,1),
(53,2105,1),
(53,1879,1),
(53,2291,1),
(53,1924,1),
(53,1883,1),
(53,1880,1),
(53,2211,1),
(53,1950,3),
(53,1951,3),
(54,2222,9),
(54,1590,8),
(54,2147,9),
(54,1993,3),
(54,1965,2),
(54,1973,1),
(54,1569,1),
(54,1966,1),
(54,1567,4),
(54,2232,1),
(54,2234,1),
(54,1592,2),
(54,1992,1),
(54,1555,3),
(54,2312,1),
(54,1560,1),
(54,2146,2),
(54,1611,1),
(54,1573,2),
(54,1563,1),
(54,2226,1),
(54,1598,3),
(54,1577,3),
(54,1602,3),
(54,2152,2),
(54,1977,1),
(54,1999,3),
(54,1994,1),
(54,1047,3),
(54,1970,3),
(54,1971,3),
(54,2229,1),
(54,1599,2),
(54,1558,2),
(54,2149,1),
(54,1566,1),
(54,1986,1),
(54,1595,2),
(54,1575,1),
(54,1984,1),
(54,1572,1),
(54,2224,2),
(54,1593,1),
(54,1607,2),
(54,1584,1),
(54,1589,3),
(54,2231,1),
(54,1983,1),
(54,1562,1),
(54,1582,1),
(54,2235,1),
(54,1980,2),
(54,2311,1),
(54,1596,1),
(54,1976,1),
(54,2141,1),
(54,2154,1),
(54,2148,1),
(54,1586,2),
(54,1574,1),
(54,1561,2),
(54,1988,1),
(54,1990,1),
(54,1609,1),
(54,1579,1),
(54,845,3),
(54,2238,9),
(54,1668,8),
(54,2163,9),
(54,2028,3),
(54,2000,2),
(54,2008,1),
(54,1647,1),
(54,2001,1),
(54,1645,4),
(54,2248,1),
(54,2250,1),
(54,1670,2),
(54,2027,1),
(54,1633,3),
(54,2325,1),
(54,1638,1),
(54,2162,2),
(54,1689,1),
(54,1651,2),
(54,1641,1),
(54,2242,1),
(54,1676,3),
(54,1655,3),
(54,1680,3),
(54,2168,2),
(54,2012,1),
(54,2034,3),
(54,2029,1),
(54,1630,3),
(54,2005,3),
(54,2006,3),
(54,2245,1),
(54,1677,2),
(54,1636,2),
(54,2165,1),
(54,1644,1),
(54,2021,1),
(54,1673,2),
(54,1653,1),
(54,2019,1),
(54,1650,1),
(54,2240,2),
(54,1671,1),
(54,1685,2),
(54,1662,1),
(54,1667,3),
(54,2247,1),
(54,2018,1),
(54,1640,1),
(54,1660,1),
(54,2251,1),
(54,2015,2),
(54,2324,1),
(54,1674,1),
(54,2011,1),
(54,2157,1),
(54,2170,1),
(54,2164,1),
(54,1664,2),
(54,1652,1),
(54,1639,2),
(54,2023,1),
(54,2025,1),
(54,1687,1),
(54,1657,1),
(54,1704,3),
(54,2254,9),
(54,1747,8),
(54,2179,9),
(54,2063,3),
(54,2035,2),
(54,2043,1),
(54,1726,1),
(54,2036,1),
(54,1724,4),
(54,2264,1),
(54,2266,1),
(54,1749,2),
(54,2062,1),
(54,1712,3),
(54,2343,1),
(54,1717,1),
(54,2178,2),
(54,1768,1),
(54,1730,2),
(54,1720,1),
(54,2258,1),
(54,1755,3),
(54,1734,3),
(54,1759,3),
(54,2184,2),
(54,2047,1),
(54,2069,3),
(54,2064,1),
(54,1709,3),
(54,2040,3),
(54,2041,3),
(54,2261,1),
(54,1756,2),
(54,1715,2),
(54,2181,1),
(54,1723,1),
(54,2056,1),
(54,1752,2),
(54,1732,1),
(54,2054,1),
(54,1729,1),
(54,2256,2),
(54,1750,1),
(54,1764,2),
(54,1741,1),
(54,1746,3),
(54,2263,1),
(54,2053,1),
(54,1719,1),
(54,1739,1),
(54,2267,1),
(54,2050,2),
(54,2342,1),
(54,1753,1),
(54,2046,1),
(54,2173,1),
(54,2186,1),
(54,2180,1),
(54,1743,2),
(54,1731,1),
(54,1718,2),
(54,2058,1),
(54,2060,1),
(54,1766,1),
(54,1736,1),
(54,1030,3),
(54,2270,9),
(54,1825,8),
(54,2195,9),
(54,2098,3),
(54,2070,2),
(54,2078,1),
(54,1804,1),
(54,2071,1),
(54,1802,4),
(54,2280,1),
(54,2282,1),
(54,1827,2),
(54,2097,1),
(54,1790,3),
(54,2360,1),
(54,1795,1),
(54,2194,2),
(54,1846,1),
(54,1808,2),
(54,1798,1),
(54,2274,1),
(54,1833,3),
(54,1812,3),
(54,1837,3),
(54,2200,2),
(54,2082,1),
(54,2104,3),
(54,2099,1),
(54,1787,3),
(54,2075,3),
(54,2076,3),
(54,2277,1),
(54,1834,2),
(54,1793,2),
(54,2197,1),
(54,1801,1),
(54,2091,1),
(54,1830,2),
(54,1810,1),
(54,2089,1),
(54,1807,1),
(54,2272,2),
(54,1828,1),
(54,1842,2),
(54,1819,1),
(54,1824,3),
(54,2279,1),
(54,2088,1),
(54,1797,1),
(54,1817,1),
(54,2283,1),
(54,2085,2),
(54,2359,1),
(54,1831,1),
(54,2081,1),
(54,2189,1),
(54,2202,1),
(54,2196,1),
(54,1821,2),
(54,1809,1),
(54,1796,2),
(54,2093,1),
(54,2095,1),
(54,1844,1),
(54,1814,1),
(54,1861,3),
(54,2288,9),
(54,1914,8),
(54,2211,9),
(54,2133,3),
(54,2105,2),
(54,2113,1),
(54,1893,1),
(54,2106,1),
(54,1891,4),
(54,2298,1),
(54,2300,1),
(54,1916,2),
(54,2132,1),
(54,1879,3),
(54,2383,1),
(54,1884,1),
(54,2210,2),
(54,1935,1),
(54,1897,2),
(54,1887,1),
(54,2292,1),
(54,1922,3),
(54,1901,3),
(54,1926,3),
(54,2216,2),
(54,2117,1),
(54,2139,3),
(54,2134,1),
(54,1876,3),
(54,2110,3),
(54,2111,3),
(54,2295,1),
(54,1923,2),
(54,1882,2),
(54,2213,1),
(54,1890,1),
(54,2126,1),
(54,1919,2),
(54,1899,1),
(54,2124,1),
(54,1896,1),
(54,2290,2),
(54,1917,1),
(54,1931,2),
(54,1908,1),
(54,1913,3),
(54,2297,1),
(54,2123,1),
(54,1886,1),
(54,1906,1),
(54,2301,1),
(54,2120,2),
(54,2382,1),
(54,1920,1),
(54,2116,1),
(54,2205,1),
(54,2218,1),
(54,2212,1),
(54,1910,2),
(54,1898,1),
(54,1885,2),
(54,2128,1),
(54,2130,1),
(54,1933,1),
(54,1903,1),
(54,1950,3),
(54,1951,3),
(55,2148,6),
(55,1575,8),
(55,1978,1),
(55,1965,2),
(55,1605,3),
(55,1560,1),
(55,1587,2),
(55,2223,1),
(55,1974,1),
(55,1976,1),
(55,1603,2),
(55,1567,2),
(55,2152,2),
(55,2224,1),
(55,2229,1),
(55,2154,1),
(55,1967,1),
(55,1607,4),
(55,2151,2),
(55,2304,1),
(55,2142,2),
(55,1558,2),
(55,2226,1),
(55,1589,3),
(55,1590,1),
(55,1562,1),
(55,1561,2),
(55,1578,1),
(55,2232,1),
(55,1985,1),
(55,1993,3),
(55,1970,3),
(55,1971,3),
(55,2149,2),
(55,2221,2),
(55,1556,2),
(55,1980,1),
(55,1568,2),
(55,1598,3),
(55,1602,1),
(55,1982,1),
(55,1569,2),
(55,1576,1),
(55,1047,1),
(55,2230,2),
(55,1596,1),
(55,1574,1),
(55,1990,1),
(55,1572,2),
(55,1997,1),
(55,1563,2),
(55,1992,1),
(55,1592,1),
(55,1606,1),
(55,2313,1),
(55,1046,2),
(55,1571,1),
(55,1984,1),
(55,2143,1),
(55,2231,1),
(55,1995,1),
(55,1557,1),
(55,1612,1),
(55,2153,1),
(55,1570,2),
(55,2312,1),
(55,1966,1),
(55,2456,1),
(55,1611,1),
(55,1577,1),
(55,2457,1),
(55,1989,1),
(55,1597,1),
(55,845,3),
(55,2164,6),
(55,1653,8),
(55,2013,1),
(55,2000,2),
(55,1683,3),
(55,1638,1),
(55,1665,2),
(55,2239,1),
(55,2009,1),
(55,2011,1),
(55,1681,2),
(55,1645,2),
(55,2168,2),
(55,2240,1),
(55,2245,1),
(55,2170,1),
(55,2002,1),
(55,1685,4),
(55,2167,2),
(55,2317,1),
(55,2158,2),
(55,1636,2),
(55,2242,1),
(55,1667,3),
(55,1668,1),
(55,1640,1),
(55,1639,2),
(55,1656,1),
(55,2248,1),
(55,2020,1),
(55,2028,3),
(55,2005,3),
(55,2006,3),
(55,2165,2),
(55,2237,2),
(55,1634,2),
(55,2015,1),
(55,1646,2),
(55,1676,3),
(55,1680,1),
(55,2017,1),
(55,1647,2),
(55,1654,1),
(55,1630,1),
(55,2246,2),
(55,1674,1),
(55,1652,1),
(55,2025,1),
(55,1650,2),
(55,2032,1),
(55,1641,2),
(55,2027,1),
(55,1670,1),
(55,1684,1),
(55,2326,1),
(55,1629,2),
(55,1649,1),
(55,2019,1),
(55,2159,1),
(55,2247,1),
(55,2030,1),
(55,1635,1),
(55,1690,1),
(55,2169,1),
(55,1648,2),
(55,2325,1),
(55,2001,1),
(55,2458,1),
(55,1689,1),
(55,1655,1),
(55,2459,1),
(55,2024,1),
(55,1675,1),
(55,1704,3),
(55,2180,6),
(55,1732,8),
(55,2048,1),
(55,2035,2),
(55,1762,3),
(55,1717,1),
(55,1744,2),
(55,2255,1),
(55,2044,1),
(55,2046,1),
(55,1760,2),
(55,1724,2),
(55,2184,2),
(55,2256,1),
(55,2261,1),
(55,2186,1),
(55,2037,1),
(55,1764,4),
(55,2183,2),
(55,2335,1),
(55,2174,2),
(55,1715,2),
(55,2258,1),
(55,1746,3),
(55,1747,1),
(55,1719,1),
(55,1718,2),
(55,1735,1),
(55,2264,1),
(55,2055,1),
(55,2063,3),
(55,2040,3),
(55,2041,3),
(55,2181,2),
(55,2253,2),
(55,1713,2),
(55,2050,1),
(55,1725,2),
(55,1755,3),
(55,1759,1),
(55,2052,1),
(55,1726,2),
(55,1733,1),
(55,1709,1),
(55,2262,2),
(55,1753,1),
(55,1731,1),
(55,2060,1),
(55,1729,2),
(55,2067,1),
(55,1720,2),
(55,2062,1),
(55,1749,1),
(55,1763,1),
(55,2344,1),
(55,1708,2),
(55,1728,1),
(55,2054,1),
(55,2175,1),
(55,2263,1),
(55,2065,1),
(55,1714,1),
(55,1769,1),
(55,2185,1),
(55,1727,2),
(55,2343,1),
(55,2036,1),
(55,2460,1),
(55,1768,1),
(55,1734,1),
(55,2461,1),
(55,2059,1),
(55,1754,1),
(55,1030,3),
(55,2196,6),
(55,1810,8),
(55,2083,1),
(55,2070,2),
(55,1840,3),
(55,1795,1),
(55,1822,2),
(55,2271,1),
(55,2079,1),
(55,2081,1),
(55,1838,2),
(55,1802,2),
(55,2200,2),
(55,2272,1),
(55,2277,1),
(55,2202,1),
(55,2072,1),
(55,1842,4),
(55,2199,2),
(55,2352,1),
(55,2190,2),
(55,1793,2),
(55,2274,1),
(55,1824,3),
(55,1825,1),
(55,1797,1),
(55,1796,2),
(55,1813,1),
(55,2280,1),
(55,2090,1),
(55,2098,3),
(55,2075,3),
(55,2076,3),
(55,2197,2),
(55,2269,2),
(55,1791,2),
(55,2085,1),
(55,1803,2),
(55,1833,3),
(55,1837,1),
(55,2087,1),
(55,1804,2),
(55,1811,1),
(55,1787,1),
(55,2278,2),
(55,1831,1),
(55,1809,1),
(55,2095,1),
(55,1807,2),
(55,2102,1),
(55,1798,2),
(55,2097,1),
(55,1827,1),
(55,1841,1),
(55,2361,1),
(55,1786,2),
(55,1806,1),
(55,2089,1),
(55,2191,1),
(55,2279,1),
(55,2100,1),
(55,1792,1),
(55,1847,1),
(55,2201,1),
(55,1805,2),
(55,2360,1),
(55,2071,1),
(55,2462,1),
(55,1846,1),
(55,1812,1),
(55,2463,1),
(55,2094,1),
(55,1832,1),
(55,1861,3),
(55,2212,6),
(55,1899,8),
(55,2118,1),
(55,2105,2),
(55,1929,3),
(55,1884,1),
(55,1911,2),
(55,2289,1),
(55,2114,1),
(55,2116,1),
(55,1927,2),
(55,1891,2),
(55,2216,2),
(55,2290,1),
(55,2295,1),
(55,2218,1),
(55,2107,1),
(55,1931,4),
(55,2215,2),
(55,2375,1),
(55,2206,2),
(55,1882,2),
(55,2292,1),
(55,1913,3),
(55,1914,1),
(55,1886,1),
(55,1885,2),
(55,1902,1),
(55,2298,1),
(55,2125,1),
(55,2133,3),
(55,2110,3),
(55,2111,3),
(55,2213,2),
(55,2287,2),
(55,1880,2),
(55,2120,1),
(55,1892,2),
(55,1922,3),
(55,1926,1),
(55,2122,1),
(55,1893,2),
(55,1900,1),
(55,1876,1),
(55,2296,2),
(55,1920,1),
(55,1898,1),
(55,2130,1),
(55,1896,2),
(55,2137,1),
(55,1887,2),
(55,2132,1),
(55,1916,1),
(55,1930,1),
(55,2384,1),
(55,1875,2),
(55,1895,1),
(55,2124,1),
(55,2207,1),
(55,2297,1),
(55,2135,1),
(55,1881,1),
(55,1936,1),
(55,2217,1),
(55,1894,2),
(55,2383,1),
(55,2106,1),
(55,2464,1),
(55,1935,1),
(55,1901,1),
(55,2465,1),
(55,2129,1),
(55,1921,1),
(55,1950,3),
(55,1951,3),
(56,1591,6),
(56,1578,6),
(56,1998,1),
(56,1996,1),
(56,2142,2),
(56,1979,2),
(56,1570,2),
(56,1554,1),
(56,1567,1),
(56,1995,1),
(56,1600,1),
(56,2311,2),
(56,1967,1),
(56,2226,2),
(56,1610,2),
(56,2148,2),
(56,1614,1),
(56,1977,2),
(56,1576,2),
(56,2145,1),
(56,2235,1),
(56,1582,1),
(56,1980,2),
(56,2149,1),
(56,1565,1),
(56,1969,1),
(56,1584,3),
(56,1557,3),
(56,1966,2),
(56,2309,2),
(56,1974,2),
(56,1606,1),
(56,1046,1),
(56,1987,2),
(56,2225,1),
(56,1564,1),
(56,1970,4),
(56,1971,4),
(56,2144,1),
(56,1988,2),
(56,2224,1),
(56,1586,1),
(56,2140,1),
(56,1604,1),
(56,1602,1),
(56,1559,1),
(56,1599,1),
(56,1553,2),
(56,1592,2),
(56,1976,2),
(56,2153,1),
(56,1577,1),
(56,1555,1),
(56,2229,2),
(56,2222,1),
(56,1593,1),
(56,1558,1),
(56,2230,1),
(56,1972,1),
(56,1562,1),
(56,1598,1),
(56,1587,1),
(56,1984,1),
(56,2220,1),
(56,1605,1),
(56,1575,1),
(56,2227,1),
(56,1609,1),
(56,1981,1),
(56,1571,1),
(56,1992,1),
(56,845,3),
(56,1669,6),
(56,1656,6),
(56,2033,1),
(56,2031,1),
(56,2158,2),
(56,2014,2),
(56,1648,2),
(56,1632,1),
(56,1645,1),
(56,2030,1),
(56,1678,1),
(56,2324,2),
(56,2002,1),
(56,2242,2),
(56,1688,2),
(56,2164,2),
(56,1692,1),
(56,2012,2),
(56,1654,2),
(56,2161,1),
(56,2251,1),
(56,1660,1),
(56,2015,2),
(56,2165,1),
(56,1643,1),
(56,2004,1),
(56,1662,3),
(56,1635,3),
(56,2001,2),
(56,2322,2),
(56,2009,2),
(56,1684,1),
(56,1629,1),
(56,2022,2),
(56,2241,1),
(56,1642,1),
(56,2005,4),
(56,2006,4),
(56,2160,1),
(56,2023,2),
(56,2240,1),
(56,1664,1),
(56,2156,1),
(56,1682,1),
(56,1680,1),
(56,1637,1),
(56,1677,1),
(56,1631,2),
(56,1670,2),
(56,2011,2),
(56,2169,1),
(56,1655,1),
(56,1633,1),
(56,2245,2),
(56,2238,1),
(56,1671,1),
(56,1636,1),
(56,2246,1),
(56,2007,1),
(56,1640,1),
(56,1676,1),
(56,1665,1),
(56,2019,1),
(56,2236,1),
(56,1683,1),
(56,1653,1),
(56,2243,1),
(56,1687,1),
(56,2016,1),
(56,1649,1),
(56,2027,1),
(56,1704,3),
(56,1748,6),
(56,1735,6),
(56,2068,1),
(56,2066,1),
(56,2174,2),
(56,2049,2),
(56,1727,2),
(56,1711,1),
(56,1724,1),
(56,2065,1),
(56,1757,1),
(56,2342,2),
(56,2037,1),
(56,2258,2),
(56,1767,2),
(56,2180,2),
(56,1771,1),
(56,2047,2),
(56,1733,2),
(56,2177,1),
(56,2267,1),
(56,1739,1),
(56,2050,2),
(56,2181,1),
(56,1722,1),
(56,2039,1),
(56,1741,3),
(56,1714,3),
(56,2036,2),
(56,2340,2),
(56,2044,2),
(56,1763,1),
(56,1708,1),
(56,2057,2),
(56,2257,1),
(56,1721,1),
(56,2040,4),
(56,2041,4),
(56,2176,1),
(56,2058,2),
(56,2256,1),
(56,1743,1),
(56,2172,1),
(56,1761,1),
(56,1759,1),
(56,1716,1),
(56,1756,1),
(56,1710,2),
(56,1749,2),
(56,2046,2),
(56,2185,1),
(56,1734,1),
(56,1712,1),
(56,2261,2),
(56,2254,1),
(56,1750,1),
(56,1715,1),
(56,2262,1),
(56,2042,1),
(56,1719,1),
(56,1755,1),
(56,1744,1),
(56,2054,1),
(56,2252,1),
(56,1762,1),
(56,1732,1),
(56,2259,1),
(56,1766,1),
(56,2051,1),
(56,1728,1),
(56,2062,1),
(56,1030,3),
(56,1826,6),
(56,1813,6),
(56,2103,1),
(56,2101,1),
(56,2190,2),
(56,2084,2),
(56,1805,2),
(56,1789,1),
(56,1802,1),
(56,2100,1),
(56,1835,1),
(56,2359,2),
(56,2072,1),
(56,2274,2),
(56,1845,2),
(56,2196,2),
(56,1849,1),
(56,2082,2),
(56,1811,2),
(56,2193,1),
(56,2283,1),
(56,1817,1),
(56,2085,2),
(56,2197,1),
(56,1800,1),
(56,2074,1),
(56,1819,3),
(56,1792,3),
(56,2071,2),
(56,2357,2),
(56,2079,2),
(56,1841,1),
(56,1786,1),
(56,2092,2),
(56,2273,1),
(56,1799,1),
(56,2075,4),
(56,2076,4),
(56,2192,1),
(56,2093,2),
(56,2272,1),
(56,1821,1),
(56,2188,1),
(56,1839,1),
(56,1837,1),
(56,1794,1),
(56,1834,1),
(56,1788,2),
(56,1827,2),
(56,2081,2),
(56,2201,1),
(56,1812,1),
(56,1790,1),
(56,2277,2),
(56,2270,1),
(56,1828,1),
(56,1793,1),
(56,2278,1),
(56,2077,1),
(56,1797,1),
(56,1833,1),
(56,1822,1),
(56,2089,1),
(56,2268,1),
(56,1840,1),
(56,1810,1),
(56,2275,1),
(56,1844,1),
(56,2086,1),
(56,1806,1),
(56,2097,1),
(56,1861,3),
(56,1915,6),
(56,1902,6),
(56,2138,1),
(56,2136,1),
(56,2206,2),
(56,2119,2),
(56,1894,2),
(56,1878,1),
(56,1891,1),
(56,2135,1),
(56,1924,1),
(56,2382,2),
(56,2107,1),
(56,2292,2),
(56,1934,2),
(56,2212,2),
(56,1938,1),
(56,2117,2),
(56,1900,2),
(56,2209,1),
(56,2301,1),
(56,1906,1),
(56,2120,2),
(56,2213,1),
(56,1889,1),
(56,2109,1),
(56,1908,3),
(56,1881,3),
(56,2106,2),
(56,2380,2),
(56,2114,2),
(56,1930,1),
(56,1875,1),
(56,2127,2),
(56,2291,1),
(56,1888,1),
(56,2110,4),
(56,2111,4),
(56,2208,1),
(56,2128,2),
(56,2290,1),
(56,1910,1),
(56,2204,1),
(56,1928,1),
(56,1926,1),
(56,1883,1),
(56,1923,1),
(56,1877,2),
(56,1916,2),
(56,2116,2),
(56,2217,1),
(56,1901,1),
(56,1879,1),
(56,2295,2),
(56,2288,1),
(56,1917,1),
(56,1882,1),
(56,2296,1),
(56,2112,1),
(56,1886,1),
(56,1922,1),
(56,1911,1),
(56,2124,1),
(56,2286,1),
(56,1929,1),
(56,1899,1),
(56,2293,1),
(56,1933,1),
(56,2121,1),
(56,1895,1),
(56,2132,1),
(56,1950,3),
(56,1951,3),
(57,1978,7),
(57,1606,6),
(57,2224,7),
(57,1558,5),
(57,1596,2),
(57,1047,4),
(57,1566,1),
(57,1569,3),
(57,2312,3),
(57,1997,2),
(57,1579,3),
(57,1992,1),
(57,1989,2),
(57,1602,4),
(57,1586,1),
(57,1981,1),
(57,1605,1),
(57,1562,1),
(57,1993,1),
(57,1613,3),
(57,1994,1),
(57,2235,3),
(57,1970,2),
(57,1971,2),
(57,1589,2),
(57,1588,1),
(57,1571,1),
(57,1600,2),
(57,1585,1),
(57,1965,2),
(57,1560,1),
(57,1598,1),
(57,1587,1),
(57,1592,1),
(57,1974,2),
(57,2229,1),
(57,2233,2),
(57,1607,1),
(57,2142,1),
(57,1595,1),
(57,1995,1),
(57,1990,1),
(57,1553,1),
(57,1573,2),
(57,2152,4),
(57,1980,1),
(57,2145,1),
(57,1979,1),
(57,1996,1),
(57,2143,1),
(57,1986,2),
(57,2150,1),
(57,1572,1),
(57,1984,3),
(57,1968,1),
(57,1567,2),
(57,1555,1),
(57,2225,1),
(57,1559,1),
(57,1556,1),
(57,2147,1),
(57,2228,1),
(57,1578,1),
(57,845,3),
(57,2013,7),
(57,1684,6),
(57,2240,7),
(57,1636,5),
(57,1674,2),
(57,1630,4),
(57,1644,1),
(57,1647,3),
(57,2325,3),
(57,2032,2),
(57,1657,3),
(57,2027,1),
(57,2024,2),
(57,1680,4),
(57,1664,1),
(57,2016,1),
(57,1683,1),
(57,1640,1),
(57,2028,1),
(57,1691,3),
(57,2029,1),
(57,2251,3),
(57,2005,2),
(57,2006,2),
(57,1667,2),
(57,1666,1),
(57,1649,1),
(57,1678,2),
(57,1663,1),
(57,2000,2),
(57,1638,1),
(57,1676,1),
(57,1665,1),
(57,1670,1),
(57,2009,2),
(57,2245,1),
(57,2249,2),
(57,1685,1),
(57,2158,1),
(57,1673,1),
(57,2030,1),
(57,2025,1),
(57,1631,1),
(57,1651,2),
(57,2168,4),
(57,2015,1),
(57,2161,1),
(57,2014,1),
(57,2031,1),
(57,2159,1),
(57,2021,2),
(57,2166,1),
(57,1650,1),
(57,2019,3),
(57,2003,1),
(57,1645,2),
(57,1633,1),
(57,2241,1),
(57,1637,1),
(57,1634,1),
(57,2163,1),
(57,2244,1),
(57,1656,1),
(57,1704,3),
(57,2048,7),
(57,1763,6),
(57,2256,7),
(57,1715,5),
(57,1753,2),
(57,1709,4),
(57,1723,1),
(57,1726,3),
(57,2343,3),
(57,2067,2),
(57,1736,3),
(57,2062,1),
(57,2059,2),
(57,1759,4),
(57,1743,1),
(57,2051,1),
(57,1762,1),
(57,1719,1),
(57,2063,1),
(57,1770,3),
(57,2064,1),
(57,2267,3),
(57,2040,2),
(57,2041,2),
(57,1746,2),
(57,1745,1),
(57,1728,1),
(57,1757,2),
(57,1742,1),
(57,2035,2),
(57,1717,1),
(57,1755,1),
(57,1744,1),
(57,1749,1),
(57,2044,2),
(57,2261,1),
(57,2265,2),
(57,1764,1),
(57,2174,1),
(57,1752,1),
(57,2065,1),
(57,2060,1),
(57,1710,1),
(57,1730,2),
(57,2184,4),
(57,2050,1),
(57,2177,1),
(57,2049,1),
(57,2066,1),
(57,2175,1),
(57,2056,2),
(57,2182,1),
(57,1729,1),
(57,2054,3),
(57,2038,1),
(57,1724,2),
(57,1712,1),
(57,2257,1),
(57,1716,1),
(57,1713,1),
(57,2179,1),
(57,2260,1),
(57,1735,1),
(57,1030,3),
(57,2083,7),
(57,1841,6),
(57,2272,7),
(57,1793,5),
(57,1831,2),
(57,1787,4),
(57,1801,1),
(57,1804,3),
(57,2360,3),
(57,2102,2),
(57,1814,3),
(57,2097,1),
(57,2094,2),
(57,1837,4),
(57,1821,1),
(57,2086,1),
(57,1840,1),
(57,1797,1),
(57,2098,1),
(57,1848,3),
(57,2099,1),
(57,2283,3),
(57,2075,2),
(57,2076,2),
(57,1824,2),
(57,1823,1),
(57,1806,1),
(57,1835,2),
(57,1820,1),
(57,2070,2),
(57,1795,1),
(57,1833,1),
(57,1822,1),
(57,1827,1),
(57,2079,2),
(57,2277,1),
(57,2281,2),
(57,1842,1),
(57,2190,1),
(57,1830,1),
(57,2100,1),
(57,2095,1),
(57,1788,1),
(57,1808,2),
(57,2200,4),
(57,2085,1),
(57,2193,1),
(57,2084,1),
(57,2101,1),
(57,2191,1),
(57,2091,2),
(57,2198,1),
(57,1807,1),
(57,2089,3),
(57,2073,1),
(57,1802,2),
(57,1790,1),
(57,2273,1),
(57,1794,1),
(57,1791,1),
(57,2195,1),
(57,2276,1),
(57,1813,1),
(57,1861,3),
(57,2118,7),
(57,1930,6),
(57,2290,7),
(57,1882,5),
(57,1920,2),
(57,1876,4),
(57,1890,1),
(57,1893,3),
(57,2383,3),
(57,2137,2),
(57,1903,3),
(57,2132,1),
(57,2129,2),
(57,1926,4),
(57,1910,1),
(57,2121,1),
(57,1929,1),
(57,1886,1),
(57,2133,1),
(57,1937,3),
(57,2134,1),
(57,2301,3),
(57,2110,2),
(57,2111,2),
(57,1913,2),
(57,1912,1),
(57,1895,1),
(57,1924,2),
(57,1909,1),
(57,2105,2),
(57,1884,1),
(57,1922,1),
(57,1911,1),
(57,1916,1),
(57,2114,2),
(57,2295,1),
(57,2299,2),
(57,1931,1),
(57,2206,1),
(57,1919,1),
(57,2135,1),
(57,2130,1),
(57,1877,1),
(57,1897,2),
(57,2216,4),
(57,2120,1),
(57,2209,1),
(57,2119,1),
(57,2136,1),
(57,2207,1),
(57,2126,2),
(57,2214,1),
(57,1896,1),
(57,2124,3),
(57,2108,1),
(57,1891,2),
(57,1879,1),
(57,2291,1),
(57,1883,1),
(57,1880,1),
(57,2211,1),
(57,2294,1),
(57,1902,1),
(57,1950,3),
(57,1951,3),
(58,1592,8),
(58,1984,6),
(58,1972,6),
(58,1557,1),
(58,1558,2),
(58,1559,2),
(58,1560,1),
(58,1561,3),
(58,1562,3),
(58,1553,1),
(58,1563,1),
(58,1564,1),
(58,1565,1),
(58,1566,1),
(58,1567,4),
(58,1568,1),
(58,1556,1),
(58,1569,3),
(58,1570,1),
(58,1571,1),
(58,1572,1),
(58,1573,3),
(58,1574,2),
(58,1575,1),
(58,1576,1),
(58,1577,2),
(58,1578,1),
(58,1579,2),
(58,1580,1),
(58,1581,1),
(58,1582,2),
(58,1583,1),
(58,1584,1),
(58,1585,1),
(58,1586,4),
(58,1587,1),
(58,1588,1),
(58,1589,2),
(58,1590,3),
(58,1591,1),
(58,1593,1),
(58,1047,2),
(58,1999,2),
(58,2147,2),
(58,2235,1),
(58,1980,2),
(58,2222,1),
(58,2146,1),
(58,1555,2),
(58,2311,1),
(58,1596,1),
(58,1993,1),
(58,1976,1),
(58,2141,1),
(58,2152,1),
(58,1599,1),
(58,2154,1),
(58,1970,2),
(58,1971,2),
(58,1595,1),
(58,2148,1),
(58,1602,2),
(58,1988,1),
(58,1990,1),
(58,1965,1),
(58,1609,1),
(58,2224,1),
(58,845,3),
(58,1670,8),
(58,2019,6),
(58,2007,6),
(58,1635,1),
(58,1636,2),
(58,1637,2),
(58,1638,1),
(58,1639,3),
(58,1640,3),
(58,1631,1),
(58,1641,1),
(58,1642,1),
(58,1643,1),
(58,1644,1),
(58,1645,4),
(58,1646,1),
(58,1634,1),
(58,1647,3),
(58,1648,1),
(58,1649,1),
(58,1650,1),
(58,1651,3),
(58,1652,2),
(58,1653,1),
(58,1654,1),
(58,1655,2),
(58,1656,1),
(58,1657,2),
(58,1658,1),
(58,1659,1),
(58,1660,2),
(58,1661,1),
(58,1662,1),
(58,1663,1),
(58,1664,4),
(58,1665,1),
(58,1666,1),
(58,1667,2),
(58,1668,3),
(58,1669,1),
(58,1671,1),
(58,1630,2),
(58,2034,2),
(58,2163,2),
(58,2251,1),
(58,2015,2),
(58,2238,1),
(58,2162,1),
(58,1633,2),
(58,2324,1),
(58,1674,1),
(58,2028,1),
(58,2011,1),
(58,2157,1),
(58,2168,1),
(58,1677,1),
(58,2170,1),
(58,2005,2),
(58,2006,2),
(58,1673,1),
(58,2164,1),
(58,1680,2),
(58,2023,1),
(58,2025,1),
(58,2000,1),
(58,1687,1),
(58,2240,1),
(58,1704,3),
(58,1749,8),
(58,2054,6),
(58,2042,6),
(58,1714,1),
(58,1715,2),
(58,1716,2),
(58,1717,1),
(58,1718,3),
(58,1719,3),
(58,1710,1),
(58,1720,1),
(58,1721,1),
(58,1722,1),
(58,1723,1),
(58,1724,4),
(58,1725,1),
(58,1713,1),
(58,1726,3),
(58,1727,1),
(58,1728,1),
(58,1729,1),
(58,1730,3),
(58,1731,2),
(58,1732,1),
(58,1733,1),
(58,1734,2),
(58,1735,1),
(58,1736,2),
(58,1737,1),
(58,1738,1),
(58,1739,2),
(58,1740,1),
(58,1741,1),
(58,1742,1),
(58,1743,4),
(58,1744,1),
(58,1745,1),
(58,1746,2),
(58,1747,3),
(58,1748,1),
(58,1750,1),
(58,1709,2),
(58,2069,2),
(58,2179,2),
(58,2267,1),
(58,2050,2),
(58,2254,1),
(58,2178,1),
(58,1712,2),
(58,2342,1),
(58,1753,1),
(58,2063,1),
(58,2046,1),
(58,2173,1),
(58,2184,1),
(58,1756,1),
(58,2186,1),
(58,2040,2),
(58,2041,2),
(58,1752,1),
(58,2180,1),
(58,1759,2),
(58,2058,1),
(58,2060,1),
(58,2035,1),
(58,1766,1),
(58,2256,1),
(58,1030,3),
(58,1827,8),
(58,2089,6),
(58,2077,6),
(58,1792,1),
(58,1793,2),
(58,1794,2),
(58,1795,1),
(58,1796,3),
(58,1797,3),
(58,1788,1),
(58,1798,1),
(58,1799,1),
(58,1800,1),
(58,1801,1),
(58,1802,4),
(58,1803,1),
(58,1791,1),
(58,1804,3),
(58,1805,1),
(58,1806,1),
(58,1807,1),
(58,1808,3),
(58,1809,2),
(58,1810,1),
(58,1811,1),
(58,1812,2),
(58,1813,1),
(58,1814,2),
(58,1815,1),
(58,1816,1),
(58,1817,2),
(58,1818,1),
(58,1819,1),
(58,1820,1),
(58,1821,4),
(58,1822,1),
(58,1823,1),
(58,1824,2),
(58,1825,3),
(58,1826,1),
(58,1828,1),
(58,1787,2),
(58,2104,2),
(58,2195,2),
(58,2283,1),
(58,2085,2),
(58,2270,1),
(58,2194,1),
(58,1790,2),
(58,2359,1),
(58,1831,1),
(58,2098,1),
(58,2081,1),
(58,2189,1),
(58,2200,1),
(58,1834,1),
(58,2202,1),
(58,2075,2),
(58,2076,2),
(58,1830,1),
(58,2196,1),
(58,1837,2),
(58,2093,1),
(58,2095,1),
(58,2070,1),
(58,1844,1),
(58,2272,1),
(58,1861,3),
(58,1916,8),
(58,2124,6),
(58,2112,6),
(58,1881,1),
(58,1882,2),
(58,1883,2),
(58,1884,1),
(58,1885,3),
(58,1886,3),
(58,1877,1),
(58,1887,1),
(58,1888,1),
(58,1889,1),
(58,1890,1),
(58,1891,4),
(58,1892,1),
(58,1880,1),
(58,1893,3),
(58,1894,1),
(58,1895,1),
(58,1896,1),
(58,1897,3),
(58,1898,2),
(58,1899,1),
(58,1900,1),
(58,1901,2),
(58,1902,1),
(58,1903,2),
(58,1904,1),
(58,1905,1),
(58,1906,2),
(58,1907,1),
(58,1908,1),
(58,1909,1),
(58,1910,4),
(58,1911,1),
(58,1912,1),
(58,1913,2),
(58,1914,3),
(58,1915,1),
(58,1917,1),
(58,1876,2),
(58,2139,2),
(58,2211,2),
(58,2301,1),
(58,2120,2),
(58,2288,1),
(58,2210,1),
(58,1879,2),
(58,2382,1),
(58,1920,1),
(58,2133,1),
(58,2116,1),
(58,2205,1),
(58,2216,1),
(58,1923,1),
(58,2218,1),
(58,2110,2),
(58,2111,2),
(58,1919,1),
(58,2212,1),
(58,1926,2),
(58,2128,1),
(58,2130,1),
(58,2105,1),
(58,1933,1),
(58,2290,1),
(58,1950,3),
(58,1951,3),
(59,1581,6),
(59,1572,8),
(59,1558,2),
(59,1571,3),
(59,1576,1),
(59,1564,1),
(59,1598,3),
(59,1966,2),
(59,1593,1),
(59,1967,1),
(59,1588,1),
(59,1968,2),
(59,1969,1),
(59,1046,3),
(59,1047,1),
(59,1560,1),
(59,1970,2),
(59,1971,2),
(59,1583,2),
(59,1965,2),
(59,1561,1),
(59,1574,2),
(59,1972,1),
(59,1973,1),
(59,1586,1),
(59,1974,1),
(59,1603,2),
(59,1584,1),
(59,1975,2),
(59,1976,1),
(59,1600,1),
(59,1977,1),
(59,1978,1),
(59,1568,2),
(59,1979,1),
(59,1980,1),
(59,1981,1),
(59,1982,2),
(59,1585,1),
(59,1983,1),
(59,1990,1),
(59,1569,1),
(59,1997,1),
(59,1563,2),
(59,1992,1),
(59,1592,1),
(59,1606,1),
(59,2142,1),
(59,2313,1),
(59,1607,2),
(59,1984,1),
(59,2149,1),
(59,2143,1),
(59,1575,1),
(59,1993,2),
(59,2231,1),
(59,1605,2),
(59,1995,1),
(59,1557,1),
(59,1612,1),
(59,2153,1),
(59,1570,2),
(59,2152,1),
(59,2312,1),
(59,2456,1),
(59,1611,1),
(59,1556,1),
(59,1577,1),
(59,2457,1),
(59,1989,1),
(59,2151,1),
(59,1597,1),
(59,2230,1),
(59,1587,1),
(59,845,3),
(59,1659,6),
(59,1650,8),
(59,1636,2),
(59,1649,3),
(59,1654,1),
(59,1642,1),
(59,1676,3),
(59,2001,2),
(59,1671,1),
(59,2002,1),
(59,1666,1),
(59,2003,2),
(59,2004,1),
(59,1629,3),
(59,1630,1),
(59,1638,1),
(59,2005,2),
(59,2006,2),
(59,1661,2),
(59,2000,2),
(59,1639,1),
(59,1652,2),
(59,2007,1),
(59,2008,1),
(59,1664,1),
(59,2009,1),
(59,1681,2),
(59,1662,1),
(59,2010,2),
(59,2011,1),
(59,1678,1),
(59,2012,1),
(59,2013,1),
(59,1646,2),
(59,2014,1),
(59,2015,1),
(59,2016,1),
(59,2017,2),
(59,1663,1),
(59,2018,1),
(59,2025,1),
(59,1647,1),
(59,2032,1),
(59,1641,2),
(59,2027,1),
(59,1670,1),
(59,1684,1),
(59,2158,1),
(59,2326,1),
(59,1685,2),
(59,2019,1),
(59,2165,1),
(59,2159,1),
(59,1653,1),
(59,2028,2),
(59,2247,1),
(59,1683,2),
(59,2030,1),
(59,1635,1),
(59,1690,1),
(59,2169,1),
(59,1648,2),
(59,2168,1),
(59,2325,1),
(59,2458,1),
(59,1689,1),
(59,1634,1),
(59,1655,1),
(59,2459,1),
(59,2024,1),
(59,2167,1),
(59,1675,1),
(59,2246,1),
(59,1665,1),
(59,1704,3),
(59,1738,6),
(59,1729,8),
(59,1715,2),
(59,1728,3),
(59,1733,1),
(59,1721,1),
(59,1755,3),
(59,2036,2),
(59,1750,1),
(59,2037,1),
(59,1745,1),
(59,2038,2),
(59,2039,1),
(59,1708,3),
(59,1709,1),
(59,1717,1),
(59,2040,2),
(59,2041,2),
(59,1740,2),
(59,2035,2),
(59,1718,1),
(59,1731,2),
(59,2042,1),
(59,2043,1),
(59,1743,1),
(59,2044,1),
(59,1760,2),
(59,1741,1),
(59,2045,2),
(59,2046,1),
(59,1757,1),
(59,2047,1),
(59,2048,1),
(59,1725,2),
(59,2049,1),
(59,2050,1),
(59,2051,1),
(59,2052,2),
(59,1742,1),
(59,2053,1),
(59,2060,1),
(59,1726,1),
(59,2067,1),
(59,1720,2),
(59,2062,1),
(59,1749,1),
(59,1763,1),
(59,2174,1),
(59,2344,1),
(59,1764,2),
(59,2054,1),
(59,2181,1),
(59,2175,1),
(59,1732,1),
(59,2063,2),
(59,2263,1),
(59,1762,2),
(59,2065,1),
(59,1714,1),
(59,1769,1),
(59,2185,1),
(59,1727,2),
(59,2184,1),
(59,2343,1),
(59,2460,1),
(59,1768,1),
(59,1713,1),
(59,1734,1),
(59,2461,1),
(59,2059,1),
(59,2183,1),
(59,1754,1),
(59,2262,1),
(59,1744,1),
(59,1030,3),
(59,1816,6),
(59,1807,8),
(59,1793,2),
(59,1806,3),
(59,1811,1),
(59,1799,1),
(59,1833,3),
(59,2071,2),
(59,1828,1),
(59,2072,1),
(59,1823,1),
(59,2073,2),
(59,2074,1),
(59,1786,3),
(59,1787,1),
(59,1795,1),
(59,2075,2),
(59,2076,2),
(59,1818,2),
(59,2070,2),
(59,1796,1),
(59,1809,2),
(59,2077,1),
(59,2078,1),
(59,1821,1),
(59,2079,1),
(59,1838,2),
(59,1819,1),
(59,2080,2),
(59,2081,1),
(59,1835,1),
(59,2082,1),
(59,2083,1),
(59,1803,2),
(59,2084,1),
(59,2085,1),
(59,2086,1),
(59,2087,2),
(59,1820,1),
(59,2088,1),
(59,2095,1),
(59,1804,1),
(59,2102,1),
(59,1798,2),
(59,2097,1),
(59,1827,1),
(59,1841,1),
(59,2190,1),
(59,2361,1),
(59,1842,2),
(59,2089,1),
(59,2197,1),
(59,2191,1),
(59,1810,1),
(59,2098,2),
(59,2279,1),
(59,1840,2),
(59,2100,1),
(59,1792,1),
(59,1847,1),
(59,2201,1),
(59,1805,2),
(59,2200,1),
(59,2360,1),
(59,2462,1),
(59,1846,1),
(59,1791,1),
(59,1812,1),
(59,2463,1),
(59,2094,1),
(59,2199,1),
(59,1832,1),
(59,2278,1),
(59,1822,1),
(59,1861,3),
(59,1905,6),
(59,1896,8),
(59,1882,2),
(59,1895,3),
(59,1900,1),
(59,1888,1),
(59,1922,3),
(59,2106,2),
(59,1917,1),
(59,2107,1),
(59,1912,1),
(59,2108,2),
(59,2109,1),
(59,1875,3),
(59,1876,1),
(59,1884,1),
(59,2110,2),
(59,2111,2),
(59,1907,2),
(59,2105,2),
(59,1885,1),
(59,1898,2),
(59,2112,1),
(59,2113,1),
(59,1910,1),
(59,2114,1),
(59,1927,2),
(59,1908,1),
(59,2115,2),
(59,2116,1),
(59,1924,1),
(59,2117,1),
(59,2118,1),
(59,1892,2),
(59,2119,1),
(59,2120,1),
(59,2121,1),
(59,2122,2),
(59,1909,1),
(59,2123,1),
(59,2130,1),
(59,1893,1),
(59,2137,1),
(59,1887,2),
(59,2132,1),
(59,1916,1),
(59,1930,1),
(59,2206,1),
(59,2384,1),
(59,1931,2),
(59,2124,1),
(59,2213,1),
(59,2207,1),
(59,1899,1),
(59,2133,2),
(59,2297,1),
(59,1929,2),
(59,2135,1),
(59,1881,1),
(59,1936,1),
(59,2217,1),
(59,1894,2),
(59,2216,1),
(59,2383,1),
(59,2464,1),
(59,1935,1),
(59,1880,1),
(59,1901,1),
(59,2465,1),
(59,2129,1),
(59,2215,1),
(59,1921,1),
(59,2296,1),
(59,1911,1),
(59,1950,3),
(59,1951,3),
(60,1993,6),
(60,2232,6),
(60,1593,7),
(60,1967,1),
(60,1981,2),
(60,2224,2),
(60,2220,2),
(60,1586,2),
(60,1976,3),
(60,1974,2),
(60,1614,1),
(60,1980,2),
(60,1970,4),
(60,1971,4),
(60,1982,1),
(60,1603,1),
(60,1613,1),
(60,1592,4),
(60,2151,1),
(60,1569,2),
(60,2313,1),
(60,1605,3),
(60,2141,1),
(60,1047,1),
(60,1991,1),
(60,2310,1),
(60,1606,1),
(60,1579,1),
(60,2399,1),
(60,2400,1),
(60,2401,1),
(60,2402,1),
(60,2403,1),
(60,2404,1),
(60,2405,2),
(60,2406,1),
(60,2407,1),
(60,2408,1),
(60,2409,1),
(60,1998,1),
(60,2228,1),
(60,1995,2),
(60,1983,1),
(60,1046,1),
(60,2304,1),
(60,1988,2),
(60,1584,1),
(60,2311,1),
(60,2140,1),
(60,1604,1),
(60,1602,1),
(60,1559,1),
(60,1599,1),
(60,1553,2),
(60,2153,1),
(60,1577,1),
(60,1555,1),
(60,2229,2),
(60,2148,1),
(60,2222,1),
(60,1977,1),
(60,1558,1),
(60,2230,1),
(60,1987,1),
(60,2142,1),
(60,1972,1),
(60,1562,1),
(60,1598,1),
(60,1587,1),
(60,1984,1),
(60,1557,1),
(60,1575,1),
(60,2227,1),
(60,1609,1),
(60,1576,1),
(60,1979,1),
(60,1571,1),
(60,1992,1),
(60,1966,1),
(60,845,3),
(60,2028,6),
(60,2248,6),
(60,1671,7),
(60,2002,1),
(60,2016,2),
(60,2240,2),
(60,2236,2),
(60,1664,2),
(60,2011,3),
(60,2009,2),
(60,1692,1),
(60,2015,2),
(60,2005,4),
(60,2006,4),
(60,2017,1),
(60,1681,1),
(60,1691,1),
(60,1670,4),
(60,2167,1),
(60,1647,2),
(60,2326,1),
(60,1683,3),
(60,2157,1),
(60,1630,1),
(60,2026,1),
(60,2323,1),
(60,1684,1),
(60,1657,1),
(60,2410,1),
(60,2411,1),
(60,2412,1),
(60,2413,1),
(60,2414,1),
(60,2415,1),
(60,2416,2),
(60,2417,1),
(60,2418,1),
(60,2419,1),
(60,2420,1),
(60,2033,1),
(60,2244,1),
(60,2030,2),
(60,2018,1),
(60,1629,1),
(60,2317,1),
(60,2023,2),
(60,1662,1),
(60,2324,1),
(60,2156,1),
(60,1682,1),
(60,1680,1),
(60,1637,1),
(60,1677,1),
(60,1631,2),
(60,2169,1),
(60,1655,1),
(60,1633,1),
(60,2245,2),
(60,2164,1),
(60,2238,1),
(60,2012,1),
(60,1636,1),
(60,2246,1),
(60,2022,1),
(60,2158,1),
(60,2007,1),
(60,1640,1),
(60,1676,1),
(60,1665,1),
(60,2019,1),
(60,1635,1),
(60,1653,1),
(60,2243,1),
(60,1687,1),
(60,1654,1),
(60,2014,1),
(60,1649,1),
(60,2027,1),
(60,2001,1),
(60,1704,3),
(60,2063,6),
(60,2264,6),
(60,1750,7),
(60,2037,1),
(60,2051,2),
(60,2256,2),
(60,2252,2),
(60,1743,2),
(60,2046,3),
(60,2044,2),
(60,1771,1),
(60,2050,2),
(60,2040,4),
(60,2041,4),
(60,2052,1),
(60,1760,1),
(60,1770,1),
(60,1749,4),
(60,2183,1),
(60,1726,2),
(60,2344,1),
(60,1762,3),
(60,2173,1),
(60,1709,1),
(60,2061,1),
(60,2341,1),
(60,1763,1),
(60,1736,1),
(60,2421,1),
(60,2422,1),
(60,2423,1),
(60,2424,1),
(60,2425,1),
(60,2426,1),
(60,2427,2),
(60,2428,1),
(60,2429,1),
(60,2430,1),
(60,2431,1),
(60,2068,1),
(60,2260,1),
(60,2065,2),
(60,2053,1),
(60,1708,1),
(60,2335,1),
(60,2058,2),
(60,1741,1),
(60,2342,1),
(60,2172,1),
(60,1761,1),
(60,1759,1),
(60,1716,1),
(60,1756,1),
(60,1710,2),
(60,2185,1),
(60,1734,1),
(60,1712,1),
(60,2261,2),
(60,2180,1),
(60,2254,1),
(60,2047,1),
(60,1715,1),
(60,2262,1),
(60,2057,1),
(60,2174,1),
(60,2042,1),
(60,1719,1),
(60,1755,1),
(60,1744,1),
(60,2054,1),
(60,1714,1),
(60,1732,1),
(60,2259,1),
(60,1766,1),
(60,1733,1),
(60,2049,1),
(60,1728,1),
(60,2062,1),
(60,2036,1),
(60,1030,3),
(60,2098,6),
(60,2280,6),
(60,1828,7),
(60,2072,1),
(60,2086,2),
(60,2272,2),
(60,2268,2),
(60,1821,2),
(60,2081,3),
(60,2079,2),
(60,1849,1),
(60,2085,2),
(60,2075,4),
(60,2076,4),
(60,2087,1),
(60,1838,1),
(60,1848,1),
(60,1827,4),
(60,2199,1),
(60,1804,2),
(60,2361,1),
(60,1840,3),
(60,2189,1),
(60,1787,1),
(60,2096,1),
(60,2358,1),
(60,1841,1),
(60,1814,1),
(60,2432,1),
(60,2433,1),
(60,2434,1),
(60,2435,1),
(60,2436,1),
(60,2437,1),
(60,2438,2),
(60,2439,1),
(60,2440,1),
(60,2441,1),
(60,2442,1),
(60,2103,1),
(60,2276,1),
(60,2100,2),
(60,2088,1),
(60,1786,1),
(60,2352,1),
(60,2093,2),
(60,1819,1),
(60,2359,1),
(60,2188,1),
(60,1839,1),
(60,1837,1),
(60,1794,1),
(60,1834,1),
(60,1788,2),
(60,2201,1),
(60,1812,1),
(60,1790,1),
(60,2277,2),
(60,2196,1),
(60,2270,1),
(60,2082,1),
(60,1793,1),
(60,2278,1),
(60,2092,1),
(60,2190,1),
(60,2077,1),
(60,1797,1),
(60,1833,1),
(60,1822,1),
(60,2089,1),
(60,1792,1),
(60,1810,1),
(60,2275,1),
(60,1844,1),
(60,1811,1),
(60,2084,1),
(60,1806,1),
(60,2097,1),
(60,2071,1),
(60,1861,3),
(60,2133,6),
(60,2298,6),
(60,1917,7),
(60,2107,1),
(60,2121,2),
(60,2290,2),
(60,2286,2),
(60,1910,2),
(60,2116,3),
(60,2114,2),
(60,1938,1),
(60,2120,2),
(60,2110,4),
(60,2111,4),
(60,2122,1),
(60,1927,1),
(60,1937,1),
(60,1916,4),
(60,2215,1),
(60,1893,2),
(60,2384,1),
(60,1929,3),
(60,2205,1),
(60,1876,1),
(60,2131,1),
(60,2381,1),
(60,1930,1),
(60,1903,1),
(60,2443,1),
(60,2444,1),
(60,2445,1),
(60,2446,1),
(60,2447,1),
(60,2448,1),
(60,2449,2),
(60,2450,1),
(60,2451,1),
(60,2452,1),
(60,2453,1),
(60,2138,1),
(60,2294,1),
(60,2135,2),
(60,2123,1),
(60,1875,1),
(60,2375,1),
(60,2128,2),
(60,1908,1),
(60,2382,1),
(60,2204,1),
(60,1928,1),
(60,1926,1),
(60,1883,1),
(60,1923,1),
(60,1877,2),
(60,2217,1),
(60,1901,1),
(60,1879,1),
(60,2295,2),
(60,2212,1),
(60,2288,1),
(60,2117,1),
(60,1882,1),
(60,2296,1),
(60,2127,1),
(60,2206,1),
(60,2112,1),
(60,1886,1),
(60,1922,1),
(60,1911,1),
(60,2124,1),
(60,1881,1),
(60,1899,1),
(60,2293,1),
(60,1933,1),
(60,1900,1),
(60,2119,1),
(60,1895,1),
(60,2132,1),
(60,2106,1),
(60,1950,3),
(60,1951,3),
(44,1950,3),
(44,1951,3),
(7,4948,1),
(7,3046,1),
(7,3894,1),
(7,2660,2),
(7,4947,2),
(7,2673,2),
(7,2638,8),
(7,4946,2),
(7,3122,2),
(7,2912,5),
(7,4231,2),
(7,4945,2),
(7,4944,2),
(7,3365,2),
(7,2915,2),
(7,3308,2),
(7,4216,2),
(7,2916,2),
(7,4220,2),
(7,2979,3),
(7,2671,2),
(7,4943,2),
(7,3129,2),
(7,2635,12),
(7,4942,2),
(7,4941,4),
(7,3402,2),
(7,3899,3),
(7,3889,2),
(7,2668,14),
(7,4940,2),
(7,4939,2),
(7,2639,7),
(7,5179,6),
(7,5191,6),
(7,5190,6),
(7,5176,6),
(7,3745,3),
(7,3744,3),
(7,1030,3),
(7,4933,1),
(7,4200,1),
(7,4932,1),
(7,4931,1),
(7,4930,1),
(7,4929,1),
(7,3204,1),
(7,2876,1),
(7,4928,1),
(7,2785,1),
(7,4194,1),
(7,4927,1),
(7,4926,1),
(7,4925,1),
(7,3850,1),
(7,4924,1),
(7,4923,1),
(7,2619,1),
(7,4922,1),
(7,4921,1),
(7,4920,1),
(7,4919,3),
(7,4918,2),
(7,4917,1),
(7,4916,1),
(7,4195,1),
(7,4915,1),
(7,2608,1),
(7,4914,1),
(7,4913,1),
(7,4912,2),
(7,4911,1),
(7,4910,1),
(7,4909,2),
(7,4908,1),
(7,4907,1),
(7,4014,1),
(7,4906,1),
(7,4905,1),
(7,4904,1),
(7,4903,1),
(7,4902,1),
(7,4901,1),
(7,4900,1),
(7,4899,1),
(7,4898,1),
(7,4897,1),
(7,4896,1),
(7,4895,1),
(4,2739,4),
(4,2738,6),
(4,2737,6),
(4,2736,4),
(4,1885,3),
(4,3736,3),
(4,1951,3),
(4,1950,3),
(4,5097,1),
(4,4256,1),
(4,5096,1),
(4,5095,1),
(4,5094,1),
(4,5093,1),
(4,3250,1),
(4,2927,1),
(4,5092,1),
(4,2819,1),
(4,4250,1),
(4,5091,1),
(4,5090,1),
(4,5089,1),
(4,3932,1),
(4,5088,1),
(4,5087,1),
(4,2735,5),
(4,5086,1),
(4,5085,1),
(4,5084,1),
(4,5083,3),
(4,5082,2),
(4,5081,1),
(4,5080,1),
(4,4251,1),
(4,5079,1),
(4,2724,1),
(4,5078,1),
(4,5077,1),
(4,5076,2),
(4,5075,1),
(4,5074,1),
(4,5073,2),
(4,5072,1),
(4,5071,1),
(4,4060,1),
(4,5070,1),
(4,5069,1),
(4,5068,1),
(4,5067,1),
(4,5066,1),
(4,5065,1),
(4,5064,1),
(4,5063,1),
(4,5062,1),
(4,5061,1),
(4,5060,1),
(4,5059,1),
(4,5058,1),
(4,5057,1),
(4,5056,1),
(4,3956,1),
(4,3408,1),
(4,5055,1),
(4,2814,1),
(4,2813,1),
(4,5054,1),
(4,5053,4),
(4,5052,1),
(4,5051,1),
(4,2730,3),
(4,2944,2),
(4,5050,1),
(4,4058,1),
(4,2928,1),
(4,3065,1),
(4,3372,1),
(4,3309,1),
(4,3941,2),
(4,2945,1),
(4,4126,1),
(4,5049,1),
(4,5048,1),
(4,5047,1),
(4,5046,1),
(4,2931,1),
(4,5045,1),
(4,5044,1),
(4,3950,1),
(4,5043,1),
(4,5042,1),
(4,5041,1),
(4,5040,1),
(4,3314,1),
(4,5039,2),
(4,2810,1),
(4,5038,1),
(4,5037,1),
(4,3939,1),
(4,5036,1),
(4,5035,1),
(4,2809,9),
(4,5034,1),
(4,3954,2),
(4,3937,1),
(4,5033,1),
(4,5032,1),
(4,5031,1),
(4,5030,1),
(4,3061,1),
(4,3935,1),
(4,2718,2),
(4,5029,2),
(4,2731,2),
(4,2697,8),
(4,5028,2),
(4,3139,2),
(4,2938,5),
(4,4259,2),
(4,5027,2),
(4,5026,2),
(4,3376,2),
(4,2941,2),
(4,3322,2),
(4,4244,2),
(4,2942,2),
(4,4248,2),
(4,2989,3),
(4,2729,2),
(4,5025,2),
(4,3146,2),
(4,2694,12),
(4,5024,2),
(4,5023,4),
(4,3409,2),
(4,3940,3),
(4,3930,2),
(4,2726,14),
(4,5022,2),
(4,5021,2),
(4,2698,7),
(4,5020,6),
(4,5153,6),
(4,5152,6),
(4,5151,6),
(4,2681,4),
(4,2680,6),
(4,2679,6),
(4,2678,4),
(4,1796,3),
(4,3735,3),
(4,1861,3),
(4,5015,1),
(4,4228,1),
(4,5014,1),
(4,5013,1),
(4,5012,1),
(4,5011,1),
(4,3227,1),
(4,2901,1),
(4,5010,1),
(4,2802,1),
(4,4222,1),
(4,5009,1),
(4,5008,1),
(4,5007,1),
(4,3891,1),
(4,5006,1),
(4,5005,1),
(4,2677,5),
(4,5004,1),
(4,5003,1),
(4,5002,1),
(4,5001,3),
(4,5000,2),
(4,4999,1),
(4,4998,1),
(4,4223,1),
(4,4997,1),
(4,2666,1),
(4,4996,1),
(4,4995,1),
(4,4994,2),
(4,4993,1),
(4,4992,1),
(4,4991,2),
(4,4990,1),
(4,4989,1),
(4,4037,1),
(4,4988,1),
(4,4987,1),
(4,4986,1),
(4,4985,1),
(4,4984,1),
(4,4983,1),
(4,4982,1),
(4,4981,1),
(4,4980,1),
(4,4979,1),
(4,4978,1),
(4,4977,1),
(4,4976,1),
(4,4975,1),
(4,4974,1),
(4,3915,1),
(4,3401,1),
(4,4973,1),
(4,2797,1),
(4,2796,1),
(4,4972,1),
(4,4971,4),
(4,4970,1),
(4,4969,1),
(4,2672,3),
(4,2918,2),
(4,4968,1),
(4,4035,1),
(4,2902,1),
(4,3050,1),
(4,3361,1),
(4,3295,1),
(4,3900,2),
(4,2919,1),
(4,4114,1),
(4,4967,1),
(4,4966,1),
(4,4965,1),
(4,4964,1),
(4,2905,1),
(4,4963,1),
(4,4962,1),
(4,3909,1),
(4,4961,1),
(4,4960,1),
(4,4959,1),
(4,4958,1),
(4,3300,1),
(4,4957,2),
(4,2793,1),
(4,4956,1),
(4,4955,1),
(4,3898,1),
(4,4954,1),
(4,4953,1),
(4,2792,9),
(4,4952,1),
(4,3913,2),
(4,3896,1),
(4,4951,1),
(4,4950,1),
(4,4949,1),
(4,4948,1),
(4,3046,1),
(4,3894,1),
(4,2660,2),
(4,4947,2),
(4,2673,2),
(4,2638,8),
(4,4946,2),
(4,3122,2),
(4,2912,5),
(4,4231,2),
(4,4945,2),
(4,4944,2),
(4,3365,2),
(4,2915,2),
(4,3308,2),
(4,4216,2),
(4,2916,2),
(4,4220,2),
(4,2979,3),
(4,2671,2),
(4,4943,2),
(4,3129,2),
(4,2635,12),
(4,4942,2),
(4,4941,4),
(4,3402,2),
(4,3899,3),
(4,3889,2),
(4,2668,14),
(4,4940,2),
(4,4939,2),
(4,2639,7),
(4,4938,6),
(4,5150,6),
(4,5149,6),
(4,5148,6),
(4,2622,4),
(4,2621,6),
(4,225,6),
(4,2620,4),
(4,1718,3),
(4,3734,3),
(4,1030,3),
(4,4933,1),
(4,4200,1),
(4,4932,1),
(4,4931,1),
(4,4930,1),
(4,4929,1),
(4,3204,1),
(4,2876,1),
(4,4928,1),
(4,2785,1),
(4,4194,1),
(4,4927,1),
(4,4926,1),
(4,4925,1),
(4,3850,1),
(4,4924,1),
(4,4923,1),
(4,2619,5),
(4,4922,1),
(4,4921,1),
(4,4920,1),
(4,4919,3),
(4,4918,2),
(4,4917,1),
(4,4916,1),
(4,4195,1),
(4,4915,1),
(4,2608,1),
(4,4914,1),
(4,4913,1),
(4,4912,2),
(4,4911,1),
(4,4910,1),
(4,4909,2),
(4,4908,1),
(4,4907,1),
(4,4014,1),
(4,4906,1),
(4,4905,1),
(4,4904,1),
(4,4903,1),
(4,4902,1),
(4,4901,1),
(4,4900,1),
(4,4899,1),
(4,4898,1),
(4,4897,1),
(4,4896,1),
(4,4895,1),
(4,4894,1),
(4,4893,1),
(4,4892,1),
(4,3874,1),
(4,3394,1),
(4,4891,1),
(4,2780,1),
(4,2779,1),
(4,4890,1),
(4,4889,4),
(4,4888,1),
(4,4887,1),
(4,2614,3),
(4,2892,2),
(4,4886,1),
(4,4012,1),
(4,2877,1),
(4,3035,1),
(4,3350,1),
(4,3281,1),
(4,3859,2),
(4,2893,1),
(4,4102,1),
(4,4885,1),
(4,4884,1),
(4,4883,1),
(4,4882,1),
(4,2880,1),
(4,4881,1),
(4,4880,1),
(4,3868,1),
(4,4879,1),
(4,4878,1),
(4,4877,1),
(4,4876,1),
(4,3286,1),
(4,4875,2),
(4,2776,1),
(4,4874,1),
(4,4873,1),
(4,3857,1),
(4,4872,1),
(4,4871,1),
(4,2775,9),
(4,4870,1),
(4,3872,2),
(4,3855,1),
(4,4869,1),
(4,4868,1),
(4,4867,1),
(4,4866,1),
(4,3031,1),
(4,3853,1),
(4,2602,2),
(4,4865,2),
(4,2615,2),
(4,2580,8),
(4,4864,2),
(4,3105,2),
(4,2886,5),
(4,4203,2),
(4,4863,2),
(4,4862,2),
(4,3354,2),
(4,2889,2),
(4,3294,2),
(4,4188,2),
(4,2890,2),
(4,4192,2),
(4,2970,3),
(4,2613,2),
(4,4861,2),
(4,3112,2),
(4,2577,12),
(4,4860,2),
(4,4859,4),
(4,3395,2),
(4,3858,3),
(4,3848,2),
(4,2610,14),
(4,4858,2),
(4,4857,2),
(4,2581,7),
(4,4856,6),
(4,5147,6),
(4,5146,6),
(4,5145,6),
(4,2564,4),
(4,2563,6),
(4,148,6),
(4,2562,4),
(4,1639,3),
(4,3733,3),
(4,1704,3),
(4,4851,1),
(4,4172,1),
(4,4850,1),
(4,4849,1),
(4,4848,1),
(4,4847,1),
(4,3181,1),
(4,2850,1),
(4,4846,1),
(4,2768,1),
(4,4166,1),
(4,4845,1),
(4,4844,1),
(4,4843,1),
(4,3809,1),
(4,4842,1),
(4,4841,1),
(4,2561,5),
(4,4840,1),
(4,4839,1),
(4,4838,1),
(4,4837,3),
(4,4836,2),
(4,4835,1),
(4,4834,1),
(4,4167,1),
(4,4833,1),
(4,2550,1),
(4,4832,1),
(4,4831,1),
(4,4830,2),
(4,4829,1),
(4,4828,1),
(4,4827,2),
(4,4826,1),
(4,4825,1),
(4,3992,1),
(4,4824,1),
(4,4823,1),
(4,4822,1),
(4,4821,1),
(4,4820,1),
(4,4819,1),
(4,4818,1),
(4,4817,1),
(4,4816,1),
(4,4815,1),
(4,4814,1),
(4,4813,1),
(4,4812,1),
(4,4811,1),
(4,4810,1),
(4,3833,1),
(4,3387,1),
(4,4809,1),
(4,2763,1),
(4,2762,1),
(4,4808,1),
(4,4807,4),
(4,4806,1),
(4,4805,1),
(4,2556,3),
(4,2867,2),
(4,4804,1),
(4,1365,1),
(4,2851,1),
(4,3020,1),
(4,3339,1),
(4,3268,1),
(4,3818,2),
(4,2868,1),
(4,4090,1),
(4,4803,1),
(4,4802,1),
(4,4801,1),
(4,4800,1),
(4,2854,1),
(4,4799,1),
(4,4798,1),
(4,3827,1),
(4,4797,1),
(4,4796,1),
(4,4795,1),
(4,4794,1),
(4,3273,1),
(4,4793,2),
(4,2759,1),
(4,4792,1),
(4,4791,1),
(4,3816,1),
(4,4790,1),
(4,4789,1),
(4,2758,9),
(4,4788,1),
(4,3831,2),
(4,3814,1),
(4,4787,1),
(4,4786,1),
(4,4785,1),
(4,4784,1),
(4,3016,1),
(4,3812,1),
(4,2544,2),
(4,4783,2),
(4,2557,2),
(4,2523,8),
(4,4782,2),
(4,882,2),
(4,2861,5),
(4,4175,2),
(4,4781,2),
(4,4780,2),
(4,3343,2),
(4,2864,2),
(4,3280,2),
(4,4161,2),
(4,2865,2),
(4,4164,2),
(4,2961,3),
(4,2555,2),
(4,4779,2),
(4,3095,2),
(4,2520,12),
(4,4778,2),
(4,4777,4),
(4,3388,2),
(4,3817,3),
(4,3807,2),
(4,2552,14),
(4,4776,2),
(4,4775,2),
(4,2524,7),
(4,4774,6),
(4,5144,6),
(4,5143,6),
(4,5142,6),
(4,2507,4),
(4,2506,6),
(4,70,6),
(4,77,4),
(4,1047,4),
(4,1046,4),
(4,1561,3),
(4,3732,3),
(4,845,3),
(4,4769,1),
(4,4146,1),
(4,4768,1),
(4,4767,1),
(4,4766,1),
(4,4765,1),
(4,3160,1),
(4,2827,1),
(4,4764,1),
(4,2752,1),
(4,4141,1),
(4,4763,1),
(4,4762,1),
(4,4761,1),
(4,3773,1),
(4,4760,1),
(4,4759,1),
(4,74,5),
(4,4758,1),
(4,4757,1),
(4,4756,1),
(4,4755,3),
(4,4754,2),
(4,4753,1),
(4,4752,1),
(4,4142,1),
(4,4751,1),
(4,841,1),
(4,4750,1),
(4,4749,1),
(4,442,2),
(4,30,1),
(4,4748,1),
(4,4747,2),
(4,4746,1),
(4,4745,1),
(4,38,1),
(4,4744,1),
(4,4743,1),
(4,4742,1),
(4,4741,1),
(4,4740,1),
(4,4739,1),
(4,4738,1),
(4,4737,1),
(4,4736,1),
(4,4735,1),
(4,4734,1),
(4,4733,1),
(4,4732,1),
(4,4731,1),
(4,7,1),
(4,3794,1),
(4,3380,1),
(4,4730,1),
(4,2749,1),
(4,2748,1),
(4,4729,1),
(4,4728,4),
(4,4727,1),
(4,4726,1),
(4,710,3),
(4,51,2),
(4,4725,1),
(4,3969,1),
(4,2828,1),
(4,3005,1),
(4,3328,1),
(4,3260,1),
(4,3780,2),
(4,2842,1),
(4,4078,1),
(4,4724,1),
(4,4723,1),
(4,4722,1),
(4,4721,1),
(4,2831,1),
(4,4720,1),
(4,4719,1),
(4,3789,1),
(4,4718,1),
(4,4717,1),
(4,4716,1),
(4,4715,1),
(4,14,1),
(4,451,2),
(4,2745,1),
(4,464,1),
(4,4714,1),
(4,3778,1),
(4,4713,1),
(4,4712,1),
(4,2744,9),
(4,4711,1),
(4,3792,2),
(4,3777,1),
(4,1246,1),
(4,4710,1),
(4,4709,1),
(4,4708,1),
(4,31,1),
(4,3776,1),
(4,2497,2),
(4,4707,2),
(4,2504,2),
(4,47,8),
(4,4706,2),
(4,3073,2),
(4,2837,5),
(4,4148,2),
(4,4705,2),
(4,4704,2),
(4,3332,2),
(4,1151,2),
(4,3267,2),
(4,4138,2),
(4,2840,2),
(4,1247,2),
(4,720,3),
(4,1219,2),
(4,4703,2),
(4,3079,2),
(4,1048,2),
(4,4702,4),
(3,1887,3),
(3,1951,3),
(3,1950,3),
(3,5040,1),
(3,3314,1),
(3,2810,1),
(3,5038,1),
(3,5037,1),
(3,3939,1),
(3,5036,1),
(3,5035,1),
(3,5034,1),
(3,3937,1),
(3,5033,1),
(3,5032,1),
(3,5031,1),
(3,5030,1),
(3,3061,1),
(3,3935,1),
(3,2718,1),
(3,5029,1),
(3,2731,1),
(3,5028,1),
(3,3139,1),
(3,4259,1),
(3,5027,1),
(3,5026,1),
(3,3376,1),
(3,2941,1),
(3,3322,1),
(3,4244,1),
(3,2942,1),
(3,4248,1),
(3,2729,1),
(3,5025,1),
(3,3146,1),
(3,5024,1),
(3,3409,1),
(3,3940,2),
(3,3930,1),
(3,5022,1),
(3,5021,1),
(3,5055,1),
(3,2814,1),
(3,2813,1),
(3,5054,1),
(3,5052,1),
(3,5051,1),
(3,5050,1),
(3,4058,1),
(3,2989,2),
(3,2928,1),
(3,3065,1),
(3,3372,1),
(3,3954,2),
(3,3309,1),
(3,2945,1),
(3,4126,1),
(3,5049,1),
(3,5048,1),
(3,5047,1),
(3,5046,1),
(3,2931,1),
(3,5045,1),
(3,5044,1),
(3,3950,1),
(3,5043,1),
(3,5042,1),
(3,5041,1),
(3,5097,1),
(3,4256,1),
(3,5096,1),
(3,5095,1),
(3,5094,1),
(3,5093,1),
(3,3250,1),
(3,2927,1),
(3,2944,2),
(3,5092,1),
(3,5039,2),
(3,2819,1),
(3,4250,1),
(3,2730,3),
(3,5091,1),
(3,5090,1),
(3,5089,1),
(3,3932,1),
(3,5088,1),
(3,5087,1),
(3,2735,5),
(3,3941,2),
(3,5086,1),
(3,5085,1),
(3,5084,1),
(3,5083,3),
(3,5082,2),
(3,5081,1),
(3,5080,1),
(3,4251,1),
(3,5079,1),
(3,2698,5),
(3,2724,1),
(3,5023,3),
(3,5078,2),
(3,5077,2),
(3,5076,3),
(3,5075,2),
(3,5074,2),
(3,2938,5),
(3,5073,3),
(3,5072,2),
(3,5071,2),
(3,4060,2),
(3,5070,2),
(3,5069,2),
(3,5068,2),
(3,2697,9),
(3,5067,2),
(3,5053,5),
(3,5066,2),
(3,5065,2),
(3,5064,2),
(3,5063,2),
(3,5062,2),
(3,5061,2),
(3,5060,2),
(3,5059,2),
(3,2694,11),
(3,5058,2),
(3,2726,14),
(3,5057,2),
(3,5056,2),
(3,3956,2),
(3,3408,2),
(3,2809,11),
(3,5139,6),
(3,5138,6),
(3,5137,6),
(3,5136,6),
(3,5135,6),
(3,2203,2),
(3,2681,4),
(3,2680,6),
(3,2679,6),
(3,2678,4),
(3,1798,3),
(3,1861,3),
(3,4958,1),
(3,3300,1),
(3,2793,1),
(3,4956,1),
(3,4955,1),
(3,3898,1),
(3,4954,1),
(3,4953,1),
(3,4952,1),
(3,3896,1),
(3,4951,1),
(3,4950,1),
(3,4949,1),
(3,4948,1),
(3,3046,1),
(3,3894,1),
(3,2660,1),
(3,4947,1),
(3,2673,1),
(3,4946,1),
(3,3122,1),
(3,4231,1),
(3,4945,1),
(3,4944,1),
(3,3365,1),
(3,2915,1),
(3,3308,1),
(3,4216,1),
(3,2916,1),
(3,4220,1),
(3,2671,1),
(3,4943,1),
(3,3129,1),
(3,4942,1),
(3,3402,1),
(3,3899,2),
(3,3889,1),
(3,4940,1),
(3,4939,1),
(3,4973,1),
(3,2797,1),
(3,2796,1),
(3,4972,1),
(3,4970,1),
(3,4969,1),
(3,4968,1),
(3,4035,1),
(3,2979,2),
(3,2902,1),
(3,3050,1),
(3,3361,1),
(3,3913,2),
(3,3295,1),
(3,2919,1),
(3,4114,1),
(3,4967,1),
(3,4966,1),
(3,4965,1),
(3,4964,1),
(3,2905,1),
(3,4963,1),
(3,4962,1),
(3,3909,1),
(3,4961,1),
(3,4960,1),
(3,4959,1),
(3,5015,1),
(3,4228,1),
(3,5014,1),
(3,5013,1),
(3,5012,1),
(3,5011,1),
(3,3227,1),
(3,2901,1),
(3,2918,2),
(3,5010,1),
(3,4957,2),
(3,2802,1),
(3,4222,1),
(3,2672,3),
(3,5009,1),
(3,5008,1),
(3,5007,1),
(3,3891,1),
(3,5006,1),
(3,5005,1),
(3,2677,5),
(3,3900,2),
(3,5004,1),
(3,5003,1),
(3,5002,1),
(3,5001,3),
(3,5000,2),
(3,4999,1),
(3,4998,1),
(3,4223,1),
(3,4997,1),
(3,2639,5),
(3,2666,1),
(3,4941,3),
(3,4996,2),
(3,4995,2),
(3,4994,3),
(3,4993,2),
(3,4992,2),
(3,2912,5),
(3,4991,3),
(3,4990,2),
(3,4989,2),
(3,4037,2),
(3,4988,2),
(3,4987,2),
(3,4986,2),
(3,2638,9),
(3,4985,2),
(3,4971,5),
(3,4984,2),
(3,4983,2),
(3,4982,2),
(3,4981,2),
(3,4980,2),
(3,4979,2),
(3,4978,2),
(3,4977,2),
(3,2635,11),
(3,4976,2),
(3,2668,14),
(3,4975,2),
(3,4974,2),
(3,3915,2),
(3,3401,2),
(3,2792,11),
(3,5134,6),
(3,5133,6),
(3,5132,6),
(3,5131,6),
(3,5130,6),
(3,2187,2),
(3,2622,4),
(3,2621,6),
(3,225,6),
(3,2620,4),
(3,1720,3),
(3,1030,3),
(3,4876,1),
(3,3286,1),
(3,2776,1),
(3,4874,1),
(3,4873,1),
(3,3857,1),
(3,4872,1),
(3,4871,1),
(3,4870,1),
(3,3855,1),
(3,4869,1),
(3,4868,1),
(3,4867,1),
(3,4866,1),
(3,3031,1),
(3,3853,1),
(3,2602,1),
(3,4865,1),
(3,2615,1),
(3,4864,1),
(3,3105,1),
(3,4203,1),
(3,4863,1),
(3,4862,1),
(3,3354,1),
(3,2889,1),
(3,3294,1),
(3,4188,1),
(3,2890,1),
(3,4192,1),
(3,2613,1),
(3,4861,1),
(3,3112,1),
(3,4860,1),
(3,3395,1),
(3,3858,2),
(3,3848,1),
(3,4858,1),
(3,4857,1),
(3,4891,1),
(3,2780,1),
(3,2779,1),
(3,4890,1),
(3,4888,1),
(3,4887,1),
(3,4886,1),
(3,4012,1),
(3,2970,2),
(3,2877,1),
(3,3035,1),
(3,3350,1),
(3,3872,2),
(3,3281,1),
(3,2893,1),
(3,4102,1),
(3,4885,1),
(3,4884,1),
(3,4883,1),
(3,4882,1),
(3,2880,1),
(3,4881,1),
(3,4880,1),
(3,3868,1),
(3,4879,1),
(3,4878,1),
(3,4877,1),
(3,4933,1),
(3,4200,1),
(3,4932,1),
(3,4931,1),
(3,4930,1),
(3,4929,1),
(3,3204,1),
(3,2876,1),
(3,2892,2),
(3,4928,1),
(3,4875,2),
(3,2785,1),
(3,4194,1),
(3,2614,3),
(3,4927,1),
(3,4926,1),
(3,4925,1),
(3,3850,1),
(3,4924,1),
(3,4923,1),
(3,2619,5),
(3,3859,2),
(3,4922,1),
(3,4921,1),
(3,4920,1),
(3,4919,3),
(3,4918,2),
(3,4917,1),
(3,4916,1),
(3,4195,1),
(3,4915,1),
(3,2581,5),
(3,2608,1),
(3,4859,3),
(3,4914,2),
(3,4913,2),
(3,4912,3),
(3,4911,2),
(3,4910,2),
(3,2886,5),
(3,4909,3),
(3,4908,2),
(3,4907,2),
(3,4014,2),
(3,4906,2),
(3,4905,2),
(3,4904,2),
(3,2580,9),
(3,4903,2),
(3,4889,5),
(3,4902,2),
(3,4901,2),
(3,4900,2),
(3,4899,2),
(3,4898,2),
(3,4897,2),
(3,4896,2),
(3,4895,2),
(3,2577,11),
(3,4894,2),
(3,2610,14),
(3,4893,2),
(3,4892,2),
(3,3874,2),
(3,3394,2),
(3,2775,11),
(3,5129,6),
(3,5128,6),
(3,5127,6),
(3,5126,6),
(3,5125,6),
(3,2171,2),
(3,2564,4),
(3,2563,6),
(3,148,6),
(3,2562,4),
(3,1641,3),
(3,1704,3),
(3,4794,1),
(3,3273,1),
(3,2759,1),
(3,4792,1),
(3,4791,1),
(3,3816,1),
(3,4790,1),
(3,4789,1),
(3,4788,1),
(3,3814,1),
(3,4787,1),
(3,4786,1),
(3,4785,1),
(3,4784,1),
(3,3016,1),
(3,3812,1),
(3,2544,1),
(3,4783,1),
(3,2557,1),
(3,4782,1),
(3,882,1),
(3,4175,1),
(3,4781,1),
(3,4780,1),
(3,3343,1),
(3,2864,1),
(3,3280,1),
(3,4161,1),
(3,2865,1),
(3,4164,1),
(3,2555,1),
(3,4779,1),
(3,3095,1),
(3,4778,1),
(3,3388,1),
(3,3817,2),
(3,3807,1),
(3,4776,1),
(3,4775,1),
(3,4809,1),
(3,2763,1),
(3,2762,1),
(3,4808,1),
(3,4806,1),
(3,4805,1),
(3,4804,1),
(3,1365,1),
(3,2961,2),
(3,2851,1),
(3,3020,1),
(3,3339,1),
(3,3831,2),
(3,3268,1),
(3,2868,1),
(3,4090,1),
(3,4803,1),
(3,4802,1),
(3,4801,1),
(3,4800,1),
(3,2854,1),
(3,4799,1),
(3,4798,1),
(3,3827,1),
(3,4797,1),
(3,4796,1),
(3,4795,1),
(3,4851,1),
(3,4172,1),
(3,4850,1),
(3,4849,1),
(3,4848,1),
(3,4847,1),
(3,3181,1),
(3,2850,1),
(3,2867,2),
(3,4846,1),
(3,4793,2),
(3,2768,1),
(3,4166,1),
(3,2556,3),
(3,4845,1),
(3,4844,1),
(3,4843,1),
(3,3809,1),
(3,4842,1),
(3,4841,1),
(3,2561,5),
(3,3818,2),
(3,4840,1),
(3,4839,1),
(3,4838,1),
(3,4837,3),
(3,4836,2),
(3,4835,1),
(3,4834,1),
(3,4167,1),
(3,4833,1),
(3,2524,5),
(3,2550,1),
(3,4777,3),
(3,4832,2),
(3,4831,2),
(3,4830,3),
(3,4829,2),
(3,4828,2),
(3,2861,5),
(3,4827,3),
(3,4826,2),
(3,4825,2),
(3,3992,2),
(3,4824,2),
(3,4823,2),
(3,4822,2),
(3,2523,9),
(3,4821,2),
(3,4807,5),
(3,4820,2),
(3,4819,2),
(3,4818,2),
(3,4817,2),
(3,4816,2),
(3,4815,2),
(3,4814,2),
(3,4813,2),
(3,2520,11),
(3,4812,2),
(3,2552,14),
(3,4811,2),
(3,4810,2),
(3,3833,2),
(3,3387,2),
(3,2758,11),
(3,5124,6),
(3,5123,6),
(3,297,6),
(3,5122,6),
(3,5121,6),
(3,2155,2),
(3,2507,4),
(3,2506,6),
(3,70,6),
(3,77,4),
(3,1047,4),
(3,1046,4),
(3,1563,3),
(3,845,3),
(3,4715,1),
(3,14,1),
(3,2745,1),
(3,464,1),
(3,4714,1),
(3,3778,1),
(3,4713,1),
(3,4712,1),
(3,4711,1),
(3,3777,1),
(3,1246,1),
(3,4710,1),
(3,4709,1),
(3,4708,1),
(3,31,1),
(3,3776,1),
(3,2497,1),
(3,4707,1),
(3,2504,1),
(3,4706,1),
(3,3073,1),
(3,4148,1),
(3,4705,1),
(3,4704,1),
(3,3332,1),
(3,1151,1),
(3,3267,1),
(3,4138,1),
(3,2840,1),
(3,1247,1),
(3,1219,1),
(3,4703,1),
(3,3079,1),
(3,1048,1),
(3,3381,1),
(3,3779,2),
(3,3771,1),
(3,4701,1),
(3,4700,1),
(3,4730,1),
(3,2749,1),
(3,2748,1),
(3,4729,1),
(3,4727,1),
(3,4726,1),
(3,4725,1),
(3,3969,1),
(3,720,2),
(3,2828,1),
(3,3005,1),
(3,3328,1),
(3,3792,2),
(3,3260,1),
(3,2842,1),
(3,4078,1),
(3,4724,1),
(3,4723,1),
(3,4722,1),
(3,4721,1),
(3,2831,1),
(3,4720,1),
(3,4719,1),
(3,3789,1),
(3,4718,1),
(3,4717,1),
(3,4716,1),
(3,4769,1),
(3,4146,1),
(3,4768,1),
(3,4767,1),
(3,4766,1),
(3,4765,1),
(3,3160,1),
(3,2827,1),
(3,51,2),
(3,4764,1),
(3,451,2),
(3,2752,1),
(3,4141,1),
(3,710,3),
(3,4763,1),
(3,4762,1),
(3,4761,1),
(3,3773,1),
(3,4760,1),
(3,4759,1),
(3,74,5),
(3,3780,2),
(3,4758,1),
(3,4757,1),
(3,4756,1),
(3,4755,3),
(3,4754,2),
(3,4753,1),
(3,4752,1),
(3,4142,1),
(3,4751,1),
(3,2480,5),
(3,841,1),
(3,4702,3),
(3,4750,2),
(3,4749,2),
(3,442,3),
(3,30,2),
(3,4748,2),
(3,2837,5),
(3,4747,3),
(3,4746,2),
(3,4745,2),
(3,38,2),
(3,4744,2),
(3,4743,2),
(3,4742,2),
(3,47,9),
(3,4741,2),
(3,4728,5),
(3,4740,2),
(3,4739,2),
(3,4738,2),
(3,4737,2),
(3,4736,2),
(3,4735,2),
(3,4734,2),
(3,4733,2),
(3,4732,2),
(3,4731,2),
(3,7,2),
(3,3794,2),
(3,3380,2),
(3,2744,11),
(3,5120,6),
(3,250,6),
(3,5119,6),
(3,5118,6),
(3,5117,6),
(7,4894,1),
(7,4893,1),
(7,4892,1),
(7,3874,1),
(7,3394,1),
(7,4891,1),
(7,2780,1),
(7,2779,1),
(7,4890,1),
(7,4889,4),
(7,4888,1),
(7,4887,1),
(7,2614,3),
(7,2892,2),
(7,4886,1),
(7,4012,1),
(7,2877,1),
(7,3035,1),
(7,3350,1),
(7,3281,1),
(7,3859,2),
(7,2893,1),
(7,4102,1),
(7,4885,1),
(7,4884,1),
(7,4883,1),
(7,4882,1),
(7,2880,1),
(7,4881,1),
(7,4880,1),
(7,3868,1),
(7,4879,1),
(7,4878,1),
(7,4877,1),
(7,4876,1),
(7,3286,1),
(7,4875,2),
(7,2776,1),
(7,4874,1),
(7,4873,1),
(7,3857,1),
(7,4872,1),
(7,4871,1),
(7,2775,9),
(7,4870,1),
(7,3872,2),
(7,3855,1),
(7,4869,1),
(7,4868,1),
(7,4867,1),
(7,4866,1),
(7,3031,1),
(7,3853,1),
(7,2602,2),
(7,4865,2),
(7,2615,2),
(7,2580,8),
(7,4864,2),
(7,3105,2),
(7,2886,5),
(7,4203,2),
(7,4863,2),
(7,4862,2),
(7,3354,2),
(7,2889,2),
(7,3294,2),
(7,4188,2),
(7,2890,2),
(7,4192,2),
(7,2970,3),
(7,2613,2),
(7,4861,2),
(7,3112,2),
(7,2577,12),
(7,4860,2),
(7,4859,4),
(7,3395,2),
(7,3858,3),
(7,3848,2),
(7,2610,14),
(7,4858,2),
(7,4857,2),
(7,2581,7),
(7,5175,6),
(7,5189,6),
(7,5188,6),
(7,5172,6),
(7,3743,3),
(7,3742,3),
(7,1704,3),
(7,4851,1),
(7,4172,1),
(7,4850,1),
(7,4849,1),
(7,4848,1),
(7,4847,1),
(7,3181,1),
(7,2850,1),
(7,4846,1),
(7,2768,1),
(7,4166,1),
(7,4845,1),
(7,4844,1),
(7,4843,1),
(7,3809,1),
(7,4842,1),
(7,4841,1),
(7,2561,1),
(7,4840,1),
(7,4839,1),
(7,4838,1),
(7,4837,3),
(7,4836,2),
(7,4835,1),
(7,4834,1),
(7,4167,1),
(7,4833,1),
(7,2550,1),
(7,4832,1),
(7,4831,1),
(7,4830,2),
(7,4829,1),
(7,4828,1),
(7,4827,2),
(7,4826,1),
(7,4825,1),
(7,3992,1),
(7,4824,1),
(7,4823,1),
(7,4822,1),
(7,4821,1),
(7,4820,1),
(7,4819,1),
(7,4818,1),
(7,4817,1),
(7,4816,1),
(7,4815,1),
(7,4814,1),
(7,4813,1),
(7,4812,1),
(7,4811,1),
(7,4810,1),
(7,3833,1),
(7,3387,1),
(7,4809,1),
(7,2763,1),
(7,2762,1),
(7,4808,1),
(7,4807,4),
(7,4806,1),
(7,4805,1),
(7,2556,3),
(7,2867,2),
(7,4804,1),
(7,1365,1),
(7,2851,1),
(7,3020,1),
(7,3339,1),
(7,3268,1),
(7,3818,2),
(7,2868,1),
(7,4090,1),
(7,4803,1),
(7,4802,1),
(7,4801,1),
(7,4800,1),
(7,2854,1),
(7,4799,1),
(7,4798,1),
(7,3827,1),
(7,4797,1),
(7,4796,1),
(7,4795,1),
(7,4794,1),
(7,3273,1),
(7,4793,2),
(7,2759,1),
(7,4792,1),
(7,4791,1),
(7,3816,1),
(7,4790,1),
(7,4789,1),
(7,2758,9),
(7,4788,1),
(7,3831,2),
(7,3814,1),
(7,4787,1),
(7,4786,1),
(7,4785,1),
(7,4784,1),
(7,3016,1),
(7,3812,1),
(7,2544,2),
(7,4783,2),
(7,2557,2),
(7,2523,8),
(7,4782,2),
(7,882,2),
(7,2861,5),
(7,4175,2),
(7,4781,2),
(7,4780,2),
(7,3343,2),
(7,2864,2),
(7,3280,2),
(7,4161,2),
(7,2865,2),
(7,4164,2),
(7,2961,3),
(7,2555,2),
(7,4779,2),
(7,3095,2),
(7,2520,12),
(7,4778,2),
(7,4777,4),
(7,3388,2),
(7,3817,3),
(7,3807,2),
(7,2552,14),
(7,4776,2),
(7,4775,2),
(7,2524,7),
(7,5171,6),
(7,5187,6),
(7,5186,6),
(7,5168,6),
(7,3731,4),
(7,3730,4),
(7,1047,4),
(7,1046,4),
(7,3741,3),
(7,3726,3),
(7,845,3),
(7,4769,1),
(7,4146,1),
(7,4768,1),
(7,4767,1),
(7,4766,1),
(7,4765,1),
(7,3160,1),
(7,2827,1),
(7,4764,1),
(7,2752,1),
(7,4141,1),
(7,4763,1),
(7,4762,1),
(7,4761,1),
(7,3773,1),
(7,4760,1),
(7,4759,1),
(7,74,1),
(7,4758,1),
(7,4757,1),
(7,4756,1),
(7,4755,3),
(7,4754,2),
(7,4753,1),
(7,4752,1),
(7,4142,1),
(7,4751,1),
(7,841,1),
(7,4750,1),
(7,4749,1),
(7,442,2),
(7,30,1),
(7,4748,1),
(7,4747,2),
(7,4746,1),
(7,4745,1),
(7,38,1),
(7,4744,1),
(7,4743,1),
(7,4742,1),
(7,4741,1),
(7,4740,1),
(7,4739,1),
(7,4738,1),
(7,4737,1),
(7,4736,1),
(7,4735,1),
(7,4734,1),
(7,4733,1),
(7,4732,1),
(7,4731,1),
(7,7,1),
(7,3794,1),
(7,3380,1),
(7,4730,1),
(7,2749,1),
(7,2748,1),
(7,4729,1),
(7,4728,4),
(7,4727,1),
(7,4726,1),
(7,710,3),
(7,51,2),
(7,4725,1),
(7,3969,1),
(7,2828,1),
(7,3005,1),
(7,3328,1),
(7,3260,1),
(7,3780,2),
(7,2842,1),
(7,4078,1),
(7,4724,1),
(7,4723,1),
(7,4722,1),
(7,4721,1),
(7,2831,1),
(7,4720,1),
(7,4719,1),
(7,3789,1),
(7,4718,1),
(7,4717,1),
(7,4716,1),
(7,4715,1),
(7,14,1),
(7,451,2),
(7,2745,1),
(7,464,1),
(7,4714,1),
(7,3778,1),
(7,4713,1),
(7,4712,1),
(7,2744,9),
(7,4711,1),
(7,3792,2),
(7,3777,1),
(7,1246,1),
(7,4710,1),
(7,4709,1),
(7,4708,1),
(7,31,1),
(7,3776,1),
(7,2497,2),
(7,4707,2),
(7,2504,2),
(7,47,8),
(7,4706,2),
(7,3073,2),
(7,2837,5),
(7,4148,2),
(7,4705,2),
(7,4704,2),
(7,3332,2),
(7,1151,2),
(7,3267,2),
(7,4138,2),
(7,2840,2),
(7,1247,2),
(7,720,3),
(7,1219,2),
(7,4703,2),
(7,3079,2),
(7,1048,2),
(7,4702,4),
(7,3381,2),
(7,3779,3),
(7,3771,2),
(7,4701,2),
(7,4700,2),
(7,2480,7),
(7,5167,6),
(7,5185,6),
(7,5184,6),
(7,5164,6),
(33,3314,1),
(33,2810,1),
(33,5038,1),
(33,5037,1),
(33,3939,1),
(33,5036,1),
(33,5035,1),
(33,5034,1),
(33,3937,1),
(33,5033,1),
(33,5032,1),
(33,5031,1),
(33,5030,1),
(33,3061,1),
(33,3935,1),
(33,2718,1),
(33,5029,1),
(33,2731,1),
(33,5028,1),
(33,3139,1),
(33,4259,1),
(33,5027,1),
(33,5026,1),
(33,3376,1),
(33,2941,1),
(33,3322,1),
(16,4148,2),
(16,4705,2),
(16,4704,2),
(16,3332,2),
(16,1151,2),
(16,3267,2),
(16,4138,2),
(16,2840,2),
(16,1247,2),
(16,720,3),
(16,1219,2),
(16,4703,2),
(16,3079,2),
(16,1048,2),
(16,4702,4),
(16,3381,2),
(16,3779,3),
(16,3771,2),
(16,4701,2),
(16,4700,2),
(16,2480,7),
(16,5167,6),
(16,5185,6),
(16,5332,6),
(16,5331,6),
(16,5330,6),
(16,5329,6),
(17,5097,1),
(17,4256,1),
(17,5096,1),
(17,5095,1),
(17,5094,1),
(17,5093,1),
(17,3250,1),
(17,2927,1),
(17,5092,1),
(17,2819,1),
(17,4250,1),
(17,5091,1),
(17,5090,1),
(17,5089,1),
(17,3932,1),
(17,5088,1),
(17,5087,1),
(17,2735,1),
(17,5086,1),
(17,5085,1),
(17,5084,1),
(17,5083,3),
(17,5082,2),
(17,5081,1),
(17,5080,1),
(17,4251,1),
(17,5079,1),
(17,2724,1),
(17,5078,1),
(17,5077,1),
(17,5076,2),
(17,5075,1),
(17,5074,1),
(17,5073,2),
(17,5072,1),
(17,5071,1),
(17,4060,1),
(17,5070,1),
(17,5069,1),
(17,5068,1),
(17,5067,1),
(17,5066,1),
(17,5065,1),
(17,5064,1),
(17,5063,1),
(17,5062,1),
(17,5061,1),
(17,5060,1),
(17,5059,1),
(17,5058,1),
(17,5057,1),
(17,5056,1),
(17,3956,1),
(17,3408,1),
(17,5040,1),
(17,3314,1),
(17,5039,2),
(17,2810,1),
(17,5038,1),
(17,5037,1),
(17,3939,1),
(17,5036,1),
(17,5035,1),
(17,5034,1),
(17,3937,1),
(17,5033,1),
(17,5032,1),
(17,5031,1),
(17,5030,1),
(17,3061,1),
(17,3935,1),
(17,2718,1),
(17,5029,1),
(17,2731,1),
(17,2697,7),
(17,5028,1),
(17,3139,1),
(17,4259,1),
(17,5027,1),
(17,5026,1),
(17,3376,1),
(17,2941,1),
(17,3322,1),
(17,4244,1),
(17,2942,1),
(17,4248,1),
(17,2729,1),
(17,5025,1),
(17,3146,1),
(17,5024,1),
(17,5023,3),
(17,3409,1),
(17,3940,2),
(17,3930,1),
(17,5022,1),
(17,5021,1),
(17,5055,2),
(17,2814,2),
(17,2813,2),
(17,5054,2),
(17,5053,5),
(17,5052,2),
(17,5051,2),
(17,2694,10),
(17,2730,4),
(17,2698,6),
(17,2944,3),
(17,5050,2),
(17,4058,2),
(17,2989,3),
(17,2726,13),
(17,2928,2),
(17,3065,2),
(17,3372,2),
(17,3954,3),
(17,3309,2),
(17,3941,3),
(17,2945,2),
(17,4126,2),
(17,5049,2),
(17,5048,2),
(17,5047,2),
(17,5046,2),
(17,2931,2),
(17,5045,2),
(17,5044,2),
(17,3950,2),
(17,2938,5),
(17,2809,11),
(17,5043,2),
(17,5042,2),
(17,5041,2),
(17,5353,6),
(17,5348,6),
(17,5347,6),
(17,5346,6),
(17,5345,6),
(17,1861,3),
(17,5015,1),
(17,4228,1),
(17,5014,1),
(17,5013,1),
(17,5012,1),
(17,5011,1),
(17,3227,1),
(17,2901,1),
(17,5010,1),
(17,2802,1),
(17,4222,1),
(17,5009,1),
(17,5008,1),
(17,5007,1),
(17,3891,1),
(17,5006,1),
(17,5005,1),
(17,2677,1),
(17,5004,1),
(17,5003,1),
(17,5002,1),
(17,5001,3),
(17,5000,2),
(17,4999,1),
(17,4998,1),
(17,4223,1),
(17,4997,1),
(17,2666,1),
(17,4996,1),
(17,4995,1),
(17,4994,2),
(17,4993,1),
(17,4992,1),
(17,4991,2),
(17,4990,1),
(17,4989,1),
(17,4037,1),
(17,4988,1),
(17,4987,1),
(17,4986,1),
(17,4985,1),
(17,4984,1),
(17,4983,1),
(17,4982,1),
(17,4981,1),
(17,4980,1),
(17,4979,1),
(17,4978,1),
(17,4977,1),
(17,4976,1),
(17,4975,1),
(17,4974,1),
(17,3915,1),
(17,3401,1),
(17,4958,1),
(17,3300,1),
(17,4957,2),
(17,2793,1),
(17,4956,1),
(17,4955,1),
(17,3898,1),
(17,4954,1),
(17,4953,1),
(17,4952,1),
(17,3896,1),
(17,4951,1),
(17,4950,1),
(17,4949,1),
(17,4948,1),
(17,3046,1),
(17,3894,1),
(17,2660,1),
(17,4947,1),
(17,2673,1),
(17,2638,7),
(17,4946,1),
(17,3122,1),
(17,4231,1),
(17,4945,1),
(17,4944,1),
(17,3365,1),
(17,2915,1),
(17,3308,1),
(17,4216,1),
(17,2916,1),
(17,4220,1),
(17,2671,1),
(17,4943,1),
(17,3129,1),
(17,4942,1),
(17,4941,3),
(17,3402,1),
(17,3899,2),
(17,3889,1),
(17,4940,1),
(17,4939,1),
(17,4973,2),
(17,2797,2),
(17,2796,2),
(17,4972,2),
(17,4971,5),
(17,4970,2),
(17,4969,2),
(17,2635,10),
(17,2672,4),
(17,2639,6),
(17,2918,3),
(17,4968,2),
(17,4035,2),
(17,2979,3),
(17,2668,13),
(17,2902,2),
(17,3050,2),
(17,3361,2),
(17,3913,3),
(17,3295,2),
(17,3900,3),
(17,2919,2),
(17,4114,2),
(17,4967,2),
(17,4966,2),
(17,4965,2),
(17,4964,2),
(17,2905,2),
(17,4963,2),
(17,4962,2),
(17,3909,2),
(17,2912,5),
(17,2792,11),
(17,4961,2),
(17,4960,2),
(17,4959,2),
(17,5352,6),
(17,5344,6),
(17,5343,6),
(17,5342,6),
(17,5341,6),
(17,1030,3),
(17,4933,1),
(17,4200,1),
(17,4932,1),
(17,4931,1),
(17,4930,1),
(17,4929,1),
(17,3204,1),
(17,2876,1),
(17,4928,1),
(17,2785,1),
(1,1951,3),
(1,1950,3),
(1,5097,1),
(1,4256,1),
(1,5096,1),
(1,5095,1),
(1,5094,1),
(1,5093,1),
(1,3250,1),
(1,2927,1),
(1,5092,1),
(1,2819,1),
(1,4250,1),
(1,5091,1),
(1,5090,1),
(1,5089,1),
(1,3932,1),
(1,5088,1),
(1,5087,1),
(1,2735,5),
(1,5086,1),
(1,5085,1),
(1,5084,1),
(1,5083,3),
(1,5082,2),
(1,5081,1),
(1,5080,1),
(1,4251,1),
(1,5079,1),
(1,2724,1),
(1,5078,1),
(1,5077,1),
(1,5076,2),
(1,5075,1),
(1,5074,1),
(1,5073,2),
(1,5072,1),
(1,5071,1),
(1,4060,1),
(1,5070,1),
(1,5069,1),
(1,5068,1),
(1,5067,1),
(1,5066,1),
(1,5065,1),
(1,5064,1),
(1,5063,1),
(1,5062,1),
(1,5061,1),
(1,5060,1),
(1,5059,1),
(1,5058,1),
(1,5057,1),
(1,5056,1),
(1,3956,1),
(1,3408,1),
(1,5055,1),
(1,2814,1),
(1,2813,1),
(1,5054,1),
(1,5053,4),
(1,5052,1),
(1,5051,1),
(1,2730,3),
(1,2944,2),
(1,5050,1),
(1,4058,1),
(1,2928,1),
(1,3065,1),
(1,3372,1),
(1,3309,1),
(1,3941,2),
(1,2945,1),
(1,4126,1),
(1,5049,1),
(1,5048,1),
(1,5047,1),
(1,5046,1),
(1,2931,1),
(1,5045,1),
(1,5044,1),
(1,3950,1),
(1,5043,1),
(1,5042,1),
(1,5041,1),
(1,5040,1),
(1,3314,1),
(1,5039,2),
(1,2810,1),
(1,5038,1),
(1,5037,1),
(1,3939,1),
(1,5036,1),
(1,5035,1),
(1,2809,9),
(1,5034,1),
(1,3954,2),
(1,3937,1),
(1,5033,1),
(1,5032,1),
(1,5031,1),
(1,5030,1),
(1,3061,1),
(1,3935,1),
(1,2718,2),
(1,5029,2),
(1,2731,2),
(1,2697,8),
(1,5028,2),
(1,3139,2),
(1,2938,5),
(1,4259,2),
(1,5027,2),
(1,5026,2),
(1,3376,2),
(1,2941,2),
(1,3322,2),
(1,4244,2),
(1,2942,2),
(1,4248,2),
(1,2989,3),
(1,2729,2),
(1,5025,2),
(1,3146,2),
(1,2694,12),
(1,5024,2),
(1,5023,4),
(1,3409,2),
(1,3940,3),
(1,3930,2),
(1,2726,14),
(1,5022,2),
(1,5021,2),
(1,2698,7),
(1,5020,6),
(1,5019,6),
(1,5018,6),
(1,5017,6),
(1,5016,6),
(1,2681,4),
(1,2680,6),
(1,2679,6),
(1,2678,4),
(1,2280,3),
(1,1861,3),
(1,5015,1),
(1,4228,1),
(1,5014,1),
(1,5013,1),
(1,5012,1),
(1,5011,1),
(1,3227,1),
(1,2901,1),
(1,5010,1),
(1,2802,1),
(1,4222,1),
(1,5009,1),
(1,5008,1),
(1,5007,1),
(1,3891,1),
(1,5006,1),
(1,5005,1),
(1,2677,5),
(1,5004,1),
(1,5003,1),
(1,5002,1),
(1,5001,3),
(1,5000,2),
(1,4999,1),
(1,4998,1),
(1,4223,1),
(1,4997,1),
(1,2666,1),
(1,4996,1),
(1,4995,1),
(1,4994,2),
(1,4993,1),
(1,4992,1),
(1,4991,2),
(1,4990,1),
(1,4989,1),
(1,4037,1),
(1,4988,1),
(1,4987,1),
(1,4986,1),
(1,4985,1),
(1,4984,1),
(1,4983,1),
(1,4982,1),
(1,4981,1),
(1,4980,1),
(1,4979,1),
(1,4978,1),
(1,4977,1),
(1,4976,1),
(1,4975,1),
(1,4974,1),
(1,3915,1),
(1,3401,1),
(1,4973,1),
(1,2797,1),
(1,2796,1),
(1,4972,1),
(1,4971,4),
(1,4970,1),
(1,4969,1),
(1,2672,3),
(1,2918,2),
(1,4968,1),
(1,4035,1),
(1,2902,1),
(1,3050,1),
(1,3361,1),
(1,3295,1),
(1,3900,2),
(1,2919,1),
(1,4114,1),
(1,4967,1),
(1,4966,1),
(1,4965,1),
(1,4964,1),
(1,2905,1),
(1,4963,1),
(1,4962,1),
(1,3909,1),
(1,4961,1),
(1,4960,1),
(1,4959,1),
(1,4958,1),
(1,3300,1),
(1,4957,2),
(1,2793,1),
(1,4956,1),
(1,4955,1),
(1,3898,1),
(1,4954,1),
(1,4953,1),
(1,2792,9),
(1,4952,1),
(1,3913,2),
(1,3896,1),
(1,4951,1),
(1,4950,1),
(1,4949,1),
(1,4948,1),
(1,3046,1),
(1,3894,1),
(1,2660,2),
(1,4947,2),
(1,2673,2),
(1,2638,8),
(1,4946,2),
(1,3122,2),
(1,2912,5),
(1,4231,2),
(1,4945,2),
(1,4944,2),
(1,3365,2),
(1,2915,2),
(1,3308,2),
(1,4216,2),
(1,2916,2),
(1,4220,2),
(1,2979,3),
(1,2671,2),
(1,4943,2),
(1,3129,2),
(1,2635,12),
(1,4942,2),
(1,4941,4),
(1,3402,2),
(1,3899,3),
(1,3889,2),
(1,2668,14),
(1,4940,2),
(1,4939,2),
(1,2639,7),
(1,4938,6),
(1,4937,6),
(1,4936,6),
(1,4935,6),
(1,4934,6),
(1,2622,4),
(1,2621,6),
(1,225,6),
(1,2620,4),
(1,2264,3),
(1,1030,3),
(1,4933,1),
(1,4200,1),
(1,4932,1),
(1,4931,1),
(1,4930,1),
(1,4929,1),
(1,3204,1),
(1,2876,1),
(1,4928,1),
(1,2785,1),
(1,4194,1),
(1,4927,1),
(1,4926,1),
(1,4925,1),
(1,3850,1),
(1,4924,1),
(1,4923,1),
(1,2619,5),
(1,4922,1),
(1,4921,1),
(1,4920,1),
(1,4919,3),
(1,4918,2),
(1,4917,1),
(1,4916,1),
(1,4195,1),
(1,4915,1),
(1,2608,1),
(1,4914,1),
(1,4913,1),
(1,4912,2),
(1,4911,1),
(1,4910,1),
(1,4909,2),
(1,4908,1),
(1,4907,1),
(1,4014,1),
(1,4906,1),
(1,4905,1),
(1,4904,1),
(1,4903,1),
(1,4902,1),
(1,4901,1),
(1,4900,1),
(1,4899,1),
(1,4898,1),
(1,4897,1),
(1,4896,1),
(1,4895,1),
(1,4894,1),
(1,4893,1),
(1,4892,1),
(1,3874,1),
(1,3394,1),
(1,4891,1),
(1,2780,1),
(1,2779,1),
(1,4890,1),
(1,4889,4),
(1,4888,1),
(1,4887,1),
(1,2614,3),
(1,2892,2),
(1,4886,1),
(1,4012,1),
(1,2877,1),
(1,3035,1),
(1,3350,1),
(1,3281,1),
(1,3859,2),
(1,2893,1),
(1,4102,1),
(1,4885,1),
(1,4884,1),
(1,4883,1),
(1,4882,1),
(1,2880,1),
(1,4881,1),
(1,4880,1),
(1,3868,1),
(1,4879,1),
(1,4878,1),
(1,4877,1),
(1,4876,1),
(1,3286,1),
(1,4875,2),
(1,2776,1),
(1,4874,1),
(1,4873,1),
(1,3857,1),
(1,4872,1),
(1,4871,1),
(1,2775,9),
(1,4870,1),
(1,3872,2),
(1,3855,1),
(1,4869,1),
(1,4868,1),
(1,4867,1),
(1,4866,1),
(1,3031,1),
(1,3853,1),
(1,2602,2),
(1,4865,2),
(1,2615,2),
(1,2580,8),
(1,4864,2),
(1,3105,2),
(1,2886,5),
(1,4203,2),
(1,4863,2),
(1,4862,2),
(1,3354,2),
(1,2889,2),
(1,3294,2),
(1,4188,2),
(1,2890,2),
(1,4192,2),
(1,2970,3),
(1,2613,2),
(1,4861,2),
(1,3112,2),
(1,2577,12),
(1,4860,2),
(1,4859,4),
(1,3395,2),
(1,3858,3),
(1,3848,2),
(1,2610,14),
(1,4858,2),
(1,4857,2),
(1,2581,7),
(1,4856,6),
(1,4855,6),
(1,4854,6),
(1,4853,6),
(1,4852,6),
(1,2564,4),
(1,2563,6),
(1,148,6),
(1,2562,4),
(1,2248,3),
(1,1704,3),
(1,4851,1),
(1,4172,1),
(1,4850,1),
(1,4849,1),
(1,4848,1),
(1,4847,1),
(1,3181,1),
(1,2850,1),
(1,4846,1),
(1,2768,1),
(1,4166,1),
(1,4845,1),
(1,4844,1),
(1,4843,1),
(1,3809,1),
(1,4842,1),
(1,4841,1),
(1,2561,5),
(1,4840,1),
(1,4839,1),
(1,4838,1),
(1,4837,3),
(1,4836,2),
(1,4835,1),
(1,4834,1),
(1,4167,1),
(1,4833,1),
(1,2550,1),
(1,4832,1),
(1,4831,1),
(1,4830,2),
(1,4829,1),
(1,4828,1),
(1,4827,2),
(1,4826,1),
(1,4825,1),
(1,3992,1),
(1,4824,1),
(1,4823,1),
(1,4822,1),
(1,4821,1),
(1,4820,1),
(1,4819,1),
(1,4818,1),
(1,4817,1),
(1,4816,1),
(1,4815,1),
(1,4814,1),
(1,4813,1),
(1,4812,1),
(1,4811,1),
(1,4810,1),
(1,3833,1),
(1,3387,1),
(1,4809,1),
(1,2763,1),
(1,2762,1),
(1,4808,1),
(1,4807,4),
(1,4806,1),
(1,4805,1),
(1,2556,3),
(1,2867,2),
(1,4804,1),
(1,1365,1),
(1,2851,1),
(1,3020,1),
(1,3339,1),
(1,3268,1),
(1,3818,2),
(1,2868,1),
(1,4090,1),
(1,4803,1),
(1,4802,1),
(1,4801,1),
(1,4800,1),
(1,2854,1),
(1,4799,1),
(1,4798,1),
(1,3827,1),
(1,4797,1),
(1,4796,1),
(1,4795,1),
(1,4794,1),
(1,3273,1),
(1,4793,2),
(1,2759,1),
(1,4792,1),
(1,4791,1),
(1,3816,1),
(1,4790,1),
(1,4789,1),
(1,2758,9),
(1,4788,1),
(1,3831,2),
(1,3814,1),
(1,4787,1),
(1,4786,1),
(1,4785,1),
(1,4784,1),
(1,3016,1),
(1,3812,1),
(1,2544,2),
(1,4783,2),
(1,2557,2),
(1,2523,8),
(1,4782,2),
(1,882,2),
(1,2861,5),
(1,4175,2),
(1,4781,2),
(1,4780,2),
(1,3343,2),
(1,2864,2),
(1,3280,2),
(1,4161,2),
(1,2865,2),
(1,4164,2),
(1,2961,3),
(1,2555,2),
(1,4779,2),
(1,3095,2),
(1,2520,12),
(1,4778,2),
(1,4777,4),
(1,3388,2),
(1,3817,3),
(1,3807,2),
(1,2552,14),
(1,4776,2),
(1,4775,2),
(1,2524,7),
(1,4774,6),
(1,4773,6),
(1,4772,6),
(1,4771,6),
(1,4770,6),
(1,2507,4),
(1,2506,6),
(1,70,6),
(1,77,4),
(1,1047,4),
(1,1046,4),
(1,2232,3),
(1,845,3),
(1,4769,1),
(1,4146,1),
(1,4768,1),
(1,4767,1),
(1,4766,1),
(1,4765,1),
(1,3160,1),
(1,2827,1),
(1,4764,1),
(1,2752,1),
(1,4141,1),
(1,4763,1),
(1,4762,1),
(1,4761,1),
(1,3773,1),
(1,4760,1),
(1,4759,1),
(1,74,5),
(1,4758,1),
(1,4757,1),
(1,4756,1),
(1,4755,3),
(1,4754,2),
(1,4753,1),
(1,4752,1),
(1,4142,1),
(1,4751,1),
(1,841,1),
(1,4750,1),
(1,4749,1),
(1,442,2),
(1,30,1),
(1,4748,1),
(1,4747,2),
(1,4746,1),
(1,4745,1),
(1,38,1),
(1,4744,1),
(1,4743,1),
(1,4742,1),
(1,4741,1),
(1,4740,1),
(1,4739,1),
(1,4738,1),
(1,4737,1),
(1,4736,1),
(1,4735,1),
(1,4734,1),
(1,4733,1),
(1,4732,1),
(1,4731,1),
(1,7,1),
(1,3794,1),
(1,3380,1),
(1,4730,1),
(1,2749,1),
(1,2748,1),
(1,4729,1),
(1,4728,4),
(1,4727,1),
(1,4726,1),
(1,710,3),
(1,51,2),
(1,4725,1),
(1,3969,1),
(1,2828,1),
(1,3005,1),
(1,3328,1),
(1,3260,1),
(1,3780,2),
(1,2842,1),
(1,4078,1),
(1,4724,1),
(1,4723,1),
(1,4722,1),
(1,4721,1),
(1,2831,1),
(1,4720,1),
(1,4719,1),
(1,3789,1),
(1,4718,1),
(1,4717,1),
(1,4716,1),
(1,4715,1),
(1,14,1),
(1,451,2),
(1,2745,1),
(1,464,1),
(1,4714,1),
(1,3778,1),
(1,4713,1),
(1,4712,1),
(1,2744,9),
(1,4711,1),
(1,3792,2),
(1,3777,1),
(1,1246,1),
(1,4710,1),
(1,4709,1),
(1,4708,1),
(1,31,1),
(1,3776,1),
(1,2497,2),
(1,4707,2),
(1,2504,2),
(1,47,8),
(1,4706,2),
(1,3073,2),
(1,2837,5),
(1,4148,2),
(1,4705,2),
(1,4704,2),
(1,3332,2),
(1,1151,2),
(1,3267,2),
(1,4138,2),
(1,2840,2),
(1,1247,2),
(1,720,3),
(1,1219,2),
(1,4703,2),
(1,3079,2),
(1,1048,2),
(1,4702,4),
(1,3381,2),
(1,3779,3),
(1,3771,2),
(1,4701,2),
(1,4700,2),
(1,2480,7),
(1,4699,6),
(1,4698,6),
(1,4697,6),
(1,4696,6),
(1,4695,6),
(17,4194,1),
(17,4927,1),
(17,4926,1),
(17,4925,1),
(17,3850,1),
(17,4924,1),
(17,4923,1),
(17,2619,1),
(17,4922,1),
(17,4921,1),
(17,4920,1),
(17,4919,3),
(17,4918,2),
(17,4917,1),
(17,4916,1),
(17,4195,1),
(17,4915,1),
(17,2608,1),
(17,4914,1),
(17,4913,1),
(17,4912,2),
(17,4911,1),
(17,4910,1),
(17,4909,2),
(17,4908,1),
(17,4907,1),
(17,4014,1),
(17,4906,1),
(17,4905,1),
(17,4904,1),
(17,4903,1),
(17,4902,1),
(17,4901,1),
(17,4900,1),
(17,4899,1),
(17,4898,1),
(17,4897,1),
(17,4896,1),
(17,4895,1),
(17,4894,1),
(17,4893,1),
(17,4892,1),
(17,3874,1),
(17,3394,1),
(17,4876,1),
(17,3286,1),
(17,4875,2),
(17,2776,1),
(17,4874,1),
(17,4873,1),
(17,3857,1),
(17,4872,1),
(17,4871,1),
(17,4870,1),
(17,3855,1),
(17,4869,1),
(17,4868,1),
(17,4867,1),
(17,4866,1),
(17,3031,1),
(17,3853,1),
(17,2602,1),
(17,4865,1),
(17,2615,1),
(17,2580,7),
(17,4864,1),
(17,3105,1),
(17,4203,1),
(17,4863,1),
(17,4862,1),
(17,3354,1),
(17,2889,1),
(17,3294,1),
(17,4188,1),
(17,2890,1),
(17,4192,1),
(17,2613,1),
(17,4861,1),
(17,3112,1),
(17,4860,1),
(17,4859,3),
(17,3395,1),
(17,3858,2),
(17,3848,1),
(17,4858,1),
(17,4857,1),
(17,4891,2),
(17,2780,2),
(17,2779,2),
(17,4890,2),
(17,4889,5),
(17,4888,2),
(17,4887,2),
(17,2577,10),
(17,2614,4),
(17,2581,6),
(17,2892,3),
(17,4886,2),
(17,4012,2),
(17,2970,3),
(17,2610,13),
(17,2877,2),
(17,3035,2),
(17,3350,2),
(17,3872,3),
(17,3281,2),
(17,3859,3),
(17,2893,2),
(17,4102,2),
(17,4885,2),
(17,4884,2),
(17,4883,2),
(17,4882,2),
(17,2880,2),
(17,4881,2),
(17,4880,2),
(17,3868,2),
(17,2886,5),
(17,2775,11),
(17,4879,2),
(17,4878,2),
(17,4877,2),
(17,5351,6),
(17,5340,6),
(17,5339,6),
(17,5338,6),
(17,5337,6),
(17,1704,3),
(17,4851,1),
(17,4172,1),
(17,4850,1),
(17,4849,1),
(17,4848,1),
(17,4847,1),
(17,3181,1),
(17,2850,1),
(17,4846,1),
(17,2768,1),
(17,4166,1),
(17,4845,1),
(17,4844,1),
(17,4843,1),
(17,3809,1),
(17,4842,1),
(17,4841,1),
(17,2561,1),
(17,4840,1),
(17,4839,1),
(17,4838,1),
(17,4837,3),
(17,4836,2),
(17,4835,1),
(17,4834,1),
(17,4167,1),
(17,4833,1),
(17,2550,1),
(17,4832,1),
(17,4831,1),
(17,4830,2),
(17,4829,1),
(17,4828,1),
(17,4827,2),
(17,4826,1),
(17,4825,1),
(17,3992,1),
(17,4824,1),
(17,4823,1),
(17,4822,1),
(17,4821,1),
(17,4820,1),
(17,4819,1),
(17,4818,1),
(17,4817,1),
(17,4816,1),
(17,4815,1),
(17,4814,1),
(17,4813,1),
(17,4812,1),
(17,4811,1),
(17,4810,1),
(17,3833,1),
(17,3387,1),
(17,4794,1),
(17,3273,1),
(17,4793,2),
(17,2759,1),
(17,4792,1),
(17,4791,1),
(17,3816,1),
(17,4790,1),
(17,4789,1),
(17,4788,1),
(17,3814,1),
(17,4787,1),
(17,4786,1),
(17,4785,1),
(17,4784,1),
(17,3016,1),
(17,3812,1),
(17,2544,1),
(17,4783,1),
(17,2557,1),
(17,2523,7),
(17,4782,1),
(17,882,1),
(17,4175,1),
(17,4781,1),
(17,4780,1),
(17,3343,1),
(17,2864,1),
(17,3280,1),
(17,4161,1),
(17,2865,1),
(17,4164,1),
(17,2555,1),
(17,4779,1),
(17,3095,1),
(17,4778,1),
(17,4777,3),
(17,3388,1),
(17,3817,2),
(17,3807,1),
(17,4776,1),
(17,4775,1),
(17,4809,2),
(17,2763,2),
(17,2762,2),
(17,4808,2),
(17,4807,5),
(17,4806,2),
(17,4805,2),
(17,2520,10),
(17,2556,4),
(17,2524,6),
(17,2867,3),
(17,4804,2),
(17,1365,2),
(17,2961,3),
(17,2552,13),
(17,2851,2),
(17,3020,2),
(17,3339,2),
(17,3831,3),
(17,3268,2),
(17,3818,3),
(17,2868,2),
(17,4090,2),
(17,4803,2),
(17,4802,2),
(17,4801,2),
(17,4800,2),
(17,2854,2),
(17,4799,2),
(17,4798,2),
(17,3827,2),
(17,2861,5),
(17,2758,11),
(17,4797,2),
(17,4796,2),
(17,4795,2),
(17,5350,6),
(17,5336,6),
(17,5335,6),
(17,5334,6),
(17,5333,6),
(17,3728,4),
(17,3727,4),
(17,1567,4),
(17,1561,4),
(17,3724,4),
(17,3731,4),
(17,3730,4),
(17,845,3),
(17,4769,1),
(17,4146,1),
(17,4768,1),
(17,4767,1),
(17,4766,1),
(17,4765,1),
(17,3160,1),
(17,2827,1),
(17,4764,1),
(17,2752,1),
(17,4141,1),
(17,4763,1),
(17,4762,1),
(17,4761,1),
(17,3773,1),
(17,4760,1),
(17,4759,1),
(17,74,1),
(17,4758,1),
(17,4757,1),
(17,4756,1),
(17,4755,3),
(17,4754,2),
(17,4753,1),
(17,4752,1),
(17,4142,1),
(17,4751,1),
(17,841,1),
(17,4750,1),
(17,4749,1),
(17,442,2),
(17,30,1),
(17,4748,1),
(17,4747,2),
(17,4746,1),
(17,4745,1),
(17,38,1),
(17,4744,1),
(17,4743,1),
(17,4742,1),
(17,4741,1),
(17,4740,1),
(17,4739,1),
(17,4738,1),
(17,4737,1),
(17,4736,1),
(17,4735,1),
(17,4734,1),
(17,4733,1),
(17,4732,1),
(17,4731,1),
(17,7,1),
(17,3794,1),
(17,3380,1),
(17,4715,1),
(17,14,1),
(17,451,2),
(17,2745,1),
(17,464,1),
(17,4714,1),
(17,3778,1),
(17,4713,1),
(17,4712,1),
(17,4711,1),
(17,3777,1),
(17,1246,1),
(17,4710,1),
(17,4709,1),
(17,4708,1),
(17,31,1),
(17,3776,1),
(17,2497,1),
(17,4707,1),
(17,2504,1),
(17,47,7),
(17,4706,1),
(17,3073,1),
(17,4148,1),
(17,4705,1),
(17,4704,1),
(17,3332,1),
(17,1151,1),
(17,3267,1),
(17,4138,1),
(17,2840,1),
(17,1247,1),
(17,1219,1),
(17,4703,1),
(17,3079,1),
(17,1048,1),
(17,4702,3),
(17,3381,1),
(17,3779,2),
(17,3771,1),
(17,4701,1),
(17,4700,1),
(17,4730,2),
(17,2749,2),
(17,2748,2),
(17,4729,2),
(17,4728,5),
(17,4727,2),
(17,4726,2),
(17,710,4),
(17,2480,6),
(17,51,3),
(17,4725,2),
(17,3969,2),
(17,720,3),
(17,2828,2),
(17,3005,2),
(17,3328,2),
(17,3792,3),
(17,3260,2),
(17,3780,3),
(17,2842,2),
(33,4244,1),
(33,2942,1),
(33,4248,1),
(33,2729,1),
(33,5025,1),
(33,3146,1),
(33,5024,1),
(33,3409,1),
(33,3940,2),
(33,3930,1),
(33,5022,1),
(33,5021,1),
(33,5055,1),
(33,2814,1),
(33,2813,1),
(33,5054,1),
(33,5052,1),
(33,5051,1),
(33,5050,1),
(33,4058,1),
(33,2989,2),
(33,2928,1),
(33,3065,1),
(33,3372,1),
(33,3954,2),
(33,3309,1),
(33,2945,1),
(33,4126,1),
(33,5049,1),
(33,5048,1),
(33,5047,1),
(33,5046,1),
(33,2931,1),
(33,5045,1),
(33,5044,1),
(33,3950,1),
(33,5043,1),
(33,5042,1),
(33,5041,1),
(33,5097,1),
(33,4256,1),
(33,5096,1),
(33,5095,1),
(33,5094,1),
(33,5093,1),
(33,3250,1),
(33,2927,1),
(33,2944,2),
(33,5092,1),
(33,5039,2),
(33,2819,1),
(33,4250,1),
(33,2730,3),
(33,5091,1),
(33,5090,1),
(33,5089,1),
(33,3932,1),
(33,5088,1),
(33,5087,1),
(33,2735,1),
(33,3941,2),
(33,5086,1),
(33,5085,1),
(33,5084,1),
(33,5083,3),
(33,5082,2),
(33,5081,1),
(33,5080,1),
(33,4251,1),
(33,5079,1),
(33,2698,5),
(33,2724,1),
(33,5023,3),
(33,5078,2),
(33,5077,2),
(33,5076,3),
(33,5075,2),
(33,5074,2),
(33,2938,5),
(33,5073,3),
(33,5072,2),
(33,5071,2),
(33,4060,2),
(33,5070,2),
(33,5069,2),
(33,5068,2),
(33,2697,9),
(33,5067,2),
(33,5053,5),
(33,5066,2),
(33,5065,2),
(33,5064,2),
(33,5063,2),
(33,5062,2),
(33,5061,2),
(33,5060,2),
(33,5059,2),
(33,2694,11),
(33,5058,2),
(33,2726,14),
(33,5057,2),
(33,5056,2),
(33,3956,2),
(33,3408,2),
(33,2809,11),
(33,5541,6),
(33,5551,6),
(33,5550,6),
(33,5539,6),
(33,1861,3),
(33,4958,1),
(33,3300,1),
(33,2793,1),
(33,4956,1),
(33,4955,1),
(33,3898,1),
(33,4954,1),
(33,4953,1),
(33,4952,1),
(33,3896,1),
(33,4951,1),
(33,4950,1),
(33,4949,1),
(33,4948,1),
(33,3046,1),
(33,3894,1),
(33,2660,1),
(33,4947,1),
(33,2673,1),
(33,4946,1),
(33,3122,1),
(33,4231,1),
(33,4945,1),
(33,4944,1),
(33,3365,1),
(33,2915,1),
(33,3308,1),
(33,4216,1),
(33,2916,1),
(33,4220,1),
(33,2671,1),
(33,4943,1),
(33,3129,1),
(33,4942,1),
(33,3402,1),
(33,3899,2),
(33,3889,1),
(33,4940,1),
(33,4939,1),
(33,4973,1),
(33,2797,1),
(33,2796,1),
(33,4972,1),
(33,4970,1),
(33,4969,1),
(33,4968,1),
(33,4035,1),
(33,2979,2),
(33,2902,1),
(33,3050,1),
(33,3361,1),
(33,3913,2),
(33,3295,1),
(33,2919,1),
(33,4114,1),
(33,4967,1),
(33,4966,1),
(33,4965,1),
(33,4964,1),
(33,2905,1),
(33,4963,1),
(33,4962,1),
(33,3909,1),
(33,4961,1),
(33,4960,1),
(33,4959,1),
(33,5015,1),
(33,4228,1),
(33,5014,1),
(33,5013,1),
(33,5012,1),
(33,5011,1),
(33,3227,1),
(33,2901,1),
(33,2918,2),
(33,5010,1),
(33,4957,2),
(33,2802,1),
(33,4222,1),
(33,2672,3),
(33,5009,1),
(33,5008,1),
(33,5007,1),
(33,3891,1),
(33,5006,1),
(33,5005,1),
(33,2677,1),
(33,3900,2),
(33,5004,1),
(33,5003,1),
(33,5002,1),
(33,5001,3),
(33,5000,2),
(33,4999,1),
(33,4998,1),
(33,4223,1),
(33,4997,1),
(33,2639,5),
(33,2666,1),
(33,4941,3),
(33,4996,2),
(33,4995,2),
(33,4994,3),
(33,4993,2),
(33,4992,2),
(33,2912,5),
(33,4991,3),
(33,4990,2),
(33,4989,2),
(33,4037,2),
(33,4988,2),
(33,4987,2),
(33,4986,2),
(33,2638,9),
(33,4985,2),
(33,4971,5),
(33,4984,2),
(33,4983,2),
(33,4982,2),
(33,4981,2),
(33,4980,2),
(33,4979,2),
(33,4978,2),
(33,4977,2),
(33,2635,11),
(33,4976,2),
(33,2668,14),
(33,4975,2),
(33,4974,2),
(33,3915,2),
(33,3401,2),
(33,2792,11),
(33,5538,6),
(33,5549,6),
(33,5548,6),
(33,5536,6),
(33,1030,3),
(33,4876,1),
(33,3286,1),
(33,2776,1),
(33,4874,1),
(33,4873,1),
(33,3857,1),
(33,4872,1),
(33,4871,1),
(33,4870,1),
(33,3855,1),
(33,4869,1),
(33,4868,1),
(33,4867,1),
(33,4866,1),
(33,3031,1),
(33,3853,1),
(33,2602,1),
(33,4865,1),
(33,2615,1),
(33,4864,1),
(33,3105,1),
(33,4203,1),
(33,4863,1),
(33,4862,1),
(33,3354,1),
(33,2889,1),
(33,3294,1),
(33,4188,1),
(33,2890,1),
(33,4192,1),
(33,2613,1),
(33,4861,1),
(33,3112,1),
(33,4860,1),
(33,3395,1),
(33,3858,2),
(33,3848,1),
(33,4858,1),
(33,4857,1),
(33,4891,1),
(33,2780,1),
(33,2779,1),
(33,4890,1),
(33,4888,1),
(33,4887,1),
(33,4886,1),
(33,4012,1),
(33,2970,2),
(33,2877,1),
(33,3035,1),
(33,3350,1),
(33,3872,2),
(33,3281,1),
(33,2893,1),
(33,4102,1),
(33,4885,1),
(33,4884,1),
(33,4883,1),
(33,4882,1),
(33,2880,1),
(33,4881,1),
(33,4880,1),
(33,3868,1),
(33,4879,1),
(33,4878,1),
(33,4877,1),
(33,4933,1),
(33,4200,1),
(33,4932,1),
(33,4931,1),
(33,4930,1),
(33,4929,1),
(33,3204,1),
(33,2876,1),
(33,2892,2),
(33,4928,1),
(33,4875,2),
(33,2785,1),
(33,4194,1),
(33,2614,3),
(33,4927,1),
(33,4926,1),
(33,4925,1),
(33,3850,1),
(33,4924,1),
(33,4923,1),
(33,2619,1),
(33,3859,2),
(33,4922,1),
(33,4921,1),
(33,4920,1),
(33,4919,3),
(33,4918,2),
(33,4917,1),
(33,4916,1),
(33,4195,1),
(33,4915,1),
(33,2581,5),
(33,2608,1),
(33,4859,3),
(33,4914,2),
(33,4913,2),
(33,4912,3),
(33,4911,2),
(33,4910,2),
(33,2886,5),
(33,4909,3),
(33,4908,2),
(33,4907,2),
(33,4014,2),
(33,4906,2),
(33,4905,2),
(33,4904,2),
(33,2580,9),
(33,4903,2),
(33,4889,5),
(33,4902,2),
(33,4901,2),
(33,4900,2),
(33,4899,2),
(33,4898,2),
(33,4897,2),
(33,4896,2),
(33,4895,2),
(33,2577,11),
(33,4894,2),
(33,2610,14),
(33,4893,2),
(33,4892,2),
(33,3874,2),
(33,3394,2),
(33,2775,11),
(33,5535,6),
(33,5547,6),
(33,5546,6),
(33,5533,6),
(33,1704,3),
(33,4794,1),
(33,3273,1),
(33,2759,1),
(33,4792,1),
(33,4791,1),
(33,3816,1),
(33,4790,1),
(33,4789,1),
(33,4788,1),
(33,3814,1),
(33,4787,1),
(33,4786,1),
(33,4785,1),
(33,4784,1),
(33,3016,1),
(33,3812,1),
(33,2544,1),
(33,4783,1),
(33,2557,1),
(33,4782,1),
(33,882,1),
(33,4175,1),
(33,4781,1),
(33,4780,1),
(33,3343,1),
(33,2864,1),
(33,3280,1),
(33,4161,1),
(33,2865,1),
(33,4164,1),
(33,2555,1),
(33,4779,1),
(33,3095,1),
(33,4778,1),
(33,3388,1),
(33,3817,2),
(33,3807,1),
(33,4776,1),
(33,4775,1),
(33,4809,1),
(33,2763,1),
(33,2762,1),
(33,4808,1),
(33,4806,1),
(33,4805,1),
(33,4804,1),
(33,1365,1),
(33,2961,2),
(33,2851,1),
(33,3020,1),
(33,3339,1),
(33,3831,2),
(33,3268,1),
(33,2868,1),
(33,4090,1),
(33,4803,1),
(33,4802,1),
(33,4801,1),
(33,4800,1),
(33,2854,1),
(33,4799,1),
(33,4798,1),
(33,3827,1),
(33,4797,1),
(33,4796,1),
(33,4795,1),
(33,4851,1),
(33,4172,1),
(33,4850,1),
(33,4849,1),
(33,4848,1),
(33,4847,1),
(33,3181,1),
(33,2850,1),
(33,2867,2),
(33,4846,1),
(33,4793,2),
(33,2768,1),
(33,4166,1),
(33,2556,3),
(33,4845,1),
(33,4844,1),
(33,4843,1),
(33,3809,1),
(33,4842,1),
(33,4841,1),
(33,2561,1),
(33,3818,2),
(33,4840,1),
(33,4839,1),
(33,4838,1),
(33,4837,3),
(33,4836,2),
(33,4835,1),
(33,4834,1),
(33,4167,1),
(33,4833,1),
(33,2524,5),
(33,2550,1),
(33,4777,3),
(33,4832,2),
(33,4831,2),
(33,4830,3),
(33,4829,2),
(33,4828,2),
(33,2861,5),
(33,4827,3),
(33,4826,2),
(33,4825,2),
(33,3992,2),
(33,4824,2),
(33,4823,2),
(33,4822,2),
(33,2523,9),
(33,4821,2),
(33,4807,5),
(33,4820,2),
(33,4819,2),
(33,4818,2),
(33,4817,2),
(33,4816,2),
(33,4815,2),
(33,4814,2),
(33,4813,2),
(33,2520,11),
(33,4812,2),
(33,2552,14),
(33,4811,2),
(33,4810,2),
(33,3833,2),
(33,3387,2),
(33,2758,11),
(33,5532,6),
(33,5545,6),
(33,5544,6),
(33,5530,6),
(33,3726,4),
(33,845,3),
(33,4715,1),
(33,14,1),
(33,2745,1),
(33,464,1),
(33,4714,1),
(33,3778,1),
(33,4713,1),
(33,4712,1),
(33,4711,1),
(33,3777,1),
(33,1246,1),
(33,4710,1),
(33,4709,1),
(33,4708,1),
(33,31,1),
(33,3776,1),
(33,2497,1),
(33,4707,1),
(33,2504,1),
(33,4706,1),
(33,3073,1),
(33,4148,1),
(33,4705,1),
(33,4704,1),
(33,3332,1),
(33,1151,1),
(33,3267,1),
(33,4138,1),
(33,2840,1),
(33,1247,1),
(33,1219,1),
(33,4703,1),
(33,3079,1),
(33,1048,1),
(33,3381,1),
(33,3779,2),
(33,3771,1),
(33,4701,1),
(33,4700,1),
(33,4730,1),
(33,2749,1),
(33,2748,1),
(33,4729,1),
(33,4727,1),
(33,4726,1),
(33,4725,1),
(33,3969,1),
(33,720,2),
(33,2828,1),
(33,3005,1),
(33,3328,1),
(33,3792,2),
(33,3260,1),
(33,2842,1),
(33,4078,1),
(33,4724,1),
(33,4723,1),
(33,4722,1),
(33,4721,1),
(33,2831,1),
(33,4720,1),
(33,4719,1),
(33,3789,1),
(33,4718,1),
(33,4717,1),
(33,4716,1),
(33,4769,1),
(33,4146,1),
(33,4768,1),
(33,4767,1),
(33,4766,1),
(33,4765,1),
(33,3160,1),
(33,2827,1),
(33,51,2),
(33,4764,1),
(33,451,2),
(33,2752,1),
(33,4141,1),
(33,710,3),
(33,4763,1),
(33,4762,1),
(33,4761,1),
(33,3773,1),
(33,4760,1),
(33,4759,1),
(33,74,1),
(33,3780,2),
(33,4758,1),
(33,4757,1),
(33,4756,1),
(33,4755,3),
(33,4754,2),
(33,4753,1),
(33,4752,1),
(33,4142,1),
(33,4751,1),
(33,2480,5),
(33,841,1),
(33,4702,3),
(33,4750,2),
(33,4749,2),
(33,442,3),
(33,30,2),
(33,4748,2),
(33,2837,5),
(33,4747,3),
(33,4746,2),
(33,4745,2),
(33,38,2),
(33,4744,2),
(33,4743,2),
(33,4742,2),
(33,47,9),
(33,4741,2),
(33,4728,5),
(33,4740,2),
(33,4739,2),
(33,4738,2),
(33,4737,2),
(33,4736,2),
(33,4735,2),
(33,4734,2),
(33,4733,2),
(33,4732,2),
(33,4731,2),
(33,7,2),
(33,3794,2),
(33,3380,2),
(33,2744,11),
(33,5529,6),
(33,5543,6),
(33,5542,6),
(33,5527,6),
(27,1951,3),
(27,1950,3),
(27,5040,1),
(27,3314,1),
(27,2810,1),
(27,5038,1),
(27,5037,1),
(27,3939,1),
(27,5036,1),
(27,5035,1),
(27,5034,1),
(27,3937,1),
(27,5033,1),
(27,5032,1),
(27,5031,1),
(27,5030,1),
(27,3061,1),
(27,3935,1),
(27,2718,1),
(27,5029,1),
(27,2731,1),
(27,5028,1),
(27,3139,1),
(27,4259,1),
(27,5027,1),
(27,5026,1),
(27,3376,1),
(27,2941,1),
(27,3322,1),
(27,4244,1),
(27,2942,1),
(12,1951,3),
(12,1950,3),
(12,5040,1),
(12,3314,1),
(12,2810,1),
(12,5038,1),
(12,5037,1),
(12,3939,1),
(12,5036,1),
(12,5035,1),
(12,5034,1),
(12,3937,1),
(12,5033,1),
(12,5032,1),
(12,5031,1),
(12,5030,1),
(12,3061,1),
(12,3935,1),
(12,2718,1),
(12,5029,1),
(12,2731,1),
(12,5028,1),
(12,3139,1),
(12,4259,1),
(12,5027,1),
(12,5026,1),
(12,3376,1),
(12,2941,1),
(12,3322,1),
(12,4244,1),
(12,2942,1),
(12,4248,1),
(12,2729,1),
(12,5025,1),
(12,3146,1),
(12,5024,1),
(12,3409,1),
(12,3940,2),
(17,4078,2),
(17,4724,2),
(17,4723,2),
(17,4722,2),
(17,4721,2),
(17,2831,2),
(17,4720,2),
(17,4719,2),
(17,3789,2),
(17,2837,5),
(17,2744,11),
(17,4718,2),
(17,4717,2),
(17,4716,2),
(17,5349,6),
(17,5332,6),
(17,5331,6),
(17,5330,6),
(17,5329,6),
(9,3939,1),
(9,5036,1),
(9,5035,1),
(9,5034,1),
(9,3937,1),
(9,5033,1),
(9,5032,1),
(9,5031,1),
(9,3061,1),
(9,3935,1),
(9,2718,1),
(9,5029,1),
(9,2731,1),
(9,5028,1),
(9,3139,1),
(9,4259,1),
(9,5027,1),
(9,5026,1),
(9,3376,1),
(9,2941,1),
(9,3322,1),
(9,4244,1),
(9,2942,1),
(9,4248,1),
(9,2729,1),
(9,5025,1),
(9,3146,1),
(9,5024,1),
(9,3409,1),
(9,3940,2),
(9,3930,1),
(9,5022,1),
(9,5021,1),
(9,5055,1),
(9,2814,1),
(9,2813,1),
(9,5054,1),
(9,5052,1),
(9,5051,1),
(9,5050,1),
(9,4058,1),
(9,2989,2),
(9,2928,1),
(9,3065,1),
(9,3372,1),
(9,3954,2),
(9,3309,1),
(9,2945,1),
(9,4126,1),
(9,5049,1),
(9,5048,1),
(9,5047,1),
(9,5046,1),
(9,2931,1),
(9,5045,1),
(9,5044,1),
(9,3950,1),
(9,5043,1),
(9,5042,1),
(9,5041,1),
(9,5097,1),
(9,4256,1),
(9,5096,1),
(9,5095,1),
(9,5094,1),
(9,5093,1),
(9,3250,1),
(9,2927,1),
(9,2944,2),
(9,5092,1),
(9,5039,2),
(9,2819,1),
(9,4250,1),
(9,2730,3),
(9,5091,1),
(9,5090,1),
(9,5089,1),
(9,3932,1),
(9,5088,1),
(9,5087,1),
(9,2735,1),
(9,3941,2),
(9,5086,1),
(9,5085,1),
(9,5084,1),
(9,5083,3),
(9,5082,2),
(9,5081,1),
(9,5080,1),
(9,4251,1),
(9,5079,1),
(9,2698,5),
(9,2724,1),
(9,5023,3),
(9,5078,2),
(9,5077,2),
(9,5076,3),
(9,5075,2),
(9,5074,2),
(9,2938,5),
(9,5073,3),
(9,5072,2),
(9,5071,2),
(9,4060,2),
(9,5070,2),
(9,5069,2),
(9,5068,2),
(9,2697,9),
(9,5067,2),
(9,5053,5),
(9,5066,2),
(9,5065,2),
(9,5064,2),
(9,5063,2),
(9,5062,2),
(9,5061,2),
(9,5060,2),
(9,5059,2),
(9,2694,11),
(9,5058,2),
(9,2726,14),
(9,5057,2),
(9,5056,2),
(9,3956,2),
(9,3408,2),
(9,2809,11),
(9,5213,6),
(9,5218,6),
(9,5030,7),
(9,5211,6),
(9,5210,6),
(9,3752,3),
(9,1802,3),
(9,1861,3),
(9,4958,1),
(9,3300,1),
(9,2793,1),
(9,4956,1),
(9,4955,1),
(9,3898,1),
(9,4954,1),
(9,4953,1),
(9,4952,1),
(9,3896,1),
(9,4951,1),
(9,4950,1),
(9,4949,1),
(9,3046,1),
(9,3894,1),
(9,2660,1),
(9,4947,1),
(9,2673,1),
(9,4946,1),
(9,3122,1),
(9,4231,1),
(9,4945,1),
(9,4944,1),
(9,3365,1),
(9,2915,1),
(9,3308,1),
(9,4216,1),
(9,2916,1),
(9,4220,1),
(9,2671,1),
(9,4943,1),
(9,3129,1),
(9,4942,1),
(9,3402,1),
(9,3899,2),
(9,3889,1),
(9,4940,1),
(9,4939,1),
(9,4973,1),
(9,2797,1),
(9,2796,1),
(9,4972,1),
(9,4970,1),
(9,4969,1),
(9,4968,1),
(9,4035,1),
(9,2979,2),
(9,2902,1),
(9,3050,1),
(9,3361,1),
(9,3913,2),
(9,3295,1),
(9,2919,1),
(9,4114,1),
(9,4967,1),
(9,4966,1),
(9,4965,1),
(9,4964,1),
(9,2905,1),
(9,4963,1),
(9,4962,1),
(9,3909,1),
(9,4961,1),
(9,4960,1),
(9,4959,1),
(9,5015,1),
(9,4228,1),
(9,5014,1),
(9,5013,1),
(9,5012,1),
(9,5011,1),
(9,3227,1),
(9,2901,1),
(9,2918,2),
(9,5010,1),
(9,4957,2),
(9,2802,1),
(9,4222,1),
(9,2672,3),
(9,5009,1),
(9,5008,1),
(9,5007,1),
(9,3891,1),
(9,5006,1),
(9,5005,1),
(9,2677,1),
(9,3900,2),
(9,5004,1),
(9,5003,1),
(9,5002,1),
(9,5001,3),
(9,5000,2),
(9,4999,1),
(9,4998,1),
(9,4223,1),
(9,4997,1),
(9,2639,5),
(9,2666,1),
(9,4941,3),
(9,4996,2),
(9,4995,2),
(9,4994,3),
(9,4993,2),
(9,4992,2),
(9,2912,5),
(9,4991,3),
(9,4990,2),
(9,4989,2),
(9,4037,2),
(9,4988,2),
(9,4987,2),
(9,4986,2),
(9,2638,9),
(9,4985,2),
(9,4971,5),
(9,4984,2),
(9,4983,2),
(9,4982,2),
(9,4981,2),
(9,4980,2),
(9,4979,2),
(9,4978,2),
(9,4977,2),
(9,2635,11),
(9,4976,2),
(9,2668,14),
(9,4975,2),
(9,4974,2),
(9,3915,2),
(9,3401,2),
(9,2792,11),
(9,5209,6),
(9,5217,6),
(9,4948,7),
(9,5207,6),
(9,5206,6),
(9,3751,3),
(9,1724,3),
(9,1030,3),
(9,4876,1),
(9,3286,1),
(9,2776,1),
(9,4874,1),
(9,4873,1),
(9,3857,1),
(9,4872,1),
(9,4871,1),
(9,4870,1),
(9,3855,1),
(9,4869,1),
(9,4868,1),
(9,4867,1),
(9,3031,1),
(9,3853,1),
(9,2602,1),
(9,4865,1),
(9,2615,1),
(9,4864,1),
(9,3105,1),
(9,4203,1),
(9,4863,1),
(9,4862,1),
(9,3354,1),
(9,2889,1),
(9,3294,1),
(9,4188,1),
(9,2890,1),
(9,4192,1),
(9,2613,1),
(9,4861,1),
(9,3112,1),
(9,4860,1),
(9,3395,1),
(9,3858,2),
(9,3848,1),
(9,4858,1),
(9,4857,1),
(9,4891,1),
(9,2780,1),
(9,2779,1),
(9,4890,1),
(9,4888,1),
(9,4887,1),
(9,4886,1),
(9,4012,1),
(9,2970,2),
(9,2877,1),
(9,3035,1),
(9,3350,1),
(9,3872,2),
(9,3281,1),
(9,2893,1),
(9,4102,1),
(9,4885,1),
(9,4884,1),
(9,4883,1),
(9,4882,1),
(9,2880,1),
(9,4881,1),
(9,4880,1),
(9,3868,1),
(9,4879,1),
(9,4878,1),
(9,4877,1),
(9,4933,1),
(9,4200,1),
(9,4932,1),
(9,4931,1),
(9,4930,1),
(9,4929,1),
(9,3204,1),
(9,2876,1),
(9,2892,2),
(9,4928,1),
(9,4875,2),
(9,2785,1),
(9,4194,1),
(9,2614,3),
(9,4927,1),
(9,4926,1),
(9,4925,1),
(9,3850,1),
(9,4924,1),
(9,4923,1),
(9,2619,1),
(9,3859,2),
(9,4922,1),
(9,4921,1),
(9,4920,1),
(9,4919,3),
(9,4918,2),
(9,4917,1),
(9,4916,1),
(9,4195,1),
(9,4915,1),
(9,2581,5),
(9,2608,1),
(9,4859,3),
(9,4914,2),
(9,4913,2),
(9,4912,3),
(9,4911,2),
(9,4910,2),
(9,2886,5),
(9,4909,3),
(9,4908,2),
(9,4907,2),
(9,4014,2),
(9,4906,2),
(9,4905,2),
(9,4904,2),
(9,2580,9),
(9,4903,2),
(9,4889,5),
(9,4902,2),
(9,4901,2),
(9,4900,2),
(9,4899,2),
(9,4898,2),
(9,4897,2),
(9,4896,2),
(9,4895,2),
(9,2577,11),
(9,4894,2),
(9,2610,14),
(9,4893,2),
(9,4892,2),
(9,3874,2),
(9,3394,2),
(9,2775,11),
(9,5205,6),
(9,5216,6),
(9,4866,7),
(9,5203,6),
(9,5202,6),
(9,3750,3),
(9,1645,3),
(9,1704,3),
(9,4794,1),
(9,3273,1),
(9,2759,1),
(9,4792,1),
(9,4791,1),
(9,3816,1),
(9,4790,1),
(9,4789,1),
(9,4788,1),
(9,3814,1),
(9,4787,1),
(9,4786,1),
(9,4785,1),
(9,3016,1),
(9,3812,1),
(9,2544,1),
(9,4783,1),
(9,2557,1),
(9,4782,1),
(9,882,1),
(9,4175,1),
(9,4781,1),
(9,4780,1),
(9,3343,1),
(9,2864,1),
(9,3280,1),
(9,4161,1),
(9,2865,1),
(9,4164,1),
(9,2555,1),
(9,4779,1),
(9,3095,1),
(9,4778,1),
(9,3388,1),
(9,3817,2),
(9,3807,1),
(9,4776,1),
(9,4775,1),
(9,4809,1),
(9,2763,1),
(9,2762,1),
(9,4808,1),
(9,4806,1),
(9,4805,1),
(9,4804,1),
(9,1365,1),
(9,2961,2),
(9,2851,1),
(9,3020,1),
(9,3339,1),
(9,3831,2),
(9,3268,1),
(9,2868,1),
(9,4090,1),
(9,4803,1),
(9,4802,1),
(9,4801,1),
(9,4800,1),
(9,2854,1),
(9,4799,1),
(9,4798,1),
(9,3827,1),
(9,4797,1),
(9,4796,1),
(9,4795,1),
(9,4851,1),
(9,4172,1),
(9,4850,1),
(9,4849,1),
(9,4848,1),
(9,4847,1),
(9,3181,1),
(9,2850,1),
(9,2867,2),
(9,4846,1),
(9,4793,2),
(9,2768,1),
(9,4166,1),
(9,2556,3),
(9,4845,1),
(9,4844,1),
(9,4843,1),
(9,3809,1),
(9,4842,1),
(9,4841,1),
(9,2561,1),
(9,3818,2),
(9,4840,1),
(9,4839,1),
(9,4838,1),
(9,4837,3),
(9,4836,2),
(9,4835,1),
(9,4834,1),
(9,4167,1),
(9,4833,1),
(9,2524,5),
(9,2550,1),
(9,4777,3),
(9,4832,2),
(9,4831,2),
(9,4830,3),
(9,4829,2),
(9,4828,2),
(9,2861,5),
(9,4827,3),
(9,4826,2),
(9,4825,2),
(9,3992,2),
(9,4824,2),
(9,4823,2),
(9,4822,2),
(9,2523,9),
(9,4821,2),
(9,4807,5),
(9,4820,2),
(9,4819,2),
(9,4818,2),
(9,4817,2),
(9,4816,2),
(9,4815,2),
(9,4814,2),
(9,4813,2),
(9,2520,11),
(9,4812,2),
(9,2552,14),
(9,4811,2),
(9,4810,2),
(9,3833,2),
(9,3387,2),
(9,2758,11),
(9,5201,6),
(9,5215,6),
(9,4784,7),
(9,5199,6),
(9,5198,6),
(9,1561,4),
(9,1047,4),
(9,1046,4),
(9,3725,3),
(9,1567,7),
(9,845,3),
(9,4715,1),
(9,14,1),
(9,2745,1),
(9,464,1),
(9,4714,1),
(9,3778,1),
(9,4713,1),
(9,4712,1),
(9,4711,1),
(9,3777,1),
(9,1246,1),
(9,4710,1),
(9,4709,1),
(9,31,1),
(9,3776,1),
(9,2497,1),
(9,4707,1),
(9,2504,1),
(9,4706,1),
(9,3073,1),
(9,4148,1),
(9,4705,1),
(9,4704,1),
(9,3332,1),
(9,1151,1),
(9,3267,1),
(9,4138,1),
(9,2840,1),
(9,1247,1),
(9,1219,1),
(9,4703,1),
(9,3079,1),
(9,1048,1),
(9,3381,1),
(9,3779,2),
(9,3771,1),
(9,4701,1),
(9,4700,1),
(9,4730,1),
(9,2749,1),
(9,2748,1),
(9,4729,1),
(9,4727,1),
(9,4726,1),
(9,4725,1),
(9,3969,1),
(9,720,2),
(9,2828,1),
(9,3005,1),
(9,3328,1),
(9,3792,2),
(9,3260,1),
(9,2842,1),
(9,4078,1),
(9,4724,1),
(9,4723,1),
(9,4722,1),
(9,4721,1),
(9,2831,1),
(9,4720,1),
(9,4719,1),
(9,3789,1),
(9,4718,1),
(9,4717,1),
(9,4716,1),
(9,4769,1),
(9,4146,1),
(9,4768,1),
(9,4767,1),
(9,4766,1),
(9,4765,1),
(9,3160,1),
(9,2827,1),
(9,51,2),
(9,4764,1),
(9,451,2),
(9,2752,1),
(9,4141,1),
(9,710,3),
(9,4763,1),
(9,4762,1),
(9,4761,1),
(9,3773,1),
(9,4760,1),
(9,4759,1),
(9,74,1),
(9,3780,2),
(9,4758,1),
(9,4757,1),
(9,4756,1),
(9,4755,3),
(9,4754,2),
(9,4753,1),
(9,4752,1),
(9,4142,1),
(9,4751,1),
(9,2480,5),
(9,841,1),
(9,4702,3),
(9,4750,2),
(9,4749,2),
(9,442,3),
(9,30,2),
(9,4748,2),
(9,2837,5),
(9,4747,3),
(9,4746,2),
(9,4745,2),
(9,38,2),
(9,4744,2),
(9,4743,2),
(9,4742,2),
(9,47,9),
(9,4741,2),
(9,4728,5),
(9,4740,2),
(9,4739,2),
(9,4738,2),
(9,4737,2),
(9,4736,2),
(9,4735,2),
(12,3930,1),
(12,5022,1),
(12,5021,1),
(12,5055,1),
(12,2814,1),
(12,2813,1),
(12,5054,1),
(12,5052,1),
(12,5051,1),
(12,5050,1),
(12,4058,1),
(12,2989,2),
(12,2928,1),
(12,3065,1),
(12,3372,1),
(12,3954,2),
(12,3309,1),
(12,2945,1),
(12,4126,1),
(12,5049,1),
(12,5048,1),
(12,5047,1),
(12,5046,1),
(12,2931,1),
(12,5045,1),
(12,5044,1),
(12,3950,1),
(12,5043,1),
(12,5042,1),
(12,5041,1),
(12,5097,1),
(12,4256,1),
(12,5096,1),
(12,5095,1),
(12,5094,1),
(12,5093,1),
(12,3250,1),
(12,2927,1),
(12,2944,2),
(12,5092,1),
(12,5039,2),
(12,2819,1),
(12,4250,1),
(12,2730,3),
(12,5091,1),
(12,5090,1),
(12,5089,1),
(12,3932,1),
(12,5088,1),
(12,5087,1),
(12,2735,1),
(12,3941,2),
(12,5086,1),
(12,5085,1),
(12,5084,1),
(12,5083,3),
(12,5082,2),
(12,5081,1),
(12,5080,1),
(12,4251,1),
(12,5079,1),
(12,2698,5),
(12,2724,1),
(12,5023,3),
(12,5078,2),
(12,5077,2),
(12,5076,3),
(12,5075,2),
(12,5074,2),
(12,2938,5),
(12,5073,3),
(12,5072,2),
(12,5071,2),
(12,4060,2),
(12,5070,2),
(12,5069,2),
(12,5068,2),
(12,2697,9),
(12,5067,2),
(12,5053,5),
(12,5066,2),
(12,5065,2),
(12,5064,2),
(12,5063,2),
(12,5062,2),
(12,5061,2),
(12,5060,2),
(12,5059,2),
(12,2694,11),
(12,5058,2),
(12,2726,14),
(12,5057,2),
(12,5056,2),
(12,3956,2),
(12,3408,2),
(12,2809,11),
(12,5273,6),
(12,5272,6),
(12,5271,6),
(12,5270,6),
(12,5278,6),
(12,5268,6),
(12,5267,6),
(12,1861,3),
(12,4958,1),
(12,3300,1),
(12,2793,1),
(12,4956,1),
(12,4955,1),
(12,3898,1),
(12,4954,1),
(12,4953,1),
(12,4952,1),
(12,3896,1),
(12,4951,1),
(12,4950,1),
(12,4949,1),
(12,4948,1),
(12,3046,1),
(12,3894,1),
(12,2660,1),
(12,4947,1),
(12,2673,1),
(12,4946,1),
(12,3122,1),
(12,4231,1),
(12,4945,1),
(12,4944,1),
(12,3365,1),
(12,2915,1),
(12,3308,1),
(12,4216,1),
(12,2916,1),
(12,4220,1),
(12,2671,1),
(12,4943,1),
(12,3129,1),
(12,4942,1),
(12,3402,1),
(12,3899,2),
(12,3889,1),
(12,4940,1),
(12,4939,1),
(12,4973,1),
(12,2797,1),
(12,2796,1),
(12,4972,1),
(12,4970,1),
(12,4969,1),
(12,4968,1),
(12,4035,1),
(12,2979,2),
(12,2902,1),
(12,3050,1),
(12,3361,1),
(12,3913,2),
(12,3295,1),
(12,2919,1),
(12,4114,1),
(12,4967,1),
(12,4966,1),
(12,4965,1),
(12,4964,1),
(12,2905,1),
(12,4963,1),
(12,4962,1),
(12,3909,1),
(12,4961,1),
(12,4960,1),
(12,4959,1),
(12,5015,1),
(12,4228,1),
(12,5014,1),
(12,5013,1),
(12,5012,1),
(12,5011,1),
(12,3227,1),
(12,2901,1),
(12,2918,2),
(12,5010,1),
(12,4957,2),
(12,2802,1),
(12,4222,1),
(12,2672,3),
(12,5009,1),
(12,5008,1),
(12,5007,1),
(12,3891,1),
(12,5006,1),
(12,5005,1),
(12,2677,1),
(12,3900,2),
(12,5004,1),
(12,5003,1),
(12,5002,1),
(12,5001,3),
(12,5000,2),
(12,4999,1),
(12,4998,1),
(12,4223,1),
(12,4997,1),
(12,2639,5),
(12,2666,1),
(12,4941,3),
(12,4996,2),
(12,4995,2),
(12,4994,3),
(12,4993,2),
(12,4992,2),
(12,2912,5),
(12,4991,3),
(12,4990,2),
(12,4989,2),
(12,4037,2),
(12,4988,2),
(12,4987,2),
(12,4986,2),
(12,2638,9),
(12,4985,2),
(12,4971,5),
(12,4984,2),
(12,4983,2),
(12,4982,2),
(12,4981,2),
(12,4980,2),
(12,4979,2),
(12,4978,2),
(12,4977,2),
(12,2635,11),
(12,4976,2),
(12,2668,14),
(12,4975,2),
(12,4974,2),
(12,3915,2),
(12,3401,2),
(12,2792,11),
(12,5266,6),
(12,5265,6),
(12,5264,6),
(12,5263,6),
(12,5277,6),
(12,5261,6),
(12,5260,6),
(12,1030,3),
(12,4876,1),
(12,3286,1),
(12,2776,1),
(12,4874,1),
(12,4873,1),
(12,3857,1),
(12,4872,1),
(12,4871,1),
(12,4870,1),
(12,3855,1),
(12,4869,1),
(12,4868,1),
(12,4867,1),
(12,4866,1),
(12,3031,1),
(12,3853,1),
(12,2602,1),
(12,4865,1),
(12,2615,1),
(12,4864,1),
(12,3105,1),
(12,4203,1),
(12,4863,1),
(12,4862,1),
(12,3354,1),
(12,2889,1),
(12,3294,1),
(12,4188,1),
(12,2890,1),
(12,4192,1),
(12,2613,1),
(12,4861,1),
(12,3112,1),
(12,4860,1),
(12,3395,1),
(12,3858,2),
(12,3848,1),
(12,4858,1),
(12,4857,1),
(12,4891,1),
(12,2780,1),
(12,2779,1),
(12,4890,1),
(12,4888,1),
(12,4887,1),
(12,4886,1),
(12,4012,1),
(12,2970,2),
(12,2877,1),
(12,3035,1),
(12,3350,1),
(12,3872,2),
(12,3281,1),
(12,2893,1),
(12,4102,1),
(12,4885,1),
(12,4884,1),
(12,4883,1),
(12,4882,1),
(12,2880,1),
(12,4881,1),
(12,4880,1),
(12,3868,1),
(12,4879,1),
(12,4878,1),
(12,4877,1),
(12,4933,1),
(12,4200,1),
(12,4932,1),
(12,4931,1),
(12,4930,1),
(12,4929,1),
(12,3204,1),
(12,2876,1),
(12,2892,2),
(12,4928,1),
(12,4875,2),
(12,2785,1),
(12,4194,1),
(12,2614,3),
(12,4927,1),
(12,4926,1),
(12,4925,1),
(12,3850,1),
(12,4924,1),
(12,4923,1),
(12,2619,1),
(12,3859,2),
(12,4922,1),
(12,4921,1),
(12,4920,1),
(12,4919,3),
(12,4918,2),
(12,4917,1),
(12,4916,1),
(12,4195,1),
(12,4915,1),
(12,2581,5),
(12,2608,1),
(12,4859,3),
(12,4914,2),
(12,4913,2),
(12,4912,3),
(12,4911,2),
(12,4910,2),
(12,2886,5),
(12,4909,3),
(12,4908,2),
(12,4907,2),
(12,4014,2),
(12,4906,2),
(12,4905,2),
(12,4904,2),
(12,2580,9),
(12,4903,2),
(12,4889,5),
(12,4902,2),
(12,4901,2),
(12,4900,2),
(12,4899,2),
(12,4898,2),
(12,4897,2),
(12,4896,2),
(12,4895,2),
(12,2577,11),
(12,4894,2),
(12,2610,14),
(12,4893,2),
(12,4892,2),
(12,3874,2),
(12,3394,2),
(12,2775,11),
(12,5259,6),
(12,5258,6),
(12,5257,6),
(12,5256,6),
(12,5276,6),
(12,5254,6),
(12,5253,6),
(12,1704,3),
(12,4794,1),
(12,3273,1),
(12,2759,1),
(12,4792,1),
(12,4791,1),
(12,3816,1),
(12,4790,1),
(12,4789,1),
(12,4788,1),
(12,3814,1),
(12,4787,1),
(12,4786,1),
(12,4785,1),
(12,4784,1),
(12,3016,1),
(12,3812,1),
(12,2544,1),
(12,4783,1),
(12,2557,1),
(12,4782,1),
(12,882,1),
(12,4175,1),
(12,4781,1),
(12,4780,1),
(12,3343,1),
(12,2864,1),
(12,3280,1),
(12,4161,1),
(12,2865,1),
(12,4164,1),
(12,2555,1),
(12,4779,1),
(12,3095,1),
(12,4778,1),
(12,3388,1),
(12,3817,2),
(12,3807,1),
(12,4776,1),
(12,4775,1),
(12,4809,1),
(12,2763,1),
(12,2762,1),
(12,4808,1),
(12,4806,1),
(12,4805,1),
(12,4804,1),
(12,1365,1),
(12,2961,2),
(12,2851,1),
(12,3020,1),
(12,3339,1),
(12,3831,2),
(12,3268,1),
(12,2868,1),
(12,4090,1),
(12,4803,1),
(12,4802,1),
(12,4801,1),
(12,4800,1),
(12,2854,1),
(12,4799,1),
(12,4798,1),
(12,3827,1),
(12,4797,1),
(12,4796,1),
(12,4795,1),
(12,4851,1),
(12,4172,1),
(12,4850,1),
(12,4849,1),
(12,4848,1),
(12,4847,1),
(12,3181,1),
(12,2850,1),
(12,2867,2),
(12,4846,1),
(12,4793,2),
(12,2768,1),
(12,4166,1),
(12,2556,3),
(12,4845,1),
(12,4844,1),
(12,4843,1),
(12,3809,1),
(12,4842,1),
(12,4841,1),
(12,2561,1),
(12,3818,2),
(12,4840,1),
(12,4839,1),
(12,4838,1),
(12,4837,3),
(12,4836,2),
(12,4835,1),
(12,4834,1),
(12,4167,1),
(12,4833,1),
(12,2524,5),
(12,2550,1),
(12,4777,3),
(12,4832,2),
(12,4831,2),
(12,4830,3),
(12,4829,2),
(12,4828,2),
(12,2861,5),
(12,4827,3),
(12,4826,2),
(12,4825,2),
(12,3992,2),
(12,4824,2),
(12,4823,2),
(12,4822,2),
(12,2523,9),
(12,4821,2),
(12,4807,5),
(12,4820,2),
(12,4819,2),
(12,4818,2),
(12,4817,2),
(12,4816,2),
(12,4815,2),
(12,4814,2),
(12,4813,2),
(12,2520,11),
(12,4812,2),
(12,2552,14),
(12,4811,2),
(12,4810,2),
(12,3833,2),
(12,3387,2),
(12,2758,11),
(12,5252,6),
(12,5251,6),
(12,5250,6),
(12,5249,6),
(12,5275,6),
(12,5247,6),
(12,5246,6),
(12,1971,4),
(12,1970,4),
(12,1560,4),
(12,845,3),
(12,4715,1),
(12,14,1),
(12,2745,1),
(12,464,1),
(12,4714,1),
(12,3778,1),
(12,4713,1),
(12,4712,1),
(12,4711,1),
(12,3777,1),
(12,1246,1),
(12,4710,1),
(12,4709,1),
(12,4708,1),
(12,31,1),
(12,3776,1),
(12,2497,1),
(12,4707,1),
(12,2504,1),
(12,4706,1),
(12,3073,1),
(12,4148,1),
(12,4705,1),
(12,4704,1),
(12,3332,1),
(12,1151,1),
(12,3267,1),
(12,4138,1),
(12,2840,1),
(12,1247,1),
(12,1219,1),
(12,4703,1),
(12,3079,1),
(12,1048,1),
(12,3381,1),
(12,3779,2),
(12,3771,1),
(12,4701,1),
(12,4700,1),
(12,4730,1),
(12,2749,1),
(12,2748,1),
(12,4729,1),
(12,4727,1),
(12,4726,1),
(12,4725,1),
(12,3969,1),
(12,720,2),
(12,2828,1),
(12,3005,1),
(12,3328,1),
(12,3792,2),
(12,3260,1),
(12,2842,1),
(12,4078,1),
(12,4724,1),
(12,4723,1),
(12,4722,1),
(12,4721,1),
(12,2831,1),
(12,4720,1),
(12,4719,1),
(12,3789,1),
(12,4718,1),
(12,4717,1),
(12,4716,1),
(12,4769,1),
(12,4146,1),
(12,4768,1),
(12,4767,1),
(12,4766,1),
(12,4765,1),
(12,3160,1),
(12,2827,1),
(12,51,2),
(12,4764,1),
(12,451,2),
(12,2752,1),
(12,4141,1),
(12,710,3),
(12,4763,1),
(12,4762,1),
(12,4761,1),
(12,3773,1),
(12,4760,1),
(12,4759,1),
(12,74,1),
(12,3780,2),
(12,4758,1),
(12,4757,1),
(12,4756,1),
(12,4755,3),
(12,4754,2),
(12,4753,1),
(12,4752,1),
(12,4142,1),
(12,4751,1),
(12,2480,5),
(12,841,1),
(12,4702,3),
(12,4750,2),
(12,4749,2),
(12,442,3),
(12,30,2),
(12,4748,2),
(12,2837,5),
(12,4747,3),
(12,4746,2),
(12,4745,2),
(12,38,2),
(12,4744,2),
(12,4743,2),
(12,4742,2),
(12,47,9),
(12,4741,2),
(12,4728,5),
(12,4740,2),
(12,4739,2),
(12,4738,2),
(12,4737,2),
(12,4736,2),
(12,4735,2),
(12,4734,2),
(12,4733,2),
(12,4732,2),
(12,4731,2),
(12,7,2),
(12,3794,2),
(12,3380,2),
(12,2744,11),
(12,5245,6),
(12,5244,6),
(12,5243,6),
(12,5242,6),
(12,5274,6),
(12,5240,6),
(12,5239,6),
(2,5092,1),
(2,2819,1),
(2,4250,1),
(2,5091,1),
(2,5090,1),
(2,5089,1),
(2,3932,1),
(2,5088,1),
(2,5087,1),
(2,2735,5),
(2,5086,1),
(2,5085,1),
(2,5084,1),
(2,5083,3),
(2,5082,2),
(2,5081,1),
(2,5080,1),
(2,4251,1),
(2,5079,1),
(2,2724,1),
(2,5078,1),
(2,5077,1),
(2,5076,2),
(2,5075,1),
(2,5074,1),
(9,4734,2),
(9,4733,2),
(9,4732,2),
(9,4731,2),
(9,7,2),
(9,3794,2),
(9,3380,2),
(9,2744,11),
(9,5197,6),
(9,5214,6),
(9,4708,7),
(9,5195,6),
(9,5194,6),
(8,1951,3),
(8,1950,3),
(8,5097,1),
(8,4256,1),
(8,5096,1),
(8,5095,1),
(8,5094,1),
(8,5093,1),
(8,3250,1),
(8,2927,1),
(8,5092,1),
(8,2819,1),
(8,4250,1),
(8,5091,1),
(8,5090,1),
(8,5089,1),
(8,3932,1),
(8,5088,1),
(8,5087,1),
(8,2735,1),
(8,5086,1),
(8,5085,1),
(8,5084,1),
(8,5083,3),
(8,5082,2),
(8,5081,1),
(8,5080,1),
(8,4251,1),
(8,5079,1),
(8,2724,1),
(8,5078,1),
(8,5077,1),
(8,5076,2),
(8,5075,1),
(8,5074,1),
(8,5073,2),
(8,5072,1),
(8,5071,1),
(8,4060,1),
(8,5070,1),
(8,5069,1),
(8,5068,1),
(8,5067,1),
(8,5066,1),
(8,5065,1),
(8,5064,1),
(8,5063,1),
(8,5062,1),
(8,5061,1),
(8,5060,1),
(8,5059,1),
(8,5058,1),
(8,5057,1),
(8,5056,1),
(8,3956,1),
(8,3408,1),
(8,5040,1),
(8,3314,1),
(8,5039,2),
(8,2810,1),
(8,5038,1),
(8,5037,1),
(8,3939,1),
(8,5036,1),
(8,5035,1),
(8,5034,1),
(8,3937,1),
(8,5033,1),
(8,5032,1),
(8,5031,1),
(8,5030,1),
(8,3061,1),
(8,3935,1),
(8,2718,1),
(8,5029,1),
(8,2731,1),
(8,2697,7),
(8,5028,1),
(8,3139,1),
(8,4259,1),
(8,5027,1),
(8,5026,1),
(8,3376,1),
(8,2941,1),
(8,3322,1),
(8,4244,1),
(8,2942,1),
(8,4248,1),
(8,2729,1),
(8,5025,1),
(8,3146,1),
(8,5024,1),
(8,5023,3),
(8,3409,1),
(8,3940,2),
(8,3930,1),
(8,5022,1),
(8,5021,1),
(8,5055,2),
(8,2814,2),
(8,2813,2),
(8,5054,2),
(8,5053,5),
(8,5052,2),
(8,5051,2),
(8,2694,10),
(8,2730,4),
(8,2698,6),
(8,2944,3),
(8,5050,2),
(8,4058,2),
(8,2989,3),
(8,2726,13),
(8,2928,2),
(8,3065,2),
(8,3372,2),
(8,3954,3),
(8,3309,2),
(8,3941,3),
(8,2945,2),
(8,4126,2),
(8,5049,2),
(8,5048,2),
(8,5047,2),
(8,5046,2),
(8,2931,2),
(8,5045,2),
(8,5044,2),
(8,3950,2),
(8,2938,5),
(8,2809,11),
(8,5043,2),
(8,5042,2),
(8,5041,2),
(8,5213,6),
(8,5212,6),
(8,5211,6),
(8,5210,6),
(8,1861,3),
(8,5015,1),
(8,4228,1),
(8,5014,1),
(8,5013,1),
(8,5012,1),
(8,5011,1),
(8,3227,1),
(8,2901,1),
(8,5010,1),
(8,2802,1),
(8,4222,1),
(8,5009,1),
(8,5008,1),
(8,5007,1),
(8,3891,1),
(8,5006,1),
(8,5005,1),
(8,2677,1),
(8,5004,1),
(8,5003,1),
(8,5002,1),
(8,5001,3),
(8,5000,2),
(8,4999,1),
(8,4998,1),
(8,4223,1),
(8,4997,1),
(8,2666,1),
(8,4996,1),
(8,4995,1),
(8,4994,2),
(8,4993,1),
(8,4992,1),
(8,4991,2),
(8,4990,1),
(8,4989,1),
(8,4037,1),
(8,4988,1),
(8,4987,1),
(8,4986,1),
(8,4985,1),
(8,4984,1),
(8,4983,1),
(8,4982,1),
(8,4981,1),
(8,4980,1),
(8,4979,1),
(8,4978,1),
(8,4977,1),
(8,4976,1),
(8,4975,1),
(8,4974,1),
(8,3915,1),
(8,3401,1),
(8,4958,1),
(8,3300,1),
(8,4957,2),
(8,2793,1),
(8,4956,1),
(8,4955,1),
(8,3898,1),
(8,4954,1),
(8,4953,1),
(8,4952,1),
(8,3896,1),
(8,4951,1),
(8,4950,1),
(8,4949,1),
(8,4948,1),
(8,3046,1),
(8,3894,1),
(8,2660,1),
(8,4947,1),
(8,2673,1),
(8,2638,7),
(8,4946,1),
(8,3122,1),
(8,4231,1),
(8,4945,1),
(8,4944,1),
(8,3365,1),
(8,2915,1),
(8,3308,1),
(8,4216,1),
(8,2916,1),
(8,4220,1),
(8,2671,1),
(8,4943,1),
(8,3129,1),
(8,4942,1),
(8,4941,3),
(8,3402,1),
(8,3899,2),
(8,3889,1),
(8,4940,1),
(8,4939,1),
(8,4973,2),
(8,2797,2),
(8,2796,2),
(8,4972,2),
(8,4971,5),
(8,4970,2),
(8,4969,2),
(8,2635,10),
(8,2672,4),
(8,2639,6),
(8,2918,3),
(8,4968,2),
(8,4035,2),
(8,2979,3),
(8,2668,13),
(8,2902,2),
(8,3050,2),
(8,3361,2),
(8,3913,3),
(8,3295,2),
(8,3900,3),
(8,2919,2),
(8,4114,2),
(8,4967,2),
(8,4966,2),
(8,4965,2),
(8,4964,2),
(8,2905,2),
(8,4963,2),
(8,4962,2),
(8,3909,2),
(8,2912,5),
(8,2792,11),
(8,4961,2),
(8,4960,2),
(8,4959,2),
(8,5209,6),
(8,5208,6),
(8,5207,6),
(8,5206,6),
(8,1030,3),
(8,4933,1),
(8,4200,1),
(8,4932,1),
(8,4931,1),
(8,4930,1),
(8,4929,1),
(8,3204,1),
(8,2876,1),
(8,4928,1),
(8,2785,1),
(8,4194,1),
(8,4927,1),
(8,4926,1),
(8,4925,1),
(8,3850,1),
(8,4924,1),
(8,4923,1),
(8,2619,1),
(8,4922,1),
(8,4921,1),
(8,4920,1),
(8,4919,3),
(8,4918,2),
(8,4917,1),
(8,4916,1),
(8,4195,1),
(8,4915,1),
(8,2608,1),
(8,4914,1),
(8,4913,1),
(8,4912,2),
(8,4911,1),
(8,4910,1),
(8,4909,2),
(8,4908,1),
(8,4907,1),
(8,4014,1),
(8,4906,1),
(8,4905,1),
(8,4904,1),
(8,4903,1),
(8,4902,1),
(8,4901,1),
(8,4900,1),
(8,4899,1),
(8,4898,1),
(8,4897,1),
(8,4896,1),
(8,4895,1),
(8,4894,1),
(8,4893,1),
(8,4892,1),
(8,3874,1),
(8,3394,1),
(8,4876,1),
(8,3286,1),
(8,4875,2),
(8,2776,1),
(8,4874,1),
(8,4873,1),
(8,3857,1),
(8,4872,1),
(8,4871,1),
(8,4870,1),
(8,3855,1),
(8,4869,1),
(8,4868,1),
(8,4867,1),
(8,4866,1),
(8,3031,1),
(8,3853,1),
(8,2602,1),
(8,4865,1),
(8,2615,1),
(8,2580,7),
(8,4864,1),
(8,3105,1),
(8,4203,1),
(8,4863,1),
(8,4862,1),
(8,3354,1),
(8,2889,1),
(8,3294,1),
(8,4188,1),
(8,2890,1),
(8,4192,1),
(8,2613,1),
(8,4861,1),
(8,3112,1),
(8,4860,1),
(8,4859,3),
(8,3395,1),
(8,3858,2),
(8,3848,1),
(8,4858,1),
(8,4857,1),
(8,4891,2),
(8,2780,2),
(8,2779,2),
(8,4890,2),
(8,4889,5),
(8,4888,2),
(8,4887,2),
(8,2577,10),
(8,2614,4),
(8,2581,6),
(8,2892,3),
(8,4886,2),
(8,4012,2),
(8,2970,3),
(8,2610,13),
(8,2877,2),
(8,3035,2),
(8,3350,2),
(8,3872,3),
(8,3281,2),
(8,3859,3),
(8,2893,2),
(8,4102,2),
(8,4885,2),
(8,4884,2),
(8,4883,2),
(8,4882,2),
(8,2880,2),
(8,4881,2),
(8,4880,2),
(8,3868,2),
(8,2886,5),
(8,2775,11),
(8,4879,2),
(8,4878,2),
(8,4877,2),
(8,5205,6),
(8,5204,6),
(8,5203,6),
(8,5202,6),
(8,1704,3),
(8,4851,1),
(8,4172,1),
(8,4850,1),
(8,4849,1),
(8,4848,1),
(8,4847,1),
(8,3181,1),
(8,2850,1),
(8,4846,1),
(8,2768,1),
(8,4166,1),
(8,4845,1),
(8,4844,1),
(8,4843,1),
(8,3809,1),
(8,4842,1),
(8,4841,1),
(8,2561,1),
(8,4840,1),
(8,4839,1),
(8,4838,1),
(8,4837,3),
(8,4836,2),
(8,4835,1),
(8,4834,1),
(8,4167,1),
(8,4833,1),
(8,2550,1),
(8,4832,1),
(8,4831,1),
(8,4830,2),
(8,4829,1),
(8,4828,1),
(8,4827,2),
(8,4826,1),
(8,4825,1),
(8,3992,1),
(8,4824,1),
(8,4823,1),
(8,4822,1),
(8,4821,1),
(8,4820,1),
(8,4819,1),
(8,4818,1),
(8,4817,1),
(8,4816,1),
(8,4815,1),
(8,4814,1),
(8,4813,1),
(8,4812,1),
(8,4811,1),
(8,4810,1),
(8,3833,1),
(8,3387,1),
(8,4794,1),
(8,3273,1),
(8,4793,2),
(8,2759,1),
(8,4792,1),
(8,4791,1),
(8,3816,1),
(8,4790,1),
(8,4789,1),
(8,4788,1),
(8,3814,1),
(8,4787,1),
(8,4786,1),
(8,4785,1),
(8,4784,1),
(8,3016,1),
(8,3812,1),
(8,2544,1),
(8,4783,1),
(8,2557,1),
(8,2523,7),
(8,4782,1),
(8,882,1),
(8,4175,1),
(8,4781,1),
(8,4780,1),
(8,3343,1),
(8,2864,1),
(8,3280,1),
(8,4161,1),
(8,2865,1),
(8,4164,1),
(8,2555,1),
(8,4779,1),
(8,3095,1),
(8,4778,1),
(8,4777,3),
(8,3388,1),
(8,3817,2),
(8,3807,1),
(8,4776,1),
(8,4775,1),
(8,4809,2),
(8,2763,2),
(8,2762,2),
(8,4808,2),
(8,4807,5),
(8,4806,2),
(8,4805,2),
(8,2520,10),
(8,2556,4),
(8,2524,6),
(8,2867,3),
(8,4804,2),
(8,1365,2),
(8,2961,3),
(8,2552,13),
(8,2851,2),
(8,3020,2),
(8,3339,2),
(8,3831,3),
(8,3268,2),
(8,3818,3),
(8,2868,2),
(8,4090,2),
(8,4803,2),
(8,4802,2),
(8,4801,2),
(8,4800,2),
(8,2854,2),
(8,4799,2),
(8,4798,2),
(8,3827,2),
(8,2861,5),
(8,2758,11),
(8,4797,2),
(8,4796,2),
(8,4795,2),
(8,5201,6),
(8,5200,6),
(8,5199,6),
(8,5198,6),
(8,3724,4),
(8,1047,4),
(8,1046,4),
(8,845,3),
(8,4769,1),
(8,4146,1),
(8,4768,1),
(8,4767,1),
(8,4766,1),
(8,4765,1),
(8,3160,1),
(8,2827,1),
(8,4764,1),
(8,2752,1),
(8,4141,1),
(8,4763,1),
(8,4762,1),
(8,4761,1),
(8,3773,1),
(8,4760,1),
(8,4759,1),
(8,74,1),
(8,4758,1),
(8,4757,1),
(8,4756,1),
(8,4755,3),
(8,4754,2),
(8,4753,1),
(8,4752,1),
(8,4142,1),
(8,4751,1),
(8,841,1),
(8,4750,1),
(8,4749,1),
(8,442,2),
(8,30,1),
(8,4748,1),
(8,4747,2),
(8,4746,1),
(8,4745,1),
(8,38,1),
(8,4744,1),
(8,4743,1),
(8,4742,1),
(8,4741,1),
(8,4740,1),
(8,4739,1),
(8,4738,1),
(8,4737,1),
(8,4736,1),
(8,4735,1),
(8,4734,1),
(8,4733,1),
(8,4732,1),
(8,4731,1),
(8,7,1),
(8,3794,1),
(8,3380,1),
(8,4715,1),
(8,14,1),
(8,451,2),
(8,2745,1),
(8,464,1),
(8,4714,1),
(8,3778,1),
(8,4713,1),
(8,4712,1),
(8,4711,1),
(8,3777,1),
(8,1246,1),
(8,4710,1),
(8,4709,1),
(8,4708,1),
(8,31,1),
(8,3776,1),
(8,2497,1),
(8,4707,1),
(8,2504,1),
(8,47,7),
(8,4706,1),
(8,3073,1),
(8,4148,1),
(8,4705,1),
(8,4704,1),
(8,3332,1),
(8,1151,1),
(8,3267,1),
(8,4138,1),
(8,2840,1),
(8,1247,1),
(8,1219,1),
(8,4703,1),
(8,3079,1),
(8,1048,1),
(8,4702,3),
(8,3381,1),
(8,3779,2),
(8,3771,1),
(8,4701,1),
(8,4700,1),
(8,4730,2),
(8,2749,2),
(8,2748,2),
(8,4729,2),
(8,4728,5),
(8,4727,2),
(8,4726,2),
(8,710,4),
(8,2480,6),
(8,51,3),
(8,4725,2),
(8,3969,2),
(8,720,3),
(8,2828,2),
(8,3005,2),
(8,3328,2),
(8,3792,3),
(8,3260,2),
(8,3780,3),
(8,2842,2),
(8,4078,2),
(8,4724,2),
(2,5073,2),
(2,5072,1),
(2,5071,1),
(2,4060,1),
(2,5070,1),
(2,5069,1),
(2,5068,1),
(2,5067,1),
(2,5066,1),
(2,5065,1),
(2,5064,1),
(2,5063,1),
(2,5062,1),
(2,5061,1),
(2,5060,1),
(2,5059,1),
(2,5058,1),
(2,5057,1),
(2,5056,1),
(2,3956,1),
(2,3408,1),
(2,5040,1),
(2,3314,1),
(2,5039,2),
(2,2810,1),
(2,5038,1),
(2,5037,1),
(2,3939,1),
(2,5036,1),
(2,5035,1),
(2,5034,1),
(2,3937,1),
(2,5033,1),
(2,5032,1),
(2,5031,1),
(2,5030,1),
(2,3061,1),
(2,3935,1),
(2,2718,1),
(2,5029,1),
(2,2731,1),
(2,2697,7),
(2,5028,1),
(2,3139,1),
(2,4259,1),
(2,5027,1),
(2,5026,1),
(2,3376,1),
(2,2941,1),
(2,3322,1),
(2,4244,1),
(2,2942,1),
(2,4248,1),
(2,2729,1),
(2,5025,1),
(2,3146,1),
(2,5024,1),
(2,5023,3),
(2,3409,1),
(2,3940,2),
(2,3930,1),
(2,5022,1),
(2,5021,1),
(2,5055,2),
(2,2814,2),
(2,2813,2),
(2,5054,2),
(2,5053,5),
(2,5052,2),
(2,5051,2),
(2,2694,10),
(2,2730,4),
(2,2698,6),
(2,2944,3),
(2,5050,2),
(2,4058,2),
(2,2989,3),
(2,2726,13),
(2,2928,2),
(2,3065,2),
(2,3372,2),
(2,3954,3),
(2,3309,2),
(2,3941,3),
(2,2945,2),
(2,4126,2),
(2,5049,2),
(2,5048,2),
(2,5047,2),
(2,5046,2),
(2,2931,2),
(2,5045,2),
(2,5044,2),
(2,3950,2),
(2,2938,5),
(2,2809,11),
(2,5043,2),
(2,5042,2),
(2,5041,2),
(2,5116,6),
(2,5115,6),
(2,5114,6),
(2,5113,6),
(2,2681,4),
(2,2680,6),
(2,2679,6),
(2,2678,4),
(2,3759,3),
(2,3758,3),
(2,2076,3),
(2,2075,3),
(2,1861,3),
(2,5015,1),
(2,4228,1),
(2,5014,1),
(2,5013,1),
(2,5012,1),
(2,5011,1),
(2,3227,1),
(2,2901,1),
(2,5010,1),
(2,2802,1),
(2,4222,1),
(2,5009,1),
(2,5008,1),
(2,5007,1),
(2,3891,1),
(2,5006,1),
(2,5005,1),
(2,2677,5),
(2,5004,1),
(2,5003,1),
(2,5002,1),
(2,5001,3),
(2,5000,2),
(2,4999,1),
(2,4998,1),
(2,4223,1),
(2,4997,1),
(2,2666,1),
(2,4996,1),
(2,4995,1),
(2,4994,2),
(2,4993,1),
(2,4992,1),
(2,4991,2),
(2,4990,1),
(2,4989,1),
(2,4037,1),
(2,4988,1),
(2,4987,1),
(2,4986,1),
(2,4985,1),
(2,4984,1),
(2,4983,1),
(2,4982,1),
(2,4981,1),
(2,4980,1),
(2,4979,1),
(2,4978,1),
(2,4977,1),
(2,4976,1),
(2,4975,1),
(2,4974,1),
(2,3915,1),
(2,3401,1),
(2,4958,1),
(2,3300,1),
(2,4957,2),
(2,2793,1),
(2,4956,1),
(2,4955,1),
(2,3898,1),
(2,4954,1),
(2,4953,1),
(2,4952,1),
(2,3896,1),
(2,4951,1),
(2,4950,1),
(2,4949,1),
(2,4948,1),
(2,3046,1),
(2,3894,1),
(2,2660,1),
(2,4947,1),
(2,2673,1),
(2,2638,7),
(2,4946,1),
(2,3122,1),
(2,4231,1),
(2,4945,1),
(2,4944,1),
(2,3365,1),
(2,2915,1),
(2,3308,1),
(2,4216,1),
(2,2916,1),
(2,4220,1),
(2,2671,1),
(2,4943,1),
(2,3129,1),
(2,4942,1),
(2,4941,3),
(2,3402,1),
(2,3899,2),
(2,3889,1),
(2,4940,1),
(2,4939,1),
(2,4973,2),
(2,2797,2),
(2,2796,2),
(2,4972,2),
(2,4971,5),
(2,4970,2),
(2,4969,2),
(2,2635,10),
(2,2672,4),
(2,2639,6),
(2,2918,3),
(2,4968,2),
(2,4035,2),
(2,2979,3),
(2,2668,13),
(2,2902,2),
(2,3050,2),
(2,3361,2),
(2,3913,3),
(2,3295,2),
(2,3900,3),
(2,2919,2),
(2,4114,2),
(2,4967,2),
(2,4966,2),
(2,4965,2),
(2,4964,2),
(2,2905,2),
(2,4963,2),
(2,4962,2),
(2,3909,2),
(2,2912,5),
(2,2792,11),
(2,4961,2),
(2,4960,2),
(2,4959,2),
(2,5112,6),
(2,5111,6),
(2,5110,6),
(2,5109,6),
(2,2622,4),
(2,2621,6),
(2,225,6),
(2,2620,4),
(2,3757,3),
(2,3756,3),
(2,2041,3),
(2,2040,3),
(2,1030,3),
(2,4933,1),
(2,4200,1),
(2,4932,1),
(2,4931,1),
(2,4930,1),
(2,4929,1),
(2,3204,1),
(2,2876,1),
(2,4928,1),
(2,2785,1),
(2,4194,1),
(2,4927,1),
(2,4926,1),
(2,4925,1),
(2,3850,1),
(2,4924,1),
(2,4923,1),
(2,2619,5),
(2,4922,1),
(2,4921,1),
(2,4920,1),
(2,4919,3),
(2,4918,2),
(2,4917,1),
(2,4916,1),
(2,4195,1),
(2,4915,1),
(2,2608,1),
(2,4914,1),
(2,4913,1),
(2,4912,2),
(2,4911,1),
(2,4910,1),
(2,4909,2),
(2,4908,1),
(2,4907,1),
(2,4014,1),
(2,4906,1),
(2,4905,1),
(2,4904,1),
(2,4903,1),
(2,4902,1),
(2,4901,1),
(2,4900,1),
(2,4899,1),
(2,4898,1),
(2,4897,1),
(2,4896,1),
(2,4895,1),
(2,4894,1),
(2,4893,1),
(2,4892,1),
(2,3874,1),
(2,3394,1),
(2,4876,1),
(2,3286,1),
(2,4875,2),
(2,2776,1),
(2,4874,1),
(2,4873,1),
(2,3857,1),
(2,4872,1),
(2,4871,1),
(2,4870,1),
(2,3855,1),
(2,4869,1),
(2,4868,1),
(2,4867,1),
(2,4866,1),
(2,3031,1),
(2,3853,1),
(2,2602,1),
(2,4865,1),
(2,2615,1),
(2,2580,7),
(2,4864,1),
(2,3105,1),
(2,4203,1),
(2,4863,1),
(2,4862,1),
(2,3354,1),
(2,2889,1),
(2,3294,1),
(2,4188,1),
(2,2890,1),
(2,4192,1),
(2,2613,1),
(2,4861,1),
(2,3112,1),
(2,4860,1),
(2,4859,3),
(2,3395,1),
(2,3858,2),
(2,3848,1),
(2,4858,1),
(2,4857,1),
(2,4891,2),
(2,2780,2),
(2,2779,2),
(2,4890,2),
(2,4889,5),
(2,4888,2),
(2,4887,2),
(2,2577,10),
(2,2614,4),
(2,2581,6),
(2,2892,3),
(2,4886,2),
(2,4012,2),
(2,2970,3),
(2,2610,13),
(2,2877,2),
(2,3035,2),
(2,3350,2),
(2,3872,3),
(2,3281,2),
(2,3859,3),
(2,2893,2),
(2,4102,2),
(2,4885,2),
(2,4884,2),
(2,4883,2),
(2,4882,2),
(2,2880,2),
(2,4881,2),
(2,4880,2),
(2,3868,2),
(2,2886,5),
(2,2775,11),
(2,4879,2),
(2,4878,2),
(2,4877,2),
(2,5108,6),
(2,5107,6),
(2,5106,6),
(2,5105,6),
(2,2564,4),
(2,2563,6),
(2,148,6),
(2,2562,4),
(2,3755,3),
(2,3754,3),
(2,2006,3),
(2,2005,3),
(2,1704,3),
(2,4851,1),
(2,4172,1),
(2,4850,1),
(2,4849,1),
(2,4848,1),
(2,4847,1),
(2,3181,1),
(2,2850,1),
(2,4846,1),
(2,2768,1),
(2,4166,1),
(2,4845,1),
(2,4844,1),
(2,4843,1),
(2,3809,1),
(2,4842,1),
(2,4841,1),
(2,2561,5),
(2,4840,1),
(2,4839,1),
(2,4838,1),
(2,4837,3),
(2,4836,2),
(2,4835,1),
(2,4834,1),
(2,4167,1),
(2,4833,1),
(2,2550,1),
(2,4832,1),
(2,4831,1),
(2,4830,2),
(2,4829,1),
(2,4828,1),
(2,4827,2),
(2,4826,1),
(2,4825,1),
(2,3992,1),
(2,4824,1),
(2,4823,1),
(2,4822,1),
(2,4821,1),
(2,4820,1),
(2,4819,1),
(2,4818,1),
(2,4817,1),
(2,4816,1),
(2,4815,1),
(2,4814,1),
(2,4813,1),
(2,4812,1),
(2,4811,1),
(2,4810,1),
(2,3833,1),
(2,3387,1),
(2,4794,1),
(2,3273,1),
(2,4793,2),
(2,2759,1),
(2,4792,1),
(2,4791,1),
(2,3816,1),
(2,4790,1),
(2,4789,1),
(2,4788,1),
(2,3814,1),
(2,4787,1),
(2,4786,1),
(2,4785,1),
(2,4784,1),
(2,3016,1),
(2,3812,1),
(2,2544,1),
(2,4783,1),
(2,2557,1),
(2,2523,7),
(2,4782,1),
(2,882,1),
(2,4175,1),
(2,4781,1),
(2,4780,1),
(2,3343,1),
(2,2864,1),
(2,3280,1),
(2,4161,1),
(2,2865,1),
(2,4164,1),
(2,2555,1),
(2,4779,1),
(2,3095,1),
(2,4778,1),
(2,4777,3),
(2,3388,1),
(2,3817,2),
(2,3807,1),
(2,4776,1),
(2,4775,1),
(2,4809,2),
(2,2763,2),
(2,2762,2),
(2,4808,2),
(2,4807,5),
(2,4806,2),
(2,4805,2),
(2,2520,10),
(2,2556,4),
(2,2524,6),
(2,2867,3),
(2,4804,2),
(2,1365,2),
(2,2961,3),
(2,2552,13),
(2,2851,2),
(2,3020,2),
(2,3339,2),
(2,3831,3),
(2,3268,2),
(2,3818,3),
(2,2868,2),
(2,4090,2),
(2,4803,2),
(2,4802,2),
(2,4801,2),
(2,4800,2),
(2,2854,2),
(2,4799,2),
(2,4798,2),
(2,3827,2),
(2,2861,5),
(2,2758,11),
(2,4797,2),
(2,4796,2),
(2,4795,2),
(2,5104,6),
(2,5103,6),
(2,5102,6),
(2,5101,6),
(2,2507,4),
(2,2506,6),
(2,70,6),
(2,77,4),
(2,1560,4),
(2,1047,4),
(2,1046,4),
(2,3731,3),
(2,3730,3),
(2,1971,7),
(2,1970,7),
(2,845,3),
(2,4769,1),
(2,4146,1),
(2,4768,1),
(2,4767,1),
(2,4766,1),
(2,4765,1),
(2,3160,1),
(2,2827,1),
(2,4764,1),
(2,2752,1),
(2,4141,1),
(2,4763,1),
(2,4762,1),
(2,4761,1),
(2,3773,1),
(2,4760,1),
(2,4759,1),
(2,74,5),
(2,4758,1),
(2,4757,1),
(2,4756,1),
(2,4755,3),
(2,4754,2),
(2,4753,1),
(2,4752,1),
(2,4142,1),
(2,4751,1),
(2,841,1),
(2,4750,1),
(2,4749,1),
(2,442,2),
(2,30,1),
(2,4748,1),
(2,4747,2),
(2,4746,1),
(2,4745,1),
(2,38,1),
(2,4744,1),
(2,4743,1),
(2,4742,1),
(2,4741,1),
(2,4740,1),
(2,4739,1),
(2,4738,1),
(2,4737,1),
(2,4736,1),
(2,4735,1),
(2,4734,1),
(2,4733,1),
(2,4732,1),
(2,4731,1),
(2,7,1),
(2,3794,1),
(2,3380,1),
(2,4715,1),
(2,14,1),
(2,451,2),
(2,2745,1),
(2,464,1),
(2,4714,1),
(2,3778,1),
(2,4713,1),
(2,4712,1),
(2,4711,1),
(2,3777,1),
(2,1246,1),
(2,4710,1),
(2,4709,1),
(2,4708,1),
(2,31,1),
(2,3776,1),
(2,2497,1),
(2,4707,1),
(2,2504,1),
(2,47,7),
(2,4706,1),
(2,3073,1),
(2,4148,1),
(2,4705,1),
(2,4704,1),
(2,3332,1),
(2,1151,1),
(2,3267,1),
(2,4138,1),
(2,2840,1),
(2,1247,1),
(2,1219,1),
(2,4703,1),
(2,3079,1),
(2,1048,1),
(2,4702,3),
(2,3381,1),
(2,3779,2),
(2,3771,1),
(2,4701,1),
(2,4700,1),
(2,4730,2),
(2,2749,2),
(2,2748,2),
(2,4729,2),
(2,4728,5),
(2,4727,2),
(2,4726,2),
(2,710,4),
(2,2480,6),
(2,51,3),
(2,4725,2),
(2,3969,2),
(2,720,3),
(2,2828,2),
(2,3005,2),
(2,3328,2),
(2,3792,3),
(2,3260,2),
(2,3780,3),
(2,2842,2),
(2,4078,2),
(2,4724,2),
(2,4723,2),
(2,4722,2),
(2,4721,2),
(2,2831,2),
(2,4720,2),
(2,4719,2),
(2,3789,2),
(2,2837,5),
(2,2744,11),
(2,4718,2),
(2,4717,2),
(2,4716,2),
(2,5100,6),
(2,5099,6),
(2,5098,6),
(2,847,6),
(32,5527,6),
(32,5528,6),
(32,5529,6),
(32,4716,2),
(32,4717,2),
(32,4718,2),
(32,2744,11),
(32,2837,5),
(32,3789,2),
(32,4719,2),
(32,4720,2),
(32,2831,2),
(32,4721,2),
(32,4722,2),
(32,4723,2),
(32,4724,2),
(32,4078,2),
(32,2842,2),
(32,3780,3),
(32,3260,2),
(32,3792,3),
(32,3328,2),
(32,3005,2),
(32,2828,2),
(32,720,3),
(32,3969,2),
(32,4725,2),
(32,51,3),
(32,2480,6),
(32,710,4),
(32,4726,2),
(32,4727,2),
(32,4728,5),
(32,4729,2),
(32,2748,2),
(32,2749,2),
(32,4730,2),
(32,4700,1),
(32,4701,1),
(32,3771,1),
(32,3779,2),
(32,3381,1),
(32,4702,3),
(32,1048,1),
(32,3079,1),
(32,4703,1),
(32,1219,1),
(32,1247,1),
(32,2840,1),
(32,4138,1),
(32,3267,1),
(32,1151,1),
(32,3332,1),
(32,4704,1),
(32,4705,1),
(32,4148,1),
(32,3073,1),
(32,4706,1),
(32,47,7),
(32,2504,1),
(32,4707,1),
(32,2497,1),
(32,3776,1),
(32,31,1),
(32,4708,1),
(32,4709,1),
(32,4710,1),
(32,1246,1),
(32,3777,1),
(32,4711,1),
(32,4712,1),
(32,4713,1),
(32,3778,1),
(32,4714,1),
(32,464,1),
(32,2745,1),
(32,451,2),
(32,14,1),
(32,4715,1),
(32,3380,1),
(32,3794,1),
(32,7,1),
(32,4731,1),
(32,4732,1),
(32,4733,1),
(32,4734,1),
(32,4735,1),
(32,4736,1),
(32,4737,1),
(32,4738,1),
(32,4739,1),
(32,4740,1),
(32,4741,1),
(32,4742,1),
(32,4743,1),
(32,4744,1),
(32,38,1),
(32,4745,1),
(32,4746,1),
(32,4747,2),
(32,4748,1),
(32,30,1),
(32,442,2),
(32,4749,1),
(32,4750,1),
(32,841,1),
(32,4751,1),
(32,4142,1),
(32,4752,1),
(32,4753,1),
(32,4754,2),
(32,4755,3),
(32,4756,1),
(32,4757,1),
(32,4758,1),
(32,74,1),
(32,4759,1),
(32,4760,1),
(32,3773,1),
(32,4761,1),
(32,4762,1),
(32,4763,1),
(32,4141,1),
(32,2752,1),
(32,4764,1),
(32,2827,1),
(32,3160,1),
(32,4765,1),
(32,4766,1),
(32,4767,1),
(32,4768,1),
(32,4146,1),
(32,4769,1),
(32,845,3),
(32,5530,6),
(32,5531,6),
(32,5532,6),
(32,4795,2),
(32,4796,2),
(32,4797,2),
(32,2758,11),
(32,2861,5),
(32,3827,2),
(32,4798,2),
(32,4799,2),
(32,2854,2),
(32,4800,2),
(32,4801,2),
(32,4802,2),
(32,4803,2),
(32,4090,2),
(32,2868,2),
(32,3818,3),
(32,3268,2),
(32,3831,3),
(32,3339,2),
(32,3020,2),
(32,2851,2),
(32,2552,13),
(32,2961,3),
(32,1365,2),
(32,4804,2),
(32,2867,3),
(32,2524,6),
(32,2556,4),
(32,2520,10),
(32,4805,2),
(32,4806,2),
(32,4807,5),
(32,4808,2),
(32,2762,2),
(32,2763,2),
(32,4809,2),
(32,4775,1),
(32,4776,1),
(32,3807,1),
(32,3817,2),
(32,3388,1),
(32,4777,3),
(32,4778,1),
(32,3095,1),
(32,4779,1),
(32,2555,1),
(32,4164,1),
(32,2865,1),
(32,4161,1),
(32,3280,1),
(32,2864,1),
(32,3343,1),
(32,4780,1),
(32,4781,1),
(32,4175,1),
(32,882,1),
(32,4782,1),
(32,2523,7),
(32,2557,1),
(32,4783,1),
(32,2544,1),
(32,3812,1),
(32,3016,1),
(32,4784,1),
(32,4785,1),
(32,4786,1),
(32,4787,1),
(32,3814,1),
(32,4788,1),
(32,4789,1),
(32,4790,1),
(32,3816,1),
(32,4791,1),
(32,4792,1),
(32,2759,1),
(32,4793,2),
(32,3273,1),
(32,4794,1),
(32,3387,1),
(32,3833,1),
(32,4810,1),
(32,4811,1),
(32,4812,1),
(32,4813,1),
(32,4814,1),
(32,4815,1),
(32,4816,1),
(32,4817,1),
(32,4818,1),
(32,4819,1),
(32,4820,1),
(32,4821,1),
(32,4822,1),
(32,4823,1),
(32,4824,1),
(32,3992,1),
(32,4825,1),
(32,4826,1),
(32,4827,2),
(32,4828,1),
(32,4829,1),
(32,4830,2),
(32,4831,1),
(32,4832,1),
(32,2550,1),
(32,4833,1),
(32,4167,1),
(32,4834,1),
(32,4835,1),
(32,4836,2),
(32,4837,3),
(32,4838,1),
(32,4839,1),
(32,4840,1),
(32,2561,1),
(32,4841,1),
(32,4842,1),
(32,3809,1),
(32,4843,1),
(32,4844,1),
(32,4845,1),
(32,4166,1),
(32,2768,1),
(32,4846,1),
(32,2850,1),
(32,3181,1),
(32,4847,1),
(32,4848,1),
(32,4849,1),
(32,4850,1),
(32,4172,1),
(32,4851,1),
(32,1704,3),
(32,5533,6),
(32,5534,6),
(32,5535,6),
(32,4877,2),
(32,4878,2),
(32,4879,2),
(32,2775,11),
(32,2886,5),
(32,3868,2),
(32,4880,2),
(32,4881,2),
(32,2880,2),
(32,4882,2),
(32,4883,2),
(32,4884,2),
(32,4885,2),
(32,4102,2),
(32,2893,2),
(32,3859,3),
(32,3281,2),
(32,3872,3),
(32,3350,2),
(32,3035,2),
(32,2877,2),
(32,2610,13),
(32,2970,3),
(32,4012,2),
(32,4886,2),
(32,2892,3),
(32,2581,6),
(32,2614,4),
(32,2577,10),
(32,4887,2),
(32,4888,2),
(32,4889,5),
(32,4890,2),
(32,2779,2),
(32,2780,2),
(32,4891,2),
(32,4857,1),
(32,4858,1),
(32,3848,1),
(32,3858,2),
(32,3395,1),
(32,4859,3),
(32,4860,1),
(32,3112,1),
(32,4861,1),
(32,2613,1),
(32,4192,1),
(32,2890,1),
(32,4188,1),
(32,3294,1),
(32,2889,1),
(32,3354,1),
(32,4862,1),
(32,4863,1),
(32,4203,1),
(32,3105,1),
(32,4864,1),
(32,2580,7),
(32,2615,1),
(32,4865,1),
(32,2602,1),
(32,3853,1),
(32,3031,1),
(32,4866,1),
(32,4867,1),
(32,4868,1),
(32,4869,1),
(32,3855,1),
(32,4870,1),
(32,4871,1),
(32,4872,1),
(32,3857,1),
(32,4873,1),
(32,4874,1),
(32,2776,1),
(32,4875,2),
(32,3286,1),
(32,4876,1),
(32,3394,1),
(32,3874,1),
(32,4892,1),
(32,4893,1),
(32,4894,1),
(32,4895,1),
(32,4896,1),
(32,4897,1),
(32,4898,1),
(32,4899,1),
(32,4900,1),
(32,4901,1),
(32,4902,1),
(32,4903,1),
(32,4904,1),
(32,4905,1),
(32,4906,1),
(32,4014,1),
(32,4907,1),
(32,4908,1),
(32,4909,2),
(32,4910,1),
(32,4911,1),
(32,4912,2),
(32,4913,1),
(32,4914,1),
(32,2608,1),
(32,4915,1),
(32,4195,1),
(32,4916,1),
(32,4917,1),
(32,4918,2),
(32,4919,3),
(32,4920,1),
(32,4921,1),
(32,4922,1),
(32,2619,1),
(32,4923,1),
(32,4924,1),
(32,3850,1),
(32,4925,1),
(32,4926,1),
(32,4927,1),
(32,4194,1),
(32,2785,1),
(32,4928,1),
(32,2876,1),
(32,3204,1),
(32,4929,1),
(32,4930,1),
(32,4931,1),
(32,4932,1),
(32,4200,1),
(32,4933,1),
(32,1030,3),
(32,5536,6),
(32,5537,6),
(32,5538,6),
(32,4959,2),
(32,4960,2),
(32,4961,2),
(32,2792,11),
(32,2912,5),
(32,3909,2),
(32,4962,2),
(32,4963,2),
(32,2905,2),
(32,4964,2),
(32,4965,2),
(32,4966,2),
(32,4967,2),
(32,4114,2),
(32,2919,2),
(32,3900,3),
(32,3295,2),
(32,3913,3),
(32,3361,2),
(32,3050,2),
(32,2902,2),
(32,2668,13),
(32,2979,3),
(32,4035,2),
(32,4968,2),
(32,2918,3),
(32,2639,6),
(32,2672,4),
(32,2635,10),
(32,4969,2),
(32,4970,2),
(32,4971,5),
(32,4972,2),
(32,2796,2),
(32,2797,2),
(32,4973,2),
(32,4939,1),
(32,4940,1),
(32,3889,1),
(32,3899,2),
(32,3402,1),
(32,4941,3),
(32,4942,1),
(32,3129,1),
(32,4943,1),
(32,2671,1),
(32,4220,1),
(32,2916,1),
(32,4216,1),
(32,3308,1),
(32,2915,1),
(32,3365,1),
(32,4944,1),
(32,4945,1),
(32,4231,1),
(32,3122,1),
(32,4946,1),
(32,2638,7),
(32,2673,1),
(32,4947,1),
(32,2660,1),
(32,3894,1),
(32,3046,1),
(32,4948,1),
(32,4949,1),
(32,4950,1),
(32,4951,1),
(32,3896,1),
(32,4952,1),
(32,4953,1),
(32,4954,1),
(32,3898,1),
(32,4955,1),
(32,4956,1),
(32,2793,1),
(32,4957,2),
(32,3300,1),
(32,4958,1),
(32,3401,1),
(32,3915,1),
(32,4974,1),
(32,4975,1),
(32,4976,1),
(32,4977,1),
(32,4978,1),
(32,4979,1),
(32,4980,1),
(32,4981,1),
(32,4982,1),
(32,4983,1),
(32,4984,1),
(32,4985,1),
(32,4986,1),
(32,4987,1),
(32,4988,1),
(32,4037,1),
(32,4989,1),
(32,4990,1),
(32,4991,2),
(32,4992,1),
(32,4993,1),
(32,4994,2),
(32,4995,1),
(32,4996,1),
(32,2666,1),
(32,4997,1),
(32,4223,1),
(32,4998,1),
(32,4999,1),
(32,5000,2),
(32,5001,3),
(32,5002,1),
(32,5003,1),
(32,5004,1),
(32,2677,1),
(32,5005,1),
(32,5006,1),
(32,3891,1),
(32,5007,1),
(32,5008,1),
(32,5009,1),
(32,4222,1),
(32,2802,1),
(32,5010,1),
(32,2901,1),
(32,3227,1),
(32,5011,1),
(32,5012,1),
(32,5013,1),
(32,5014,1),
(32,4228,1),
(32,5015,1),
(32,1861,3),
(32,5539,6),
(32,5540,6),
(32,5541,6),
(32,5041,2),
(32,5042,2),
(32,5043,2),
(32,2809,11),
(32,2938,5),
(32,3950,2),
(32,5044,2),
(32,5045,2),
(32,2931,2),
(32,5046,2),
(32,5047,2),
(32,5048,2),
(32,5049,2),
(32,4126,2),
(32,2945,2),
(32,3941,3),
(32,3309,2),
(32,3954,3),
(32,3372,2),
(32,3065,2),
(32,2928,2),
(32,2726,13),
(32,2989,3),
(32,4058,2),
(32,5050,2),
(32,2944,3),
(32,2698,6),
(32,2730,4),
(32,2694,10),
(32,5051,2),
(32,5052,2),
(32,5053,5),
(32,5054,2),
(32,2813,2),
(32,2814,2),
(32,5055,2),
(32,5021,1),
(32,5022,1),
(32,3930,1),
(32,3940,2),
(32,3409,1),
(32,5023,3),
(32,5024,1),
(32,3146,1),
(32,5025,1),
(32,2729,1),
(32,4248,1),
(32,2942,1),
(32,4244,1),
(32,3322,1),
(32,2941,1),
(32,3376,1),
(32,5026,1),
(32,5027,1),
(32,4259,1),
(32,3139,1),
(32,5028,1),
(32,2697,7),
(32,2731,1),
(32,5029,1),
(32,2718,1),
(32,3935,1),
(32,3061,1),
(32,5030,1),
(32,5031,1),
(32,5032,1),
(32,5033,1),
(32,3937,1),
(32,5034,1),
(32,5035,1),
(32,5036,1),
(32,3939,1),
(32,5037,1),
(32,5038,1),
(32,2810,1),
(32,5039,2),
(32,3314,1),
(32,5040,1),
(32,3408,1),
(32,3956,1),
(32,5056,1),
(32,5057,1),
(32,5058,1),
(32,5059,1),
(32,5060,1),
(32,5061,1),
(32,5062,1),
(32,5063,1),
(32,5064,1),
(32,5065,1),
(32,5066,1),
(32,5067,1),
(32,5068,1),
(32,5069,1),
(32,5070,1),
(32,4060,1),
(32,5071,1),
(32,5072,1),
(32,5073,2),
(32,5074,1),
(32,5075,1),
(32,5076,2),
(32,5077,1),
(32,5078,1),
(32,2724,1),
(32,5079,1),
(32,4251,1),
(32,5080,1),
(32,5081,1),
(32,5082,2),
(32,5083,3),
(32,5084,1),
(32,5085,1),
(32,5086,1),
(32,2735,1),
(32,5087,1),
(32,5088,1),
(32,3932,1),
(32,5089,1),
(32,5090,1),
(32,5091,1),
(32,4250,1),
(32,2819,1),
(32,5092,1),
(32,2927,1),
(32,3250,1),
(32,5093,1),
(32,5094,1),
(32,5095,1),
(32,5096,1),
(32,4256,1),
(32,5097,1),
(32,1950,3),
(32,1951,3),
(27,4248,1),
(27,2729,1),
(27,5025,1),
(27,3146,1),
(27,5024,1),
(27,3409,1),
(27,3940,2),
(27,3930,1),
(27,5022,1),
(27,5021,1),
(27,5055,1),
(27,2814,1),
(27,2813,1),
(27,5054,1),
(27,5052,1),
(27,5051,1),
(27,5050,1),
(27,4058,1),
(27,2989,2),
(27,2928,1),
(27,3065,1),
(27,3372,1),
(27,3954,2),
(27,3309,1),
(27,2945,1),
(27,4126,1),
(27,5049,1),
(27,5048,1),
(27,5047,1),
(27,5046,1),
(27,2931,1),
(27,5045,1),
(27,5044,1),
(27,3950,1),
(27,5043,1),
(27,5042,1),
(27,5041,1),
(27,5097,1),
(27,4256,1),
(27,5096,1),
(27,5095,1),
(27,5094,1),
(27,5093,1),
(27,3250,1),
(27,2927,1),
(27,2944,2),
(27,5092,1),
(27,5039,2),
(27,2819,1),
(27,4250,1),
(27,2730,3),
(27,5091,1),
(27,5090,1),
(27,5089,1),
(27,3932,1),
(27,5088,1),
(27,5087,1),
(27,2735,1),
(27,3941,2),
(27,5086,1),
(27,5085,1),
(27,5084,1),
(27,5083,3),
(27,5082,2),
(27,5081,1),
(27,5080,1),
(27,4251,1),
(27,5079,1),
(27,2698,5),
(27,2724,1),
(27,5023,3),
(27,5078,2),
(27,5077,2),
(27,5076,3),
(27,5075,2),
(27,5074,2),
(27,2938,5),
(27,5073,3),
(27,5072,2),
(27,5071,2),
(27,4060,2),
(27,5070,2),
(27,5069,2),
(27,5068,2),
(27,2697,9),
(27,5067,2),
(27,5053,5),
(27,5066,2),
(27,5065,2),
(27,5064,2),
(27,5063,2),
(27,5062,2),
(27,5061,2),
(27,5060,2),
(27,5059,2),
(27,2694,11),
(27,5058,2),
(27,2726,14),
(27,5057,2),
(27,5056,2),
(27,3956,2),
(27,3408,2),
(27,2809,11),
(27,5020,6),
(27,5153,6),
(27,5494,6),
(27,5493,6),
(27,1861,3),
(27,4958,1),
(27,3300,1),
(27,2793,1),
(27,4956,1),
(27,4955,1),
(27,3898,1),
(27,4954,1),
(27,4953,1),
(27,4952,1),
(27,3896,1),
(27,4951,1),
(27,4950,1),
(27,4949,1),
(27,4948,1),
(27,3046,1),
(27,3894,1),
(27,2660,1),
(27,4947,1),
(27,2673,1),
(27,4946,1),
(27,3122,1),
(27,4231,1),
(27,4945,1),
(27,4944,1),
(27,3365,1),
(27,2915,1),
(27,3308,1),
(27,4216,1),
(27,2916,1),
(27,4220,1),
(27,2671,1),
(27,4943,1),
(27,3129,1),
(27,4942,1),
(27,3402,1),
(27,3899,2),
(27,3889,1),
(27,4940,1),
(27,4939,1),
(27,4973,1),
(27,2797,1),
(27,2796,1),
(27,4972,1),
(27,4970,1),
(27,4969,1),
(27,4968,1),
(27,4035,1),
(27,2979,2),
(27,2902,1),
(27,3050,1),
(27,3361,1),
(27,3913,2),
(27,3295,1),
(27,2919,1),
(27,4114,1),
(27,4967,1),
(27,4966,1),
(27,4965,1),
(27,4964,1),
(27,2905,1),
(27,4963,1),
(27,4962,1),
(27,3909,1),
(27,4961,1),
(27,4960,1),
(27,4959,1),
(27,5015,1),
(27,4228,1),
(27,5014,1),
(27,5013,1),
(27,5012,1),
(27,5011,1),
(27,3227,1),
(27,2901,1),
(27,2918,2),
(27,5010,1),
(27,4957,2),
(27,2802,1),
(27,4222,1),
(27,2672,3),
(27,5009,1),
(27,5008,1),
(27,5007,1),
(27,3891,1),
(27,5006,1),
(27,5005,1),
(27,2677,1),
(27,3900,2),
(27,5004,1),
(27,5003,1),
(27,5002,1),
(27,5001,3),
(27,5000,2),
(27,4999,1),
(27,4998,1),
(27,4223,1),
(27,4997,1),
(27,2639,5),
(27,2666,1),
(27,4941,3),
(27,4996,2),
(27,4995,2),
(27,4994,3),
(27,4993,2),
(27,4992,2),
(27,2912,5),
(27,4991,3),
(27,4990,2),
(27,4989,2),
(27,4037,2),
(27,4988,2),
(27,4987,2),
(27,4986,2),
(27,2638,9),
(27,4985,2),
(27,4971,5),
(27,4984,2),
(27,4983,2),
(27,4982,2),
(27,4981,2),
(27,4980,2),
(27,4979,2),
(27,4978,2),
(27,4977,2),
(27,2635,11),
(27,4976,2),
(27,2668,14),
(27,4975,2),
(27,4974,2),
(27,3915,2),
(27,3401,2),
(27,2792,11),
(27,4938,6),
(27,5150,6),
(27,5492,6),
(27,5491,6),
(27,1030,3),
(27,4876,1),
(27,3286,1),
(27,2776,1),
(27,4874,1),
(27,4873,1),
(27,3857,1),
(27,4872,1),
(27,4871,1),
(27,4870,1),
(27,3855,1),
(27,4869,1),
(27,4868,1),
(27,4867,1),
(27,4866,1),
(27,3031,1),
(27,3853,1),
(27,2602,1),
(27,4865,1),
(27,2615,1),
(27,4864,1),
(27,3105,1),
(27,4203,1),
(27,4863,1),
(27,4862,1),
(27,3354,1),
(27,2889,1),
(27,3294,1),
(27,4188,1),
(27,2890,1),
(27,4192,1),
(27,2613,1),
(27,4861,1),
(27,3112,1),
(27,4860,1),
(27,3395,1),
(27,3858,2),
(27,3848,1),
(27,4858,1),
(27,4857,1),
(27,4891,1),
(27,2780,1),
(27,2779,1),
(27,4890,1),
(27,4888,1),
(27,4887,1),
(27,4886,1),
(27,4012,1),
(27,2970,2),
(27,2877,1),
(27,3035,1),
(27,3350,1),
(27,3872,2),
(27,3281,1),
(27,2893,1),
(27,4102,1),
(27,4885,1),
(27,4884,1),
(27,4883,1),
(27,4882,1),
(27,2880,1),
(27,4881,1),
(27,4880,1),
(27,3868,1),
(27,4879,1),
(27,4878,1),
(27,4877,1),
(27,4933,1),
(27,4200,1),
(27,4932,1),
(27,4931,1),
(27,4930,1),
(27,4929,1),
(27,3204,1),
(27,2876,1),
(27,2892,2),
(27,4928,1),
(27,4875,2),
(27,2785,1),
(27,4194,1),
(27,2614,3),
(27,4927,1),
(27,4926,1),
(27,4925,1),
(27,3850,1),
(27,4924,1),
(27,4923,1),
(27,2619,1),
(27,3859,2),
(27,4922,1),
(27,4921,1),
(27,4920,1),
(27,4919,3),
(27,4918,2),
(27,4917,1),
(27,4916,1),
(27,4195,1),
(27,4915,1),
(27,2581,5),
(27,2608,1),
(27,4859,3),
(27,4914,2),
(27,4913,2),
(27,4912,3),
(27,4911,2),
(27,4910,2),
(27,2886,5),
(27,4909,3),
(27,4908,2),
(27,4907,2),
(27,4014,2),
(27,4906,2),
(27,4905,2),
(27,4904,2),
(27,2580,9),
(27,4903,2),
(27,4889,5),
(27,4902,2),
(27,4901,2),
(27,4900,2),
(27,4899,2),
(27,4898,2),
(27,4897,2),
(27,4896,2),
(27,4895,2),
(27,2577,11),
(27,4894,2),
(27,2610,14),
(27,4893,2),
(27,4892,2),
(27,3874,2),
(27,3394,2),
(27,2775,11),
(27,4856,6),
(27,5147,6),
(27,5490,6),
(27,5489,6),
(27,1704,3),
(27,4794,1),
(27,3273,1),
(27,2759,1),
(27,4792,1),
(27,4791,1),
(27,3816,1),
(27,4790,1),
(27,4789,1),
(27,4788,1),
(27,3814,1),
(27,4787,1),
(27,4786,1),
(27,4785,1),
(27,4784,1),
(27,3016,1),
(27,3812,1),
(27,2544,1),
(27,4783,1),
(27,2557,1),
(27,4782,1),
(27,882,1),
(27,4175,1),
(27,4781,1),
(27,4780,1),
(27,3343,1),
(27,2864,1),
(27,3280,1),
(27,4161,1),
(27,2865,1),
(27,4164,1),
(27,2555,1),
(27,4779,1),
(27,3095,1),
(27,4778,1),
(27,3388,1),
(27,3817,2),
(27,3807,1),
(27,4776,1),
(27,4775,1),
(27,4809,1),
(27,2763,1),
(27,2762,1),
(27,4808,1),
(27,4806,1),
(27,4805,1),
(27,4804,1),
(27,1365,1),
(27,2961,2),
(27,2851,1),
(27,3020,1),
(27,3339,1),
(27,3831,2),
(27,3268,1),
(27,2868,1),
(27,4090,1),
(27,4803,1),
(27,4802,1),
(27,4801,1),
(27,4800,1),
(27,2854,1),
(27,4799,1),
(27,4798,1),
(27,3827,1),
(27,4797,1),
(27,4796,1),
(27,4795,1),
(27,4851,1),
(27,4172,1),
(27,4850,1),
(27,4849,1),
(27,4848,1),
(27,4847,1),
(27,3181,1),
(27,2850,1),
(27,2867,2),
(27,4846,1),
(27,4793,2),
(27,2768,1),
(27,4166,1),
(27,2556,3),
(27,4845,1),
(27,4844,1),
(27,4843,1),
(27,3809,1),
(27,4842,1),
(27,4841,1),
(27,2561,1),
(27,3818,2),
(27,4840,1),
(27,4839,1),
(27,4838,1),
(27,4837,3),
(27,4836,2),
(27,4835,1),
(27,4834,1),
(27,4167,1),
(27,4833,1),
(27,2524,5),
(27,2550,1),
(27,4777,3),
(27,4832,2),
(27,4831,2),
(27,4830,3),
(27,4829,2),
(27,4828,2),
(27,2861,5),
(27,4827,3),
(27,4826,2),
(27,4825,2),
(27,3992,2),
(27,4824,2),
(27,4823,2),
(27,4822,2),
(27,2523,9),
(27,4821,2),
(27,4807,5),
(27,4820,2),
(27,4819,2),
(27,4818,2),
(27,4817,2),
(27,4816,2),
(27,4815,2),
(27,4814,2),
(27,4813,2),
(27,2520,11),
(27,4812,2),
(27,2552,14),
(27,4811,2),
(27,4810,2),
(27,3833,2),
(27,3387,2),
(27,2758,11),
(27,4774,6),
(27,5144,6),
(27,5488,6),
(27,5487,6),
(27,3726,4),
(27,1971,4),
(27,1970,4),
(27,1560,4),
(27,845,3),
(27,4715,1),
(27,14,1),
(27,2745,1),
(27,464,1),
(27,4714,1),
(27,3778,1),
(27,4713,1),
(27,4712,1),
(27,4711,1),
(27,3777,1),
(27,1246,1),
(27,4710,1),
(27,4709,1),
(27,4708,1),
(27,31,1),
(27,3776,1),
(27,2497,1),
(27,4707,1),
(27,2504,1),
(27,4706,1),
(27,3073,1),
(27,4148,1),
(27,4705,1),
(27,4704,1),
(27,3332,1),
(27,1151,1),
(27,3267,1),
(27,4138,1),
(27,2840,1),
(27,1247,1),
(27,1219,1),
(27,4703,1),
(27,3079,1),
(27,1048,1),
(27,3381,1),
(27,3779,2),
(27,3771,1),
(27,4701,1),
(27,4700,1),
(27,4730,1),
(27,2749,1),
(27,2748,1),
(27,4729,1),
(27,4727,1),
(27,4726,1),
(27,4725,1),
(27,3969,1),
(27,720,2),
(27,2828,1),
(27,3005,1),
(27,3328,1),
(27,3792,2),
(27,3260,1),
(27,2842,1),
(27,4078,1),
(27,4724,1),
(27,4723,1),
(27,4722,1),
(27,4721,1),
(27,2831,1),
(27,4720,1),
(27,4719,1),
(27,3789,1),
(27,4718,1),
(27,4717,1),
(27,4716,1),
(27,4769,1),
(27,4146,1),
(27,4768,1),
(27,4767,1),
(27,4766,1),
(27,4765,1),
(27,3160,1),
(27,2827,1),
(27,51,2),
(27,4764,1),
(27,451,2),
(27,2752,1),
(27,4141,1),
(27,710,3),
(27,4763,1),
(27,4762,1),
(27,4761,1),
(27,3773,1),
(27,4760,1),
(27,4759,1),
(27,74,1),
(27,3780,2),
(27,4758,1),
(27,4757,1),
(27,4756,1),
(27,4755,3),
(27,4754,2),
(27,4753,1),
(27,4752,1),
(27,4142,1),
(27,4751,1),
(27,2480,5),
(27,841,1),
(27,4702,3),
(27,4750,2),
(27,4749,2),
(27,442,3),
(27,30,2),
(27,4748,2),
(27,2837,5),
(27,4747,3),
(27,4746,2),
(27,4745,2),
(27,38,2),
(27,4744,2),
(27,4743,2),
(27,4742,2),
(27,47,9),
(27,4741,2),
(27,4728,5),
(27,4740,2),
(27,4739,2),
(27,4738,2),
(27,4737,2),
(27,4736,2),
(27,4735,2),
(27,4734,2),
(27,4733,2),
(27,4732,2),
(27,4731,2),
(27,7,2),
(27,3794,2),
(27,3380,2),
(27,2744,11),
(27,4699,6),
(27,690,6),
(27,5486,6),
(27,5485,6),
(5,5097,1),
(5,4256,1),
(5,5096,1),
(5,5095,1),
(5,5094,1),
(5,5093,1),
(5,3250,1),
(5,2927,1),
(5,5092,1),
(5,2819,1),
(5,4250,1),
(5,5091,1),
(5,5090,1),
(5,5089,1),
(5,3932,1),
(5,5088,1),
(5,5087,1),
(5,2735,5),
(5,5086,1),
(5,5085,1),
(5,5084,1),
(5,5083,3),
(5,5082,2),
(5,5081,1),
(5,5080,1),
(5,4251,1),
(5,5079,1),
(34,5527,6),
(34,5552,6),
(34,5553,6),
(34,5529,6),
(34,2480,7),
(34,4700,2),
(34,4701,2),
(34,3771,2),
(34,3779,3),
(34,3381,2),
(34,4702,4),
(34,1048,2),
(34,3079,2),
(34,4703,2),
(34,1219,2),
(34,720,3),
(34,1247,2),
(34,2840,2),
(34,4138,2),
(34,3267,2),
(34,1151,2),
(34,3332,2),
(34,4704,2),
(34,4705,2),
(34,4148,2),
(34,2837,5),
(34,3073,2),
(34,4706,2),
(34,47,8),
(34,2504,2),
(34,4707,2),
(34,2497,2),
(34,3776,1),
(34,31,1),
(34,4708,1),
(34,4709,1),
(34,4710,1),
(34,1246,1),
(34,3777,1),
(34,3792,2),
(34,4711,1),
(34,2744,9),
(34,4712,1),
(34,4713,1),
(34,3778,1),
(34,4714,1),
(34,464,1),
(34,2745,1),
(34,451,2),
(34,14,1),
(34,4715,1),
(34,4716,1),
(34,4717,1),
(34,4718,1),
(34,3789,1),
(34,4719,1),
(34,4720,1),
(34,2831,1),
(34,4721,1),
(34,4722,1),
(34,4723,1),
(34,4724,1),
(34,4078,1),
(34,2842,1),
(34,3780,2),
(34,3260,1),
(34,3328,1),
(34,3005,1),
(34,2828,1),
(34,3969,1),
(34,4725,1),
(34,51,2),
(34,710,3),
(34,4726,1),
(34,4727,1),
(34,4728,4),
(34,4729,1),
(34,2748,1),
(34,2749,1),
(34,4730,1),
(34,3380,1),
(34,3794,1),
(34,7,1),
(34,4731,1),
(34,4732,1),
(34,4733,1),
(34,4734,1),
(34,4735,1),
(34,4736,1),
(34,4737,1),
(34,4738,1),
(34,4739,1),
(34,4740,1),
(34,4741,1),
(34,4742,1),
(34,4743,1),
(34,4744,1),
(34,38,1),
(34,4745,1),
(34,4746,1),
(34,4747,2),
(34,4748,1),
(34,30,1),
(34,442,2),
(34,4749,1),
(34,4750,1),
(34,841,1),
(34,4751,1),
(34,4142,1),
(34,4752,1),
(34,4753,1),
(34,4754,2),
(34,4755,3),
(34,4756,1),
(34,4757,1),
(34,4758,1),
(34,74,1),
(34,4759,1),
(34,4760,1),
(34,3773,1),
(34,4761,1),
(34,4762,1),
(34,4763,1),
(34,4141,1),
(34,2752,1),
(34,4764,1),
(34,2827,1),
(34,3160,1),
(34,4765,1),
(34,4766,1),
(34,4767,1),
(34,4768,1),
(34,4146,1),
(34,4769,1),
(34,845,3),
(34,2155,2),
(34,5530,6),
(34,5554,6),
(34,5555,6),
(34,5532,6),
(34,2524,7),
(34,4775,2),
(34,4776,2),
(34,2552,14),
(34,3807,2),
(34,3817,3),
(34,3388,2),
(34,4777,4),
(34,4778,2),
(34,2520,12),
(34,3095,2),
(34,4779,2),
(34,2555,2),
(34,2961,3),
(34,4164,2),
(34,2865,2),
(34,4161,2),
(34,3280,2),
(34,2864,2),
(34,3343,2),
(34,4780,2),
(34,4781,2),
(34,4175,2),
(34,2861,5),
(34,882,2),
(34,4782,2),
(34,2523,8),
(34,2557,2),
(34,4783,2),
(34,2544,2),
(34,3812,1),
(34,3016,1),
(34,4784,1),
(34,4785,1),
(34,4786,1),
(34,4787,1),
(34,3814,1),
(34,3831,2),
(34,4788,1),
(34,2758,9),
(34,4789,1),
(34,4790,1),
(34,3816,1),
(34,4791,1),
(34,4792,1),
(34,2759,1),
(34,4793,2),
(34,3273,1),
(34,4794,1),
(34,4795,1),
(34,4796,1),
(34,4797,1),
(34,3827,1),
(34,4798,1),
(34,4799,1),
(34,2854,1),
(34,4800,1),
(34,4801,1),
(34,4802,1),
(34,4803,1),
(34,4090,1),
(34,2868,1),
(34,3818,2),
(34,3268,1),
(34,3339,1),
(34,3020,1),
(34,2851,1),
(34,1365,1),
(34,4804,1),
(34,2867,2),
(34,2556,3),
(34,4805,1),
(34,4806,1),
(34,4807,4),
(34,4808,1),
(34,2762,1),
(34,2763,1),
(34,4809,1),
(34,3387,1),
(34,3833,1),
(34,4810,1),
(34,4811,1),
(34,4812,1),
(34,4813,1),
(34,4814,1),
(34,4815,1),
(34,4816,1),
(34,4817,1),
(34,4818,1),
(34,4819,1),
(34,4820,1),
(34,4821,1),
(34,4822,1),
(34,4823,1),
(34,4824,1),
(34,3992,1),
(34,4825,1),
(34,4826,1),
(34,4827,2),
(34,4828,1),
(34,4829,1),
(34,4830,2),
(34,4831,1),
(34,4832,1),
(34,2550,1),
(34,4833,1),
(34,4167,1),
(34,4834,1),
(34,4835,1),
(34,4836,2),
(34,4837,3),
(34,4838,1),
(34,4839,1),
(34,4840,1),
(34,2561,1),
(34,4841,1),
(34,4842,1),
(34,3809,1),
(34,4843,1),
(34,4844,1),
(34,4845,1),
(34,4166,1),
(34,2768,1),
(34,4846,1),
(34,2850,1),
(34,3181,1),
(34,4847,1),
(34,4848,1),
(34,4849,1),
(34,4850,1),
(34,4172,1),
(34,4851,1),
(34,1704,3),
(34,2171,2),
(34,5533,6),
(34,5556,6),
(34,5557,6),
(34,5535,6),
(34,2581,7),
(34,4857,2),
(34,4858,2),
(34,2610,14),
(34,3848,2),
(34,3858,3),
(34,3395,2),
(34,4859,4),
(34,4860,2),
(34,2577,12),
(34,3112,2),
(34,4861,2),
(34,2613,2),
(34,2970,3),
(34,4192,2),
(34,2890,2),
(34,4188,2),
(34,3294,2),
(34,2889,2),
(34,3354,2),
(34,4862,2),
(34,4863,2),
(34,4203,2),
(34,2886,5),
(34,3105,2),
(34,4864,2),
(34,2580,8),
(34,2615,2),
(34,4865,2),
(34,2602,2),
(34,3853,1),
(34,3031,1),
(34,4866,1),
(34,4867,1),
(34,4868,1),
(34,4869,1),
(34,3855,1),
(34,3872,2),
(34,4870,1),
(34,2775,9),
(34,4871,1),
(34,4872,1),
(34,3857,1),
(34,4873,1),
(34,4874,1),
(34,2776,1),
(34,4875,2),
(34,3286,1),
(34,4876,1),
(34,4877,1),
(34,4878,1),
(34,4879,1),
(34,3868,1),
(34,4880,1),
(34,4881,1),
(34,2880,1),
(34,4882,1),
(34,4883,1),
(34,4884,1),
(34,4885,1),
(34,4102,1),
(34,2893,1),
(34,3859,2),
(34,3281,1),
(34,3350,1),
(34,3035,1),
(34,2877,1),
(34,4012,1),
(34,4886,1),
(34,2892,2),
(34,2614,3),
(34,4887,1),
(34,4888,1),
(34,4889,4),
(34,4890,1),
(34,2779,1),
(34,2780,1),
(34,4891,1),
(34,3394,1),
(34,3874,1),
(34,4892,1),
(34,4893,1),
(34,4894,1),
(34,4895,1),
(34,4896,1),
(34,4897,1),
(34,4898,1),
(34,4899,1),
(34,4900,1),
(34,4901,1),
(34,4902,1),
(34,4903,1),
(34,4904,1),
(34,4905,1),
(34,4906,1),
(34,4014,1),
(34,4907,1),
(34,4908,1),
(34,4909,2),
(34,4910,1),
(34,4911,1),
(34,4912,2),
(34,4913,1),
(34,4914,1),
(34,2608,1),
(34,4915,1),
(34,4195,1),
(34,4916,1),
(34,4917,1),
(34,4918,2),
(34,4919,3),
(34,4920,1),
(34,4921,1),
(34,4922,1),
(34,2619,1),
(34,4923,1),
(34,4924,1),
(34,3850,1),
(34,4925,1),
(34,4926,1),
(34,4927,1),
(34,4194,1),
(34,2785,1),
(34,4928,1),
(34,2876,1),
(34,3204,1),
(34,4929,1),
(34,4930,1),
(34,4931,1),
(34,4932,1),
(34,4200,1),
(34,4933,1),
(34,1030,3),
(34,2187,2),
(34,5536,6),
(34,5558,6),
(34,5559,6),
(34,5538,6),
(34,2639,7),
(34,4939,2),
(34,4940,2),
(34,2668,14),
(34,3889,2),
(34,3899,3),
(34,3402,2),
(34,4941,4),
(34,4942,2),
(34,2635,12),
(34,3129,2),
(34,4943,2),
(34,2671,2),
(34,2979,3),
(34,4220,2),
(34,2916,2),
(34,4216,2),
(34,3308,2),
(34,2915,2),
(34,3365,2),
(34,4944,2),
(34,4945,2),
(34,4231,2),
(34,2912,5),
(34,3122,2),
(34,4946,2),
(34,2638,8),
(34,2673,2),
(34,4947,2),
(34,2660,2),
(34,3894,1),
(34,3046,1),
(34,4948,1),
(34,4949,1),
(34,4950,1),
(34,4951,1),
(34,3896,1),
(34,3913,2),
(34,4952,1),
(34,2792,9),
(34,4953,1),
(34,4954,1),
(34,3898,1),
(34,4955,1),
(34,4956,1),
(34,2793,1),
(34,4957,2),
(34,3300,1),
(34,4958,1),
(34,4959,1),
(34,4960,1),
(34,4961,1),
(34,3909,1),
(34,4962,1),
(34,4963,1),
(34,2905,1),
(34,4964,1),
(34,4965,1),
(34,4966,1),
(34,4967,1),
(34,4114,1),
(34,2919,1),
(34,3900,2),
(34,3295,1),
(34,3361,1),
(34,3050,1),
(34,2902,1),
(34,4035,1),
(34,4968,1),
(34,2918,2),
(34,2672,3),
(34,4969,1),
(34,4970,1),
(34,4971,4),
(34,4972,1),
(34,2796,1),
(34,2797,1),
(34,4973,1),
(34,3401,1),
(34,3915,1),
(34,4974,1),
(34,4975,1),
(34,4976,1),
(34,4977,1),
(34,4978,1),
(34,4979,1),
(34,4980,1),
(34,4981,1),
(34,4982,1),
(34,4983,1),
(34,4984,1),
(34,4985,1),
(34,4986,1),
(34,4987,1),
(34,4988,1),
(34,4037,1),
(34,4989,1),
(34,4990,1),
(34,4991,2),
(34,4992,1),
(34,4993,1),
(34,4994,2),
(34,4995,1),
(34,4996,1),
(34,2666,1),
(34,4997,1),
(34,4223,1),
(34,4998,1),
(34,4999,1),
(34,5000,2),
(34,5001,3),
(34,5002,1),
(34,5003,1),
(34,5004,1),
(34,2677,1),
(34,5005,1),
(34,5006,1),
(34,3891,1),
(34,5007,1),
(34,5008,1),
(34,5009,1),
(34,4222,1),
(34,2802,1),
(34,5010,1),
(34,2901,1),
(34,3227,1),
(34,5011,1),
(34,5012,1),
(34,5013,1),
(34,5014,1),
(34,4228,1),
(34,5015,1),
(34,1861,3),
(34,2203,2),
(34,5539,6),
(34,5560,6),
(34,5561,6),
(34,5541,6),
(34,2698,7),
(34,5021,2),
(34,5022,2),
(34,2726,14),
(34,3930,2),
(34,3940,3),
(34,3409,2),
(34,5023,4),
(34,5024,2),
(34,2694,12),
(34,3146,2),
(34,5025,2),
(34,2729,2),
(34,2989,3),
(34,4248,2),
(34,2942,2),
(34,4244,2),
(34,3322,2),
(34,2941,2),
(34,3376,2),
(34,5026,2),
(34,5027,2),
(34,4259,2),
(34,2938,5),
(34,3139,2),
(34,5028,2),
(34,2697,8),
(34,2731,2),
(34,5029,2),
(34,2718,2),
(34,3935,1),
(34,3061,1),
(34,5030,1),
(34,5031,1),
(34,5032,1),
(34,5033,1),
(34,3937,1),
(34,3954,2),
(34,5034,1),
(34,2809,9),
(34,5035,1),
(34,5036,1),
(34,3939,1),
(34,5037,1),
(34,5038,1),
(34,2810,1),
(34,5039,2),
(34,3314,1),
(34,5040,1),
(34,5041,1),
(34,5042,1),
(34,5043,1),
(34,3950,1),
(34,5044,1),
(34,5045,1),
(34,2931,1),
(34,5046,1),
(34,5047,1),
(34,5048,1),
(34,5049,1),
(34,4126,1),
(34,2945,1),
(34,3941,2),
(34,3309,1),
(34,3372,1),
(34,3065,1),
(34,2928,1),
(34,4058,1),
(34,5050,1),
(34,2944,2),
(34,2730,3),
(34,5051,1),
(34,5052,1),
(34,5053,4),
(34,5054,1),
(34,2813,1),
(34,2814,1),
(34,5055,1),
(34,3408,1),
(34,3956,1),
(34,5056,1),
(34,5057,1),
(34,5058,1),
(34,5059,1),
(34,5060,1),
(34,5061,1),
(34,5062,1),
(34,5063,1),
(34,5064,1),
(34,5065,1),
(34,5066,1),
(34,5067,1),
(34,5068,1),
(34,5069,1),
(34,5070,1),
(34,4060,1),
(34,5071,1),
(34,5072,1),
(34,5073,2),
(34,5074,1),
(34,5075,1),
(34,5076,2),
(34,5077,1),
(34,5078,1),
(34,2724,1),
(34,5079,1),
(34,4251,1),
(34,5080,1),
(34,5081,1),
(34,5082,2),
(34,5083,3),
(34,5084,1),
(34,5085,1),
(34,5086,1),
(34,2735,1),
(34,5087,1),
(34,5088,1),
(34,3932,1),
(34,5089,1),
(34,5090,1),
(34,5091,1),
(34,4250,1),
(34,2819,1),
(34,5092,1),
(34,2927,1),
(34,3250,1),
(34,5093,1),
(34,5094,1),
(34,5095,1),
(34,5096,1),
(34,4256,1),
(34,5097,1),
(34,1950,3),
(34,1951,3),
(34,2219,2),
(35,5527,6),
(35,5562,6),
(35,5332,6),
(35,5563,6),
(35,4716,2),
(35,4717,2),
(35,4718,2),
(35,2744,11),
(35,2837,5),
(35,3789,2),
(35,4719,2),
(35,4720,2),
(35,2831,2),
(35,4721,2),
(35,4722,2),
(35,4723,2),
(35,4724,2),
(35,4078,2),
(35,2842,2),
(35,3780,3),
(35,3260,2),
(35,3792,3),
(35,3328,2),
(35,3005,2),
(35,2828,2),
(35,720,3),
(35,3969,2),
(35,4725,2),
(35,51,3),
(35,2480,6),
(35,710,4),
(35,4726,2),
(35,4727,2),
(35,4728,5),
(35,4729,2),
(35,2748,2),
(35,2749,2),
(35,4730,2),
(35,4700,1),
(35,4701,1),
(35,3771,1),
(35,3779,2),
(35,3381,1),
(35,4702,3),
(35,1048,1),
(35,3079,1),
(35,4703,1),
(35,1219,1),
(35,1247,1),
(35,2840,1),
(35,4138,1),
(35,3267,1),
(35,1151,1),
(35,3332,1),
(35,4704,1),
(35,4705,1),
(35,4148,1),
(35,3073,1),
(35,4706,1),
(35,47,7),
(35,2504,1),
(35,4707,1),
(35,2497,1),
(35,3776,1),
(35,31,1),
(35,4708,1),
(35,4709,1),
(35,4710,1),
(35,1246,1),
(35,3777,1),
(35,4711,1),
(35,4712,1),
(35,4713,1),
(35,3778,1),
(35,4714,1),
(35,464,1),
(35,2745,1),
(35,451,2),
(35,14,1),
(35,4715,1),
(35,3380,1),
(35,3794,1),
(35,7,1),
(35,4731,1),
(35,4732,1),
(35,4733,1),
(35,4734,1),
(35,4735,1),
(35,4736,1),
(35,4737,1),
(35,4738,1),
(35,4739,1),
(35,4740,1),
(35,4741,1),
(35,4742,1),
(35,4743,1),
(35,4744,1),
(35,38,1),
(35,4745,1),
(35,4746,1),
(35,4747,2),
(35,4748,1),
(35,30,1),
(35,442,2),
(35,4749,1),
(35,4750,1),
(35,841,1),
(35,4751,1),
(35,4142,1),
(35,4752,1),
(35,4753,1),
(35,4754,2),
(35,4755,3),
(35,4756,1),
(35,4757,1),
(35,4758,1),
(35,74,1),
(35,4759,1),
(35,4760,1),
(35,3773,1),
(35,4761,1),
(35,4762,1),
(35,4763,1),
(35,4141,1),
(35,2752,1),
(35,4764,1),
(35,2827,1),
(35,3160,1),
(35,4765,1),
(35,4766,1),
(35,4767,1),
(35,4768,1),
(35,4146,1),
(35,4769,1),
(35,845,3),
(35,5530,6),
(35,5564,6),
(35,5336,6),
(35,5565,6),
(35,4795,2),
(35,4796,2),
(35,4797,2),
(35,2758,11),
(35,2861,5),
(35,3827,2),
(35,4798,2),
(35,4799,2),
(35,2854,2),
(35,4800,2),
(35,4801,2),
(35,4802,2),
(35,4803,2),
(35,4090,2),
(35,2868,2),
(35,3818,3),
(35,3268,2),
(35,3831,3),
(35,3339,2),
(35,3020,2),
(35,2851,2),
(35,2552,13),
(35,2961,3),
(35,1365,2),
(35,4804,2),
(35,2867,3),
(35,2524,6),
(35,2556,4),
(35,2520,10),
(35,4805,2),
(35,4806,2),
(35,4807,5),
(35,4808,2),
(35,2762,2),
(35,2763,2),
(35,4809,2),
(35,4775,1),
(35,4776,1),
(35,3807,1),
(35,3817,2),
(35,3388,1),
(35,4777,3),
(35,4778,1),
(35,3095,1),
(35,4779,1),
(35,2555,1),
(35,4164,1),
(35,2865,1),
(35,4161,1),
(35,3280,1),
(35,2864,1),
(35,3343,1),
(35,4780,1),
(35,4781,1),
(35,4175,1),
(35,882,1),
(35,4782,1),
(35,2523,7),
(35,2557,1),
(35,4783,1),
(35,2544,1),
(35,3812,1),
(35,3016,1),
(35,4784,1),
(35,4785,1),
(35,4786,1),
(35,4787,1),
(35,3814,1),
(35,4788,1),
(35,4789,1),
(35,4790,1),
(35,3816,1),
(35,4791,1),
(35,4792,1),
(35,2759,1),
(35,4793,2),
(35,3273,1),
(35,4794,1),
(35,3387,1),
(35,3833,1),
(35,4810,1),
(35,4811,1),
(35,4812,1),
(35,4813,1),
(35,4814,1),
(35,4815,1),
(35,4816,1),
(35,4817,1),
(35,4818,1),
(35,4819,1),
(35,4820,1),
(35,4821,1),
(35,4822,1),
(35,4823,1),
(35,4824,1),
(35,3992,1),
(35,4825,1),
(35,4826,1),
(35,4827,2),
(35,4828,1),
(35,4829,1),
(35,4830,2),
(35,4831,1),
(35,4832,1),
(35,2550,1),
(35,4833,1),
(35,4167,1),
(35,4834,1),
(35,4835,1),
(35,4836,2),
(35,4837,3),
(35,4838,1),
(35,4839,1),
(35,4840,1),
(35,2561,1),
(35,4841,1),
(35,4842,1),
(35,3809,1),
(35,4843,1),
(35,4844,1),
(35,4845,1),
(35,4166,1),
(35,2768,1),
(35,4846,1),
(35,2850,1),
(35,3181,1),
(35,4847,1),
(35,4848,1),
(35,4849,1),
(35,4850,1),
(35,4172,1),
(35,4851,1),
(35,1704,3),
(35,5533,6),
(35,5566,6),
(35,5340,6),
(35,5567,6),
(35,4877,2),
(35,4878,2),
(35,4879,2),
(35,2775,11),
(35,2886,5),
(35,3868,2),
(35,4880,2),
(35,4881,2),
(35,2880,2),
(35,4882,2),
(35,4883,2),
(35,4884,2),
(35,4885,2),
(35,4102,2),
(35,2893,2),
(35,3859,3),
(35,3281,2),
(35,3872,3),
(35,3350,2),
(35,3035,2),
(35,2877,2),
(35,2610,13),
(35,2970,3),
(35,4012,2),
(35,4886,2),
(35,2892,3),
(35,2581,6),
(35,2614,4),
(35,2577,10),
(35,4887,2),
(35,4888,2),
(35,4889,5),
(35,4890,2),
(35,2779,2),
(35,2780,2),
(35,4891,2),
(35,4857,1),
(35,4858,1),
(35,3848,1),
(35,3858,2),
(35,3395,1),
(35,4859,3),
(35,4860,1),
(35,3112,1),
(35,4861,1),
(35,2613,1),
(35,4192,1),
(35,2890,1),
(35,4188,1),
(35,3294,1),
(35,2889,1),
(35,3354,1),
(35,4862,1),
(35,4863,1),
(35,4203,1),
(35,3105,1),
(35,4864,1),
(35,2580,7),
(35,2615,1),
(35,4865,1),
(35,2602,1),
(35,3853,1),
(35,3031,1),
(35,4866,1),
(35,4867,1),
(35,4868,1),
(35,4869,1),
(35,3855,1),
(35,4870,1),
(35,4871,1),
(35,4872,1),
(35,3857,1),
(35,4873,1),
(35,4874,1),
(35,2776,1),
(35,4875,2),
(35,3286,1),
(35,4876,1),
(35,3394,1),
(35,3874,1),
(35,4892,1),
(35,4893,1),
(35,4894,1),
(35,4895,1),
(35,4896,1),
(35,4897,1),
(35,4898,1),
(35,4899,1),
(35,4900,1),
(35,4901,1),
(35,4902,1),
(35,4903,1),
(35,4904,1),
(35,4905,1),
(35,4906,1),
(35,4014,1),
(35,4907,1),
(35,4908,1),
(35,4909,2),
(35,4910,1),
(35,4911,1),
(35,4912,2),
(35,4913,1),
(35,4914,1),
(35,2608,1),
(35,4915,1),
(35,4195,1),
(35,4916,1),
(35,4917,1),
(35,4918,2),
(35,4919,3),
(35,4920,1),
(35,4921,1),
(35,4922,1),
(35,2619,1),
(35,4923,1),
(35,4924,1),
(35,3850,1),
(35,4925,1),
(35,4926,1),
(35,4927,1),
(35,4194,1),
(35,2785,1),
(35,4928,1),
(35,2876,1),
(35,3204,1),
(35,4929,1),
(35,4930,1),
(35,4931,1),
(35,4932,1),
(35,4200,1),
(35,4933,1),
(35,1030,3),
(35,5536,6),
(35,5568,6),
(35,5344,6),
(35,5569,6),
(35,4959,2),
(35,4960,2),
(35,4961,2),
(35,2792,11),
(35,2912,5),
(35,3909,2),
(35,4962,2),
(35,4963,2),
(35,2905,2),
(35,4964,2),
(35,4965,2),
(35,4966,2),
(35,4967,2),
(35,4114,2),
(35,2919,2),
(35,3900,3),
(35,3295,2),
(35,3913,3),
(35,3361,2),
(35,3050,2),
(35,2902,2),
(35,2668,13),
(35,2979,3),
(35,4035,2),
(35,4968,2),
(35,2918,3),
(35,2639,6),
(35,2672,4),
(35,2635,10),
(35,4969,2),
(35,4970,2),
(35,4971,5),
(35,4972,2),
(35,2796,2),
(35,2797,2),
(35,4973,2),
(35,4939,1),
(35,4940,1),
(35,3889,1),
(35,3899,2),
(35,3402,1),
(35,4941,3),
(35,4942,1),
(35,3129,1),
(35,4943,1),
(35,2671,1),
(35,4220,1),
(35,2916,1),
(35,4216,1),
(35,3308,1),
(35,2915,1),
(35,3365,1),
(35,4944,1),
(35,4945,1),
(35,4231,1),
(35,3122,1),
(35,4946,1),
(35,2638,7),
(35,2673,1),
(35,4947,1),
(35,2660,1),
(35,3894,1),
(35,3046,1),
(35,4948,1),
(35,4949,1),
(35,4950,1),
(35,4951,1),
(35,3896,1),
(35,4952,1),
(35,4953,1),
(35,4954,1),
(35,3898,1),
(35,4955,1),
(35,4956,1),
(35,2793,1),
(35,4957,2),
(35,3300,1),
(35,4958,1),
(35,3401,1),
(35,3915,1),
(35,4974,1),
(35,4975,1),
(35,4976,1),
(35,4977,1),
(35,4978,1),
(35,4979,1),
(35,4980,1),
(35,4981,1),
(35,4982,1),
(35,4983,1),
(35,4984,1),
(35,4985,1),
(35,4986,1),
(35,4987,1),
(35,4988,1),
(35,4037,1),
(35,4989,1),
(35,4990,1),
(35,4991,2),
(35,4992,1),
(35,4993,1),
(35,4994,2),
(35,4995,1),
(35,4996,1),
(35,2666,1),
(35,4997,1),
(35,4223,1),
(35,4998,1),
(35,4999,1),
(35,5000,2),
(35,5001,3),
(35,5002,1),
(35,5003,1),
(35,5004,1),
(35,2677,1),
(35,5005,1),
(35,5006,1),
(35,3891,1),
(35,5007,1),
(35,5008,1),
(35,5009,1),
(35,4222,1),
(35,2802,1),
(35,5010,1),
(35,2901,1),
(35,3227,1),
(35,5011,1),
(35,5012,1),
(35,5013,1),
(35,5014,1),
(35,4228,1),
(35,5015,1),
(35,1861,3),
(35,5539,6),
(35,5570,6),
(35,5348,6),
(35,5571,6),
(35,5041,2),
(35,5042,2),
(35,5043,2),
(35,2809,11),
(35,2938,5),
(35,3950,2),
(35,5044,2),
(35,5045,2),
(35,2931,2),
(35,5046,2),
(35,5047,2),
(35,5048,2),
(35,5049,2),
(35,4126,2),
(35,2945,2),
(35,3941,3),
(35,3309,2),
(35,3954,3),
(35,3372,2),
(35,3065,2),
(35,2928,2),
(35,2726,13),
(35,2989,3),
(35,4058,2),
(35,5050,2),
(35,2944,3),
(35,2698,6),
(35,2730,4),
(35,2694,10),
(35,5051,2),
(35,5052,2),
(35,5053,5),
(35,5054,2),
(35,2813,2),
(35,2814,2),
(35,5055,2),
(35,5021,1),
(35,5022,1),
(35,3930,1),
(35,3940,2),
(35,3409,1),
(35,5023,3),
(35,5024,1),
(35,3146,1),
(35,5025,1),
(35,2729,1),
(35,4248,1),
(35,2942,1),
(35,4244,1),
(35,3322,1),
(35,2941,1),
(35,3376,1),
(35,5026,1),
(35,5027,1),
(35,4259,1),
(35,3139,1),
(35,5028,1),
(35,2697,7),
(35,2731,1),
(35,5029,1),
(35,2718,1),
(35,3935,1),
(35,3061,1),
(35,5030,1),
(35,5031,1),
(35,5032,1),
(35,5033,1),
(35,3937,1),
(35,5034,1),
(35,5035,1),
(35,5036,1),
(35,3939,1),
(35,5037,1),
(35,5038,1),
(35,2810,1),
(35,5039,2),
(35,3314,1),
(35,5040,1),
(35,3408,1),
(35,3956,1),
(35,5056,1),
(35,5057,1),
(35,5058,1),
(35,5059,1),
(35,5060,1),
(35,5061,1),
(35,5062,1),
(35,5063,1),
(35,5064,1),
(35,5065,1),
(35,5066,1),
(35,5067,1),
(35,5068,1),
(35,5069,1),
(35,5070,1),
(35,4060,1),
(35,5071,1),
(35,5072,1),
(35,5073,2),
(35,5074,1),
(35,5075,1),
(35,5076,2),
(35,5077,1),
(35,5078,1),
(35,2724,1),
(35,5079,1),
(35,4251,1),
(35,5080,1),
(35,5081,1),
(35,5082,2),
(35,5083,3),
(35,5084,1),
(35,5085,1),
(35,5086,1),
(35,2735,1),
(35,5087,1),
(35,5088,1),
(35,3932,1),
(35,5089,1),
(35,5090,1),
(35,5091,1),
(35,4250,1),
(35,2819,1),
(35,5092,1),
(35,2927,1),
(35,3250,1),
(35,5093,1),
(35,5094,1),
(35,5095,1),
(35,5096,1),
(35,4256,1),
(35,5097,1),
(35,1950,3),
(35,1951,3),
(36,5527,6),
(36,5572,6),
(36,5573,6),
(36,5574,6),
(36,5332,6),
(36,5529,6),
(36,2744,11),
(36,3380,2),
(36,3794,2),
(36,7,2),
(36,4731,2),
(36,4732,2),
(36,4733,2),
(36,4734,2),
(36,4735,2),
(36,4736,2),
(36,4737,2),
(36,4738,2),
(36,4739,2),
(36,4740,2),
(36,4728,5),
(36,4741,2),
(36,47,9),
(36,4742,2),
(36,4743,2),
(36,4744,2),
(36,38,2),
(36,4745,2),
(36,4746,2),
(36,4747,3),
(36,2837,5),
(36,4748,2),
(36,30,2),
(36,442,3),
(36,4749,2),
(36,4750,2),
(36,4702,3),
(36,841,1),
(36,2480,5),
(36,4751,1),
(36,4142,1),
(36,4752,1),
(36,4753,1),
(36,4754,2),
(36,4755,3),
(36,4756,1),
(36,4757,1),
(36,4758,1),
(36,3780,2),
(36,74,1),
(36,4759,1),
(36,4760,1),
(36,3773,1),
(36,4761,1),
(36,4762,1),
(36,4763,1),
(36,710,3),
(36,4141,1),
(36,2752,1),
(36,451,2),
(36,4764,1),
(36,51,2),
(36,2827,1),
(36,3160,1),
(36,4765,1),
(36,4766,1),
(36,4767,1),
(36,4768,1),
(36,4146,1),
(36,4769,1),
(36,4716,1),
(36,4717,1),
(36,4718,1),
(36,3789,1),
(36,4719,1),
(36,4720,1),
(36,2831,1),
(36,4721,1),
(36,4722,1),
(36,4723,1),
(36,4724,1),
(36,4078,1),
(36,2842,1),
(36,3260,1),
(36,3792,2),
(36,3328,1),
(36,3005,1),
(36,2828,1),
(36,720,2),
(36,3969,1),
(36,4725,1),
(36,4726,1),
(36,4727,1),
(36,4729,1),
(36,2748,1),
(36,2749,1),
(36,4730,1),
(36,4700,1),
(36,4701,1),
(36,3771,1),
(36,3779,2),
(36,3381,1),
(36,1048,1),
(36,3079,1),
(36,4703,1),
(36,1219,1),
(36,1247,1),
(36,2840,1),
(36,4138,1),
(36,3267,1),
(36,1151,1),
(36,3332,1),
(36,4704,1),
(36,4705,1),
(36,4148,1),
(36,3073,1),
(36,4706,1),
(36,2504,1),
(36,4707,1),
(36,2497,1),
(36,3776,1),
(36,31,1),
(36,4708,1),
(36,4709,1),
(36,4710,1),
(36,1246,1),
(36,3777,1),
(36,4711,1),
(36,4712,1),
(36,4713,1),
(36,3778,1),
(36,4714,1),
(36,464,1),
(36,2745,1),
(36,14,1),
(36,4715,1),
(36,845,3),
(36,5530,6),
(36,5575,6),
(36,5576,6),
(36,5577,6),
(36,5336,6),
(36,5532,6),
(36,2758,11),
(36,3387,2),
(36,3833,2),
(36,4810,2),
(36,4811,2),
(36,2552,14),
(36,4812,2),
(36,2520,11),
(36,4813,2),
(36,4814,2),
(36,4815,2),
(36,4816,2),
(36,4817,2),
(36,4818,2),
(36,4819,2),
(36,4820,2),
(36,4807,5),
(36,4821,2),
(36,2523,9),
(36,4822,2),
(36,4823,2),
(36,4824,2),
(36,3992,2),
(36,4825,2),
(36,4826,2),
(36,4827,3),
(36,2861,5),
(36,4828,2),
(36,4829,2),
(36,4830,3),
(36,4831,2),
(36,4832,2),
(36,4777,3),
(36,2550,1),
(36,2524,5),
(36,4833,1),
(36,4167,1),
(36,4834,1),
(36,4835,1),
(36,4836,2),
(36,4837,3),
(36,4838,1),
(36,4839,1),
(36,4840,1),
(36,3818,2),
(36,2561,1),
(36,4841,1),
(36,4842,1),
(36,3809,1),
(36,4843,1),
(36,4844,1),
(36,4845,1),
(36,2556,3),
(36,4166,1),
(36,2768,1),
(36,4793,2),
(36,4846,1),
(36,2867,2),
(36,2850,1),
(36,3181,1),
(36,4847,1),
(36,4848,1),
(36,4849,1),
(36,4850,1),
(36,4172,1),
(36,4851,1),
(36,4795,1),
(36,4796,1),
(36,4797,1),
(36,3827,1),
(36,4798,1),
(36,4799,1),
(36,2854,1),
(36,4800,1),
(36,4801,1),
(36,4802,1),
(36,4803,1),
(36,4090,1),
(36,2868,1),
(36,3268,1),
(36,3831,2),
(36,3339,1),
(36,3020,1),
(36,2851,1),
(36,2961,2),
(36,1365,1),
(36,4804,1),
(36,4805,1),
(36,4806,1),
(36,4808,1),
(36,2762,1),
(36,2763,1),
(36,4809,1),
(36,4775,1),
(36,4776,1),
(36,3807,1),
(36,3817,2),
(36,3388,1),
(36,4778,1),
(36,3095,1),
(36,4779,1),
(36,2555,1),
(36,4164,1),
(36,2865,1),
(36,4161,1),
(36,3280,1),
(36,2864,1),
(36,3343,1),
(36,4780,1),
(36,4781,1),
(36,4175,1),
(36,882,1),
(36,4782,1),
(36,2557,1),
(36,4783,1),
(36,2544,1),
(36,3812,1),
(36,3016,1),
(36,4784,1),
(36,4785,1),
(36,4786,1),
(36,4787,1),
(36,3814,1),
(36,4788,1),
(36,4789,1),
(36,4790,1),
(36,3816,1),
(36,4791,1),
(36,4792,1),
(36,2759,1),
(36,3273,1),
(36,4794,1),
(36,1704,3),
(36,5533,6),
(36,5578,6),
(36,5579,6),
(36,5580,6),
(36,5340,6),
(36,5535,6),
(36,2775,11),
(36,3394,2),
(36,3874,2),
(36,4892,2),
(36,4893,2),
(36,2610,14),
(36,4894,2),
(36,2577,11),
(36,4895,2),
(36,4896,2),
(36,4897,2),
(36,4898,2),
(36,4899,2),
(36,4900,2),
(36,4901,2),
(36,4902,2),
(36,4889,5),
(36,4903,2),
(36,2580,9),
(36,4904,2),
(36,4905,2),
(36,4906,2),
(36,4014,2),
(36,4907,2),
(36,4908,2),
(36,4909,3),
(36,2886,5),
(36,4910,2),
(36,4911,2),
(36,4912,3),
(36,4913,2),
(36,4914,2),
(36,4859,3),
(36,2608,1),
(36,2581,5),
(36,4915,1),
(36,4195,1),
(36,4916,1),
(36,4917,1),
(36,4918,2),
(36,4919,3),
(36,4920,1),
(36,4921,1),
(36,4922,1),
(36,3859,2),
(36,2619,1),
(36,4923,1),
(36,4924,1),
(36,3850,1),
(36,4925,1),
(36,4926,1),
(36,4927,1),
(36,2614,3),
(36,4194,1),
(36,2785,1),
(36,4875,2),
(36,4928,1),
(36,2892,2),
(36,2876,1),
(36,3204,1),
(36,4929,1),
(36,4930,1),
(36,4931,1),
(36,4932,1),
(36,4200,1),
(36,4933,1),
(36,4877,1),
(36,4878,1),
(36,4879,1),
(36,3868,1),
(36,4880,1),
(36,4881,1),
(36,2880,1),
(36,4882,1),
(36,4883,1),
(36,4884,1),
(36,4885,1),
(36,4102,1),
(36,2893,1),
(36,3281,1),
(36,3872,2),
(36,3350,1),
(36,3035,1),
(36,2877,1),
(36,2970,2),
(36,4012,1),
(36,4886,1),
(36,4887,1),
(36,4888,1),
(36,4890,1),
(36,2779,1),
(36,2780,1),
(36,4891,1),
(36,4857,1),
(36,4858,1),
(36,3848,1),
(36,3858,2),
(36,3395,1),
(36,4860,1),
(36,3112,1),
(36,4861,1),
(36,2613,1),
(36,4192,1),
(36,2890,1),
(36,4188,1),
(36,3294,1),
(36,2889,1),
(36,3354,1),
(36,4862,1),
(36,4863,1),
(36,4203,1),
(36,3105,1),
(36,4864,1),
(36,2615,1),
(36,4865,1),
(36,2602,1),
(36,3853,1),
(36,3031,1),
(36,4866,1),
(36,4867,1),
(36,4868,1),
(36,4869,1),
(36,3855,1),
(36,4870,1),
(36,4871,1),
(36,4872,1),
(36,3857,1),
(36,4873,1),
(36,4874,1),
(36,2776,1),
(36,3286,1),
(36,4876,1),
(36,1030,3),
(36,5536,6),
(36,5581,6),
(36,5582,6),
(36,5583,6),
(36,5344,6),
(36,5538,6),
(36,2792,11),
(36,3401,2),
(36,3915,2),
(36,4974,2),
(36,4975,2),
(36,2668,14),
(36,4976,2),
(36,2635,11),
(36,4977,2),
(36,4978,2),
(36,4979,2),
(36,4980,2),
(36,4981,2),
(36,4982,2),
(36,4983,2),
(36,4984,2),
(36,4971,5),
(36,4985,2),
(36,2638,9),
(36,4986,2),
(36,4987,2),
(36,4988,2),
(36,4037,2),
(36,4989,2),
(36,4990,2),
(36,4991,3),
(36,2912,5),
(36,4992,2),
(36,4993,2),
(36,4994,3),
(36,4995,2),
(36,4996,2),
(36,4941,3),
(36,2666,1),
(36,2639,5),
(36,4997,1),
(36,4223,1),
(36,4998,1),
(36,4999,1),
(36,5000,2),
(36,5001,3),
(36,5002,1),
(36,5003,1),
(36,5004,1),
(36,3900,2),
(36,2677,1),
(36,5005,1),
(36,5006,1),
(36,3891,1),
(36,5007,1),
(36,5008,1),
(36,5009,1),
(36,2672,3),
(36,4222,1),
(36,2802,1),
(36,4957,2),
(36,5010,1),
(36,2918,2),
(36,2901,1),
(36,3227,1),
(36,5011,1),
(36,5012,1),
(36,5013,1),
(36,5014,1),
(36,4228,1),
(36,5015,1),
(36,4959,1),
(36,4960,1),
(36,4961,1),
(36,3909,1),
(36,4962,1),
(36,4963,1),
(36,2905,1),
(36,4964,1),
(36,4965,1),
(36,4966,1),
(36,4967,1),
(36,4114,1),
(36,2919,1),
(36,3295,1),
(36,3913,2),
(36,3361,1),
(36,3050,1),
(36,2902,1),
(36,2979,2),
(36,4035,1),
(36,4968,1),
(36,4969,1),
(36,4970,1),
(36,4972,1),
(36,2796,1),
(36,2797,1),
(36,4973,1),
(36,4939,1),
(36,4940,1),
(36,3889,1),
(36,3899,2),
(36,3402,1),
(36,4942,1),
(36,3129,1),
(36,4943,1),
(36,2671,1),
(36,4220,1),
(36,2916,1),
(36,4216,1),
(36,3308,1),
(36,2915,1),
(36,3365,1),
(36,4944,1),
(36,4945,1),
(36,4231,1),
(36,3122,1),
(36,4946,1),
(36,2673,1),
(36,4947,1),
(36,2660,1),
(36,3894,1),
(36,3046,1),
(36,4948,1),
(36,4949,1),
(36,4950,1),
(36,4951,1),
(36,3896,1),
(36,4952,1),
(36,4953,1),
(36,4954,1),
(36,3898,1),
(36,4955,1),
(36,4956,1),
(36,2793,1),
(36,3300,1),
(36,4958,1),
(36,1861,3),
(36,5539,6),
(36,5584,6),
(36,5585,6),
(36,5586,6),
(36,5348,6),
(36,5541,6),
(36,2809,11),
(36,3408,2),
(36,3956,2),
(36,5056,2),
(36,5057,2),
(36,2726,14),
(36,5058,2),
(36,2694,11),
(36,5059,2),
(36,5060,2),
(36,5061,2),
(36,5062,2),
(36,5063,2),
(36,5064,2),
(36,5065,2),
(36,5066,2),
(36,5053,5),
(36,5067,2),
(36,2697,9),
(36,5068,2),
(36,5069,2),
(36,5070,2),
(36,4060,2),
(36,5071,2),
(36,5072,2),
(36,5073,3),
(36,2938,5),
(36,5074,2),
(36,5075,2),
(36,5076,3),
(36,5077,2),
(36,5078,2),
(36,5023,3),
(36,2724,1),
(36,2698,5),
(36,5079,1),
(36,4251,1),
(36,5080,1),
(36,5081,1),
(36,5082,2),
(36,5083,3),
(36,5084,1),
(36,5085,1),
(36,5086,1),
(36,3941,2),
(36,2735,1),
(36,5087,1),
(36,5088,1),
(36,3932,1),
(36,5089,1),
(36,5090,1),
(36,5091,1),
(36,2730,3),
(36,4250,1),
(36,2819,1),
(36,5039,2),
(36,5092,1),
(36,2944,2),
(36,2927,1),
(36,3250,1),
(36,5093,1),
(36,5094,1),
(36,5095,1),
(36,5096,1),
(36,4256,1),
(36,5097,1),
(36,5041,1),
(36,5042,1),
(36,5043,1),
(36,3950,1),
(36,5044,1),
(36,5045,1),
(36,2931,1),
(36,5046,1),
(36,5047,1),
(36,5048,1),
(36,5049,1),
(36,4126,1),
(36,2945,1),
(36,3309,1),
(36,3954,2),
(36,3372,1),
(36,3065,1),
(36,2928,1),
(36,2989,2),
(36,4058,1),
(36,5050,1),
(36,5051,1),
(36,5052,1),
(36,5054,1),
(36,2813,1),
(36,2814,1),
(36,5055,1),
(36,5021,1),
(36,5022,1),
(36,3930,1),
(36,3940,2),
(36,3409,1),
(36,5024,1),
(36,3146,1),
(36,5025,1),
(36,2729,1),
(36,4248,1),
(36,2942,1),
(36,4244,1),
(36,3322,1),
(36,2941,1),
(36,3376,1),
(36,5026,1),
(36,5027,1),
(36,4259,1),
(36,3139,1),
(36,5028,1),
(36,2731,1),
(36,5029,1),
(36,2718,1),
(36,3935,1),
(36,3061,1),
(36,5030,1),
(36,5031,1),
(36,5032,1),
(36,5033,1),
(36,3937,1),
(36,5034,1),
(36,5035,1),
(36,5036,1),
(36,3939,1),
(36,5037,1),
(36,5038,1),
(36,2810,1),
(36,3314,1),
(36,5040,1),
(36,1950,3),
(36,1951,3),
(37,5587,6),
(37,2507,6),
(37,5529,6),
(37,2480,7),
(37,4700,2),
(37,4701,2),
(37,3771,2),
(37,3779,3),
(37,3381,2),
(37,4702,4),
(37,1048,2),
(37,3079,2),
(37,4703,2),
(37,1219,2),
(37,720,3),
(37,1247,2),
(37,2840,2),
(37,4138,2),
(37,3267,2),
(37,1151,2),
(37,3332,2),
(37,4704,2),
(37,4705,2),
(37,4148,2),
(37,2837,5),
(37,3073,2),
(37,4706,2),
(37,47,8),
(37,2504,2),
(37,4707,2),
(37,2497,2),
(37,3776,1),
(37,31,1),
(37,4708,1),
(37,4709,1),
(37,4710,1),
(37,1246,1),
(37,3777,1),
(37,3792,2),
(37,4711,1),
(37,2744,9),
(37,4712,1),
(37,4713,1),
(37,3778,1),
(37,4714,1),
(37,464,1),
(37,2745,1),
(37,451,2),
(37,14,1),
(37,4715,1),
(37,4716,1),
(37,4717,1),
(37,4718,1),
(37,3789,1),
(37,4719,1),
(37,4720,1),
(37,2831,1),
(37,4721,1),
(37,4722,1),
(37,4723,1),
(37,4724,1),
(37,4078,1),
(37,2842,1),
(37,3780,2),
(37,3260,1),
(37,3328,1),
(37,3005,1),
(37,2828,1),
(37,3969,1),
(37,4725,1),
(37,51,2),
(37,710,3),
(37,4726,1),
(37,4727,1),
(37,4728,4),
(37,4729,1),
(37,2748,1),
(37,2749,1),
(37,4730,1),
(37,3380,1),
(37,3794,1),
(37,7,1),
(37,4731,1),
(37,4732,1),
(37,4733,1),
(37,4734,1),
(37,4735,1),
(37,4736,1),
(37,4737,1),
(37,4738,1),
(37,4739,1),
(37,4740,1),
(37,4741,1),
(37,4742,1),
(37,4743,1),
(37,4744,1),
(37,38,1),
(37,4745,1),
(37,4746,1),
(37,4747,2),
(37,4748,1),
(37,30,1),
(37,442,2),
(37,4749,1),
(37,4750,1),
(37,841,1),
(37,4751,1),
(37,4142,1),
(37,4752,1),
(37,4753,1),
(37,4754,2),
(37,4755,3),
(37,4756,1),
(37,4757,1),
(37,4758,1),
(37,74,1),
(37,4759,1),
(37,4760,1),
(37,3773,1),
(37,4761,1),
(37,4762,1),
(37,4763,1),
(37,4141,1),
(37,2752,1),
(37,4764,1),
(37,2827,1),
(37,3160,1),
(37,4765,1),
(37,4766,1),
(37,4767,1),
(37,4768,1),
(37,4146,1),
(37,4769,1),
(37,845,3),
(37,5588,6),
(37,2564,6),
(37,5532,6),
(37,2524,7),
(37,4775,2),
(37,4776,2),
(37,2552,14),
(37,3807,2),
(37,3817,3),
(37,3388,2),
(37,4777,4),
(37,4778,2),
(37,2520,12),
(37,3095,2),
(37,4779,2),
(37,2555,2),
(37,2961,3),
(37,4164,2),
(37,2865,2),
(37,4161,2),
(37,3280,2),
(37,2864,2),
(37,3343,2),
(37,4780,2),
(37,4781,2),
(37,4175,2),
(37,2861,5),
(37,882,2),
(37,4782,2),
(37,2523,8),
(37,2557,2),
(37,4783,2),
(37,2544,2),
(37,3812,1),
(37,3016,1),
(37,4784,1),
(37,4785,1),
(37,4786,1),
(37,4787,1),
(37,3814,1),
(37,3831,2),
(37,4788,1),
(37,2758,9),
(37,4789,1),
(37,4790,1),
(37,3816,1),
(37,4791,1),
(37,4792,1),
(37,2759,1),
(37,4793,2),
(37,3273,1),
(37,4794,1),
(37,4795,1),
(37,4796,1),
(37,4797,1),
(37,3827,1),
(37,4798,1),
(37,4799,1),
(37,2854,1),
(37,4800,1),
(37,4801,1),
(37,4802,1),
(37,4803,1),
(37,4090,1),
(37,2868,1),
(37,3818,2),
(37,3268,1),
(37,3339,1),
(37,3020,1),
(37,2851,1),
(37,1365,1),
(37,4804,1),
(37,2867,2),
(37,2556,3),
(37,4805,1),
(37,4806,1),
(37,4807,4),
(37,4808,1),
(37,2762,1),
(37,2763,1),
(37,4809,1),
(37,3387,1),
(37,3833,1),
(37,4810,1),
(37,4811,1),
(37,4812,1),
(37,4813,1),
(37,4814,1),
(37,4815,1),
(37,4816,1),
(37,4817,1),
(37,4818,1),
(37,4819,1),
(37,4820,1),
(37,4821,1),
(37,4822,1),
(37,4823,1),
(37,4824,1),
(37,3992,1),
(37,4825,1),
(37,4826,1),
(37,4827,2),
(37,4828,1),
(37,4829,1),
(37,4830,2),
(37,4831,1),
(37,4832,1),
(37,2550,1),
(37,4833,1),
(37,4167,1),
(37,4834,1),
(37,4835,1),
(37,4836,2),
(37,4837,3),
(37,4838,1),
(37,4839,1),
(37,4840,1),
(37,2561,1),
(37,4841,1),
(37,4842,1),
(37,3809,1),
(37,4843,1),
(37,4844,1),
(37,4845,1),
(37,4166,1),
(37,2768,1),
(37,4846,1),
(37,2850,1),
(37,3181,1),
(37,4847,1),
(37,4848,1),
(37,4849,1),
(37,4850,1),
(37,4172,1),
(37,4851,1),
(37,1704,3),
(37,5589,6),
(37,2622,6),
(37,5535,6),
(37,2581,7),
(37,4857,2),
(37,4858,2),
(37,2610,14),
(37,3848,2),
(37,3858,3),
(37,3395,2),
(37,4859,4),
(37,4860,2),
(37,2577,12),
(37,3112,2),
(37,4861,2),
(37,2613,2),
(37,2970,3),
(37,4192,2),
(37,2890,2),
(37,4188,2),
(37,3294,2),
(37,2889,2),
(37,3354,2),
(37,4862,2),
(37,4863,2),
(37,4203,2),
(37,2886,5),
(37,3105,2),
(37,4864,2),
(37,2580,8),
(37,2615,2),
(37,4865,2),
(37,2602,2),
(37,3853,1),
(37,3031,1),
(37,4866,1),
(37,4867,1),
(37,4868,1),
(37,4869,1),
(37,3855,1),
(37,3872,2),
(37,4870,1),
(37,2775,9),
(37,4871,1),
(37,4872,1),
(37,3857,1),
(37,4873,1),
(37,4874,1),
(37,2776,1),
(37,4875,2),
(37,3286,1),
(37,4876,1),
(37,4877,1),
(37,4878,1),
(37,4879,1),
(37,3868,1),
(37,4880,1),
(37,4881,1),
(37,2880,1),
(37,4882,1),
(37,4883,1),
(37,4884,1),
(37,4885,1),
(37,4102,1),
(37,2893,1),
(37,3859,2),
(37,3281,1),
(37,3350,1),
(37,3035,1),
(37,2877,1),
(37,4012,1),
(37,4886,1),
(37,2892,2),
(37,2614,3),
(37,4887,1),
(37,4888,1),
(37,4889,4),
(37,4890,1),
(37,2779,1),
(37,2780,1),
(37,4891,1),
(37,3394,1),
(37,3874,1),
(37,4892,1),
(37,4893,1),
(37,4894,1),
(37,4895,1),
(37,4896,1),
(37,4897,1),
(37,4898,1),
(37,4899,1),
(37,4900,1),
(37,4901,1),
(37,4902,1),
(37,4903,1),
(37,4904,1),
(37,4905,1),
(37,4906,1),
(37,4014,1),
(37,4907,1),
(37,4908,1),
(37,4909,2),
(37,4910,1),
(37,4911,1),
(37,4912,2),
(37,4913,1),
(37,4914,1),
(37,2608,1),
(37,4915,1),
(37,4195,1),
(37,4916,1),
(37,4917,1),
(37,4918,2),
(37,4919,3),
(37,4920,1),
(37,4921,1),
(37,4922,1),
(37,2619,1),
(37,4923,1),
(37,4924,1),
(37,3850,1),
(37,4925,1),
(37,4926,1),
(37,4927,1),
(37,4194,1),
(37,2785,1),
(37,4928,1),
(37,2876,1),
(37,3204,1),
(37,4929,1),
(37,4930,1),
(37,4931,1),
(37,4932,1),
(37,4200,1),
(37,4933,1),
(37,1030,3),
(37,5590,6),
(37,2681,6),
(37,5538,6),
(37,2639,7),
(37,4939,2),
(37,4940,2),
(37,2668,14),
(37,3889,2),
(37,3899,3),
(37,3402,2),
(37,4941,4),
(37,4942,2),
(37,2635,12),
(37,3129,2),
(37,4943,2),
(37,2671,2),
(37,2979,3),
(37,4220,2),
(37,2916,2),
(37,4216,2),
(37,3308,2),
(37,2915,2),
(37,3365,2),
(37,4944,2),
(37,4945,2),
(37,4231,2),
(37,2912,5),
(37,3122,2),
(37,4946,2),
(37,2638,8),
(37,2673,2),
(37,4947,2),
(37,2660,2),
(37,3894,1),
(37,3046,1),
(37,4948,1),
(37,4949,1),
(37,4950,1),
(37,4951,1),
(37,3896,1),
(37,3913,2),
(37,4952,1),
(37,2792,9),
(37,4953,1),
(37,4954,1),
(37,3898,1),
(37,4955,1),
(37,4956,1),
(37,2793,1),
(37,4957,2),
(37,3300,1),
(37,4958,1),
(37,4959,1),
(37,4960,1),
(37,4961,1),
(37,3909,1),
(37,4962,1),
(37,4963,1),
(37,2905,1),
(37,4964,1),
(37,4965,1),
(37,4966,1),
(37,4967,1),
(37,4114,1),
(37,2919,1),
(37,3900,2),
(37,3295,1),
(37,3361,1),
(37,3050,1),
(37,2902,1),
(37,4035,1),
(37,4968,1),
(37,2918,2),
(37,2672,3),
(37,4969,1),
(37,4970,1),
(37,4971,4),
(37,4972,1),
(37,2796,1),
(37,2797,1),
(37,4973,1),
(37,3401,1),
(37,3915,1),
(37,4974,1),
(37,4975,1),
(37,4976,1),
(37,4977,1),
(37,4978,1),
(37,4979,1),
(37,4980,1),
(37,4981,1),
(37,4982,1),
(37,4983,1),
(37,4984,1),
(37,4985,1),
(37,4986,1),
(37,4987,1),
(37,4988,1),
(37,4037,1),
(37,4989,1),
(37,4990,1),
(37,4991,2),
(37,4992,1),
(37,4993,1),
(37,4994,2),
(37,4995,1),
(37,4996,1),
(37,2666,1),
(37,4997,1),
(37,4223,1),
(37,4998,1),
(37,4999,1),
(37,5000,2),
(37,5001,3),
(37,5002,1),
(37,5003,1),
(37,5004,1),
(37,2677,1),
(37,5005,1),
(37,5006,1),
(37,3891,1),
(37,5007,1),
(37,5008,1),
(37,5009,1),
(37,4222,1),
(37,2802,1),
(37,5010,1),
(37,2901,1),
(37,3227,1),
(37,5011,1),
(37,5012,1),
(37,5013,1),
(37,5014,1),
(37,4228,1),
(37,5015,1),
(37,1861,3),
(37,5591,6),
(37,2739,6),
(37,5541,6),
(37,2698,7),
(37,5021,2),
(37,5022,2),
(37,2726,14),
(37,3930,2),
(37,3940,3),
(37,3409,2),
(37,5023,4),
(37,5024,2),
(37,2694,12),
(37,3146,2),
(37,5025,2),
(37,2729,2),
(37,2989,3),
(37,4248,2),
(37,2942,2),
(37,4244,2),
(37,3322,2),
(37,2941,2),
(37,3376,2),
(37,5026,2),
(37,5027,2),
(37,4259,2),
(37,2938,5),
(37,3139,2),
(37,5028,2),
(37,2697,8),
(37,2731,2),
(37,5029,2),
(37,2718,2),
(37,3935,1),
(37,3061,1),
(37,5030,1),
(37,5031,1),
(37,5032,1),
(37,5033,1),
(37,3937,1),
(37,3954,2),
(37,5034,1),
(37,2809,9),
(37,5035,1),
(37,5036,1),
(37,3939,1),
(37,5037,1),
(37,5038,1),
(37,2810,1),
(37,5039,2),
(37,3314,1),
(37,5040,1),
(37,5041,1),
(37,5042,1),
(37,5043,1),
(37,3950,1),
(37,5044,1),
(37,5045,1),
(37,2931,1),
(37,5046,1),
(37,5047,1),
(37,5048,1),
(37,5049,1),
(37,4126,1),
(37,2945,1),
(37,3941,2),
(37,3309,1),
(37,3372,1),
(37,3065,1),
(37,2928,1),
(37,4058,1),
(37,5050,1),
(37,2944,2),
(37,2730,3),
(37,5051,1),
(37,5052,1),
(37,5053,4),
(37,5054,1),
(37,2813,1),
(37,2814,1),
(37,5055,1),
(37,3408,1),
(37,3956,1),
(37,5056,1),
(37,5057,1),
(37,5058,1),
(37,5059,1),
(37,5060,1),
(37,5061,1),
(37,5062,1),
(37,5063,1),
(37,5064,1),
(37,5065,1),
(37,5066,1),
(37,5067,1),
(37,5068,1),
(37,5069,1),
(37,5070,1),
(37,4060,1),
(37,5071,1),
(37,5072,1),
(37,5073,2),
(37,5074,1),
(37,5075,1),
(37,5076,2),
(37,5077,1),
(37,5078,1),
(37,2724,1),
(37,5079,1),
(37,4251,1),
(37,5080,1),
(37,5081,1),
(37,5082,2),
(37,5083,3),
(37,5084,1),
(37,5085,1),
(37,5086,1),
(37,2735,1),
(37,5087,1),
(37,5088,1),
(37,3932,1),
(37,5089,1),
(37,5090,1),
(37,5091,1),
(37,4250,1),
(37,2819,1),
(37,5092,1),
(37,2927,1),
(37,3250,1),
(37,5093,1),
(37,5094,1),
(37,5095,1),
(37,5096,1),
(37,4256,1),
(37,5097,1),
(37,1950,3),
(37,1951,3),
(5,2724,1),
(5,5078,1),
(5,5077,1),
(5,5076,2),
(5,5075,1),
(5,5074,1),
(5,5073,2),
(5,5072,1),
(5,5071,1),
(5,4060,1),
(5,5070,1),
(5,5069,1),
(5,5068,1),
(5,5067,1),
(5,5066,1),
(5,5065,1),
(5,5064,1),
(5,5063,1),
(5,5062,1),
(5,5061,1),
(5,5060,1),
(5,5059,1),
(5,5058,1),
(5,5057,1),
(5,5056,1),
(5,3956,1),
(5,3408,1),
(5,5040,1),
(5,3314,1),
(5,5039,2),
(5,2810,1),
(5,5038,1),
(5,5037,1),
(5,3939,1),
(5,5036,1),
(5,5035,1),
(5,5034,1),
(5,3937,1),
(5,5033,1),
(5,5032,1),
(5,5031,1),
(5,5030,1),
(5,3061,1),
(5,3935,1),
(5,2718,1),
(5,5029,1),
(5,2731,1),
(5,2697,7),
(5,5028,1),
(5,3139,1),
(5,4259,1),
(5,5027,1),
(5,5026,1),
(5,3376,1),
(5,2941,1),
(5,3322,1),
(5,4244,1),
(5,2942,1),
(5,4248,1),
(5,2729,1),
(5,5025,1),
(5,3146,1),
(5,5024,1),
(5,5023,3),
(5,3409,1),
(5,3940,2),
(5,3930,1),
(5,5022,1),
(5,5021,1),
(5,5055,2),
(5,2814,2),
(5,2813,2),
(5,5054,2),
(5,5053,5),
(5,5052,2),
(5,5051,2),
(5,2694,10),
(5,2730,4),
(5,2698,6),
(5,2944,3),
(5,5050,2),
(5,4058,2),
(5,2989,3),
(5,2726,13),
(5,2928,2),
(5,3065,2),
(5,3372,2),
(5,3954,3),
(5,3309,2),
(5,3941,3),
(5,2945,2),
(5,4126,2),
(5,5049,2),
(5,5048,2),
(5,5047,2),
(5,5046,2),
(5,2931,2),
(5,5045,2),
(5,5044,2),
(5,3950,2),
(5,2938,5),
(5,2809,11),
(5,5043,2),
(5,5042,2),
(5,5041,2),
(5,5020,6),
(5,5153,6),
(5,5163,6),
(5,5162,6),
(5,5017,6),
(5,2681,4),
(5,2680,6),
(5,2679,6),
(5,2678,4),
(5,1787,3),
(5,1786,3),
(5,1861,3),
(5,5015,1),
(5,4228,1),
(5,5014,1),
(5,5013,1),
(5,5012,1),
(5,5011,1),
(5,3227,1),
(5,2901,1),
(5,5010,1),
(5,2802,1),
(5,4222,1),
(5,5009,1),
(5,5008,1),
(5,5007,1),
(5,3891,1),
(5,5006,1),
(5,5005,1),
(5,2677,5),
(5,5004,1),
(5,5003,1),
(5,5002,1),
(5,5001,3),
(5,5000,2),
(5,4999,1),
(5,4998,1),
(5,4223,1),
(5,4997,1),
(5,2666,1),
(5,4996,1),
(5,4995,1),
(5,4994,2),
(5,4993,1),
(5,4992,1),
(5,4991,2),
(5,4990,1),
(5,4989,1),
(5,4037,1),
(5,4988,1),
(5,4987,1),
(5,4986,1),
(5,4985,1),
(5,4984,1),
(5,4983,1),
(5,4982,1),
(5,4981,1),
(5,4980,1),
(5,4979,1),
(5,4978,1),
(5,4977,1),
(5,4976,1),
(5,4975,1),
(5,4974,1),
(5,3915,1),
(5,3401,1),
(5,4958,1),
(5,3300,1),
(5,4957,2),
(5,2793,1),
(5,4956,1),
(5,4955,1),
(5,3898,1),
(5,4954,1),
(5,4953,1),
(5,4952,1),
(5,3896,1),
(5,4951,1),
(5,4950,1),
(5,4949,1),
(5,4948,1),
(5,3046,1),
(5,3894,1),
(5,2660,1),
(5,4947,1),
(5,2673,1),
(5,2638,7),
(5,4946,1),
(5,3122,1),
(5,4231,1),
(5,4945,1),
(5,4944,1),
(5,3365,1),
(5,2915,1),
(5,3308,1),
(5,4216,1),
(5,2916,1),
(5,4220,1),
(5,2671,1),
(5,4943,1),
(5,3129,1),
(5,4942,1),
(5,4941,3),
(5,3402,1),
(5,3899,2),
(5,3889,1),
(5,4940,1),
(5,4939,1),
(5,4973,2),
(5,2797,2),
(5,2796,2),
(5,4972,2),
(5,4971,5),
(5,4970,2),
(5,4969,2),
(5,2635,10),
(5,2672,4),
(5,2639,6),
(5,2918,3),
(5,4968,2),
(5,4035,2),
(5,2979,3),
(5,2668,13),
(5,2902,2),
(5,3050,2),
(5,3361,2),
(5,3913,3),
(5,3295,2),
(5,3900,3),
(5,2919,2),
(5,4114,2),
(5,4967,2),
(5,4966,2),
(5,4965,2),
(5,4964,2),
(5,2905,2),
(5,4963,2),
(5,4962,2),
(5,3909,2),
(5,2912,5),
(5,2792,11),
(5,4961,2),
(5,4960,2),
(5,4959,2),
(5,4938,6),
(5,5150,6),
(5,5161,6),
(5,5160,6),
(5,4935,6),
(5,2622,4),
(5,2621,6),
(5,225,6),
(5,2620,4),
(5,1709,3),
(5,1708,3),
(5,1030,3),
(5,4933,1),
(5,4200,1),
(5,4932,1),
(5,4931,1),
(5,4930,1),
(5,4929,1),
(5,3204,1),
(5,2876,1),
(5,4928,1),
(5,2785,1),
(5,4194,1),
(5,4927,1),
(5,4926,1),
(5,4925,1),
(5,3850,1),
(5,4924,1),
(5,4923,1),
(5,2619,5),
(5,4922,1),
(5,4921,1),
(5,4920,1),
(5,4919,3),
(5,4918,2),
(5,4917,1),
(5,4916,1),
(5,4195,1),
(5,4915,1),
(5,2608,1),
(5,4914,1),
(5,4913,1),
(5,4912,2),
(5,4911,1),
(5,4910,1),
(5,4909,2),
(5,4908,1),
(5,4907,1),
(5,4014,1),
(5,4906,1),
(5,4905,1),
(5,4904,1),
(5,4903,1),
(5,4902,1),
(5,4901,1),
(5,4900,1),
(5,4899,1),
(5,4898,1),
(5,4897,1),
(5,4896,1),
(5,4895,1),
(5,4894,1),
(5,4893,1),
(5,4892,1),
(5,3874,1),
(5,3394,1),
(5,4876,1),
(5,3286,1),
(5,4875,2),
(5,2776,1),
(5,4874,1),
(5,4873,1),
(5,3857,1),
(5,4872,1),
(5,4871,1),
(5,4870,1),
(5,3855,1),
(5,4869,1),
(5,4868,1),
(5,4867,1),
(5,4866,1),
(5,3031,1),
(5,3853,1),
(5,2602,1),
(5,4865,1),
(5,2615,1),
(5,2580,7),
(5,4864,1),
(5,3105,1),
(5,4203,1),
(5,4863,1),
(5,4862,1),
(5,3354,1),
(5,2889,1),
(5,3294,1),
(5,4188,1),
(5,2890,1),
(5,4192,1),
(5,2613,1),
(5,4861,1),
(5,3112,1),
(5,4860,1),
(5,4859,3),
(5,3395,1),
(5,3858,2),
(5,3848,1),
(5,4858,1),
(5,4857,1),
(5,4891,2),
(5,2780,2),
(5,2779,2),
(5,4890,2),
(5,4889,5),
(5,4888,2),
(5,4887,2),
(5,2577,10),
(5,2614,4),
(5,2581,6),
(5,2892,3),
(5,4886,2),
(5,4012,2),
(5,2970,3),
(5,2610,13),
(5,2877,2),
(5,3035,2),
(5,3350,2),
(5,3872,3),
(5,3281,2),
(5,3859,3),
(5,2893,2),
(5,4102,2),
(5,4885,2),
(5,4884,2),
(5,4883,2),
(5,4882,2),
(5,2880,2),
(5,4881,2),
(5,4880,2),
(5,3868,2),
(5,2886,5),
(5,2775,11),
(5,4879,2),
(5,4878,2),
(5,4877,2),
(5,4856,6),
(5,5147,6),
(5,5159,6),
(5,5158,6),
(5,4853,6),
(5,2564,4),
(5,2563,6),
(5,148,6),
(5,2562,4),
(5,1630,3),
(5,1629,3),
(5,1704,3),
(5,4851,1),
(5,4172,1),
(5,4850,1),
(5,4849,1),
(5,4848,1),
(5,4847,1),
(5,3181,1),
(5,2850,1),
(5,4846,1),
(5,2768,1),
(5,4166,1),
(5,4845,1),
(5,4844,1),
(5,4843,1),
(5,3809,1),
(5,4842,1),
(5,4841,1),
(5,2561,5),
(5,4840,1),
(5,4839,1),
(5,4838,1),
(5,4837,3),
(5,4836,2),
(5,4835,1),
(5,4834,1),
(5,4167,1),
(5,4833,1),
(5,2550,1),
(5,4832,1),
(5,4831,1),
(5,4830,2),
(5,4829,1),
(5,4828,1),
(5,4827,2),
(5,4826,1),
(5,4825,1),
(5,3992,1),
(5,4824,1),
(5,4823,1),
(5,4822,1),
(5,4821,1),
(5,4820,1),
(5,4819,1),
(5,4818,1),
(5,4817,1),
(5,4816,1),
(5,4815,1),
(5,4814,1),
(5,4813,1),
(5,4812,1),
(5,4811,1),
(5,4810,1),
(5,3833,1),
(5,3387,1),
(5,4794,1),
(5,3273,1),
(5,4793,2),
(5,2759,1),
(5,4792,1),
(5,4791,1),
(5,3816,1),
(5,4790,1),
(5,4789,1),
(5,4788,1),
(5,3814,1),
(5,4787,1),
(5,4786,1),
(5,4785,1),
(5,4784,1),
(5,3016,1),
(5,3812,1),
(5,2544,1),
(5,4783,1),
(5,2557,1),
(5,2523,7),
(5,4782,1),
(5,882,1),
(5,4175,1),
(5,4781,1),
(5,4780,1),
(5,3343,1),
(5,2864,1),
(5,3280,1),
(5,4161,1),
(5,2865,1),
(5,4164,1),
(5,2555,1),
(5,4779,1),
(5,3095,1),
(5,4778,1),
(5,4777,3),
(5,3388,1),
(5,3817,2),
(5,3807,1),
(5,4776,1),
(5,4775,1),
(5,4809,2),
(5,2763,2),
(5,2762,2),
(5,4808,2),
(5,4807,5),
(5,4806,2),
(5,4805,2),
(5,2520,10),
(5,2556,4),
(5,2524,6),
(5,2867,3),
(5,4804,2),
(5,1365,2),
(5,2961,3),
(5,2552,13),
(5,2851,2),
(5,3020,2),
(5,3339,2),
(5,3831,3),
(5,3268,2),
(5,3818,3),
(5,2868,2),
(5,4090,2),
(5,4803,2),
(5,4802,2),
(5,4801,2),
(5,4800,2),
(5,2854,2),
(5,4799,2),
(5,4798,2),
(5,3827,2),
(5,2861,5),
(5,2758,11),
(5,4797,2),
(5,4796,2),
(5,4795,2),
(5,4774,6),
(5,5144,6),
(5,5157,6),
(5,5156,6),
(5,4771,6),
(5,2507,4),
(5,2506,6),
(5,70,6),
(5,77,4),
(5,3726,4),
(5,3731,4),
(5,3730,4),
(5,1047,7),
(5,1046,7),
(5,845,3),
(5,4769,1),
(5,4146,1),
(5,4768,1),
(5,4767,1),
(5,4766,1),
(5,4765,1),
(5,3160,1),
(5,2827,1),
(5,4764,1),
(5,2752,1),
(5,4141,1),
(5,4763,1),
(5,4762,1),
(5,4761,1),
(5,3773,1),
(5,4760,1),
(5,4759,1),
(5,74,5),
(5,4758,1),
(5,4757,1),
(5,4756,1),
(5,4755,3),
(5,4754,2),
(5,4753,1),
(5,4752,1),
(5,4142,1),
(5,4751,1),
(5,841,1),
(5,4750,1),
(5,4749,1),
(5,442,2),
(5,30,1),
(5,4748,1),
(5,4747,2),
(5,4746,1),
(5,4745,1),
(5,38,1),
(5,4744,1),
(5,4743,1),
(5,4742,1),
(5,4741,1),
(5,4740,1),
(5,4739,1),
(5,4738,1),
(5,4737,1),
(5,4736,1),
(5,4735,1),
(5,4734,1),
(5,4733,1),
(5,4732,1),
(5,4731,1),
(5,7,1),
(5,3794,1),
(5,3380,1),
(5,4715,1),
(5,14,1),
(5,451,2),
(5,2745,1),
(5,464,1),
(5,4714,1),
(5,3778,1),
(5,4713,1),
(5,4712,1),
(5,4711,1),
(5,3777,1),
(5,1246,1),
(5,4710,1),
(5,4709,1),
(5,4708,1),
(5,31,1),
(5,3776,1),
(5,2497,1),
(5,4707,1),
(5,2504,1),
(5,47,7),
(5,4706,1),
(5,3073,1),
(5,4148,1),
(5,4705,1),
(5,4704,1),
(5,3332,1),
(5,1151,1),
(5,3267,1),
(5,4138,1),
(5,2840,1),
(5,1247,1),
(5,1219,1),
(5,4703,1),
(5,3079,1),
(5,1048,1),
(5,4702,3),
(5,3381,1),
(5,3779,2),
(5,3771,1),
(5,4701,1),
(5,4700,1),
(5,4730,2),
(5,2749,2),
(5,2748,2),
(5,4729,2),
(5,4728,5),
(5,4727,2),
(5,4726,2),
(5,710,4),
(5,2480,6),
(5,51,3),
(5,4725,2),
(5,3969,2),
(5,720,3),
(5,2828,2),
(5,3005,2),
(5,3328,2),
(5,3792,3),
(5,3260,2),
(5,3780,3),
(5,2842,2),
(5,4078,2),
(5,4724,2),
(5,4723,2),
(5,4722,2),
(5,4721,2),
(5,2831,2),
(5,4720,2),
(5,4719,2),
(5,3789,2),
(5,2837,5),
(5,2744,11),
(5,4718,2),
(5,4717,2),
(5,4716,2),
(5,4699,6),
(5,690,6),
(39,5587,6),
(39,5592,6),
(39,5166,6),
(39,5167,6),
(39,2744,11),
(39,3380,2),
(39,3794,2),
(39,7,2),
(39,4731,2),
(39,4732,2),
(39,4733,2),
(39,4734,2),
(39,4735,2),
(39,4736,2),
(39,4737,2),
(39,4738,2),
(39,4739,2),
(39,4740,2),
(39,4728,5),
(39,4741,2),
(39,47,9),
(39,4742,2),
(39,4743,2),
(39,4744,2),
(39,38,2),
(39,4745,2),
(39,4746,2),
(39,4747,3),
(39,2837,5),
(39,4748,2),
(39,30,2),
(39,442,3),
(39,4749,2),
(39,4750,2),
(39,4702,3),
(39,841,1),
(39,2480,5),
(39,4751,1),
(39,4142,1),
(39,4752,1),
(39,4753,1),
(39,4754,2),
(39,4755,3),
(39,4756,1),
(39,4757,1),
(39,4758,1),
(39,3780,2),
(39,74,1),
(39,4759,1),
(39,4760,1),
(39,3773,1),
(39,4761,1),
(39,4762,1),
(39,4763,1),
(39,710,3),
(39,4141,1),
(39,2752,1),
(39,451,2),
(39,4764,1),
(39,51,2),
(39,2827,1),
(39,3160,1),
(39,4765,1),
(39,4766,1),
(39,4767,1),
(39,4768,1),
(39,4146,1),
(39,4769,1),
(39,4716,1),
(39,4717,1),
(39,4718,1),
(39,3789,1),
(39,4719,1),
(39,4720,1),
(39,2831,1),
(39,4721,1),
(39,4722,1),
(39,4723,1),
(39,4724,1),
(39,4078,1),
(39,2842,1),
(39,3260,1),
(39,3792,2),
(39,3328,1),
(39,3005,1),
(39,2828,1),
(39,720,2),
(39,3969,1),
(39,4725,1),
(39,4726,1),
(39,4727,1),
(39,4729,1),
(39,2748,1),
(39,2749,1),
(39,4730,1),
(39,4700,1),
(39,4701,1),
(39,3771,1),
(39,3779,2),
(39,3381,1),
(39,1048,1),
(39,3079,1),
(39,4703,1),
(39,1219,1),
(39,1247,1),
(39,2840,1),
(39,4138,1),
(39,3267,1),
(39,1151,1),
(39,3332,1),
(39,4704,1),
(39,4705,1),
(39,4148,1),
(39,3073,1),
(39,4706,1),
(39,2504,1),
(39,4707,1),
(39,2497,1),
(39,3776,1),
(39,31,1),
(39,4708,1),
(39,4709,1),
(39,4710,1),
(39,1246,1),
(39,3777,1),
(39,4711,1),
(39,4712,1),
(39,4713,1),
(39,3778,1),
(39,4714,1),
(39,464,1),
(39,2745,1),
(39,14,1),
(39,4715,1),
(39,845,3),
(39,5588,6),
(39,5593,6),
(39,5170,6),
(39,5171,6),
(39,2758,11),
(39,3387,2),
(39,3833,2),
(39,4810,2),
(39,4811,2),
(39,2552,14),
(39,4812,2),
(39,2520,11),
(39,4813,2),
(39,4814,2),
(39,4815,2),
(39,4816,2),
(39,4817,2),
(39,4818,2),
(39,4819,2),
(39,4820,2),
(39,4807,5),
(39,4821,2),
(39,2523,9),
(39,4822,2),
(39,4823,2),
(39,4824,2),
(39,3992,2),
(39,4825,2),
(39,4826,2),
(39,4827,3),
(39,2861,5),
(39,4828,2),
(39,4829,2),
(39,4830,3),
(39,4831,2),
(39,4832,2),
(39,4777,3),
(39,2550,1),
(39,2524,5),
(39,4833,1),
(39,4167,1),
(39,4834,1),
(39,4835,1),
(39,4836,2),
(39,4837,3),
(39,4838,1),
(39,4839,1),
(39,4840,1),
(39,3818,2),
(39,2561,1),
(39,4841,1),
(39,4842,1),
(39,3809,1),
(39,4843,1),
(39,4844,1),
(39,4845,1),
(39,2556,3),
(39,4166,1),
(39,2768,1),
(39,4793,2),
(39,4846,1),
(39,2867,2),
(39,2850,1),
(39,3181,1),
(39,4847,1),
(39,4848,1),
(39,4849,1),
(39,4850,1),
(39,4172,1),
(39,4851,1),
(39,4795,1),
(39,4796,1),
(39,4797,1),
(39,3827,1),
(39,4798,1),
(39,4799,1),
(39,2854,1),
(39,4800,1),
(39,4801,1),
(39,4802,1),
(39,4803,1),
(39,4090,1),
(39,2868,1),
(39,3268,1),
(39,3831,2),
(39,3339,1),
(39,3020,1),
(39,2851,1),
(39,2961,2),
(39,1365,1),
(39,4804,1),
(39,4805,1),
(39,4806,1),
(39,4808,1),
(39,2762,1),
(39,2763,1),
(39,4809,1),
(39,4775,1),
(39,4776,1),
(39,3807,1),
(39,3817,2),
(39,3388,1),
(39,4778,1),
(39,3095,1),
(39,4779,1),
(39,2555,1),
(39,4164,1),
(39,2865,1),
(39,4161,1),
(39,3280,1),
(39,2864,1),
(39,3343,1),
(39,4780,1),
(39,4781,1),
(39,4175,1),
(39,882,1),
(39,4782,1),
(39,2557,1),
(39,4783,1),
(39,2544,1),
(39,3812,1),
(39,3016,1),
(39,4784,1),
(39,4785,1),
(39,4786,1),
(39,4787,1),
(39,3814,1),
(39,4788,1),
(39,4789,1),
(39,4790,1),
(39,3816,1),
(39,4791,1),
(39,4792,1),
(39,2759,1),
(39,3273,1),
(39,4794,1),
(39,1704,3),
(39,5589,6),
(39,5594,6),
(39,5174,6),
(39,5175,6),
(39,2775,11),
(39,3394,2),
(39,3874,2),
(39,4892,2),
(39,4893,2),
(39,2610,14),
(39,4894,2),
(39,2577,11),
(39,4895,2),
(39,4896,2),
(39,4897,2),
(39,4898,2),
(39,4899,2),
(39,4900,2),
(39,4901,2),
(39,4902,2),
(39,4889,5),
(39,4903,2),
(39,2580,9),
(39,4904,2),
(39,4905,2),
(39,4906,2),
(39,4014,2),
(39,4907,2),
(39,4908,2),
(39,4909,3),
(39,2886,5),
(39,4910,2),
(39,4911,2),
(39,4912,3),
(39,4913,2),
(39,4914,2),
(39,4859,3),
(39,2608,1),
(39,2581,5),
(39,4915,1),
(39,4195,1),
(39,4916,1),
(39,4917,1),
(39,4918,2),
(39,4919,3),
(39,4920,1),
(39,4921,1),
(39,4922,1),
(39,3859,2),
(39,2619,1),
(39,4923,1),
(39,4924,1),
(39,3850,1),
(39,4925,1),
(39,4926,1),
(39,4927,1),
(39,2614,3),
(39,4194,1),
(39,2785,1),
(39,4875,2),
(39,4928,1),
(39,2892,2),
(39,2876,1),
(39,3204,1),
(39,4929,1),
(39,4930,1),
(39,4931,1),
(39,4932,1),
(39,4200,1),
(39,4933,1),
(39,4877,1),
(39,4878,1),
(39,4879,1),
(39,3868,1),
(39,4880,1),
(39,4881,1),
(39,2880,1),
(39,4882,1),
(39,4883,1),
(39,4884,1),
(39,4885,1),
(39,4102,1),
(39,2893,1),
(39,3281,1),
(39,3872,2),
(39,3350,1),
(39,3035,1),
(39,2877,1),
(39,2970,2),
(39,4012,1),
(39,4886,1),
(39,4887,1),
(39,4888,1),
(39,4890,1),
(39,2779,1),
(39,2780,1),
(39,4891,1),
(39,4857,1),
(39,4858,1),
(39,3848,1),
(39,3858,2),
(39,3395,1),
(39,4860,1),
(39,3112,1),
(39,4861,1),
(39,2613,1),
(39,4192,1),
(39,2890,1),
(39,4188,1),
(39,3294,1),
(39,2889,1),
(39,3354,1),
(39,4862,1),
(39,4863,1),
(39,4203,1),
(39,3105,1),
(39,4864,1),
(39,2615,1),
(39,4865,1),
(39,2602,1),
(39,3853,1),
(39,3031,1),
(39,4866,1),
(39,4867,1),
(39,4868,1),
(39,4869,1),
(39,3855,1),
(39,4870,1),
(39,4871,1),
(39,4872,1),
(39,3857,1),
(39,4873,1),
(39,4874,1),
(39,2776,1),
(39,3286,1),
(39,4876,1),
(39,1030,3),
(39,5590,6),
(39,5595,6),
(39,5178,6),
(39,5179,6),
(39,2792,11),
(39,3401,2),
(39,3915,2),
(39,4974,2),
(39,4975,2),
(39,2668,14),
(39,4976,2),
(39,2635,11),
(39,4977,2),
(39,4978,2),
(39,4979,2),
(39,4980,2),
(39,4981,2),
(39,4982,2),
(39,4983,2),
(39,4984,2),
(39,4971,5),
(39,4985,2),
(39,2638,9),
(39,4986,2),
(39,4987,2),
(39,4988,2),
(39,4037,2),
(39,4989,2),
(39,4990,2),
(39,4991,3),
(39,2912,5),
(39,4992,2),
(39,4993,2),
(39,4994,3),
(39,4995,2),
(39,4996,2),
(39,4941,3),
(39,2666,1),
(39,2639,5),
(39,4997,1),
(39,4223,1),
(39,4998,1),
(39,4999,1),
(39,5000,2),
(39,5001,3),
(39,5002,1),
(39,5003,1),
(39,5004,1),
(39,3900,2),
(39,2677,1),
(39,5005,1),
(39,5006,1),
(39,3891,1),
(39,5007,1),
(39,5008,1),
(39,5009,1),
(39,2672,3),
(39,4222,1),
(39,2802,1),
(39,4957,2),
(39,5010,1),
(39,2918,2),
(39,2901,1),
(39,3227,1),
(39,5011,1),
(39,5012,1),
(39,5013,1),
(39,5014,1),
(39,4228,1),
(39,5015,1),
(39,4959,1),
(39,4960,1),
(39,4961,1),
(39,3909,1),
(39,4962,1),
(39,4963,1),
(39,2905,1),
(39,4964,1),
(39,4965,1),
(39,4966,1),
(39,4967,1),
(39,4114,1),
(39,2919,1),
(39,3295,1),
(39,3913,2),
(39,3361,1),
(39,3050,1),
(39,2902,1),
(39,2979,2),
(39,4035,1),
(39,4968,1),
(39,4969,1),
(39,4970,1),
(39,4972,1),
(39,2796,1),
(39,2797,1),
(39,4973,1),
(39,4939,1),
(39,4940,1),
(39,3889,1),
(39,3899,2),
(39,3402,1),
(39,4942,1),
(39,3129,1),
(39,4943,1),
(39,2671,1),
(39,4220,1),
(39,2916,1),
(39,4216,1),
(39,3308,1),
(39,2915,1),
(39,3365,1),
(39,4944,1),
(39,4945,1),
(39,4231,1),
(39,3122,1),
(39,4946,1),
(39,2673,1),
(39,4947,1),
(39,2660,1),
(39,3894,1),
(39,3046,1),
(39,4948,1),
(39,4949,1),
(39,4950,1),
(39,4951,1),
(39,3896,1),
(39,4952,1),
(39,4953,1),
(39,4954,1),
(39,3898,1),
(39,4955,1),
(39,4956,1),
(39,2793,1),
(39,3300,1),
(39,4958,1),
(39,1861,3),
(39,5591,6),
(39,5596,6),
(39,5182,6),
(39,5183,6),
(39,2809,11),
(39,3408,2),
(39,3956,2),
(39,5056,2),
(39,5057,2),
(39,2726,14),
(39,5058,2),
(39,2694,11),
(39,5059,2),
(39,5060,2),
(39,5061,2),
(39,5062,2),
(39,5063,2),
(39,5064,2),
(39,5065,2),
(39,5066,2),
(39,5053,5),
(39,5067,2),
(39,2697,9),
(39,5068,2),
(39,5069,2),
(39,5070,2),
(39,4060,2),
(39,5071,2),
(39,5072,2),
(39,5073,3),
(39,2938,5),
(39,5074,2),
(39,5075,2),
(39,5076,3),
(39,5077,2),
(39,5078,2),
(39,5023,3),
(39,2724,1),
(39,2698,5),
(39,5079,1),
(39,4251,1),
(39,5080,1),
(39,5081,1),
(39,5082,2),
(39,5083,3),
(39,5084,1),
(39,5085,1),
(39,5086,1),
(39,3941,2),
(39,2735,1),
(39,5087,1),
(39,5088,1),
(39,3932,1),
(39,5089,1),
(39,5090,1),
(39,5091,1),
(39,2730,3),
(39,4250,1),
(39,2819,1),
(39,5039,2),
(39,5092,1),
(39,2944,2),
(39,2927,1),
(39,3250,1),
(39,5093,1),
(39,5094,1),
(39,5095,1),
(39,5096,1),
(39,4256,1),
(39,5097,1),
(39,5041,1),
(39,5042,1),
(39,5043,1),
(39,3950,1),
(39,5044,1),
(39,5045,1),
(39,2931,1),
(39,5046,1),
(39,5047,1),
(39,5048,1),
(39,5049,1),
(39,4126,1),
(39,2945,1),
(39,3309,1),
(39,3954,2),
(39,3372,1),
(39,3065,1),
(39,2928,1),
(39,2989,2),
(39,4058,1),
(39,5050,1),
(39,5051,1),
(39,5052,1),
(39,5054,1),
(39,2813,1),
(39,2814,1),
(39,5055,1),
(39,5021,1),
(39,5022,1),
(39,3930,1),
(39,3940,2),
(39,3409,1),
(39,5024,1),
(39,3146,1),
(39,5025,1),
(39,2729,1),
(39,4248,1),
(39,2942,1),
(39,4244,1),
(39,3322,1),
(39,2941,1),
(39,3376,1),
(39,5026,1),
(39,5027,1),
(39,4259,1),
(39,3139,1),
(39,5028,1),
(39,2731,1),
(39,5029,1),
(39,2718,1),
(39,3935,1),
(39,3061,1),
(39,5030,1),
(39,5031,1),
(39,5032,1),
(39,5033,1),
(39,3937,1),
(39,5034,1),
(39,5035,1),
(39,5036,1),
(39,3939,1),
(39,5037,1),
(39,5038,1),
(39,2810,1),
(39,3314,1),
(39,5040,1),
(39,1950,3),
(39,1951,3),
(40,5597,6),
(40,5598,6),
(40,5197,6),
(40,2480,7),
(40,4700,2),
(40,4701,2),
(40,3771,2),
(40,3779,3),
(40,3381,2),
(40,4702,4),
(40,1048,2),
(40,3079,2),
(40,4703,2),
(40,1219,2),
(40,720,3),
(40,1247,2),
(40,2840,2),
(40,4138,2),
(40,3267,2),
(40,1151,2),
(40,3332,2),
(40,4704,2),
(40,4705,2),
(40,4148,2),
(40,2837,5),
(40,3073,2),
(40,4706,2),
(40,47,8),
(40,2504,2),
(40,4707,2),
(40,2497,2),
(40,3776,1),
(40,31,1),
(40,4708,1),
(40,4709,1),
(40,4710,1),
(40,1246,1),
(40,3777,1),
(40,3792,2),
(40,4711,1),
(40,2744,9),
(40,4712,1),
(40,4713,1),
(40,3778,1),
(40,4714,1),
(40,464,1),
(40,2745,1),
(40,451,2),
(40,14,1),
(40,4715,1),
(40,4716,1),
(40,4717,1),
(40,4718,1),
(40,3789,1),
(40,4719,1),
(40,4720,1),
(40,2831,1),
(40,4721,1),
(40,4722,1),
(40,4723,1),
(40,4724,1),
(40,4078,1),
(40,2842,1),
(40,3780,2),
(40,3260,1),
(40,3328,1),
(40,3005,1),
(40,2828,1),
(40,3969,1),
(40,4725,1),
(40,51,2),
(40,710,3),
(40,4726,1),
(40,4727,1),
(40,4728,4),
(40,4729,1),
(40,2748,1),
(40,2749,1),
(40,4730,1),
(40,3380,1),
(40,3794,1),
(40,7,1),
(40,4731,1),
(40,4732,1),
(40,4733,1),
(40,4734,1),
(40,4735,1),
(40,4736,1),
(40,4737,1),
(40,4738,1),
(40,4739,1),
(40,4740,1),
(40,4741,1),
(40,4742,1),
(40,4743,1),
(40,4744,1),
(40,38,1),
(40,4745,1),
(40,4746,1),
(40,4747,2),
(40,4748,1),
(40,30,1),
(40,442,2),
(40,4749,1),
(40,4750,1),
(40,841,1),
(40,4751,1),
(40,4142,1),
(40,4752,1),
(40,4753,1),
(40,4754,2),
(40,4755,3),
(40,4756,1),
(40,4757,1),
(40,4758,1),
(40,74,1),
(40,4759,1),
(40,4760,1),
(40,3773,1),
(40,4761,1),
(40,4762,1),
(40,4763,1),
(40,4141,1),
(40,2752,1),
(40,4764,1),
(40,2827,1),
(40,3160,1),
(40,4765,1),
(40,4766,1),
(40,4767,1),
(40,4768,1),
(40,4146,1),
(40,4769,1),
(40,845,3),
(40,5599,6),
(40,5600,6),
(40,5201,6),
(40,2524,7),
(40,4775,2),
(40,4776,2),
(40,2552,14),
(40,3807,2),
(40,3817,3),
(40,3388,2),
(40,4777,4),
(40,4778,2),
(40,2520,12),
(40,3095,2),
(40,4779,2),
(40,2555,2),
(40,2961,3),
(40,4164,2),
(40,2865,2),
(40,4161,2),
(40,3280,2),
(40,2864,2),
(40,3343,2),
(40,4780,2),
(40,4781,2),
(40,4175,2),
(40,2861,5),
(40,882,2),
(40,4782,2),
(40,2523,8),
(40,2557,2),
(40,4783,2),
(40,2544,2),
(40,3812,1),
(40,3016,1),
(40,4784,1),
(40,4785,1),
(40,4786,1),
(40,4787,1),
(40,3814,1),
(40,3831,2),
(40,4788,1),
(40,2758,9),
(40,4789,1),
(40,4790,1),
(40,3816,1),
(40,4791,1),
(40,4792,1),
(40,2759,1),
(40,4793,2),
(40,3273,1),
(40,4794,1),
(40,4795,1),
(40,4796,1),
(40,4797,1),
(40,3827,1),
(40,4798,1),
(40,4799,1),
(40,2854,1),
(40,4800,1),
(40,4801,1),
(40,4802,1),
(40,4803,1),
(40,4090,1),
(40,2868,1),
(40,3818,2),
(40,3268,1),
(40,3339,1),
(40,3020,1),
(40,2851,1),
(40,1365,1),
(40,4804,1),
(40,2867,2),
(40,2556,3),
(40,4805,1),
(40,4806,1),
(40,4807,4),
(40,4808,1),
(40,2762,1),
(40,2763,1),
(40,4809,1),
(40,3387,1),
(40,3833,1),
(40,4810,1),
(40,4811,1),
(40,4812,1),
(40,4813,1),
(40,4814,1),
(40,4815,1),
(40,4816,1),
(40,4817,1),
(40,4818,1),
(40,4819,1),
(40,4820,1),
(40,4821,1),
(40,4822,1),
(40,4823,1),
(40,4824,1),
(40,3992,1),
(40,4825,1),
(40,4826,1),
(40,4827,2),
(40,4828,1),
(40,4829,1),
(40,4830,2),
(40,4831,1),
(40,4832,1),
(40,2550,1),
(40,4833,1),
(40,4167,1),
(40,4834,1),
(40,4835,1),
(40,4836,2),
(40,4837,3),
(40,4838,1),
(40,4839,1),
(40,4840,1),
(40,2561,1),
(40,4841,1),
(40,4842,1),
(40,3809,1),
(40,4843,1),
(40,4844,1),
(40,4845,1),
(40,4166,1),
(40,2768,1),
(40,4846,1),
(40,2850,1),
(40,3181,1),
(40,4847,1),
(40,4848,1),
(40,4849,1),
(40,4850,1),
(40,4172,1),
(40,4851,1),
(40,1704,3),
(40,5601,6),
(40,5602,6),
(40,5205,6),
(40,2581,7),
(40,4857,2),
(40,4858,2),
(40,2610,14),
(40,3848,2),
(40,3858,3),
(40,3395,2),
(40,4859,4),
(40,4860,2),
(40,2577,12),
(40,3112,2),
(40,4861,2),
(40,2613,2),
(40,2970,3),
(40,4192,2),
(40,2890,2),
(40,4188,2),
(40,3294,2),
(40,2889,2),
(40,3354,2),
(40,4862,2),
(40,4863,2),
(40,4203,2),
(40,2886,5),
(40,3105,2),
(40,4864,2),
(40,2580,8),
(40,2615,2),
(40,4865,2),
(40,2602,2),
(40,3853,1),
(40,3031,1),
(40,4866,1),
(40,4867,1),
(40,4868,1),
(40,4869,1),
(40,3855,1),
(40,3872,2),
(40,4870,1),
(40,2775,9),
(40,4871,1),
(40,4872,1),
(40,3857,1),
(40,4873,1),
(40,4874,1),
(40,2776,1),
(40,4875,2),
(40,3286,1),
(40,4876,1),
(40,4877,1),
(40,4878,1),
(40,4879,1),
(40,3868,1),
(40,4880,1),
(40,4881,1),
(40,2880,1),
(40,4882,1),
(40,4883,1),
(40,4884,1),
(40,4885,1),
(40,4102,1),
(40,2893,1),
(40,3859,2),
(40,3281,1),
(40,3350,1),
(40,3035,1),
(40,2877,1),
(40,4012,1),
(40,4886,1),
(40,2892,2),
(40,2614,3),
(40,4887,1),
(40,4888,1),
(40,4889,4),
(40,4890,1),
(40,2779,1),
(40,2780,1),
(40,4891,1),
(40,3394,1),
(40,3874,1),
(40,4892,1),
(40,4893,1),
(40,4894,1),
(40,4895,1),
(40,4896,1),
(40,4897,1),
(40,4898,1),
(40,4899,1),
(40,4900,1),
(40,4901,1),
(40,4902,1),
(40,4903,1),
(40,4904,1),
(40,4905,1),
(40,4906,1),
(40,4014,1),
(40,4907,1),
(40,4908,1),
(40,4909,2),
(40,4910,1),
(40,4911,1),
(40,4912,2),
(40,4913,1),
(40,4914,1),
(40,2608,1),
(40,4915,1),
(40,4195,1),
(40,4916,1),
(40,4917,1),
(40,4918,2),
(40,4919,3),
(40,4920,1),
(40,4921,1),
(40,4922,1),
(40,2619,1),
(40,4923,1),
(40,4924,1),
(40,3850,1),
(40,4925,1),
(40,4926,1),
(40,4927,1),
(40,4194,1),
(40,2785,1),
(40,4928,1),
(40,2876,1),
(40,3204,1),
(40,4929,1),
(40,4930,1),
(40,4931,1),
(40,4932,1),
(40,4200,1),
(40,4933,1),
(40,1030,3),
(40,5603,6),
(40,5604,6),
(40,5209,6),
(40,2639,7),
(40,4939,2),
(40,4940,2),
(40,2668,14),
(40,3889,2),
(40,3899,3),
(40,3402,2),
(40,4941,4),
(40,4942,2),
(40,2635,12),
(40,3129,2),
(40,4943,2),
(40,2671,2),
(40,2979,3),
(40,4220,2),
(40,2916,2),
(40,4216,2),
(40,3308,2),
(40,2915,2),
(40,3365,2),
(40,4944,2),
(40,4945,2),
(40,4231,2),
(40,2912,5),
(40,3122,2),
(40,4946,2),
(40,2638,8),
(40,2673,2),
(40,4947,2),
(40,2660,2),
(40,3894,1),
(40,3046,1),
(40,4948,1),
(40,4949,1),
(40,4950,1),
(40,4951,1),
(40,3896,1),
(40,3913,2),
(40,4952,1),
(40,2792,9),
(40,4953,1),
(40,4954,1),
(40,3898,1),
(40,4955,1),
(40,4956,1),
(40,2793,1),
(40,4957,2),
(40,3300,1),
(40,4958,1),
(40,4959,1),
(40,4960,1),
(40,4961,1),
(40,3909,1),
(40,4962,1),
(40,4963,1),
(40,2905,1),
(40,4964,1),
(40,4965,1),
(40,4966,1),
(40,4967,1),
(40,4114,1),
(40,2919,1),
(40,3900,2),
(40,3295,1),
(40,3361,1),
(40,3050,1),
(40,2902,1),
(40,4035,1),
(40,4968,1),
(40,2918,2),
(40,2672,3),
(40,4969,1),
(40,4970,1),
(40,4971,4),
(40,4972,1),
(40,2796,1),
(40,2797,1),
(40,4973,1),
(40,3401,1),
(40,3915,1),
(40,4974,1),
(40,4975,1),
(40,4976,1),
(40,4977,1),
(40,4978,1),
(40,4979,1),
(40,4980,1),
(40,4981,1),
(40,4982,1),
(40,4983,1),
(40,4984,1),
(40,4985,1),
(40,4986,1),
(40,4987,1),
(40,4988,1),
(40,4037,1),
(40,4989,1),
(40,4990,1),
(40,4991,2),
(40,4992,1),
(40,4993,1),
(40,4994,2),
(40,4995,1),
(40,4996,1),
(40,2666,1),
(40,4997,1),
(40,4223,1),
(40,4998,1),
(40,4999,1),
(40,5000,2),
(40,5001,3),
(40,5002,1),
(40,5003,1),
(40,5004,1),
(40,2677,1),
(40,5005,1),
(40,5006,1),
(40,3891,1),
(40,5007,1),
(40,5008,1),
(40,5009,1),
(40,4222,1),
(40,2802,1),
(40,5010,1),
(40,2901,1),
(40,3227,1),
(40,5011,1),
(40,5012,1),
(40,5013,1),
(40,5014,1),
(40,4228,1),
(40,5015,1),
(40,1861,3),
(40,5605,6),
(40,5606,6),
(40,5213,6),
(40,2698,7),
(40,5021,2),
(40,5022,2),
(40,2726,14),
(40,3930,2),
(40,3940,3),
(40,3409,2),
(40,5023,4),
(40,5024,2),
(40,2694,12),
(40,3146,2),
(40,5025,2),
(40,2729,2),
(40,2989,3),
(40,4248,2),
(40,2942,2),
(40,4244,2),
(40,3322,2),
(40,2941,2),
(40,3376,2),
(40,5026,2),
(40,5027,2),
(40,4259,2),
(40,2938,5),
(40,3139,2),
(40,5028,2),
(40,2697,8),
(40,2731,2),
(40,5029,2),
(40,2718,2),
(40,3935,1),
(40,3061,1),
(40,5030,1),
(40,5031,1),
(40,5032,1),
(40,5033,1),
(40,3937,1),
(40,3954,2),
(40,5034,1),
(40,2809,9),
(40,5035,1),
(40,5036,1),
(40,3939,1),
(40,5037,1),
(40,5038,1),
(40,2810,1),
(40,5039,2),
(40,3314,1),
(40,5040,1),
(40,5041,1),
(40,5042,1),
(40,5043,1),
(40,3950,1),
(40,5044,1),
(40,5045,1),
(40,2931,1),
(40,5046,1),
(40,5047,1),
(40,5048,1),
(40,5049,1),
(40,4126,1),
(40,2945,1),
(40,3941,2),
(40,3309,1),
(40,3372,1),
(40,3065,1),
(40,2928,1),
(40,4058,1),
(40,5050,1),
(40,2944,2),
(40,2730,3),
(40,5051,1),
(40,5052,1),
(40,5053,4),
(40,5054,1),
(40,2813,1),
(40,2814,1),
(40,5055,1),
(40,3408,1),
(40,3956,1),
(40,5056,1),
(40,5057,1),
(40,5058,1),
(40,5059,1),
(40,5060,1),
(40,5061,1),
(40,5062,1),
(40,5063,1),
(40,5064,1),
(40,5065,1),
(40,5066,1),
(40,5067,1),
(40,5068,1),
(40,5069,1),
(40,5070,1),
(40,4060,1),
(40,5071,1),
(40,5072,1),
(40,5073,2),
(40,5074,1),
(40,5075,1),
(40,5076,2),
(40,5077,1),
(40,5078,1),
(40,2724,1),
(40,5079,1),
(40,4251,1),
(40,5080,1),
(40,5081,1),
(40,5082,2),
(40,5083,3),
(40,5084,1),
(40,5085,1),
(40,5086,1),
(40,2735,1),
(40,5087,1),
(40,5088,1),
(40,3932,1),
(40,5089,1),
(40,5090,1),
(40,5091,1),
(40,4250,1),
(40,2819,1),
(40,5092,1),
(40,2927,1),
(40,3250,1),
(40,5093,1),
(40,5094,1),
(40,5095,1),
(40,5096,1),
(40,4256,1),
(40,5097,1),
(40,1950,3),
(40,1951,3),
(31,5080,1),
(31,5081,1),
(31,5082,2),
(31,5083,3),
(31,5084,1),
(31,5085,1),
(31,5086,1),
(31,2735,1),
(31,5087,1),
(31,5088,1),
(31,3932,1),
(31,5089,1),
(31,5090,1),
(31,5091,1),
(31,4250,1),
(31,2819,1),
(31,5092,1),
(31,2927,1),
(31,3250,1),
(31,5093,1),
(31,5094,1),
(31,5095,1),
(31,5096,1),
(31,4256,1),
(31,5097,1),
(31,1950,3),
(31,1951,3),
(8,4723,2),
(8,4722,2),
(8,4721,2),
(8,2831,2),
(8,4720,2),
(8,4719,2),
(8,3789,2),
(8,2837,5),
(8,2744,11),
(8,4718,2),
(8,4717,2),
(8,4716,2),
(8,5197,6),
(8,5196,6),
(8,5195,6),
(8,5194,6),
(30,5037,1),
(30,5038,1),
(30,2810,1),
(30,3314,1),
(30,5040,1),
(30,1950,3),
(30,1951,3),
(28,2819,1),
(28,5092,1),
(28,2927,1),
(28,3250,1),
(28,5093,1),
(28,5094,1),
(28,5095,1),
(28,5096,1),
(28,4256,1),
(28,5097,1),
(28,1950,3),
(28,1951,3),
(29,2927,1),
(29,3250,1),
(29,5093,1),
(29,5094,1),
(29,5095,1),
(29,5096,1),
(29,4256,1),
(29,5097,1),
(29,1950,3),
(29,1951,3),
(5,5155,6),
(5,5154,6),
(5,4696,6),
(38,1951,3),
(25,5095,1),
(25,5096,1),
(25,4256,1),
(25,5097,1),
(25,1950,3),
(25,1951,3),
(22,1951,3),
(22,2219,2),
(15,3939,1),
(15,5037,1),
(15,5038,1),
(15,2810,1),
(15,3314,1),
(15,5040,1),
(15,1950,3),
(15,1951,3),
(15,3736,3),
(15,1885,3),
(18,3939,1),
(18,5037,1),
(18,5038,1),
(18,2810,1),
(18,3314,1),
(18,5040,1),
(18,1950,3),
(18,1951,3),
(18,3740,3),
(18,1888,3),
(19,5093,1),
(19,5094,1),
(19,5095,1),
(19,5096,1),
(19,4256,1),
(19,5097,1),
(19,1950,3),
(19,1951,3),
(19,3748,3),
(19,3749,3),
(5,1950,3),
(5,1951,3),
(5,1875,3),
(5,1876,3),
(5,2736,4),
(5,2737,6),
(5,2738,6),
(5,2739,4),
(20,5095,1),
(20,5096,1),
(20,4256,1),
(20,5097,1),
(20,1950,3),
(20,1951,3),
(20,1891,3),
(20,3753,3),
(2,2927,1),
(2,3250,1),
(2,5093,1),
(2,5094,1),
(2,5095,1),
(2,5096,1),
(2,4256,1),
(2,5097,1),
(2,1950,3),
(2,1951,3),
(2,2110,3),
(2,2111,3),
(2,3760,3),
(2,3761,3),
(2,2736,4),
(2,2737,6),
(2,2738,6),
(2,2739,4),
(1,2298,3),
(1,2736,4),
(1,2737,6),
(1,2738,6),
(1,2739,4),
(3,2736,4),
(3,2737,6),
(3,2738,6),
(3,2739,4),
(3,2219,2),
(4,3381,2),
(4,3779,3),
(4,3771,2),
(4,4701,2),
(4,4700,2),
(4,2480,7),
(4,4699,6),
(4,690,6),
(4,5141,6),
(4,5140,6),
(6,3314,1),
(6,5040,1),
(6,1950,3),
(6,1951,3),
(6,3740,3),
(6,1888,3),
(6,2736,4),
(6,2737,6),
(6,2738,6),
(6,2739,4),
(7,5093,1),
(7,5094,1),
(7,5095,1),
(7,5096,1),
(7,4256,1),
(7,5097,1),
(7,1950,3),
(7,1951,3),
(7,3748,3),
(7,3749,3),
(9,5037,1),
(9,5038,1),
(9,2810,1),
(9,3314,1),
(9,5040,1),
(9,1950,3),
(9,1951,3),
(9,1891,3),
(9,3753,3);

/* Table structure for table `ps_search_word` */
DROP TABLE IF EXISTS `ps_search_word`;

CREATE TABLE `ps_search_word` (
  `id_word` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `id_lang` int(10) unsigned NOT NULL,
  `word` varchar(15) NOT NULL,
  PRIMARY KEY (`id_word`),
  UNIQUE KEY `id_lang` (`id_lang`,`word`)
) ENGINE=MyISAM AUTO_INCREMENT=5607 DEFAULT CHARSET=utf8;

/* dumping data for table `ps_search_word` */
INSERT INTO `ps_search_word` VALUES
(1,1,'ipod'),
(2,1,'nano'),
(3,1,'design'),
(4,1,'features'),
(5,1,'16gb'),
(6,1,'rocks'),
(7,1,'like'),
(8,1,'never'),
(9,1,'before'),
(10,1,'curved'),
(11,1,'ahead'),
(12,1,'curve'),
(13,1,'those'),
(14,1,'about'),
(15,1,'rock,'),
(16,1,'give'),
(17,1,'nine'),
(18,1,'amazing'),
(19,1,'colors'),
(20,1,'that\'s'),
(21,1,'only'),
(22,1,'part'),
(23,1,'story'),
(24,1,'feel'),
(25,1,'curved,'),
(26,1,'allaluminum'),
(27,1,'glass'),
(28,1,'won\'t'),
(29,1,'want'),
(30,1,'down'),
(31,1,'great'),
(32,1,'looks'),
(33,1,'brains,'),
(34,1,'genius'),
(35,1,'feature'),
(36,1,'turns'),
(37,1,'into'),
(38,1,'your'),
(39,1,'highly'),
(40,1,'intelligent,'),
(41,1,'personal'),
(42,1,'creates'),
(43,1,'playlists'),
(44,1,'finding'),
(45,1,'songs'),
(46,1,'library'),
(47,1,'that'),
(48,1,'together'),
(49,1,'made'),
(50,1,'move'),
(51,1,'with'),
(52,1,'moves'),
(53,1,'accelerometer'),
(54,1,'comes'),
(55,1,'shake'),
(56,1,'shuffle'),
(57,1,'music'),
(58,1,'turn'),
(59,1,'sideways'),
(60,1,'view'),
(61,1,'cover'),
(62,1,'flow'),
(63,1,'play'),
(64,1,'games'),
(65,1,'designed'),
(66,1,'mind'),
(67,1,'ipods'),
(68,1,'apple'),
(69,1,'computer,'),
(70,1,'metal'),
(71,1,'16go'),
(72,1,'yellow'),
(73,1,'blue'),
(74,1,'black'),
(75,1,'orange'),
(76,1,'pink'),
(77,1,'green'),
(78,1,'purple'),
(79,1,'g'),
(80,1,'minijack'),
(81,1,'stereo'),
(82,2,'ipod'),
(83,2,'nano'),
(84,2,'nouveau'),
(85,2,'design'),
(86,2,'nouvelles'),
(87,2,'fonctionnalité'),
(88,2,'désormais'),
(89,2,'nano,'),
(90,2,'plus'),
(91,2,'rock'),
(92,2,'jamais'),
(93,2,'courbes'),
(94,2,'avantageuses'),
(95,2,'pour'),
(96,2,'amateurs'),
(97,2,'sensations,'),
(98,2,'voici'),
(99,2,'neuf'),
(100,2,'nouveaux'),
(101,2,'coloris'),
(102,2,'n\'est'),
(103,2,'tout'),
(104,2,'faites'),
(105,2,'l\'expérience'),
(106,2,'elliptique'),
(107,2,'aluminum'),
(108,2,'verre'),
(109,2,'vous'),
(110,2,'voudrez'),
(111,2,'lâcher'),
(112,2,'beau'),
(113,2,'intelligent'),
(114,2,'nouvelle'),
(115,2,'genius'),
(116,2,'fait'),
(117,2,'d\'ipod'),
(118,2,'votre'),
(119,2,'personnel'),
(120,2,'crée'),
(121,2,'listes'),
(122,2,'lecture'),
(123,2,'recherchant'),
(124,2,'dans'),
(125,2,'bibliothèque'),
(126,2,'chansons'),
(127,2,'vont'),
(128,2,'bien'),
(129,2,'ensemble'),
(130,2,'bouger'),
(131,2,'avec'),
(132,2,'équipé'),
(133,2,'l\'accéléromè'),
(134,2,'secouezle'),
(135,2,'mélanger'),
(136,2,'musique'),
(137,2,'basculezle'),
(138,2,'afficher'),
(139,2,'cover'),
(140,2,'flow'),
(141,2,'découvrez'),
(142,2,'jeux'),
(143,2,'adaptés'),
(144,2,'mouvements'),
(145,2,'ipods'),
(146,2,'apple'),
(147,2,'computer,'),
(148,2,'metal'),
(149,2,'16go'),
(150,2,'jaune'),
(151,2,'bleu'),
(152,2,'noir'),
(153,2,'orange'),
(154,2,'rose'),
(155,2,'vert'),
(156,2,'violet'),
(157,2,'g'),
(158,2,'minijack'),
(159,2,'stéréo'),
(160,3,'ipod'),
(161,3,'nano'),
(162,3,'nuevo'),
(163,3,'diseño'),
(164,3,'nuevas'),
(165,3,'aplicaciones'),
(166,3,'ahora'),
(167,3,'disponible'),
(168,3,'nano,'),
(169,3,'rock'),
(170,3,'nunca'),
(171,3,'curvas'),
(172,3,'aerodinámicas'),
(173,3,'para'),
(174,3,'aficionados'),
(175,3,'sensaciones'),
(176,3,'fuertes,'),
(177,3,'presentamos'),
(178,3,'nueve'),
(179,3,'nuevos'),
(180,3,'colores'),
(181,3,'todo'),
(182,3,'experimenta'),
(183,3,'elíptico'),
(184,3,'aluminio'),
(185,3,'vidrio'),
(186,3,'querrás'),
(187,3,'separarte'),
(188,3,'estético'),
(189,3,'inteligente'),
(190,3,'nueva'),
(191,3,'aplicación'),
(192,3,'genius'),
(193,3,'hace'),
(194,3,'discjockey'),
(195,3,'personal'),
(196,3,'genuis'),
(197,3,'crea'),
(198,3,'listas'),
(199,3,'lectura'),
(200,3,'buscando'),
(201,3,'biblioteca'),
(202,3,'canciones'),
(203,3,'combinan'),
(204,3,'entre'),
(205,3,'hecho'),
(206,3,'moverse'),
(207,3,'contigo'),
(208,3,'está'),
(209,3,'equipado'),
(210,3,'acelerómetro'),
(211,3,'muévelo'),
(212,3,'mezclar'),
(213,3,'música'),
(214,3,'voltéalo'),
(215,3,'mostrar'),
(216,3,'cover'),
(217,3,'flow'),
(218,3,'descubre'),
(219,3,'juegos'),
(220,3,'adaptados'),
(221,3,'movimientos'),
(222,3,'ipods'),
(223,3,'apple'),
(224,3,'computer,'),
(225,3,'metal'),
(226,3,'16go'),
(227,3,'amarillo'),
(228,3,'azul'),
(229,3,'negro'),
(230,3,'naranja'),
(231,3,'rosa'),
(232,3,'verde'),
(233,3,'violeta'),
(234,3,'minijack'),
(235,3,'stéréo'),
(236,1,'shuffle,'),
(237,1,'world'),
(238,1,'most'),
(239,1,'wearable'),
(240,1,'player,'),
(241,1,'clips'),
(242,1,'more'),
(243,1,'vibrant'),
(244,1,'blue,'),
(245,1,'green,'),
(246,1,'pink,'),
(247,1,'instant'),
(248,1,'attachment'),
(249,1,'wear'),
(250,1,'sleeve'),
(251,1,'belt'),
(252,1,'shorts'),
(253,1,'badge'),
(254,1,'musical'),
(255,1,'devotion'),
(256,1,'new,'),
(257,1,'brilliant'),
(258,1,'feed'),
(259,1,'itunes'),
(260,1,'entertainment'),
(261,1,'superstore'),
(262,1,'ultraorganized'),
(263,1,'collection'),
(264,1,'jukebox'),
(265,1,'load'),
(266,1,'click'),
(267,1,'beauty'),
(268,1,'beat'),
(269,1,'intensely'),
(270,1,'colorful'),
(271,1,'anodized'),
(272,1,'aluminum'),
(273,1,'complements'),
(274,1,'simple'),
(275,1,'red,'),
(276,1,'original'),
(277,1,'silver'),
(278,1,'(clip'),
(279,1,'compris)'),
(280,2,'shuffle'),
(281,2,'shuffle,'),
(282,2,'baladeur'),
(283,2,'portable'),
(284,2,'monde,'),
(285,2,'clippe'),
(286,2,'maintenant'),
(287,2,'bleu,'),
(288,2,'vert,'),
(289,2,'rouge'),
(290,2,'lien'),
(291,2,'immédiat'),
(292,2,'portez'),
(294,2,'accrochées'),
(295,2,'manche,'),
(296,2,'ceinture'),
(297,2,'short'),
(298,2,'arborez'),
(299,2,'comme'),
(300,2,'signe'),
(301,2,'extérieur'),
(302,2,'passion'),
(303,2,'existe'),
(304,2,'quatre'),
(305,2,'encore'),
(306,2,'éclatants'),
(307,2,'emplissez'),
(308,2,'itunes'),
(309,2,'immense'),
(310,2,'magasin'),
(311,2,'dédié'),
(312,2,'divertissement,'),
(313,2,'collection'),
(314,2,'musicale'),
(315,2,'parfaitement'),
(316,2,'organisée'),
(317,2,'jukebox'),
(318,2,'pouvez'),
(319,2,'seul'),
(320,2,'clic'),
(321,2,'remplir'),
(322,2,'technicolor'),
(323,2,'s\'affiche'),
(324,2,'intenses'),
(325,2,'rehaussent'),
(326,2,'épuré'),
(327,2,'boîtier'),
(328,2,'aluminium'),
(329,2,'anodisé'),
(330,2,'choisissez'),
(331,2,'parmi'),
(332,2,'rose,'),
(333,2,'l\'argenté'),
(334,2,'d\'origine'),
(335,2,'(clip'),
(336,2,'compris)'),
(337,3,'shuffle'),
(338,3,'shuffle,'),
(339,3,'walkman'),
(340,3,'portátil'),
(341,3,'mundo,'),
(342,3,'azul,'),
(343,3,'verde,'),
(344,3,'rojo'),
(345,3,'enlace'),
(346,3,'inmediato'),
(347,3,'lleva'),
(348,3,'hasta'),
(349,3,'colgadas'),
(350,3,'manga,'),
(351,3,'cinturón'),
(352,3,'pantalón'),
(353,3,'presume'),
(354,3,'como'),
(355,3,'signo'),
(356,3,'exterior'),
(357,3,'pasión'),
(358,3,'existen'),
(359,3,'cuatro'),
(360,3,'llamativos'),
(361,3,'llena'),
(362,3,'itunes'),
(363,3,'enorme'),
(364,3,'tienda'),
(365,3,'dedicada'),
(366,3,'diversión,'),
(367,3,'colección'),
(368,3,'organizada'),
(369,3,'perfectamente'),
(370,3,'jukebox'),
(371,3,'solo'),
(372,3,'clic'),
(373,3,'puedes'),
(374,3,'llenar'),
(375,3,'tecnicolor'),
(376,3,'presenta'),
(377,3,'vivos'),
(378,3,'realzan'),
(379,3,'estilizado'),
(380,3,'anodizado'),
(381,3,'elige'),
(382,3,'rosa,'),
(383,3,'plateado'),
(384,3,'origen'),
(385,3,'(clip'),
(386,3,'incluyendo)'),
(387,1,'macbook'),
(388,1,'ultrathin,'),
(389,1,'ultraportable,'),
(390,1,'ultra'),
(391,1,'unlike'),
(392,1,'anything'),
(393,1,'else'),
(394,1,'lose'),
(395,1,'inches'),
(396,1,'pounds'),
(397,1,'overnight'),
(398,1,'result'),
(399,1,'rethinking'),
(400,1,'conventions'),
(401,1,'multiple'),
(402,1,'wireless'),
(403,1,'innovations'),
(404,1,'breakthrough'),
(405,1,'air,'),
(406,1,'mobile'),
(407,1,'computing'),
(408,1,'suddenly'),
(409,1,'standard'),
(410,1,'nearly'),
(411,1,'thin'),
(412,1,'index'),
(413,1,'finger'),
(414,1,'practically'),
(415,1,'every'),
(416,1,'detail'),
(417,1,'could'),
(418,1,'streamlined'),
(419,1,'been'),
(420,1,'still'),
(421,1,'133inch'),
(422,1,'widescreen'),
(423,1,'display,'),
(424,1,'fullsize'),
(425,1,'keyboard,'),
(426,1,'large'),
(427,1,'multitouch'),
(428,1,'trackpad'),
(429,1,'incomparably'),
(430,1,'portable'),
(431,1,'without'),
(432,1,'usual'),
(433,1,'ultraportable'),
(434,1,'screen'),
(435,1,'keyboard'),
(436,1,'compromisesthe'),
(437,1,'incredible'),
(438,1,'thinness'),
(439,1,'numerous'),
(440,1,'size'),
(441,1,'weightshaving'),
(442,1,'from'),
(443,1,'slimmer'),
(444,1,'hard'),
(445,1,'drive'),
(446,1,'strategically'),
(447,1,'hidden'),
(448,1,'ports'),
(449,1,'lowerprofile'),
(450,1,'battery,'),
(451,1,'everything'),
(452,1,'considered'),
(453,1,'reconsidered'),
(454,1,'mindmacbook'),
(455,1,'engineered'),
(456,1,'take'),
(457,1,'full'),
(458,1,'advantage'),
(459,1,'which'),
(460,1,'80211n'),
(461,1,'wifi'),
(462,1,'fast'),
(463,1,'available,'),
(464,1,'people'),
(465,1,'truly'),
(466,1,'living'),
(467,1,'untethered'),
(468,1,'buying'),
(469,1,'renting'),
(470,1,'movies'),
(471,1,'online,'),
(472,1,'downloading'),
(473,1,'software,'),
(474,1,'sharing'),
(475,1,'storing'),
(476,1,'files'),
(477,1,'laptops'),
(478,1,'80gb'),
(479,1,'parallel'),
(480,1,'4200'),
(481,1,'160ghz'),
(482,1,'intel'),
(483,1,'core'),
(484,1,'optional'),
(485,1,'64gb'),
(486,1,'solidstate'),
(487,1,'180ghz'),
(488,2,'macbook'),
(489,2,'ultra'),
(490,2,'fin,'),
(491,2,'différent'),
(492,2,'reste'),
(493,2,'mais'),
(494,2,'perd'),
(495,2,'kilos'),
(496,2,'centimètres'),
(497,2,'nuit'),
(498,2,'c\'est'),
(499,2,'résultat'),
(500,2,'d\'une'),
(501,2,'réinvention'),
(502,2,'normes'),
(503,2,'multitude'),
(504,2,'d\'innovations'),
(505,2,'sans'),
(506,2,'révolution'),
(507,2,'air,'),
(508,2,'l\'informatique'),
(509,2,'mobile'),
(510,2,'prend'),
(511,2,'soudain'),
(512,2,'dimension'),
(513,2,'presque'),
(514,2,'aussi'),
(515,2,'index'),
(516,2,'pratiquement'),
(517,2,'pouvait'),
(518,2,'être'),
(519,2,'simplifié'),
(520,2,'n\'en'),
(521,2,'dispose'),
(522,2,'moins'),
(523,2,'d\'un'),
(524,2,'écran'),
(525,2,'panoramique'),
(526,2,'pouces,'),
(527,2,'clavier'),
(528,2,'complet'),
(529,2,'vaste'),
(530,2,'trackpad'),
(531,2,'multitouch'),
(532,2,'incomparablemen'),
(533,2,'évite'),
(534,2,'compromis'),
(535,2,'habituels'),
(536,2,'matière'),
(537,2,'d\'écran'),
(538,2,'ultraportablesl'),
(539,2,'finesse'),
(540,2,'grand'),
(541,2,'nombre'),
(542,2,'termes'),
(543,2,'réduction'),
(544,2,'taille'),
(545,2,'poids'),
(546,2,'disque'),
(547,2,'ports'),
(548,2,'habilement'),
(549,2,'dissimulés'),
(550,2,'passant'),
(551,2,'batterie'),
(552,2,'plate,'),
(553,2,'chaque'),
(554,2,'détail'),
(555,2,'considéré'),
(556,2,'reconsidéré'),
(557,2,'l\'espritmacbook'),
(558,2,'conçu'),
(559,2,'élaboré'),
(560,2,'profiter'),
(561,2,'pleinement'),
(562,2,'monde'),
(563,2,'lequel'),
(564,2,'norme'),
(565,2,'wifi'),
(566,2,'80211n'),
(567,2,'rapide'),
(568,2,'accessible'),
(569,2,'qu\'elle'),
(570,2,'permet'),
(571,2,'véritablement'),
(572,2,'libérer'),
(573,2,'toute'),
(574,2,'attache'),
(575,2,'acheter'),
(576,2,'vidéos'),
(577,2,'ligne,'),
(578,2,'télécharger'),
(579,2,'logicééééie'),
(580,2,'stocker'),
(581,2,'partager'),
(582,2,'fichiers'),
(583,2,'portables'),
(584,2,'macbookair'),
(585,2,'pata'),
(586,2,'intel'),
(587,2,'core'),
(588,2,'(solidstate'),
(589,2,'drive)'),
(590,3,'macbook'),
(591,3,'ultra'),
(592,3,'fino,'),
(593,3,'diferente'),
(594,3,'resto'),
(595,3,'pero'),
(596,3,'pierden'),
(597,3,'kilos'),
(598,3,'centímetros'),
(599,3,'noche'),
(600,3,'esto'),
(601,3,'resultado'),
(602,3,'invento'),
(603,3,'normas'),
(604,3,'sinfín'),
(605,3,'novedades'),
(606,3,'cable'),
(607,3,'revolución'),
(608,3,'air,'),
(609,3,'informática'),
(610,3,'móvil'),
(611,3,'adquiere'),
(612,3,'dimensión'),
(613,3,'casi'),
(614,3,'fino'),
(615,3,'dedo'),
(616,3,'simplificado'),
(617,3,'máximo'),
(618,3,'pesar'),
(619,3,'ello'),
(620,3,'dispone'),
(621,3,'pantalla'),
(622,3,'panorámica'),
(623,3,'pulgadas,'),
(624,3,'teclado'),
(625,3,'completo'),
(626,3,'amplio'),
(627,3,'trackpad'),
(628,3,'multitouch'),
(629,3,'100%,'),
(630,3,'evitará'),
(631,3,'tener'),
(632,3,'hacer'),
(633,3,'compromiso'),
(634,3,'concierne'),
(635,3,'increíble'),
(636,3,'sutileza'),
(637,3,'gran'),
(638,3,'número'),
(639,3,'innovaciones'),
(640,3,'materia'),
(641,3,'reducción'),
(642,3,'tamaño'),
(643,3,'peso'),
(644,3,'desde'),
(645,3,'disco'),
(646,3,'duro'),
(647,3,'puertos'),
(648,3,'disimulados'),
(649,3,'hábilmente'),
(650,3,'pasando'),
(651,3,'batería'),
(652,3,'plana,'),
(653,3,'cada'),
(654,3,'detalle'),
(655,3,'consideró'),
(656,3,'fuera'),
(657,3,'posible'),
(658,3,'creado'),
(659,3,'elaborado'),
(660,3,'disfrutar'),
(661,3,'plenamente'),
(662,3,'mundo'),
(663,3,'inalámbrico'),
(664,3,'norma'),
(665,3,'wifi'),
(666,3,'80211n'),
(667,3,'rápida'),
(668,3,'accesible'),
(669,3,'permite'),
(670,3,'liberarse'),
(671,3,'completamente'),
(672,3,'cualquier'),
(673,3,'atadura'),
(674,3,'comprar'),
(675,3,'videos'),
(676,3,'línea,'),
(677,3,'descargar'),
(678,3,'programas,'),
(679,3,'almacenar'),
(680,3,'compartir'),
(681,3,'archivos'),
(682,3,'portátiles'),
(683,3,'pata'),
(684,3,'intel'),
(685,3,'core'),
(686,3,'(solidstate'),
(687,3,'drive)'),
(688,1,'makes'),
(689,1,'easy'),
(690,1,'road'),
(691,1,'thanks'),
(692,1,'tough'),
(693,1,'polycarbonate'),
(694,1,'case,'),
(695,1,'builtin'),
(696,1,'technologies,'),
(697,1,'innovative'),
(698,1,'magsafe'),
(699,1,'power'),
(700,1,'adapter'),
(701,1,'releases'),
(702,1,'automatically'),
(703,1,'someone'),
(704,1,'accidentally'),
(705,1,'trips'),
(706,1,'cord'),
(707,1,'larger'),
(708,1,'drive,'),
(709,1,'250gb,'),
(710,1,'store'),
(711,1,'growing'),
(712,1,'media'),
(713,1,'collections'),
(714,1,'valuable'),
(715,1,'datathe'),
(716,1,'24ghz'),
(717,1,'models'),
(718,1,'include'),
(719,1,'memory'),
(720,1,'perfect'),
(721,1,'running'),
(722,1,'favorite'),
(723,1,'applications'),
(724,1,'smoothly'),
(725,1,'superdrive'),
(726,2,'offre'),
(727,2,'liberté'),
(728,2,'mouvement'),
(729,2,'grâce'),
(730,2,'résistant'),
(731,2,'polycarbonate,'),
(732,2,'technologies'),
(733,2,'intégrées'),
(734,2,'adaptateur'),
(735,2,'secteur'),
(736,2,'magsafe'),
(737,2,'novateur'),
(738,2,'déconnecte'),
(739,2,'automatiquement'),
(740,2,'quelqu\'un'),
(741,2,'pieds'),
(742,2,'spacieux,'),
(743,2,'capacité'),
(744,2,'atteignant'),
(745,2,'collections'),
(746,2,'multimédia'),
(747,2,'expansion'),
(748,2,'données'),
(749,2,'précieusesle'),
(750,2,'modèle'),
(751,2,'intègre'),
(752,2,'mémoire'),
(753,2,'standard'),
(754,2,'l\'idéal'),
(755,2,'exécuter'),
(756,2,'souplesse'),
(757,2,'applications'),
(758,2,'préférées'),
(759,3,'ofrece'),
(760,3,'libertad'),
(761,3,'gracias'),
(762,3,'resistente'),
(763,3,'policarbonato,'),
(764,3,'tecnología'),
(765,3,'adaptador'),
(766,3,'cargador'),
(767,3,'sector'),
(768,3,'innovador'),
(769,3,'desconecta'),
(770,3,'automáticament'),
(771,3,'alguien'),
(772,3,'engancha'),
(773,3,'espacioso,'),
(774,3,'capacidad'),
(775,3,'colecciones'),
(776,3,'multimedia'),
(777,3,'expansión'),
(778,3,'datos'),
(779,3,'preciados'),
(780,3,'modelo'),
(781,3,'integra'),
(782,3,'memoria'),
(783,3,'estándar'),
(784,3,'ideal'),
(785,3,'realizar'),
(786,3,'dificultad'),
(787,3,'preferidas'),
(788,1,'touch'),
(789,1,'revolutionary'),
(790,1,'interface'),
(791,1,'35inch'),
(792,1,'color'),
(793,1,'display'),
(794,1,'(80211b'),
(795,1,'safari,'),
(796,1,'youtube,'),
(797,1,'mail,'),
(798,1,'stocks,'),
(799,1,'weather,'),
(800,1,'notes,'),
(801,1,'store,'),
(802,1,'maps'),
(803,1,'five'),
(804,1,'handson'),
(805,1,'rich'),
(806,1,'html'),
(807,1,'email'),
(808,1,'photos'),
(809,1,'well'),
(810,1,'pdf,'),
(811,1,'word,'),
(812,1,'excel'),
(813,1,'attachments'),
(814,1,'maps,'),
(815,1,'directions,'),
(816,1,'realtime'),
(817,1,'traffic'),
(818,1,'information'),
(819,1,'notes'),
(820,1,'read'),
(821,1,'stock'),
(822,1,'weather'),
(823,1,'reports'),
(824,1,'music,'),
(825,1,'movies,'),
(826,1,'technology'),
(827,1,'built'),
(828,1,'gorgeous'),
(829,1,'lets'),
(830,1,'pinch,'),
(831,1,'zoom,'),
(832,1,'scroll,'),
(833,1,'flick'),
(834,1,'fingers'),
(835,1,'internet'),
(836,1,'pocket'),
(837,1,'safari'),
(838,1,'browser,'),
(839,1,'websites'),
(840,1,'they'),
(841,1,'were'),
(842,1,'seen'),
(843,1,'zoom'),
(844,1,'tap2'),
(845,1,'home'),
(846,1,'quick'),
(847,1,'access'),
(848,1,'sites'),
(849,1,'what\'s'),
(850,1,'earphones'),
(851,1,'cable'),
(852,1,'dock'),
(853,1,'polishing'),
(854,1,'cloth'),
(855,1,'stand'),
(856,1,'start'),
(857,1,'guide'),
(858,1,'32go'),
(859,1,'jack'),
(860,1,'120g'),
(861,1,'70mm'),
(862,1,'110mm'),
(863,2,'touch'),
(864,2,'interface'),
(865,2,'révolutionnair'),
(866,2,'couleur'),
(867,2,'pouceswifi'),
(868,2,'(80211b'),
(869,2,'d\'épaisseursaf'),
(870,2,'youtube,'),
(871,2,'music'),
(872,2,'store,'),
(873,2,'courrier,'),
(874,2,'cartes,'),
(875,2,'bourse,'),
(876,2,'météo,'),
(877,2,'notes'),
(878,2,'titre'),
(879,2,'paragraphe'),
(880,2,'cinq'),
(881,2,'sous'),
(882,2,'main'),
(883,2,'consultez'),
(884,2,'emails'),
(885,2,'format'),
(886,2,'html'),
(887,2,'enrichi,'),
(888,2,'photos'),
(889,2,'pieces'),
(890,2,'jointes'),
(891,2,'pdf,'),
(892,2,'word'),
(893,2,'excel'),
(894,2,'obtenez'),
(895,2,'itinéraires'),
(896,2,'informations'),
(897,2,'l\'état'),
(898,2,'circulation'),
(899,2,'temps'),
(900,2,'réel'),
(901,2,'rédigez'),
(902,2,'cours'),
(903,2,'bourse'),
(904,2,'bulletins'),
(905,2,'météo'),
(906,2,'touchez'),
(907,2,'doigt'),
(908,2,'entre'),
(909,2,'autres'),
(910,2,'technologie'),
(911,2,'intégrée'),
(912,2,'superbe'),
(913,2,'pouces'),
(914,2,'d\'effectuer'),
(915,2,'zooms'),
(916,2,'avant'),
(917,2,'arrière,'),
(918,2,'faire'),
(919,2,'défiler'),
(920,2,'feuilleter'),
(921,2,'pages'),
(922,2,'l\'aide'),
(923,2,'seuls'),
(924,2,'doigts'),
(925,2,'internet'),
(926,2,'poche'),
(927,2,'navigateur'),
(928,2,'safari,'),
(929,2,'consulter'),
(930,2,'sites'),
(931,2,'leur'),
(932,2,'mise'),
(933,2,'page'),
(934,2,'effectuer'),
(935,2,'zoom'),
(936,2,'arrière'),
(937,2,'simple'),
(938,2,'pression'),
(939,2,'l\'écran'),
(940,2,'contenu'),
(941,2,'coffret'),
(942,2,'écouteurs'),
(943,2,'câble'),
(944,2,'dock'),
(945,2,'chiffon'),
(946,2,'nettoyage'),
(947,2,'support'),
(948,2,'guide'),
(949,2,'démarrage'),
(950,2,'tactile'),
(951,2,'32go'),
(952,2,'jack'),
(953,2,'120g'),
(954,2,'70mm'),
(955,2,'110mm'),
(956,3,'touch'),
(957,3,'interfaz'),
(958,3,'revolucionaria'),
(959,3,'color'),
(960,3,'pulgadas'),
(961,3,'(80211b'),
(962,3,'espesor'),
(963,3,'safari,'),
(964,3,'youtube,'),
(965,3,'music'),
(966,3,'store,'),
(967,3,'correo,'),
(968,3,'mapas,'),
(969,3,'bolsa,'),
(970,3,'tiempo,'),
(971,3,'notas'),
(972,3,'cinco'),
(973,3,'mano'),
(974,3,'consulta'),
(975,3,'correo'),
(976,3,'formato'),
(977,3,'html'),
(978,3,'enriquecido,'),
(979,3,'fotos'),
(980,3,'ficheros'),
(981,3,'adjuntos'),
(982,3,'pdf,'),
(983,3,'word'),
(984,3,'excel'),
(985,3,'consigue'),
(986,3,'itinerarios'),
(987,3,'información'),
(988,3,'sobre'),
(989,3,'estado'),
(990,3,'carreteras'),
(991,3,'tiempo'),
(992,3,'real'),
(993,3,'escribe'),
(994,3,'bolsa'),
(995,3,'alcanza'),
(996,3,'videos,'),
(997,3,'otras'),
(998,3,'cosas'),
(999,3,'integrada'),
(1000,3,'magnífica'),
(1001,3,'permitirá'),
(1002,3,'efectuar'),
(1003,3,'zoom'),
(1004,3,'hacia'),
(1005,3,'adelante'),
(1006,3,'atrás,'),
(1007,3,'pasar'),
(1008,3,'ojear'),
(1009,3,'páginas'),
(1010,3,'ayuda'),
(1011,3,'dedos'),
(1012,3,'internet'),
(1013,3,'bolsillo'),
(1014,3,'navegador'),
(1015,3,'podrás'),
(1016,3,'consultar'),
(1017,3,'sitios'),
(1018,3,'compaginación'),
(1019,3,'atrás'),
(1020,3,'simple'),
(1021,3,'presión'),
(1022,3,'contenido'),
(1023,3,'estuche'),
(1024,3,'auriculares'),
(1025,3,'dock'),
(1026,3,'paño'),
(1027,3,'limpieza'),
(1028,3,'base'),
(1029,3,'guía'),
(1030,3,'inicio'),
(1031,3,'rápido'),
(1032,3,'título'),
(1033,3,'párrafo'),
(1034,3,'32go'),
(1035,3,'jack'),
(1036,3,'120g'),
(1037,3,'70mm'),
(1038,3,'110mm'),
(1039,1,'housse'),
(1040,1,'portefeuille'),
(1041,1,'cuir'),
(1042,1,'belkin'),
(1043,1,'pour'),
(1044,1,'noir'),
(1045,1,'chocolat'),
(1046,1,'lorem'),
(1047,1,'ipsum'),
(1048,1,'accessories'),
(1049,2,'housse'),
(1050,2,'portefeuille'),
(1051,2,'cuir'),
(1052,2,'(ipod'),
(1053,2,'nano)'),
(1054,2,'chocolat'),
(1055,2,'étui'),
(1056,2,'tendance'),
(1057,2,'assure'),
(1058,2,'protection'),
(1059,2,'complète'),
(1060,2,'contre'),
(1061,2,'éraflures'),
(1062,2,'petits'),
(1063,2,'aléas'),
(1064,2,'quotidienne'),
(1065,2,'conception'),
(1066,2,'élégante'),
(1067,2,'compacte'),
(1068,2,'glisser'),
(1069,2,'directement'),
(1070,2,'caractéristiqu'),
(1071,2,'doux'),
(1072,2,'accès'),
(1073,2,'bouton'),
(1074,2,'hold'),
(1075,2,'fermeture'),
(1076,2,'magnétique'),
(1077,2,'connector'),
(1078,2,'protègeécran'),
(1079,2,'accessoires'),
(1080,3,'leather'),
(1081,3,'case'),
(1082,3,'(ipod'),
(1083,3,'nano)'),
(1084,3,'chocolate'),
(1085,3,'este'),
(1086,3,'cuero'),
(1087,3,'última'),
(1088,3,'moda'),
(1089,3,'garantiza'),
(1090,3,'completa'),
(1091,3,'protección'),
(1092,3,'contra'),
(1093,3,'arañazos'),
(1094,3,'pequeños'),
(1095,3,'contratiempos'),
(1096,3,'vida'),
(1097,3,'diaria'),
(1098,3,'elegante'),
(1099,3,'compacto'),
(1100,3,'meter'),
(1101,3,'directamente'),
(1102,3,'bolso'),
(1103,3,'característica'),
(1104,3,'suave'),
(1105,3,'acceso'),
(1106,3,'tecla'),
(1107,3,'hold'),
(1108,3,'cierre'),
(1109,3,'magnético'),
(1110,3,'conector'),
(1111,3,'salva'),
(1112,3,'pantallas'),
(1113,3,'accesorios'),
(1114,1,'shure'),
(1115,1,'se210'),
(1116,1,'soundisolating'),
(1117,1,'iphone'),
(1118,1,'evolved'),
(1119,1,'monitor'),
(1120,1,'roadtested'),
(1121,1,'musicians'),
(1122,1,'perfected'),
(1123,1,'engineers,'),
(1124,1,'lightweight'),
(1125,1,'stylish'),
(1126,1,'delivers'),
(1127,1,'fullrange'),
(1128,1,'audio'),
(1129,1,'free'),
(1130,1,'outside'),
(1131,1,'noise'),
(1132,1,'using'),
(1133,1,'hidefinition'),
(1134,1,'microspeakers'),
(1135,1,'deliver'),
(1136,1,'audio,'),
(1137,1,'ergonomic'),
(1138,1,'ideal'),
(1139,1,'premium'),
(1140,1,'onthego'),
(1141,1,'listening'),
(1142,1,'offer'),
(1143,1,'accurate'),
(1144,1,'reproduction'),
(1145,1,'both'),
(1146,1,'sourcesfor'),
(1147,1,'ultimate'),
(1148,1,'precision'),
(1149,1,'highs'),
(1150,1,'addition,'),
(1151,1,'flexible'),
(1152,1,'allows'),
(1153,1,'choose'),
(1154,1,'comfortable'),
(1155,1,'variety'),
(1156,1,'wearing'),
(1157,1,'positions'),
(1158,1,'microspeaker'),
(1159,1,'single'),
(1160,1,'balanced'),
(1161,1,'armature'),
(1162,1,'driver'),
(1163,1,'detachable,'),
(1164,1,'modular'),
(1165,1,'make'),
(1166,1,'longer'),
(1167,1,'shorter'),
(1168,1,'depending'),
(1169,1,'activity'),
(1170,1,'connector'),
(1171,1,'compatible'),
(1172,1,'earphone'),
(1173,1,'specifications'),
(1174,1,'speaker'),
(1175,1,'type'),
(1176,1,'frequency'),
(1177,1,'range'),
(1178,1,'25hz185khz'),
(1179,1,'impedance'),
(1180,1,'(1khz)'),
(1181,1,'ohms'),
(1182,1,'sensitivity'),
(1183,1,'(1mw)'),
(1184,1,'length'),
(1185,1,'(with'),
(1186,1,'extension)'),
(1187,1,'(540'),
(1188,1,'1371'),
(1189,1,'extension'),
(1190,1,'(360'),
(1191,1,'three'),
(1192,1,'pairs'),
(1193,1,'foam'),
(1194,1,'earpiece'),
(1195,1,'sleeves'),
(1196,1,'(small,'),
(1197,1,'medium,'),
(1198,1,'large)'),
(1199,1,'soft'),
(1200,1,'flex'),
(1201,1,'pair'),
(1202,1,'tripleflange'),
(1203,1,'carrying'),
(1204,1,'case'),
(1205,1,'warranty'),
(1206,1,'twoyear'),
(1207,1,'limited'),
(1208,1,'(for'),
(1209,1,'details,'),
(1210,1,'please'),
(1211,1,'visit'),
(1212,1,'wwwshurecom'),
(1213,1,'personalaudio'),
(1214,1,'customersupport'),
(1215,1,'productreturnsa'),
(1216,1,'indexhtm)'),
(1217,1,'se210aefs'),
(1218,1,'note'),
(1219,1,'products'),
(1220,1,'sold'),
(1221,1,'through'),
(1222,1,'this'),
(1223,1,'website'),
(1224,1,'bear'),
(1225,1,'brand'),
(1226,1,'name'),
(1227,1,'serviced'),
(1228,1,'supported'),
(1229,1,'exclusively'),
(1230,1,'their'),
(1231,1,'manufacturers'),
(1232,1,'accordance'),
(1233,1,'terms'),
(1234,1,'conditions'),
(1235,1,'packaged'),
(1236,1,'apple\'s'),
(1237,1,'does'),
(1238,1,'apply'),
(1239,1,'applebranded,'),
(1240,1,'even'),
(1241,1,'contact'),
(1242,1,'manufacturer'),
(1243,1,'directly'),
(1244,1,'technical'),
(1245,1,'support'),
(1246,1,'customer'),
(1247,1,'service'),
(1248,1,'incorporated'),
(1249,2,'isolation'),
(1250,2,'sonore'),
(1251,2,'shure'),
(1252,2,'se210'),
(1253,2,'ergonomiques'),
(1254,2,'légers'),
(1255,2,'offrent'),
(1256,2,'reproduction'),
(1257,2,'audio'),
(1258,2,'fidèle'),
(1259,2,'provenance'),
(1260,2,'sources'),
(1261,2,'salon'),
(1262,2,'basés'),
(1263,2,'moniteurs'),
(1264,2,'personnels'),
(1265,2,'testée'),
(1266,2,'route'),
(1267,2,'musiciens'),
(1268,2,'professionnels'),
(1269,2,'perfectionnée'),
(1270,2,'ingénieurs'),
(1271,2,'shure,'),
(1272,2,'se210,'),
(1273,2,'élégants,'),
(1274,2,'fournissent'),
(1275,2,'sortie'),
(1276,2,'gamme'),
(1277,2,'étendue'),
(1278,2,'exempte'),
(1279,2,'bruit'),
(1280,2,'externe'),
(1281,2,'embouts'),
(1282,2,'fournis'),
(1283,2,'bloquent'),
(1284,2,'ambiant'),
(1285,2,'combinés'),
(1286,2,'ergonomique'),
(1287,2,'séduisant'),
(1288,2,'modulaire,'),
(1289,2,'minimisent'),
(1290,2,'intrusions'),
(1291,2,'extérieur,'),
(1292,2,'permettant'),
(1293,2,'concentrer'),
(1294,2,'conçus'),
(1295,2,'amoureux'),
(1296,2,'souhaitent'),
(1297,2,'évoluer'),
(1298,2,'appareil'),
(1299,2,'portable,'),
(1300,2,'permettent'),
(1301,2,'d\'emmener'),
(1302,2,'performance'),
(1303,2,'microtransducte'),
(1304,2,'haute'),
(1305,2,'définition'),
(1306,2,'développés'),
(1307,2,'écoute'),
(1308,2,'qualité'),
(1309,2,'supérieure'),
(1310,2,'déplacement,'),
(1311,2,'utilisent'),
(1312,2,'transducteur'),
(1313,2,'armature'),
(1314,2,'équilibrée'),
(1315,2,'bénéficier'),
(1316,2,'confort'),
(1317,2,'d\'écoute'),
(1318,2,'époustouflant'),
(1319,2,'restitue'),
(1320,2,'tous'),
(1321,2,'détails'),
(1322,2,'spectacle'),
(1323,2,'live'),
(1324,2,'universel'),
(1325,2,'deluxe'),
(1326,2,'comprend'),
(1327,2,'éléments'),
(1328,2,'suivants'),
(1329,2,'inclus'),
(1330,2,'double'),
(1331,2,'rôle'),
(1332,2,'bloquer'),
(1333,2,'bruits'),
(1334,2,'ambiants'),
(1335,2,'garantir'),
(1336,2,'maintien'),
(1337,2,'personnalisés'),
(1338,2,'oreille'),
(1339,2,'différente,'),
(1340,2,'trois'),
(1341,2,'tailles'),
(1342,2,'d\'embouts'),
(1343,2,'mousse'),
(1344,2,'flexibles'),
(1345,2,'style'),
(1346,2,'d\'embout'),
(1347,2,'conviennent'),
(1348,2,'mieux'),
(1349,2,'bonne'),
(1350,2,'étanchéité'),
(1351,2,'facteur'),
(1352,2,'optimiser'),
(1353,2,'l\'isolation'),
(1354,2,'réponse'),
(1355,2,'basses,'),
(1356,2,'ainsi'),
(1357,2,'accroître'),
(1358,2,'prolongée'),
(1359,2,'modulaire'),
(1360,2,'basant'),
(1361,2,'commentaires'),
(1362,2,'nombreux'),
(1363,2,'utilisateurs,'),
(1364,2,'développé'),
(1365,2,'solution'),
(1366,2,'détachable'),
(1367,2,'permettre'),
(1368,2,'degré'),
(1369,2,'personnalisatio'),
(1370,2,'précédent'),
(1371,2,'mètre'),
(1372,2,'fourni'),
(1373,2,'d\'adapter'),
(1374,2,'fonction'),
(1375,2,'l\'activité'),
(1376,2,'l\'application'),
(1377,2,'transport'),
(1378,2,'outre'),
(1379,2,'compact'),
(1380,2,'ranger'),
(1381,2,'manière'),
(1382,2,'pratique'),
(1383,2,'encombres'),
(1384,2,'garantie'),
(1385,2,'limitée'),
(1386,2,'deux'),
(1387,2,'achetée'),
(1388,2,'couverte'),
(1389,2,'maind\'œuvre'),
(1390,2,'anscaractérist'),
(1391,2,'techniques'),
(1392,2,'type'),
(1393,2,'sensibilité'),
(1394,2,'acoustique'),
(1395,2,'impédance'),
(1396,2,'khz)'),
(1397,2,'fréquences'),
(1398,2,'longueur'),
(1399,2,'rallonge'),
(1400,2,'(embouts'),
(1401,2,'sonore,'),
(1402,2,'transport)'),
(1403,2,'incorporated'),
(1404,2,'casque'),
(1405,2,'marche'),
(1406,3,'aislantes'),
(1407,3,'sonido'),
(1408,3,'shure'),
(1409,3,'se210'),
(1410,3,'aislamiento'),
(1411,3,'ergonómicos'),
(1412,3,'ligeros'),
(1413,3,'ofrecen'),
(1414,3,'reproducción'),
(1415,3,'fiel'),
(1416,3,'proveniente'),
(1417,3,'fuentes'),
(1418,3,'audio'),
(1419,3,'estéreo'),
(1420,3,'móviles'),
(1421,3,'salón'),
(1422,3,'se210,'),
(1423,3,'elegantes,'),
(1424,3,'están'),
(1425,3,'basados'),
(1426,3,'monitores'),
(1427,3,'personales'),
(1428,3,'músicos'),
(1429,3,'profesionales'),
(1430,3,'utilizan'),
(1431,3,'carretera'),
(1432,3,'ingenieros'),
(1433,3,'perfeccionado'),
(1434,3,'también'),
(1435,3,'provistos'),
(1436,3,'salida'),
(1437,3,'gama'),
(1438,3,'extendida'),
(1439,3,'exenta'),
(1440,3,'ruido'),
(1441,3,'sonoro'),
(1442,3,'almohadillas'),
(1443,3,'provistas'),
(1444,3,'bloquean'),
(1445,3,'ambiente'),
(1446,3,'combinadas'),
(1447,3,'ergonómico'),
(1448,3,'atractivo'),
(1449,3,'modular,'),
(1450,3,'minimizan'),
(1451,3,'intrusiones'),
(1452,3,'permiten'),
(1453,3,'concentrarte'),
(1454,3,'creados'),
(1455,3,'apasionados'),
(1456,3,'quieren'),
(1457,3,'aparato'),
(1458,3,'evolucione,'),
(1459,3,'permitirán'),
(1460,3,'llevar'),
(1461,3,'allí'),
(1462,3,'donde'),
(1463,3,'vayas'),
(1464,3,'microtransducto'),
(1465,3,'alta'),
(1466,3,'definición'),
(1467,3,'desarrollados'),
(1468,3,'poder'),
(1469,3,'audición'),
(1470,3,'calidad'),
(1471,3,'durante'),
(1472,3,'desplazamientos'),
(1473,3,'único'),
(1474,3,'transductor'),
(1475,3,'armazón'),
(1476,3,'equilibrado'),
(1477,3,'confort'),
(1478,3,'restituye'),
(1479,3,'espectáculo'),
(1480,3,'directo'),
(1481,3,'universal'),
(1482,3,'deluxe'),
(1483,3,'incluye'),
(1484,3,'siguientes'),
(1485,3,'elementos'),
(1486,3,'tienen'),
(1487,3,'doble'),
(1488,3,'función'),
(1489,3,'bloquear'),
(1490,3,'garantizar'),
(1491,3,'estabilidad'),
(1492,3,'personalizados'),
(1493,3,'oreja'),
(1494,3,'tres'),
(1495,3,'tallas'),
(1496,3,'espuma'),
(1497,3,'flexibles'),
(1498,3,'talla'),
(1499,3,'estilo'),
(1500,3,'almohadilla'),
(1501,3,'mejor'),
(1502,3,'convenga'),
(1503,3,'buen'),
(1504,3,'factor'),
(1505,3,'clave'),
(1506,3,'tanto'),
(1507,3,'optimizar'),
(1508,3,'respuesta'),
(1509,3,'bajos'),
(1510,3,'aumentar'),
(1511,3,'prolongada'),
(1512,3,'modular'),
(1513,3,'basándose'),
(1514,3,'comentarios'),
(1515,3,'numerosos'),
(1516,3,'usuarios,'),
(1517,3,'solución'),
(1518,3,'separable'),
(1519,3,'permitir'),
(1520,3,'grado'),
(1521,3,'personalizació'),
(1522,3,'precedentes'),
(1523,3,'metro'),
(1524,3,'adaptar'),
(1525,3,'actividad'),
(1526,3,'momento'),
(1527,3,'transporte'),
(1528,3,'además'),
(1529,3,'guardar'),
(1530,3,'manera'),
(1531,3,'práctica'),
(1532,3,'garantía'),
(1533,3,'límite'),
(1534,3,'años'),
(1535,3,'tiene'),
(1536,3,'piezas'),
(1537,3,'obra'),
(1538,3,'técnicas'),
(1539,3,'tipo'),
(1540,3,'sensibilidad'),
(1541,3,'acústica'),
(1542,3,'impedancia'),
(1543,3,'khz)'),
(1544,3,'frecuencias'),
(1545,3,'longitud'),
(1546,3,'alargador'),
(1547,3,'caja'),
(1548,3,'altavoces'),
(1549,3,'(almohadillas'),
(1550,3,'sonoro,'),
(1551,3,'transporte)'),
(1552,3,'incorporated'),
(1553,1,'duis'),
(1554,1,'interdum'),
(1555,1,'eget'),
(1556,1,'urna'),
(1557,1,'vivamus'),
(1558,1,'pellentesque'),
(1559,1,'pretium'),
(1560,1,'dolor'),
(1561,1,'elit'),
(1562,1,'sagittis'),
(1563,1,'enim'),
(1564,1,'magna'),
(1565,1,'ultricies'),
(1566,1,'viverra'),
(1567,1,'sed'),
(1568,1,'euismod'),
(1569,1,'non'),
(1570,1,'tortor'),
(1571,1,'aliquam'),
(1572,1,'tincidunt'),
(1573,1,'purus'),
(1574,1,'integer'),
(1575,1,'lectus'),
(1576,1,'orci'),
(1577,1,'placerat'),
(1578,1,'ultrices'),
(1579,1,'vestibulum'),
(1580,1,'porta'),
(1581,1,'augue'),
(1582,1,'maecenas'),
(1583,1,'consectetur'),
(1584,1,'diam'),
(1585,1,'curabitur'),
(1586,1,'faucibus'),
(1587,1,'congue'),
(1588,1,'luctus'),
(1589,1,'mauris'),
(1590,1,'metus'),
(1591,1,'posuere'),
(1592,1,'vel'),
(1593,1,'ante'),
(1594,1,'etiam'),
(1595,1,'leo'),
(1596,1,'felis'),
(1597,1,'porttitor'),
(1598,1,'nec'),
(1599,1,'iaculis'),
(1600,1,'quam'),
(1601,1,'nibh'),
(1602,1,'laoreet'),
(1603,1,'est'),
(1604,1,'nisl'),
(1605,1,'lacus'),
(1606,1,'elementum'),
(1607,1,'vitae'),
(1608,1,'turpis'),
(1609,1,'dignissim'),
(1610,1,'dictum'),
(1611,1,'cras'),
(1612,1,'rhoncus'),
(1613,1,'libero'),
(1614,1,'imperdiet'),
(1615,1,'cum'),
(1616,1,'sociis'),
(1617,1,'natoque'),
(1618,1,'penatibus'),
(1619,1,'magnis'),
(1620,1,'dis'),
(1621,1,'parturient'),
(1622,1,'montes'),
(1623,1,'nascetur'),
(1624,1,'ridiculus'),
(1625,1,'mus'),
(1626,1,'computer'),
(1627,1,'inc'),
(1628,1,'8go'),
(1629,2,'lorem'),
(1630,2,'ipsum'),
(1631,2,'duis'),
(1632,2,'interdum'),
(1633,2,'eget'),
(1634,2,'urna'),
(1635,2,'vivamus'),
(1636,2,'pellentesque'),
(1637,2,'pretium'),
(1638,2,'dolor'),
(1639,2,'elit'),
(1640,2,'sagittis'),
(1641,2,'enim'),
(1642,2,'magna'),
(1643,2,'ultricies'),
(1644,2,'viverra'),
(1645,2,'sed'),
(1646,2,'euismod'),
(1647,2,'non'),
(1648,2,'tortor'),
(1649,2,'aliquam'),
(1650,2,'tincidunt'),
(1651,2,'purus'),
(1652,2,'integer'),
(1653,2,'lectus'),
(1654,2,'orci'),
(1655,2,'placerat'),
(1656,2,'ultrices'),
(1657,2,'vestibulum'),
(1658,2,'porta'),
(1659,2,'augue'),
(1660,2,'maecenas'),
(1661,2,'consectetur'),
(1662,2,'diam'),
(1663,2,'curabitur'),
(1664,2,'faucibus'),
(1665,2,'congue'),
(1666,2,'luctus'),
(1667,2,'mauris'),
(1668,2,'metus'),
(1669,2,'posuere'),
(1670,2,'vel'),
(1671,2,'ante'),
(1672,2,'etiam'),
(1673,2,'leo'),
(1674,2,'felis'),
(1675,2,'porttitor'),
(1676,2,'nec'),
(1677,2,'iaculis'),
(1678,2,'quam'),
(1679,2,'nibh'),
(1680,2,'laoreet'),
(1681,2,'est'),
(1682,2,'nisl'),
(1683,2,'lacus'),
(1684,2,'elementum'),
(1685,2,'vitae'),
(1686,2,'turpis'),
(1687,2,'dignissim'),
(1688,2,'dictum'),
(1689,2,'cras'),
(1690,2,'rhoncus'),
(1691,2,'libero'),
(1692,2,'imperdiet'),
(1693,2,'cum'),
(1694,2,'sociis'),
(1695,2,'natoque'),
(1696,2,'penatibus'),
(1697,2,'magnis'),
(1698,2,'dis'),
(1699,2,'parturient'),
(1700,2,'montes'),
(1701,2,'nascetur'),
(1702,2,'ridiculus'),
(1703,2,'mus'),
(1704,2,'accueil'),
(1705,2,'computer'),
(1706,2,'inc'),
(1707,2,'8go'),
(1708,3,'lorem'),
(1709,3,'ipsum'),
(1710,3,'duis'),
(1711,3,'interdum'),
(1712,3,'eget'),
(1713,3,'urna'),
(1714,3,'vivamus'),
(1715,3,'pellentesque'),
(1716,3,'pretium'),
(1717,3,'dolor'),
(1718,3,'elit'),
(1719,3,'sagittis'),
(1720,3,'enim'),
(1721,3,'magna'),
(1722,3,'ultricies'),
(1723,3,'viverra'),
(1724,3,'sed'),
(1725,3,'euismod'),
(1726,3,'non'),
(1727,3,'tortor'),
(1728,3,'aliquam'),
(1729,3,'tincidunt'),
(1730,3,'purus'),
(1731,3,'integer'),
(1732,3,'lectus'),
(1733,3,'orci'),
(1734,3,'placerat'),
(1735,3,'ultrices'),
(1736,3,'vestibulum'),
(1737,3,'porta'),
(1738,3,'augue'),
(1739,3,'maecenas'),
(1740,3,'consectetur'),
(1741,3,'diam'),
(1742,3,'curabitur'),
(1743,3,'faucibus'),
(1744,3,'congue'),
(1745,3,'luctus'),
(1746,3,'mauris'),
(1747,3,'metus'),
(1748,3,'posuere'),
(1749,3,'vel'),
(1750,3,'ante'),
(1751,3,'etiam'),
(1752,3,'leo'),
(1753,3,'felis'),
(1754,3,'porttitor'),
(1755,3,'nec'),
(1756,3,'iaculis'),
(1757,3,'quam'),
(1758,3,'nibh'),
(1759,3,'laoreet'),
(1760,3,'est'),
(1761,3,'nisl'),
(1762,3,'lacus'),
(1763,3,'elementum'),
(1764,3,'vitae'),
(1765,3,'turpis'),
(1766,3,'dignissim'),
(1767,3,'dictum'),
(1768,3,'cras'),
(1769,3,'rhoncus'),
(1770,3,'libero'),
(1771,3,'imperdiet'),
(1772,3,'cum'),
(1773,3,'sociis'),
(1774,3,'natoque'),
(1775,3,'penatibus'),
(1776,3,'magnis'),
(1777,3,'dis'),
(1778,3,'parturient'),
(1779,3,'montes'),
(1780,3,'nascetur'),
(1781,3,'ridiculus'),
(1782,3,'mus'),
(1783,3,'computer'),
(1784,3,'inc'),
(1785,3,'8go'),
(1786,4,'lorem'),
(1787,4,'ipsum'),
(1788,4,'duis'),
(1789,4,'interdum'),
(1790,4,'eget'),
(1791,4,'urna'),
(1792,4,'vivamus'),
(1793,4,'pellentesque'),
(1794,4,'pretium'),
(1795,4,'dolor'),
(1796,4,'elit'),
(1797,4,'sagittis'),
(1798,4,'enim'),
(1799,4,'magna'),
(1800,4,'ultricies'),
(1801,4,'viverra'),
(1802,4,'sed'),
(1803,4,'euismod'),
(1804,4,'non'),
(1805,4,'tortor'),
(1806,4,'aliquam'),
(1807,4,'tincidunt'),
(1808,4,'purus'),
(1809,4,'integer'),
(1810,4,'lectus'),
(1811,4,'orci'),
(1812,4,'placerat'),
(1813,4,'ultrices'),
(1814,4,'vestibulum'),
(1815,4,'porta'),
(1816,4,'augue'),
(1817,4,'maecenas'),
(1818,4,'consectetur'),
(1819,4,'diam'),
(1820,4,'curabitur'),
(1821,4,'faucibus'),
(1822,4,'congue'),
(1823,4,'luctus'),
(1824,4,'mauris'),
(1825,4,'metus'),
(1826,4,'posuere'),
(1827,4,'vel'),
(1828,4,'ante'),
(1829,4,'etiam'),
(1830,4,'leo'),
(1831,4,'felis'),
(1832,4,'porttitor'),
(1833,4,'nec'),
(1834,4,'iaculis'),
(1835,4,'quam'),
(1836,4,'nibh'),
(1837,4,'laoreet'),
(1838,4,'est'),
(1839,4,'nisl'),
(1840,4,'lacus'),
(1841,4,'elementum'),
(1842,4,'vitae'),
(1843,4,'turpis'),
(1844,4,'dignissim'),
(1845,4,'dictum'),
(1846,4,'cras'),
(1847,4,'rhoncus'),
(1848,4,'libero'),
(1849,4,'imperdiet'),
(1850,4,'cum'),
(1851,4,'sociis'),
(1852,4,'natoque'),
(1853,4,'penatibus'),
(1854,4,'magnis'),
(1855,4,'dis'),
(1856,4,'parturient'),
(1857,4,'montes'),
(1858,4,'nascetur'),
(1859,4,'ridiculus'),
(1860,4,'mus'),
(1861,4,'start'),
(1862,4,'apple'),
(1863,4,'computer'),
(1864,4,'inc'),
(1865,4,'16go'),
(1866,4,'8go'),
(1867,4,'blau'),
(1868,4,'gelb'),
(1869,4,'grun'),
(1870,4,'metallic'),
(1871,4,'orange'),
(1872,4,'pink'),
(1873,4,'schwarz'),
(1874,4,'violett'),
(1875,5,'lorem'),
(1876,5,'ipsum'),
(1877,5,'duis'),
(1878,5,'interdum'),
(1879,5,'eget'),
(1880,5,'urna'),
(1881,5,'vivamus'),
(1882,5,'pellentesque'),
(1883,5,'pretium'),
(1884,5,'dolor'),
(1885,5,'elit'),
(1886,5,'sagittis'),
(1887,5,'enim'),
(1888,5,'magna'),
(1889,5,'ultricies'),
(1890,5,'viverra'),
(1891,5,'sed'),
(1892,5,'euismod'),
(1893,5,'non'),
(1894,5,'tortor'),
(1895,5,'aliquam'),
(1896,5,'tincidunt'),
(1897,5,'purus'),
(1898,5,'integer'),
(1899,5,'lectus'),
(1900,5,'orci'),
(1901,5,'placerat'),
(1902,5,'ultrices'),
(1903,5,'vestibulum'),
(1904,5,'porta'),
(1905,5,'augue'),
(1906,5,'maecenas'),
(1907,5,'consectetur'),
(1908,5,'diam'),
(1909,5,'curabitur'),
(1910,5,'faucibus'),
(1911,5,'congue'),
(1912,5,'luctus'),
(1913,5,'mauris'),
(1914,5,'metus'),
(1915,5,'posuere'),
(1916,5,'vel'),
(1917,5,'ante'),
(1918,5,'etiam'),
(1919,5,'leo'),
(1920,5,'felis'),
(1921,5,'porttitor'),
(1922,5,'nec'),
(1923,5,'iaculis'),
(1924,5,'quam'),
(1925,5,'nibh'),
(1926,5,'laoreet'),
(1927,5,'est'),
(1928,5,'nisl'),
(1929,5,'lacus'),
(1930,5,'elementum'),
(1931,5,'vitae'),
(1932,5,'turpis'),
(1933,5,'dignissim'),
(1934,5,'dictum'),
(1935,5,'cras'),
(1936,5,'rhoncus'),
(1937,5,'libero'),
(1938,5,'imperdiet'),
(1939,5,'cum'),
(1940,5,'sociis'),
(1941,5,'natoque'),
(1942,5,'penatibus'),
(1943,5,'magnis'),
(1944,5,'dis'),
(1945,5,'parturient'),
(1946,5,'montes'),
(1947,5,'nascetur'),
(1948,5,'ridiculus'),
(1949,5,'mus'),
(1950,5,'home'),
(1951,5,'page'),
(1952,5,'apple'),
(1953,5,'computer'),
(1954,5,'inc'),
(1955,5,'16go'),
(1956,5,'8go'),
(1957,5,'arancio'),
(1958,5,'blu'),
(1959,5,'giallo'),
(1960,5,'metallico'),
(1961,5,'nero'),
(1962,5,'rosa'),
(1963,5,'verde'),
(1964,5,'viola'),
(1965,1,'adipiscing'),
(1966,1,'volutpat'),
(1967,1,'proin'),
(1968,1,'mollis'),
(1969,1,'gravida'),
(1970,1,'sit'),
(1971,1,'amet'),
(1972,1,'ullamcorper'),
(1973,1,'velit'),
(1974,1,'nulla'),
(1975,1,'cursus'),
(1976,1,'sapien'),
(1977,1,'justo'),
(1978,1,'phasellus'),
(1979,1,'dapibus'),
(1980,1,'arcu'),
(1981,1,'vehicula'),
(1982,1,'ornare'),
(1983,1,'convallis'),
(1984,1,'sem'),
(1985,1,'bibendum'),
(1986,1,'tristique'),
(1987,1,'morbi'),
(1988,1,'quisque'),
(1989,1,'eros'),
(1990,1,'neque'),
(1991,1,'suspendisse'),
(1992,1,'erat'),
(1993,1,'donec'),
(1994,1,'mattis'),
(1995,1,'pharetra'),
(1996,1,'vulputate'),
(1997,1,'blandit'),
(1998,1,'aenean'),
(1999,1,'nunc'),
(2000,2,'adipiscing'),
(2001,2,'volutpat'),
(2002,2,'proin'),
(2003,2,'mollis'),
(2004,2,'gravida'),
(2005,2,'sit'),
(2006,2,'amet'),
(2007,2,'ullamcorper'),
(2008,2,'velit'),
(2009,2,'nulla'),
(2010,2,'cursus'),
(2011,2,'sapien'),
(2012,2,'justo'),
(2013,2,'phasellus'),
(2014,2,'dapibus'),
(2015,2,'arcu'),
(2016,2,'vehicula'),
(2017,2,'ornare'),
(2018,2,'convallis'),
(2019,2,'sem'),
(2020,2,'bibendum'),
(2021,2,'tristique'),
(2022,2,'morbi'),
(2023,2,'quisque'),
(2024,2,'eros'),
(2025,2,'neque'),
(2026,2,'suspendisse'),
(2027,2,'erat'),
(2028,2,'donec'),
(2029,2,'mattis'),
(2030,2,'pharetra'),
(2031,2,'vulputate'),
(2032,2,'blandit'),
(2033,2,'aenean'),
(2034,2,'nunc'),
(2035,3,'adipiscing'),
(2036,3,'volutpat'),
(2037,3,'proin'),
(2038,3,'mollis'),
(2039,3,'gravida'),
(2040,3,'sit'),
(2041,3,'amet'),
(2042,3,'ullamcorper'),
(2043,3,'velit'),
(2044,3,'nulla'),
(2045,3,'cursus'),
(2046,3,'sapien'),
(2047,3,'justo'),
(2048,3,'phasellus'),
(2049,3,'dapibus'),
(2050,3,'arcu'),
(2051,3,'vehicula'),
(2052,3,'ornare'),
(2053,3,'convallis'),
(2054,3,'sem'),
(2055,3,'bibendum'),
(2056,3,'tristique'),
(2057,3,'morbi'),
(2058,3,'quisque'),
(2059,3,'eros'),
(2060,3,'neque'),
(2061,3,'suspendisse'),
(2062,3,'erat'),
(2063,3,'donec'),
(2064,3,'mattis'),
(2065,3,'pharetra'),
(2066,3,'vulputate'),
(2067,3,'blandit'),
(2068,3,'aenean'),
(2069,3,'nunc'),
(2070,4,'adipiscing'),
(2071,4,'volutpat'),
(2072,4,'proin'),
(2073,4,'mollis'),
(2074,4,'gravida'),
(2075,4,'sit'),
(2076,4,'amet'),
(2077,4,'ullamcorper'),
(2078,4,'velit'),
(2079,4,'nulla'),
(2080,4,'cursus'),
(2081,4,'sapien'),
(2082,4,'justo'),
(2083,4,'phasellus'),
(2084,4,'dapibus'),
(2085,4,'arcu'),
(2086,4,'vehicula'),
(2087,4,'ornare'),
(2088,4,'convallis'),
(2089,4,'sem'),
(2090,4,'bibendum'),
(2091,4,'tristique'),
(2092,4,'morbi'),
(2093,4,'quisque'),
(2094,4,'eros'),
(2095,4,'neque'),
(2096,4,'suspendisse'),
(2097,4,'erat'),
(2098,4,'donec'),
(2099,4,'mattis'),
(2100,4,'pharetra'),
(2101,4,'vulputate'),
(2102,4,'blandit'),
(2103,4,'aenean'),
(2104,4,'nunc'),
(2105,5,'adipiscing'),
(2106,5,'volutpat'),
(2107,5,'proin'),
(2108,5,'mollis'),
(2109,5,'gravida'),
(2110,5,'sit'),
(2111,5,'amet'),
(2112,5,'ullamcorper'),
(2113,5,'velit'),
(2114,5,'nulla'),
(2115,5,'cursus'),
(2116,5,'sapien'),
(2117,5,'justo'),
(2118,5,'phasellus'),
(2119,5,'dapibus'),
(2120,5,'arcu'),
(2121,5,'vehicula'),
(2122,5,'ornare'),
(2123,5,'convallis'),
(2124,5,'sem'),
(2125,5,'bibendum'),
(2126,5,'tristique'),
(2127,5,'morbi'),
(2128,5,'quisque'),
(2129,5,'eros'),
(2130,5,'neque'),
(2131,5,'suspendisse'),
(2132,5,'erat'),
(2133,5,'donec'),
(2134,5,'mattis'),
(2135,5,'pharetra'),
(2136,5,'vulputate'),
(2137,5,'blandit'),
(2138,5,'aenean'),
(2139,5,'nunc'),
(2140,1,'commodo'),
(2141,1,'tempus'),
(2142,1,'nisi'),
(2143,1,'feugiat'),
(2144,1,'facilisis'),
(2145,1,'condimentum'),
(2146,1,'venenatis'),
(2147,1,'aliquet'),
(2148,1,'praesent'),
(2149,1,'dui'),
(2150,1,'molestie'),
(2151,1,'tellus'),
(2152,1,'quis'),
(2153,1,'lacinia'),
(2154,1,'malesuada'),
(2155,1,'xxl'),
(2156,2,'commodo'),
(2157,2,'tempus'),
(2158,2,'nisi'),
(2159,2,'feugiat'),
(2160,2,'facilisis'),
(2161,2,'condimentum'),
(2162,2,'venenatis'),
(2163,2,'aliquet'),
(2164,2,'praesent'),
(2165,2,'dui'),
(2166,2,'molestie'),
(2167,2,'tellus'),
(2168,2,'quis'),
(2169,2,'lacinia'),
(2170,2,'malesuada'),
(2171,2,'xxl'),
(2172,3,'commodo'),
(2173,3,'tempus'),
(2174,3,'nisi'),
(2175,3,'feugiat'),
(2176,3,'facilisis'),
(2177,3,'condimentum'),
(2178,3,'venenatis'),
(2179,3,'aliquet'),
(2180,3,'praesent'),
(2181,3,'dui'),
(2182,3,'molestie'),
(2183,3,'tellus'),
(2184,3,'quis'),
(2185,3,'lacinia'),
(2186,3,'malesuada'),
(2187,3,'xxl'),
(2188,4,'commodo'),
(2189,4,'tempus'),
(2190,4,'nisi'),
(2191,4,'feugiat'),
(2192,4,'facilisis'),
(2193,4,'condimentum'),
(2194,4,'venenatis'),
(2195,4,'aliquet'),
(2196,4,'praesent'),
(2197,4,'dui'),
(2198,4,'molestie'),
(2199,4,'tellus'),
(2200,4,'quis'),
(2201,4,'lacinia'),
(2202,4,'malesuada'),
(2203,4,'xxl'),
(2204,5,'commodo'),
(2205,5,'tempus'),
(2206,5,'nisi'),
(2207,5,'feugiat'),
(2208,5,'facilisis'),
(2209,5,'condimentum'),
(2210,5,'venenatis'),
(2211,5,'aliquet'),
(2212,5,'praesent'),
(2213,5,'dui'),
(2214,5,'molestie'),
(2215,5,'tellus'),
(2216,5,'quis'),
(2217,5,'lacinia'),
(2218,5,'malesuada'),
(2219,5,'xxl'),
(2220,1,'hendrerit'),
(2221,1,'fusce'),
(2222,1,'fermentum'),
(2223,1,'pulvinar'),
(2224,1,'odio'),
(2225,1,'scelerisque'),
(2226,1,'semper'),
(2227,1,'sodales'),
(2228,1,'consequat'),
(2229,1,'risus'),
(2230,1,'varius'),
(2231,1,'lobortis'),
(2232,1,'tempor'),
(2233,1,'nullam'),
(2234,1,'ligula'),
(2235,1,'accumsan'),
(2236,2,'hendrerit'),
(2237,2,'fusce'),
(2238,2,'fermentum'),
(2239,2,'pulvinar'),
(2240,2,'odio'),
(2241,2,'scelerisque'),
(2242,2,'semper'),
(2243,2,'sodales'),
(2244,2,'consequat'),
(2245,2,'risus'),
(2246,2,'varius'),
(2247,2,'lobortis'),
(2248,2,'tempor'),
(2249,2,'nullam'),
(2250,2,'ligula'),
(2251,2,'accumsan'),
(2252,3,'hendrerit'),
(2253,3,'fusce'),
(2254,3,'fermentum'),
(2255,3,'pulvinar'),
(2256,3,'odio'),
(2257,3,'scelerisque'),
(2258,3,'semper'),
(2259,3,'sodales'),
(2260,3,'consequat'),
(2261,3,'risus'),
(2262,3,'varius'),
(2263,3,'lobortis'),
(2264,3,'tempor'),
(2265,3,'nullam'),
(2266,3,'ligula'),
(2267,3,'accumsan'),
(2268,4,'hendrerit'),
(2269,4,'fusce'),
(2270,4,'fermentum'),
(2271,4,'pulvinar'),
(2272,4,'odio'),
(2273,4,'scelerisque'),
(2274,4,'semper'),
(2275,4,'sodales'),
(2276,4,'consequat'),
(2277,4,'risus'),
(2278,4,'varius'),
(2279,4,'lobortis'),
(2280,4,'tempor'),
(2281,4,'nullam'),
(2282,4,'ligula'),
(2283,4,'accumsan'),
(2284,4,'shure'),
(2285,4,'incorporated'),
(2286,5,'hendrerit'),
(2287,5,'fusce'),
(2288,5,'fermentum'),
(2289,5,'pulvinar'),
(2290,5,'odio'),
(2291,5,'scelerisque'),
(2292,5,'semper'),
(2293,5,'sodales'),
(2294,5,'consequat'),
(2295,5,'risus'),
(2296,5,'varius'),
(2297,5,'lobortis'),
(2298,5,'tempor'),
(2299,5,'nullam'),
(2300,5,'ligula'),
(2301,5,'accumsan'),
(2302,5,'shure'),
(2303,5,'incorporated'),
(2304,1,'rutrum'),
(2305,1,'habitant'),
(2306,1,'senectus'),
(2307,1,'netus'),
(2308,1,'fames'),
(2309,1,'egestas'),
(2310,1,'eleifend'),
(2311,1,'sollicitudin'),
(2312,1,'auctor'),
(2313,1,'massa'),
(2314,1,'duo'),
(2315,1,'ata'),
(2316,1,'rpm'),
(2317,2,'rutrum'),
(2318,2,'habitant'),
(2319,2,'senectus'),
(2320,2,'netus'),
(2321,2,'fames'),
(2322,2,'egestas'),
(2323,2,'eleifend'),
(2324,2,'sollicitudin'),
(2325,2,'auctor'),
(2326,2,'massa'),
(2327,2,'dur'),
(2328,2,'200'),
(2329,2,'min'),
(2330,2,'ssd'),
(2331,2,'solidstate'),
(2332,2,'drive'),
(2333,2,'duo'),
(2334,2,'ghz'),
(2335,3,'rutrum'),
(2336,3,'habitant'),
(2337,3,'senectus'),
(2338,3,'netus'),
(2339,3,'fames'),
(2340,3,'egestas'),
(2341,3,'eleifend'),
(2342,3,'sollicitudin'),
(2343,3,'auctor'),
(2344,3,'massa'),
(2345,3,'200'),
(2346,3,'min'),
(2347,3,'duo'),
(2348,3,'ghz'),
(2349,3,'ssd'),
(2350,3,'solidstate'),
(2351,3,'drive'),
(2352,4,'rutrum'),
(2353,4,'habitant'),
(2354,4,'senectus'),
(2355,4,'netus'),
(2356,4,'fames'),
(2357,4,'egestas'),
(2358,4,'eleifend'),
(2359,4,'sollicitudin'),
(2360,4,'auctor'),
(2361,4,'massa'),
(2362,4,'160ghz'),
(2363,4,'intel'),
(2364,4,'core'),
(2365,4,'duo'),
(2366,4,'180ghz'),
(2367,4,'optionale'),
(2368,4,'solidstatedrive'),
(2369,4,'parallele'),
(2370,4,'ata'),
(2371,4,'80gb'),
(2372,4,'drive'),
(2373,4,'4200'),
(2374,4,'rpm'),
(2375,5,'rutrum'),
(2376,5,'habitant'),
(2377,5,'senectus'),
(2378,5,'netus'),
(2379,5,'fames'),
(2380,5,'egestas'),
(2381,5,'eleifend'),
(2382,5,'sollicitudin'),
(2383,5,'auctor'),
(2384,5,'massa'),
(2385,5,'160ghz'),
(2386,5,'intel'),
(2387,5,'core'),
(2388,5,'duo'),
(2389,5,'180ghz'),
(2390,5,'80gb'),
(2391,5,'parallel'),
(2392,5,'ata'),
(2393,5,'drive'),
(2394,5,'4200'),
(2395,5,'rpm'),
(2396,5,'opzionale'),
(2397,5,'solidstate'),
(2398,5,'64gb'),
(2399,1,'class'),
(2400,1,'aptent'),
(2401,1,'taciti'),
(2402,1,'sociosqu'),
(2403,1,'litora'),
(2404,1,'torquent'),
(2405,1,'per'),
(2406,1,'conubia'),
(2407,1,'nostra'),
(2408,1,'inceptos'),
(2409,1,'himenaeos'),
(2410,2,'class'),
(2411,2,'aptent'),
(2412,2,'taciti'),
(2413,2,'sociosqu'),
(2414,2,'litora'),
(2415,2,'torquent'),
(2416,2,'per'),
(2417,2,'conubia'),
(2418,2,'nostra'),
(2419,2,'inceptos'),
(2420,2,'himenaeos'),
(2421,3,'class'),
(2422,3,'aptent'),
(2423,3,'taciti'),
(2424,3,'sociosqu'),
(2425,3,'litora'),
(2426,3,'torquent'),
(2427,3,'per'),
(2428,3,'conubia'),
(2429,3,'nostra'),
(2430,3,'inceptos'),
(2431,3,'himenaeos'),
(2432,4,'class'),
(2433,4,'aptent'),
(2434,4,'taciti'),
(2435,4,'sociosqu'),
(2436,4,'litora'),
(2437,4,'torquent'),
(2438,4,'per'),
(2439,4,'conubia'),
(2440,4,'nostra'),
(2441,4,'inceptos'),
(2442,4,'himenaeos'),
(2443,5,'class'),
(2444,5,'aptent'),
(2445,5,'taciti'),
(2446,5,'sociosqu'),
(2447,5,'litora'),
(2448,5,'torquent'),
(2449,5,'per'),
(2450,5,'conubia'),
(2451,5,'nostra'),
(2452,5,'inceptos'),
(2453,5,'himenaeos'),
(2454,4,'32go'),
(2455,5,'32go'),
(2456,1,'fringilla'),
(2457,1,'nam'),
(2458,2,'fringilla'),
(2459,2,'nam'),
(2460,3,'fringilla'),
(2461,3,'nam'),
(2462,4,'fringilla'),
(2463,4,'nam'),
(2464,5,'fringilla'),
(2465,5,'nam'),
(2466,1,'coffee'),
(2467,1,'maker'),
(2468,1,'bosch'),
(2469,1,'assimo'),
(2470,1,'comfort'),
(2471,1,'very'),
(2472,1,'important'),
(2473,1,'thing'),
(2474,1,'nowadays'),
(2475,1,'because'),
(2476,1,'condition'),
(2477,1,'satisfaction'),
(2478,1,'calmness'),
(2479,1,'clear'),
(2480,1,'our'),
(2481,1,'way'),
(2482,1,'life'),
(2483,1,'must'),
(2484,1,'possible'),
(2485,1,'electronics'),
(2486,1,'satisfy'),
(2487,1,'wishes'),
(2488,1,'pleasant'),
(2489,1,'admit'),
(2490,1,'depends'),
(2491,1,'quality'),
(2492,1,'different'),
(2493,1,'goods'),
(2494,1,'popular'),
(2495,1,'brands'),
(2496,1,'recipe'),
(2497,1,'success'),
(2498,1,'fair'),
(2499,1,'price'),
(2500,1,'many'),
(2501,1,'clients'),
(2502,1,'surprised'),
(2503,1,'assortment'),
(2504,1,'have'),
(2505,1,'tremendous'),
(2506,1,'plastic'),
(2507,1,'red'),
(2508,2,'coffee'),
(2509,2,'maker'),
(2510,2,'bosch'),
(2511,2,'assimo'),
(2512,2,'comfort'),
(2513,2,'very'),
(2514,2,'important'),
(2515,2,'thing'),
(2516,2,'nowadays'),
(2517,2,'because'),
(2518,2,'condition'),
(2519,2,'satisfaction'),
(2520,2,'and'),
(2521,2,'calmness'),
(2522,2,'clear'),
(2523,2,'that'),
(2524,2,'our'),
(2525,2,'way'),
(2526,2,'life'),
(2527,2,'must'),
(2528,2,'comfortable'),
(2529,2,'possible'),
(2530,2,'home'),
(2531,2,'electronics'),
(2532,2,'satisfy'),
(2533,2,'wishes'),
(2534,2,'make'),
(2535,2,'more'),
(2536,2,'pleasant'),
(2537,2,'admit'),
(2538,2,'depends'),
(2539,2,'quality'),
(2540,2,'goods'),
(2541,2,'popular'),
(2542,2,'brands'),
(2543,2,'recipe'),
(2544,2,'success'),
(2545,2,'fair'),
(2546,2,'price'),
(2547,2,'premium'),
(2548,2,'many'),
(2549,2,'clients'),
(2550,2,'were'),
(2551,2,'surprised'),
(2552,2,'the'),
(2553,2,'incredible'),
(2554,2,'assortment'),
(2555,2,'products'),
(2556,2,'store'),
(2557,2,'have'),
(2558,2,'tremendous'),
(2559,2,'variety'),
(2560,2,'models'),
(2561,2,'black'),
(2562,2,'green'),
(2563,2,'plastic'),
(2564,2,'red'),
(2565,3,'coffee'),
(2566,3,'maker'),
(2567,3,'bosch'),
(2568,3,'assimo'),
(2569,3,'comfort'),
(2570,3,'very'),
(2571,3,'important'),
(2572,3,'thing'),
(2573,3,'nowadays'),
(2574,3,'because'),
(2575,3,'condition'),
(2576,3,'satisfaction'),
(2577,3,'and'),
(2578,3,'calmness'),
(2579,3,'clear'),
(2580,3,'that'),
(2581,3,'our'),
(2582,3,'way'),
(2583,3,'life'),
(2584,3,'must'),
(2585,3,'comfortable'),
(2586,3,'possible'),
(2587,3,'home'),
(2588,3,'electronics'),
(2589,3,'satisfy'),
(2590,3,'wishes'),
(2591,3,'make'),
(2592,3,'more'),
(2593,3,'pleasant'),
(2594,3,'admit'),
(2595,3,'depends'),
(2596,3,'quality'),
(2597,3,'different'),
(2598,3,'goods'),
(2599,3,'popular'),
(2600,3,'brands'),
(2601,3,'recipe'),
(2602,3,'success'),
(2603,3,'fair'),
(2604,3,'price'),
(2605,3,'premium'),
(2606,3,'many'),
(2607,3,'clients'),
(2608,3,'were'),
(2609,3,'surprised'),
(2610,3,'the'),
(2611,3,'incredible'),
(2612,3,'assortment'),
(2613,3,'products'),
(2614,3,'store'),
(2615,3,'have'),
(2616,3,'tremendous'),
(2617,3,'variety'),
(2618,3,'models'),
(2619,3,'black'),
(2620,3,'green'),
(2621,3,'plastic'),
(2622,3,'red'),
(2623,4,'coffee'),
(2624,4,'maker'),
(2625,4,'bosch'),
(2626,4,'assimo'),
(2627,4,'comfort'),
(2628,4,'very'),
(2629,4,'important'),
(2630,4,'thing'),
(2631,4,'nowadays'),
(2632,4,'because'),
(2633,4,'condition'),
(2634,4,'satisfaction'),
(2635,4,'and'),
(2636,4,'calmness'),
(2637,4,'clear'),
(2638,4,'that'),
(2639,4,'our'),
(2640,4,'way'),
(2641,4,'life'),
(2642,4,'must'),
(2643,4,'comfortable'),
(2644,4,'possible'),
(2645,4,'home'),
(2646,4,'electronics'),
(2647,4,'satisfy'),
(2648,4,'wishes'),
(2649,4,'make'),
(2650,4,'more'),
(2651,4,'pleasant'),
(2652,4,'admit'),
(2653,4,'depends'),
(2654,4,'quality'),
(2655,4,'different'),
(2656,4,'goods'),
(2657,4,'popular'),
(2658,4,'brands'),
(2659,4,'recipe'),
(2660,4,'success'),
(2661,4,'fair'),
(2662,4,'price'),
(2663,4,'premium'),
(2664,4,'many'),
(2665,4,'clients'),
(2666,4,'were'),
(2667,4,'surprised'),
(2668,4,'the'),
(2669,4,'incredible'),
(2670,4,'assortment'),
(2671,4,'products'),
(2672,4,'store'),
(2673,4,'have'),
(2674,4,'tremendous'),
(2675,4,'variety'),
(2676,4,'models'),
(2677,4,'black'),
(2678,4,'green'),
(2679,4,'metal'),
(2680,4,'plastic'),
(2681,4,'red'),
(2682,5,'coffee'),
(2683,5,'maker'),
(2684,5,'bosch'),
(2685,5,'assimo'),
(2686,5,'comfort'),
(2687,5,'very'),
(2688,5,'important'),
(2689,5,'thing'),
(2690,5,'nowadays'),
(2691,5,'because'),
(2692,5,'condition'),
(2693,5,'satisfaction'),
(2694,5,'and'),
(2695,5,'calmness'),
(2696,5,'clear'),
(2697,5,'that'),
(2698,5,'our'),
(2699,5,'way'),
(2700,5,'life'),
(2701,5,'must'),
(2702,5,'comfortable'),
(2703,5,'possible'),
(2704,5,'electronics'),
(2705,5,'satisfy'),
(2706,5,'wishes'),
(2707,5,'make'),
(2708,5,'more'),
(2709,5,'pleasant'),
(2710,5,'admit'),
(2711,5,'depends'),
(2712,5,'quality'),
(2713,5,'different'),
(2714,5,'goods'),
(2715,5,'popular'),
(2716,5,'brands'),
(2717,5,'recipe'),
(2718,5,'success'),
(2719,5,'fair'),
(2720,5,'price'),
(2721,5,'premium'),
(2722,5,'many'),
(2723,5,'clients'),
(2724,5,'were'),
(2725,5,'surprised'),
(2726,5,'the'),
(2727,5,'incredible'),
(2728,5,'assortment'),
(2729,5,'products'),
(2730,5,'store'),
(2731,5,'have'),
(2732,5,'tremendous'),
(2733,5,'variety'),
(2734,5,'models'),
(2735,5,'black'),
(2736,5,'green'),
(2737,5,'metal'),
(2738,5,'plastic'),
(2739,5,'red'),
(2740,1,'eclipse'),
(2741,1,'electrolux'),
(2742,1,'vacuum'),
(2743,1,'cleaner'),
(2744,1,'you'),
(2745,1,'know'),
(2746,1,'devoted'),
(2747,1,'customers'),
(2748,1,'all'),
(2749,1,'over'),
(2750,1,'fact'),
(2751,1,'proves'),
(2752,1,'sell'),
(2753,1,'commodities'),
(2754,2,'eclipse'),
(2755,2,'electrolux'),
(2756,2,'vacuum'),
(2757,2,'cleaner'),
(2758,2,'you'),
(2759,2,'know'),
(2760,2,'devoted'),
(2761,2,'customers'),
(2762,2,'all'),
(2763,2,'over'),
(2764,2,'world'),
(2765,2,'this'),
(2766,2,'fact'),
(2767,2,'proves'),
(2768,2,'sell'),
(2769,2,'only'),
(2770,2,'commodities'),
(2771,3,'eclipse'),
(2772,3,'electrolux'),
(2773,3,'vacuum'),
(2774,3,'cleaner'),
(2775,3,'you'),
(2776,3,'know'),
(2777,3,'devoted'),
(2778,3,'customers'),
(2779,3,'all'),
(2780,3,'over'),
(2781,3,'world'),
(2782,3,'this'),
(2783,3,'fact'),
(2784,3,'proves'),
(2785,3,'sell'),
(2786,3,'only'),
(2787,3,'commodities'),
(2788,4,'eclipse'),
(2789,4,'electrolux'),
(2790,4,'vacuum'),
(2791,4,'cleaner'),
(2792,4,'you'),
(2793,4,'know'),
(2794,4,'devoted'),
(2795,4,'customers'),
(2796,4,'all'),
(2797,4,'over'),
(2798,4,'world'),
(2799,4,'this'),
(2800,4,'fact'),
(2801,4,'proves'),
(2802,4,'sell'),
(2803,4,'only'),
(2804,4,'commodities'),
(2805,5,'eclipse'),
(2806,5,'electrolux'),
(2807,5,'vacuum'),
(2808,5,'cleaner'),
(2809,5,'you'),
(2810,5,'know'),
(2811,5,'devoted'),
(2812,5,'customers'),
(2813,5,'all'),
(2814,5,'over'),
(2815,5,'world'),
(2816,5,'this'),
(2817,5,'fact'),
(2818,5,'proves'),
(2819,5,'sell'),
(2820,5,'only'),
(2821,5,'commodities'),
(2822,1,'water'),
(2823,1,'kettle'),
(2824,1,'swk'),
(2825,1,'1000oe'),
(2826,1,'here'),
(2827,1,'can'),
(2828,1,'find'),
(2829,1,'something'),
(2830,1,'than'),
(2831,1,'just'),
(2832,1,'real'),
(2833,1,'understand'),
(2834,1,'complicated'),
(2835,1,'amaze'),
(2836,1,'present'),
(2837,1,'are'),
(2838,1,'whimsical'),
(2839,1,'but'),
(2840,1,'reliable'),
(2841,1,'amazed'),
(2842,1,'its'),
(2843,1,'simplicity'),
(2844,1,'durability'),
(2845,2,'water'),
(2846,2,'kettle'),
(2847,2,'swk'),
(2848,2,'1000oe'),
(2849,2,'here'),
(2850,2,'can'),
(2851,2,'find'),
(2852,2,'something'),
(2853,2,'than'),
(2854,2,'just'),
(2855,2,'real'),
(2856,2,'understand'),
(2857,2,'complicated'),
(2858,2,'amaze'),
(2859,2,'present'),
(2860,2,'they'),
(2861,2,'are'),
(2862,2,'whimsical'),
(2863,2,'but'),
(2864,2,'flexible'),
(2865,2,'reliable'),
(2866,2,'amazed'),
(2867,2,'with'),
(2868,2,'its'),
(2869,2,'simplicity'),
(2870,2,'durability'),
(2871,3,'water'),
(2872,3,'kettle'),
(2873,3,'swk'),
(2874,3,'1000oe'),
(2875,3,'here'),
(2876,3,'can'),
(2877,3,'find'),
(2878,3,'something'),
(2879,3,'than'),
(2880,3,'just'),
(2881,3,'understand'),
(2882,3,'complicated'),
(2883,3,'amaze'),
(2884,3,'present'),
(2885,3,'they'),
(2886,3,'are'),
(2887,3,'whimsical'),
(2888,3,'but'),
(2889,3,'flexible'),
(2890,3,'reliable'),
(2891,3,'amazed'),
(2892,3,'with'),
(2893,3,'its'),
(2894,3,'simplicity'),
(2895,3,'durability'),
(2896,4,'water'),
(2897,4,'kettle'),
(2898,4,'swk'),
(2899,4,'1000oe'),
(2900,4,'here'),
(2901,4,'can'),
(2902,4,'find'),
(2903,4,'something'),
(2904,4,'than'),
(2905,4,'just'),
(2906,4,'real'),
(2907,4,'understand'),
(2908,4,'complicated'),
(2909,4,'amaze'),
(2910,4,'present'),
(2911,4,'they'),
(2912,4,'are'),
(2913,4,'whimsical'),
(2914,4,'but'),
(2915,4,'flexible'),
(2916,4,'reliable'),
(2917,4,'amazed'),
(2918,4,'with'),
(2919,4,'its'),
(2920,4,'simplicity'),
(2921,4,'durability'),
(2922,5,'water'),
(2923,5,'kettle'),
(2924,5,'swk'),
(2925,5,'1000oe'),
(2926,5,'here'),
(2927,5,'can'),
(2928,5,'find'),
(2929,5,'something'),
(2930,5,'than'),
(2931,5,'just'),
(2932,5,'real'),
(2933,5,'understand'),
(2934,5,'complicated'),
(2935,5,'amaze'),
(2936,5,'present'),
(2937,5,'they'),
(2938,5,'are'),
(2939,5,'whimsical'),
(2940,5,'but'),
(2941,5,'flexible'),
(2942,5,'reliable'),
(2943,5,'amazed'),
(2944,5,'with'),
(2945,5,'its'),
(2946,5,'simplicity'),
(2947,5,'durability'),
(2948,1,'applica'),
(2949,1,'fp1600b'),
(2950,1,'cup'),
(2951,1,'food'),
(2952,1,'processor'),
(2953,1,'combination'),
(2954,1,'functionality'),
(2955,2,'applica'),
(2956,2,'fp1600b'),
(2957,2,'cup'),
(2958,2,'food'),
(2959,2,'processor'),
(2960,2,'combination'),
(2961,2,'perfect'),
(2962,2,'ideal'),
(2963,2,'functionality'),
(2964,3,'applica'),
(2965,3,'fp1600b'),
(2966,3,'cup'),
(2967,3,'food'),
(2968,3,'processor'),
(2969,3,'combination'),
(2970,3,'perfect'),
(2971,3,'design'),
(2972,3,'functionality'),
(2973,4,'applica'),
(2974,4,'fp1600b'),
(2975,4,'cup'),
(2976,4,'food'),
(2977,4,'processor'),
(2978,4,'combination'),
(2979,4,'perfect'),
(2980,4,'design'),
(2981,4,'ideal'),
(2982,4,'functionality'),
(2983,5,'applica'),
(2984,5,'fp1600b'),
(2985,5,'cup'),
(2986,5,'food'),
(2987,5,'processor'),
(2988,5,'combination'),
(2989,5,'perfect'),
(2990,5,'design'),
(2991,5,'ideal'),
(2992,5,'functionality'),
(2993,1,'sidebyside'),
(2994,1,'refrigerator'),
(2995,1,'claims'),
(2996,1,'become'),
(2997,1,'scrupulous'),
(2998,1,'sometimes'),
(2999,1,'them'),
(3000,1,'provide'),
(3001,1,'bestsellers'),
(3002,1,'number'),
(3003,1,'options'),
(3004,1,'really'),
(3005,1,'help'),
(3006,2,'sidebyside'),
(3007,2,'refrigerator'),
(3008,2,'claims'),
(3009,2,'become'),
(3010,2,'scrupulous'),
(3011,2,'sometimes'),
(3012,2,'hard'),
(3013,2,'them'),
(3014,2,'provide'),
(3015,2,'bestsellers'),
(3016,2,'great'),
(3017,2,'number'),
(3018,2,'options'),
(3019,2,'really'),
(3020,2,'help'),
(3021,3,'sidebyside'),
(3022,3,'refrigerator'),
(3023,3,'claims'),
(3024,3,'become'),
(3025,3,'scrupulous'),
(3026,3,'sometimes'),
(3027,3,'hard'),
(3028,3,'them'),
(3029,3,'provide'),
(3030,3,'bestsellers'),
(3031,3,'great'),
(3032,3,'number'),
(3033,3,'options'),
(3034,3,'really'),
(3035,3,'help'),
(3036,4,'sidebyside'),
(3037,4,'refrigerator'),
(3038,4,'claims'),
(3039,4,'become'),
(3040,4,'scrupulous'),
(3041,4,'sometimes'),
(3042,4,'hard'),
(3043,4,'them'),
(3044,4,'provide'),
(3045,4,'bestsellers'),
(3046,4,'great'),
(3047,4,'number'),
(3048,4,'options'),
(3049,4,'really'),
(3050,4,'help'),
(3051,5,'sidebyside'),
(3052,5,'refrigerator'),
(3053,5,'claims'),
(3054,5,'become'),
(3055,5,'scrupulous'),
(3056,5,'sometimes'),
(3057,5,'hard'),
(3058,5,'them'),
(3059,5,'provide'),
(3060,5,'bestsellers'),
(3061,5,'great'),
(3062,5,'number'),
(3063,5,'options'),
(3064,5,'really'),
(3065,5,'help'),
(3066,1,'aeg'),
(3067,1,'ultraactive'),
(3068,1,'trying'),
(3069,1,'introduce'),
(3070,1,'positive'),
(3071,1,'results'),
(3072,1,'explorations'),
(3073,1,'main'),
(3074,1,'goal'),
(3075,1,'analysis'),
(3076,1,'out'),
(3077,1,'changes'),
(3078,1,'demands'),
(3079,1,'other'),
(3080,1,'useful'),
(3081,1,'data'),
(3082,2,'aeg'),
(3083,2,'ultraactive'),
(3084,2,'trying'),
(3085,2,'introduce'),
(3086,2,'positive'),
(3087,2,'results'),
(3088,2,'explorations'),
(3089,2,'goal'),
(3090,2,'their'),
(3091,2,'analysis'),
(3092,2,'out'),
(3093,2,'changes'),
(3094,2,'demands'),
(3095,2,'other'),
(3096,2,'useful'),
(3097,2,'data'),
(3098,3,'aeg'),
(3099,3,'ultraactive'),
(3100,3,'trying'),
(3101,3,'introduce'),
(3102,3,'positive'),
(3103,3,'results'),
(3104,3,'explorations'),
(3105,3,'main'),
(3106,3,'goal'),
(3107,3,'their'),
(3108,3,'analysis'),
(3109,3,'out'),
(3110,3,'changes'),
(3111,3,'demands'),
(3112,3,'other'),
(3113,3,'useful'),
(3114,3,'data'),
(3115,4,'aeg'),
(3116,4,'ultraactive'),
(3117,4,'trying'),
(3118,4,'introduce'),
(3119,4,'positive'),
(3120,4,'results'),
(3121,4,'explorations'),
(3122,4,'main'),
(3123,4,'goal'),
(3124,4,'their'),
(3125,4,'analysis'),
(3126,4,'out'),
(3127,4,'changes'),
(3128,4,'demands'),
(3129,4,'other'),
(3130,4,'useful'),
(3131,4,'data'),
(3132,5,'aeg'),
(3133,5,'ultraactive'),
(3134,5,'trying'),
(3135,5,'introduce'),
(3136,5,'positive'),
(3137,5,'results'),
(3138,5,'explorations'),
(3139,5,'main'),
(3140,5,'goal'),
(3141,5,'their'),
(3142,5,'analysis'),
(3143,5,'out'),
(3144,5,'changes'),
(3145,5,'demands'),
(3146,5,'other'),
(3147,5,'useful'),
(3148,5,'data'),
(3149,1,'tds3569gb'),
(3150,1,'2800w'),
(3151,1,'sensixx'),
(3152,1,'b35l'),
(3153,1,'premier'),
(3154,1,'steam'),
(3155,1,'generator'),
(3156,1,'iron'),
(3157,1,'vendors'),
(3158,1,'new'),
(3159,1,'technologies'),
(3160,1,'see'),
(3161,1,'furious'),
(3162,1,'development'),
(3163,1,'industry'),
(3164,1,'also'),
(3165,1,'economical'),
(3166,1,'social'),
(3167,1,'technological'),
(3168,1,'researches'),
(3169,2,'tds3569gb'),
(3170,2,'2800w'),
(3171,2,'sensixx'),
(3172,2,'b35l'),
(3173,2,'premier'),
(3174,2,'power'),
(3175,2,'steam'),
(3176,2,'generator'),
(3177,2,'iron'),
(3178,2,'manufacturers'),
(3179,2,'vendors'),
(3180,2,'new'),
(3181,2,'see'),
(3182,2,'furious'),
(3183,2,'development'),
(3184,2,'industry'),
(3185,2,'also'),
(3186,2,'economical'),
(3187,2,'social'),
(3188,2,'even'),
(3189,2,'technological'),
(3190,2,'researches'),
(3191,3,'tds3569gb'),
(3192,3,'2800w'),
(3193,3,'sensixx'),
(3194,3,'b35l'),
(3195,3,'premier'),
(3196,3,'power'),
(3197,3,'steam'),
(3198,3,'generator'),
(3199,3,'iron'),
(3200,3,'manufacturers'),
(3201,3,'vendors'),
(3202,3,'new'),
(3203,3,'technologies'),
(3204,3,'see'),
(3205,3,'furious'),
(3206,3,'development'),
(3207,3,'industry'),
(3208,3,'also'),
(3209,3,'economical'),
(3210,3,'social'),
(3211,3,'even'),
(3212,3,'technological'),
(3213,3,'researches'),
(3214,4,'tds3569gb'),
(3215,4,'2800w'),
(3216,4,'sensixx'),
(3217,4,'b35l'),
(3218,4,'premier'),
(3219,4,'power'),
(3220,4,'steam'),
(3221,4,'generator'),
(3222,4,'iron'),
(3223,4,'manufacturers'),
(3224,4,'vendors'),
(3225,4,'new'),
(3226,4,'technologies'),
(3227,4,'see'),
(3228,4,'furious'),
(3229,4,'development'),
(3230,4,'industry'),
(3231,4,'also'),
(3232,4,'economical'),
(3233,4,'social'),
(3234,4,'even'),
(3235,4,'technological'),
(3236,4,'researches'),
(3237,5,'tds3569gb'),
(3238,5,'2800w'),
(3239,5,'sensixx'),
(3240,5,'b35l'),
(3241,5,'premier'),
(3242,5,'power'),
(3243,5,'steam'),
(3244,5,'generator'),
(3245,5,'iron'),
(3246,5,'manufacturers'),
(3247,5,'vendors'),
(3248,5,'new'),
(3249,5,'technologies'),
(3250,5,'see'),
(3251,5,'furious'),
(3252,5,'development'),
(3253,5,'industry'),
(3254,5,'also'),
(3255,5,'economical'),
(3256,5,'social'),
(3257,5,'even'),
(3258,5,'technological'),
(3259,5,'researches'),
(3260,1,'machine'),
(3261,1,'bugatti'),
(3262,1,'diva'),
(3263,1,'guarantees'),
(3264,1,'address'),
(3265,1,'superb'),
(3266,1,'247'),
(3267,1,'system'),
(3268,2,'machine'),
(3269,2,'bugatti'),
(3270,2,'diva'),
(3271,2,'want'),
(3272,2,'information'),
(3273,2,'about'),
(3274,2,'terms'),
(3275,2,'guarantees'),
(3276,2,'features'),
(3277,2,'address'),
(3278,2,'superb'),
(3279,2,'247'),
(3280,2,'system'),
(3281,3,'machine'),
(3282,3,'bugatti'),
(3283,3,'diva'),
(3284,3,'want'),
(3285,3,'information'),
(3286,3,'about'),
(3287,3,'terms'),
(3288,3,'guarantees'),
(3289,3,'features'),
(3290,3,'address'),
(3291,3,'superb'),
(3292,3,'247'),
(3293,3,'support'),
(3294,3,'system'),
(3295,4,'machine'),
(3296,4,'bugatti'),
(3297,4,'diva'),
(3298,4,'want'),
(3299,4,'information'),
(3300,4,'about'),
(3301,4,'terms'),
(3302,4,'guarantees'),
(3303,4,'features'),
(3304,4,'address'),
(3305,4,'superb'),
(3306,4,'247'),
(3307,4,'support'),
(3308,4,'system'),
(3309,5,'machine'),
(3310,5,'bugatti'),
(3311,5,'diva'),
(3312,5,'want'),
(3313,5,'information'),
(3314,5,'about'),
(3315,5,'terms'),
(3316,5,'guarantees'),
(3317,5,'features'),
(3318,5,'address'),
(3319,5,'superb'),
(3320,5,'247'),
(3321,5,'support'),
(3322,5,'system'),
(3323,1,'kalorik'),
(3324,1,'aztec'),
(3325,1,'save'),
(3326,1,'some'),
(3327,1,'money'),
(3328,1,'always'),
(3329,1,'promos'),
(3330,1,'get'),
(3331,1,'good'),
(3332,1,'discount'),
(3333,1,'benefits'),
(3334,2,'kalorik'),
(3335,2,'aztec'),
(3336,2,'save'),
(3337,2,'some'),
(3338,2,'money'),
(3339,2,'always'),
(3340,2,'promos'),
(3341,2,'get'),
(3342,2,'good'),
(3343,2,'discount'),
(3344,2,'benefits'),
(3345,3,'kalorik'),
(3346,3,'aztec'),
(3347,3,'save'),
(3348,3,'some'),
(3349,3,'money'),
(3350,3,'always'),
(3351,3,'promos'),
(3352,3,'get'),
(3353,3,'good'),
(3354,3,'discount'),
(3355,3,'benefits'),
(3356,4,'kalorik'),
(3357,4,'aztec'),
(3358,4,'save'),
(3359,4,'some'),
(3360,4,'money'),
(3361,4,'always'),
(3362,4,'promos'),
(3363,4,'get'),
(3364,4,'good'),
(3365,4,'discount'),
(3366,4,'benefits'),
(3367,5,'kalorik'),
(3368,5,'aztec'),
(3369,5,'save'),
(3370,5,'some'),
(3371,5,'money'),
(3372,5,'always'),
(3373,5,'promos'),
(3374,5,'get'),
(3375,5,'good'),
(3376,5,'discount'),
(3377,5,'benefits'),
(3378,1,'malongo'),
(3379,1,'espressogold'),
(3380,1,'remember'),
(3381,1,'buy'),
(3382,1,'fashionable'),
(3383,1,'solid'),
(3384,1,'functional'),
(3385,2,'malongo'),
(3386,2,'espressogold'),
(3387,2,'remember'),
(3388,2,'buy'),
(3389,2,'fashionable'),
(3390,2,'solid'),
(3391,2,'functional'),
(3392,3,'malongo'),
(3393,3,'espressogold'),
(3394,3,'remember'),
(3395,3,'buy'),
(3396,3,'fashionable'),
(3397,3,'solid'),
(3398,3,'functional'),
(3399,4,'malongo'),
(3400,4,'espressogold'),
(3401,4,'remember'),
(3402,4,'buy'),
(3403,4,'fashionable'),
(3404,4,'solid'),
(3405,4,'functional'),
(3406,5,'malongo'),
(3407,5,'espressogold'),
(3408,5,'remember'),
(3409,5,'buy'),
(3410,5,'fashionable'),
(3411,5,'solid'),
(3412,5,'functional'),
(3413,1,'def'),
(3414,1,'18w804'),
(3415,2,'def'),
(3416,2,'18w804'),
(3417,3,'def'),
(3418,3,'18w804'),
(3419,4,'def'),
(3420,4,'18w804'),
(3421,5,'def'),
(3422,5,'18w804'),
(3423,1,'hairdryer'),
(3424,1,'d4444'),
(3425,1,'shine'),
(3426,1,'dryer'),
(3427,2,'hairdryer'),
(3428,2,'d4444'),
(3429,2,'shine'),
(3430,2,'dryer'),
(3431,3,'hairdryer'),
(3432,3,'d4444'),
(3433,3,'shine'),
(3434,3,'dryer'),
(3435,4,'hairdryer'),
(3436,4,'d4444'),
(3437,4,'shine'),
(3438,4,'dryer'),
(3439,5,'hairdryer'),
(3440,5,'d4444'),
(3441,5,'shine'),
(3442,5,'dryer'),
(3443,1,'fhd'),
(3444,1,'10c666'),
(3445,2,'fhd'),
(3446,2,'10c666'),
(3447,3,'fhd'),
(3448,3,'10c666'),
(3449,4,'fhd'),
(3450,4,'10c666'),
(3451,5,'fhd'),
(3452,5,'10c666'),
(3453,1,'phd'),
(3454,1,'30b661'),
(3455,2,'phd'),
(3456,2,'30b661'),
(3457,3,'phd'),
(3458,3,'30b661'),
(3459,4,'phd'),
(3460,4,'30b661'),
(3461,5,'phd'),
(3462,5,'30b661'),
(3463,1,'hamilton'),
(3464,1,'beach'),
(3465,1,'72703'),
(3466,1,'ensemble'),
(3467,1,'chopper'),
(3468,2,'hamilton'),
(3469,2,'beach'),
(3470,2,'72703'),
(3471,2,'chopper'),
(3472,3,'hamilton'),
(3473,3,'beach'),
(3474,3,'72703'),
(3475,3,'ensemble'),
(3476,3,'chopper'),
(3477,4,'hamilton'),
(3478,4,'beach'),
(3479,4,'72703'),
(3480,4,'ensemble'),
(3481,4,'chopper'),
(3482,5,'hamilton'),
(3483,5,'beach'),
(3484,5,'72703'),
(3485,5,'ensemble'),
(3486,5,'chopper'),
(3487,1,'hood'),
(3488,1,'cda'),
(3489,1,'evck4ss'),
(3490,1,'40cm'),
(3491,1,'cylinder'),
(3492,2,'hood'),
(3493,2,'cda'),
(3494,2,'evck4ss'),
(3495,2,'40cm'),
(3496,2,'cylinder'),
(3497,3,'hood'),
(3498,3,'cda'),
(3499,3,'evck4ss'),
(3500,3,'40cm'),
(3501,3,'cylinder'),
(3502,4,'hood'),
(3503,4,'cda'),
(3504,4,'evck4ss'),
(3505,4,'40cm'),
(3506,4,'cylinder'),
(3507,5,'hood'),
(3508,5,'cda'),
(3509,5,'evck4ss'),
(3510,5,'40cm'),
(3511,5,'cylinder'),
(3512,1,'faber'),
(3513,1,'klima'),
(3514,2,'faber'),
(3515,2,'klima'),
(3516,3,'faber'),
(3517,3,'klima'),
(3518,4,'faber'),
(3519,4,'klima'),
(3520,5,'faber'),
(3521,5,'klima'),
(3522,1,'scholtes'),
(3523,1,'hse'),
(3524,1,'159'),
(3525,2,'scholtes'),
(3526,2,'hse'),
(3527,2,'159'),
(3528,3,'scholtes'),
(3529,3,'hse'),
(3530,3,'159'),
(3531,4,'scholtes'),
(3532,4,'hse'),
(3533,4,'159'),
(3534,5,'scholtes'),
(3535,5,'hse'),
(3536,5,'159'),
(3537,1,'whirpool'),
(3538,1,'akr806ix'),
(3539,2,'whirpool'),
(3540,2,'akr806ix'),
(3541,3,'whirpool'),
(3542,3,'akr806ix'),
(3543,4,'whirpool'),
(3544,4,'akr806ix'),
(3545,5,'whirpool'),
(3546,5,'akr806ix'),
(3547,1,'hoover'),
(3548,1,'xarion'),
(3549,1,'bagless'),
(3550,2,'hoover'),
(3551,2,'xarion'),
(3552,2,'bagless'),
(3553,3,'hoover'),
(3554,3,'xarion'),
(3555,3,'bagless'),
(3556,4,'hoover'),
(3557,4,'xarion'),
(3558,4,'bagless'),
(3559,5,'hoover'),
(3560,5,'xarion'),
(3561,5,'bagless'),
(3562,1,'meat'),
(3563,1,'grinder'),
(3564,1,'mgr25959'),
(3565,1,'stainless'),
(3566,1,'steel'),
(3567,1,'blade'),
(3568,2,'meat'),
(3569,2,'grinder'),
(3570,2,'mgr25959'),
(3571,2,'stainless'),
(3572,2,'steel'),
(3573,2,'blade'),
(3574,3,'meat'),
(3575,3,'grinder'),
(3576,3,'mgr25959'),
(3577,3,'stainless'),
(3578,3,'steel'),
(3579,3,'blade'),
(3580,4,'meat'),
(3581,4,'grinder'),
(3582,4,'mgr25959'),
(3583,4,'stainless'),
(3584,4,'steel'),
(3585,4,'blade'),
(3586,5,'meat'),
(3587,5,'grinder'),
(3588,5,'mgr25959'),
(3589,5,'stainless'),
(3590,5,'steel'),
(3591,5,'blade'),
(3592,1,'floral'),
(3593,1,'t676'),
(3594,2,'floral'),
(3595,2,'t676'),
(3596,3,'floral'),
(3597,3,'collection'),
(3598,3,'t676'),
(3599,4,'floral'),
(3600,4,'collection'),
(3601,4,'t676'),
(3602,5,'floral'),
(3603,5,'collection'),
(3604,5,'t676'),
(3605,1,'smg'),
(3606,1,'4382'),
(3607,2,'smg'),
(3608,2,'4382'),
(3609,3,'smg'),
(3610,3,'4382'),
(3611,4,'smg'),
(3612,4,'4382'),
(3613,5,'smg'),
(3614,5,'4382'),
(3615,1,'avilla'),
(3616,1,'av0304'),
(3617,2,'avilla'),
(3618,2,'av0304'),
(3619,3,'avilla'),
(3620,3,'av0304'),
(3621,4,'avilla'),
(3622,4,'av0304'),
(3623,5,'avilla'),
(3624,5,'av0304'),
(3625,1,'mg2050'),
(3626,2,'mg2050'),
(3627,3,'mg2050'),
(3628,4,'mg2050'),
(3629,5,'mg2050'),
(3630,1,'modern'),
(3631,1,'fridge'),
(3632,1,'freezer'),
(3633,1,'fagor'),
(3634,1,'ffa8865'),
(3635,2,'modern'),
(3636,2,'fridge'),
(3637,2,'freezer'),
(3638,2,'fagor'),
(3639,2,'ffa8865'),
(3640,3,'modern'),
(3641,3,'fridge'),
(3642,3,'freezer'),
(3643,3,'fagor'),
(3644,3,'ffa8865'),
(3645,4,'modern'),
(3646,4,'fridge'),
(3647,4,'freezer'),
(3648,4,'fagor'),
(3649,4,'ffa8865'),
(3650,5,'modern'),
(3651,5,'fridge'),
(3652,5,'freezer'),
(3653,5,'fagor'),
(3654,5,'ffa8865'),
(3655,1,'siemens'),
(3656,1,'kd36na40'),
(3657,2,'siemens'),
(3658,2,'kd36na40'),
(3659,3,'siemens'),
(3660,3,'kd36na40'),
(3661,4,'siemens'),
(3662,4,'kd36na40'),
(3663,5,'siemens'),
(3664,5,'kd36na40'),
(3665,1,'smeg'),
(3666,1,'compact'),
(3667,1,'minifridge'),
(3668,1,'fab10uj'),
(3669,2,'smeg'),
(3670,2,'minifridge'),
(3671,2,'fab10uj'),
(3672,3,'smeg'),
(3673,3,'compact'),
(3674,3,'minifridge'),
(3675,3,'fab10uj'),
(3676,4,'smeg'),
(3677,4,'compact'),
(3678,4,'minifridge'),
(3679,4,'fab10uj'),
(3680,5,'smeg'),
(3681,5,'compact'),
(3682,5,'minifridge'),
(3683,5,'fab10uj'),
(3684,1,'contemporary'),
(3685,1,'fpd'),
(3686,2,'contemporary'),
(3687,2,'fpd'),
(3688,3,'contemporary'),
(3689,3,'fpd'),
(3690,4,'contemporary'),
(3691,4,'fpd'),
(3692,5,'contemporary'),
(3693,5,'fpd'),
(3694,1,'wash'),
(3695,1,'thomas'),
(3696,1,'twin'),
(3697,2,'wash'),
(3698,2,'thomas'),
(3699,2,'twin'),
(3700,3,'wash'),
(3701,3,'thomas'),
(3702,3,'twin'),
(3703,4,'wash'),
(3704,4,'thomas'),
(3705,4,'twin'),
(3706,5,'wash'),
(3707,5,'thomas'),
(3708,5,'twin'),
(3709,1,'kettler'),
(3710,1,'1051'),
(3711,2,'kettler'),
(3712,2,'1051'),
(3713,3,'kettler'),
(3714,3,'1051'),
(3715,4,'kettler'),
(3716,4,'1051'),
(3717,5,'kettler'),
(3718,5,'1051'),
(3719,1,'1753'),
(3720,2,'1753'),
(3721,3,'1753'),
(3722,4,'1753'),
(3723,5,'1753'),
(3724,1,'adipisicin'),
(3725,1,'eiusmod'),
(3726,1,'incididunt'),
(3727,1,'laboret'),
(3728,1,'dolore'),
(3729,1,'aliqua'),
(3730,1,'conse'),
(3731,1,'ctetur'),
(3732,1,'adipisicing'),
(3733,2,'adipisicing'),
(3734,3,'adipisicing'),
(3735,4,'adipisicing'),
(3736,5,'adipisicing'),
(3737,2,'dolore'),
(3738,3,'dolore'),
(3739,4,'dolore'),
(3740,5,'dolore'),
(3741,1,'labore'),
(3742,2,'incididunt'),
(3743,2,'labore'),
(3744,3,'incididunt'),
(3745,3,'labore'),
(3746,4,'incididunt'),
(3747,4,'labore'),
(3748,5,'incididunt'),
(3749,5,'labore'),
(3750,2,'eiusmod'),
(3751,3,'eiusmod'),
(3752,4,'eiusmod'),
(3753,5,'eiusmod'),
(3754,2,'conse'),
(3755,2,'ctetur'),
(3756,3,'conse'),
(3757,3,'ctetur'),
(3758,4,'conse'),
(3759,4,'ctetur'),
(3760,5,'conse'),
(3761,5,'ctetur'),
(3762,1,'agility'),
(3763,1,'ultralight'),
(3764,1,'spinning'),
(3765,1,'reel'),
(3766,1,'company'),
(3767,1,'wellknown'),
(3768,1,'leader'),
(3769,1,'fishing'),
(3770,1,'supplies'),
(3771,1,'best'),
(3772,1,'tackles'),
(3773,1,'since'),
(3774,1,'1975'),
(3775,1,'how'),
(3776,1,'business'),
(3777,1,'care'),
(3778,1,'right'),
(3779,1,'place'),
(3780,1,'first'),
(3781,1,'second'),
(3782,1,'after'),
(3783,1,'enter'),
(3784,1,'door'),
(3785,1,'don'),
(3786,1,'forget'),
(3787,1,'various'),
(3788,1,'discounted'),
(3789,1,'experienced'),
(3790,1,'professional'),
(3791,1,'staff'),
(3792,1,'will'),
(3793,1,'exactly'),
(3794,1,'what'),
(3795,1,'need'),
(3796,1,'tons'),
(3797,1,'suggestions'),
(3798,2,'agility'),
(3799,2,'ultralight'),
(3800,2,'spinning'),
(3801,2,'company'),
(3802,2,'wellknown'),
(3803,2,'leader'),
(3804,2,'fishing'),
(3805,2,'supplies'),
(3806,2,'deliver'),
(3807,2,'best'),
(3808,2,'tackles'),
(3809,2,'since'),
(3810,2,'1975'),
(3811,2,'how'),
(3812,2,'business'),
(3813,2,'well'),
(3814,2,'care'),
(3815,2,'feel'),
(3816,2,'right'),
(3817,2,'place'),
(3818,2,'first'),
(3819,2,'second'),
(3820,2,'after'),
(3821,2,'enter'),
(3822,2,'door'),
(3823,2,'don'),
(3824,2,'forget'),
(3825,2,'various'),
(3826,2,'discounted'),
(3827,2,'experienced'),
(3828,2,'highly'),
(3829,2,'professional'),
(3830,2,'staff'),
(3831,2,'will'),
(3832,2,'exactly'),
(3833,2,'what'),
(3834,2,'need'),
(3835,2,'give'),
(3836,2,'tons'),
(3837,2,'suggestions'),
(3838,3,'agility'),
(3839,3,'ultralight'),
(3840,3,'spinning'),
(3841,3,'reel'),
(3842,3,'company'),
(3843,3,'wellknown'),
(3844,3,'leader'),
(3845,3,'fishing'),
(3846,3,'supplies'),
(3847,3,'deliver'),
(3848,3,'best'),
(3849,3,'tackles'),
(3850,3,'since'),
(3851,3,'1975'),
(3852,3,'how'),
(3853,3,'business'),
(3854,3,'well'),
(3855,3,'care'),
(3856,3,'feel'),
(3857,3,'right'),
(3858,3,'place'),
(3859,3,'first'),
(3860,3,'second'),
(3861,3,'after'),
(3862,3,'enter'),
(3863,3,'door'),
(3864,3,'don'),
(3865,3,'forget'),
(3866,3,'various'),
(3867,3,'discounted'),
(3868,3,'experienced'),
(3869,3,'highly'),
(3870,3,'professional'),
(3871,3,'staff'),
(3872,3,'will'),
(3873,3,'exactly'),
(3874,3,'what'),
(3875,3,'need'),
(3876,3,'give'),
(3877,3,'tons'),
(3878,3,'suggestions'),
(3879,4,'agility'),
(3880,4,'ultralight'),
(3881,4,'spinning'),
(3882,4,'reel'),
(3883,4,'company'),
(3884,4,'wellknown'),
(3885,4,'leader'),
(3886,4,'fishing'),
(3887,4,'supplies'),
(3888,4,'deliver'),
(3889,4,'best'),
(3890,4,'tackles'),
(3891,4,'since'),
(3892,4,'1975'),
(3893,4,'how'),
(3894,4,'business'),
(3895,4,'well'),
(3896,4,'care'),
(3897,4,'feel'),
(3898,4,'right'),
(3899,4,'place'),
(3900,4,'first'),
(3901,4,'second'),
(3902,4,'after'),
(3903,4,'enter'),
(3904,4,'door'),
(3905,4,'don'),
(3906,4,'forget'),
(3907,4,'various'),
(3908,4,'discounted'),
(3909,4,'experienced'),
(3910,4,'highly'),
(3911,4,'professional'),
(3912,4,'staff'),
(3913,4,'will'),
(3914,4,'exactly'),
(3915,4,'what'),
(3916,4,'need'),
(3917,4,'give'),
(3918,4,'tons'),
(3919,4,'suggestions'),
(3920,5,'agility'),
(3921,5,'ultralight'),
(3922,5,'spinning'),
(3923,5,'reel'),
(3924,5,'company'),
(3925,5,'wellknown'),
(3926,5,'leader'),
(3927,5,'fishing'),
(3928,5,'supplies'),
(3929,5,'deliver'),
(3930,5,'best'),
(3931,5,'tackles'),
(3932,5,'since'),
(3933,5,'1975'),
(3934,5,'how'),
(3935,5,'business'),
(3936,5,'well'),
(3937,5,'care'),
(3938,5,'feel'),
(3939,5,'right'),
(3940,5,'place'),
(3941,5,'first'),
(3942,5,'second'),
(3943,5,'after'),
(3944,5,'enter'),
(3945,5,'door'),
(3946,5,'don'),
(3947,5,'forget'),
(3948,5,'various'),
(3949,5,'discounted'),
(3950,5,'experienced'),
(3951,5,'highly'),
(3952,5,'professional'),
(3953,5,'staff'),
(3954,5,'will'),
(3955,5,'exactly'),
(3956,5,'what'),
(3957,5,'need'),
(3958,5,'give'),
(3959,5,'tons'),
(3960,5,'suggestions'),
(3961,1,'ugly'),
(3962,1,'stik'),
(3963,1,'freshwater'),
(3964,1,'shadow'),
(3965,1,'try'),
(3966,1,'any'),
(3967,1,'check'),
(3968,1,'test'),
(3969,1,'solution'),
(3970,1,'suit'),
(3971,1,'needs'),
(3972,1,'ancient'),
(3973,1,'occupation'),
(3974,1,'aim'),
(3975,1,'unite'),
(3976,1,'priceless'),
(3977,1,'experience'),
(3978,1,'worldlywise'),
(3979,1,'fishermen'),
(3980,2,'ugly'),
(3981,2,'stik'),
(3982,2,'freshwater'),
(3983,2,'shadow'),
(3984,2,'case'),
(3985,2,'try'),
(3986,2,'any'),
(3987,2,'free'),
(3988,2,'visit'),
(3989,2,'check'),
(3990,2,'test'),
(3991,2,'suit'),
(3992,2,'your'),
(3993,2,'needs'),
(3994,2,'ancient'),
(3995,2,'occupation'),
(3996,2,'aim'),
(3997,2,'unite'),
(3998,2,'priceless'),
(3999,2,'experience'),
(4000,2,'worldlywise'),
(4001,2,'fishermen'),
(4002,3,'ugly'),
(4003,3,'stik'),
(4004,3,'freshwater'),
(4005,3,'shadow'),
(4006,3,'try'),
(4007,3,'any'),
(4008,3,'free'),
(4009,3,'visit'),
(4010,3,'check'),
(4011,3,'test'),
(4012,3,'solution'),
(4013,3,'suit'),
(4014,3,'your'),
(4015,3,'needs'),
(4016,3,'ancient'),
(4017,3,'occupation'),
(4018,3,'aim'),
(4019,3,'unite'),
(4020,3,'priceless'),
(4021,3,'experience'),
(4022,3,'worldlywise'),
(4023,3,'fishermen'),
(4024,4,'ugly'),
(4025,4,'stik'),
(4026,4,'freshwater'),
(4027,4,'shadow'),
(4028,4,'case'),
(4029,4,'try'),
(4030,4,'any'),
(4031,4,'free'),
(4032,4,'visit'),
(4033,4,'check'),
(4034,4,'test'),
(4035,4,'solution'),
(4036,4,'suit'),
(4037,4,'your'),
(4038,4,'needs'),
(4039,4,'ancient'),
(4040,4,'occupation'),
(4041,4,'aim'),
(4042,4,'unite'),
(4043,4,'priceless'),
(4044,4,'experience'),
(4045,4,'worldlywise'),
(4046,4,'fishermen'),
(4047,5,'ugly'),
(4048,5,'stik'),
(4049,5,'freshwater'),
(4050,5,'shadow'),
(4051,5,'case'),
(4052,5,'try'),
(4053,5,'any'),
(4054,5,'free'),
(4055,5,'visit'),
(4056,5,'check'),
(4057,5,'test'),
(4058,5,'solution'),
(4059,5,'suit'),
(4060,5,'your'),
(4061,5,'needs'),
(4062,5,'ancient'),
(4063,5,'occupation'),
(4064,5,'aim'),
(4065,5,'unite'),
(4066,5,'priceless'),
(4067,5,'experience'),
(4068,5,'worldlywise'),
(4069,5,'fishermen'),
(4070,1,'quantum'),
(4071,1,'kinetic'),
(4072,1,'baitcast'),
(4073,1,'offers'),
(4074,1,'50000'),
(4075,1,'sure'),
(4076,1,'won'),
(4077,1,'able'),
(4078,1,'for'),
(4079,1,'choosing'),
(4080,2,'quantum'),
(4081,2,'kinetic'),
(4082,2,'baitcast'),
(4083,2,'offers'),
(4084,2,'50000'),
(4085,2,'sure'),
(4086,2,'won'),
(4087,2,'able'),
(4088,2,'beat'),
(4089,2,'thanks'),
(4090,2,'for'),
(4091,2,'choosing'),
(4092,3,'quantum'),
(4093,3,'kinetic'),
(4094,3,'baitcast'),
(4095,3,'offers'),
(4096,3,'50000'),
(4097,3,'sure'),
(4098,3,'won'),
(4099,3,'able'),
(4100,3,'beat'),
(4101,3,'thanks'),
(4102,3,'for'),
(4103,3,'choosing'),
(4104,4,'quantum'),
(4105,4,'kinetic'),
(4106,4,'baitcast'),
(4107,4,'offers'),
(4108,4,'50000'),
(4109,4,'sure'),
(4110,4,'won'),
(4111,4,'able'),
(4112,4,'beat'),
(4113,4,'thanks'),
(4114,4,'for'),
(4115,4,'choosing'),
(4116,5,'quantum'),
(4117,5,'kinetic'),
(4118,5,'baitcast'),
(4119,5,'offers'),
(4120,5,'50000'),
(4121,5,'sure'),
(4122,5,'won'),
(4123,5,'able'),
(4124,5,'beat'),
(4125,5,'thanks'),
(4126,5,'for'),
(4127,5,'choosing'),
(4128,1,'berkley'),
(4129,1,'flicker'),
(4130,1,'shad'),
(4131,1,'reintroduced'),
(4132,1,'sincerely'),
(4133,1,'hope'),
(4134,1,'enjoy'),
(4135,1,'browsing'),
(4136,1,'questions'),
(4137,1,'concerning'),
(4138,1,'shipping'),
(4139,1,'details'),
(4140,1,'consultants'),
(4141,1,'would'),
(4142,1,'love'),
(4143,1,'kind'),
(4144,1,'requires'),
(4145,1,'skills'),
(4146,1,'glad'),
(4147,1,'enhance'),
(4148,1,'these'),
(4149,2,'berkley'),
(4150,2,'flicker'),
(4151,2,'shad'),
(4152,2,'reintroduced'),
(4153,2,'sincerely'),
(4154,2,'hope'),
(4155,2,'enjoy'),
(4156,2,'browsing'),
(4157,2,'through'),
(4158,2,'website'),
(4159,2,'questions'),
(4160,2,'concerning'),
(4161,2,'shipping'),
(4162,2,'please'),
(4163,2,'contact'),
(4164,2,'service'),
(4165,2,'consultants'),
(4166,2,'would'),
(4167,2,'love'),
(4168,2,'kind'),
(4169,2,'activity'),
(4170,2,'requires'),
(4171,2,'skills'),
(4172,2,'glad'),
(4173,2,'offer'),
(4174,2,'enhance'),
(4175,2,'these'),
(4176,3,'berkley'),
(4177,3,'flicker'),
(4178,3,'shad'),
(4179,3,'reintroduced'),
(4180,3,'sincerely'),
(4181,3,'hope'),
(4182,3,'enjoy'),
(4183,3,'browsing'),
(4184,3,'through'),
(4185,3,'website'),
(4186,3,'questions'),
(4187,3,'concerning'),
(4188,3,'shipping'),
(4189,3,'details'),
(4190,3,'please'),
(4191,3,'contact'),
(4192,3,'service'),
(4193,3,'consultants'),
(4194,3,'would'),
(4195,3,'love'),
(4196,3,'kind'),
(4197,3,'activity'),
(4198,3,'requires'),
(4199,3,'skills'),
(4200,3,'glad'),
(4201,3,'offer'),
(4202,3,'enhance'),
(4203,3,'these'),
(4204,4,'berkley'),
(4205,4,'flicker'),
(4206,4,'shad'),
(4207,4,'reintroduced'),
(4208,4,'sincerely'),
(4209,4,'hope'),
(4210,4,'enjoy'),
(4211,4,'browsing'),
(4212,4,'through'),
(4213,4,'website'),
(4214,4,'questions'),
(4215,4,'concerning'),
(4216,4,'shipping'),
(4217,4,'details'),
(4218,4,'please'),
(4219,4,'contact'),
(4220,4,'service'),
(4221,4,'consultants'),
(4222,4,'would'),
(4223,4,'love'),
(4224,4,'kind'),
(4225,4,'activity'),
(4226,4,'requires'),
(4227,4,'skills'),
(4228,4,'glad'),
(4229,4,'offer'),
(4230,4,'enhance'),
(4231,4,'these'),
(4232,5,'berkley'),
(4233,5,'flicker'),
(4234,5,'shad'),
(4235,5,'reintroduced'),
(4236,5,'sincerely'),
(4237,5,'hope'),
(4238,5,'enjoy'),
(4239,5,'browsing'),
(4240,5,'through'),
(4241,5,'website'),
(4242,5,'questions'),
(4243,5,'concerning'),
(4244,5,'shipping'),
(4245,5,'details'),
(4246,5,'please'),
(4247,5,'contact'),
(4248,5,'service'),
(4249,5,'consultants'),
(4250,5,'would'),
(4251,5,'love'),
(4252,5,'kind'),
(4253,5,'activity'),
(4254,5,'requires'),
(4255,5,'skills'),
(4256,5,'glad'),
(4257,5,'offer'),
(4258,5,'enhance'),
(4259,5,'these'),
(4260,1,'dancin'),
(4261,1,'crappie'),
(4262,1,'spin'),
(4263,2,'dancin'),
(4264,2,'crappie'),
(4265,2,'spin'),
(4266,3,'dancin'),
(4267,3,'crappie'),
(4268,3,'spin'),
(4269,4,'dancin'),
(4270,4,'crappie'),
(4271,4,'spin'),
(4272,5,'dancin'),
(4273,5,'crappie'),
(4274,5,'spin'),
(4275,1,'daiwa'),
(4276,1,'high'),
(4277,1,'performance'),
(4278,1,'neoprene'),
(4279,1,'hip'),
(4280,1,'waders'),
(4281,2,'daiwa'),
(4282,2,'high'),
(4283,2,'neoprene'),
(4284,2,'hip'),
(4285,2,'waders'),
(4286,3,'daiwa'),
(4287,3,'high'),
(4288,3,'performance'),
(4289,3,'neoprene'),
(4290,3,'hip'),
(4291,3,'waders'),
(4292,4,'daiwa'),
(4293,4,'high'),
(4294,4,'performance'),
(4295,4,'neoprene'),
(4296,4,'hip'),
(4297,4,'waders'),
(4298,5,'daiwa'),
(4299,5,'high'),
(4300,5,'performance'),
(4301,5,'neoprene'),
(4302,5,'hip'),
(4303,5,'waders'),
(4304,1,'dimension'),
(4305,1,'low'),
(4306,1,'profile'),
(4307,2,'low'),
(4308,2,'profile'),
(4309,3,'low'),
(4310,3,'profile'),
(4311,4,'dimension'),
(4312,4,'low'),
(4313,4,'profile'),
(4314,5,'dimension'),
(4315,5,'low'),
(4316,5,'profile'),
(4317,1,'plano'),
(4318,1,'waist'),
(4319,1,'pack'),
(4320,2,'plano'),
(4321,2,'waist'),
(4322,2,'pack'),
(4323,3,'plano'),
(4324,3,'waist'),
(4325,3,'pack'),
(4326,4,'plano'),
(4327,4,'waist'),
(4328,4,'pack'),
(4329,5,'plano'),
(4330,5,'waist'),
(4331,5,'pack'),
(4332,1,'liquabait'),
(4333,1,'4642'),
(4334,1,'extra'),
(4335,1,'deep'),
(4336,1,'lbl'),
(4337,2,'liquabait'),
(4338,2,'4642'),
(4339,2,'extra'),
(4340,2,'deep'),
(4341,2,'lbl'),
(4342,3,'liquabait'),
(4343,3,'4642'),
(4344,3,'extra'),
(4345,3,'deep'),
(4346,3,'lbl'),
(4347,4,'liquabait'),
(4348,4,'4642'),
(4349,4,'extra'),
(4350,4,'deep'),
(4351,4,'lbl'),
(4352,5,'liquabait'),
(4353,5,'4642'),
(4354,5,'extra'),
(4355,5,'deep'),
(4356,5,'lbl'),
(4357,1,'accurist'),
(4358,1,'baitcaster'),
(4359,2,'accurist'),
(4360,2,'baitcaster'),
(4361,3,'accurist'),
(4362,3,'baitcaster'),
(4363,4,'accurist'),
(4364,4,'baitcaster'),
(4365,5,'accurist'),
(4366,5,'baitcaster'),
(4367,1,'wolverine'),
(4368,1,'delta'),
(4369,2,'wolverine'),
(4370,2,'delta'),
(4371,3,'wolverine'),
(4372,3,'delta'),
(4373,4,'wolverine'),
(4374,4,'delta'),
(4375,5,'wolverine'),
(4376,5,'delta'),
(4377,1,'alpha'),
(4378,2,'alpha'),
(4379,3,'alpha'),
(4380,4,'alpha'),
(4381,5,'alpha'),
(4382,1,'gulp'),
(4383,1,'alive'),
(4384,1,'ghost'),
(4385,1,'shrimp'),
(4386,2,'gulp'),
(4387,2,'alive'),
(4388,2,'ghost'),
(4389,2,'shrimp'),
(4390,3,'gulp'),
(4391,3,'alive'),
(4392,3,'ghost'),
(4393,3,'shrimp'),
(4394,4,'gulp'),
(4395,4,'alive'),
(4396,4,'ghost'),
(4397,4,'shrimp'),
(4398,5,'gulp'),
(4399,5,'alive'),
(4400,5,'ghost'),
(4401,5,'shrimp'),
(4402,1,'powerbait'),
(4403,1,'crazy'),
(4404,1,'legs'),
(4405,1,'chigger'),
(4406,1,'craw'),
(4407,2,'powerbait'),
(4408,2,'crazy'),
(4409,2,'legs'),
(4410,2,'chigger'),
(4411,2,'craw'),
(4412,3,'powerbait'),
(4413,3,'crazy'),
(4414,3,'legs'),
(4415,3,'chigger'),
(4416,3,'craw'),
(4417,4,'powerbait'),
(4418,4,'crazy'),
(4419,4,'legs'),
(4420,4,'chigger'),
(4421,4,'craw'),
(4422,5,'powerbait'),
(4423,5,'crazy'),
(4424,5,'legs'),
(4425,5,'chigger'),
(4426,5,'craw'),
(4427,1,'ripple'),
(4428,2,'ripple'),
(4429,3,'ripple'),
(4430,4,'ripple'),
(4431,5,'ripple'),
(4432,1,'korum'),
(4433,1,'rod'),
(4434,1,'quiver'),
(4435,2,'korum'),
(4436,2,'rod'),
(4437,2,'quiver'),
(4438,3,'korum'),
(4439,3,'rod'),
(4440,3,'quiver'),
(4441,4,'korum'),
(4442,4,'rod'),
(4443,4,'quiver'),
(4444,5,'korum'),
(4445,5,'rod'),
(4446,5,'quiver'),
(4447,1,'bait'),
(4448,1,'bits'),
(4449,1,'bag'),
(4450,2,'bait'),
(4451,2,'bits'),
(4452,2,'bag'),
(4453,3,'bait'),
(4454,3,'bits'),
(4455,3,'bag'),
(4456,4,'bait'),
(4457,4,'bits'),
(4458,4,'bag'),
(4459,5,'bait'),
(4460,5,'bits'),
(4461,5,'bag'),
(4462,1,'lindy'),
(4463,1,'jig'),
(4464,2,'lindy'),
(4465,2,'jig'),
(4466,3,'lindy'),
(4467,3,'jig'),
(4468,4,'lindy'),
(4469,4,'jig'),
(4470,5,'lindy'),
(4471,5,'jig'),
(4472,1,'shadling'),
(4473,2,'colors'),
(4474,2,'shadling'),
(4475,3,'colors'),
(4476,3,'shadling'),
(4477,4,'colors'),
(4478,4,'shadling'),
(4479,5,'colors'),
(4480,5,'shadling'),
(4481,1,'northland'),
(4482,1,'mimic'),
(4483,1,'minnow'),
(4484,1,'fry'),
(4485,2,'northland'),
(4486,2,'mimic'),
(4487,2,'minnow'),
(4488,2,'fry'),
(4489,3,'northland'),
(4490,3,'mimic'),
(4491,3,'minnow'),
(4492,3,'fry'),
(4493,4,'northland'),
(4494,4,'mimic'),
(4495,4,'minnow'),
(4496,4,'fry'),
(4497,5,'northland'),
(4498,5,'mimic'),
(4499,5,'minnow'),
(4500,5,'fry'),
(4501,1,'3tray'),
(4502,1,'box'),
(4503,2,'3tray'),
(4504,2,'box'),
(4505,3,'3tray'),
(4506,3,'box'),
(4507,4,'3tray'),
(4508,4,'box'),
(4509,5,'3tray'),
(4510,5,'box'),
(4511,1,'5300'),
(4512,1,'recycled'),
(4513,1,'tackle'),
(4514,2,'5300'),
(4515,2,'recycled'),
(4516,2,'tackle'),
(4517,3,'5300'),
(4518,3,'recycled'),
(4519,3,'tackle'),
(4520,4,'5300'),
(4521,4,'recycled'),
(4522,4,'tackle'),
(4523,5,'5300'),
(4524,5,'recycled'),
(4525,5,'tackle'),
(4526,1,'6101'),
(4527,1,'one'),
(4528,1,'tray'),
(4529,2,'6101'),
(4530,2,'one'),
(4531,2,'tray'),
(4532,3,'6101'),
(4533,3,'one'),
(4534,3,'tray'),
(4535,4,'6101'),
(4536,4,'one'),
(4537,4,'tray'),
(4538,5,'6101'),
(4539,5,'one'),
(4540,5,'tray'),
(4541,1,'hike'),
(4542,1,'satchel'),
(4543,2,'hike'),
(4544,2,'satchel'),
(4545,3,'hike'),
(4546,3,'satchel'),
(4547,4,'hike'),
(4548,4,'satchel'),
(4549,5,'hike'),
(4550,5,'satchel'),
(4551,1,'runner'),
(4552,1,'combos'),
(4553,2,'blue'),
(4554,2,'runner'),
(4555,2,'combos'),
(4556,3,'blue'),
(4557,3,'runner'),
(4558,3,'combos'),
(4559,4,'blue'),
(4560,4,'runner'),
(4561,4,'combos'),
(4562,5,'blue'),
(4563,5,'runner'),
(4564,5,'combos'),
(4565,1,'catalyst'),
(4566,1,'pts'),
(4567,1,'inshore'),
(4568,2,'catalyst'),
(4569,2,'pts'),
(4570,2,'inshore'),
(4571,3,'catalyst'),
(4572,3,'pts'),
(4573,3,'inshore'),
(4574,4,'catalyst'),
(4575,4,'pts'),
(4576,4,'inshore'),
(4577,5,'catalyst'),
(4578,5,'pts'),
(4579,5,'inshore'),
(4580,1,'reax'),
(4581,2,'reax'),
(4582,3,'reax'),
(4583,4,'reax'),
(4584,5,'reax'),
(4585,1,'tour'),
(4586,1,'kvd'),
(4587,2,'tour'),
(4588,2,'kvd'),
(4589,3,'tour'),
(4590,3,'kvd'),
(4591,4,'tour'),
(4592,4,'kvd'),
(4593,5,'tour'),
(4594,5,'kvd'),
(4595,1,'sebile'),
(4596,1,'magic'),
(4597,1,'swimmer'),
(4598,2,'sebile'),
(4599,2,'magic'),
(4600,2,'swimmer'),
(4601,3,'sebile'),
(4602,3,'magic'),
(4603,3,'swimmer'),
(4604,4,'sebile'),
(4605,4,'magic'),
(4606,4,'swimmer'),
(4607,5,'sebile'),
(4608,5,'magic'),
(4609,5,'swimmer'),
(4610,1,'sld10'),
(4611,2,'sld10'),
(4612,3,'sld10'),
(4613,4,'sld10'),
(4614,5,'sld10'),
(4615,1,'synergy'),
(4616,1,'saltwater'),
(4617,1,'spincasting'),
(4618,2,'synergy'),
(4619,2,'saltwater'),
(4620,2,'spincasting'),
(4621,3,'synergy'),
(4622,3,'saltwater'),
(4623,3,'spincasting'),
(4624,4,'synergy'),
(4625,4,'saltwater'),
(4626,4,'spincasting'),
(4627,5,'synergy'),
(4628,5,'saltwater'),
(4629,5,'spincasting'),
(4630,1,'lowprofile'),
(4631,2,'lowprofile'),
(4632,3,'lowprofile'),
(4633,4,'lowprofile'),
(4634,5,'lowprofile'),
(4635,1,'ti14'),
(4636,2,'ti14'),
(4637,3,'ti14'),
(4638,4,'ti14'),
(4639,5,'ti14'),
(4640,1,'tempest'),
(4641,1,'combo'),
(4642,2,'tempest'),
(4643,2,'combo'),
(4644,3,'tempest'),
(4645,3,'combo'),
(4646,4,'tempest'),
(4647,4,'combo'),
(4648,5,'tempest'),
(4649,5,'combo'),
(4650,1,'dune'),
(4651,2,'dune'),
(4652,3,'dune'),
(4653,4,'dune'),
(4654,5,'dune'),
(4655,1,'ironwood'),
(4656,2,'ironwood'),
(4657,3,'ironwood'),
(4658,4,'ironwood'),
(4659,5,'ironwood'),
(4660,1,'kingston'),
(4661,2,'kingston'),
(4662,3,'kingston'),
(4663,4,'kingston'),
(4664,5,'kingston'),
(4665,1,'xcalibur'),
(4666,1,'xr50'),
(4667,1,'rattle'),
(4668,2,'xcalibur'),
(4669,2,'xr50'),
(4670,2,'rattle'),
(4671,3,'xcalibur'),
(4672,3,'xr50'),
(4673,3,'rattle'),
(4674,4,'xcalibur'),
(4675,4,'xr50'),
(4676,4,'rattle'),
(4677,5,'xcalibur'),
(4678,5,'xr50'),
(4679,5,'rattle'),
(4680,1,'zebco'),
(4681,1,'pro'),
(4682,1,'spincast'),
(4683,2,'zebco'),
(4684,2,'pro'),
(4685,2,'spincast'),
(4686,3,'zebco'),
(4687,3,'pro'),
(4688,3,'spincast'),
(4689,4,'zebco'),
(4690,4,'pro'),
(4691,4,'spincast'),
(4692,5,'zebco'),
(4693,5,'pro'),
(4694,5,'spincast'),
(4695,1,'2011'),
(4696,1,'bell'),
(4697,1,'sequence'),
(4698,1,'mtb'),
(4699,1,'helmet'),
(4700,1,'online'),
(4701,1,'shop'),
(4702,1,'bikes'),
(4703,1,'related'),
(4704,1,'loyalty'),
(4705,1,'programs'),
(4706,1,'components'),
(4707,1,'ensured'),
(4708,1,'team'),
(4709,1,'chemistry'),
(4710,1,'flawless'),
(4711,1,'surprise'),
(4712,1,'instantly'),
(4713,1,'notice'),
(4714,1,'where'),
(4715,1,'bicycles'),
(4716,1,'doesn'),
(4717,1,'matter'),
(4718,1,'whether'),
(4719,1,'bicycle'),
(4720,1,'owner'),
(4721,1,'young'),
(4722,1,'fellow'),
(4723,1,'who'),
(4724,1,'looking'),
(4725,1,'stay'),
(4726,1,'let'),
(4727,1,'spread'),
(4728,1,'bike'),
(4729,1,'culture'),
(4730,1,'web'),
(4731,1,'cruising'),
(4732,1,'boulevard'),
(4733,1,'catching'),
(4734,1,'fresh'),
(4735,1,'spring'),
(4736,1,'wind'),
(4737,1,'shiny'),
(4738,1,'chromed'),
(4739,1,'old'),
(4740,1,'school'),
(4741,1,'adore'),
(4742,1,'unforgettable'),
(4743,1,'feeling'),
(4744,1,'takes'),
(4745,1,'breath'),
(4746,1,'away'),
(4747,1,'when'),
(4748,1,'rolling'),
(4749,1,'steep'),
(4750,1,'hill'),
(4751,1,'founder'),
(4752,1,'2nd'),
(4753,1,'grade'),
(4754,1,'time'),
(4755,1,'his'),
(4756,1,'parents'),
(4757,1,'bought'),
(4758,1,'him'),
(4759,1,'flash'),
(4760,1,'city'),
(4761,1,'decided'),
(4762,1,'open'),
(4763,1,'own'),
(4764,1,'connected'),
(4765,1,'dreams'),
(4766,1,'come'),
(4767,1,'true'),
(4768,1,'today'),
(4769,1,'welcome'),
(4770,2,'2011'),
(4771,2,'bell'),
(4772,2,'sequence'),
(4773,2,'mtb'),
(4774,2,'helmet'),
(4775,2,'online'),
(4776,2,'shop'),
(4777,2,'bikes'),
(4778,2,'accessories'),
(4779,2,'related'),
(4780,2,'loyalty'),
(4781,2,'programs'),
(4782,2,'components'),
(4783,2,'ensured'),
(4784,2,'team'),
(4785,2,'chemistry'),
(4786,2,'flawless'),
(4787,2,'customer'),
(4788,2,'surprise'),
(4789,2,'instantly'),
(4790,2,'notice'),
(4791,2,'where'),
(4792,2,'people'),
(4793,2,'everything'),
(4794,2,'bicycles'),
(4795,2,'doesn'),
(4796,2,'matter'),
(4797,2,'whether'),
(4798,2,'bicycle'),
(4799,2,'owner'),
(4800,2,'young'),
(4801,2,'fellow'),
(4802,2,'who'),
(4803,2,'looking'),
(4804,2,'stay'),
(4805,2,'let'),
(4806,2,'spread'),
(4807,2,'bike'),
(4808,2,'culture'),
(4809,2,'web'),
(4810,2,'like'),
(4811,2,'cruising'),
(4812,2,'boulevard'),
(4813,2,'catching'),
(4814,2,'fresh'),
(4815,2,'spring'),
(4816,2,'wind'),
(4817,2,'shiny'),
(4818,2,'chromed'),
(4819,2,'old'),
(4820,2,'school'),
(4821,2,'adore'),
(4822,2,'unforgettable'),
(4823,2,'feeling'),
(4824,2,'takes'),
(4825,2,'breath'),
(4826,2,'away'),
(4827,2,'when'),
(4828,2,'rolling'),
(4829,2,'down'),
(4830,2,'from'),
(4831,2,'steep'),
(4832,2,'hill'),
(4833,2,'founder'),
(4834,2,'2nd'),
(4835,2,'grade'),
(4836,2,'time'),
(4837,2,'his'),
(4838,2,'parents'),
(4839,2,'bought'),
(4840,2,'him'),
(4841,2,'flash'),
(4842,2,'city'),
(4843,2,'decided'),
(4844,2,'open'),
(4845,2,'own'),
(4846,2,'connected'),
(4847,2,'dreams'),
(4848,2,'come'),
(4849,2,'true'),
(4850,2,'today'),
(4851,2,'welcome'),
(4852,3,'2011'),
(4853,3,'bell'),
(4854,3,'sequence'),
(4855,3,'mtb'),
(4856,3,'helmet'),
(4857,3,'online'),
(4858,3,'shop'),
(4859,3,'bikes'),
(4860,3,'accessories'),
(4861,3,'related'),
(4862,3,'loyalty'),
(4863,3,'programs'),
(4864,3,'components'),
(4865,3,'ensured'),
(4866,3,'team'),
(4867,3,'chemistry'),
(4868,3,'flawless'),
(4869,3,'customer'),
(4870,3,'surprise'),
(4871,3,'instantly'),
(4872,3,'notice'),
(4873,3,'where'),
(4874,3,'people'),
(4875,3,'everything'),
(4876,3,'bicycles'),
(4877,3,'doesn'),
(4878,3,'matter'),
(4879,3,'whether'),
(4880,3,'bicycle'),
(4881,3,'owner'),
(4882,3,'young'),
(4883,3,'fellow'),
(4884,3,'who'),
(4885,3,'looking'),
(4886,3,'stay'),
(4887,3,'let'),
(4888,3,'spread'),
(4889,3,'bike'),
(4890,3,'culture'),
(4891,3,'web'),
(4892,3,'like'),
(4893,3,'cruising'),
(4894,3,'boulevard'),
(4895,3,'catching'),
(4896,3,'fresh'),
(4897,3,'spring'),
(4898,3,'wind'),
(4899,3,'shiny'),
(4900,3,'chromed'),
(4901,3,'old'),
(4902,3,'school'),
(4903,3,'adore'),
(4904,3,'unforgettable'),
(4905,3,'feeling'),
(4906,3,'takes'),
(4907,3,'breath'),
(4908,3,'away'),
(4909,3,'when'),
(4910,3,'rolling'),
(4911,3,'down'),
(4912,3,'from'),
(4913,3,'steep'),
(4914,3,'hill'),
(4915,3,'founder'),
(4916,3,'2nd'),
(4917,3,'grade'),
(4918,3,'time'),
(4919,3,'his'),
(4920,3,'parents'),
(4921,3,'bought'),
(4922,3,'him'),
(4923,3,'flash'),
(4924,3,'city'),
(4925,3,'decided'),
(4926,3,'open'),
(4927,3,'own'),
(4928,3,'connected'),
(4929,3,'dreams'),
(4930,3,'come'),
(4931,3,'true'),
(4932,3,'today'),
(4933,3,'welcome'),
(4934,4,'2011'),
(4935,4,'bell'),
(4936,4,'sequence'),
(4937,4,'mtb'),
(4938,4,'helmet'),
(4939,4,'online'),
(4940,4,'shop'),
(4941,4,'bikes'),
(4942,4,'accessories'),
(4943,4,'related'),
(4944,4,'loyalty'),
(4945,4,'programs'),
(4946,4,'components'),
(4947,4,'ensured'),
(4948,4,'team'),
(4949,4,'chemistry'),
(4950,4,'flawless'),
(4951,4,'customer'),
(4952,4,'surprise'),
(4953,4,'instantly'),
(4954,4,'notice'),
(4955,4,'where'),
(4956,4,'people'),
(4957,4,'everything'),
(4958,4,'bicycles'),
(4959,4,'doesn'),
(4960,4,'matter'),
(4961,4,'whether'),
(4962,4,'bicycle'),
(4963,4,'owner'),
(4964,4,'young'),
(4965,4,'fellow'),
(4966,4,'who'),
(4967,4,'looking'),
(4968,4,'stay'),
(4969,4,'let'),
(4970,4,'spread'),
(4971,4,'bike'),
(4972,4,'culture'),
(4973,4,'web'),
(4974,4,'like'),
(4975,4,'cruising'),
(4976,4,'boulevard'),
(4977,4,'catching'),
(4978,4,'fresh'),
(4979,4,'spring'),
(4980,4,'wind'),
(4981,4,'shiny'),
(4982,4,'chromed'),
(4983,4,'old'),
(4984,4,'school'),
(4985,4,'adore'),
(4986,4,'unforgettable'),
(4987,4,'feeling'),
(4988,4,'takes'),
(4989,4,'breath'),
(4990,4,'away'),
(4991,4,'when'),
(4992,4,'rolling'),
(4993,4,'down'),
(4994,4,'from'),
(4995,4,'steep'),
(4996,4,'hill'),
(4997,4,'founder'),
(4998,4,'2nd'),
(4999,4,'grade'),
(5000,4,'time'),
(5001,4,'his'),
(5002,4,'parents'),
(5003,4,'bought'),
(5004,4,'him'),
(5005,4,'flash'),
(5006,4,'city'),
(5007,4,'decided'),
(5008,4,'open'),
(5009,4,'own'),
(5010,4,'connected'),
(5011,4,'dreams'),
(5012,4,'come'),
(5013,4,'true'),
(5014,4,'today'),
(5015,4,'welcome'),
(5016,5,'2011'),
(5017,5,'bell'),
(5018,5,'sequence'),
(5019,5,'mtb'),
(5020,5,'helmet'),
(5021,5,'online'),
(5022,5,'shop'),
(5023,5,'bikes'),
(5024,5,'accessories'),
(5025,5,'related'),
(5026,5,'loyalty'),
(5027,5,'programs'),
(5028,5,'components'),
(5029,5,'ensured'),
(5030,5,'team'),
(5031,5,'chemistry'),
(5032,5,'flawless'),
(5033,5,'customer'),
(5034,5,'surprise'),
(5035,5,'instantly'),
(5036,5,'notice'),
(5037,5,'where'),
(5038,5,'people'),
(5039,5,'everything'),
(5040,5,'bicycles'),
(5041,5,'doesn'),
(5042,5,'matter'),
(5043,5,'whether'),
(5044,5,'bicycle'),
(5045,5,'owner'),
(5046,5,'young'),
(5047,5,'fellow'),
(5048,5,'who'),
(5049,5,'looking'),
(5050,5,'stay'),
(5051,5,'let'),
(5052,5,'spread'),
(5053,5,'bike'),
(5054,5,'culture'),
(5055,5,'web'),
(5056,5,'like'),
(5057,5,'cruising'),
(5058,5,'boulevard'),
(5059,5,'catching'),
(5060,5,'fresh'),
(5061,5,'spring'),
(5062,5,'wind'),
(5063,5,'shiny'),
(5064,5,'chromed'),
(5065,5,'old'),
(5066,5,'school'),
(5067,5,'adore'),
(5068,5,'unforgettable'),
(5069,5,'feeling'),
(5070,5,'takes'),
(5071,5,'breath'),
(5072,5,'away'),
(5073,5,'when'),
(5074,5,'rolling'),
(5075,5,'down'),
(5076,5,'from'),
(5077,5,'steep'),
(5078,5,'hill'),
(5079,5,'founder'),
(5080,5,'2nd'),
(5081,5,'grade'),
(5082,5,'time'),
(5083,5,'his'),
(5084,5,'parents'),
(5085,5,'bought'),
(5086,5,'him'),
(5087,5,'flash'),
(5088,5,'city'),
(5089,5,'decided'),
(5090,5,'open'),
(5091,5,'own'),
(5092,5,'connected'),
(5093,5,'dreams'),
(5094,5,'come'),
(5095,5,'true'),
(5096,5,'today'),
(5097,5,'welcome'),
(5098,1,'xcl'),
(5099,1,'9er'),
(5100,1,'frame'),
(5101,2,'access'),
(5102,2,'xcl'),
(5103,2,'9er'),
(5104,2,'frame'),
(5105,3,'access'),
(5106,3,'xcl'),
(5107,3,'9er'),
(5108,3,'frame'),
(5109,4,'access'),
(5110,4,'xcl'),
(5111,4,'9er'),
(5112,4,'frame'),
(5113,5,'access'),
(5114,5,'xcl'),
(5115,5,'9er'),
(5116,5,'frame'),
(5117,1,'agu'),
(5118,1,'robotica'),
(5119,1,'short'),
(5120,1,'jersey'),
(5121,2,'agu'),
(5122,2,'robotica'),
(5123,2,'sleeve'),
(5124,2,'jersey'),
(5125,3,'agu'),
(5126,3,'robotica'),
(5127,3,'short'),
(5128,3,'sleeve'),
(5129,3,'jersey'),
(5130,4,'agu'),
(5131,4,'robotica'),
(5132,4,'short'),
(5133,4,'sleeve'),
(5134,4,'jersey'),
(5135,5,'agu'),
(5136,5,'robotica'),
(5137,5,'short'),
(5138,5,'sleeve'),
(5139,5,'jersey'),
(5140,1,'ascent'),
(5141,1,'strada'),
(5142,2,'ascent'),
(5143,2,'strada'),
(5144,2,'road'),
(5145,3,'ascent'),
(5146,3,'strada'),
(5147,3,'road'),
(5148,4,'ascent'),
(5149,4,'strada'),
(5150,4,'road'),
(5151,5,'ascent'),
(5152,5,'strada'),
(5153,5,'road'),
(5154,1,'alchera'),
(5155,1,'euro'),
(5156,2,'alchera'),
(5157,2,'euro'),
(5158,3,'alchera'),
(5159,3,'euro'),
(5160,4,'alchera'),
(5161,4,'euro'),
(5162,5,'alchera'),
(5163,5,'euro'),
(5164,1,'easton'),
(5165,1,'ea50'),
(5166,1,'rear'),
(5167,1,'wheel'),
(5168,2,'easton'),
(5169,2,'ea50'),
(5170,2,'rear'),
(5171,2,'wheel'),
(5172,3,'easton'),
(5173,3,'ea50'),
(5174,3,'rear'),
(5175,3,'wheel'),
(5176,4,'easton'),
(5177,4,'ea50'),
(5178,4,'rear'),
(5179,4,'wheel'),
(5180,5,'easton'),
(5181,5,'ea50'),
(5182,5,'rear'),
(5183,5,'wheel'),
(5184,1,'ea70'),
(5185,1,'front'),
(5186,2,'ea70'),
(5187,2,'front'),
(5188,3,'ea70'),
(5189,3,'front'),
(5190,4,'ea70'),
(5191,4,'front'),
(5192,5,'ea70'),
(5193,5,'front'),
(5194,1,'zik'),
(5195,1,'antares'),
(5196,1,'braided'),
(5197,1,'saddle'),
(5198,2,'zik'),
(5199,2,'antares'),
(5200,2,'braided'),
(5201,2,'saddle'),
(5202,3,'zik'),
(5203,3,'antares'),
(5204,3,'braided'),
(5205,3,'saddle'),
(5206,4,'zik'),
(5207,4,'antares'),
(5208,4,'braided'),
(5209,4,'saddle'),
(5210,5,'zik'),
(5211,5,'antares'),
(5212,5,'braided'),
(5213,5,'saddle'),
(5214,1,'edition'),
(5215,2,'edition'),
(5216,3,'edition'),
(5217,4,'edition'),
(5218,5,'edition'),
(5219,1,'forte'),
(5220,1,'adjustable'),
(5221,1,'254mm'),
(5222,1,'stem'),
(5223,2,'forte'),
(5224,2,'adjustable'),
(5225,2,'254mm'),
(5226,2,'stem'),
(5227,3,'forte'),
(5228,3,'adjustable'),
(5229,3,'254mm'),
(5230,3,'stem'),
(5231,4,'forte'),
(5232,4,'adjustable'),
(5233,4,'254mm'),
(5234,4,'stem'),
(5235,5,'forte'),
(5236,5,'adjustable'),
(5237,5,'254mm'),
(5238,5,'stem'),
(5239,1,'fox'),
(5240,1,'float'),
(5241,1,'100'),
(5242,1,'fit'),
(5243,1,'rlc'),
(5244,1,'suspension'),
(5245,1,'fork'),
(5246,2,'fox'),
(5247,2,'float'),
(5248,2,'100'),
(5249,2,'fit'),
(5250,2,'rlc'),
(5251,2,'suspension'),
(5252,2,'fork'),
(5253,3,'fox'),
(5254,3,'float'),
(5255,3,'100'),
(5256,3,'fit'),
(5257,3,'rlc'),
(5258,3,'suspension'),
(5259,3,'fork'),
(5260,4,'fox'),
(5261,4,'float'),
(5262,4,'100'),
(5263,4,'fit'),
(5264,4,'rlc'),
(5265,4,'suspension'),
(5266,4,'fork'),
(5267,5,'fox'),
(5268,5,'float'),
(5269,5,'100'),
(5270,5,'fit'),
(5271,5,'rlc'),
(5272,5,'suspension'),
(5273,5,'fork'),
(5274,1,'140'),
(5275,2,'140'),
(5276,3,'140'),
(5277,4,'140'),
(5278,5,'140'),
(5279,1,'giro'),
(5280,1,'stylus'),
(5281,2,'giro'),
(5282,2,'stylus'),
(5283,3,'giro'),
(5284,3,'stylus'),
(5285,4,'giro'),
(5286,4,'stylus'),
(5287,5,'giro'),
(5288,5,'stylus'),
(5289,1,'louis'),
(5290,1,'garneau'),
(5291,1,'biogel'),
(5292,1,'air'),
(5293,1,'gloves'),
(5294,2,'louis'),
(5295,2,'garneau'),
(5296,2,'biogel'),
(5297,2,'air'),
(5298,2,'gloves'),
(5299,3,'louis'),
(5300,3,'garneau'),
(5301,3,'biogel'),
(5302,3,'air'),
(5303,3,'gloves'),
(5304,4,'louis'),
(5305,4,'garneau'),
(5306,4,'biogel'),
(5307,4,'air'),
(5308,4,'gloves'),
(5309,5,'louis'),
(5310,5,'garneau'),
(5311,5,'biogel'),
(5312,5,'air'),
(5313,5,'gloves'),
(5314,1,'marathon'),
(5315,1,'carbon'),
(5316,1,'mountain'),
(5317,2,'marathon'),
(5318,2,'carbon'),
(5319,2,'mountain'),
(5320,3,'marathon'),
(5321,3,'carbon'),
(5322,3,'mountain'),
(5323,4,'marathon'),
(5324,4,'carbon'),
(5325,4,'mountain'),
(5326,5,'marathon'),
(5327,5,'carbon'),
(5328,5,'mountain'),
(5329,1,'mavic'),
(5330,1,'crossmax'),
(5331,1,'slr'),
(5332,1,'disc'),
(5333,2,'mavic'),
(5334,2,'crossmax'),
(5335,2,'slr'),
(5336,2,'disc'),
(5337,3,'mavic'),
(5338,3,'crossmax'),
(5339,3,'slr'),
(5340,3,'disc'),
(5341,4,'mavic'),
(5342,4,'crossmax'),
(5343,4,'slr'),
(5344,4,'disc'),
(5345,5,'mavic'),
(5346,5,'crossmax'),
(5347,5,'slr'),
(5348,5,'disc'),
(5349,1,'wheelset'),
(5350,2,'wheelset'),
(5351,3,'wheelset'),
(5352,4,'wheelset'),
(5353,5,'wheelset'),
(5354,1,'frs'),
(5355,1,'quad'),
(5356,1,'120'),
(5357,1,'mount'),
(5358,1,'vision'),
(5359,1,'exp'),
(5360,2,'frs'),
(5361,2,'quad'),
(5362,2,'120'),
(5363,2,'mount'),
(5364,2,'vision'),
(5365,2,'exp'),
(5366,3,'frs'),
(5367,3,'quad'),
(5368,3,'120'),
(5369,3,'mount'),
(5370,3,'vision'),
(5371,3,'exp'),
(5372,4,'frs'),
(5373,4,'quad'),
(5374,4,'120'),
(5375,4,'mount'),
(5376,4,'vision'),
(5377,4,'exp'),
(5378,5,'frs'),
(5379,5,'quad'),
(5380,5,'120'),
(5381,5,'mount'),
(5382,5,'vision'),
(5383,5,'exp'),
(5384,1,'xlt'),
(5385,1,'quake'),
(5386,2,'xlt'),
(5387,2,'quake'),
(5388,3,'xlt'),
(5389,3,'quake'),
(5390,4,'xlt'),
(5391,4,'quake'),
(5392,5,'xlt'),
(5393,5,'quake'),
(5394,1,'pearl'),
(5395,1,'izumi'),
(5396,1,'select'),
(5397,1,'thermal'),
(5398,1,'long'),
(5399,2,'pearl'),
(5400,2,'izumi'),
(5401,2,'select'),
(5402,2,'thermal'),
(5403,2,'long'),
(5404,3,'pearl'),
(5405,3,'izumi'),
(5406,3,'select'),
(5407,3,'thermal'),
(5408,3,'long'),
(5409,4,'pearl'),
(5410,4,'izumi'),
(5411,4,'select'),
(5412,4,'thermal'),
(5413,4,'long'),
(5414,5,'pearl'),
(5415,5,'izumi'),
(5416,5,'select'),
(5417,5,'thermal'),
(5418,5,'long'),
(5419,1,'classic'),
(5420,2,'classic'),
(5421,3,'classic'),
(5422,4,'classic'),
(5423,5,'classic'),
(5424,1,'tristryke'),
(5425,2,'tristryke'),
(5426,3,'tristryke'),
(5427,4,'tristryke'),
(5428,5,'tristryke'),
(5429,1,'ritchey'),
(5430,1,'wcs'),
(5431,1,'4axis'),
(5432,2,'ritchey'),
(5433,2,'wcs'),
(5434,2,'4axis'),
(5435,3,'ritchey'),
(5436,3,'wcs'),
(5437,3,'4axis'),
(5438,4,'ritchey'),
(5439,4,'wcs'),
(5440,4,'4axis'),
(5441,5,'ritchey'),
(5442,5,'wcs'),
(5443,5,'4axis'),
(5444,1,'rock'),
(5445,1,'shox'),
(5446,1,'recon'),
(5447,2,'shox'),
(5448,2,'recon'),
(5449,2,'silver'),
(5450,3,'shox'),
(5451,3,'recon'),
(5452,3,'silver'),
(5453,4,'rock'),
(5454,4,'shox'),
(5455,4,'recon'),
(5456,4,'silver'),
(5457,5,'rock'),
(5458,5,'shox'),
(5459,5,'recon'),
(5460,5,'silver'),
(5461,1,'santini'),
(5462,1,'gxt'),
(5463,1,'bib'),
(5464,2,'santini'),
(5465,2,'gxt'),
(5466,2,'bib'),
(5467,2,'shorts'),
(5468,3,'santini'),
(5469,3,'gxt'),
(5470,3,'bib'),
(5471,3,'shorts'),
(5472,4,'santini'),
(5473,4,'gxt'),
(5474,4,'bib'),
(5475,4,'shorts'),
(5476,5,'santini'),
(5477,5,'gxt'),
(5478,5,'bib'),
(5479,5,'shorts'),
(5480,1,'italy'),
(5481,2,'italy'),
(5482,3,'italy'),
(5483,4,'italy'),
(5484,5,'italy'),
(5485,1,'scattante'),
(5486,1,'spyder'),
(5487,2,'scattante'),
(5488,2,'spyder'),
(5489,3,'scattante'),
(5490,3,'spyder'),
(5491,4,'scattante'),
(5492,4,'spyder'),
(5493,5,'scattante'),
(5494,5,'spyder'),
(5495,1,'xrl'),
(5496,1,'cross'),
(5497,1,'headset'),
(5498,2,'xrl'),
(5499,2,'cross'),
(5500,2,'headset'),
(5501,3,'xrl'),
(5502,3,'cross'),
(5503,3,'headset'),
(5504,4,'xrl'),
(5505,4,'cross'),
(5506,4,'headset'),
(5507,5,'xrl'),
(5508,5,'cross'),
(5509,5,'headset'),
(5510,1,'selle'),
(5511,1,'italia'),
(5512,2,'selle'),
(5513,2,'italia'),
(5514,3,'selle'),
(5515,3,'italia'),
(5516,4,'selle'),
(5517,4,'italia'),
(5518,4,'flow'),
(5519,5,'selle'),
(5520,5,'italia'),
(5521,5,'flow'),
(5522,1,'smp'),
(5523,2,'smp'),
(5524,3,'smp'),
(5525,4,'smp'),
(5526,5,'smp'),
(5527,1,'shimano'),
(5528,1,'105'),
(5529,1,'brakes'),
(5530,2,'shimano'),
(5531,2,'105'),
(5532,2,'brakes'),
(5533,3,'shimano'),
(5534,3,'105'),
(5535,3,'brakes'),
(5536,4,'shimano'),
(5537,4,'105'),
(5538,4,'brakes'),
(5539,5,'shimano'),
(5540,5,'105'),
(5541,5,'brakes'),
(5542,1,'duraace'),
(5543,1,'br7900'),
(5544,2,'duraace'),
(5545,2,'br7900'),
(5546,3,'duraace'),
(5547,3,'br7900'),
(5548,4,'duraace'),
(5549,4,'br7900'),
(5550,5,'duraace'),
(5551,5,'br7900'),
(5552,1,'ultegra'),
(5553,1,'br6700'),
(5554,2,'ultegra'),
(5555,2,'br6700'),
(5556,3,'ultegra'),
(5557,3,'br6700'),
(5558,4,'ultegra'),
(5559,4,'br6700'),
(5560,5,'ultegra'),
(5561,5,'br6700'),
(5562,1,'brm785'),
(5563,1,'brake'),
(5564,2,'brm785'),
(5565,2,'brake'),
(5566,3,'brm785'),
(5567,3,'brake'),
(5568,4,'brm785'),
(5569,4,'brake'),
(5570,5,'brm785'),
(5571,5,'brake'),
(5572,1,'xtr'),
(5573,1,'m988'),
(5574,1,'hydraulic'),
(5575,2,'xtr'),
(5576,2,'m988'),
(5577,2,'hydraulic'),
(5578,3,'xtr'),
(5579,3,'m988'),
(5580,3,'hydraulic'),
(5581,4,'xtr'),
(5582,4,'m988'),
(5583,4,'hydraulic'),
(5584,5,'xtr'),
(5585,5,'m988'),
(5586,5,'hydraulic'),
(5587,1,'sram'),
(5588,2,'sram'),
(5589,3,'sram'),
(5590,4,'sram'),
(5591,5,'sram'),
(5592,1,'s80'),
(5593,2,'s80'),
(5594,3,'s80'),
(5595,4,'s80'),
(5596,5,'s80'),
(5597,1,'terry'),
(5598,1,'butterfly'),
(5599,2,'terry'),
(5600,2,'butterfly'),
(5601,3,'terry'),
(5602,3,'butterfly'),
(5603,4,'terry'),
(5604,4,'butterfly'),
(5605,5,'terry'),
(5606,5,'butterfly');

/* Table structure for table `ps_specific_price` */
DROP TABLE IF EXISTS `ps_specific_price`;

CREATE TABLE `ps_specific_price` (
  `id_specific_price` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `id_product` int(10) unsigned NOT NULL,
  `id_shop` tinyint(3) unsigned NOT NULL,
  `id_currency` int(10) unsigned NOT NULL,
  `id_country` int(10) unsigned NOT NULL,
  `id_group` int(10) unsigned NOT NULL,
  `price` decimal(20,6) NOT NULL,
  `from_quantity` mediumint(8) unsigned NOT NULL,
  `reduction` decimal(20,6) NOT NULL,
  `reduction_type` enum('amount','percentage') NOT NULL,
  `from` datetime NOT NULL,
  `to` datetime NOT NULL,
  PRIMARY KEY (`id_specific_price`),
  KEY `id_product` (`id_product`,`id_shop`,`id_currency`,`id_country`,`id_group`,`from_quantity`,`from`,`to`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;

/* dumping data for table `ps_specific_price` */
INSERT INTO `ps_specific_price` VALUES
(1,15,0,0,0,0,'0.000000',1,'10.000000','amount','0000-00-00 00:00:00','0000-00-00 00:00:00'),
(2,18,0,0,0,0,'0.000000',1,'15.000000','amount','0000-00-00 00:00:00','0000-00-00 00:00:00'),
(3,19,0,0,0,0,'0.000000',1,'20.000000','amount','0000-00-00 00:00:00','0000-00-00 00:00:00'),
(4,5,0,0,0,0,'0.000000',1,'25.000000','amount','0000-00-00 00:00:00','0000-00-00 00:00:00'),
(5,20,0,0,0,0,'0.000000',1,'30.000000','amount','0000-00-00 00:00:00','0000-00-00 00:00:00');

/* Table structure for table `ps_specific_price_priority` */
DROP TABLE IF EXISTS `ps_specific_price_priority`;

CREATE TABLE `ps_specific_price_priority` (
  `id_specific_price_priority` int(11) NOT NULL AUTO_INCREMENT,
  `id_product` int(11) NOT NULL,
  `priority` varchar(80) NOT NULL,
  PRIMARY KEY (`id_specific_price_priority`,`id_product`),
  UNIQUE KEY `id_product` (`id_product`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


/* Table structure for table `ps_store` */
DROP TABLE IF EXISTS `ps_store`;

CREATE TABLE `ps_store` (
  `id_store` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `id_country` int(10) unsigned NOT NULL,
  `id_state` int(10) unsigned DEFAULT NULL,
  `name` varchar(128) NOT NULL,
  `address1` varchar(128) NOT NULL,
  `address2` varchar(128) DEFAULT NULL,
  `city` varchar(64) NOT NULL,
  `postcode` varchar(12) NOT NULL,
  `latitude` decimal(11,8) DEFAULT NULL,
  `longitude` decimal(11,8) DEFAULT NULL,
  `hours` varchar(254) DEFAULT NULL,
  `phone` varchar(16) DEFAULT NULL,
  `fax` varchar(16) DEFAULT NULL,
  `email` varchar(128) DEFAULT NULL,
  `note` text,
  `active` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `date_add` datetime NOT NULL,
  `date_upd` datetime NOT NULL,
  PRIMARY KEY (`id_store`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;

/* dumping data for table `ps_store` */
INSERT INTO `ps_store` VALUES
(1,21,9,'Dade County','3030 SW 8th St Miami','','Miami',' 33135','25.76500500','-80.24379700','a:7:{i:0;s:13:\"09:00 - 19:00\";i:1;s:13:\"09:00 - 19:00\";i:2;s:13:\"09:00 - 19:00\";i:3;s:13:\"09:00 - 19:00\";i:4;s:13:\"09:00 - 19:00\";i:5;s:13:\"10:00 - 16:00\";i:6;s:13:\"10:00 - 16:00\";}','','','','',1,'2010-11-09 10:53:13','2010-11-09 10:53:13'),
(2,21,9,'E Fort Lauderdale','1000 Northeast 4th Ave Fort Lauderdale','','Miami',' 33304','26.13793600','-80.13943500','a:7:{i:0;s:13:\"09:00 - 19:00\";i:1;s:13:\"09:00 - 19:00\";i:2;s:13:\"09:00 - 19:00\";i:3;s:13:\"09:00 - 19:00\";i:4;s:13:\"09:00 - 19:00\";i:5;s:13:\"10:00 - 16:00\";i:6;s:13:\"10:00 - 16:00\";}','','','','',1,'2010-11-09 10:56:26','2010-11-09 10:56:26'),
(3,21,9,'Pembroke Pines','11001 Pines Blvd Pembroke Pines','','Miami','33026','26.00998700','-80.29447200','a:7:{i:0;s:13:\"09:00 - 19:00\";i:1;s:13:\"09:00 - 19:00\";i:2;s:13:\"09:00 - 19:00\";i:3;s:13:\"09:00 - 19:00\";i:4;s:13:\"09:00 - 19:00\";i:5;s:13:\"10:00 - 16:00\";i:6;s:13:\"10:00 - 16:00\";}','','','','',1,'2010-11-09 10:58:42','2010-11-09 11:01:11'),
(4,21,9,'Coconut Grove','2999 SW 32nd Avenue','',' Miami',' 33133','25.73629600','-80.24479700','a:7:{i:0;s:13:\"09:00 - 19:00\";i:1;s:13:\"09:00 - 19:00\";i:2;s:13:\"09:00 - 19:00\";i:3;s:13:\"09:00 - 19:00\";i:4;s:13:\"09:00 - 19:00\";i:5;s:13:\"10:00 - 16:00\";i:6;s:13:\"10:00 - 16:00\";}','','','','',1,'2010-11-09 11:00:38','2010-11-09 11:04:52'),
(5,21,9,'N Miami/Biscayne','12055 Biscayne Blvd','','Miami','33181','25.88674000','-80.16329200','a:7:{i:0;s:13:\"09:00 - 19:00\";i:1;s:13:\"09:00 - 19:00\";i:2;s:13:\"09:00 - 19:00\";i:3;s:13:\"09:00 - 19:00\";i:4;s:13:\"09:00 - 19:00\";i:5;s:13:\"10:00 - 16:00\";i:6;s:13:\"10:00 - 16:00\";}','','','','',1,'2010-11-09 11:11:28','2010-11-09 11:11:28');

/* Table structure for table `ps_supplier` */
DROP TABLE IF EXISTS `ps_supplier`;

CREATE TABLE `ps_supplier` (
  `id_supplier` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(64) NOT NULL,
  `date_add` datetime NOT NULL,
  `date_upd` datetime NOT NULL,
  `active` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id_supplier`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

/* dumping data for table `ps_supplier` */
INSERT INTO `ps_supplier` VALUES
(1,'Adipisicing','2012-05-21 14:38:05','2012-05-22 13:01:51',1),
(2,'Consectetur elit','2012-05-21 14:38:05','2012-05-22 13:01:44',1);

/* Table structure for table `ps_supplier_lang` */
DROP TABLE IF EXISTS `ps_supplier_lang`;

CREATE TABLE `ps_supplier_lang` (
  `id_supplier` int(10) unsigned NOT NULL,
  `id_lang` int(10) unsigned NOT NULL,
  `description` text,
  `meta_title` varchar(128) DEFAULT NULL,
  `meta_keywords` varchar(255) DEFAULT NULL,
  `meta_description` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id_supplier`,`id_lang`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

/* dumping data for table `ps_supplier_lang` */
INSERT INTO `ps_supplier_lang` VALUES
(1,1,'','','',''),
(1,2,'','','',''),
(1,3,'','','',''),
(1,4,'','','',''),
(1,5,'','','',''),
(2,1,'Donec condimentum accumsan erat ut vestibulum. Aenean vestibulum commodo faucibus','','',''),
(2,2,'','','',''),
(2,3,'','','',''),
(2,4,'','','',''),
(2,5,'','','','');

/* Table structure for table `ps_tag` */
DROP TABLE IF EXISTS `ps_tag`;

CREATE TABLE `ps_tag` (
  `id_tag` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `id_lang` int(10) unsigned NOT NULL,
  `name` varchar(32) NOT NULL,
  PRIMARY KEY (`id_tag`),
  KEY `tag_name` (`name`),
  KEY `id_lang` (`id_lang`)
) ENGINE=MyISAM AUTO_INCREMENT=55 DEFAULT CHARSET=utf8;

/* dumping data for table `ps_tag` */
INSERT INTO `ps_tag` VALUES
(54,1,'Magna aliqua'),
(53,1,'laboret Dolore'),
(52,1,'Incididunt ut'),
(51,1,'Eiusmod tempor'),
(50,1,'Elit sed do'),
(49,1,'Adipisicin'),
(48,1,'Conse ctetur'),
(47,1,'Dolor sit amet'),
(46,1,'Lorem ipsum');

